/* AsyncTask.c generated by valac 0.40.19, the Vala compiler
 * generated from AsyncTask.vala, do not modify */

/*
 * AsyncTask.vala
 *
 * Copyright 2012-2018 Tony George <teejeetech@gmail.com>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA 02110-1301, USA.
 *
 *
 */


#include <glib.h>
#include <glib-object.h>
#include <stdlib.h>
#include <string.h>
#include <gio/gio.h>
#include <float.h>
#include <math.h>
#include <gio/gunixoutputstream.h>
#include <gio/gunixinputstream.h>
#include <unistd.h>


#define TYPE_ASYNC_TASK (async_task_get_type ())
#define ASYNC_TASK(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), TYPE_ASYNC_TASK, AsyncTask))
#define ASYNC_TASK_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), TYPE_ASYNC_TASK, AsyncTaskClass))
#define IS_ASYNC_TASK(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TYPE_ASYNC_TASK))
#define IS_ASYNC_TASK_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), TYPE_ASYNC_TASK))
#define ASYNC_TASK_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), TYPE_ASYNC_TASK, AsyncTaskClass))

typedef struct _AsyncTask AsyncTask;
typedef struct _AsyncTaskClass AsyncTaskClass;
typedef struct _AsyncTaskPrivate AsyncTaskPrivate;
typedef enum  {
	APP_STATUS_NOT_STARTED,
	APP_STATUS_RUNNING,
	APP_STATUS_PAUSED,
	APP_STATUS_FINISHED,
	APP_STATUS_CANCELLED,
	APP_STATUS_PASSWORD_REQUIRED
} AppStatus;


#define TYPE_APP_STATUS (app_status_get_type ())
enum  {
	ASYNC_TASK_0_PROPERTY,
	ASYNC_TASK_STAT_TIME_ELAPSED_PROPERTY,
	ASYNC_TASK_STAT_TIME_REMAINING_PROPERTY,
	ASYNC_TASK_NUM_PROPERTIES
};
static GParamSpec* async_task_properties[ASYNC_TASK_NUM_PROPERTIES];
#define _g_free0(var) (var = (g_free (var), NULL))
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
#define _g_timer_destroy0(var) ((var == NULL) ? NULL : (var = (g_timer_destroy (var), NULL)))
#define _g_error_free0(var) ((var == NULL) ? NULL : (var = (g_error_free (var), NULL)))
enum  {
	ASYNC_TASK_STDOUT_LINE_READ_SIGNAL,
	ASYNC_TASK_STDERR_LINE_READ_SIGNAL,
	ASYNC_TASK_TASK_COMPLETE_SIGNAL,
	ASYNC_TASK_NUM_SIGNALS
};
static guint async_task_signals[ASYNC_TASK_NUM_SIGNALS] = {0};

struct _AsyncTask {
	GObject parent_instance;
	AsyncTaskPrivate * priv;
	GDataOutputStream* dos_log;
	gboolean is_terminated;
	GPid child_pid;
	gchar* script_file;
	gchar* working_dir;
	gchar* log_file;
	gboolean background_mode;
	AppStatus status;
	gchar* status_line;
	gint exit_code;
	gchar* error_msg;
	GTimer* timer;
	gdouble progress;
	gdouble percent;
	gint64 prg_count;
	gint64 prg_count_total;
	gint64 prg_bytes;
	gint64 prg_bytes_total;
	gchar* eta;
};

struct _AsyncTaskClass {
	GObjectClass parent_class;
	void (*parse_stdout_line) (AsyncTask* self, const gchar* out_line);
	void (*parse_stderr_line) (AsyncTask* self, const gchar* err_line);
	void (*finish_task) (AsyncTask* self);
};

struct _AsyncTaskPrivate {
	gchar* err_line;
	gchar* out_line;
	GDataOutputStream* dos_in;
	GDataInputStream* dis_out;
	GDataInputStream* dis_err;
	gboolean stdout_is_open;
	gboolean stderr_is_open;
	gint input_fd;
	gint output_fd;
	gint error_fd;
	gboolean finish_called;
};


static gpointer async_task_parent_class = NULL;
extern gchar* tee_jee_process_helper_TEMP_DIR;

GType async_task_get_type (void) G_GNUC_CONST;
GType app_status_get_type (void) G_GNUC_CONST;
#define ASYNC_TASK_GET_PRIVATE(o) (G_TYPE_INSTANCE_GET_PRIVATE ((o), TYPE_ASYNC_TASK, AsyncTaskPrivate))
AsyncTask* async_task_construct (GType object_type);
gchar* tee_jee_misc_timestamp_for_path (void);
gchar* tee_jee_file_system_path_combine (const gchar* path1,
                                         const gchar* path2);
gboolean tee_jee_file_system_dir_create (const gchar* dir_path,
                                         gboolean show_message);
gboolean async_task_begin (AsyncTask* self);
void async_task_set_priority (AsyncTask* self);
void tee_jee_logging_log_debug (const gchar* message);
static void async_task_read_stdout (AsyncTask* self);
static gpointer _async_task_read_stdout_gthread_func (gpointer self);
void tee_jee_logging_log_error (const gchar* message,
                                gboolean highlight,
                                gboolean is_warning);
static void async_task_read_stderr (AsyncTask* self);
static gpointer _async_task_read_stderr_gthread_func (gpointer self);
void async_task_parse_stdout_line (AsyncTask* self,
                                   const gchar* out_line);
static void async_task_finish (AsyncTask* self);
void async_task_parse_stderr_line (AsyncTask* self,
                                   const gchar* err_line);
void async_task_write_stdin (AsyncTask* self,
                             const gchar* line);
static void async_task_real_parse_stdout_line (AsyncTask* self,
                                        const gchar* out_line);
static void async_task_real_parse_stderr_line (AsyncTask* self,
                                        const gchar* err_line);
gint async_task_read_exit_code (AsyncTask* self);
void async_task_finish_task (AsyncTask* self);
static void async_task_real_finish_task (AsyncTask* self);
gchar* tee_jee_file_system_file_parent (const gchar* file_path);
gboolean tee_jee_file_system_file_exists (const gchar* file_path);
gchar* tee_jee_file_system_file_read (const gchar* file_path);
gboolean async_task_is_running (AsyncTask* self);
void async_task_stop (AsyncTask* self,
                      AppStatus status_to_update);
void tee_jee_process_helper_process_quit (GPid process_pid,
                                          gboolean killChildren);
void async_task_set_priority_value (AsyncTask* self,
                                    gint prio);
void tee_jee_process_helper_process_set_priority (GPid procID,
                                                  gint prio);
gint* tee_jee_process_helper_get_process_children (GPid parent_pid,
                                                   int* result_length1);
void async_task_print_app_status (AsyncTask* self);
gchar* async_task_get_stat_time_elapsed (AsyncTask* self);
gulong tee_jee_system_timer_elapsed (GTimer* timer,
                                     gboolean stop);
gchar* tee_jee_misc_format_duration (glong millis);
gchar* async_task_get_stat_time_remaining (AsyncTask* self);
static void async_task_finalize (GObject * obj);
static void _vala_async_task_get_property (GObject * object,
                                    guint property_id,
                                    GValue * value,
                                    GParamSpec * pspec);
static void _vala_array_destroy (gpointer array,
                          gint array_length,
                          GDestroyNotify destroy_func);
static void _vala_array_free (gpointer array,
                       gint array_length,
                       GDestroyNotify destroy_func);
static gint _vala_array_length (gpointer array);


AsyncTask*
async_task_construct (GType object_type)
{
	AsyncTask * self = NULL;
	const gchar* _tmp0_;
	gchar* _tmp1_;
	gchar* _tmp2_;
	gchar* _tmp3_;
	gchar* _tmp4_;
	gchar* _tmp5_;
	const gchar* _tmp6_;
	gchar* _tmp7_;
	const gchar* _tmp8_;
	gchar* _tmp9_;
	const gchar* _tmp10_;
#line 76 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	self = (AsyncTask*) g_object_new (object_type, NULL);
#line 78 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	_tmp0_ = tee_jee_process_helper_TEMP_DIR;
#line 78 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	_tmp1_ = g_strconcat (_tmp0_, "/", NULL);
#line 78 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	_tmp2_ = _tmp1_;
#line 78 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	_tmp3_ = tee_jee_misc_timestamp_for_path ();
#line 78 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	_tmp4_ = _tmp3_;
#line 78 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	_tmp5_ = g_strconcat (_tmp2_, _tmp4_, NULL);
#line 78 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	_g_free0 (self->working_dir);
#line 78 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	self->working_dir = _tmp5_;
#line 78 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	_g_free0 (_tmp4_);
#line 78 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	_g_free0 (_tmp2_);
#line 79 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	_tmp6_ = self->working_dir;
#line 79 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	_tmp7_ = tee_jee_file_system_path_combine (_tmp6_, "script.sh");
#line 79 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	_g_free0 (self->script_file);
#line 79 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	self->script_file = _tmp7_;
#line 80 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	_tmp8_ = self->working_dir;
#line 80 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	_tmp9_ = tee_jee_file_system_path_combine (_tmp8_, "task.log");
#line 80 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	_g_free0 (self->log_file);
#line 80 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	self->log_file = _tmp9_;
#line 84 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	_tmp10_ = self->working_dir;
#line 84 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	tee_jee_file_system_dir_create (_tmp10_, FALSE);
#line 76 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	return self;
#line 256 "AsyncTask.c"
}


static gpointer
_async_task_read_stdout_gthread_func (gpointer self)
{
	gpointer result;
#line 147 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	async_task_read_stdout ((AsyncTask*) self);
#line 266 "AsyncTask.c"
	result = NULL;
#line 147 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	g_object_unref (self);
#line 147 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	return result;
#line 272 "AsyncTask.c"
}


static gpointer
_async_task_read_stderr_gthread_func (gpointer self)
{
	gpointer result;
#line 155 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	async_task_read_stderr ((AsyncTask*) self);
#line 282 "AsyncTask.c"
	result = NULL;
#line 155 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	g_object_unref (self);
#line 155 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	return result;
#line 288 "AsyncTask.c"
}


gboolean
async_task_begin (AsyncTask* self)
{
	gboolean result = FALSE;
	gboolean has_started = FALSE;
	gchar* _tmp0_;
	gchar** spawn_args = NULL;
	gchar** _tmp1_;
	gint spawn_args_length1;
	gint _spawn_args_size_;
	gchar** _tmp2_;
	gint _tmp2__length1;
	const gchar* _tmp3_;
	gchar* _tmp4_;
	gchar** spawn_env = NULL;
	gchar** _tmp5_;
	gchar** _tmp6_;
	gint spawn_env_length1;
	gint _spawn_env_size_;
	GError* _inner_error0_ = NULL;
#line 87 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 89 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	self->status = APP_STATUS_RUNNING;
#line 91 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	has_started = TRUE;
#line 92 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	self->is_terminated = FALSE;
#line 93 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	self->priv->finish_called = FALSE;
#line 95 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	self->prg_count = (gint64) 0;
#line 96 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	self->prg_bytes = (gint64) 0;
#line 97 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	_tmp0_ = g_strdup ("");
#line 97 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	_g_free0 (self->error_msg);
#line 97 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	self->error_msg = _tmp0_;
#line 99 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	_tmp1_ = g_new0 (gchar*, 1 + 1);
#line 99 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	spawn_args = _tmp1_;
#line 99 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	spawn_args_length1 = 1;
#line 99 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	_spawn_args_size_ = spawn_args_length1;
#line 100 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	_tmp2_ = spawn_args;
#line 100 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	_tmp2__length1 = spawn_args_length1;
#line 100 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	_tmp3_ = self->script_file;
#line 100 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	_tmp4_ = g_strdup (_tmp3_);
#line 100 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	_g_free0 (_tmp2_[0]);
#line 100 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	_tmp2_[0] = _tmp4_;
#line 102 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	_tmp6_ = _tmp5_ = g_get_environ ();
#line 102 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	spawn_env = _tmp6_;
#line 102 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	spawn_env_length1 = _vala_array_length (_tmp5_);
#line 102 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	_spawn_env_size_ = spawn_env_length1;
#line 360 "AsyncTask.c"
	{
		GTimer* _tmp7_;
		GTimer* _tmp8_;
		const gchar* _tmp9_;
		gchar** _tmp10_;
		gint _tmp10__length1;
		gchar** _tmp11_;
		gint _tmp11__length1;
		GPid _tmp12_ = 0;
		gint _tmp13_ = 0;
		gint _tmp14_ = 0;
		gint _tmp15_ = 0;
		GPid _tmp16_;
		gchar* _tmp17_;
		gchar* _tmp18_;
		GUnixOutputStream* uos_in = NULL;
		gint _tmp19_;
		GUnixOutputStream* _tmp20_;
		GUnixInputStream* uis_out = NULL;
		gint _tmp21_;
		GUnixInputStream* _tmp22_;
		GUnixInputStream* uis_err = NULL;
		gint _tmp23_;
		GUnixInputStream* _tmp24_;
		GUnixOutputStream* _tmp25_;
		GDataOutputStream* _tmp26_;
		GUnixInputStream* _tmp27_;
		GDataInputStream* _tmp28_;
		GUnixInputStream* _tmp29_;
		GDataInputStream* _tmp30_;
		GDataInputStream* _tmp31_;
		GDataInputStream* _tmp32_;
		const gchar* _tmp33_;
		gint _tmp34_;
		gint _tmp35_;
#line 106 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		_tmp7_ = g_timer_new ();
#line 106 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		_g_timer_destroy0 (self->timer);
#line 106 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		self->timer = _tmp7_;
#line 107 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		_tmp8_ = self->timer;
#line 107 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		g_timer_start (_tmp8_);
#line 110 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		_tmp9_ = self->working_dir;
#line 110 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		_tmp10_ = spawn_args;
#line 110 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		_tmp10__length1 = spawn_args_length1;
#line 110 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		_tmp11_ = spawn_env;
#line 110 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		_tmp11__length1 = spawn_env_length1;
#line 110 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		g_spawn_async_with_pipes (_tmp9_, _tmp10_, _tmp11_, G_SPAWN_SEARCH_PATH, NULL, NULL, &_tmp12_, &_tmp13_, &_tmp14_, &_tmp15_, &_inner_error0_);
#line 110 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		self->child_pid = _tmp12_;
#line 110 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		self->priv->input_fd = _tmp13_;
#line 110 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		self->priv->output_fd = _tmp14_;
#line 110 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		self->priv->error_fd = _tmp15_;
#line 110 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 428 "AsyncTask.c"
			goto __catch29_g_error;
		}
#line 121 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		async_task_set_priority (self);
#line 123 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		_tmp16_ = self->child_pid;
#line 123 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		_tmp17_ = g_strdup_printf ("AsyncTask: child_pid: %d", (gint) _tmp16_);
#line 123 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		_tmp18_ = _tmp17_;
#line 123 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		tee_jee_logging_log_debug (_tmp18_);
#line 123 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		_g_free0 (_tmp18_);
#line 126 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		_tmp19_ = self->priv->input_fd;
#line 126 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		_tmp20_ = (GUnixOutputStream*) g_unix_output_stream_new (_tmp19_, FALSE);
#line 126 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		uos_in = _tmp20_;
#line 127 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		_tmp21_ = self->priv->output_fd;
#line 127 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		_tmp22_ = (GUnixInputStream*) g_unix_input_stream_new (_tmp21_, FALSE);
#line 127 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		uis_out = _tmp22_;
#line 128 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		_tmp23_ = self->priv->error_fd;
#line 128 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		_tmp24_ = (GUnixInputStream*) g_unix_input_stream_new (_tmp23_, FALSE);
#line 128 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		uis_err = _tmp24_;
#line 129 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		_tmp25_ = uos_in;
#line 129 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		_tmp26_ = g_data_output_stream_new ((GOutputStream*) _tmp25_);
#line 129 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		_g_object_unref0 (self->priv->dos_in);
#line 129 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		self->priv->dos_in = _tmp26_;
#line 130 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		_tmp27_ = uis_out;
#line 130 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		_tmp28_ = g_data_input_stream_new ((GInputStream*) _tmp27_);
#line 130 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		_g_object_unref0 (self->priv->dis_out);
#line 130 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		self->priv->dis_out = _tmp28_;
#line 131 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		_tmp29_ = uis_err;
#line 131 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		_tmp30_ = g_data_input_stream_new ((GInputStream*) _tmp29_);
#line 131 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		_g_object_unref0 (self->priv->dis_err);
#line 131 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		self->priv->dis_err = _tmp30_;
#line 132 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		_tmp31_ = self->priv->dis_out;
#line 132 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		g_data_input_stream_set_newline_type (_tmp31_, G_DATA_STREAM_NEWLINE_TYPE_ANY);
#line 133 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		_tmp32_ = self->priv->dis_err;
#line 133 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		g_data_input_stream_set_newline_type (_tmp32_, G_DATA_STREAM_NEWLINE_TYPE_ANY);
#line 136 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		_tmp33_ = self->log_file;
#line 136 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		_tmp34_ = strlen (_tmp33_);
#line 136 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		_tmp35_ = _tmp34_;
#line 136 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		if (_tmp35_ > 0) {
#line 501 "AsyncTask.c"
			GFile* file = NULL;
			const gchar* _tmp36_;
			GFile* _tmp37_;
			GFile* _tmp38_;
			GFileOutputStream* file_stream = NULL;
			GFile* _tmp40_;
			GFileOutputStream* _tmp41_;
			GFileOutputStream* _tmp42_;
			GDataOutputStream* _tmp43_;
#line 137 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
			_tmp36_ = self->log_file;
#line 137 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
			_tmp37_ = g_file_new_for_path (_tmp36_);
#line 137 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
			file = _tmp37_;
#line 138 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
			_tmp38_ = file;
#line 138 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
			if (g_file_query_exists (_tmp38_, NULL)) {
#line 521 "AsyncTask.c"
				GFile* _tmp39_;
#line 139 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
				_tmp39_ = file;
#line 139 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
				g_file_delete (_tmp39_, NULL, &_inner_error0_);
#line 139 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
				if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 139 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
					_g_object_unref0 (file);
#line 139 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
					_g_object_unref0 (uis_err);
#line 139 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
					_g_object_unref0 (uis_out);
#line 139 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
					_g_object_unref0 (uos_in);
#line 537 "AsyncTask.c"
					goto __catch29_g_error;
				}
			}
#line 141 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
			_tmp40_ = file;
#line 141 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
			_tmp41_ = g_file_create (_tmp40_, G_FILE_CREATE_REPLACE_DESTINATION, NULL, &_inner_error0_);
#line 141 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
			file_stream = _tmp41_;
#line 141 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
			if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 141 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
				_g_object_unref0 (file);
#line 141 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
				_g_object_unref0 (uis_err);
#line 141 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
				_g_object_unref0 (uis_out);
#line 141 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
				_g_object_unref0 (uos_in);
#line 557 "AsyncTask.c"
				goto __catch29_g_error;
			}
#line 142 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
			_tmp42_ = file_stream;
#line 142 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
			_tmp43_ = g_data_output_stream_new ((GOutputStream*) _tmp42_);
#line 142 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
			_g_object_unref0 (self->dos_log);
#line 142 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
			self->dos_log = _tmp43_;
#line 136 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
			_g_object_unref0 (file_stream);
#line 136 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
			_g_object_unref0 (file);
#line 572 "AsyncTask.c"
		}
		{
#line 147 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
			g_thread_create (_async_task_read_stdout_gthread_func, g_object_ref (self), TRUE, &_inner_error0_);
#line 147 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
			if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 579 "AsyncTask.c"
				goto __catch30_g_error;
			}
		}
		goto __finally30;
		__catch30_g_error:
		{
			GError* e = NULL;
			GError* _tmp44_;
			const gchar* _tmp45_;
#line 145 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
			e = _inner_error0_;
#line 145 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
			_inner_error0_ = NULL;
#line 149 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
			tee_jee_logging_log_error ("AsyncTask.begin():create_thread:read_stdout()", FALSE, FALSE);
#line 150 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
			_tmp44_ = e;
#line 150 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
			_tmp45_ = _tmp44_->message;
#line 150 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
			tee_jee_logging_log_error (_tmp45_, FALSE, FALSE);
#line 145 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
			_g_error_free0 (e);
#line 603 "AsyncTask.c"
		}
		__finally30:
#line 145 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 145 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
			_g_object_unref0 (uis_err);
#line 145 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
			_g_object_unref0 (uis_out);
#line 145 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
			_g_object_unref0 (uos_in);
#line 614 "AsyncTask.c"
			goto __catch29_g_error;
		}
		{
#line 155 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
			g_thread_create (_async_task_read_stderr_gthread_func, g_object_ref (self), TRUE, &_inner_error0_);
#line 155 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
			if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 622 "AsyncTask.c"
				goto __catch31_g_error;
			}
		}
		goto __finally31;
		__catch31_g_error:
		{
			GError* e = NULL;
			GError* _tmp46_;
			const gchar* _tmp47_;
#line 153 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
			e = _inner_error0_;
#line 153 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
			_inner_error0_ = NULL;
#line 157 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
			tee_jee_logging_log_error ("AsyncTask.begin():create_thread:read_stderr()", FALSE, FALSE);
#line 158 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
			_tmp46_ = e;
#line 158 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
			_tmp47_ = _tmp46_->message;
#line 158 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
			tee_jee_logging_log_error (_tmp47_, FALSE, FALSE);
#line 153 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
			_g_error_free0 (e);
#line 646 "AsyncTask.c"
		}
		__finally31:
#line 153 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 153 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
			_g_object_unref0 (uis_err);
#line 153 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
			_g_object_unref0 (uis_out);
#line 153 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
			_g_object_unref0 (uos_in);
#line 657 "AsyncTask.c"
			goto __catch29_g_error;
		}
#line 104 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		_g_object_unref0 (uis_err);
#line 104 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		_g_object_unref0 (uis_out);
#line 104 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		_g_object_unref0 (uos_in);
#line 666 "AsyncTask.c"
	}
	goto __finally29;
	__catch29_g_error:
	{
		GError* e = NULL;
		GError* _tmp48_;
		const gchar* _tmp49_;
#line 104 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		e = _inner_error0_;
#line 104 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		_inner_error0_ = NULL;
#line 162 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		tee_jee_logging_log_error ("AsyncTask.begin()", FALSE, FALSE);
#line 163 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		_tmp48_ = e;
#line 163 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		_tmp49_ = _tmp48_->message;
#line 163 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		tee_jee_logging_log_error (_tmp49_, FALSE, FALSE);
#line 164 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		has_started = FALSE;
#line 104 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		_g_error_free0 (e);
#line 690 "AsyncTask.c"
	}
	__finally29:
#line 104 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 695 "AsyncTask.c"
		gboolean _tmp50_ = FALSE;
#line 104 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		spawn_env = (_vala_array_free (spawn_env, spawn_env_length1, (GDestroyNotify) g_free), NULL);
#line 104 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		spawn_args = (_vala_array_free (spawn_args, spawn_args_length1, (GDestroyNotify) g_free), NULL);
#line 104 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 104 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		g_clear_error (&_inner_error0_);
#line 104 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		return _tmp50_;
#line 707 "AsyncTask.c"
	}
#line 168 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	result = has_started;
#line 168 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	spawn_env = (_vala_array_free (spawn_env, spawn_env_length1, (GDestroyNotify) g_free), NULL);
#line 168 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	spawn_args = (_vala_array_free (spawn_args, spawn_args_length1, (GDestroyNotify) g_free), NULL);
#line 168 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	return result;
#line 717 "AsyncTask.c"
}


static void
async_task_read_stdout (AsyncTask* self)
{
	GError* _inner_error0_ = NULL;
#line 171 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	g_return_if_fail (self != NULL);
#line 727 "AsyncTask.c"
	{
		gchar* _tmp0_ = NULL;
		GDataInputStream* _tmp1_;
		gchar* _tmp2_;
		gchar* _tmp3_;
		gboolean _tmp16_ = FALSE;
		GDataInputStream* _tmp17_;
		gint _tmp20_;
		gboolean _tmp21_ = FALSE;
		gboolean _tmp22_;
#line 173 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		self->priv->stdout_is_open = TRUE;
#line 175 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		_tmp1_ = self->priv->dis_out;
#line 175 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		_tmp2_ = g_data_input_stream_read_line (_tmp1_, NULL, NULL, &_inner_error0_);
#line 175 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		_tmp0_ = _tmp2_;
#line 175 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 748 "AsyncTask.c"
			goto __catch32_g_error;
		}
#line 175 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		_tmp3_ = _tmp0_;
#line 175 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		_tmp0_ = NULL;
#line 175 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		_g_free0 (self->priv->out_line);
#line 175 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		self->priv->out_line = _tmp3_;
#line 176 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		while (TRUE) {
#line 761 "AsyncTask.c"
			const gchar* _tmp4_;
			gboolean _tmp5_ = FALSE;
			gboolean _tmp6_;
			gchar* _tmp12_ = NULL;
			GDataInputStream* _tmp13_;
			gchar* _tmp14_;
			gchar* _tmp15_;
#line 176 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
			_tmp4_ = self->priv->out_line;
#line 176 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
			if (!(_tmp4_ != NULL)) {
#line 176 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
				break;
#line 775 "AsyncTask.c"
			}
#line 178 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
			_tmp6_ = self->is_terminated;
#line 178 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
			if (!_tmp6_) {
#line 781 "AsyncTask.c"
				const gchar* _tmp7_;
				gint _tmp8_;
				gint _tmp9_;
#line 178 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
				_tmp7_ = self->priv->out_line;
#line 178 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
				_tmp8_ = strlen (_tmp7_);
#line 178 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
				_tmp9_ = _tmp8_;
#line 178 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
				_tmp5_ = _tmp9_ > 0;
#line 793 "AsyncTask.c"
			} else {
#line 178 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
				_tmp5_ = FALSE;
#line 797 "AsyncTask.c"
			}
#line 178 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
			if (_tmp5_) {
#line 801 "AsyncTask.c"
				const gchar* _tmp10_;
				const gchar* _tmp11_;
#line 179 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
				_tmp10_ = self->priv->out_line;
#line 179 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
				async_task_parse_stdout_line (self, _tmp10_);
#line 180 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
				_tmp11_ = self->priv->out_line;
#line 180 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
				g_signal_emit (self, async_task_signals[ASYNC_TASK_STDOUT_LINE_READ_SIGNAL], 0, _tmp11_);
#line 812 "AsyncTask.c"
			}
#line 182 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
			_tmp13_ = self->priv->dis_out;
#line 182 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
			_tmp14_ = g_data_input_stream_read_line (_tmp13_, NULL, NULL, &_inner_error0_);
#line 182 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
			_tmp12_ = _tmp14_;
#line 182 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
			if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 182 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
				_g_free0 (_tmp0_);
#line 824 "AsyncTask.c"
				goto __catch32_g_error;
			}
#line 182 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
			_tmp15_ = _tmp12_;
#line 182 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
			_tmp12_ = NULL;
#line 182 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
			_g_free0 (self->priv->out_line);
#line 182 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
			self->priv->out_line = _tmp15_;
#line 176 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
			_g_free0 (_tmp12_);
#line 837 "AsyncTask.c"
		}
#line 185 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		self->priv->stdout_is_open = FALSE;
#line 188 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		_tmp17_ = self->priv->dis_out;
#line 188 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		if (_tmp17_ != NULL) {
#line 845 "AsyncTask.c"
			GDataInputStream* _tmp18_;
#line 188 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
			_tmp18_ = self->priv->dis_out;
#line 188 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
			_tmp16_ = !g_input_stream_is_closed ((GInputStream*) _tmp18_);
#line 851 "AsyncTask.c"
		} else {
#line 188 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
			_tmp16_ = FALSE;
#line 855 "AsyncTask.c"
		}
#line 188 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		if (_tmp16_) {
#line 859 "AsyncTask.c"
			GDataInputStream* _tmp19_;
#line 189 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
			_tmp19_ = self->priv->dis_out;
#line 189 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
			g_input_stream_close ((GInputStream*) _tmp19_, NULL, &_inner_error0_);
#line 189 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
			if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 189 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
				_g_free0 (_tmp0_);
#line 869 "AsyncTask.c"
				goto __catch32_g_error;
			}
		}
#line 192 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		_g_object_unref0 (self->priv->dis_out);
#line 192 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		self->priv->dis_out = NULL;
#line 193 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		_tmp20_ = self->priv->output_fd;
#line 193 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		close (_tmp20_);
#line 196 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		_tmp22_ = self->priv->stdout_is_open;
#line 196 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		if (!_tmp22_) {
#line 885 "AsyncTask.c"
			gboolean _tmp23_;
#line 196 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
			_tmp23_ = self->priv->stderr_is_open;
#line 196 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
			_tmp21_ = !_tmp23_;
#line 891 "AsyncTask.c"
		} else {
#line 196 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
			_tmp21_ = FALSE;
#line 895 "AsyncTask.c"
		}
#line 196 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		if (_tmp21_) {
#line 197 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
			async_task_finish (self);
#line 901 "AsyncTask.c"
		}
#line 172 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		_g_free0 (_tmp0_);
#line 905 "AsyncTask.c"
	}
	goto __finally32;
	__catch32_g_error:
	{
		GError* e = NULL;
		GError* _tmp24_;
		const gchar* _tmp25_;
#line 172 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		e = _inner_error0_;
#line 172 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		_inner_error0_ = NULL;
#line 201 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		tee_jee_logging_log_error ("AsyncTask.read_stdout()", FALSE, FALSE);
#line 202 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		_tmp24_ = e;
#line 202 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		_tmp25_ = _tmp24_->message;
#line 202 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		tee_jee_logging_log_error (_tmp25_, FALSE, FALSE);
#line 172 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		_g_error_free0 (e);
#line 927 "AsyncTask.c"
	}
	__finally32:
#line 172 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 172 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 172 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		g_clear_error (&_inner_error0_);
#line 172 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		return;
#line 938 "AsyncTask.c"
	}
}


static void
async_task_read_stderr (AsyncTask* self)
{
	GError* _inner_error0_ = NULL;
#line 206 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	g_return_if_fail (self != NULL);
#line 949 "AsyncTask.c"
	{
		gchar* _tmp0_ = NULL;
		GDataInputStream* _tmp1_;
		gchar* _tmp2_;
		gchar* _tmp3_;
		gboolean _tmp21_ = FALSE;
		GDataInputStream* _tmp22_;
		gint _tmp25_;
		gboolean _tmp26_ = FALSE;
		gboolean _tmp27_;
#line 208 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		self->priv->stderr_is_open = TRUE;
#line 210 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		_tmp1_ = self->priv->dis_err;
#line 210 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		_tmp2_ = g_data_input_stream_read_line (_tmp1_, NULL, NULL, &_inner_error0_);
#line 210 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		_tmp0_ = _tmp2_;
#line 210 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 970 "AsyncTask.c"
			goto __catch33_g_error;
		}
#line 210 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		_tmp3_ = _tmp0_;
#line 210 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		_tmp0_ = NULL;
#line 210 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		_g_free0 (self->priv->err_line);
#line 210 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		self->priv->err_line = _tmp3_;
#line 211 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		while (TRUE) {
#line 983 "AsyncTask.c"
			const gchar* _tmp4_;
			gboolean _tmp5_ = FALSE;
			gboolean _tmp6_;
			gchar* _tmp17_ = NULL;
			GDataInputStream* _tmp18_;
			gchar* _tmp19_;
			gchar* _tmp20_;
#line 211 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
			_tmp4_ = self->priv->err_line;
#line 211 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
			if (!(_tmp4_ != NULL)) {
#line 211 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
				break;
#line 997 "AsyncTask.c"
			}
#line 212 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
			_tmp6_ = self->is_terminated;
#line 212 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
			if (!_tmp6_) {
#line 1003 "AsyncTask.c"
				const gchar* _tmp7_;
				gint _tmp8_;
				gint _tmp9_;
#line 212 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
				_tmp7_ = self->priv->err_line;
#line 212 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
				_tmp8_ = strlen (_tmp7_);
#line 212 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
				_tmp9_ = _tmp8_;
#line 212 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
				_tmp5_ = _tmp9_ > 0;
#line 1015 "AsyncTask.c"
			} else {
#line 212 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
				_tmp5_ = FALSE;
#line 1019 "AsyncTask.c"
			}
#line 212 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
			if (_tmp5_) {
#line 1023 "AsyncTask.c"
				const gchar* _tmp10_;
				const gchar* _tmp11_;
				gchar* _tmp12_;
				gchar* _tmp13_;
				gchar* _tmp14_;
				const gchar* _tmp15_;
				const gchar* _tmp16_;
#line 213 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
				_tmp10_ = self->error_msg;
#line 213 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
				_tmp11_ = self->priv->err_line;
#line 213 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
				_tmp12_ = g_strdup_printf ("%s\n", _tmp11_);
#line 213 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
				_tmp13_ = _tmp12_;
#line 213 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
				_tmp14_ = g_strconcat (_tmp10_, _tmp13_, NULL);
#line 213 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
				_g_free0 (self->error_msg);
#line 213 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
				self->error_msg = _tmp14_;
#line 213 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
				_g_free0 (_tmp13_);
#line 215 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
				_tmp15_ = self->priv->err_line;
#line 215 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
				async_task_parse_stderr_line (self, _tmp15_);
#line 216 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
				_tmp16_ = self->priv->err_line;
#line 216 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
				g_signal_emit (self, async_task_signals[ASYNC_TASK_STDERR_LINE_READ_SIGNAL], 0, _tmp16_);
#line 1055 "AsyncTask.c"
			}
#line 218 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
			_tmp18_ = self->priv->dis_err;
#line 218 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
			_tmp19_ = g_data_input_stream_read_line (_tmp18_, NULL, NULL, &_inner_error0_);
#line 218 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
			_tmp17_ = _tmp19_;
#line 218 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
			if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 218 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
				_g_free0 (_tmp0_);
#line 1067 "AsyncTask.c"
				goto __catch33_g_error;
			}
#line 218 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
			_tmp20_ = _tmp17_;
#line 218 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
			_tmp17_ = NULL;
#line 218 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
			_g_free0 (self->priv->err_line);
#line 218 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
			self->priv->err_line = _tmp20_;
#line 211 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
			_g_free0 (_tmp17_);
#line 1080 "AsyncTask.c"
		}
#line 221 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		self->priv->stderr_is_open = FALSE;
#line 224 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		_tmp22_ = self->priv->dis_err;
#line 224 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		if (_tmp22_ != NULL) {
#line 1088 "AsyncTask.c"
			GDataInputStream* _tmp23_;
#line 224 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
			_tmp23_ = self->priv->dis_err;
#line 224 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
			_tmp21_ = !g_input_stream_is_closed ((GInputStream*) _tmp23_);
#line 1094 "AsyncTask.c"
		} else {
#line 224 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
			_tmp21_ = FALSE;
#line 1098 "AsyncTask.c"
		}
#line 224 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		if (_tmp21_) {
#line 1102 "AsyncTask.c"
			GDataInputStream* _tmp24_;
#line 225 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
			_tmp24_ = self->priv->dis_err;
#line 225 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
			g_input_stream_close ((GInputStream*) _tmp24_, NULL, &_inner_error0_);
#line 225 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
			if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 225 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
				_g_free0 (_tmp0_);
#line 1112 "AsyncTask.c"
				goto __catch33_g_error;
			}
		}
#line 228 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		_g_object_unref0 (self->priv->dis_err);
#line 228 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		self->priv->dis_err = NULL;
#line 229 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		_tmp25_ = self->priv->error_fd;
#line 229 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		close (_tmp25_);
#line 232 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		_tmp27_ = self->priv->stdout_is_open;
#line 232 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		if (!_tmp27_) {
#line 1128 "AsyncTask.c"
			gboolean _tmp28_;
#line 232 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
			_tmp28_ = self->priv->stderr_is_open;
#line 232 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
			_tmp26_ = !_tmp28_;
#line 1134 "AsyncTask.c"
		} else {
#line 232 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
			_tmp26_ = FALSE;
#line 1138 "AsyncTask.c"
		}
#line 232 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		if (_tmp26_) {
#line 233 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
			async_task_finish (self);
#line 1144 "AsyncTask.c"
		}
#line 207 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		_g_free0 (_tmp0_);
#line 1148 "AsyncTask.c"
	}
	goto __finally33;
	__catch33_g_error:
	{
		GError* e = NULL;
		GError* _tmp29_;
		const gchar* _tmp30_;
#line 207 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		e = _inner_error0_;
#line 207 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		_inner_error0_ = NULL;
#line 237 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		tee_jee_logging_log_error ("AsyncTask.read_stderr()", FALSE, FALSE);
#line 238 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		_tmp29_ = e;
#line 238 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		_tmp30_ = _tmp29_->message;
#line 238 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		tee_jee_logging_log_error (_tmp30_, FALSE, FALSE);
#line 207 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		_g_error_free0 (e);
#line 1170 "AsyncTask.c"
	}
	__finally33:
#line 207 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 207 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 207 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		g_clear_error (&_inner_error0_);
#line 207 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		return;
#line 1181 "AsyncTask.c"
	}
}


void
async_task_write_stdin (AsyncTask* self,
                        const gchar* line)
{
	GError* _inner_error0_ = NULL;
#line 242 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	g_return_if_fail (self != NULL);
#line 242 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	g_return_if_fail (line != NULL);
#line 1195 "AsyncTask.c"
	{
		AppStatus _tmp0_;
#line 244 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		_tmp0_ = self->status;
#line 244 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		if (_tmp0_ == APP_STATUS_RUNNING) {
#line 1202 "AsyncTask.c"
			GDataOutputStream* _tmp1_;
			gchar* _tmp2_;
			gchar* _tmp3_;
#line 245 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
			_tmp1_ = self->priv->dos_in;
#line 245 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
			_tmp2_ = g_strconcat (line, "\n", NULL);
#line 245 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
			_tmp3_ = _tmp2_;
#line 245 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
			g_data_output_stream_put_string (_tmp1_, _tmp3_, NULL, &_inner_error0_);
#line 245 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
			_g_free0 (_tmp3_);
#line 245 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
			if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 1218 "AsyncTask.c"
				goto __catch34_g_error;
			}
		} else {
#line 248 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
			tee_jee_logging_log_error ("AsyncTask.write_stdin(): NOT RUNNING", FALSE, FALSE);
#line 1224 "AsyncTask.c"
		}
	}
	goto __finally34;
	__catch34_g_error:
	{
		GError* e = NULL;
		gchar* _tmp4_;
		gchar* _tmp5_;
		GError* _tmp6_;
		const gchar* _tmp7_;
#line 243 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		e = _inner_error0_;
#line 243 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		_inner_error0_ = NULL;
#line 252 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		_tmp4_ = g_strdup_printf ("AsyncTask.write_stdin(): %s", line);
#line 252 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		_tmp5_ = _tmp4_;
#line 252 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		tee_jee_logging_log_error (_tmp5_, FALSE, FALSE);
#line 252 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		_g_free0 (_tmp5_);
#line 253 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		_tmp6_ = e;
#line 253 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		_tmp7_ = _tmp6_->message;
#line 253 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		tee_jee_logging_log_error (_tmp7_, FALSE, FALSE);
#line 243 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		_g_error_free0 (e);
#line 1255 "AsyncTask.c"
	}
	__finally34:
#line 243 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 243 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 243 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		g_clear_error (&_inner_error0_);
#line 243 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		return;
#line 1266 "AsyncTask.c"
	}
}


static void
async_task_real_parse_stdout_line (AsyncTask* self,
                                   const gchar* out_line)
{
#line 257 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	g_critical ("Type `%s' does not implement abstract method `async_task_parse_stdout_line'", g_type_name (G_TYPE_FROM_INSTANCE (self)));
#line 257 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	return;
#line 1279 "AsyncTask.c"
}


void
async_task_parse_stdout_line (AsyncTask* self,
                              const gchar* out_line)
{
#line 257 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	g_return_if_fail (self != NULL);
#line 257 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	ASYNC_TASK_GET_CLASS (self)->parse_stdout_line (self, out_line);
#line 1291 "AsyncTask.c"
}


static void
async_task_real_parse_stderr_line (AsyncTask* self,
                                   const gchar* err_line)
{
#line 259 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	g_critical ("Type `%s' does not implement abstract method `async_task_parse_stderr_line'", g_type_name (G_TYPE_FROM_INSTANCE (self)));
#line 259 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	return;
#line 1303 "AsyncTask.c"
}


void
async_task_parse_stderr_line (AsyncTask* self,
                              const gchar* err_line)
{
#line 259 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	g_return_if_fail (self != NULL);
#line 259 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	ASYNC_TASK_GET_CLASS (self)->parse_stderr_line (self, err_line);
#line 1315 "AsyncTask.c"
}


static void
async_task_finish (AsyncTask* self)
{
	gboolean _tmp0_;
	gint _tmp7_;
	GPid _tmp8_;
	gchar* _tmp15_;
	gchar* _tmp16_;
	gchar* _tmp17_;
	GTimer* _tmp18_;
	gboolean _tmp19_ = FALSE;
	AppStatus _tmp20_;
	GError* _inner_error0_ = NULL;
#line 261 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	g_return_if_fail (self != NULL);
#line 264 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	_tmp0_ = self->priv->finish_called;
#line 264 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	if (_tmp0_) {
#line 264 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		return;
#line 1340 "AsyncTask.c"
	}
#line 265 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	self->priv->finish_called = TRUE;
#line 267 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	tee_jee_logging_log_debug ("AsyncTask: finish(): enter");
#line 1346 "AsyncTask.c"
	{
		gboolean _tmp1_ = FALSE;
		gboolean _tmp2_ = FALSE;
		GDataOutputStream* _tmp3_;
#line 271 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		_tmp3_ = self->priv->dos_in;
#line 271 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		if (_tmp3_ != NULL) {
#line 1355 "AsyncTask.c"
			GDataOutputStream* _tmp4_;
#line 271 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
			_tmp4_ = self->priv->dos_in;
#line 271 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
			_tmp2_ = !g_output_stream_is_closed ((GOutputStream*) _tmp4_);
#line 1361 "AsyncTask.c"
		} else {
#line 271 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
			_tmp2_ = FALSE;
#line 1365 "AsyncTask.c"
		}
#line 271 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		if (_tmp2_) {
#line 1369 "AsyncTask.c"
			GDataOutputStream* _tmp5_;
#line 271 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
			_tmp5_ = self->priv->dos_in;
#line 271 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
			_tmp1_ = !g_output_stream_is_closing ((GOutputStream*) _tmp5_);
#line 1375 "AsyncTask.c"
		} else {
#line 271 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
			_tmp1_ = FALSE;
#line 1379 "AsyncTask.c"
		}
#line 271 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		if (_tmp1_) {
#line 1383 "AsyncTask.c"
			GDataOutputStream* _tmp6_;
#line 272 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
			_tmp6_ = self->priv->dos_in;
#line 272 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
			g_output_stream_close ((GOutputStream*) _tmp6_, NULL, &_inner_error0_);
#line 272 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
			if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 1391 "AsyncTask.c"
				goto __catch35_g_error;
			}
		}
	}
	goto __finally35;
	__catch35_g_error:
	{
		GError* e = NULL;
#line 270 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		e = _inner_error0_;
#line 270 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		_inner_error0_ = NULL;
#line 270 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		_g_error_free0 (e);
#line 1406 "AsyncTask.c"
	}
	__finally35:
#line 270 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 270 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 270 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		g_clear_error (&_inner_error0_);
#line 270 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		return;
#line 1417 "AsyncTask.c"
	}
#line 281 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	_g_object_unref0 (self->priv->dos_in);
#line 281 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	self->priv->dos_in = NULL;
#line 282 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	_tmp7_ = self->priv->input_fd;
#line 282 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	close (_tmp7_);
#line 285 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	_tmp8_ = self->child_pid;
#line 285 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	g_spawn_close_pid (_tmp8_);
#line 1431 "AsyncTask.c"
	{
		gboolean _tmp9_ = FALSE;
		gboolean _tmp10_ = FALSE;
		GDataOutputStream* _tmp11_;
#line 289 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		_tmp11_ = self->dos_log;
#line 289 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		if (_tmp11_ != NULL) {
#line 1440 "AsyncTask.c"
			GDataOutputStream* _tmp12_;
#line 289 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
			_tmp12_ = self->dos_log;
#line 289 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
			_tmp10_ = !g_output_stream_is_closed ((GOutputStream*) _tmp12_);
#line 1446 "AsyncTask.c"
		} else {
#line 289 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
			_tmp10_ = FALSE;
#line 1450 "AsyncTask.c"
		}
#line 289 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		if (_tmp10_) {
#line 1454 "AsyncTask.c"
			GDataOutputStream* _tmp13_;
#line 289 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
			_tmp13_ = self->dos_log;
#line 289 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
			_tmp9_ = !g_output_stream_is_closing ((GOutputStream*) _tmp13_);
#line 1460 "AsyncTask.c"
		} else {
#line 289 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
			_tmp9_ = FALSE;
#line 1464 "AsyncTask.c"
		}
#line 289 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		if (_tmp9_) {
#line 1468 "AsyncTask.c"
			GDataOutputStream* _tmp14_;
#line 290 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
			_tmp14_ = self->dos_log;
#line 290 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
			g_output_stream_close ((GOutputStream*) _tmp14_, NULL, &_inner_error0_);
#line 290 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
			if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 1476 "AsyncTask.c"
				goto __catch36_g_error;
			}
		}
#line 292 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		_g_object_unref0 (self->dos_log);
#line 292 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		self->dos_log = NULL;
#line 1484 "AsyncTask.c"
	}
	goto __finally36;
	__catch36_g_error:
	{
		GError* e = NULL;
#line 287 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		e = _inner_error0_;
#line 287 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		_inner_error0_ = NULL;
#line 287 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		_g_error_free0 (e);
#line 1496 "AsyncTask.c"
	}
	__finally36:
#line 287 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 287 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 287 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		g_clear_error (&_inner_error0_);
#line 287 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		return;
#line 1507 "AsyncTask.c"
	}
#line 300 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	async_task_read_exit_code (self);
#line 302 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	_tmp15_ = g_strdup ("");
#line 302 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	_g_free0 (self->status_line);
#line 302 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	self->status_line = _tmp15_;
#line 303 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	_tmp16_ = g_strdup ("");
#line 303 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	_g_free0 (self->priv->err_line);
#line 303 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	self->priv->err_line = _tmp16_;
#line 304 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	_tmp17_ = g_strdup ("");
#line 304 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	_g_free0 (self->priv->out_line);
#line 304 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	self->priv->out_line = _tmp17_;
#line 306 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	_tmp18_ = self->timer;
#line 306 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	g_timer_stop (_tmp18_);
#line 308 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	async_task_finish_task (self);
#line 310 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	_tmp20_ = self->status;
#line 310 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	if (_tmp20_ != APP_STATUS_CANCELLED) {
#line 1539 "AsyncTask.c"
		AppStatus _tmp21_;
#line 310 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		_tmp21_ = self->status;
#line 310 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		_tmp19_ = _tmp21_ != APP_STATUS_PASSWORD_REQUIRED;
#line 1545 "AsyncTask.c"
	} else {
#line 310 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		_tmp19_ = FALSE;
#line 1549 "AsyncTask.c"
	}
#line 310 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	if (_tmp19_) {
#line 311 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		self->status = APP_STATUS_FINISHED;
#line 1555 "AsyncTask.c"
	}
#line 316 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	g_signal_emit (self, async_task_signals[ASYNC_TASK_TASK_COMPLETE_SIGNAL], 0);
#line 1559 "AsyncTask.c"
}


static void
async_task_real_finish_task (AsyncTask* self)
{
#line 319 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	g_critical ("Type `%s' does not implement abstract method `async_task_finish_task'", g_type_name (G_TYPE_FROM_INSTANCE (self)));
#line 319 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	return;
#line 1570 "AsyncTask.c"
}


void
async_task_finish_task (AsyncTask* self)
{
#line 319 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	g_return_if_fail (self != NULL);
#line 319 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	ASYNC_TASK_GET_CLASS (self)->finish_task (self);
#line 1581 "AsyncTask.c"
}


gint
async_task_read_exit_code (AsyncTask* self)
{
	gint result = 0;
	gchar* path = NULL;
	const gchar* _tmp0_;
	gchar* _tmp1_;
	gchar* _tmp2_;
	gchar* _tmp3_;
	gchar* _tmp4_;
	const gchar* _tmp5_;
	gint _tmp9_;
	gchar* _tmp10_;
	gchar* _tmp11_;
	gint _tmp12_;
#line 321 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 323 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	self->exit_code = -1;
#line 324 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	_tmp0_ = self->script_file;
#line 324 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	_tmp1_ = tee_jee_file_system_file_parent (_tmp0_);
#line 324 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	_tmp2_ = _tmp1_;
#line 324 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	_tmp3_ = g_strconcat (_tmp2_, "/status", NULL);
#line 324 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	_tmp4_ = _tmp3_;
#line 324 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	_g_free0 (_tmp2_);
#line 324 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	path = _tmp4_;
#line 325 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	_tmp5_ = path;
#line 325 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	if (tee_jee_file_system_file_exists (_tmp5_)) {
#line 1622 "AsyncTask.c"
		gchar* txt = NULL;
		const gchar* _tmp6_;
		gchar* _tmp7_;
		const gchar* _tmp8_;
#line 326 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		_tmp6_ = path;
#line 326 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		_tmp7_ = tee_jee_file_system_file_read (_tmp6_);
#line 326 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		txt = _tmp7_;
#line 327 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		_tmp8_ = txt;
#line 327 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		self->exit_code = atoi (_tmp8_);
#line 325 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		_g_free0 (txt);
#line 1639 "AsyncTask.c"
	}
#line 329 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	_tmp9_ = self->exit_code;
#line 329 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	_tmp10_ = g_strdup_printf ("exit_code: %d", _tmp9_);
#line 329 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	_tmp11_ = _tmp10_;
#line 329 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	tee_jee_logging_log_debug (_tmp11_);
#line 329 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	_g_free0 (_tmp11_);
#line 330 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	_tmp12_ = self->exit_code;
#line 330 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	result = _tmp12_;
#line 330 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	_g_free0 (path);
#line 330 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	return result;
#line 1659 "AsyncTask.c"
}


gboolean
async_task_is_running (AsyncTask* self)
{
	gboolean result = FALSE;
	AppStatus _tmp0_;
#line 333 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 335 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	_tmp0_ = self->status;
#line 335 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	result = _tmp0_ == APP_STATUS_RUNNING;
#line 335 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	return result;
#line 1676 "AsyncTask.c"
}


void
async_task_stop (AsyncTask* self,
                 AppStatus status_to_update)
{
	GPid _tmp0_;
	GPid _tmp1_;
	gchar* _tmp2_;
	gchar* _tmp3_;
#line 340 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	g_return_if_fail (self != NULL);
#line 342 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	self->status = status_to_update;
#line 344 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	_tmp0_ = self->child_pid;
#line 344 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	tee_jee_process_helper_process_quit (_tmp0_, TRUE);
#line 346 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	_tmp1_ = self->child_pid;
#line 346 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	_tmp2_ = g_strdup_printf ("process_quit: %d", (gint) _tmp1_);
#line 346 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	_tmp3_ = _tmp2_;
#line 346 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	tee_jee_logging_log_debug (_tmp3_);
#line 346 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	_g_free0 (_tmp3_);
#line 1706 "AsyncTask.c"
}


void
async_task_set_priority (AsyncTask* self)
{
	gboolean _tmp0_;
#line 349 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	g_return_if_fail (self != NULL);
#line 351 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	_tmp0_ = self->background_mode;
#line 351 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	if (_tmp0_) {
#line 352 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		async_task_set_priority_value (self, 5);
#line 1722 "AsyncTask.c"
	} else {
#line 355 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		async_task_set_priority_value (self, 0);
#line 1726 "AsyncTask.c"
	}
}


void
async_task_set_priority_value (AsyncTask* self,
                               gint prio)
{
	GPid app_pid = 0;
	GPid _tmp0_;
	AppStatus _tmp1_;
#line 359 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	g_return_if_fail (self != NULL);
#line 361 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	app_pid = (GPid) getpid ();
#line 362 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	_tmp0_ = app_pid;
#line 362 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	tee_jee_process_helper_process_set_priority (_tmp0_, prio);
#line 364 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	_tmp1_ = self->status;
#line 364 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	if (_tmp1_ == APP_STATUS_RUNNING) {
#line 1750 "AsyncTask.c"
		GPid _tmp2_;
		GPid sub_child_pid = 0;
		GPid _tmp3_;
		gint _tmp4_ = 0;
		gint* _tmp5_;
#line 365 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		_tmp2_ = self->child_pid;
#line 365 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		tee_jee_process_helper_process_set_priority (_tmp2_, prio);
#line 368 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		_tmp3_ = self->child_pid;
#line 368 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		_tmp5_ = tee_jee_process_helper_get_process_children (_tmp3_, &_tmp4_);
#line 1764 "AsyncTask.c"
		{
			gint* pid_collection = NULL;
			gint pid_collection_length1 = 0;
			gint _pid_collection_size_ = 0;
			gint pid_it = 0;
#line 368 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
			pid_collection = _tmp5_;
#line 368 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
			pid_collection_length1 = _tmp4_;
#line 368 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
			for (pid_it = 0; pid_it < pid_collection_length1; pid_it = pid_it + 1) {
#line 1776 "AsyncTask.c"
				glong pid = 0L;
#line 368 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
				pid = (glong) pid_collection[pid_it];
#line 1780 "AsyncTask.c"
				{
					glong _tmp6_;
					GPid _tmp7_;
#line 369 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
					_tmp6_ = pid;
#line 369 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
					sub_child_pid = (GPid) _tmp6_;
#line 370 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
					_tmp7_ = sub_child_pid;
#line 370 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
					tee_jee_process_helper_process_set_priority (_tmp7_, prio);
#line 1792 "AsyncTask.c"
				}
			}
#line 368 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
			pid_collection = (g_free (pid_collection), NULL);
#line 1797 "AsyncTask.c"
		}
	}
}


void
async_task_print_app_status (AsyncTask* self)
{
	AppStatus _tmp0_;
#line 398 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	g_return_if_fail (self != NULL);
#line 400 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	_tmp0_ = self->status;
#line 400 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	switch (_tmp0_) {
#line 400 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		case APP_STATUS_NOT_STARTED:
#line 1815 "AsyncTask.c"
		{
			gchar* _tmp1_;
			gchar* _tmp2_;
#line 402 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
			_tmp1_ = g_strdup_printf ("status=%s", "NOT_STARTED");
#line 402 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
			_tmp2_ = _tmp1_;
#line 402 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
			tee_jee_logging_log_debug (_tmp2_);
#line 402 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
			_g_free0 (_tmp2_);
#line 403 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
			break;
#line 1829 "AsyncTask.c"
		}
#line 400 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		case APP_STATUS_RUNNING:
#line 1833 "AsyncTask.c"
		{
			gchar* _tmp3_;
			gchar* _tmp4_;
#line 405 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
			_tmp3_ = g_strdup_printf ("status=%s", "RUNNING");
#line 405 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
			_tmp4_ = _tmp3_;
#line 405 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
			tee_jee_logging_log_debug (_tmp4_);
#line 405 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
			_g_free0 (_tmp4_);
#line 406 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
			break;
#line 1847 "AsyncTask.c"
		}
#line 400 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		case APP_STATUS_PAUSED:
#line 1851 "AsyncTask.c"
		{
			gchar* _tmp5_;
			gchar* _tmp6_;
#line 408 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
			_tmp5_ = g_strdup_printf ("status=%s", "PAUSED");
#line 408 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
			_tmp6_ = _tmp5_;
#line 408 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
			tee_jee_logging_log_debug (_tmp6_);
#line 408 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
			_g_free0 (_tmp6_);
#line 409 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
			break;
#line 1865 "AsyncTask.c"
		}
#line 400 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		case APP_STATUS_FINISHED:
#line 1869 "AsyncTask.c"
		{
			gchar* _tmp7_;
			gchar* _tmp8_;
#line 411 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
			_tmp7_ = g_strdup_printf ("status=%s", "FINISHED");
#line 411 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
			_tmp8_ = _tmp7_;
#line 411 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
			tee_jee_logging_log_debug (_tmp8_);
#line 411 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
			_g_free0 (_tmp8_);
#line 412 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
			break;
#line 1883 "AsyncTask.c"
		}
#line 400 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		case APP_STATUS_CANCELLED:
#line 1887 "AsyncTask.c"
		{
			gchar* _tmp9_;
			gchar* _tmp10_;
#line 414 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
			_tmp9_ = g_strdup_printf ("status=%s", "CANCELLED");
#line 414 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
			_tmp10_ = _tmp9_;
#line 414 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
			tee_jee_logging_log_debug (_tmp10_);
#line 414 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
			_g_free0 (_tmp10_);
#line 415 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
			break;
#line 1901 "AsyncTask.c"
		}
#line 400 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		case APP_STATUS_PASSWORD_REQUIRED:
#line 1905 "AsyncTask.c"
		{
			gchar* _tmp11_;
			gchar* _tmp12_;
#line 417 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
			_tmp11_ = g_strdup_printf ("status=%s", "PASSWORD_REQUIRED");
#line 417 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
			_tmp12_ = _tmp11_;
#line 417 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
			tee_jee_logging_log_debug (_tmp12_);
#line 417 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
			_g_free0 (_tmp12_);
#line 418 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
			break;
#line 1919 "AsyncTask.c"
		}
		default:
#line 400 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		break;
#line 1924 "AsyncTask.c"
	}
}


gchar*
async_task_get_stat_time_elapsed (AsyncTask* self)
{
	gchar* result;
	glong elapsed = 0L;
	GTimer* _tmp0_;
	gchar* _tmp1_;
#line 376 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 377 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	_tmp0_ = self->timer;
#line 377 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	elapsed = (glong) tee_jee_system_timer_elapsed (_tmp0_, TRUE);
#line 378 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	_tmp1_ = tee_jee_misc_format_duration (elapsed);
#line 378 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	result = _tmp1_;
#line 378 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	return result;
#line 1948 "AsyncTask.c"
}


gchar*
async_task_get_stat_time_remaining (AsyncTask* self)
{
	gchar* result;
	gdouble _tmp0_;
#line 383 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 384 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	_tmp0_ = self->progress;
#line 384 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	if (_tmp0_ > ((gdouble) 0)) {
#line 1963 "AsyncTask.c"
		glong elapsed = 0L;
		GTimer* _tmp1_;
		glong remaining = 0L;
		glong _tmp2_;
		gdouble _tmp3_;
		gdouble _tmp4_;
		glong _tmp5_;
		glong _tmp6_;
		gchar* _tmp7_;
#line 385 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		_tmp1_ = self->timer;
#line 385 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		elapsed = (glong) tee_jee_system_timer_elapsed (_tmp1_, TRUE);
#line 386 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		_tmp2_ = elapsed;
#line 386 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		_tmp3_ = self->progress;
#line 386 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		_tmp4_ = self->progress;
#line 386 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		remaining = (glong) ((_tmp2_ / _tmp3_) * (1.0 - _tmp4_));
#line 387 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		_tmp5_ = remaining;
#line 387 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		if (_tmp5_ < ((glong) 0)) {
#line 388 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
			remaining = (glong) 0;
#line 1991 "AsyncTask.c"
		}
#line 390 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		_tmp6_ = remaining;
#line 390 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		_tmp7_ = tee_jee_misc_format_duration (_tmp6_);
#line 390 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		result = _tmp7_;
#line 390 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		return result;
#line 2001 "AsyncTask.c"
	} else {
		gchar* _tmp8_;
#line 393 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		_tmp8_ = g_strdup ("???");
#line 393 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		result = _tmp8_;
#line 393 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		return result;
#line 2010 "AsyncTask.c"
	}
}


static void
async_task_class_init (AsyncTaskClass * klass)
{
#line 31 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	async_task_parent_class = g_type_class_peek_parent (klass);
#line 31 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	g_type_class_add_private (klass, sizeof (AsyncTaskPrivate));
#line 31 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	((AsyncTaskClass *) klass)->parse_stdout_line = (void (*) (AsyncTask*, const gchar*)) async_task_real_parse_stdout_line;
#line 31 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	((AsyncTaskClass *) klass)->parse_stderr_line = (void (*) (AsyncTask*, const gchar*)) async_task_real_parse_stderr_line;
#line 31 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	((AsyncTaskClass *) klass)->finish_task = (void (*) (AsyncTask*)) async_task_real_finish_task;
#line 31 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	G_OBJECT_CLASS (klass)->get_property = _vala_async_task_get_property;
#line 31 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	G_OBJECT_CLASS (klass)->finalize = async_task_finalize;
#line 31 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), ASYNC_TASK_STAT_TIME_ELAPSED_PROPERTY, async_task_properties[ASYNC_TASK_STAT_TIME_ELAPSED_PROPERTY] = g_param_spec_string ("stat-time-elapsed", "stat-time-elapsed", "stat-time-elapsed", NULL, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE));
#line 31 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), ASYNC_TASK_STAT_TIME_REMAINING_PROPERTY, async_task_properties[ASYNC_TASK_STAT_TIME_REMAINING_PROPERTY] = g_param_spec_string ("stat-time-remaining", "stat-time-remaining", "stat-time-remaining", NULL, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE));
#line 31 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	async_task_signals[ASYNC_TASK_STDOUT_LINE_READ_SIGNAL] = g_signal_new ("stdout-line-read", TYPE_ASYNC_TASK, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_marshal_VOID__STRING, G_TYPE_NONE, 1, G_TYPE_STRING);
#line 31 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	async_task_signals[ASYNC_TASK_STDERR_LINE_READ_SIGNAL] = g_signal_new ("stderr-line-read", TYPE_ASYNC_TASK, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_marshal_VOID__STRING, G_TYPE_NONE, 1, G_TYPE_STRING);
#line 31 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	async_task_signals[ASYNC_TASK_TASK_COMPLETE_SIGNAL] = g_signal_new ("task-complete", TYPE_ASYNC_TASK, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_marshal_VOID__VOID, G_TYPE_NONE, 0);
#line 2042 "AsyncTask.c"
}


static void
async_task_instance_init (AsyncTask * self)
{
	gchar* _tmp0_;
	gchar* _tmp1_;
	gchar* _tmp2_;
	gchar* _tmp3_;
	gchar* _tmp4_;
	gchar* _tmp5_;
	gchar* _tmp6_;
	gchar* _tmp7_;
#line 31 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	self->priv = ASYNC_TASK_GET_PRIVATE (self);
#line 33 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	_tmp0_ = g_strdup ("");
#line 33 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	self->priv->err_line = _tmp0_;
#line 34 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	_tmp1_ = g_strdup ("");
#line 34 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	self->priv->out_line = _tmp1_;
#line 39 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	self->is_terminated = FALSE;
#line 41 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	self->priv->stdout_is_open = FALSE;
#line 42 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	self->priv->stderr_is_open = FALSE;
#line 48 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	self->priv->finish_called = FALSE;
#line 50 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	_tmp2_ = g_strdup ("");
#line 50 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	self->script_file = _tmp2_;
#line 51 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	_tmp3_ = g_strdup ("");
#line 51 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	self->working_dir = _tmp3_;
#line 52 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	_tmp4_ = g_strdup ("");
#line 52 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	self->log_file = _tmp4_;
#line 54 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	self->background_mode = FALSE;
#line 58 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	_tmp5_ = g_strdup ("");
#line 58 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	self->status_line = _tmp5_;
#line 59 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	self->exit_code = 0;
#line 60 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	_tmp6_ = g_strdup ("");
#line 60 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	self->error_msg = _tmp6_;
#line 62 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	self->progress = 0.0;
#line 63 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	self->percent = 0.0;
#line 64 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	self->prg_count = (gint64) 0;
#line 65 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	self->prg_count_total = (gint64) 0;
#line 66 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	self->prg_bytes = (gint64) 0;
#line 67 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	self->prg_bytes_total = (gint64) 0;
#line 68 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	_tmp7_ = g_strdup ("");
#line 68 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	self->eta = _tmp7_;
#line 2115 "AsyncTask.c"
}


static void
async_task_finalize (GObject * obj)
{
	AsyncTask * self;
#line 31 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, TYPE_ASYNC_TASK, AsyncTask);
#line 33 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	_g_free0 (self->priv->err_line);
#line 34 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	_g_free0 (self->priv->out_line);
#line 35 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	_g_object_unref0 (self->priv->dos_in);
#line 36 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	_g_object_unref0 (self->priv->dis_out);
#line 37 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	_g_object_unref0 (self->priv->dis_err);
#line 38 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	_g_object_unref0 (self->dos_log);
#line 50 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	_g_free0 (self->script_file);
#line 51 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	_g_free0 (self->working_dir);
#line 52 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	_g_free0 (self->log_file);
#line 58 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	_g_free0 (self->status_line);
#line 60 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	_g_free0 (self->error_msg);
#line 61 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	_g_timer_destroy0 (self->timer);
#line 68 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	_g_free0 (self->eta);
#line 31 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	G_OBJECT_CLASS (async_task_parent_class)->finalize (obj);
#line 2153 "AsyncTask.c"
}


GType
async_task_get_type (void)
{
	static volatile gsize async_task_type_id__volatile = 0;
	if (g_once_init_enter (&async_task_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (AsyncTaskClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) async_task_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (AsyncTask), 0, (GInstanceInitFunc) async_task_instance_init, NULL };
		GType async_task_type_id;
		async_task_type_id = g_type_register_static (G_TYPE_OBJECT, "AsyncTask", &g_define_type_info, G_TYPE_FLAG_ABSTRACT);
		g_once_init_leave (&async_task_type_id__volatile, async_task_type_id);
	}
	return async_task_type_id__volatile;
}


static void
_vala_async_task_get_property (GObject * object,
                               guint property_id,
                               GValue * value,
                               GParamSpec * pspec)
{
	AsyncTask * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, TYPE_ASYNC_TASK, AsyncTask);
#line 31 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
	switch (property_id) {
#line 31 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		case ASYNC_TASK_STAT_TIME_ELAPSED_PROPERTY:
#line 31 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		g_value_take_string (value, async_task_get_stat_time_elapsed (self));
#line 31 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		break;
#line 31 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		case ASYNC_TASK_STAT_TIME_REMAINING_PROPERTY:
#line 31 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		g_value_take_string (value, async_task_get_stat_time_remaining (self));
#line 31 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		break;
#line 2193 "AsyncTask.c"
		default:
#line 31 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 31 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/AsyncTask.vala"
		break;
#line 2199 "AsyncTask.c"
	}
}


GType
app_status_get_type (void)
{
	static volatile gsize app_status_type_id__volatile = 0;
	if (g_once_init_enter (&app_status_type_id__volatile)) {
		static const GEnumValue values[] = {{APP_STATUS_NOT_STARTED, "APP_STATUS_NOT_STARTED", "not-started"}, {APP_STATUS_RUNNING, "APP_STATUS_RUNNING", "running"}, {APP_STATUS_PAUSED, "APP_STATUS_PAUSED", "paused"}, {APP_STATUS_FINISHED, "APP_STATUS_FINISHED", "finished"}, {APP_STATUS_CANCELLED, "APP_STATUS_CANCELLED", "cancelled"}, {APP_STATUS_PASSWORD_REQUIRED, "APP_STATUS_PASSWORD_REQUIRED", "password-required"}, {0, NULL, NULL}};
		GType app_status_type_id;
		app_status_type_id = g_enum_register_static ("AppStatus", values);
		g_once_init_leave (&app_status_type_id__volatile, app_status_type_id);
	}
	return app_status_type_id__volatile;
}


static void
_vala_array_destroy (gpointer array,
                     gint array_length,
                     GDestroyNotify destroy_func)
{
	if ((array != NULL) && (destroy_func != NULL)) {
		int i;
		for (i = 0; i < array_length; i = i + 1) {
			if (((gpointer*) array)[i] != NULL) {
				destroy_func (((gpointer*) array)[i]);
			}
		}
	}
}


static void
_vala_array_free (gpointer array,
                  gint array_length,
                  GDestroyNotify destroy_func)
{
	_vala_array_destroy (array, array_length, destroy_func);
	g_free (array);
}


static gint
_vala_array_length (gpointer array)
{
	int length;
	length = 0;
	if (array) {
		while (((gpointer*) array)[length]) {
			length++;
		}
	}
	return length;
}



