/* DeleteFileTask.c generated by valac 0.40.19, the Vala compiler
 * generated from DeleteFileTask.vala, do not modify */

/*
 * DeleteFileTask.vala
 *
 * Copyright 2012-2018 Tony George <teejeetech@gmail.com>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA 02110-1301, USA.
 *
 *
 */


#include <glib.h>
#include <glib-object.h>
#include <stdlib.h>
#include <string.h>
#include <gio/gio.h>
#include <float.h>
#include <math.h>
#include <gee.h>


#define TYPE_ASYNC_TASK (async_task_get_type ())
#define ASYNC_TASK(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), TYPE_ASYNC_TASK, AsyncTask))
#define ASYNC_TASK_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), TYPE_ASYNC_TASK, AsyncTaskClass))
#define IS_ASYNC_TASK(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TYPE_ASYNC_TASK))
#define IS_ASYNC_TASK_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), TYPE_ASYNC_TASK))
#define ASYNC_TASK_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), TYPE_ASYNC_TASK, AsyncTaskClass))

typedef struct _AsyncTask AsyncTask;
typedef struct _AsyncTaskClass AsyncTaskClass;
typedef struct _AsyncTaskPrivate AsyncTaskPrivate;
typedef enum  {
	APP_STATUS_NOT_STARTED,
	APP_STATUS_RUNNING,
	APP_STATUS_PAUSED,
	APP_STATUS_FINISHED,
	APP_STATUS_CANCELLED,
	APP_STATUS_PASSWORD_REQUIRED
} AppStatus;


#define TYPE_APP_STATUS (app_status_get_type ())

#define TYPE_DELETE_FILE_TASK (delete_file_task_get_type ())
#define DELETE_FILE_TASK(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), TYPE_DELETE_FILE_TASK, DeleteFileTask))
#define DELETE_FILE_TASK_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), TYPE_DELETE_FILE_TASK, DeleteFileTaskClass))
#define IS_DELETE_FILE_TASK(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TYPE_DELETE_FILE_TASK))
#define IS_DELETE_FILE_TASK_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), TYPE_DELETE_FILE_TASK))
#define DELETE_FILE_TASK_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), TYPE_DELETE_FILE_TASK, DeleteFileTaskClass))

typedef struct _DeleteFileTask DeleteFileTask;
typedef struct _DeleteFileTaskClass DeleteFileTaskClass;
typedef struct _DeleteFileTaskPrivate DeleteFileTaskPrivate;
enum  {
	DELETE_FILE_TASK_0_PROPERTY,
	DELETE_FILE_TASK_NUM_PROPERTIES
};
static GParamSpec* delete_file_task_properties[DELETE_FILE_TASK_NUM_PROPERTIES];
#define _g_free0(var) (var = (g_free (var), NULL))
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
#define _g_regex_unref0(var) ((var == NULL) ? NULL : (var = (g_regex_unref (var), NULL)))
#define _g_error_free0(var) ((var == NULL) ? NULL : (var = (g_error_free (var), NULL)))
#define _g_match_info_unref0(var) ((var == NULL) ? NULL : (var = (g_match_info_unref (var), NULL)))

struct _AsyncTask {
	GObject parent_instance;
	AsyncTaskPrivate * priv;
	GDataOutputStream* dos_log;
	gboolean is_terminated;
	GPid child_pid;
	gchar* script_file;
	gchar* working_dir;
	gchar* log_file;
	gboolean background_mode;
	AppStatus status;
	gchar* status_line;
	gint exit_code;
	gchar* error_msg;
	GTimer* timer;
	gdouble progress;
	gdouble percent;
	gint64 prg_count;
	gint64 prg_count_total;
	gint64 prg_bytes;
	gint64 prg_bytes_total;
	gchar* eta;
};

struct _AsyncTaskClass {
	GObjectClass parent_class;
	void (*parse_stdout_line) (AsyncTask* self, const gchar* out_line);
	void (*parse_stderr_line) (AsyncTask* self, const gchar* err_line);
	void (*finish_task) (AsyncTask* self);
};

struct _DeleteFileTask {
	AsyncTask parent_instance;
	DeleteFileTaskPrivate * priv;
	gchar* dest_path;
	gboolean verbose;
	gboolean io_nice;
	gboolean use_rsync;
	gint64 status_line_count;
	gint64 total_size;
	gchar* status_message;
	gchar* time_remaining;
};

struct _DeleteFileTaskClass {
	AsyncTaskClass parent_class;
};

struct _DeleteFileTaskPrivate {
	gchar* source_path;
	GeeHashMap* regex_list;
};


static gpointer delete_file_task_parent_class = NULL;

GType async_task_get_type (void) G_GNUC_CONST;
GType app_status_get_type (void) G_GNUC_CONST;
GType delete_file_task_get_type (void) G_GNUC_CONST;
#define DELETE_FILE_TASK_GET_PRIVATE(o) (G_TYPE_INSTANCE_GET_PRIVATE ((o), TYPE_DELETE_FILE_TASK, DeleteFileTaskPrivate))
DeleteFileTask* delete_file_task_new (void);
DeleteFileTask* delete_file_task_construct (GType object_type);
AsyncTask* async_task_construct (GType object_type);
static void delete_file_task_init_regular_expressions (DeleteFileTask* self);
void tee_jee_logging_log_error (const gchar* message,
                                gboolean highlight,
                                gboolean is_warning);
void delete_file_task_prepare (DeleteFileTask* self);
static gchar* delete_file_task_build_script (DeleteFileTask* self);
void tee_jee_logging_log_debug (const gchar* message);
gchar* tee_jee_process_helper_save_bash_script_temp (const gchar* commands,
                                                     const gchar* script_path,
                                                     gboolean force_locale,
                                                     gboolean supress_errors);
gchar* tee_jee_misc_random_string (gint length,
                                   const gchar* charset);
gboolean tee_jee_file_system_dir_create (const gchar* dir_path,
                                         gboolean show_message);
gchar* tee_jee_file_system_remove_trailing_slash (const gchar* path);
gchar* tee_jee_file_system_escape_single_quote (const gchar* file_path);
void delete_file_task_execute (DeleteFileTask* self);
gboolean async_task_begin (AsyncTask* self);
static void delete_file_task_real_parse_stdout_line (AsyncTask* base,
                                              const gchar* out_line);
gboolean delete_file_task_update_progress_parse_console_output (DeleteFileTask* self,
                                                                const gchar* line);
static void delete_file_task_real_parse_stderr_line (AsyncTask* base,
                                              const gchar* err_line);
static void delete_file_task_real_finish_task (AsyncTask* base);
gint delete_file_task_read_status (DeleteFileTask* self);
gchar* tee_jee_file_system_file_read (const gchar* file_path);
static void delete_file_task_finalize (GObject * obj);
static void _vala_array_destroy (gpointer array,
                          gint array_length,
                          GDestroyNotify destroy_func);
static void _vala_array_free (gpointer array,
                       gint array_length,
                       GDestroyNotify destroy_func);
static gint _vala_array_length (gpointer array);


DeleteFileTask*
delete_file_task_construct (GType object_type)
{
	DeleteFileTask * self = NULL;
#line 51 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
	self = (DeleteFileTask*) async_task_construct (object_type);
#line 52 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
	delete_file_task_init_regular_expressions (self);
#line 51 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
	return self;
#line 193 "DeleteFileTask.c"
}


DeleteFileTask*
delete_file_task_new (void)
{
#line 51 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
	return delete_file_task_construct (TYPE_DELETE_FILE_TASK);
#line 202 "DeleteFileTask.c"
}


static void
delete_file_task_init_regular_expressions (DeleteFileTask* self)
{
	GeeHashMap* _tmp0_;
	GeeHashMap* _tmp1_;
	GError* _inner_error0_ = NULL;
#line 55 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
	g_return_if_fail (self != NULL);
#line 56 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
	_tmp0_ = self->priv->regex_list;
#line 56 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
	if (_tmp0_ != NULL) {
#line 57 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
		return;
#line 220 "DeleteFileTask.c"
	}
#line 60 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
	_tmp1_ = gee_hash_map_new (G_TYPE_STRING, (GBoxedCopyFunc) g_strdup, (GDestroyNotify) g_free, G_TYPE_REGEX, (GBoxedCopyFunc) g_regex_ref, (GDestroyNotify) g_regex_unref, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
#line 60 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
	_g_object_unref0 (self->priv->regex_list);
#line 60 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
	self->priv->regex_list = _tmp1_;
#line 228 "DeleteFileTask.c"
	{
		GRegex* _tmp2_ = NULL;
		GRegex* _tmp3_;
		GeeHashMap* _tmp4_;
#line 64 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
		_tmp3_ = g_regex_new ("\\*deleting[ \\t]+(.*)", 0, 0, &_inner_error0_);
#line 64 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
		_tmp2_ = _tmp3_;
#line 64 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
		if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 239 "DeleteFileTask.c"
			goto __catch40_g_error;
		}
#line 64 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
		_tmp4_ = self->priv->regex_list;
#line 64 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
		gee_abstract_map_set ((GeeAbstractMap*) _tmp4_, "rsync-deleted", _tmp2_);
#line 62 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
		_g_regex_unref0 (_tmp2_);
#line 248 "DeleteFileTask.c"
	}
	goto __finally40;
	__catch40_g_error:
	{
		GError* e = NULL;
		GError* _tmp5_;
		const gchar* _tmp6_;
#line 62 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
		e = _inner_error0_;
#line 62 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
		_inner_error0_ = NULL;
#line 69 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
		_tmp5_ = e;
#line 69 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
		_tmp6_ = _tmp5_->message;
#line 69 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
		tee_jee_logging_log_error (_tmp6_, FALSE, FALSE);
#line 62 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
		_g_error_free0 (e);
#line 268 "DeleteFileTask.c"
	}
	__finally40:
#line 62 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
	if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 62 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 62 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
		g_clear_error (&_inner_error0_);
#line 62 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
		return;
#line 279 "DeleteFileTask.c"
	}
}


void
delete_file_task_prepare (DeleteFileTask* self)
{
	gchar* script_text = NULL;
	gchar* _tmp0_;
	const gchar* _tmp1_;
	gchar* _tmp2_;
	gchar* _tmp3_;
	const gchar* _tmp4_;
	gchar* _tmp5_;
	gchar* _tmp6_;
#line 73 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
	g_return_if_fail (self != NULL);
#line 74 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
	_tmp0_ = delete_file_task_build_script (self);
#line 74 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
	script_text = _tmp0_;
#line 75 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
	tee_jee_logging_log_debug (script_text);
#line 76 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
	_tmp1_ = ((AsyncTask*) self)->script_file;
#line 76 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
	_tmp2_ = tee_jee_process_helper_save_bash_script_temp (script_text, _tmp1_, TRUE, FALSE);
#line 76 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
	_tmp3_ = _tmp2_;
#line 76 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
	_g_free0 (_tmp3_);
#line 78 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
	_tmp4_ = ((AsyncTask*) self)->script_file;
#line 78 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
	_tmp5_ = g_strdup_printf ("RsyncTask:prepare(): saved: %s", _tmp4_);
#line 78 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
	_tmp6_ = _tmp5_;
#line 78 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
	tee_jee_logging_log_debug (_tmp6_);
#line 78 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
	_g_free0 (_tmp6_);
#line 80 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
	self->status_line_count = (gint64) 0;
#line 81 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
	self->total_size = (gint64) 0;
#line 73 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
	_g_free0 (script_text);
#line 327 "DeleteFileTask.c"
}


static gchar*
delete_file_task_build_script (DeleteFileTask* self)
{
	gchar* result = NULL;
	gchar* cmd = NULL;
	gchar* _tmp0_;
	gboolean _tmp1_;
	gboolean _tmp2_;
#line 84 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 85 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
	_tmp0_ = g_strdup ("");
#line 85 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
	cmd = _tmp0_;
#line 87 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
	_tmp1_ = self->io_nice;
#line 87 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
	if (_tmp1_) {
#line 349 "DeleteFileTask.c"
	}
#line 91 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
	_tmp2_ = self->use_rsync;
#line 91 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
	if (_tmp2_) {
#line 355 "DeleteFileTask.c"
		const gchar* _tmp3_;
		gchar* _tmp4_;
		gboolean _tmp5_;
		const gchar* _tmp10_;
		gchar* _tmp11_;
		const gchar* _tmp12_;
		gchar* _tmp13_;
		gchar* _tmp14_;
		gchar* _tmp15_;
		gchar* _tmp16_;
		const gchar* _tmp17_;
		const gchar* _tmp18_;
		gchar* _tmp19_;
		const gchar* _tmp20_;
		gchar* _tmp21_;
		const gchar* _tmp22_;
		const gchar* _tmp23_;
		gchar* _tmp24_;
		gchar* _tmp25_;
		gchar* _tmp26_;
		gchar* _tmp27_;
		gchar* _tmp28_;
		const gchar* _tmp29_;
		const gchar* _tmp30_;
		gchar* _tmp31_;
		gchar* _tmp32_;
		gchar* _tmp33_;
		gchar* _tmp34_;
		gchar* _tmp35_;
#line 93 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
		_tmp3_ = cmd;
#line 93 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
		_tmp4_ = g_strconcat (_tmp3_, "rsync -aii", NULL);
#line 93 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
		_g_free0 (cmd);
#line 93 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
		cmd = _tmp4_;
#line 95 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
		_tmp5_ = self->verbose;
#line 95 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
		if (_tmp5_) {
#line 397 "DeleteFileTask.c"
			const gchar* _tmp6_;
			gchar* _tmp7_;
#line 96 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
			_tmp6_ = cmd;
#line 96 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
			_tmp7_ = g_strconcat (_tmp6_, " --verbose", NULL);
#line 96 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
			_g_free0 (cmd);
#line 96 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
			cmd = _tmp7_;
#line 408 "DeleteFileTask.c"
		} else {
			const gchar* _tmp8_;
			gchar* _tmp9_;
#line 99 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
			_tmp8_ = cmd;
#line 99 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
			_tmp9_ = g_strconcat (_tmp8_, " --quiet", NULL);
#line 99 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
			_g_free0 (cmd);
#line 99 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
			cmd = _tmp9_;
#line 420 "DeleteFileTask.c"
		}
#line 102 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
		_tmp10_ = cmd;
#line 102 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
		_tmp11_ = g_strconcat (_tmp10_, " --delete", NULL);
#line 102 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
		_g_free0 (cmd);
#line 102 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
		cmd = _tmp11_;
#line 104 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
		_tmp12_ = cmd;
#line 104 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
		_tmp13_ = g_strconcat (_tmp12_, " --stats --relative", NULL);
#line 104 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
		_g_free0 (cmd);
#line 104 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
		cmd = _tmp13_;
#line 106 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
		_tmp14_ = tee_jee_misc_random_string (8, "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz1234567890");
#line 106 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
		_tmp15_ = _tmp14_;
#line 106 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
		_tmp16_ = g_strdup_printf ("/tmp/%s_empty", _tmp15_);
#line 106 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
		_g_free0 (self->priv->source_path);
#line 106 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
		self->priv->source_path = _tmp16_;
#line 106 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
		_g_free0 (_tmp15_);
#line 107 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
		_tmp17_ = self->priv->source_path;
#line 107 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
		tee_jee_file_system_dir_create (_tmp17_, FALSE);
#line 109 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
		_tmp18_ = self->priv->source_path;
#line 109 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
		_tmp19_ = tee_jee_file_system_remove_trailing_slash (_tmp18_);
#line 109 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
		_g_free0 (self->priv->source_path);
#line 109 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
		self->priv->source_path = _tmp19_;
#line 110 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
		_tmp20_ = self->dest_path;
#line 110 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
		_tmp21_ = tee_jee_file_system_remove_trailing_slash (_tmp20_);
#line 110 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
		_g_free0 (self->dest_path);
#line 110 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
		self->dest_path = _tmp21_;
#line 112 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
		_tmp22_ = cmd;
#line 112 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
		_tmp23_ = self->priv->source_path;
#line 112 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
		_tmp24_ = tee_jee_file_system_escape_single_quote (_tmp23_);
#line 112 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
		_tmp25_ = _tmp24_;
#line 112 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
		_tmp26_ = g_strdup_printf (" '%s/'", _tmp25_);
#line 112 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
		_tmp27_ = _tmp26_;
#line 112 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
		_tmp28_ = g_strconcat (_tmp22_, _tmp27_, NULL);
#line 112 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
		_g_free0 (cmd);
#line 112 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
		cmd = _tmp28_;
#line 112 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
		_g_free0 (_tmp27_);
#line 112 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
		_g_free0 (_tmp25_);
#line 113 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
		_tmp29_ = cmd;
#line 113 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
		_tmp30_ = self->dest_path;
#line 113 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
		_tmp31_ = tee_jee_file_system_escape_single_quote (_tmp30_);
#line 113 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
		_tmp32_ = _tmp31_;
#line 113 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
		_tmp33_ = g_strdup_printf (" '%s/'", _tmp32_);
#line 113 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
		_tmp34_ = _tmp33_;
#line 113 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
		_tmp35_ = g_strconcat (_tmp29_, _tmp34_, NULL);
#line 113 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
		_g_free0 (cmd);
#line 113 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
		cmd = _tmp35_;
#line 113 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
		_g_free0 (_tmp34_);
#line 113 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
		_g_free0 (_tmp32_);
#line 514 "DeleteFileTask.c"
	} else {
		const gchar* _tmp36_;
		gchar* _tmp37_;
		gboolean _tmp38_;
		const gchar* _tmp43_;
		const gchar* _tmp44_;
		gchar* _tmp45_;
		gchar* _tmp46_;
		gchar* _tmp47_;
		gchar* _tmp48_;
		gchar* _tmp49_;
#line 116 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
		_tmp36_ = cmd;
#line 116 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
		_tmp37_ = g_strconcat (_tmp36_, "rm", NULL);
#line 116 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
		_g_free0 (cmd);
#line 116 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
		cmd = _tmp37_;
#line 118 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
		_tmp38_ = self->verbose;
#line 118 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
		if (_tmp38_) {
#line 538 "DeleteFileTask.c"
			const gchar* _tmp39_;
			gchar* _tmp40_;
#line 119 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
			_tmp39_ = cmd;
#line 119 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
			_tmp40_ = g_strconcat (_tmp39_, " -rfv", NULL);
#line 119 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
			_g_free0 (cmd);
#line 119 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
			cmd = _tmp40_;
#line 549 "DeleteFileTask.c"
		} else {
			const gchar* _tmp41_;
			gchar* _tmp42_;
#line 122 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
			_tmp41_ = cmd;
#line 122 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
			_tmp42_ = g_strconcat (_tmp41_, " -rf", NULL);
#line 122 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
			_g_free0 (cmd);
#line 122 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
			cmd = _tmp42_;
#line 561 "DeleteFileTask.c"
		}
#line 125 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
		_tmp43_ = cmd;
#line 125 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
		_tmp44_ = self->dest_path;
#line 125 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
		_tmp45_ = tee_jee_file_system_escape_single_quote (_tmp44_);
#line 125 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
		_tmp46_ = _tmp45_;
#line 125 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
		_tmp47_ = g_strdup_printf (" '%s'", _tmp46_);
#line 125 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
		_tmp48_ = _tmp47_;
#line 125 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
		_tmp49_ = g_strconcat (_tmp43_, _tmp48_, NULL);
#line 125 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
		_g_free0 (cmd);
#line 125 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
		cmd = _tmp49_;
#line 125 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
		_g_free0 (_tmp48_);
#line 125 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
		_g_free0 (_tmp46_);
#line 585 "DeleteFileTask.c"
	}
#line 128 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
	result = cmd;
#line 128 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
	return result;
#line 591 "DeleteFileTask.c"
}


void
delete_file_task_execute (DeleteFileTask* self)
{
	AppStatus _tmp0_;
#line 133 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
	g_return_if_fail (self != NULL);
#line 135 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
	((AsyncTask*) self)->status = APP_STATUS_RUNNING;
#line 137 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
	tee_jee_logging_log_debug ("RsyncTask:execute()");
#line 139 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
	delete_file_task_prepare (self);
#line 141 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
	async_task_begin ((AsyncTask*) self);
#line 143 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
	_tmp0_ = ((AsyncTask*) self)->status;
#line 143 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
	if (_tmp0_ == APP_STATUS_RUNNING) {
#line 613 "DeleteFileTask.c"
	}
}


static void
delete_file_task_real_parse_stdout_line (AsyncTask* base,
                                         const gchar* out_line)
{
	DeleteFileTask * self;
	gboolean _tmp0_;
#line 149 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
	self = (DeleteFileTask*) base;
#line 149 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
	g_return_if_fail (out_line != NULL);
#line 150 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
	_tmp0_ = ((AsyncTask*) self)->is_terminated;
#line 150 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
	if (_tmp0_) {
#line 151 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
		return;
#line 634 "DeleteFileTask.c"
	}
#line 154 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
	delete_file_task_update_progress_parse_console_output (self, out_line);
#line 638 "DeleteFileTask.c"
}


static void
delete_file_task_real_parse_stderr_line (AsyncTask* base,
                                         const gchar* err_line)
{
	DeleteFileTask * self;
	gboolean _tmp0_;
#line 157 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
	self = (DeleteFileTask*) base;
#line 157 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
	g_return_if_fail (err_line != NULL);
#line 158 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
	_tmp0_ = ((AsyncTask*) self)->is_terminated;
#line 158 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
	if (_tmp0_) {
#line 159 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
		return;
#line 658 "DeleteFileTask.c"
	}
#line 162 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
	delete_file_task_update_progress_parse_console_output (self, err_line);
#line 662 "DeleteFileTask.c"
}


static gchar*
string_strip (const gchar* self)
{
	gchar* result = NULL;
	gchar* _result_ = NULL;
	gchar* _tmp0_;
	const gchar* _tmp1_;
#line 1304 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, NULL);
#line 1305 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	_tmp0_ = g_strdup (self);
#line 1305 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	_result_ = _tmp0_;
#line 1306 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	_tmp1_ = _result_;
#line 1306 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	g_strstrip (_tmp1_);
#line 1307 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	result = _result_;
#line 1307 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	return result;
#line 687 "DeleteFileTask.c"
}


gboolean
delete_file_task_update_progress_parse_console_output (DeleteFileTask* self,
                                                       const gchar* line)
{
	gboolean result = FALSE;
	gboolean _tmp0_ = FALSE;
	gint64 _tmp3_;
	gint64 _tmp4_;
	GMatchInfo* match = NULL;
	GeeHashMap* _tmp8_;
	gpointer _tmp9_;
	GRegex* _tmp10_;
	GMatchInfo* _tmp11_ = NULL;
	gboolean _tmp12_;
	gboolean _tmp13_;
#line 165 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 165 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
	g_return_val_if_fail (line != NULL, FALSE);
#line 166 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
	if (line == NULL) {
#line 166 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
		_tmp0_ = TRUE;
#line 714 "DeleteFileTask.c"
	} else {
		gint _tmp1_;
		gint _tmp2_;
#line 166 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
		_tmp1_ = strlen (line);
#line 166 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
		_tmp2_ = _tmp1_;
#line 166 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
		_tmp0_ = _tmp2_ == 0;
#line 724 "DeleteFileTask.c"
	}
#line 166 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
	if (_tmp0_) {
#line 167 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
		result = TRUE;
#line 167 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
		return result;
#line 732 "DeleteFileTask.c"
	}
#line 170 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
	_tmp3_ = self->status_line_count;
#line 170 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
	self->status_line_count = _tmp3_ + 1;
#line 172 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
	_tmp4_ = ((AsyncTask*) self)->prg_count_total;
#line 172 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
	if (_tmp4_ > ((gint64) 0)) {
#line 742 "DeleteFileTask.c"
		gint64 _tmp5_;
		gint64 _tmp6_;
		gint64 _tmp7_;
#line 173 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
		_tmp5_ = self->status_line_count;
#line 173 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
		((AsyncTask*) self)->prg_count = _tmp5_;
#line 174 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
		_tmp6_ = ((AsyncTask*) self)->prg_count;
#line 174 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
		_tmp7_ = ((AsyncTask*) self)->prg_count_total;
#line 174 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
		((AsyncTask*) self)->progress = (_tmp6_ * 1.0) / _tmp7_;
#line 756 "DeleteFileTask.c"
	}
#line 178 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
	_tmp8_ = self->priv->regex_list;
#line 178 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
	_tmp9_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp8_, "rsync-deleted");
#line 178 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
	_tmp10_ = (GRegex*) _tmp9_;
#line 178 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
	_tmp12_ = g_regex_match (_tmp10_, line, 0, &_tmp11_);
#line 178 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
	_g_match_info_unref0 (match);
#line 178 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
	match = _tmp11_;
#line 178 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
	_tmp13_ = _tmp12_;
#line 178 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
	_g_regex_unref0 (_tmp10_);
#line 178 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
	if (_tmp13_) {
#line 776 "DeleteFileTask.c"
		GMatchInfo* _tmp14_;
		gchar* _tmp15_;
		gchar* _tmp16_;
		gchar** _tmp17_;
		gchar** _tmp18_;
		gchar** _tmp19_;
		gint _tmp19__length1;
		const gchar* _tmp20_;
		gchar* _tmp21_;
#line 182 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
		_tmp14_ = match;
#line 182 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
		_tmp15_ = g_match_info_fetch (_tmp14_, 1);
#line 182 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
		_tmp16_ = _tmp15_;
#line 182 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
		_tmp18_ = _tmp17_ = g_strsplit (_tmp16_, " -> ", 0);
#line 182 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
		_tmp19_ = _tmp18_;
#line 182 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
		_tmp19__length1 = _vala_array_length (_tmp17_);
#line 182 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
		_tmp20_ = _tmp19_[0];
#line 182 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
		_tmp21_ = string_strip (_tmp20_);
#line 182 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
		_g_free0 (((AsyncTask*) self)->status_line);
#line 182 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
		((AsyncTask*) self)->status_line = _tmp21_;
#line 182 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
		_tmp19_ = (_vala_array_free (_tmp19_, _tmp19__length1, (GDestroyNotify) g_free), NULL);
#line 182 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
		_g_free0 (_tmp16_);
#line 810 "DeleteFileTask.c"
	} else {
		gchar* _tmp22_;
#line 188 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
		_tmp22_ = string_strip (line);
#line 188 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
		_g_free0 (((AsyncTask*) self)->status_line);
#line 188 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
		((AsyncTask*) self)->status_line = _tmp22_;
#line 819 "DeleteFileTask.c"
	}
#line 191 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
	result = TRUE;
#line 191 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
	_g_match_info_unref0 (match);
#line 191 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
	return result;
#line 827 "DeleteFileTask.c"
}


static void
delete_file_task_real_finish_task (AsyncTask* base)
{
	DeleteFileTask * self;
	gboolean _tmp0_ = FALSE;
	AppStatus _tmp1_;
#line 194 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
	self = (DeleteFileTask*) base;
#line 195 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
	_tmp1_ = ((AsyncTask*) self)->status;
#line 195 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
	if (_tmp1_ != APP_STATUS_CANCELLED) {
#line 843 "DeleteFileTask.c"
		AppStatus _tmp2_;
#line 195 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
		_tmp2_ = ((AsyncTask*) self)->status;
#line 195 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
		_tmp0_ = _tmp2_ != APP_STATUS_PASSWORD_REQUIRED;
#line 849 "DeleteFileTask.c"
	} else {
#line 195 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
		_tmp0_ = FALSE;
#line 853 "DeleteFileTask.c"
	}
#line 195 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
	if (_tmp0_) {
#line 196 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
		((AsyncTask*) self)->status = APP_STATUS_FINISHED;
#line 859 "DeleteFileTask.c"
	}
}


gint
delete_file_task_read_status (DeleteFileTask* self)
{
	gint result = 0;
	gchar* status_file = NULL;
	const gchar* _tmp0_;
	gchar* _tmp1_;
	GFile* f = NULL;
	const gchar* _tmp2_;
	GFile* _tmp3_;
	GFile* _tmp4_;
#line 200 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 201 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
	_tmp0_ = ((AsyncTask*) self)->working_dir;
#line 201 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
	_tmp1_ = g_strconcat (_tmp0_, "/status", NULL);
#line 201 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
	status_file = _tmp1_;
#line 202 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
	_tmp2_ = status_file;
#line 202 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
	_tmp3_ = g_file_new_for_path (_tmp2_);
#line 202 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
	f = _tmp3_;
#line 203 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
	_tmp4_ = f;
#line 203 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
	if (g_file_query_exists (_tmp4_, NULL)) {
#line 893 "DeleteFileTask.c"
		gchar* txt = NULL;
		const gchar* _tmp5_;
		gchar* _tmp6_;
		const gchar* _tmp7_;
#line 204 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
		_tmp5_ = status_file;
#line 204 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
		_tmp6_ = tee_jee_file_system_file_read (_tmp5_);
#line 204 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
		txt = _tmp6_;
#line 205 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
		_tmp7_ = txt;
#line 205 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
		result = atoi (_tmp7_);
#line 205 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
		_g_free0 (txt);
#line 205 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
		_g_object_unref0 (f);
#line 205 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
		_g_free0 (status_file);
#line 205 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
		return result;
#line 916 "DeleteFileTask.c"
	}
#line 207 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
	result = -1;
#line 207 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
	_g_object_unref0 (f);
#line 207 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
	_g_free0 (status_file);
#line 207 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
	return result;
#line 926 "DeleteFileTask.c"
}


static void
delete_file_task_class_init (DeleteFileTaskClass * klass)
{
#line 31 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
	delete_file_task_parent_class = g_type_class_peek_parent (klass);
#line 31 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
	g_type_class_add_private (klass, sizeof (DeleteFileTaskPrivate));
#line 31 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
	((AsyncTaskClass *) klass)->parse_stdout_line = (void (*) (AsyncTask*, const gchar*)) delete_file_task_real_parse_stdout_line;
#line 31 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
	((AsyncTaskClass *) klass)->parse_stderr_line = (void (*) (AsyncTask*, const gchar*)) delete_file_task_real_parse_stderr_line;
#line 31 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
	((AsyncTaskClass *) klass)->finish_task = (void (*) (AsyncTask*)) delete_file_task_real_finish_task;
#line 31 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
	G_OBJECT_CLASS (klass)->finalize = delete_file_task_finalize;
#line 945 "DeleteFileTask.c"
}


static void
delete_file_task_instance_init (DeleteFileTask * self)
{
	gchar* _tmp0_;
	gchar* _tmp1_;
	gchar* _tmp2_;
	gchar* _tmp3_;
#line 31 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
	self->priv = DELETE_FILE_TASK_GET_PRIVATE (self);
#line 34 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
	_tmp0_ = g_strdup ("");
#line 34 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
	self->dest_path = _tmp0_;
#line 35 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
	self->verbose = TRUE;
#line 36 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
	self->io_nice = TRUE;
#line 37 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
	self->use_rsync = FALSE;
#line 40 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
	_tmp1_ = g_strdup ("");
#line 40 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
	self->priv->source_path = _tmp1_;
#line 46 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
	self->status_line_count = (gint64) 0;
#line 47 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
	self->total_size = (gint64) 0;
#line 48 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
	_tmp2_ = g_strdup ("");
#line 48 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
	self->status_message = _tmp2_;
#line 49 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
	_tmp3_ = g_strdup ("");
#line 49 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
	self->time_remaining = _tmp3_;
#line 984 "DeleteFileTask.c"
}


static void
delete_file_task_finalize (GObject * obj)
{
	DeleteFileTask * self;
#line 31 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, TYPE_DELETE_FILE_TASK, DeleteFileTask);
#line 34 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
	_g_free0 (self->dest_path);
#line 40 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
	_g_free0 (self->priv->source_path);
#line 43 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
	_g_object_unref0 (self->priv->regex_list);
#line 48 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
	_g_free0 (self->status_message);
#line 49 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
	_g_free0 (self->time_remaining);
#line 31 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/DeleteFileTask.vala"
	G_OBJECT_CLASS (delete_file_task_parent_class)->finalize (obj);
#line 1006 "DeleteFileTask.c"
}


GType
delete_file_task_get_type (void)
{
	static volatile gsize delete_file_task_type_id__volatile = 0;
	if (g_once_init_enter (&delete_file_task_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (DeleteFileTaskClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) delete_file_task_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (DeleteFileTask), 0, (GInstanceInitFunc) delete_file_task_instance_init, NULL };
		GType delete_file_task_type_id;
		delete_file_task_type_id = g_type_register_static (TYPE_ASYNC_TASK, "DeleteFileTask", &g_define_type_info, 0);
		g_once_init_leave (&delete_file_task_type_id__volatile, delete_file_task_type_id);
	}
	return delete_file_task_type_id__volatile;
}


static void
_vala_array_destroy (gpointer array,
                     gint array_length,
                     GDestroyNotify destroy_func)
{
	if ((array != NULL) && (destroy_func != NULL)) {
		int i;
		for (i = 0; i < array_length; i = i + 1) {
			if (((gpointer*) array)[i] != NULL) {
				destroy_func (((gpointer*) array)[i]);
			}
		}
	}
}


static void
_vala_array_free (gpointer array,
                  gint array_length,
                  GDestroyNotify destroy_func)
{
	_vala_array_destroy (array, array_length, destroy_func);
	g_free (array);
}


static gint
_vala_array_length (gpointer array)
{
	int length;
	length = 0;
	if (array) {
		while (((gpointer*) array)[length]) {
			length++;
		}
	}
	return length;
}



