/* FsTabEntry.c generated by valac 0.40.19, the Vala compiler
 * generated from FsTabEntry.vala, do not modify */

/*
 * FsTabEntry.vala
 *
 * Copyright 2012-2018 Tony George <teejeetech@gmail.com>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA 02110-1301, USA.
 *
 *
 */


#include <glib.h>
#include <glib-object.h>
#include <stdlib.h>
#include <string.h>
#include <gee.h>
#include <gtk/gtk.h>


#define TYPE_FS_TAB_ENTRY (fs_tab_entry_get_type ())
#define FS_TAB_ENTRY(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), TYPE_FS_TAB_ENTRY, FsTabEntry))
#define FS_TAB_ENTRY_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), TYPE_FS_TAB_ENTRY, FsTabEntryClass))
#define IS_FS_TAB_ENTRY(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TYPE_FS_TAB_ENTRY))
#define IS_FS_TAB_ENTRY_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), TYPE_FS_TAB_ENTRY))
#define FS_TAB_ENTRY_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), TYPE_FS_TAB_ENTRY, FsTabEntryClass))

typedef struct _FsTabEntry FsTabEntry;
typedef struct _FsTabEntryClass FsTabEntryClass;
typedef struct _FsTabEntryPrivate FsTabEntryPrivate;
enum  {
	FS_TAB_ENTRY_0_PROPERTY,
	FS_TAB_ENTRY_DEVICE_UUID_PROPERTY,
	FS_TAB_ENTRY_NUM_PROPERTIES
};
static GParamSpec* fs_tab_entry_properties[FS_TAB_ENTRY_NUM_PROPERTIES];
#define _g_free0(var) (var = (g_free (var), NULL))
#define _g_regex_unref0(var) ((var == NULL) ? NULL : (var = (g_regex_unref (var), NULL)))
#define _g_error_free0(var) ((var == NULL) ? NULL : (var = (g_error_free (var), NULL)))
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))

#define TYPE_CRYPT_TAB_ENTRY (crypt_tab_entry_get_type ())
#define CRYPT_TAB_ENTRY(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), TYPE_CRYPT_TAB_ENTRY, CryptTabEntry))
#define CRYPT_TAB_ENTRY_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), TYPE_CRYPT_TAB_ENTRY, CryptTabEntryClass))
#define IS_CRYPT_TAB_ENTRY(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TYPE_CRYPT_TAB_ENTRY))
#define IS_CRYPT_TAB_ENTRY_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), TYPE_CRYPT_TAB_ENTRY))
#define CRYPT_TAB_ENTRY_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), TYPE_CRYPT_TAB_ENTRY, CryptTabEntryClass))

typedef struct _CryptTabEntry CryptTabEntry;
typedef struct _CryptTabEntryClass CryptTabEntryClass;

#define TYPE_DEVICE (device_get_type ())
#define DEVICE(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), TYPE_DEVICE, Device))
#define DEVICE_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), TYPE_DEVICE, DeviceClass))
#define IS_DEVICE(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TYPE_DEVICE))
#define IS_DEVICE_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), TYPE_DEVICE))
#define DEVICE_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), TYPE_DEVICE, DeviceClass))

typedef struct _Device Device;
typedef struct _DeviceClass DeviceClass;
typedef struct _CryptTabEntryPrivate CryptTabEntryPrivate;

struct _FsTabEntry {
	GObject parent_instance;
	FsTabEntryPrivate * priv;
	gboolean is_comment;
	gboolean is_empty_line;
	gchar* device_string;
	gchar* mount_point;
	gchar* type;
	gchar* options;
	gchar* dump;
	gchar* pass;
	gchar* line;
};

struct _FsTabEntryClass {
	GObjectClass parent_class;
};

struct _CryptTabEntry {
	GObject parent_instance;
	CryptTabEntryPrivate * priv;
	gboolean is_comment;
	gboolean is_empty_line;
	gchar* mapped_name;
	gchar* device_string;
	gchar* keyfile;
	gchar* options;
	gchar* line;
};

struct _CryptTabEntryClass {
	GObjectClass parent_class;
};


static gpointer fs_tab_entry_parent_class = NULL;

GType fs_tab_entry_get_type (void) G_GNUC_CONST;
GeeArrayList* fs_tab_entry_read_file (const gchar* file_path);
gboolean tee_jee_file_system_file_exists (const gchar* file_path);
gchar* tee_jee_file_system_file_read (const gchar* file_path);
FsTabEntry* fs_tab_entry_new (void);
FsTabEntry* fs_tab_entry_construct (GType object_type);
gchar* fs_tab_entry_write_file (GeeArrayList* entries,
                                const gchar* file_path,
                                gboolean keep_comments_and_empty_lines);
static gint __lambda6_ (FsTabEntry* a,
                 FsTabEntry* b);
static gint ___lambda6__gcompare_data_func (gconstpointer a,
                                     gconstpointer b,
                                     gpointer self);
gboolean tee_jee_file_system_file_delete (const gchar* file_path);
gboolean tee_jee_file_system_file_write (const gchar* file_path,
                                         const gchar* contents);
gchar* fs_tab_entry_subvolume_name (FsTabEntry* self);
gboolean fs_tab_entry_is_for_system_directory (FsTabEntry* self);
FsTabEntry* fs_tab_entry_find_entry_by_mount_point (GeeArrayList* entries,
                                                    const gchar* mount_path);
GType crypt_tab_entry_get_type (void) G_GNUC_CONST;
GType device_get_type (void) G_GNUC_CONST;
Device* fs_tab_entry_resolve_device (FsTabEntry* self,
                                     GeeArrayList* crypttab,
                                     GtkWindow* parent_window);
gchar* fs_tab_entry_get_device_uuid (FsTabEntry* self);
Device* device_get_device_by_uuid (const gchar* uuid);
Device* device_get_device_by_name (const gchar* file_name);
Device* device_luks_unlock (Device* luks_device,
                            const gchar* mapped_name,
                            const gchar* passphrase,
                            GtkWindow* parent_window,
                            gchar* * message,
                            gchar* * details);
void fs_tab_entry_append_option (FsTabEntry* self,
                                 const gchar* option);
void fs_tab_entry_remove_option (FsTabEntry* self,
                                 const gchar* option);
void fs_tab_entry_set_device_uuid (FsTabEntry* self,
                                   const gchar* value);
static void fs_tab_entry_finalize (GObject * obj);
static void _vala_fs_tab_entry_get_property (GObject * object,
                                      guint property_id,
                                      GValue * value,
                                      GParamSpec * pspec);
static void _vala_fs_tab_entry_set_property (GObject * object,
                                      guint property_id,
                                      const GValue * value,
                                      GParamSpec * pspec);
static void _vala_array_destroy (gpointer array,
                          gint array_length,
                          GDestroyNotify destroy_func);
static void _vala_array_free (gpointer array,
                       gint array_length,
                       GDestroyNotify destroy_func);
static gint _vala_array_length (gpointer array);


static gchar*
string_strip (const gchar* self)
{
	gchar* result = NULL;
	gchar* _result_ = NULL;
	gchar* _tmp0_;
	const gchar* _tmp1_;
#line 1304 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, NULL);
#line 1305 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	_tmp0_ = g_strdup (self);
#line 1305 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	_result_ = _tmp0_;
#line 1306 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	_tmp1_ = _result_;
#line 1306 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	g_strstrip (_tmp1_);
#line 1307 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	result = _result_;
#line 1307 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	return result;
#line 196 "FsTabEntry.c"
}


static gchar*
string_replace (const gchar* self,
                const gchar* old,
                const gchar* replacement)
{
	gchar* result = NULL;
	gboolean _tmp0_ = FALSE;
	gboolean _tmp1_ = FALSE;
	GError* _inner_error0_ = NULL;
#line 1479 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, NULL);
#line 1479 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	g_return_val_if_fail (old != NULL, NULL);
#line 1479 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	g_return_val_if_fail (replacement != NULL, NULL);
#line 1480 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	if ((*((gchar*) self)) == '\0') {
#line 1480 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp1_ = TRUE;
#line 219 "FsTabEntry.c"
	} else {
#line 1480 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp1_ = (*((gchar*) old)) == '\0';
#line 223 "FsTabEntry.c"
	}
#line 1480 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	if (_tmp1_) {
#line 1480 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp0_ = TRUE;
#line 229 "FsTabEntry.c"
	} else {
#line 1480 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp0_ = g_strcmp0 (old, replacement) == 0;
#line 233 "FsTabEntry.c"
	}
#line 1480 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	if (_tmp0_) {
#line 237 "FsTabEntry.c"
		gchar* _tmp2_;
#line 1481 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp2_ = g_strdup (self);
#line 1481 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		result = _tmp2_;
#line 1481 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		return result;
#line 245 "FsTabEntry.c"
	}
	{
		GRegex* regex = NULL;
		gchar* _tmp3_;
		gchar* _tmp4_;
		GRegex* _tmp5_;
		GRegex* _tmp6_;
		gchar* _tmp7_ = NULL;
		GRegex* _tmp8_;
		gchar* _tmp9_;
		gchar* _tmp10_;
#line 1484 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp3_ = g_regex_escape_string (old, -1);
#line 1484 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp4_ = _tmp3_;
#line 1484 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp5_ = g_regex_new (_tmp4_, 0, 0, &_inner_error0_);
#line 1484 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp6_ = _tmp5_;
#line 1484 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_g_free0 (_tmp4_);
#line 1484 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		regex = _tmp6_;
#line 1484 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 1484 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
			if (_inner_error0_->domain == G_REGEX_ERROR) {
#line 273 "FsTabEntry.c"
				goto __catch50_g_regex_error;
			}
#line 1484 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
			g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 1484 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
			g_clear_error (&_inner_error0_);
#line 1484 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
			return NULL;
#line 282 "FsTabEntry.c"
		}
#line 1485 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp8_ = regex;
#line 1485 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp9_ = g_regex_replace_literal (_tmp8_, self, (gssize) -1, 0, replacement, 0, &_inner_error0_);
#line 1485 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp7_ = _tmp9_;
#line 1485 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 1485 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
			_g_regex_unref0 (regex);
#line 1485 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
			if (_inner_error0_->domain == G_REGEX_ERROR) {
#line 296 "FsTabEntry.c"
				goto __catch50_g_regex_error;
			}
#line 1485 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
			g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 1485 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
			g_clear_error (&_inner_error0_);
#line 1485 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
			return NULL;
#line 305 "FsTabEntry.c"
		}
#line 1485 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp10_ = _tmp7_;
#line 1485 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp7_ = NULL;
#line 1485 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		result = _tmp10_;
#line 1485 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_g_free0 (_tmp7_);
#line 1485 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_g_regex_unref0 (regex);
#line 1485 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		return result;
#line 319 "FsTabEntry.c"
	}
	goto __finally50;
	__catch50_g_regex_error:
	{
		GError* e = NULL;
#line 1483 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		e = _inner_error0_;
#line 1483 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_inner_error0_ = NULL;
#line 1487 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		g_assert_not_reached ();
#line 1483 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_g_error_free0 (e);
#line 333 "FsTabEntry.c"
	}
	__finally50:
#line 1483 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 1483 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 1483 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		g_clear_error (&_inner_error0_);
#line 1483 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		return NULL;
#line 344 "FsTabEntry.c"
	}
}


GeeArrayList*
fs_tab_entry_read_file (const gchar* file_path)
{
	GeeArrayList* result = NULL;
	GeeArrayList* list = NULL;
	GeeArrayList* _tmp0_;
	gchar* text = NULL;
	gchar* _tmp1_;
	gchar** lines = NULL;
	const gchar* _tmp2_;
	gchar** _tmp3_;
	gchar** _tmp4_;
	gint lines_length1;
	gint _lines_size_;
	gchar** _tmp5_;
	gint _tmp5__length1;
#line 59 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
	g_return_val_if_fail (file_path != NULL, NULL);
#line 61 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
	_tmp0_ = gee_array_list_new (TYPE_FS_TAB_ENTRY, (GBoxedCopyFunc) g_object_ref, (GDestroyNotify) g_object_unref, NULL, NULL, NULL);
#line 61 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
	list = _tmp0_;
#line 63 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
	if (!tee_jee_file_system_file_exists (file_path)) {
#line 63 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
		result = list;
#line 63 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
		return result;
#line 377 "FsTabEntry.c"
	}
#line 65 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
	_tmp1_ = tee_jee_file_system_file_read (file_path);
#line 65 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
	text = _tmp1_;
#line 67 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
	_tmp2_ = text;
#line 67 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
	_tmp4_ = _tmp3_ = g_strsplit (_tmp2_, "\n", 0);
#line 67 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
	lines = _tmp4_;
#line 67 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
	lines_length1 = _vala_array_length (_tmp3_);
#line 67 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
	_lines_size_ = lines_length1;
#line 69 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
	_tmp5_ = lines;
#line 69 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
	_tmp5__length1 = lines_length1;
#line 397 "FsTabEntry.c"
	{
		gchar** line_collection = NULL;
		gint line_collection_length1 = 0;
		gint _line_collection_size_ = 0;
		gint line_it = 0;
#line 69 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
		line_collection = _tmp5_;
#line 69 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
		line_collection_length1 = _tmp5__length1;
#line 69 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
		for (line_it = 0; line_it < line_collection_length1; line_it = line_it + 1) {
#line 409 "FsTabEntry.c"
			gchar* _tmp6_;
			gchar* line = NULL;
#line 69 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
			_tmp6_ = g_strdup (line_collection[line_it]);
#line 69 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
			line = _tmp6_;
#line 416 "FsTabEntry.c"
			{
				FsTabEntry* entry = NULL;
				FsTabEntry* _tmp7_;
				GeeArrayList* _tmp8_;
				FsTabEntry* _tmp9_;
				FsTabEntry* _tmp10_;
				const gchar* _tmp11_;
				gchar* _tmp12_;
				gchar* _tmp13_;
				FsTabEntry* _tmp14_;
				const gchar* _tmp15_;
				gchar* _tmp16_;
				gchar* _tmp17_;
				gint _tmp18_;
				gint _tmp19_;
				FsTabEntry* _tmp20_;
				gboolean _tmp21_;
#line 71 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
				_tmp7_ = fs_tab_entry_new ();
#line 71 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
				entry = _tmp7_;
#line 72 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
				_tmp8_ = list;
#line 72 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
				_tmp9_ = entry;
#line 72 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
				gee_abstract_collection_add ((GeeAbstractCollection*) _tmp8_, _tmp9_);
#line 74 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
				_tmp10_ = entry;
#line 74 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
				_tmp11_ = line;
#line 74 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
				_tmp12_ = string_strip (_tmp11_);
#line 74 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
				_tmp13_ = _tmp12_;
#line 74 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
				_tmp10_->is_comment = g_str_has_prefix (_tmp13_, "#");
#line 74 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
				_g_free0 (_tmp13_);
#line 75 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
				_tmp14_ = entry;
#line 75 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
				_tmp15_ = line;
#line 75 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
				_tmp16_ = string_strip (_tmp15_);
#line 75 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
				_tmp17_ = _tmp16_;
#line 75 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
				_tmp18_ = strlen (_tmp17_);
#line 75 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
				_tmp19_ = _tmp18_;
#line 75 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
				_tmp14_->is_empty_line = _tmp19_ == 0;
#line 75 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
				_g_free0 (_tmp17_);
#line 77 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
				_tmp20_ = entry;
#line 77 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
				_tmp21_ = _tmp20_->is_comment;
#line 77 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
				if (_tmp21_) {
#line 478 "FsTabEntry.c"
					FsTabEntry* _tmp22_;
					const gchar* _tmp23_;
					gchar* _tmp24_;
#line 79 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
					_tmp22_ = entry;
#line 79 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
					_tmp23_ = line;
#line 79 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
					_tmp24_ = g_strdup (_tmp23_);
#line 79 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
					_g_free0 (_tmp22_->line);
#line 79 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
					_tmp22_->line = _tmp24_;
#line 492 "FsTabEntry.c"
				} else {
					FsTabEntry* _tmp25_;
					gboolean _tmp26_;
#line 81 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
					_tmp25_ = entry;
#line 81 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
					_tmp26_ = _tmp25_->is_empty_line;
#line 81 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
					if (_tmp26_) {
#line 502 "FsTabEntry.c"
						FsTabEntry* _tmp27_;
						gchar* _tmp28_;
#line 83 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
						_tmp27_ = entry;
#line 83 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
						_tmp28_ = g_strdup ("");
#line 83 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
						_g_free0 (_tmp27_->line);
#line 83 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
						_tmp27_->line = _tmp28_;
#line 513 "FsTabEntry.c"
					} else {
						FsTabEntry* _tmp29_;
						const gchar* _tmp30_;
						gchar* _tmp31_;
						gchar** parts = NULL;
						const gchar* _tmp32_;
						gchar* _tmp33_;
						gchar* _tmp34_;
						gchar** _tmp35_;
						gchar** _tmp36_;
						gchar** _tmp37_;
						gint _tmp37__length1;
						gint parts_length1;
						gint _parts_size_;
						gint part_num = 0;
						gchar** _tmp38_;
						gint _tmp38__length1;
#line 86 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
						_tmp29_ = entry;
#line 86 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
						_tmp30_ = line;
#line 86 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
						_tmp31_ = g_strdup (_tmp30_);
#line 86 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
						_g_free0 (_tmp29_->line);
#line 86 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
						_tmp29_->line = _tmp31_;
#line 88 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
						_tmp32_ = line;
#line 88 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
						_tmp33_ = string_replace (_tmp32_, "\t", " ");
#line 88 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
						_tmp34_ = _tmp33_;
#line 88 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
						_tmp36_ = _tmp35_ = g_strsplit (_tmp34_, " ", 0);
#line 88 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
						_tmp37_ = _tmp36_;
#line 88 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
						_tmp37__length1 = _vala_array_length (_tmp35_);
#line 88 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
						_g_free0 (_tmp34_);
#line 88 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
						parts = _tmp37_;
#line 88 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
						parts_length1 = _tmp37__length1;
#line 88 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
						_parts_size_ = parts_length1;
#line 90 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
						part_num = -1;
#line 92 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
						_tmp38_ = parts;
#line 92 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
						_tmp38__length1 = parts_length1;
#line 567 "FsTabEntry.c"
						{
							gchar** part_collection = NULL;
							gint part_collection_length1 = 0;
							gint _part_collection_size_ = 0;
							gint part_it = 0;
#line 92 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
							part_collection = _tmp38_;
#line 92 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
							part_collection_length1 = _tmp38__length1;
#line 92 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
							for (part_it = 0; part_it < part_collection_length1; part_it = part_it + 1) {
#line 579 "FsTabEntry.c"
								gchar* _tmp39_;
								gchar* part = NULL;
#line 92 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
								_tmp39_ = g_strdup (part_collection[part_it]);
#line 92 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
								part = _tmp39_;
#line 586 "FsTabEntry.c"
								{
									const gchar* _tmp40_;
									gchar* _tmp41_;
									gchar* _tmp42_;
									gint _tmp43_;
									gint _tmp44_;
									gboolean _tmp45_;
									gint _tmp46_;
									gint _tmp47_;
#line 94 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
									_tmp40_ = part;
#line 94 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
									_tmp41_ = string_strip (_tmp40_);
#line 94 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
									_tmp42_ = _tmp41_;
#line 94 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
									_tmp43_ = strlen (_tmp42_);
#line 94 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
									_tmp44_ = _tmp43_;
#line 94 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
									_tmp45_ = _tmp44_ == 0;
#line 94 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
									_g_free0 (_tmp42_);
#line 94 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
									if (_tmp45_) {
#line 94 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
										_g_free0 (part);
#line 94 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
										continue;
#line 616 "FsTabEntry.c"
									}
#line 96 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
									_tmp46_ = part_num;
#line 96 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
									part_num = _tmp46_ + 1;
#line 96 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
									_tmp47_ = part_num;
#line 96 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
									switch (_tmp47_) {
#line 96 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
										case 0:
#line 628 "FsTabEntry.c"
										{
											FsTabEntry* _tmp48_;
											const gchar* _tmp49_;
											gchar* _tmp50_;
#line 98 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
											_tmp48_ = entry;
#line 98 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
											_tmp49_ = part;
#line 98 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
											_tmp50_ = string_strip (_tmp49_);
#line 98 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
											_g_free0 (_tmp48_->device_string);
#line 98 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
											_tmp48_->device_string = _tmp50_;
#line 99 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
											break;
#line 645 "FsTabEntry.c"
										}
#line 96 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
										case 1:
#line 649 "FsTabEntry.c"
										{
											FsTabEntry* _tmp51_;
											const gchar* _tmp52_;
											gchar* _tmp53_;
#line 101 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
											_tmp51_ = entry;
#line 101 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
											_tmp52_ = part;
#line 101 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
											_tmp53_ = string_strip (_tmp52_);
#line 101 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
											_g_free0 (_tmp51_->mount_point);
#line 101 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
											_tmp51_->mount_point = _tmp53_;
#line 102 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
											break;
#line 666 "FsTabEntry.c"
										}
#line 96 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
										case 2:
#line 670 "FsTabEntry.c"
										{
											FsTabEntry* _tmp54_;
											const gchar* _tmp55_;
											gchar* _tmp56_;
#line 104 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
											_tmp54_ = entry;
#line 104 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
											_tmp55_ = part;
#line 104 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
											_tmp56_ = string_strip (_tmp55_);
#line 104 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
											_g_free0 (_tmp54_->type);
#line 104 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
											_tmp54_->type = _tmp56_;
#line 105 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
											break;
#line 687 "FsTabEntry.c"
										}
#line 96 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
										case 3:
#line 691 "FsTabEntry.c"
										{
											FsTabEntry* _tmp57_;
											const gchar* _tmp58_;
											gchar* _tmp59_;
#line 107 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
											_tmp57_ = entry;
#line 107 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
											_tmp58_ = part;
#line 107 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
											_tmp59_ = string_strip (_tmp58_);
#line 107 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
											_g_free0 (_tmp57_->options);
#line 107 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
											_tmp57_->options = _tmp59_;
#line 108 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
											break;
#line 708 "FsTabEntry.c"
										}
#line 96 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
										case 4:
#line 712 "FsTabEntry.c"
										{
											FsTabEntry* _tmp60_;
											const gchar* _tmp61_;
											gchar* _tmp62_;
#line 110 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
											_tmp60_ = entry;
#line 110 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
											_tmp61_ = part;
#line 110 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
											_tmp62_ = string_strip (_tmp61_);
#line 110 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
											_g_free0 (_tmp60_->dump);
#line 110 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
											_tmp60_->dump = _tmp62_;
#line 111 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
											break;
#line 729 "FsTabEntry.c"
										}
#line 96 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
										case 5:
#line 733 "FsTabEntry.c"
										{
											FsTabEntry* _tmp63_;
											const gchar* _tmp64_;
											gchar* _tmp65_;
#line 113 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
											_tmp63_ = entry;
#line 113 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
											_tmp64_ = part;
#line 113 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
											_tmp65_ = string_strip (_tmp64_);
#line 113 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
											_g_free0 (_tmp63_->pass);
#line 113 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
											_tmp63_->pass = _tmp65_;
#line 114 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
											break;
#line 750 "FsTabEntry.c"
										}
										default:
#line 96 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
										break;
#line 755 "FsTabEntry.c"
									}
#line 92 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
									_g_free0 (part);
#line 759 "FsTabEntry.c"
								}
							}
						}
#line 81 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
						parts = (_vala_array_free (parts, parts_length1, (GDestroyNotify) g_free), NULL);
#line 765 "FsTabEntry.c"
					}
				}
#line 69 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
				_g_object_unref0 (entry);
#line 69 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
				_g_free0 (line);
#line 772 "FsTabEntry.c"
			}
		}
	}
#line 120 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
	result = list;
#line 120 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
	lines = (_vala_array_free (lines, lines_length1, (GDestroyNotify) g_free), NULL);
#line 120 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
	_g_free0 (text);
#line 120 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
	return result;
#line 784 "FsTabEntry.c"
}


static gpointer
_g_object_ref0 (gpointer self)
{
#line 133 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
	return self ? g_object_ref (self) : NULL;
#line 793 "FsTabEntry.c"
}


static gint
__lambda6_ (FsTabEntry* a,
            FsTabEntry* b)
{
	gint result = 0;
	GCompareFunc _tmp0_;
	const gchar* _tmp1_;
	const gchar* _tmp2_;
#line 149 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
	g_return_val_if_fail (a != NULL, 0);
#line 149 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
	g_return_val_if_fail (b != NULL, 0);
#line 150 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
	_tmp0_ = ((GCompareFunc) g_strcmp0);
#line 150 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
	_tmp1_ = a->mount_point;
#line 150 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
	_tmp2_ = b->mount_point;
#line 150 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
	result = _tmp0_ (_tmp1_, _tmp2_);
#line 150 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
	return result;
#line 819 "FsTabEntry.c"
}


static gint
___lambda6__gcompare_data_func (gconstpointer a,
                                gconstpointer b,
                                gpointer self)
{
	gint result;
	result = __lambda6_ ((FsTabEntry*) a, (FsTabEntry*) b);
#line 149 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
	return result;
#line 832 "FsTabEntry.c"
}


gchar*
fs_tab_entry_write_file (GeeArrayList* entries,
                         const gchar* file_path,
                         gboolean keep_comments_and_empty_lines)
{
	gchar* result = NULL;
	gchar* text = NULL;
	gchar* _tmp0_;
	const gchar* _tmp40_;
#line 123 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
	g_return_val_if_fail (entries != NULL, NULL);
#line 123 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
	g_return_val_if_fail (file_path != NULL, NULL);
#line 127 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
	_tmp0_ = g_strdup ("");
#line 127 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
	text = _tmp0_;
#line 129 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
	if (!keep_comments_and_empty_lines) {
#line 855 "FsTabEntry.c"
		const gchar* _tmp1_;
		gchar* _tmp2_;
#line 130 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
		_tmp1_ = text;
#line 130 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
		_tmp2_ = g_strconcat (_tmp1_, "# <file system> <mount point> <type> <options> <dump> <pass>\n\n", NULL);
#line 130 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
		_g_free0 (text);
#line 130 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
		text = _tmp2_;
#line 866 "FsTabEntry.c"
	}
	{
		GeeArrayList* _entry_list = NULL;
		GeeArrayList* _tmp3_;
		gint _entry_size = 0;
		GeeArrayList* _tmp4_;
		gint _tmp5_;
		gint _tmp6_;
		gint _entry_index = 0;
#line 133 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
		_tmp3_ = _g_object_ref0 (entries);
#line 133 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
		_entry_list = _tmp3_;
#line 133 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
		_tmp4_ = _entry_list;
#line 133 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
		_tmp5_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp4_);
#line 133 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
		_tmp6_ = _tmp5_;
#line 133 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
		_entry_size = _tmp6_;
#line 133 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
		_entry_index = -1;
#line 133 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
		while (TRUE) {
#line 892 "FsTabEntry.c"
			gint _tmp7_;
			gint _tmp8_;
			gint _tmp9_;
			FsTabEntry* entry = NULL;
			GeeArrayList* _tmp10_;
			gint _tmp11_;
			gpointer _tmp12_;
			gboolean _tmp13_ = FALSE;
			FsTabEntry* _tmp14_;
			gboolean _tmp15_;
#line 133 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
			_tmp7_ = _entry_index;
#line 133 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
			_entry_index = _tmp7_ + 1;
#line 133 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
			_tmp8_ = _entry_index;
#line 133 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
			_tmp9_ = _entry_size;
#line 133 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
			if (!(_tmp8_ < _tmp9_)) {
#line 133 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
				break;
#line 915 "FsTabEntry.c"
			}
#line 133 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
			_tmp10_ = _entry_list;
#line 133 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
			_tmp11_ = _entry_index;
#line 133 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
			_tmp12_ = gee_abstract_list_get ((GeeAbstractList*) _tmp10_, _tmp11_);
#line 133 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
			entry = (FsTabEntry*) _tmp12_;
#line 134 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
			_tmp14_ = entry;
#line 134 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
			_tmp15_ = _tmp14_->is_comment;
#line 134 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
			if (_tmp15_) {
#line 134 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
				_tmp13_ = TRUE;
#line 933 "FsTabEntry.c"
			} else {
				FsTabEntry* _tmp16_;
				gboolean _tmp17_;
#line 134 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
				_tmp16_ = entry;
#line 134 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
				_tmp17_ = _tmp16_->is_empty_line;
#line 134 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
				_tmp13_ = _tmp17_;
#line 943 "FsTabEntry.c"
			}
#line 134 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
			if (_tmp13_) {
#line 135 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
				if (keep_comments_and_empty_lines) {
#line 949 "FsTabEntry.c"
					const gchar* _tmp18_;
					FsTabEntry* _tmp19_;
					const gchar* _tmp20_;
					gchar* _tmp21_;
					gchar* _tmp22_;
					gchar* _tmp23_;
#line 136 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
					_tmp18_ = text;
#line 136 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
					_tmp19_ = entry;
#line 136 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
					_tmp20_ = _tmp19_->line;
#line 136 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
					_tmp21_ = g_strdup_printf ("%s\n", _tmp20_);
#line 136 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
					_tmp22_ = _tmp21_;
#line 136 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
					_tmp23_ = g_strconcat (_tmp18_, _tmp22_, NULL);
#line 136 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
					_g_free0 (text);
#line 136 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
					text = _tmp23_;
#line 136 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
					_g_free0 (_tmp22_);
#line 974 "FsTabEntry.c"
				}
			} else {
				const gchar* _tmp24_;
				FsTabEntry* _tmp25_;
				const gchar* _tmp26_;
				FsTabEntry* _tmp27_;
				const gchar* _tmp28_;
				FsTabEntry* _tmp29_;
				const gchar* _tmp30_;
				FsTabEntry* _tmp31_;
				const gchar* _tmp32_;
				FsTabEntry* _tmp33_;
				const gchar* _tmp34_;
				FsTabEntry* _tmp35_;
				const gchar* _tmp36_;
				gchar* _tmp37_;
				gchar* _tmp38_;
				gchar* _tmp39_;
#line 140 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
				_tmp24_ = text;
#line 140 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
				_tmp25_ = entry;
#line 140 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
				_tmp26_ = _tmp25_->device_string;
#line 140 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
				_tmp27_ = entry;
#line 140 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
				_tmp28_ = _tmp27_->mount_point;
#line 140 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
				_tmp29_ = entry;
#line 140 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
				_tmp30_ = _tmp29_->type;
#line 140 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
				_tmp31_ = entry;
#line 140 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
				_tmp32_ = _tmp31_->options;
#line 140 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
				_tmp33_ = entry;
#line 140 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
				_tmp34_ = _tmp33_->dump;
#line 140 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
				_tmp35_ = entry;
#line 140 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
				_tmp36_ = _tmp35_->pass;
#line 140 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
				_tmp37_ = g_strdup_printf ("%s\t%s\t%s\t%s\t%s\t%s\n", _tmp26_, _tmp28_, _tmp30_, _tmp32_, _tmp34_, _tmp36_);
#line 140 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
				_tmp38_ = _tmp37_;
#line 140 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
				_tmp39_ = g_strconcat (_tmp24_, _tmp38_, NULL);
#line 140 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
				_g_free0 (text);
#line 140 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
				text = _tmp39_;
#line 140 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
				_g_free0 (_tmp38_);
#line 1031 "FsTabEntry.c"
			}
#line 133 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
			_g_object_unref0 (entry);
#line 1035 "FsTabEntry.c"
		}
#line 133 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
		_g_object_unref0 (_entry_list);
#line 1039 "FsTabEntry.c"
	}
#line 149 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
	gee_list_sort ((GeeList*) entries, ___lambda6__gcompare_data_func, NULL, NULL);
#line 153 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
	if (tee_jee_file_system_file_exists (file_path)) {
#line 154 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
		tee_jee_file_system_file_delete (file_path);
#line 1047 "FsTabEntry.c"
	}
#line 157 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
	_tmp40_ = text;
#line 157 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
	tee_jee_file_system_file_write (file_path, _tmp40_);
#line 159 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
	result = text;
#line 159 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
	return result;
#line 1057 "FsTabEntry.c"
}


static gboolean
string_contains (const gchar* self,
                 const gchar* needle)
{
	gboolean result = FALSE;
	gchar* _tmp0_;
#line 1475 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, FALSE);
#line 1475 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	g_return_val_if_fail (needle != NULL, FALSE);
#line 1476 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	_tmp0_ = strstr ((gchar*) self, (gchar*) needle);
#line 1476 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	result = _tmp0_ != NULL;
#line 1476 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	return result;
#line 1077 "FsTabEntry.c"
}


gchar*
fs_tab_entry_subvolume_name (FsTabEntry* self)
{
	gchar* result = NULL;
	const gchar* _tmp0_;
	gchar* _tmp1_;
	gchar* _tmp2_;
	gboolean _tmp3_;
#line 162 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 164 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
	_tmp0_ = self->options;
#line 164 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
	_tmp1_ = g_utf8_strdown (_tmp0_, (gssize) -1);
#line 164 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
	_tmp2_ = _tmp1_;
#line 164 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
	_tmp3_ = string_contains (_tmp2_, "subvol=");
#line 164 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
	_g_free0 (_tmp2_);
#line 164 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
	if (_tmp3_) {
#line 1103 "FsTabEntry.c"
		gchar* txt = NULL;
		const gchar* _tmp4_;
		gchar** _tmp5_;
		gchar** _tmp6_;
		gchar** _tmp7_;
		gint _tmp7__length1;
		const gchar* _tmp8_;
		gchar** _tmp9_;
		gchar** _tmp10_;
		gchar** _tmp11_;
		gint _tmp11__length1;
		const gchar* _tmp12_;
		gchar* _tmp13_;
		gchar* _tmp14_;
		gboolean _tmp15_ = FALSE;
		const gchar* _tmp16_;
#line 165 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
		_tmp4_ = self->options;
#line 165 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
		_tmp6_ = _tmp5_ = g_strsplit (_tmp4_, "subvol=", 0);
#line 165 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
		_tmp7_ = _tmp6_;
#line 165 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
		_tmp7__length1 = _vala_array_length (_tmp5_);
#line 165 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
		_tmp8_ = _tmp7_[1];
#line 165 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
		_tmp10_ = _tmp9_ = g_strsplit (_tmp8_, ",", 0);
#line 165 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
		_tmp11_ = _tmp10_;
#line 165 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
		_tmp11__length1 = _vala_array_length (_tmp9_);
#line 165 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
		_tmp12_ = _tmp11_[0];
#line 165 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
		_tmp13_ = string_strip (_tmp12_);
#line 165 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
		_tmp14_ = _tmp13_;
#line 165 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
		_tmp11_ = (_vala_array_free (_tmp11_, _tmp11__length1, (GDestroyNotify) g_free), NULL);
#line 165 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
		_tmp7_ = (_vala_array_free (_tmp7_, _tmp7__length1, (GDestroyNotify) g_free), NULL);
#line 165 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
		txt = _tmp14_;
#line 166 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
		_tmp16_ = txt;
#line 166 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
		if (g_str_has_prefix (_tmp16_, "/")) {
#line 1152 "FsTabEntry.c"
			const gchar* _tmp17_;
			gchar** _tmp18_;
			gchar** _tmp19_;
			gchar** _tmp20_;
			gint _tmp20__length1;
#line 166 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
			_tmp17_ = txt;
#line 166 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
			_tmp19_ = _tmp18_ = g_strsplit (_tmp17_, "/", 0);
#line 166 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
			_tmp20_ = _tmp19_;
#line 166 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
			_tmp20__length1 = _vala_array_length (_tmp18_);
#line 166 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
			_tmp15_ = _vala_array_length (_tmp18_) == 2;
#line 166 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
			_tmp20_ = (_vala_array_free (_tmp20_, _tmp20__length1, (GDestroyNotify) g_free), NULL);
#line 1170 "FsTabEntry.c"
		} else {
#line 166 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
			_tmp15_ = FALSE;
#line 1174 "FsTabEntry.c"
		}
#line 166 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
		if (_tmp15_) {
#line 1178 "FsTabEntry.c"
			const gchar* _tmp21_;
			gchar** _tmp22_;
			gchar** _tmp23_;
			gchar** _tmp24_;
			gint _tmp24__length1;
			const gchar* _tmp25_;
			gchar* _tmp26_;
#line 167 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
			_tmp21_ = txt;
#line 167 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
			_tmp23_ = _tmp22_ = g_strsplit (_tmp21_, "/", 0);
#line 167 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
			_tmp24_ = _tmp23_;
#line 167 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
			_tmp24__length1 = _vala_array_length (_tmp22_);
#line 167 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
			_tmp25_ = _tmp24_[1];
#line 167 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
			_tmp26_ = g_strdup (_tmp25_);
#line 167 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
			_g_free0 (txt);
#line 167 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
			txt = _tmp26_;
#line 167 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
			_tmp24_ = (_vala_array_free (_tmp24_, _tmp24__length1, (GDestroyNotify) g_free), NULL);
#line 1204 "FsTabEntry.c"
		}
#line 169 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
		result = txt;
#line 169 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
		return result;
#line 1210 "FsTabEntry.c"
	} else {
		gchar* _tmp27_;
#line 172 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
		_tmp27_ = g_strdup ("");
#line 172 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
		result = _tmp27_;
#line 172 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
		return result;
#line 1219 "FsTabEntry.c"
	}
}


gboolean
fs_tab_entry_is_for_system_directory (FsTabEntry* self)
{
	gboolean result = FALSE;
	gboolean _tmp0_ = FALSE;
	gboolean _tmp1_ = FALSE;
	gboolean _tmp2_ = FALSE;
	gboolean _tmp3_ = FALSE;
	gboolean _tmp4_ = FALSE;
	gboolean _tmp5_ = FALSE;
	gboolean _tmp6_ = FALSE;
	const gchar* _tmp7_;
#line 176 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 178 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
	_tmp7_ = self->mount_point;
#line 178 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
	if (g_str_has_prefix (_tmp7_, "/mnt")) {
#line 178 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
		_tmp6_ = TRUE;
#line 1244 "FsTabEntry.c"
	} else {
		const gchar* _tmp8_;
#line 179 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
		_tmp8_ = self->mount_point;
#line 179 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
		_tmp6_ = g_str_has_prefix (_tmp8_, "/mount");
#line 1251 "FsTabEntry.c"
	}
#line 178 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
	if (_tmp6_) {
#line 178 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
		_tmp5_ = TRUE;
#line 1257 "FsTabEntry.c"
	} else {
		const gchar* _tmp9_;
#line 180 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
		_tmp9_ = self->mount_point;
#line 180 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
		_tmp5_ = g_str_has_prefix (_tmp9_, "/sdcard");
#line 1264 "FsTabEntry.c"
	}
#line 178 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
	if (_tmp5_) {
#line 178 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
		_tmp4_ = TRUE;
#line 1270 "FsTabEntry.c"
	} else {
		const gchar* _tmp10_;
#line 181 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
		_tmp10_ = self->mount_point;
#line 181 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
		_tmp4_ = g_str_has_prefix (_tmp10_, "/cdrom");
#line 1277 "FsTabEntry.c"
	}
#line 178 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
	if (_tmp4_) {
#line 178 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
		_tmp3_ = TRUE;
#line 1283 "FsTabEntry.c"
	} else {
		const gchar* _tmp11_;
#line 182 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
		_tmp11_ = self->mount_point;
#line 182 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
		_tmp3_ = g_str_has_prefix (_tmp11_, "/media");
#line 1290 "FsTabEntry.c"
	}
#line 178 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
	if (_tmp3_) {
#line 178 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
		_tmp2_ = TRUE;
#line 1296 "FsTabEntry.c"
	} else {
		const gchar* _tmp12_;
#line 183 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
		_tmp12_ = self->mount_point;
#line 183 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
		_tmp2_ = g_strcmp0 (_tmp12_, "none") == 0;
#line 1303 "FsTabEntry.c"
	}
#line 178 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
	if (_tmp2_) {
#line 178 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
		_tmp1_ = TRUE;
#line 1309 "FsTabEntry.c"
	} else {
		const gchar* _tmp13_;
#line 184 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
		_tmp13_ = self->mount_point;
#line 184 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
		_tmp1_ = !g_str_has_prefix (_tmp13_, "/");
#line 1316 "FsTabEntry.c"
	}
#line 178 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
	if (_tmp1_) {
#line 178 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
		_tmp0_ = TRUE;
#line 1322 "FsTabEntry.c"
	} else {
		gboolean _tmp14_ = FALSE;
		const gchar* _tmp15_;
#line 185 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
		_tmp15_ = self->device_string;
#line 185 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
		if (!g_str_has_prefix (_tmp15_, "/dev/")) {
#line 1330 "FsTabEntry.c"
			const gchar* _tmp16_;
			gchar* _tmp17_;
			gchar* _tmp18_;
#line 185 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
			_tmp16_ = self->device_string;
#line 185 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
			_tmp17_ = g_utf8_strdown (_tmp16_, (gssize) -1);
#line 185 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
			_tmp18_ = _tmp17_;
#line 185 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
			_tmp14_ = !g_str_has_prefix (_tmp18_, "uuid=");
#line 185 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
			_g_free0 (_tmp18_);
#line 1344 "FsTabEntry.c"
		} else {
#line 185 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
			_tmp14_ = FALSE;
#line 1348 "FsTabEntry.c"
		}
#line 185 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
		_tmp0_ = _tmp14_;
#line 1352 "FsTabEntry.c"
	}
#line 178 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
	if (_tmp0_) {
#line 187 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
		result = FALSE;
#line 187 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
		return result;
#line 1360 "FsTabEntry.c"
	} else {
#line 190 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
		result = TRUE;
#line 190 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
		return result;
#line 1366 "FsTabEntry.c"
	}
}


FsTabEntry*
fs_tab_entry_find_entry_by_mount_point (GeeArrayList* entries,
                                        const gchar* mount_path)
{
	FsTabEntry* result = NULL;
#line 194 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
	g_return_val_if_fail (entries != NULL, NULL);
#line 194 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
	g_return_val_if_fail (mount_path != NULL, NULL);
#line 1380 "FsTabEntry.c"
	{
		GeeArrayList* _entry_list = NULL;
		GeeArrayList* _tmp0_;
		gint _entry_size = 0;
		GeeArrayList* _tmp1_;
		gint _tmp2_;
		gint _tmp3_;
		gint _entry_index = 0;
#line 196 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
		_tmp0_ = _g_object_ref0 (entries);
#line 196 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
		_entry_list = _tmp0_;
#line 196 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
		_tmp1_ = _entry_list;
#line 196 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
		_tmp2_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp1_);
#line 196 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
		_tmp3_ = _tmp2_;
#line 196 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
		_entry_size = _tmp3_;
#line 196 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
		_entry_index = -1;
#line 196 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
		while (TRUE) {
#line 1405 "FsTabEntry.c"
			gint _tmp4_;
			gint _tmp5_;
			gint _tmp6_;
			FsTabEntry* entry = NULL;
			GeeArrayList* _tmp7_;
			gint _tmp8_;
			gpointer _tmp9_;
			FsTabEntry* _tmp10_;
			const gchar* _tmp11_;
#line 196 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
			_tmp4_ = _entry_index;
#line 196 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
			_entry_index = _tmp4_ + 1;
#line 196 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
			_tmp5_ = _entry_index;
#line 196 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
			_tmp6_ = _entry_size;
#line 196 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
			if (!(_tmp5_ < _tmp6_)) {
#line 196 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
				break;
#line 1427 "FsTabEntry.c"
			}
#line 196 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
			_tmp7_ = _entry_list;
#line 196 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
			_tmp8_ = _entry_index;
#line 196 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
			_tmp9_ = gee_abstract_list_get ((GeeAbstractList*) _tmp7_, _tmp8_);
#line 196 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
			entry = (FsTabEntry*) _tmp9_;
#line 197 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
			_tmp10_ = entry;
#line 197 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
			_tmp11_ = _tmp10_->mount_point;
#line 197 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
			if (g_strcmp0 (_tmp11_, mount_path) == 0) {
#line 198 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
				result = entry;
#line 198 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
				_g_object_unref0 (_entry_list);
#line 198 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
				return result;
#line 1449 "FsTabEntry.c"
			}
#line 196 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
			_g_object_unref0 (entry);
#line 1453 "FsTabEntry.c"
		}
#line 196 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
		_g_object_unref0 (_entry_list);
#line 1457 "FsTabEntry.c"
	}
#line 201 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
	result = NULL;
#line 201 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
	return result;
#line 1463 "FsTabEntry.c"
}


Device*
fs_tab_entry_resolve_device (FsTabEntry* self,
                             GeeArrayList* crypttab,
                             GtkWindow* parent_window)
{
	Device* result = NULL;
	Device* dev_fstab = NULL;
	gchar* _tmp0_;
	gchar* _tmp1_;
	gchar* _tmp2_;
	gint _tmp3_;
	gint _tmp4_;
	gboolean _tmp5_;
	Device* _tmp12_;
#line 204 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 204 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
	g_return_val_if_fail (crypttab != NULL, NULL);
#line 206 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
	dev_fstab = NULL;
#line 207 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
	_tmp0_ = fs_tab_entry_get_device_uuid (self);
#line 207 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
	_tmp1_ = _tmp0_;
#line 207 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
	_tmp2_ = _tmp1_;
#line 207 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
	_tmp3_ = strlen (_tmp2_);
#line 207 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
	_tmp4_ = _tmp3_;
#line 207 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
	_tmp5_ = _tmp4_ > 0;
#line 207 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
	_g_free0 (_tmp2_);
#line 207 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
	if (_tmp5_) {
#line 1503 "FsTabEntry.c"
		gchar* _tmp6_;
		gchar* _tmp7_;
		gchar* _tmp8_;
		Device* _tmp9_;
#line 208 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
		_tmp6_ = fs_tab_entry_get_device_uuid (self);
#line 208 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
		_tmp7_ = _tmp6_;
#line 208 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
		_tmp8_ = _tmp7_;
#line 208 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
		_tmp9_ = device_get_device_by_uuid (_tmp8_);
#line 208 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
		_g_object_unref0 (dev_fstab);
#line 208 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
		dev_fstab = _tmp9_;
#line 208 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
		_g_free0 (_tmp8_);
#line 1522 "FsTabEntry.c"
	} else {
		const gchar* _tmp10_;
		Device* _tmp11_;
#line 211 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
		_tmp10_ = self->device_string;
#line 211 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
		_tmp11_ = device_get_device_by_name (_tmp10_);
#line 211 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
		_g_object_unref0 (dev_fstab);
#line 211 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
		dev_fstab = _tmp11_;
#line 1534 "FsTabEntry.c"
	}
#line 214 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
	_tmp12_ = dev_fstab;
#line 214 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
	if (_tmp12_ == NULL) {
#line 1540 "FsTabEntry.c"
		const gchar* _tmp13_;
#line 226 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
		_tmp13_ = self->device_string;
#line 226 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
		if (g_str_has_prefix (_tmp13_, "/dev/mapper/")) {
#line 1546 "FsTabEntry.c"
			gchar* mapped_name = NULL;
			const gchar* _tmp14_;
			gchar* _tmp15_;
#line 228 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
			_tmp14_ = self->device_string;
#line 228 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
			_tmp15_ = string_replace (_tmp14_, "/dev/mapper/", "");
#line 228 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
			mapped_name = _tmp15_;
#line 1556 "FsTabEntry.c"
			{
				GeeArrayList* _item_list = NULL;
				GeeArrayList* _tmp16_;
				gint _item_size = 0;
				GeeArrayList* _tmp17_;
				gint _tmp18_;
				gint _tmp19_;
				gint _item_index = 0;
#line 230 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
				_tmp16_ = _g_object_ref0 (crypttab);
#line 230 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
				_item_list = _tmp16_;
#line 230 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
				_tmp17_ = _item_list;
#line 230 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
				_tmp18_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp17_);
#line 230 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
				_tmp19_ = _tmp18_;
#line 230 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
				_item_size = _tmp19_;
#line 230 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
				_item_index = -1;
#line 230 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
				while (TRUE) {
#line 1581 "FsTabEntry.c"
					gint _tmp20_;
					gint _tmp21_;
					gint _tmp22_;
					CryptTabEntry* item = NULL;
					GeeArrayList* _tmp23_;
					gint _tmp24_;
					gpointer _tmp25_;
					CryptTabEntry* _tmp26_;
					const gchar* _tmp27_;
					const gchar* _tmp28_;
#line 230 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
					_tmp20_ = _item_index;
#line 230 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
					_item_index = _tmp20_ + 1;
#line 230 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
					_tmp21_ = _item_index;
#line 230 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
					_tmp22_ = _item_size;
#line 230 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
					if (!(_tmp21_ < _tmp22_)) {
#line 230 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
						break;
#line 1604 "FsTabEntry.c"
					}
#line 230 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
					_tmp23_ = _item_list;
#line 230 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
					_tmp24_ = _item_index;
#line 230 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
					_tmp25_ = gee_abstract_list_get ((GeeAbstractList*) _tmp23_, _tmp24_);
#line 230 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
					item = (CryptTabEntry*) _tmp25_;
#line 232 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
					_tmp26_ = item;
#line 232 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
					_tmp27_ = _tmp26_->mapped_name;
#line 232 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
					_tmp28_ = mapped_name;
#line 232 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
					if (g_strcmp0 (_tmp27_, _tmp28_) == 0) {
#line 1622 "FsTabEntry.c"
						CryptTabEntry* _tmp29_;
						const gchar* _tmp30_;
						gchar* _tmp31_;
						gchar* _tmp32_;
						gchar* _tmp33_;
						gchar* _tmp34_;
						gint _tmp35_;
						gint _tmp36_;
						gboolean _tmp37_;
#line 235 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
						_tmp29_ = item;
#line 235 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
						_tmp30_ = _tmp29_->device_string;
#line 235 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
						_tmp31_ = g_strdup (_tmp30_);
#line 235 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
						_g_free0 (self->device_string);
#line 235 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
						self->device_string = _tmp31_;
#line 237 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
						_tmp32_ = fs_tab_entry_get_device_uuid (self);
#line 237 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
						_tmp33_ = _tmp32_;
#line 237 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
						_tmp34_ = _tmp33_;
#line 237 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
						_tmp35_ = strlen (_tmp34_);
#line 237 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
						_tmp36_ = _tmp35_;
#line 237 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
						_tmp37_ = _tmp36_ > 0;
#line 237 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
						_g_free0 (_tmp34_);
#line 237 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
						if (_tmp37_) {
#line 1658 "FsTabEntry.c"
							Device* dev_luks = NULL;
							gchar* _tmp38_;
							gchar* _tmp39_;
							gchar* _tmp40_;
							Device* _tmp41_;
							Device* _tmp42_;
							Device* _tmp43_;
#line 240 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
							_tmp38_ = fs_tab_entry_get_device_uuid (self);
#line 240 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
							_tmp39_ = _tmp38_;
#line 240 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
							_tmp40_ = _tmp39_;
#line 240 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
							_tmp41_ = device_get_device_by_uuid (_tmp40_);
#line 240 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
							_tmp42_ = _tmp41_;
#line 240 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
							_g_free0 (_tmp40_);
#line 240 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
							dev_luks = _tmp42_;
#line 242 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
							_tmp43_ = dev_luks;
#line 242 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
							if (_tmp43_ != NULL) {
#line 1684 "FsTabEntry.c"
								gchar* msg_out = NULL;
								gchar* msg_err = NULL;
								Device* dev_unlocked = NULL;
								Device* _tmp44_;
								gchar* _tmp45_ = NULL;
								gchar* _tmp46_ = NULL;
								Device* _tmp47_;
								Device* _tmp48_;
#line 245 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
								_tmp44_ = dev_luks;
#line 245 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
								_tmp47_ = device_luks_unlock (_tmp44_, "", "", parent_window, &_tmp45_, &_tmp46_);
#line 245 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
								_g_free0 (msg_out);
#line 245 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
								msg_out = _tmp45_;
#line 245 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
								_g_free0 (msg_err);
#line 245 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
								msg_err = _tmp46_;
#line 245 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
								dev_unlocked = _tmp47_;
#line 248 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
								_tmp48_ = dev_unlocked;
#line 248 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
								if (_tmp48_ != NULL) {
#line 1711 "FsTabEntry.c"
									Device* _tmp49_;
									Device* _tmp50_;
#line 249 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
									_tmp49_ = dev_unlocked;
#line 249 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
									_tmp50_ = _g_object_ref0 (_tmp49_);
#line 249 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
									_g_object_unref0 (dev_fstab);
#line 249 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
									dev_fstab = _tmp50_;
#line 1722 "FsTabEntry.c"
								} else {
									Device* _tmp51_;
									Device* _tmp52_;
#line 252 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
									_tmp51_ = dev_luks;
#line 252 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
									_tmp52_ = _g_object_ref0 (_tmp51_);
#line 252 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
									_g_object_unref0 (dev_fstab);
#line 252 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
									dev_fstab = _tmp52_;
#line 1734 "FsTabEntry.c"
								}
#line 242 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
								_g_object_unref0 (dev_unlocked);
#line 242 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
								_g_free0 (msg_err);
#line 242 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
								_g_free0 (msg_out);
#line 1742 "FsTabEntry.c"
							}
#line 237 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
							_g_object_unref0 (dev_luks);
#line 1746 "FsTabEntry.c"
						} else {
						}
#line 260 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
						_g_object_unref0 (item);
#line 260 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
						break;
#line 1753 "FsTabEntry.c"
					}
#line 230 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
					_g_object_unref0 (item);
#line 1757 "FsTabEntry.c"
				}
#line 230 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
				_g_object_unref0 (_item_list);
#line 1761 "FsTabEntry.c"
			}
#line 226 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
			_g_free0 (mapped_name);
#line 1765 "FsTabEntry.c"
		}
	}
#line 266 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
	result = dev_fstab;
#line 266 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
	return result;
#line 1772 "FsTabEntry.c"
}


static gchar*
string_slice (const gchar* self,
              glong start,
              glong end)
{
	gchar* result = NULL;
	glong string_length = 0L;
	gint _tmp0_;
	gint _tmp1_;
	gboolean _tmp4_ = FALSE;
	gboolean _tmp6_ = FALSE;
	gchar* _tmp8_;
#line 1425 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, NULL);
#line 1426 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	_tmp0_ = strlen (self);
#line 1426 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	_tmp1_ = _tmp0_;
#line 1426 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	string_length = (glong) _tmp1_;
#line 1427 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	if (start < ((glong) 0)) {
#line 1798 "FsTabEntry.c"
		glong _tmp2_;
#line 1428 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp2_ = string_length;
#line 1428 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		start = _tmp2_ + start;
#line 1804 "FsTabEntry.c"
	}
#line 1430 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	if (end < ((glong) 0)) {
#line 1808 "FsTabEntry.c"
		glong _tmp3_;
#line 1431 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp3_ = string_length;
#line 1431 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		end = _tmp3_ + end;
#line 1814 "FsTabEntry.c"
	}
#line 1433 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	if (start >= ((glong) 0)) {
#line 1818 "FsTabEntry.c"
		glong _tmp5_;
#line 1433 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp5_ = string_length;
#line 1433 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp4_ = start <= _tmp5_;
#line 1824 "FsTabEntry.c"
	} else {
#line 1433 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp4_ = FALSE;
#line 1828 "FsTabEntry.c"
	}
#line 1433 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	g_return_val_if_fail (_tmp4_, NULL);
#line 1434 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	if (end >= ((glong) 0)) {
#line 1834 "FsTabEntry.c"
		glong _tmp7_;
#line 1434 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp7_ = string_length;
#line 1434 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp6_ = end <= _tmp7_;
#line 1840 "FsTabEntry.c"
	} else {
#line 1434 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp6_ = FALSE;
#line 1844 "FsTabEntry.c"
	}
#line 1434 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	g_return_val_if_fail (_tmp6_, NULL);
#line 1435 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	g_return_val_if_fail (start <= end, NULL);
#line 1436 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	_tmp8_ = g_strndup (((gchar*) self) + start, (gsize) (end - start));
#line 1436 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	result = _tmp8_;
#line 1436 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	return result;
#line 1856 "FsTabEntry.c"
}


void
fs_tab_entry_append_option (FsTabEntry* self,
                            const gchar* option)
{
	const gchar* _tmp0_;
	const gchar* _tmp5_;
	const gchar* _tmp11_;
	gchar* _tmp12_;
#line 269 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
	g_return_if_fail (self != NULL);
#line 269 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
	g_return_if_fail (option != NULL);
#line 271 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
	_tmp0_ = self->options;
#line 271 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
	if (!string_contains (_tmp0_, option)) {
#line 1876 "FsTabEntry.c"
		const gchar* _tmp1_;
		gchar* _tmp2_;
		gchar* _tmp3_;
		gchar* _tmp4_;
#line 272 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
		_tmp1_ = self->options;
#line 272 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
		_tmp2_ = g_strdup_printf (",%s", option);
#line 272 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
		_tmp3_ = _tmp2_;
#line 272 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
		_tmp4_ = g_strconcat (_tmp1_, _tmp3_, NULL);
#line 272 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
		_g_free0 (self->options);
#line 272 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
		self->options = _tmp4_;
#line 272 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
		_g_free0 (_tmp3_);
#line 1895 "FsTabEntry.c"
	}
#line 275 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
	_tmp5_ = self->options;
#line 275 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
	if (g_str_has_prefix (_tmp5_, ",")) {
#line 1901 "FsTabEntry.c"
		const gchar* _tmp6_;
		const gchar* _tmp7_;
		gint _tmp8_;
		gint _tmp9_;
		gchar* _tmp10_;
#line 276 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
		_tmp6_ = self->options;
#line 276 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
		_tmp7_ = self->options;
#line 276 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
		_tmp8_ = strlen (_tmp7_);
#line 276 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
		_tmp9_ = _tmp8_;
#line 276 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
		_tmp10_ = string_slice (_tmp6_, (glong) 1, (glong) _tmp9_);
#line 276 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
		_g_free0 (self->options);
#line 276 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
		self->options = _tmp10_;
#line 1921 "FsTabEntry.c"
	}
#line 279 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
	_tmp11_ = self->options;
#line 279 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
	_tmp12_ = string_strip (_tmp11_);
#line 279 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
	_g_free0 (self->options);
#line 279 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
	self->options = _tmp12_;
#line 1931 "FsTabEntry.c"
}


void
fs_tab_entry_remove_option (FsTabEntry* self,
                            const gchar* option)
{
	const gchar* _tmp0_;
	gchar* _tmp1_;
	gchar* _tmp2_;
	gchar* _tmp3_;
	const gchar* _tmp4_;
	const gchar* _tmp10_;
	const gchar* _tmp16_;
	gchar* _tmp17_;
#line 282 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
	g_return_if_fail (self != NULL);
#line 282 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
	g_return_if_fail (option != NULL);
#line 284 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
	_tmp0_ = self->options;
#line 284 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
	_tmp1_ = string_replace (_tmp0_, option, "");
#line 284 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
	_tmp2_ = _tmp1_;
#line 284 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
	_tmp3_ = string_strip (_tmp2_);
#line 284 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
	_g_free0 (self->options);
#line 284 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
	self->options = _tmp3_;
#line 284 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
	_g_free0 (_tmp2_);
#line 286 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
	_tmp4_ = self->options;
#line 286 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
	if (g_str_has_prefix (_tmp4_, ",")) {
#line 1969 "FsTabEntry.c"
		const gchar* _tmp5_;
		const gchar* _tmp6_;
		gint _tmp7_;
		gint _tmp8_;
		gchar* _tmp9_;
#line 287 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
		_tmp5_ = self->options;
#line 287 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
		_tmp6_ = self->options;
#line 287 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
		_tmp7_ = strlen (_tmp6_);
#line 287 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
		_tmp8_ = _tmp7_;
#line 287 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
		_tmp9_ = string_slice (_tmp5_, (glong) 1, (glong) _tmp8_);
#line 287 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
		_g_free0 (self->options);
#line 287 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
		self->options = _tmp9_;
#line 1989 "FsTabEntry.c"
	}
#line 290 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
	_tmp10_ = self->options;
#line 290 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
	if (g_str_has_suffix (_tmp10_, ",")) {
#line 1995 "FsTabEntry.c"
		const gchar* _tmp11_;
		const gchar* _tmp12_;
		gint _tmp13_;
		gint _tmp14_;
		gchar* _tmp15_;
#line 291 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
		_tmp11_ = self->options;
#line 291 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
		_tmp12_ = self->options;
#line 291 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
		_tmp13_ = strlen (_tmp12_);
#line 291 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
		_tmp14_ = _tmp13_;
#line 291 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
		_tmp15_ = string_slice (_tmp11_, (glong) 0, (glong) (_tmp14_ - 1));
#line 291 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
		_g_free0 (self->options);
#line 291 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
		self->options = _tmp15_;
#line 2015 "FsTabEntry.c"
	}
#line 294 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
	_tmp16_ = self->options;
#line 294 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
	_tmp17_ = string_strip (_tmp16_);
#line 294 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
	_g_free0 (self->options);
#line 294 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
	self->options = _tmp17_;
#line 2025 "FsTabEntry.c"
}


FsTabEntry*
fs_tab_entry_construct (GType object_type)
{
	FsTabEntry * self = NULL;
#line 32 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
	self = (FsTabEntry*) g_object_new (object_type, NULL);
#line 32 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
	return self;
#line 2037 "FsTabEntry.c"
}


FsTabEntry*
fs_tab_entry_new (void)
{
#line 32 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
	return fs_tab_entry_construct (TYPE_FS_TAB_ENTRY);
#line 2046 "FsTabEntry.c"
}


gchar*
fs_tab_entry_get_device_uuid (FsTabEntry* self)
{
	gchar* result;
	const gchar* _tmp0_;
	gchar* _tmp1_;
	gchar* _tmp2_;
	gboolean _tmp3_;
#line 46 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 47 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
	_tmp0_ = self->device_string;
#line 47 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
	_tmp1_ = g_utf8_strdown (_tmp0_, (gssize) -1);
#line 47 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
	_tmp2_ = _tmp1_;
#line 47 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
	_tmp3_ = g_str_has_prefix (_tmp2_, "uuid=");
#line 47 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
	_g_free0 (_tmp2_);
#line 47 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
	if (_tmp3_) {
#line 2072 "FsTabEntry.c"
		const gchar* _tmp4_;
		gchar* _tmp5_;
		gchar* _tmp6_;
		gchar* _tmp7_;
		gchar* _tmp8_;
		gchar** _tmp9_;
		gchar** _tmp10_;
		gchar** _tmp11_;
		gint _tmp11__length1;
		const gchar* _tmp12_;
		gchar* _tmp13_;
		gchar* _tmp14_;
#line 48 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
		_tmp4_ = self->device_string;
#line 48 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
		_tmp5_ = string_replace (_tmp4_, "\"", "");
#line 48 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
		_tmp6_ = _tmp5_;
#line 48 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
		_tmp7_ = string_replace (_tmp6_, "'", "");
#line 48 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
		_tmp8_ = _tmp7_;
#line 48 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
		_tmp10_ = _tmp9_ = g_strsplit (_tmp8_, "=", 0);
#line 48 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
		_tmp11_ = _tmp10_;
#line 48 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
		_tmp11__length1 = _vala_array_length (_tmp9_);
#line 48 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
		_tmp12_ = _tmp11_[1];
#line 48 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
		_tmp13_ = g_strdup (_tmp12_);
#line 48 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
		_tmp14_ = _tmp13_;
#line 48 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
		_tmp11_ = (_vala_array_free (_tmp11_, _tmp11__length1, (GDestroyNotify) g_free), NULL);
#line 48 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
		_g_free0 (_tmp8_);
#line 48 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
		_g_free0 (_tmp6_);
#line 48 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
		result = _tmp14_;
#line 48 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
		return result;
#line 2117 "FsTabEntry.c"
	} else {
		gchar* _tmp15_;
#line 51 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
		_tmp15_ = g_strdup ("");
#line 51 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
		result = _tmp15_;
#line 51 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
		return result;
#line 2126 "FsTabEntry.c"
	}
}


void
fs_tab_entry_set_device_uuid (FsTabEntry* self,
                              const gchar* value)
{
	gchar* _tmp0_;
#line 54 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
	g_return_if_fail (self != NULL);
#line 55 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
	_tmp0_ = g_strdup_printf ("UUID=%s", value);
#line 55 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
	_g_free0 (self->device_string);
#line 55 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
	self->device_string = _tmp0_;
#line 54 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
	g_object_notify_by_pspec ((GObject *) self, fs_tab_entry_properties[FS_TAB_ENTRY_DEVICE_UUID_PROPERTY]);
#line 2146 "FsTabEntry.c"
}


static void
fs_tab_entry_class_init (FsTabEntryClass * klass)
{
#line 32 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
	fs_tab_entry_parent_class = g_type_class_peek_parent (klass);
#line 32 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
	G_OBJECT_CLASS (klass)->get_property = _vala_fs_tab_entry_get_property;
#line 32 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
	G_OBJECT_CLASS (klass)->set_property = _vala_fs_tab_entry_set_property;
#line 32 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
	G_OBJECT_CLASS (klass)->finalize = fs_tab_entry_finalize;
#line 32 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), FS_TAB_ENTRY_DEVICE_UUID_PROPERTY, fs_tab_entry_properties[FS_TAB_ENTRY_DEVICE_UUID_PROPERTY] = g_param_spec_string ("device-uuid", "device-uuid", "device-uuid", NULL, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 2163 "FsTabEntry.c"
}


static void
fs_tab_entry_instance_init (FsTabEntry * self)
{
	gchar* _tmp0_;
	gchar* _tmp1_;
	gchar* _tmp2_;
	gchar* _tmp3_;
	gchar* _tmp4_;
	gchar* _tmp5_;
	gchar* _tmp6_;
#line 34 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
	self->is_comment = FALSE;
#line 35 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
	self->is_empty_line = FALSE;
#line 37 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
	_tmp0_ = g_strdup ("");
#line 37 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
	self->device_string = _tmp0_;
#line 38 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
	_tmp1_ = g_strdup ("");
#line 38 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
	self->mount_point = _tmp1_;
#line 39 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
	_tmp2_ = g_strdup ("");
#line 39 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
	self->type = _tmp2_;
#line 40 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
	_tmp3_ = g_strdup ("defaults");
#line 40 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
	self->options = _tmp3_;
#line 41 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
	_tmp4_ = g_strdup ("0");
#line 41 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
	self->dump = _tmp4_;
#line 42 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
	_tmp5_ = g_strdup ("0");
#line 42 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
	self->pass = _tmp5_;
#line 43 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
	_tmp6_ = g_strdup ("");
#line 43 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
	self->line = _tmp6_;
#line 2209 "FsTabEntry.c"
}


static void
fs_tab_entry_finalize (GObject * obj)
{
	FsTabEntry * self;
#line 32 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, TYPE_FS_TAB_ENTRY, FsTabEntry);
#line 37 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
	_g_free0 (self->device_string);
#line 38 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
	_g_free0 (self->mount_point);
#line 39 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
	_g_free0 (self->type);
#line 40 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
	_g_free0 (self->options);
#line 41 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
	_g_free0 (self->dump);
#line 42 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
	_g_free0 (self->pass);
#line 43 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
	_g_free0 (self->line);
#line 32 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
	G_OBJECT_CLASS (fs_tab_entry_parent_class)->finalize (obj);
#line 2235 "FsTabEntry.c"
}


GType
fs_tab_entry_get_type (void)
{
	static volatile gsize fs_tab_entry_type_id__volatile = 0;
	if (g_once_init_enter (&fs_tab_entry_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (FsTabEntryClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) fs_tab_entry_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (FsTabEntry), 0, (GInstanceInitFunc) fs_tab_entry_instance_init, NULL };
		GType fs_tab_entry_type_id;
		fs_tab_entry_type_id = g_type_register_static (G_TYPE_OBJECT, "FsTabEntry", &g_define_type_info, 0);
		g_once_init_leave (&fs_tab_entry_type_id__volatile, fs_tab_entry_type_id);
	}
	return fs_tab_entry_type_id__volatile;
}


static void
_vala_fs_tab_entry_get_property (GObject * object,
                                 guint property_id,
                                 GValue * value,
                                 GParamSpec * pspec)
{
	FsTabEntry * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, TYPE_FS_TAB_ENTRY, FsTabEntry);
#line 32 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
	switch (property_id) {
#line 32 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
		case FS_TAB_ENTRY_DEVICE_UUID_PROPERTY:
#line 32 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
		g_value_take_string (value, fs_tab_entry_get_device_uuid (self));
#line 32 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
		break;
#line 2269 "FsTabEntry.c"
		default:
#line 32 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 32 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
		break;
#line 2275 "FsTabEntry.c"
	}
}


static void
_vala_fs_tab_entry_set_property (GObject * object,
                                 guint property_id,
                                 const GValue * value,
                                 GParamSpec * pspec)
{
	FsTabEntry * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, TYPE_FS_TAB_ENTRY, FsTabEntry);
#line 32 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
	switch (property_id) {
#line 32 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
		case FS_TAB_ENTRY_DEVICE_UUID_PROPERTY:
#line 32 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
		fs_tab_entry_set_device_uuid (self, g_value_get_string (value));
#line 32 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
		break;
#line 2296 "FsTabEntry.c"
		default:
#line 32 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 32 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/FsTabEntry.vala"
		break;
#line 2302 "FsTabEntry.c"
	}
}


static void
_vala_array_destroy (gpointer array,
                     gint array_length,
                     GDestroyNotify destroy_func)
{
	if ((array != NULL) && (destroy_func != NULL)) {
		int i;
		for (i = 0; i < array_length; i = i + 1) {
			if (((gpointer*) array)[i] != NULL) {
				destroy_func (((gpointer*) array)[i]);
			}
		}
	}
}


static void
_vala_array_free (gpointer array,
                  gint array_length,
                  GDestroyNotify destroy_func)
{
	_vala_array_destroy (array, array_length, destroy_func);
	g_free (array);
}


static gint
_vala_array_length (gpointer array)
{
	int length;
	length = 0;
	if (array) {
		while (((gpointer*) array)[length]) {
			length++;
		}
	}
	return length;
}



