/* IconManager.c generated by valac 0.40.19, the Vala compiler
 * generated from IconManager.vala, do not modify */

/*
 * IconManager.vala
 *
 * Copyright 2012-2018 Tony George <teejeetech@gmail.com>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA 02110-1301, USA.
 *
 *
 */


#include <glib.h>
#include <glib-object.h>
#include <gtk/gtk.h>
#include <gee.h>
#include <stdlib.h>
#include <string.h>
#include <gdk-pixbuf/gdk-pixbuf.h>
#include <cairo.h>
#include <gdk/gdk.h>
#include <gio/gio.h>
#include <float.h>
#include <math.h>


#define TYPE_ICON_MANAGER (icon_manager_get_type ())
#define ICON_MANAGER(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), TYPE_ICON_MANAGER, IconManager))
#define ICON_MANAGER_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), TYPE_ICON_MANAGER, IconManagerClass))
#define IS_ICON_MANAGER(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TYPE_ICON_MANAGER))
#define IS_ICON_MANAGER_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), TYPE_ICON_MANAGER))
#define ICON_MANAGER_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), TYPE_ICON_MANAGER, IconManagerClass))

typedef struct _IconManager IconManager;
typedef struct _IconManagerClass IconManagerClass;
typedef struct _IconManagerPrivate IconManagerPrivate;
enum  {
	ICON_MANAGER_0_PROPERTY,
	ICON_MANAGER_NUM_PROPERTIES
};
static GParamSpec* icon_manager_properties[ICON_MANAGER_NUM_PROPERTIES];
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
#define _g_free0(var) (var = (g_free (var), NULL))
#define _g_error_free0(var) ((var == NULL) ? NULL : (var = (g_error_free (var), NULL)))
#define _cairo_surface_destroy0(var) ((var == NULL) ? NULL : (var = (cairo_surface_destroy (var), NULL)))
#define _gtk_icon_info_free0(var) ((var == NULL) ? NULL : (var = (gtk_icon_info_free (var), NULL)))

struct _IconManager {
	GObject parent_instance;
	IconManagerPrivate * priv;
};

struct _IconManagerClass {
	GObjectClass parent_class;
};


static gpointer icon_manager_parent_class = NULL;
extern GtkIconTheme* icon_manager_theme;
GtkIconTheme* icon_manager_theme = NULL;
extern GeeArrayList* icon_manager_search_paths;
GeeArrayList* icon_manager_search_paths = NULL;
extern gboolean GTK_INITIALIZED;

GType icon_manager_get_type (void) G_GNUC_CONST;
#define ICON_MANAGER_SHIELD_ICON_SIZE 64
#define ICON_MANAGER_GENERIC_ICON_IMAGE "image-x-generic"
#define ICON_MANAGER_GENERIC_ICON_IMAGE_MISSING "image-missing"
#define ICON_MANAGER_GENERIC_ICON_VIDEO "video-x-generic"
#define ICON_MANAGER_GENERIC_ICON_FILE "text-x-preview"
#define ICON_MANAGER_GENERIC_ICON_ARCHIVE_FILE "package-x-generic"
#define ICON_MANAGER_GENERIC_ICON_DIRECTORY "folder"
#define ICON_MANAGER_GENERIC_ICON_ISO "media-cdrom"
#define ICON_MANAGER_GENERIC_ICON_PDF "application-pdf"
#define ICON_MANAGER_ICON_HARDDRIVE "drive-harddisk"
#define ICON_MANAGER_SHIELD_LIVE "media-optical"
#define ICON_MANAGER_SHIELD_LOW "timeshift-shield-low"
#define ICON_MANAGER_SHIELD_MED "timeshift-shield-med"
#define ICON_MANAGER_SHIELD_HIGH "timeshift-shield-high"
void icon_manager_init (gchar** args,
                        int args_length1,
                        const gchar* app_name);
void tee_jee_logging_log_debug (const gchar* message);
gboolean tee_jee_file_system_dir_exists (const gchar* dir_path);
void icon_manager_refresh_icon_theme (void);
GdkPixbuf* icon_manager_lookup (const gchar* icon_name,
                                gint icon_size,
                                gboolean symbolic,
                                gboolean use_hardcoded,
                                gint scale);
gchar* tee_jee_file_system_path_combine (const gchar* path1,
                                         const gchar* path2);
gboolean tee_jee_file_system_file_exists (const gchar* file_path);
GdkPixbuf* icon_manager_load_pixbuf_from_file (const gchar* file_path,
                                               gint icon_size);
GtkImage* icon_manager_lookup_image (const gchar* icon_name,
                                     gint icon_size,
                                     gboolean symbolic,
                                     gboolean use_hardcoded);
cairo_surface_t* icon_manager_lookup_surface (const gchar* icon_name,
                                              gint icon_size,
                                              gint scale,
                                              gboolean symbolic,
                                              gboolean use_hardcoded);
GdkPixbuf* icon_manager_lookup_gicon (GIcon* gicon,
                                      gint icon_size);
GdkPixbuf* icon_manager_add_emblem (GdkPixbuf* pixbuf,
                                    const gchar* icon_name,
                                    gint emblem_size,
                                    gboolean emblem_symbolic,
                                    GtkCornerType corner_type);
void tee_jee_logging_log_error (const gchar* message,
                                gboolean highlight,
                                gboolean is_warning);
GdkPixbuf* icon_manager_add_overlay (GdkPixbuf* pixbuf_base,
                                     GdkPixbuf* pixbuf_overlay);
GdkPixbuf* icon_manager_resize_icon (GdkPixbuf* pixbuf_image,
                                     gint icon_size);
GdkPixbuf* icon_manager_add_transparency (GdkPixbuf* pixbuf,
                                          gint opacity);
IconManager* icon_manager_new (void);
IconManager* icon_manager_construct (GType object_type);
static void icon_manager_finalize (GObject * obj);
static void _vala_array_destroy (gpointer array,
                          gint array_length,
                          GDestroyNotify destroy_func);
static void _vala_array_free (gpointer array,
                       gint array_length,
                       GDestroyNotify destroy_func);


void
icon_manager_init (gchar** args,
                   int args_length1,
                   const gchar* app_name)
{
	GeeArrayList* _tmp0_;
	gchar* path = NULL;
	gchar* _tmp1_;
	const gchar* _tmp2_;
#line 61 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
	g_return_if_fail (app_name != NULL);
#line 63 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
	tee_jee_logging_log_debug ("IconManager: init()");
#line 65 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
	_tmp0_ = gee_array_list_new (G_TYPE_STRING, (GBoxedCopyFunc) g_strdup, (GDestroyNotify) g_free, NULL, NULL, NULL);
#line 65 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
	_g_object_unref0 (icon_manager_search_paths);
#line 65 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
	icon_manager_search_paths = _tmp0_;
#line 68 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
	_tmp1_ = g_strdup_printf ("/usr/share/%s/images", app_name);
#line 68 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
	path = _tmp1_;
#line 69 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
	_tmp2_ = path;
#line 69 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
	if (tee_jee_file_system_dir_exists (_tmp2_)) {
#line 175 "IconManager.c"
		GeeArrayList* _tmp3_;
		const gchar* _tmp4_;
		const gchar* _tmp5_;
		gchar* _tmp6_;
		gchar* _tmp7_;
#line 70 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
		_tmp3_ = icon_manager_search_paths;
#line 70 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
		_tmp4_ = path;
#line 70 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
		gee_abstract_collection_add ((GeeAbstractCollection*) _tmp3_, _tmp4_);
#line 71 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
		_tmp5_ = path;
#line 71 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
		_tmp6_ = g_strdup_printf ("found images directory: %s", _tmp5_);
#line 71 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
		_tmp7_ = _tmp6_;
#line 71 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
		tee_jee_logging_log_debug (_tmp7_);
#line 71 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
		_g_free0 (_tmp7_);
#line 197 "IconManager.c"
	}
#line 74 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
	icon_manager_refresh_icon_theme ();
#line 61 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
	_g_free0 (path);
#line 203 "IconManager.c"
}


static gpointer
_g_object_ref0 (gpointer self)
{
#line 81 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
	return self ? g_object_ref (self) : NULL;
#line 212 "IconManager.c"
}


void
icon_manager_refresh_icon_theme (void)
{
	gboolean _tmp0_;
	GtkIconTheme* _tmp1_;
	GtkIconTheme* _tmp2_;
#line 79 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
	_tmp0_ = GTK_INITIALIZED;
#line 79 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
	if (!_tmp0_) {
#line 79 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
		return;
#line 228 "IconManager.c"
	}
#line 81 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
	_tmp1_ = gtk_icon_theme_get_default ();
#line 81 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
	_tmp2_ = _g_object_ref0 (_tmp1_);
#line 81 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
	_g_object_unref0 (icon_manager_theme);
#line 81 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
	icon_manager_theme = _tmp2_;
#line 238 "IconManager.c"
	{
		GeeArrayList* _path_list = NULL;
		GeeArrayList* _tmp3_;
		GeeArrayList* _tmp4_;
		gint _path_size = 0;
		GeeArrayList* _tmp5_;
		gint _tmp6_;
		gint _tmp7_;
		gint _path_index = 0;
#line 82 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
		_tmp3_ = icon_manager_search_paths;
#line 82 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
		_tmp4_ = _g_object_ref0 (_tmp3_);
#line 82 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
		_path_list = _tmp4_;
#line 82 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
		_tmp5_ = _path_list;
#line 82 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
		_tmp6_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp5_);
#line 82 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
		_tmp7_ = _tmp6_;
#line 82 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
		_path_size = _tmp7_;
#line 82 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
		_path_index = -1;
#line 82 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
		while (TRUE) {
#line 266 "IconManager.c"
			gint _tmp8_;
			gint _tmp9_;
			gint _tmp10_;
			gchar* path = NULL;
			GeeArrayList* _tmp11_;
			gint _tmp12_;
			gpointer _tmp13_;
			GtkIconTheme* _tmp14_;
			const gchar* _tmp15_;
#line 82 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
			_tmp8_ = _path_index;
#line 82 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
			_path_index = _tmp8_ + 1;
#line 82 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
			_tmp9_ = _path_index;
#line 82 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
			_tmp10_ = _path_size;
#line 82 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
			if (!(_tmp9_ < _tmp10_)) {
#line 82 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
				break;
#line 288 "IconManager.c"
			}
#line 82 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
			_tmp11_ = _path_list;
#line 82 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
			_tmp12_ = _path_index;
#line 82 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
			_tmp13_ = gee_abstract_list_get ((GeeAbstractList*) _tmp11_, _tmp12_);
#line 82 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
			path = (gchar*) _tmp13_;
#line 83 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
			_tmp14_ = icon_manager_theme;
#line 83 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
			_tmp15_ = path;
#line 83 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
			gtk_icon_theme_append_search_path (_tmp14_, _tmp15_);
#line 82 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
			_g_free0 (path);
#line 306 "IconManager.c"
		}
#line 82 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
		_g_object_unref0 (_path_list);
#line 310 "IconManager.c"
	}
}


GdkPixbuf*
icon_manager_lookup (const gchar* icon_name,
                     gint icon_size,
                     gboolean symbolic,
                     gboolean use_hardcoded,
                     gint scale)
{
	GdkPixbuf* result = NULL;
	GdkPixbuf* pixbuf = NULL;
	gint _tmp0_;
	gint _tmp1_;
	GError* _inner_error0_ = NULL;
#line 87 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
	g_return_val_if_fail (icon_name != NULL, NULL);
#line 89 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
	pixbuf = NULL;
#line 91 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
	_tmp0_ = strlen (icon_name);
#line 91 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
	_tmp1_ = _tmp0_;
#line 91 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
	if (_tmp1_ == 0) {
#line 91 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
		result = NULL;
#line 91 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
		_g_object_unref0 (pixbuf);
#line 91 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
		return result;
#line 343 "IconManager.c"
	}
#line 93 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
	if (!use_hardcoded) {
#line 347 "IconManager.c"
		{
			GdkPixbuf* _tmp2_ = NULL;
			GtkIconTheme* _tmp3_;
			GdkPixbuf* _tmp4_;
			GdkPixbuf* _tmp5_;
			GdkPixbuf* _tmp6_;
#line 95 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
			_tmp3_ = icon_manager_theme;
#line 95 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
			_tmp4_ = gtk_icon_theme_load_icon_for_scale (_tmp3_, icon_name, icon_size, scale, GTK_ICON_LOOKUP_FORCE_SIZE, &_inner_error0_);
#line 95 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
			_tmp2_ = _tmp4_;
#line 95 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
			if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 362 "IconManager.c"
				goto __catch51_g_error;
			}
#line 95 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
			_tmp5_ = _tmp2_;
#line 95 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
			_tmp2_ = NULL;
#line 95 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
			_g_object_unref0 (pixbuf);
#line 95 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
			pixbuf = _tmp5_;
#line 96 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
			_tmp6_ = pixbuf;
#line 96 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
			if (_tmp6_ != NULL) {
#line 96 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
				result = pixbuf;
#line 96 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
				_g_object_unref0 (_tmp2_);
#line 96 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
				return result;
#line 383 "IconManager.c"
			}
#line 94 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
			_g_object_unref0 (_tmp2_);
#line 387 "IconManager.c"
		}
		goto __finally51;
		__catch51_g_error:
		{
			GError* e = NULL;
			GError* _tmp7_;
			const gchar* _tmp8_;
#line 94 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
			e = _inner_error0_;
#line 94 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
			_inner_error0_ = NULL;
#line 99 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
			_tmp7_ = e;
#line 99 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
			_tmp8_ = _tmp7_->message;
#line 99 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
			tee_jee_logging_log_debug (_tmp8_);
#line 94 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
			_g_error_free0 (e);
#line 407 "IconManager.c"
		}
		__finally51:
#line 94 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
		if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 94 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
			_g_object_unref0 (pixbuf);
#line 94 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
			g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 94 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
			g_clear_error (&_inner_error0_);
#line 94 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
			return NULL;
#line 420 "IconManager.c"
		}
	}
	{
		GeeArrayList* _search_path_list = NULL;
		GeeArrayList* _tmp9_;
		GeeArrayList* _tmp10_;
		gint _search_path_size = 0;
		GeeArrayList* _tmp11_;
		gint _tmp12_;
		gint _tmp13_;
		gint _search_path_index = 0;
#line 103 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
		_tmp9_ = icon_manager_search_paths;
#line 103 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
		_tmp10_ = _g_object_ref0 (_tmp9_);
#line 103 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
		_search_path_list = _tmp10_;
#line 103 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
		_tmp11_ = _search_path_list;
#line 103 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
		_tmp12_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp11_);
#line 103 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
		_tmp13_ = _tmp12_;
#line 103 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
		_search_path_size = _tmp13_;
#line 103 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
		_search_path_index = -1;
#line 103 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
		while (TRUE) {
#line 450 "IconManager.c"
			gint _tmp14_;
			gint _tmp15_;
			gint _tmp16_;
			gchar* search_path = NULL;
			GeeArrayList* _tmp17_;
			gint _tmp18_;
			gpointer _tmp19_;
			gchar* _tmp20_;
			gchar* _tmp21_;
			gchar* _tmp22_;
			gchar* _tmp23_;
			gchar** _tmp24_;
#line 103 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
			_tmp14_ = _search_path_index;
#line 103 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
			_search_path_index = _tmp14_ + 1;
#line 103 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
			_tmp15_ = _search_path_index;
#line 103 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
			_tmp16_ = _search_path_size;
#line 103 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
			if (!(_tmp15_ < _tmp16_)) {
#line 103 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
				break;
#line 475 "IconManager.c"
			}
#line 103 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
			_tmp17_ = _search_path_list;
#line 103 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
			_tmp18_ = _search_path_index;
#line 103 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
			_tmp19_ = gee_abstract_list_get ((GeeAbstractList*) _tmp17_, _tmp18_);
#line 103 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
			search_path = (gchar*) _tmp19_;
#line 105 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
			_tmp20_ = g_strdup (".svg");
#line 105 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
			_tmp21_ = g_strdup (".png");
#line 105 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
			_tmp22_ = g_strdup (".jpg");
#line 105 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
			_tmp23_ = g_strdup (".gif");
#line 105 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
			_tmp24_ = g_new0 (gchar*, 4 + 1);
#line 105 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
			_tmp24_[0] = _tmp20_;
#line 105 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
			_tmp24_[1] = _tmp21_;
#line 105 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
			_tmp24_[2] = _tmp22_;
#line 105 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
			_tmp24_[3] = _tmp23_;
#line 503 "IconManager.c"
			{
				gchar** ext_collection = NULL;
				gint ext_collection_length1 = 0;
				gint _ext_collection_size_ = 0;
				gint ext_it = 0;
#line 105 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
				ext_collection = _tmp24_;
#line 105 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
				ext_collection_length1 = 4;
#line 105 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
				for (ext_it = 0; ext_it < ext_collection_length1; ext_it = ext_it + 1) {
#line 515 "IconManager.c"
					gchar* _tmp25_;
					gchar* ext = NULL;
#line 105 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
					_tmp25_ = g_strdup (ext_collection[ext_it]);
#line 105 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
					ext = _tmp25_;
#line 522 "IconManager.c"
					{
						gchar* img_file = NULL;
						const gchar* _tmp26_;
						const gchar* _tmp27_;
						gchar* _tmp28_;
						gchar* _tmp29_;
						gchar* _tmp30_;
						gchar* _tmp31_;
						const gchar* _tmp32_;
#line 107 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
						_tmp26_ = search_path;
#line 107 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
						_tmp27_ = ext;
#line 107 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
						_tmp28_ = g_strconcat (icon_name, _tmp27_, NULL);
#line 107 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
						_tmp29_ = _tmp28_;
#line 107 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
						_tmp30_ = tee_jee_file_system_path_combine (_tmp26_, _tmp29_);
#line 107 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
						_tmp31_ = _tmp30_;
#line 107 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
						_g_free0 (_tmp29_);
#line 107 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
						img_file = _tmp31_;
#line 109 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
						_tmp32_ = img_file;
#line 109 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
						if (tee_jee_file_system_file_exists (_tmp32_)) {
#line 552 "IconManager.c"
							const gchar* _tmp33_;
							GdkPixbuf* _tmp34_;
							GdkPixbuf* _tmp35_;
#line 111 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
							_tmp33_ = img_file;
#line 111 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
							_tmp34_ = icon_manager_load_pixbuf_from_file (_tmp33_, icon_size);
#line 111 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
							_g_object_unref0 (pixbuf);
#line 111 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
							pixbuf = _tmp34_;
#line 112 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
							_tmp35_ = pixbuf;
#line 112 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
							if (_tmp35_ != NULL) {
#line 112 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
								result = pixbuf;
#line 112 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
								_g_free0 (img_file);
#line 112 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
								_g_free0 (ext);
#line 112 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
								ext_collection = (_vala_array_free (ext_collection, ext_collection_length1, (GDestroyNotify) g_free), NULL);
#line 112 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
								_g_free0 (search_path);
#line 112 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
								_g_object_unref0 (_search_path_list);
#line 112 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
								return result;
#line 582 "IconManager.c"
							}
						}
#line 105 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
						_g_free0 (img_file);
#line 105 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
						_g_free0 (ext);
#line 589 "IconManager.c"
					}
				}
#line 105 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
				ext_collection = (_vala_array_free (ext_collection, ext_collection_length1, (GDestroyNotify) g_free), NULL);
#line 594 "IconManager.c"
			}
#line 103 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
			_g_free0 (search_path);
#line 598 "IconManager.c"
		}
#line 103 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
		_g_object_unref0 (_search_path_list);
#line 602 "IconManager.c"
	}
#line 117 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
	result = pixbuf;
#line 117 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
	return result;
#line 608 "IconManager.c"
}


GtkImage*
icon_manager_lookup_image (const gchar* icon_name,
                           gint icon_size,
                           gboolean symbolic,
                           gboolean use_hardcoded)
{
	GtkImage* result = NULL;
	gint _tmp0_;
	gint _tmp1_;
	GtkImage* image = NULL;
	GtkImage* _tmp2_;
	GdkPixbuf* pix = NULL;
	GtkImage* _tmp3_;
	gint _tmp4_;
	gint _tmp5_;
	GdkPixbuf* _tmp6_;
	GdkPixbuf* _tmp7_;
	cairo_surface_t* surf = NULL;
	GdkPixbuf* _tmp12_;
	GtkImage* _tmp13_;
	gint _tmp14_;
	gint _tmp15_;
	cairo_surface_t* _tmp16_;
	GtkImage* _tmp17_;
	cairo_surface_t* _tmp18_;
#line 120 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
	g_return_val_if_fail (icon_name != NULL, NULL);
#line 122 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
	_tmp0_ = strlen (icon_name);
#line 122 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
	_tmp1_ = _tmp0_;
#line 122 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
	if (_tmp1_ == 0) {
#line 122 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
		result = NULL;
#line 122 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
		return result;
#line 649 "IconManager.c"
	}
#line 124 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
	_tmp2_ = (GtkImage*) gtk_image_new ();
#line 124 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
	g_object_ref_sink (_tmp2_);
#line 124 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
	image = _tmp2_;
#line 126 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
	_tmp3_ = image;
#line 126 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
	_tmp4_ = gtk_widget_get_scale_factor ((GtkWidget*) _tmp3_);
#line 126 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
	_tmp5_ = _tmp4_;
#line 126 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
	_tmp6_ = icon_manager_lookup (icon_name, icon_size, symbolic, use_hardcoded, _tmp5_);
#line 126 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
	pix = _tmp6_;
#line 128 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
	_tmp7_ = pix;
#line 128 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
	if (_tmp7_ == NULL) {
#line 671 "IconManager.c"
		GtkImage* _tmp8_;
		gint _tmp9_;
		gint _tmp10_;
		GdkPixbuf* _tmp11_;
#line 129 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
		_tmp8_ = image;
#line 129 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
		_tmp9_ = gtk_widget_get_scale_factor ((GtkWidget*) _tmp8_);
#line 129 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
		_tmp10_ = _tmp9_;
#line 129 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
		_tmp11_ = icon_manager_lookup (ICON_MANAGER_GENERIC_ICON_IMAGE_MISSING, icon_size, symbolic, use_hardcoded, _tmp10_);
#line 129 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
		_g_object_unref0 (pix);
#line 129 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
		pix = _tmp11_;
#line 688 "IconManager.c"
	}
#line 132 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
	_tmp12_ = pix;
#line 132 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
	_tmp13_ = image;
#line 132 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
	_tmp14_ = gtk_widget_get_scale_factor ((GtkWidget*) _tmp13_);
#line 132 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
	_tmp15_ = _tmp14_;
#line 132 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
	_tmp16_ = gdk_cairo_surface_create_from_pixbuf (_tmp12_, _tmp15_, NULL);
#line 132 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
	surf = _tmp16_;
#line 134 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
	_tmp17_ = image;
#line 134 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
	_tmp18_ = surf;
#line 134 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
	gtk_image_set_from_surface (_tmp17_, _tmp18_);
#line 136 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
	result = image;
#line 136 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
	_cairo_surface_destroy0 (surf);
#line 136 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
	_g_object_unref0 (pix);
#line 136 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
	return result;
#line 716 "IconManager.c"
}


cairo_surface_t*
icon_manager_lookup_surface (const gchar* icon_name,
                             gint icon_size,
                             gint scale,
                             gboolean symbolic,
                             gboolean use_hardcoded)
{
	cairo_surface_t* result = NULL;
	gint _tmp0_;
	gint _tmp1_;
	GdkPixbuf* pix = NULL;
	GdkPixbuf* _tmp2_;
	GdkPixbuf* _tmp3_;
	GdkPixbuf* _tmp5_;
	cairo_surface_t* _tmp6_;
#line 139 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
	g_return_val_if_fail (icon_name != NULL, NULL);
#line 140 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
	_tmp0_ = strlen (icon_name);
#line 140 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
	_tmp1_ = _tmp0_;
#line 140 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
	if (_tmp1_ == 0) {
#line 140 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
		result = NULL;
#line 140 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
		return result;
#line 747 "IconManager.c"
	}
#line 142 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
	_tmp2_ = icon_manager_lookup (icon_name, icon_size, symbolic, use_hardcoded, scale);
#line 142 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
	pix = _tmp2_;
#line 144 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
	_tmp3_ = pix;
#line 144 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
	if (_tmp3_ == NULL) {
#line 757 "IconManager.c"
		GdkPixbuf* _tmp4_;
#line 145 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
		_tmp4_ = icon_manager_lookup (ICON_MANAGER_GENERIC_ICON_IMAGE_MISSING, icon_size, symbolic, use_hardcoded, scale);
#line 145 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
		_g_object_unref0 (pix);
#line 145 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
		pix = _tmp4_;
#line 765 "IconManager.c"
	}
#line 148 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
	_tmp5_ = pix;
#line 148 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
	_tmp6_ = gdk_cairo_surface_create_from_pixbuf (_tmp5_, scale, NULL);
#line 148 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
	result = _tmp6_;
#line 148 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
	_g_object_unref0 (pix);
#line 148 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
	return result;
#line 777 "IconManager.c"
}


GdkPixbuf*
icon_manager_lookup_gicon (GIcon* gicon,
                           gint icon_size)
{
	GdkPixbuf* result = NULL;
	GdkPixbuf* pixbuf = NULL;
	GError* _inner_error0_ = NULL;
#line 153 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
	pixbuf = NULL;
#line 155 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
	if (gicon == NULL) {
#line 155 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
		result = NULL;
#line 155 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
		_g_object_unref0 (pixbuf);
#line 155 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
		return result;
#line 798 "IconManager.c"
	}
	{
		GtkIconInfo* icon_info = NULL;
		GtkIconTheme* _tmp0_;
		GtkIconInfo* _tmp1_;
		GtkIconInfo* _tmp2_;
#line 158 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
		_tmp0_ = icon_manager_theme;
#line 158 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
		_tmp1_ = gtk_icon_theme_lookup_by_gicon (_tmp0_, gicon, icon_size, GTK_ICON_LOOKUP_FORCE_SIZE);
#line 158 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
		icon_info = _tmp1_;
#line 159 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
		_tmp2_ = icon_info;
#line 159 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
		if (_tmp2_ != NULL) {
#line 815 "IconManager.c"
			GdkPixbuf* _tmp3_ = NULL;
			GtkIconInfo* _tmp4_;
			GdkPixbuf* _tmp5_;
			GdkPixbuf* _tmp6_;
#line 160 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
			_tmp4_ = icon_info;
#line 160 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
			_tmp5_ = gtk_icon_info_load_icon (_tmp4_, &_inner_error0_);
#line 160 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
			_tmp3_ = _tmp5_;
#line 160 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
			if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 160 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
				_gtk_icon_info_free0 (icon_info);
#line 830 "IconManager.c"
				goto __catch52_g_error;
			}
#line 160 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
			_tmp6_ = _tmp3_;
#line 160 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
			_tmp3_ = NULL;
#line 160 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
			_g_object_unref0 (pixbuf);
#line 160 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
			pixbuf = _tmp6_;
#line 159 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
			_g_object_unref0 (_tmp3_);
#line 843 "IconManager.c"
		}
#line 157 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
		_gtk_icon_info_free0 (icon_info);
#line 847 "IconManager.c"
	}
	goto __finally52;
	__catch52_g_error:
	{
		GError* e = NULL;
		GError* _tmp7_;
		const gchar* _tmp8_;
#line 157 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
		e = _inner_error0_;
#line 157 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
		_inner_error0_ = NULL;
#line 164 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
		_tmp7_ = e;
#line 164 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
		_tmp8_ = _tmp7_->message;
#line 164 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
		tee_jee_logging_log_debug (_tmp8_);
#line 157 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
		_g_error_free0 (e);
#line 867 "IconManager.c"
	}
	__finally52:
#line 157 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
	if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 157 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
		_g_object_unref0 (pixbuf);
#line 157 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 157 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
		g_clear_error (&_inner_error0_);
#line 157 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
		return NULL;
#line 880 "IconManager.c"
	}
#line 167 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
	result = pixbuf;
#line 167 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
	return result;
#line 886 "IconManager.c"
}


GdkPixbuf*
icon_manager_add_emblem (GdkPixbuf* pixbuf,
                         const gchar* icon_name,
                         gint emblem_size,
                         gboolean emblem_symbolic,
                         GtkCornerType corner_type)
{
	GdkPixbuf* result = NULL;
	gint _tmp0_;
	gint _tmp1_;
	GdkPixbuf* emblem = NULL;
	GdkRGBA SMALL_EMBLEM_COLOR = {0};
	gint EMBLEM_PADDING = 0;
	GdkPixbuf* _tmp19_;
	gint offset_x = 0;
	gint _tmp21_;
	gboolean _tmp22_ = FALSE;
	gint offset_y = 0;
	gint _tmp29_;
	gboolean _tmp30_ = FALSE;
	GdkPixbuf* emblemed = NULL;
	GdkPixbuf* _tmp37_;
	GdkPixbuf* _tmp38_;
	GdkPixbuf* _tmp39_;
	gint _tmp40_;
	gint _tmp41_;
	gint _tmp42_;
	gint _tmp43_;
	GError* _inner_error0_ = NULL;
#line 170 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
	g_return_val_if_fail (pixbuf != NULL, NULL);
#line 170 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
	g_return_val_if_fail (icon_name != NULL, NULL);
#line 172 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
	_tmp0_ = strlen (icon_name);
#line 172 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
	_tmp1_ = _tmp0_;
#line 172 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
	if (_tmp1_ == 0) {
#line 929 "IconManager.c"
		GdkPixbuf* _tmp2_;
#line 172 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
		_tmp2_ = _g_object_ref0 (pixbuf);
#line 172 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
		result = _tmp2_;
#line 172 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
		return result;
#line 937 "IconManager.c"
	}
#line 174 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
	emblem = NULL;
#line 176 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
	memset (&SMALL_EMBLEM_COLOR, 0, sizeof (GdkRGBA));
#line 177 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
	gdk_rgba_parse (&SMALL_EMBLEM_COLOR, "#000000");
#line 178 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
	SMALL_EMBLEM_COLOR.alpha = 1.0;
#line 180 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
	EMBLEM_PADDING = 1;
#line 949 "IconManager.c"
	{
		GtkIconInfo* icon_info = NULL;
		GtkIconTheme* _tmp3_;
		GtkIconInfo* _tmp4_;
#line 183 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
		_tmp3_ = icon_manager_theme;
#line 183 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
		_tmp4_ = gtk_icon_theme_lookup_icon (_tmp3_, icon_name, emblem_size, GTK_ICON_LOOKUP_FORCE_SIZE);
#line 183 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
		icon_info = _tmp4_;
#line 184 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
		if (emblem_symbolic) {
#line 962 "IconManager.c"
			GdkPixbuf* _tmp5_ = NULL;
			GtkIconInfo* _tmp6_;
			GdkRGBA _tmp7_;
			GdkPixbuf* _tmp8_;
			GdkPixbuf* _tmp9_;
#line 185 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
			_tmp6_ = icon_info;
#line 185 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
			_tmp7_ = SMALL_EMBLEM_COLOR;
#line 185 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
			_tmp8_ = gtk_icon_info_load_symbolic (_tmp6_, &_tmp7_, NULL, NULL, NULL, NULL, &_inner_error0_);
#line 185 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
			_tmp5_ = _tmp8_;
#line 185 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
			if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 185 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
				_gtk_icon_info_free0 (icon_info);
#line 980 "IconManager.c"
				goto __catch53_g_error;
			}
#line 185 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
			_tmp9_ = _tmp5_;
#line 185 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
			_tmp5_ = NULL;
#line 185 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
			_g_object_unref0 (emblem);
#line 185 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
			emblem = _tmp9_;
#line 184 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
			_g_object_unref0 (_tmp5_);
#line 993 "IconManager.c"
		} else {
			GdkPixbuf* _tmp10_ = NULL;
			GtkIconInfo* _tmp11_;
			GdkPixbuf* _tmp12_;
			GdkPixbuf* _tmp13_;
#line 188 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
			_tmp11_ = icon_info;
#line 188 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
			_tmp12_ = gtk_icon_info_load_icon (_tmp11_, &_inner_error0_);
#line 188 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
			_tmp10_ = _tmp12_;
#line 188 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
			if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 188 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
				_gtk_icon_info_free0 (icon_info);
#line 1009 "IconManager.c"
				goto __catch53_g_error;
			}
#line 188 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
			_tmp13_ = _tmp10_;
#line 188 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
			_tmp10_ = NULL;
#line 188 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
			_g_object_unref0 (emblem);
#line 188 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
			emblem = _tmp13_;
#line 184 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
			_g_object_unref0 (_tmp10_);
#line 1022 "IconManager.c"
		}
#line 182 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
		_gtk_icon_info_free0 (icon_info);
#line 1026 "IconManager.c"
	}
	goto __finally53;
	__catch53_g_error:
	{
		GError* e = NULL;
		GError* _tmp14_;
		const gchar* _tmp15_;
		gchar* _tmp16_;
		gchar* _tmp17_;
		GdkPixbuf* _tmp18_;
#line 182 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
		e = _inner_error0_;
#line 182 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
		_inner_error0_ = NULL;
#line 191 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
		_tmp14_ = e;
#line 191 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
		_tmp15_ = _tmp14_->message;
#line 191 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
		_tmp16_ = g_strdup_printf ("get_icon_emblemed(): %s", _tmp15_);
#line 191 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
		_tmp17_ = _tmp16_;
#line 191 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
		tee_jee_logging_log_error (_tmp17_, FALSE, FALSE);
#line 191 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
		_g_free0 (_tmp17_);
#line 192 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
		_tmp18_ = _g_object_ref0 (pixbuf);
#line 192 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
		result = _tmp18_;
#line 192 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
		_g_error_free0 (e);
#line 192 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
		_g_object_unref0 (emblem);
#line 192 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
		return result;
#line 1063 "IconManager.c"
	}
	__finally53:
#line 182 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
	if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 182 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
		_g_object_unref0 (emblem);
#line 182 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 182 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
		g_clear_error (&_inner_error0_);
#line 182 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
		return NULL;
#line 1076 "IconManager.c"
	}
#line 195 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
	_tmp19_ = emblem;
#line 195 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
	if (_tmp19_ == NULL) {
#line 1082 "IconManager.c"
		GdkPixbuf* _tmp20_;
#line 196 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
		_tmp20_ = _g_object_ref0 (pixbuf);
#line 196 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
		result = _tmp20_;
#line 196 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
		_g_object_unref0 (emblem);
#line 196 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
		return result;
#line 1092 "IconManager.c"
	}
#line 198 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
	_tmp21_ = EMBLEM_PADDING;
#line 198 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
	offset_x = _tmp21_;
#line 200 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
	if (corner_type == GTK_CORNER_BOTTOM_RIGHT) {
#line 200 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
		_tmp22_ = TRUE;
#line 1102 "IconManager.c"
	} else {
#line 200 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
		_tmp22_ = corner_type == GTK_CORNER_TOP_RIGHT;
#line 1106 "IconManager.c"
	}
#line 200 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
	if (_tmp22_) {
#line 1110 "IconManager.c"
		gint _tmp23_;
		gint _tmp24_;
		GdkPixbuf* _tmp25_;
		gint _tmp26_;
		gint _tmp27_;
		gint _tmp28_;
#line 201 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
		_tmp23_ = gdk_pixbuf_get_width (pixbuf);
#line 201 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
		_tmp24_ = _tmp23_;
#line 201 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
		_tmp25_ = emblem;
#line 201 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
		_tmp26_ = gdk_pixbuf_get_width (_tmp25_);
#line 201 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
		_tmp27_ = _tmp26_;
#line 201 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
		_tmp28_ = EMBLEM_PADDING;
#line 201 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
		offset_x = (_tmp24_ - _tmp27_) - _tmp28_;
#line 1131 "IconManager.c"
	}
#line 204 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
	_tmp29_ = EMBLEM_PADDING;
#line 204 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
	offset_y = _tmp29_;
#line 206 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
	if (corner_type == GTK_CORNER_BOTTOM_LEFT) {
#line 206 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
		_tmp30_ = TRUE;
#line 1141 "IconManager.c"
	} else {
#line 206 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
		_tmp30_ = corner_type == GTK_CORNER_BOTTOM_RIGHT;
#line 1145 "IconManager.c"
	}
#line 206 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
	if (_tmp30_) {
#line 1149 "IconManager.c"
		gint _tmp31_;
		gint _tmp32_;
		GdkPixbuf* _tmp33_;
		gint _tmp34_;
		gint _tmp35_;
		gint _tmp36_;
#line 207 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
		_tmp31_ = gdk_pixbuf_get_height (pixbuf);
#line 207 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
		_tmp32_ = _tmp31_;
#line 207 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
		_tmp33_ = emblem;
#line 207 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
		_tmp34_ = gdk_pixbuf_get_height (_tmp33_);
#line 207 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
		_tmp35_ = _tmp34_;
#line 207 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
		_tmp36_ = EMBLEM_PADDING;
#line 207 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
		offset_y = (_tmp32_ - _tmp35_) - _tmp36_;
#line 1170 "IconManager.c"
	}
#line 210 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
	_tmp37_ = gdk_pixbuf_copy (pixbuf);
#line 210 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
	emblemed = _tmp37_;
#line 212 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
	_tmp38_ = emblem;
#line 212 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
	_tmp39_ = emblemed;
#line 212 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
	_tmp40_ = offset_x;
#line 212 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
	_tmp41_ = offset_y;
#line 212 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
	_tmp42_ = offset_x;
#line 212 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
	_tmp43_ = offset_y;
#line 212 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
	gdk_pixbuf_composite (_tmp38_, _tmp39_, _tmp40_, _tmp41_, emblem_size, emblem_size, (gdouble) _tmp42_, (gdouble) _tmp43_, 1.0, 1.0, GDK_INTERP_BILINEAR, 255);
#line 219 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
	result = emblemed;
#line 219 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
	_g_object_unref0 (emblem);
#line 219 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
	return result;
#line 1196 "IconManager.c"
}


GdkPixbuf*
icon_manager_add_overlay (GdkPixbuf* pixbuf_base,
                          GdkPixbuf* pixbuf_overlay)
{
	GdkPixbuf* result = NULL;
	gint offset_x = 0;
	gint _tmp0_;
	gint _tmp1_;
	gint _tmp2_;
	gint _tmp3_;
	gint offset_y = 0;
	gint _tmp4_;
	gint _tmp5_;
	gint _tmp6_;
	gint _tmp7_;
	GdkPixbuf* emblemed = NULL;
	GdkPixbuf* _tmp8_;
	gint _tmp9_;
	gint _tmp10_;
	gint _tmp11_;
	gint _tmp12_;
#line 222 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
	g_return_val_if_fail (pixbuf_base != NULL, NULL);
#line 222 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
	g_return_val_if_fail (pixbuf_overlay != NULL, NULL);
#line 224 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
	_tmp0_ = gdk_pixbuf_get_width (pixbuf_base);
#line 224 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
	_tmp1_ = _tmp0_;
#line 224 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
	_tmp2_ = gdk_pixbuf_get_width (pixbuf_overlay);
#line 224 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
	_tmp3_ = _tmp2_;
#line 224 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
	offset_x = (_tmp1_ - _tmp3_) / 2;
#line 226 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
	_tmp4_ = gdk_pixbuf_get_height (pixbuf_base);
#line 226 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
	_tmp5_ = _tmp4_;
#line 226 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
	_tmp6_ = gdk_pixbuf_get_height (pixbuf_overlay);
#line 226 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
	_tmp7_ = _tmp6_;
#line 226 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
	offset_y = (_tmp5_ - _tmp7_) / 2;
#line 228 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
	_tmp8_ = gdk_pixbuf_copy (pixbuf_base);
#line 228 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
	emblemed = _tmp8_;
#line 230 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
	_tmp9_ = gdk_pixbuf_get_width (pixbuf_overlay);
#line 230 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
	_tmp10_ = _tmp9_;
#line 230 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
	_tmp11_ = gdk_pixbuf_get_height (pixbuf_overlay);
#line 230 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
	_tmp12_ = _tmp11_;
#line 230 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
	gdk_pixbuf_composite (pixbuf_overlay, emblemed, offset_x, offset_y, _tmp10_, _tmp12_, (gdouble) offset_x, (gdouble) offset_y, 1.0, 1.0, GDK_INTERP_BILINEAR, 255);
#line 237 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
	result = emblemed;
#line 237 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
	return result;
#line 1263 "IconManager.c"
}


GdkPixbuf*
icon_manager_resize_icon (GdkPixbuf* pixbuf_image,
                          gint icon_size)
{
	GdkPixbuf* result = NULL;
	GdkPixbuf* pixbuf_empty = NULL;
	GdkPixbuf* _tmp0_;
	GdkPixbuf* pixbuf_resized = NULL;
	GdkPixbuf* _tmp1_;
#line 240 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
	g_return_val_if_fail (pixbuf_image != NULL, NULL);
#line 244 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
	_tmp0_ = gdk_pixbuf_new (GDK_COLORSPACE_RGB, TRUE, 8, icon_size, icon_size);
#line 244 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
	pixbuf_empty = _tmp0_;
#line 245 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
	gdk_pixbuf_fill (pixbuf_empty, (guint32) 0x00000000);
#line 249 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
	_tmp1_ = icon_manager_add_overlay (pixbuf_empty, pixbuf_image);
#line 249 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
	pixbuf_resized = _tmp1_;
#line 255 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
	result = pixbuf_resized;
#line 255 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
	_g_object_unref0 (pixbuf_empty);
#line 255 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
	return result;
#line 1294 "IconManager.c"
}


GdkPixbuf*
icon_manager_add_transparency (GdkPixbuf* pixbuf,
                               gint opacity)
{
	GdkPixbuf* result = NULL;
	GdkPixbuf* trans = NULL;
	GdkPixbuf* _tmp0_;
	gint width = 0;
	gint height = 0;
#line 258 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
	g_return_val_if_fail (pixbuf != NULL, NULL);
#line 260 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
	_tmp0_ = gdk_pixbuf_copy (pixbuf);
#line 260 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
	trans = _tmp0_;
#line 261 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
	gdk_pixbuf_fill (trans, (guint32) 0xFFFFFF00LL);
#line 265 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
	width = gdk_pixbuf_get_width (pixbuf);
#line 266 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
	height = gdk_pixbuf_get_height (pixbuf);
#line 267 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
	gdk_pixbuf_composite (pixbuf, trans, 0, 0, width, height, (gdouble) 0, (gdouble) 0, 1.0, 1.0, GDK_INTERP_BILINEAR, opacity);
#line 269 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
	result = trans;
#line 269 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
	return result;
#line 1325 "IconManager.c"
}


GdkPixbuf*
icon_manager_load_pixbuf_from_file (const gchar* file_path,
                                    gint icon_size)
{
	GdkPixbuf* result = NULL;
	GdkPixbuf* pixbuf = NULL;
	gint width = 0;
	gint height = 0;
	gint _tmp0_ = 0;
	gint _tmp1_ = 0;
	gboolean _tmp2_ = FALSE;
	gint _tmp3_;
	GError* _inner_error0_ = NULL;
#line 272 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
	g_return_val_if_fail (file_path != NULL, NULL);
#line 274 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
	pixbuf = NULL;
#line 277 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
	gdk_pixbuf_get_file_info (file_path, &_tmp0_, &_tmp1_);
#line 277 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
	width = _tmp0_;
#line 277 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
	height = _tmp1_;
#line 279 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
	_tmp3_ = width;
#line 279 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
	if (_tmp3_ <= icon_size) {
#line 1356 "IconManager.c"
		gint _tmp4_;
#line 279 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
		_tmp4_ = height;
#line 279 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
		_tmp2_ = _tmp4_ <= icon_size;
#line 1362 "IconManager.c"
	} else {
#line 279 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
		_tmp2_ = FALSE;
#line 1366 "IconManager.c"
	}
#line 279 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
	if (_tmp2_) {
#line 1370 "IconManager.c"
		{
			GdkPixbuf* _tmp5_ = NULL;
			GdkPixbuf* _tmp6_;
			GdkPixbuf* _tmp7_;
			GdkPixbuf* _tmp8_;
			GdkPixbuf* _tmp9_;
			GdkPixbuf* _tmp10_;
#line 282 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
			_tmp6_ = gdk_pixbuf_new_from_file (file_path, &_inner_error0_);
#line 282 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
			_tmp5_ = _tmp6_;
#line 282 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
			if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 1384 "IconManager.c"
				goto __catch54_g_error;
			}
#line 282 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
			_tmp7_ = _tmp5_;
#line 282 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
			_tmp5_ = NULL;
#line 282 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
			_g_object_unref0 (pixbuf);
#line 282 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
			pixbuf = _tmp7_;
#line 284 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
			_tmp8_ = pixbuf;
#line 284 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
			_tmp9_ = icon_manager_resize_icon (_tmp8_, icon_size);
#line 284 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
			_g_object_unref0 (pixbuf);
#line 284 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
			pixbuf = _tmp9_;
#line 286 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
			_tmp10_ = pixbuf;
#line 286 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
			if (_tmp10_ != NULL) {
#line 286 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
				result = pixbuf;
#line 286 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
				_g_object_unref0 (_tmp5_);
#line 286 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
				return result;
#line 1413 "IconManager.c"
			}
#line 280 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
			_g_object_unref0 (_tmp5_);
#line 1417 "IconManager.c"
		}
		goto __finally54;
		__catch54_g_error:
		{
			GError* e = NULL;
#line 280 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
			e = _inner_error0_;
#line 280 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
			_inner_error0_ = NULL;
#line 280 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
			_g_error_free0 (e);
#line 1429 "IconManager.c"
		}
		__finally54:
#line 280 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
		if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 280 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
			_g_object_unref0 (pixbuf);
#line 280 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
			g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 280 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
			g_clear_error (&_inner_error0_);
#line 280 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
			return NULL;
#line 1442 "IconManager.c"
		}
	} else {
		{
			GdkPixbuf* _tmp11_ = NULL;
			GdkPixbuf* _tmp12_;
			GdkPixbuf* _tmp13_;
			GdkPixbuf* _tmp14_;
			GdkPixbuf* _tmp15_;
			GdkPixbuf* _tmp16_;
#line 295 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
			_tmp12_ = gdk_pixbuf_new_from_file_at_scale (file_path, icon_size, icon_size, TRUE, &_inner_error0_);
#line 295 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
			_tmp11_ = _tmp12_;
#line 295 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
			if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 1458 "IconManager.c"
				goto __catch55_g_error;
			}
#line 295 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
			_tmp13_ = _tmp11_;
#line 295 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
			_tmp11_ = NULL;
#line 295 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
			_g_object_unref0 (pixbuf);
#line 295 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
			pixbuf = _tmp13_;
#line 297 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
			_tmp14_ = pixbuf;
#line 297 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
			_tmp15_ = icon_manager_resize_icon (_tmp14_, icon_size);
#line 297 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
			_g_object_unref0 (pixbuf);
#line 297 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
			pixbuf = _tmp15_;
#line 299 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
			_tmp16_ = pixbuf;
#line 299 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
			if (_tmp16_ != NULL) {
#line 299 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
				result = pixbuf;
#line 299 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
				_g_object_unref0 (_tmp11_);
#line 299 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
				return result;
#line 1487 "IconManager.c"
			}
#line 293 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
			_g_object_unref0 (_tmp11_);
#line 1491 "IconManager.c"
		}
		goto __finally55;
		__catch55_g_error:
		{
			GError* e = NULL;
#line 293 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
			e = _inner_error0_;
#line 293 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
			_inner_error0_ = NULL;
#line 293 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
			_g_error_free0 (e);
#line 1503 "IconManager.c"
		}
		__finally55:
#line 293 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
		if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 293 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
			_g_object_unref0 (pixbuf);
#line 293 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
			g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 293 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
			g_clear_error (&_inner_error0_);
#line 293 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
			return NULL;
#line 1516 "IconManager.c"
		}
	}
#line 306 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
	result = NULL;
#line 306 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
	_g_object_unref0 (pixbuf);
#line 306 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
	return result;
#line 1525 "IconManager.c"
}


IconManager*
icon_manager_construct (GType object_type)
{
	IconManager * self = NULL;
#line 37 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
	self = (IconManager*) g_object_new (object_type, NULL);
#line 37 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
	return self;
#line 1537 "IconManager.c"
}


IconManager*
icon_manager_new (void)
{
#line 37 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
	return icon_manager_construct (TYPE_ICON_MANAGER);
#line 1546 "IconManager.c"
}


static void
icon_manager_class_init (IconManagerClass * klass)
{
	GeeArrayList* _tmp0_;
#line 37 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
	icon_manager_parent_class = g_type_class_peek_parent (klass);
#line 37 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
	G_OBJECT_CLASS (klass)->finalize = icon_manager_finalize;
#line 41 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
	_tmp0_ = gee_array_list_new (G_TYPE_STRING, (GBoxedCopyFunc) g_strdup, (GDestroyNotify) g_free, NULL, NULL, NULL);
#line 41 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
	icon_manager_search_paths = _tmp0_;
#line 1562 "IconManager.c"
}


static void
icon_manager_instance_init (IconManager * self)
{
}


static void
icon_manager_finalize (GObject * obj)
{
	IconManager * self;
#line 37 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, TYPE_ICON_MANAGER, IconManager);
#line 37 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/IconManager.vala"
	G_OBJECT_CLASS (icon_manager_parent_class)->finalize (obj);
#line 1580 "IconManager.c"
}


GType
icon_manager_get_type (void)
{
	static volatile gsize icon_manager_type_id__volatile = 0;
	if (g_once_init_enter (&icon_manager_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (IconManagerClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) icon_manager_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (IconManager), 0, (GInstanceInitFunc) icon_manager_instance_init, NULL };
		GType icon_manager_type_id;
		icon_manager_type_id = g_type_register_static (G_TYPE_OBJECT, "IconManager", &g_define_type_info, 0);
		g_once_init_leave (&icon_manager_type_id__volatile, icon_manager_type_id);
	}
	return icon_manager_type_id__volatile;
}


static void
_vala_array_destroy (gpointer array,
                     gint array_length,
                     GDestroyNotify destroy_func)
{
	if ((array != NULL) && (destroy_func != NULL)) {
		int i;
		for (i = 0; i < array_length; i = i + 1) {
			if (((gpointer*) array)[i] != NULL) {
				destroy_func (((gpointer*) array)[i]);
			}
		}
	}
}


static void
_vala_array_free (gpointer array,
                  gint array_length,
                  GDestroyNotify destroy_func)
{
	_vala_array_destroy (array, array_length, destroy_func);
	g_free (array);
}



