/* RsyncSpaceCheckTask.c generated by valac 0.40.19, the Vala compiler
 * generated from RsyncSpaceCheckTask.vala, do not modify */

/*
 * RsyncTask.vala
 *
 * Copyright 2012-2018 Tony George <teejeetech@gmail.com>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA 02110-1301, USA.
 *
 *
 */


#include <glib.h>
#include <glib-object.h>
#include <stdlib.h>
#include <string.h>
#include <gio/gio.h>
#include <float.h>
#include <math.h>


#define TYPE_ASYNC_TASK (async_task_get_type ())
#define ASYNC_TASK(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), TYPE_ASYNC_TASK, AsyncTask))
#define ASYNC_TASK_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), TYPE_ASYNC_TASK, AsyncTaskClass))
#define IS_ASYNC_TASK(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TYPE_ASYNC_TASK))
#define IS_ASYNC_TASK_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), TYPE_ASYNC_TASK))
#define ASYNC_TASK_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), TYPE_ASYNC_TASK, AsyncTaskClass))

typedef struct _AsyncTask AsyncTask;
typedef struct _AsyncTaskClass AsyncTaskClass;
typedef struct _AsyncTaskPrivate AsyncTaskPrivate;
typedef enum  {
	APP_STATUS_NOT_STARTED,
	APP_STATUS_RUNNING,
	APP_STATUS_PAUSED,
	APP_STATUS_FINISHED,
	APP_STATUS_CANCELLED,
	APP_STATUS_PASSWORD_REQUIRED
} AppStatus;


#define TYPE_APP_STATUS (app_status_get_type ())

#define TYPE_RSYNC_SPACE_CHECK_TASK (rsync_space_check_task_get_type ())
#define RSYNC_SPACE_CHECK_TASK(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), TYPE_RSYNC_SPACE_CHECK_TASK, RsyncSpaceCheckTask))
#define RSYNC_SPACE_CHECK_TASK_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), TYPE_RSYNC_SPACE_CHECK_TASK, RsyncSpaceCheckTaskClass))
#define IS_RSYNC_SPACE_CHECK_TASK(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TYPE_RSYNC_SPACE_CHECK_TASK))
#define IS_RSYNC_SPACE_CHECK_TASK_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), TYPE_RSYNC_SPACE_CHECK_TASK))
#define RSYNC_SPACE_CHECK_TASK_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), TYPE_RSYNC_SPACE_CHECK_TASK, RsyncSpaceCheckTaskClass))

typedef struct _RsyncSpaceCheckTask RsyncSpaceCheckTask;
typedef struct _RsyncSpaceCheckTaskClass RsyncSpaceCheckTaskClass;
typedef struct _RsyncSpaceCheckTaskPrivate RsyncSpaceCheckTaskPrivate;
enum  {
	RSYNC_SPACE_CHECK_TASK_0_PROPERTY,
	RSYNC_SPACE_CHECK_TASK_NUM_PROPERTIES
};
static GParamSpec* rsync_space_check_task_properties[RSYNC_SPACE_CHECK_TASK_NUM_PROPERTIES];
#define _g_free0(var) (var = (g_free (var), NULL))
#define _g_regex_unref0(var) ((var == NULL) ? NULL : (var = (g_regex_unref (var), NULL)))
#define _g_error_free0(var) ((var == NULL) ? NULL : (var = (g_error_free (var), NULL)))
#define _g_match_info_unref0(var) ((var == NULL) ? NULL : (var = (g_match_info_unref (var), NULL)))
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))

struct _AsyncTask {
	GObject parent_instance;
	AsyncTaskPrivate * priv;
	GDataOutputStream* dos_log;
	gboolean is_terminated;
	GPid child_pid;
	gchar* script_file;
	gchar* working_dir;
	gchar* log_file;
	gboolean background_mode;
	AppStatus status;
	gchar* status_line;
	gint exit_code;
	gchar* error_msg;
	GTimer* timer;
	gdouble progress;
	gdouble percent;
	gint64 prg_count;
	gint64 prg_count_total;
	gint64 prg_bytes;
	gint64 prg_bytes_total;
	gchar* eta;
};

struct _AsyncTaskClass {
	GObjectClass parent_class;
	void (*parse_stdout_line) (AsyncTask* self, const gchar* out_line);
	void (*parse_stderr_line) (AsyncTask* self, const gchar* err_line);
	void (*finish_task) (AsyncTask* self);
};

struct _RsyncSpaceCheckTask {
	AsyncTask parent_instance;
	RsyncSpaceCheckTaskPrivate * priv;
	gboolean delete_extra;
	gboolean delete_after;
	gboolean delete_excluded;
	gboolean relative;
	gchar* exclude_from_file;
	gchar* link_from_path;
	gchar* source_path;
	gchar* dest_path;
	gboolean verbose;
	gboolean io_nice;
	gboolean dry_run;
	gint64 status_line_count;
	gint64 total_size;
};

struct _RsyncSpaceCheckTaskClass {
	AsyncTaskClass parent_class;
};

struct _RsyncSpaceCheckTaskPrivate {
	GRegex* sent_bytes_regex;
};


static gpointer rsync_space_check_task_parent_class = NULL;

GType async_task_get_type (void) G_GNUC_CONST;
GType app_status_get_type (void) G_GNUC_CONST;
GType rsync_space_check_task_get_type (void) G_GNUC_CONST;
#define RSYNC_SPACE_CHECK_TASK_GET_PRIVATE(o) (G_TYPE_INSTANCE_GET_PRIVATE ((o), TYPE_RSYNC_SPACE_CHECK_TASK, RsyncSpaceCheckTaskPrivate))
RsyncSpaceCheckTask* rsync_space_check_task_new (void);
RsyncSpaceCheckTask* rsync_space_check_task_construct (GType object_type);
AsyncTask* async_task_construct (GType object_type);
static void rsync_space_check_task_init_regular_expressions (RsyncSpaceCheckTask* self);
void tee_jee_logging_log_error (const gchar* message,
                                gboolean highlight,
                                gboolean is_warning);
void rsync_space_check_task_prepare (RsyncSpaceCheckTask* self);
static gchar* rsync_space_check_task_build_script (RsyncSpaceCheckTask* self);
void tee_jee_logging_log_debug (const gchar* message);
gchar* tee_jee_process_helper_save_bash_script_temp (const gchar* commands,
                                                     const gchar* script_path,
                                                     gboolean force_locale,
                                                     gboolean supress_errors);
gchar* tee_jee_file_system_escape_single_quote (const gchar* file_path);
gchar* tee_jee_file_system_remove_trailing_slash (const gchar* path);
void rsync_space_check_task_execute (RsyncSpaceCheckTask* self);
gboolean async_task_begin (AsyncTask* self);
static void rsync_space_check_task_real_parse_stdout_line (AsyncTask* base,
                                                    const gchar* out_line);
gboolean rsync_space_check_task_update_progress_parse_console_output (RsyncSpaceCheckTask* self,
                                                                      const gchar* line);
static void rsync_space_check_task_real_parse_stderr_line (AsyncTask* base,
                                                    const gchar* err_line);
static void rsync_space_check_task_real_finish_task (AsyncTask* base);
gint rsync_space_check_task_read_status (RsyncSpaceCheckTask* self);
gchar* tee_jee_file_system_file_read (const gchar* file_path);
static void rsync_space_check_task_finalize (GObject * obj);


RsyncSpaceCheckTask*
rsync_space_check_task_construct (GType object_type)
{
	RsyncSpaceCheckTask * self = NULL;
#line 54 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	self = (RsyncSpaceCheckTask*) async_task_construct (object_type);
#line 55 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	rsync_space_check_task_init_regular_expressions (self);
#line 54 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	return self;
#line 185 "RsyncSpaceCheckTask.c"
}


RsyncSpaceCheckTask*
rsync_space_check_task_new (void)
{
#line 54 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	return rsync_space_check_task_construct (TYPE_RSYNC_SPACE_CHECK_TASK);
#line 194 "RsyncSpaceCheckTask.c"
}


static void
rsync_space_check_task_init_regular_expressions (RsyncSpaceCheckTask* self)
{
	GRegex* _tmp0_;
	GError* _inner_error0_ = NULL;
#line 58 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	g_return_if_fail (self != NULL);
#line 59 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	_tmp0_ = self->priv->sent_bytes_regex;
#line 59 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	if (_tmp0_ != NULL) {
#line 60 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
		return;
#line 211 "RsyncSpaceCheckTask.c"
	}
	{
		GRegex* _tmp1_ = NULL;
		GRegex* _tmp2_;
		GRegex* _tmp3_;
#line 64 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
		_tmp2_ = g_regex_new ("sent ([0-9,]+)[ \\t]+bytes[ \\t]+received", 0, 0, &_inner_error0_);
#line 64 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
		_tmp1_ = _tmp2_;
#line 64 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
		if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 223 "RsyncSpaceCheckTask.c"
			goto __catch56_g_error;
		}
#line 64 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
		_tmp3_ = _tmp1_;
#line 64 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
		_tmp1_ = NULL;
#line 64 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
		_g_regex_unref0 (self->priv->sent_bytes_regex);
#line 64 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
		self->priv->sent_bytes_regex = _tmp3_;
#line 63 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
		_g_regex_unref0 (_tmp1_);
#line 236 "RsyncSpaceCheckTask.c"
	}
	goto __finally56;
	__catch56_g_error:
	{
		GError* e = NULL;
		GError* _tmp4_;
		const gchar* _tmp5_;
#line 63 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
		e = _inner_error0_;
#line 63 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
		_inner_error0_ = NULL;
#line 67 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
		_tmp4_ = e;
#line 67 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
		_tmp5_ = _tmp4_->message;
#line 67 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
		tee_jee_logging_log_error (_tmp5_, FALSE, FALSE);
#line 63 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
		_g_error_free0 (e);
#line 256 "RsyncSpaceCheckTask.c"
	}
	__finally56:
#line 63 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 63 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 63 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
		g_clear_error (&_inner_error0_);
#line 63 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
		return;
#line 267 "RsyncSpaceCheckTask.c"
	}
}


void
rsync_space_check_task_prepare (RsyncSpaceCheckTask* self)
{
	gchar* script_text = NULL;
	gchar* _tmp0_;
	const gchar* _tmp1_;
	gchar* _tmp2_;
	gchar* _tmp3_;
	const gchar* _tmp4_;
	gchar* _tmp5_;
	gchar* _tmp6_;
#line 71 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	g_return_if_fail (self != NULL);
#line 72 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	_tmp0_ = rsync_space_check_task_build_script (self);
#line 72 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	script_text = _tmp0_;
#line 74 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	tee_jee_logging_log_debug (script_text);
#line 76 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	_tmp1_ = ((AsyncTask*) self)->script_file;
#line 76 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	_tmp2_ = tee_jee_process_helper_save_bash_script_temp (script_text, _tmp1_, TRUE, FALSE);
#line 76 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	_tmp3_ = _tmp2_;
#line 76 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	_g_free0 (_tmp3_);
#line 77 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	_tmp4_ = ((AsyncTask*) self)->script_file;
#line 77 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	_tmp5_ = g_strdup_printf ("RsyncSpaceCheckTask:prepare(): saved: %s", _tmp4_);
#line 77 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	_tmp6_ = _tmp5_;
#line 77 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	tee_jee_logging_log_debug (_tmp6_);
#line 77 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	_g_free0 (_tmp6_);
#line 79 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	self->total_size = (gint64) 0;
#line 80 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	self->status_line_count = (gint64) 0;
#line 71 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	_g_free0 (script_text);
#line 315 "RsyncSpaceCheckTask.c"
}


static gchar*
rsync_space_check_task_build_script (RsyncSpaceCheckTask* self)
{
	gchar* result = NULL;
	gchar* cmd = NULL;
	gchar* _tmp0_;
	const gchar* _tmp1_;
	gchar* _tmp2_;
	const gchar* _tmp3_;
	gchar* _tmp4_;
	gboolean _tmp5_;
	gboolean _tmp10_;
	gboolean _tmp13_;
	const gchar* _tmp16_;
	gchar* _tmp17_;
	const gchar* _tmp18_;
	gchar* _tmp19_;
	const gchar* _tmp20_;
	gchar* _tmp21_;
	gboolean _tmp22_;
	const gchar* _tmp25_;
	gchar* _tmp26_;
	const gchar* _tmp27_;
	gint _tmp28_;
	gint _tmp29_;
	const gchar* _tmp40_;
	gint _tmp41_;
	gint _tmp42_;
	const gchar* _tmp55_;
	gchar* _tmp56_;
	const gchar* _tmp57_;
	gchar* _tmp58_;
	const gchar* _tmp59_;
	const gchar* _tmp60_;
	gchar* _tmp61_;
	gchar* _tmp62_;
	gchar* _tmp63_;
	gchar* _tmp64_;
	gchar* _tmp65_;
	const gchar* _tmp66_;
	const gchar* _tmp67_;
	gchar* _tmp68_;
	gchar* _tmp69_;
	gchar* _tmp70_;
	gchar* _tmp71_;
	gchar* _tmp72_;
#line 83 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 84 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	_tmp0_ = g_strdup ("export LC_ALL=C.UTF-8\n");
#line 84 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	cmd = _tmp0_;
#line 86 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	_tmp1_ = cmd;
#line 86 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	_tmp2_ = g_strconcat (_tmp1_, "rsync -aii", NULL);
#line 86 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	_g_free0 (cmd);
#line 86 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	cmd = _tmp2_;
#line 88 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	_tmp3_ = cmd;
#line 88 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	_tmp4_ = g_strconcat (_tmp3_, " --recursive", NULL);
#line 88 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	_g_free0 (cmd);
#line 88 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	cmd = _tmp4_;
#line 90 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	_tmp5_ = self->verbose;
#line 90 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	if (_tmp5_) {
#line 391 "RsyncSpaceCheckTask.c"
		const gchar* _tmp6_;
		gchar* _tmp7_;
#line 91 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
		_tmp6_ = cmd;
#line 91 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
		_tmp7_ = g_strconcat (_tmp6_, " --verbose", NULL);
#line 91 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
		_g_free0 (cmd);
#line 91 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
		cmd = _tmp7_;
#line 402 "RsyncSpaceCheckTask.c"
	} else {
		const gchar* _tmp8_;
		gchar* _tmp9_;
#line 94 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
		_tmp8_ = cmd;
#line 94 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
		_tmp9_ = g_strconcat (_tmp8_, " --quiet", NULL);
#line 94 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
		_g_free0 (cmd);
#line 94 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
		cmd = _tmp9_;
#line 414 "RsyncSpaceCheckTask.c"
	}
#line 97 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	_tmp10_ = self->delete_extra;
#line 97 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	if (_tmp10_) {
#line 420 "RsyncSpaceCheckTask.c"
		const gchar* _tmp11_;
		gchar* _tmp12_;
#line 98 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
		_tmp11_ = cmd;
#line 98 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
		_tmp12_ = g_strconcat (_tmp11_, " --delete", NULL);
#line 98 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
		_g_free0 (cmd);
#line 98 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
		cmd = _tmp12_;
#line 431 "RsyncSpaceCheckTask.c"
	}
#line 101 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	_tmp13_ = self->delete_after;
#line 101 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	if (_tmp13_) {
#line 437 "RsyncSpaceCheckTask.c"
		const gchar* _tmp14_;
		gchar* _tmp15_;
#line 102 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
		_tmp14_ = cmd;
#line 102 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
		_tmp15_ = g_strconcat (_tmp14_, " --delete-after", NULL);
#line 102 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
		_g_free0 (cmd);
#line 102 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
		cmd = _tmp15_;
#line 448 "RsyncSpaceCheckTask.c"
	}
#line 105 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	_tmp16_ = cmd;
#line 105 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	_tmp17_ = g_strconcat (_tmp16_, " --force", NULL);
#line 105 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	_g_free0 (cmd);
#line 105 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	cmd = _tmp17_;
#line 107 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	_tmp18_ = cmd;
#line 107 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	_tmp19_ = g_strconcat (_tmp18_, " --stats", NULL);
#line 107 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	_g_free0 (cmd);
#line 107 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	cmd = _tmp19_;
#line 109 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	_tmp20_ = cmd;
#line 109 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	_tmp21_ = g_strconcat (_tmp20_, " --sparse", NULL);
#line 109 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	_g_free0 (cmd);
#line 109 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	cmd = _tmp21_;
#line 111 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	_tmp22_ = self->delete_excluded;
#line 111 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	if (_tmp22_) {
#line 478 "RsyncSpaceCheckTask.c"
		const gchar* _tmp23_;
		gchar* _tmp24_;
#line 112 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
		_tmp23_ = cmd;
#line 112 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
		_tmp24_ = g_strconcat (_tmp23_, " --delete-excluded", NULL);
#line 112 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
		_g_free0 (cmd);
#line 112 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
		cmd = _tmp24_;
#line 489 "RsyncSpaceCheckTask.c"
	}
#line 115 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	_tmp25_ = cmd;
#line 115 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	_tmp26_ = g_strconcat (_tmp25_, " --dry-run", NULL);
#line 115 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	_g_free0 (cmd);
#line 115 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	cmd = _tmp26_;
#line 117 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	_tmp27_ = self->link_from_path;
#line 117 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	_tmp28_ = strlen (_tmp27_);
#line 117 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	_tmp29_ = _tmp28_;
#line 117 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	if (_tmp29_ > 0) {
#line 507 "RsyncSpaceCheckTask.c"
		const gchar* _tmp30_;
		const gchar* _tmp33_;
		const gchar* _tmp34_;
		gchar* _tmp35_;
		gchar* _tmp36_;
		gchar* _tmp37_;
		gchar* _tmp38_;
		gchar* _tmp39_;
#line 118 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
		_tmp30_ = self->link_from_path;
#line 118 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
		if (!g_str_has_suffix (_tmp30_, "/")) {
#line 520 "RsyncSpaceCheckTask.c"
			const gchar* _tmp31_;
			gchar* _tmp32_;
#line 119 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
			_tmp31_ = self->link_from_path;
#line 119 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
			_tmp32_ = g_strdup_printf ("%s/", _tmp31_);
#line 119 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
			_g_free0 (self->link_from_path);
#line 119 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
			self->link_from_path = _tmp32_;
#line 531 "RsyncSpaceCheckTask.c"
		}
#line 122 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
		_tmp33_ = cmd;
#line 122 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
		_tmp34_ = self->link_from_path;
#line 122 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
		_tmp35_ = tee_jee_file_system_escape_single_quote (_tmp34_);
#line 122 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
		_tmp36_ = _tmp35_;
#line 122 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
		_tmp37_ = g_strdup_printf (" --link-dest='%s'", _tmp36_);
#line 122 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
		_tmp38_ = _tmp37_;
#line 122 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
		_tmp39_ = g_strconcat (_tmp33_, _tmp38_, NULL);
#line 122 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
		_g_free0 (cmd);
#line 122 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
		cmd = _tmp39_;
#line 122 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
		_g_free0 (_tmp38_);
#line 122 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
		_g_free0 (_tmp36_);
#line 555 "RsyncSpaceCheckTask.c"
	}
#line 125 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	_tmp40_ = self->exclude_from_file;
#line 125 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	_tmp41_ = strlen (_tmp40_);
#line 125 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	_tmp42_ = _tmp41_;
#line 125 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	if (_tmp42_ > 0) {
#line 565 "RsyncSpaceCheckTask.c"
		const gchar* _tmp43_;
		const gchar* _tmp44_;
		gchar* _tmp45_;
		gchar* _tmp46_;
		gchar* _tmp47_;
		gchar* _tmp48_;
		gchar* _tmp49_;
		gboolean _tmp50_ = FALSE;
		gboolean _tmp51_;
#line 126 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
		_tmp43_ = cmd;
#line 126 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
		_tmp44_ = self->exclude_from_file;
#line 126 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
		_tmp45_ = tee_jee_file_system_escape_single_quote (_tmp44_);
#line 126 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
		_tmp46_ = _tmp45_;
#line 126 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
		_tmp47_ = g_strdup_printf (" --exclude-from='%s'", _tmp46_);
#line 126 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
		_tmp48_ = _tmp47_;
#line 126 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
		_tmp49_ = g_strconcat (_tmp43_, _tmp48_, NULL);
#line 126 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
		_g_free0 (cmd);
#line 126 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
		cmd = _tmp49_;
#line 126 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
		_g_free0 (_tmp48_);
#line 126 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
		_g_free0 (_tmp46_);
#line 128 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
		_tmp51_ = self->delete_extra;
#line 128 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
		if (_tmp51_) {
#line 601 "RsyncSpaceCheckTask.c"
			gboolean _tmp52_;
#line 128 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
			_tmp52_ = self->delete_excluded;
#line 128 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
			_tmp50_ = _tmp52_;
#line 607 "RsyncSpaceCheckTask.c"
		} else {
#line 128 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
			_tmp50_ = FALSE;
#line 611 "RsyncSpaceCheckTask.c"
		}
#line 128 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
		if (_tmp50_) {
#line 615 "RsyncSpaceCheckTask.c"
			const gchar* _tmp53_;
			gchar* _tmp54_;
#line 129 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
			_tmp53_ = cmd;
#line 129 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
			_tmp54_ = g_strconcat (_tmp53_, " --delete-excluded", NULL);
#line 129 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
			_g_free0 (cmd);
#line 129 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
			cmd = _tmp54_;
#line 626 "RsyncSpaceCheckTask.c"
		}
	}
#line 133 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	_tmp55_ = self->source_path;
#line 133 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	_tmp56_ = tee_jee_file_system_remove_trailing_slash (_tmp55_);
#line 133 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	_g_free0 (self->source_path);
#line 133 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	self->source_path = _tmp56_;
#line 135 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	_tmp57_ = self->dest_path;
#line 135 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	_tmp58_ = tee_jee_file_system_remove_trailing_slash (_tmp57_);
#line 135 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	_g_free0 (self->dest_path);
#line 135 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	self->dest_path = _tmp58_;
#line 137 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	_tmp59_ = cmd;
#line 137 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	_tmp60_ = self->source_path;
#line 137 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	_tmp61_ = tee_jee_file_system_escape_single_quote (_tmp60_);
#line 137 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	_tmp62_ = _tmp61_;
#line 137 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	_tmp63_ = g_strdup_printf (" '%s/'", _tmp62_);
#line 137 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	_tmp64_ = _tmp63_;
#line 137 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	_tmp65_ = g_strconcat (_tmp59_, _tmp64_, NULL);
#line 137 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	_g_free0 (cmd);
#line 137 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	cmd = _tmp65_;
#line 137 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	_g_free0 (_tmp64_);
#line 137 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	_g_free0 (_tmp62_);
#line 139 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	_tmp66_ = cmd;
#line 139 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	_tmp67_ = self->dest_path;
#line 139 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	_tmp68_ = tee_jee_file_system_escape_single_quote (_tmp67_);
#line 139 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	_tmp69_ = _tmp68_;
#line 139 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	_tmp70_ = g_strdup_printf (" '%s/'", _tmp69_);
#line 139 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	_tmp71_ = _tmp70_;
#line 139 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	_tmp72_ = g_strconcat (_tmp66_, _tmp71_, NULL);
#line 139 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	_g_free0 (cmd);
#line 139 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	cmd = _tmp72_;
#line 139 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	_g_free0 (_tmp71_);
#line 139 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	_g_free0 (_tmp69_);
#line 141 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	result = cmd;
#line 141 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	return result;
#line 693 "RsyncSpaceCheckTask.c"
}


void
rsync_space_check_task_execute (RsyncSpaceCheckTask* self)
{
#line 146 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	g_return_if_fail (self != NULL);
#line 148 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	tee_jee_logging_log_debug ("RsyncSpaceCheckTask:execute()");
#line 150 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	rsync_space_check_task_prepare (self);
#line 151 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	async_task_begin ((AsyncTask*) self);
#line 708 "RsyncSpaceCheckTask.c"
}


static void
rsync_space_check_task_real_parse_stdout_line (AsyncTask* base,
                                               const gchar* out_line)
{
	RsyncSpaceCheckTask * self;
	gboolean _tmp0_;
#line 154 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	self = (RsyncSpaceCheckTask*) base;
#line 154 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	g_return_if_fail (out_line != NULL);
#line 155 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	_tmp0_ = ((AsyncTask*) self)->is_terminated;
#line 155 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	if (_tmp0_) {
#line 156 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
		return;
#line 728 "RsyncSpaceCheckTask.c"
	}
#line 159 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	rsync_space_check_task_update_progress_parse_console_output (self, out_line);
#line 732 "RsyncSpaceCheckTask.c"
}


static void
rsync_space_check_task_real_parse_stderr_line (AsyncTask* base,
                                               const gchar* err_line)
{
	RsyncSpaceCheckTask * self;
	gboolean _tmp0_;
#line 162 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	self = (RsyncSpaceCheckTask*) base;
#line 162 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	g_return_if_fail (err_line != NULL);
#line 163 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	_tmp0_ = ((AsyncTask*) self)->is_terminated;
#line 163 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	if (_tmp0_) {
#line 164 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
		return;
#line 752 "RsyncSpaceCheckTask.c"
	}
#line 167 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	rsync_space_check_task_update_progress_parse_console_output (self, err_line);
#line 756 "RsyncSpaceCheckTask.c"
}


static gint64
int64_parse (const gchar* str)
{
	gint64 result = 0LL;
#line 722 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	g_return_val_if_fail (str != NULL, 0LL);
#line 723 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	result = g_ascii_strtoll (str, NULL, (guint) 0);
#line 723 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	return result;
#line 770 "RsyncSpaceCheckTask.c"
}


static gchar*
string_replace (const gchar* self,
                const gchar* old,
                const gchar* replacement)
{
	gchar* result = NULL;
	gboolean _tmp0_ = FALSE;
	gboolean _tmp1_ = FALSE;
	GError* _inner_error0_ = NULL;
#line 1479 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, NULL);
#line 1479 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	g_return_val_if_fail (old != NULL, NULL);
#line 1479 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	g_return_val_if_fail (replacement != NULL, NULL);
#line 1480 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	if ((*((gchar*) self)) == '\0') {
#line 1480 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp1_ = TRUE;
#line 793 "RsyncSpaceCheckTask.c"
	} else {
#line 1480 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp1_ = (*((gchar*) old)) == '\0';
#line 797 "RsyncSpaceCheckTask.c"
	}
#line 1480 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	if (_tmp1_) {
#line 1480 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp0_ = TRUE;
#line 803 "RsyncSpaceCheckTask.c"
	} else {
#line 1480 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp0_ = g_strcmp0 (old, replacement) == 0;
#line 807 "RsyncSpaceCheckTask.c"
	}
#line 1480 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	if (_tmp0_) {
#line 811 "RsyncSpaceCheckTask.c"
		gchar* _tmp2_;
#line 1481 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp2_ = g_strdup (self);
#line 1481 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		result = _tmp2_;
#line 1481 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		return result;
#line 819 "RsyncSpaceCheckTask.c"
	}
	{
		GRegex* regex = NULL;
		gchar* _tmp3_;
		gchar* _tmp4_;
		GRegex* _tmp5_;
		GRegex* _tmp6_;
		gchar* _tmp7_ = NULL;
		GRegex* _tmp8_;
		gchar* _tmp9_;
		gchar* _tmp10_;
#line 1484 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp3_ = g_regex_escape_string (old, -1);
#line 1484 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp4_ = _tmp3_;
#line 1484 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp5_ = g_regex_new (_tmp4_, 0, 0, &_inner_error0_);
#line 1484 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp6_ = _tmp5_;
#line 1484 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_g_free0 (_tmp4_);
#line 1484 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		regex = _tmp6_;
#line 1484 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 1484 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
			if (_inner_error0_->domain == G_REGEX_ERROR) {
#line 847 "RsyncSpaceCheckTask.c"
				goto __catch57_g_regex_error;
			}
#line 1484 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
			g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 1484 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
			g_clear_error (&_inner_error0_);
#line 1484 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
			return NULL;
#line 856 "RsyncSpaceCheckTask.c"
		}
#line 1485 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp8_ = regex;
#line 1485 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp9_ = g_regex_replace_literal (_tmp8_, self, (gssize) -1, 0, replacement, 0, &_inner_error0_);
#line 1485 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp7_ = _tmp9_;
#line 1485 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 1485 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
			_g_regex_unref0 (regex);
#line 1485 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
			if (_inner_error0_->domain == G_REGEX_ERROR) {
#line 870 "RsyncSpaceCheckTask.c"
				goto __catch57_g_regex_error;
			}
#line 1485 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
			g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 1485 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
			g_clear_error (&_inner_error0_);
#line 1485 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
			return NULL;
#line 879 "RsyncSpaceCheckTask.c"
		}
#line 1485 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp10_ = _tmp7_;
#line 1485 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp7_ = NULL;
#line 1485 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		result = _tmp10_;
#line 1485 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_g_free0 (_tmp7_);
#line 1485 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_g_regex_unref0 (regex);
#line 1485 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		return result;
#line 893 "RsyncSpaceCheckTask.c"
	}
	goto __finally57;
	__catch57_g_regex_error:
	{
		GError* e = NULL;
#line 1483 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		e = _inner_error0_;
#line 1483 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_inner_error0_ = NULL;
#line 1487 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		g_assert_not_reached ();
#line 1483 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_g_error_free0 (e);
#line 907 "RsyncSpaceCheckTask.c"
	}
	__finally57:
#line 1483 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 1483 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 1483 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		g_clear_error (&_inner_error0_);
#line 1483 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		return NULL;
#line 918 "RsyncSpaceCheckTask.c"
	}
}


gboolean
rsync_space_check_task_update_progress_parse_console_output (RsyncSpaceCheckTask* self,
                                                             const gchar* line)
{
	gboolean result = FALSE;
	gboolean _tmp0_ = FALSE;
	gint64 _tmp3_;
	gint64 _tmp4_;
	GMatchInfo* match = NULL;
	GRegex* _tmp8_;
	GMatchInfo* _tmp9_ = NULL;
	gboolean _tmp10_;
#line 170 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 170 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	g_return_val_if_fail (line != NULL, FALSE);
#line 171 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	if (line == NULL) {
#line 171 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
		_tmp0_ = TRUE;
#line 943 "RsyncSpaceCheckTask.c"
	} else {
		gint _tmp1_;
		gint _tmp2_;
#line 171 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
		_tmp1_ = strlen (line);
#line 171 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
		_tmp2_ = _tmp1_;
#line 171 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
		_tmp0_ = _tmp2_ == 0;
#line 953 "RsyncSpaceCheckTask.c"
	}
#line 171 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	if (_tmp0_) {
#line 172 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
		result = TRUE;
#line 172 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
		return result;
#line 961 "RsyncSpaceCheckTask.c"
	}
#line 175 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	_tmp3_ = self->status_line_count;
#line 175 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	self->status_line_count = _tmp3_ + 1;
#line 177 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	_tmp4_ = ((AsyncTask*) self)->prg_count_total;
#line 177 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	if (_tmp4_ > ((gint64) 0)) {
#line 971 "RsyncSpaceCheckTask.c"
		gint64 _tmp5_;
		gint64 _tmp6_;
		gint64 _tmp7_;
#line 178 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
		_tmp5_ = self->status_line_count;
#line 178 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
		((AsyncTask*) self)->prg_count = _tmp5_;
#line 179 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
		_tmp6_ = ((AsyncTask*) self)->prg_count;
#line 179 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
		_tmp7_ = ((AsyncTask*) self)->prg_count_total;
#line 179 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
		((AsyncTask*) self)->progress = (_tmp6_ * 1.0) / _tmp7_;
#line 985 "RsyncSpaceCheckTask.c"
	}
#line 184 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	_tmp8_ = self->priv->sent_bytes_regex;
#line 184 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	_tmp10_ = g_regex_match (_tmp8_, line, 0, &_tmp9_);
#line 184 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	_g_match_info_unref0 (match);
#line 184 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	match = _tmp9_;
#line 184 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	if (_tmp10_) {
#line 997 "RsyncSpaceCheckTask.c"
		GMatchInfo* _tmp11_;
		gchar* _tmp12_;
		gchar* _tmp13_;
		gchar* _tmp14_;
		gchar* _tmp15_;
#line 185 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
		_tmp11_ = match;
#line 185 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
		_tmp12_ = g_match_info_fetch (_tmp11_, 1);
#line 185 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
		_tmp13_ = _tmp12_;
#line 185 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
		_tmp14_ = string_replace (_tmp13_, ",", "");
#line 185 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
		_tmp15_ = _tmp14_;
#line 185 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
		self->total_size = int64_parse (_tmp15_);
#line 185 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
		_g_free0 (_tmp15_);
#line 185 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
		_g_free0 (_tmp13_);
#line 1019 "RsyncSpaceCheckTask.c"
	} else {
	}
#line 191 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	result = TRUE;
#line 191 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	_g_match_info_unref0 (match);
#line 191 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	return result;
#line 1028 "RsyncSpaceCheckTask.c"
}


static void
rsync_space_check_task_real_finish_task (AsyncTask* base)
{
	RsyncSpaceCheckTask * self;
	gboolean _tmp0_ = FALSE;
	AppStatus _tmp1_;
#line 194 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	self = (RsyncSpaceCheckTask*) base;
#line 195 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	_tmp1_ = ((AsyncTask*) self)->status;
#line 195 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	if (_tmp1_ != APP_STATUS_CANCELLED) {
#line 1044 "RsyncSpaceCheckTask.c"
		AppStatus _tmp2_;
#line 195 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
		_tmp2_ = ((AsyncTask*) self)->status;
#line 195 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
		_tmp0_ = _tmp2_ != APP_STATUS_PASSWORD_REQUIRED;
#line 1050 "RsyncSpaceCheckTask.c"
	} else {
#line 195 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
		_tmp0_ = FALSE;
#line 1054 "RsyncSpaceCheckTask.c"
	}
#line 195 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	if (_tmp0_) {
#line 196 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
		((AsyncTask*) self)->status = APP_STATUS_FINISHED;
#line 1060 "RsyncSpaceCheckTask.c"
	}
}


gint
rsync_space_check_task_read_status (RsyncSpaceCheckTask* self)
{
	gint result = 0;
	gchar* status_file = NULL;
	const gchar* _tmp0_;
	gchar* _tmp1_;
	GFile* f = NULL;
	const gchar* _tmp2_;
	GFile* _tmp3_;
	GFile* _tmp4_;
#line 200 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 201 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	_tmp0_ = ((AsyncTask*) self)->working_dir;
#line 201 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	_tmp1_ = g_strconcat (_tmp0_, "/status", NULL);
#line 201 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	status_file = _tmp1_;
#line 202 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	_tmp2_ = status_file;
#line 202 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	_tmp3_ = g_file_new_for_path (_tmp2_);
#line 202 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	f = _tmp3_;
#line 203 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	_tmp4_ = f;
#line 203 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	if (g_file_query_exists (_tmp4_, NULL)) {
#line 1094 "RsyncSpaceCheckTask.c"
		gchar* txt = NULL;
		const gchar* _tmp5_;
		gchar* _tmp6_;
		const gchar* _tmp7_;
#line 204 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
		_tmp5_ = status_file;
#line 204 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
		_tmp6_ = tee_jee_file_system_file_read (_tmp5_);
#line 204 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
		txt = _tmp6_;
#line 205 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
		_tmp7_ = txt;
#line 205 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
		result = atoi (_tmp7_);
#line 205 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
		_g_free0 (txt);
#line 205 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
		_g_object_unref0 (f);
#line 205 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
		_g_free0 (status_file);
#line 205 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
		return result;
#line 1117 "RsyncSpaceCheckTask.c"
	}
#line 207 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	result = -1;
#line 207 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	_g_object_unref0 (f);
#line 207 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	_g_free0 (status_file);
#line 207 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	return result;
#line 1127 "RsyncSpaceCheckTask.c"
}


static void
rsync_space_check_task_class_init (RsyncSpaceCheckTaskClass * klass)
{
#line 31 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	rsync_space_check_task_parent_class = g_type_class_peek_parent (klass);
#line 31 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	g_type_class_add_private (klass, sizeof (RsyncSpaceCheckTaskPrivate));
#line 31 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	((AsyncTaskClass *) klass)->parse_stdout_line = (void (*) (AsyncTask*, const gchar*)) rsync_space_check_task_real_parse_stdout_line;
#line 31 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	((AsyncTaskClass *) klass)->parse_stderr_line = (void (*) (AsyncTask*, const gchar*)) rsync_space_check_task_real_parse_stderr_line;
#line 31 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	((AsyncTaskClass *) klass)->finish_task = (void (*) (AsyncTask*)) rsync_space_check_task_real_finish_task;
#line 31 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	G_OBJECT_CLASS (klass)->finalize = rsync_space_check_task_finalize;
#line 1146 "RsyncSpaceCheckTask.c"
}


static void
rsync_space_check_task_instance_init (RsyncSpaceCheckTask * self)
{
	gchar* _tmp0_;
	gchar* _tmp1_;
	gchar* _tmp2_;
	gchar* _tmp3_;
#line 31 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	self->priv = RSYNC_SPACE_CHECK_TASK_GET_PRIVATE (self);
#line 34 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	self->delete_extra = TRUE;
#line 35 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	self->delete_after = FALSE;
#line 36 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	self->delete_excluded = FALSE;
#line 37 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	self->relative = FALSE;
#line 39 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	_tmp0_ = g_strdup ("");
#line 39 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	self->exclude_from_file = _tmp0_;
#line 40 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	_tmp1_ = g_strdup ("");
#line 40 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	self->link_from_path = _tmp1_;
#line 41 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	_tmp2_ = g_strdup ("");
#line 41 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	self->source_path = _tmp2_;
#line 42 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	_tmp3_ = g_strdup ("");
#line 42 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	self->dest_path = _tmp3_;
#line 43 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	self->verbose = TRUE;
#line 44 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	self->io_nice = TRUE;
#line 45 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	self->dry_run = FALSE;
#line 51 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	self->status_line_count = (gint64) 0;
#line 52 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	self->total_size = (gint64) 0;
#line 1193 "RsyncSpaceCheckTask.c"
}


static void
rsync_space_check_task_finalize (GObject * obj)
{
	RsyncSpaceCheckTask * self;
#line 31 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, TYPE_RSYNC_SPACE_CHECK_TASK, RsyncSpaceCheckTask);
#line 39 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	_g_free0 (self->exclude_from_file);
#line 40 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	_g_free0 (self->link_from_path);
#line 41 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	_g_free0 (self->source_path);
#line 42 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	_g_free0 (self->dest_path);
#line 48 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	_g_regex_unref0 (self->priv->sent_bytes_regex);
#line 31 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/RsyncSpaceCheckTask.vala"
	G_OBJECT_CLASS (rsync_space_check_task_parent_class)->finalize (obj);
#line 1215 "RsyncSpaceCheckTask.c"
}


GType
rsync_space_check_task_get_type (void)
{
	static volatile gsize rsync_space_check_task_type_id__volatile = 0;
	if (g_once_init_enter (&rsync_space_check_task_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (RsyncSpaceCheckTaskClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) rsync_space_check_task_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (RsyncSpaceCheckTask), 0, (GInstanceInitFunc) rsync_space_check_task_instance_init, NULL };
		GType rsync_space_check_task_type_id;
		rsync_space_check_task_type_id = g_type_register_static (TYPE_ASYNC_TASK, "RsyncSpaceCheckTask", &g_define_type_info, 0);
		g_once_init_leave (&rsync_space_check_task_type_id__volatile, rsync_space_check_task_type_id);
	}
	return rsync_space_check_task_type_id__volatile;
}



