/* SystemUser.c generated by valac 0.40.19, the Vala compiler
 * generated from SystemUser.vala, do not modify */

/*
 * SystemUser.vala
 *
 * Copyright 2012-2018 Tony George <teejeetech@gmail.com>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA 02110-1301, USA.
 *
 *
 */


#include <glib.h>
#include <glib-object.h>
#include <stdlib.h>
#include <string.h>
#include <gee.h>


#define TYPE_SYSTEM_USER (system_user_get_type ())
#define SYSTEM_USER(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), TYPE_SYSTEM_USER, SystemUser))
#define SYSTEM_USER_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), TYPE_SYSTEM_USER, SystemUserClass))
#define IS_SYSTEM_USER(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TYPE_SYSTEM_USER))
#define IS_SYSTEM_USER_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), TYPE_SYSTEM_USER))
#define SYSTEM_USER_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), TYPE_SYSTEM_USER, SystemUserClass))

typedef struct _SystemUser SystemUser;
typedef struct _SystemUserClass SystemUserClass;
typedef struct _SystemUserPrivate SystemUserPrivate;
enum  {
	SYSTEM_USER_0_PROPERTY,
	SYSTEM_USER_IS_SYSTEM_PROPERTY,
	SYSTEM_USER_GROUP_NAMES_PROPERTY,
	SYSTEM_USER_NUM_PROPERTIES
};
static GParamSpec* system_user_properties[SYSTEM_USER_NUM_PROPERTIES];
#define _g_free0(var) (var = (g_free (var), NULL))
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))

struct _SystemUser {
	GObject parent_instance;
	SystemUserPrivate * priv;
	gchar* name;
	gchar* password;
	gint uid;
	gint gid;
	gchar* user_info;
	gchar* home_path;
	gchar* shell_path;
	gchar* full_name;
	gchar* room_num;
	gchar* phone_work;
	gchar* phone_home;
	gchar* other_info;
	gboolean has_encrypted_home;
	gboolean has_encrypted_private_dirs;
	GeeArrayList* encrypted_dirs;
	GeeArrayList* encrypted_private_dirs;
	gboolean is_selected;
};

struct _SystemUserClass {
	GObjectClass parent_class;
};


static gpointer system_user_parent_class = NULL;
extern GeeHashMap* system_user_all_users;
GeeHashMap* system_user_all_users = NULL;

GType system_user_get_type (void) G_GNUC_CONST;
SystemUser* system_user_new (const gchar* name);
SystemUser* system_user_construct (GType object_type,
                                   const gchar* name);
void system_user_query_users (void);
GeeHashMap* system_user_read_users_from_file (const gchar* passwd_file);
gchar* tee_jee_file_system_file_read (const gchar* file_path);
static SystemUser* system_user_parse_line_passwd (const gchar* line);
void system_user_check_encrypted_dirs (SystemUser* self);
void tee_jee_logging_log_error (const gchar* message,
                                gboolean highlight,
                                gboolean is_warning);
gboolean tee_jee_file_system_file_exists (const gchar* file_path);
GeeArrayList* system_user_get_all_users_sorted (void);
static gint _system_user_all_users_sorted___lambda10_ (SystemUser* a,
                                                SystemUser* b);
static gint __system_user_all_users_sorted___lambda10__gcompare_data_func (gconstpointer a,
                                                                    gconstpointer b,
                                                                    gpointer self);
gboolean system_user_get_is_system (SystemUser* self);
gchar* system_user_get_group_names (SystemUser* self);
static void system_user_finalize (GObject * obj);
static void _vala_system_user_get_property (GObject * object,
                                     guint property_id,
                                     GValue * value,
                                     GParamSpec * pspec);
static void _vala_array_destroy (gpointer array,
                          gint array_length,
                          GDestroyNotify destroy_func);
static void _vala_array_free (gpointer array,
                       gint array_length,
                       GDestroyNotify destroy_func);
static gint _vala_array_length (gpointer array);


SystemUser*
system_user_construct (GType object_type,
                       const gchar* name)
{
	SystemUser * self = NULL;
	gchar* _tmp0_;
#line 54 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
	g_return_val_if_fail (name != NULL, NULL);
#line 54 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
	self = (SystemUser*) g_object_new (object_type, NULL);
#line 55 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
	_tmp0_ = g_strdup (name);
#line 55 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
	_g_free0 (self->name);
#line 55 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
	self->name = _tmp0_;
#line 54 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
	return self;
#line 140 "SystemUser.c"
}


SystemUser*
system_user_new (const gchar* name)
{
#line 54 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
	return system_user_construct (TYPE_SYSTEM_USER, name);
#line 149 "SystemUser.c"
}


void
system_user_query_users (void)
{
	GeeHashMap* _tmp0_;
#line 60 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
	_tmp0_ = system_user_read_users_from_file ("/etc/passwd");
#line 60 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
	_g_object_unref0 (system_user_all_users);
#line 60 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
	system_user_all_users = _tmp0_;
#line 163 "SystemUser.c"
}


GeeHashMap*
system_user_read_users_from_file (const gchar* passwd_file)
{
	GeeHashMap* result = NULL;
	GeeHashMap* list = NULL;
	GeeHashMap* _tmp0_;
	gchar* txt = NULL;
	gchar* _tmp1_;
	const gchar* _tmp2_;
	gint _tmp3_;
	gint _tmp4_;
	const gchar* _tmp5_;
	gchar** _tmp6_;
	gchar** _tmp7_;
#line 74 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
	g_return_val_if_fail (passwd_file != NULL, NULL);
#line 76 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
	_tmp0_ = gee_hash_map_new (G_TYPE_STRING, (GBoxedCopyFunc) g_strdup, (GDestroyNotify) g_free, TYPE_SYSTEM_USER, (GBoxedCopyFunc) g_object_ref, (GDestroyNotify) g_object_unref, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
#line 76 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
	list = _tmp0_;
#line 80 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
	_tmp1_ = tee_jee_file_system_file_read (passwd_file);
#line 80 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
	txt = _tmp1_;
#line 82 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
	_tmp2_ = txt;
#line 82 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
	_tmp3_ = strlen (_tmp2_);
#line 82 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
	_tmp4_ = _tmp3_;
#line 82 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
	if (_tmp4_ == 0) {
#line 83 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
		result = list;
#line 83 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
		_g_free0 (txt);
#line 83 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
		return result;
#line 205 "SystemUser.c"
	}
#line 86 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
	_tmp5_ = txt;
#line 86 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
	_tmp7_ = _tmp6_ = g_strsplit (_tmp5_, "\n", 0);
#line 211 "SystemUser.c"
	{
		gchar** line_collection = NULL;
		gint line_collection_length1 = 0;
		gint _line_collection_size_ = 0;
		gint line_it = 0;
#line 86 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
		line_collection = _tmp7_;
#line 86 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
		line_collection_length1 = _vala_array_length (_tmp6_);
#line 86 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
		for (line_it = 0; line_it < line_collection_length1; line_it = line_it + 1) {
#line 223 "SystemUser.c"
			gchar* _tmp8_;
			gchar* line = NULL;
#line 86 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
			_tmp8_ = g_strdup (line_collection[line_it]);
#line 86 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
			line = _tmp8_;
#line 230 "SystemUser.c"
			{
				gboolean _tmp9_ = FALSE;
				const gchar* _tmp10_;
				SystemUser* user = NULL;
				const gchar* _tmp14_;
				SystemUser* _tmp15_;
				SystemUser* _tmp16_;
#line 87 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
				_tmp10_ = line;
#line 87 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
				if (_tmp10_ == NULL) {
#line 87 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
					_tmp9_ = TRUE;
#line 244 "SystemUser.c"
				} else {
					const gchar* _tmp11_;
					gint _tmp12_;
					gint _tmp13_;
#line 87 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
					_tmp11_ = line;
#line 87 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
					_tmp12_ = strlen (_tmp11_);
#line 87 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
					_tmp13_ = _tmp12_;
#line 87 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
					_tmp9_ = _tmp13_ == 0;
#line 257 "SystemUser.c"
				}
#line 87 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
				if (_tmp9_) {
#line 88 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
					_g_free0 (line);
#line 88 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
					continue;
#line 265 "SystemUser.c"
				}
#line 90 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
				_tmp14_ = line;
#line 90 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
				_tmp15_ = system_user_parse_line_passwd (_tmp14_);
#line 90 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
				user = _tmp15_;
#line 91 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
				_tmp16_ = user;
#line 91 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
				if (_tmp16_ != NULL) {
#line 277 "SystemUser.c"
					GeeHashMap* _tmp17_;
					SystemUser* _tmp18_;
					const gchar* _tmp19_;
					SystemUser* _tmp20_;
#line 92 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
					_tmp17_ = list;
#line 92 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
					_tmp18_ = user;
#line 92 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
					_tmp19_ = _tmp18_->name;
#line 92 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
					_tmp20_ = user;
#line 92 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
					gee_abstract_map_set ((GeeAbstractMap*) _tmp17_, _tmp19_, _tmp20_);
#line 292 "SystemUser.c"
				}
#line 86 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
				_g_object_unref0 (user);
#line 86 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
				_g_free0 (line);
#line 298 "SystemUser.c"
			}
		}
#line 86 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
		line_collection = (_vala_array_free (line_collection, line_collection_length1, (GDestroyNotify) g_free), NULL);
#line 303 "SystemUser.c"
	}
#line 96 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
	result = list;
#line 96 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
	_g_free0 (txt);
#line 96 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
	return result;
#line 311 "SystemUser.c"
}


static gchar*
string_strip (const gchar* self)
{
	gchar* result = NULL;
	gchar* _result_ = NULL;
	gchar* _tmp0_;
	const gchar* _tmp1_;
#line 1304 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, NULL);
#line 1305 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	_tmp0_ = g_strdup (self);
#line 1305 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	_result_ = _tmp0_;
#line 1306 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	_tmp1_ = _result_;
#line 1306 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	g_strstrip (_tmp1_);
#line 1307 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	result = _result_;
#line 1307 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	return result;
#line 336 "SystemUser.c"
}


static SystemUser*
system_user_parse_line_passwd (const gchar* line)
{
	SystemUser* result = NULL;
	gboolean _tmp0_ = FALSE;
	SystemUser* user = NULL;
	gchar** fields = NULL;
	gchar** _tmp3_;
	gchar** _tmp4_;
	gint fields_length1;
	gint _fields_size_;
	gchar** _tmp5_;
	gint _tmp5__length1;
#line 99 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
	g_return_val_if_fail (line != NULL, NULL);
#line 101 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
	if (line == NULL) {
#line 101 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
		_tmp0_ = TRUE;
#line 359 "SystemUser.c"
	} else {
		gint _tmp1_;
		gint _tmp2_;
#line 101 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
		_tmp1_ = strlen (line);
#line 101 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
		_tmp2_ = _tmp1_;
#line 101 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
		_tmp0_ = _tmp2_ == 0;
#line 369 "SystemUser.c"
	}
#line 101 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
	if (_tmp0_) {
#line 102 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
		result = NULL;
#line 102 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
		return result;
#line 377 "SystemUser.c"
	}
#line 105 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
	user = NULL;
#line 108 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
	_tmp4_ = _tmp3_ = g_strsplit (line, ":", 0);
#line 108 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
	fields = _tmp4_;
#line 108 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
	fields_length1 = _vala_array_length (_tmp3_);
#line 108 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
	_fields_size_ = fields_length1;
#line 110 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
	_tmp5_ = fields;
#line 110 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
	_tmp5__length1 = fields_length1;
#line 110 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
	if (_tmp5__length1 == 7) {
#line 395 "SystemUser.c"
		gchar** _tmp6_;
		gint _tmp6__length1;
		const gchar* _tmp7_;
		gchar* _tmp8_;
		gchar* _tmp9_;
		SystemUser* _tmp10_;
		SystemUser* _tmp11_;
		gchar** _tmp12_;
		gint _tmp12__length1;
		const gchar* _tmp13_;
		gchar* _tmp14_;
		SystemUser* _tmp15_;
		gchar** _tmp16_;
		gint _tmp16__length1;
		const gchar* _tmp17_;
		gchar* _tmp18_;
		gchar* _tmp19_;
		SystemUser* _tmp20_;
		gchar** _tmp21_;
		gint _tmp21__length1;
		const gchar* _tmp22_;
		gchar* _tmp23_;
		gchar* _tmp24_;
		SystemUser* _tmp25_;
		gchar** _tmp26_;
		gint _tmp26__length1;
		const gchar* _tmp27_;
		gchar* _tmp28_;
		SystemUser* _tmp29_;
		gchar** _tmp30_;
		gint _tmp30__length1;
		const gchar* _tmp31_;
		gchar* _tmp32_;
		SystemUser* _tmp33_;
		gchar** _tmp34_;
		gint _tmp34__length1;
		const gchar* _tmp35_;
		gchar* _tmp36_;
		gchar** arr = NULL;
		SystemUser* _tmp37_;
		const gchar* _tmp38_;
		gchar** _tmp39_;
		gchar** _tmp40_;
		gint arr_length1;
		gint _arr_size_;
		gchar** _tmp41_;
		gint _tmp41__length1;
		gchar** _tmp46_;
		gint _tmp46__length1;
		gchar** _tmp51_;
		gint _tmp51__length1;
		gchar** _tmp56_;
		gint _tmp56__length1;
		gchar** _tmp61_;
		gint _tmp61__length1;
		SystemUser* _tmp66_;
#line 111 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
		_tmp6_ = fields;
#line 111 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
		_tmp6__length1 = fields_length1;
#line 111 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
		_tmp7_ = _tmp6_[0];
#line 111 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
		_tmp8_ = string_strip (_tmp7_);
#line 111 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
		_tmp9_ = _tmp8_;
#line 111 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
		_tmp10_ = system_user_new (_tmp9_);
#line 111 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
		_g_object_unref0 (user);
#line 111 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
		user = _tmp10_;
#line 111 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
		_g_free0 (_tmp9_);
#line 112 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
		_tmp11_ = user;
#line 112 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
		_tmp12_ = fields;
#line 112 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
		_tmp12__length1 = fields_length1;
#line 112 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
		_tmp13_ = _tmp12_[1];
#line 112 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
		_tmp14_ = string_strip (_tmp13_);
#line 112 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
		_g_free0 (_tmp11_->password);
#line 112 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
		_tmp11_->password = _tmp14_;
#line 113 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
		_tmp15_ = user;
#line 113 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
		_tmp16_ = fields;
#line 113 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
		_tmp16__length1 = fields_length1;
#line 113 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
		_tmp17_ = _tmp16_[2];
#line 113 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
		_tmp18_ = string_strip (_tmp17_);
#line 113 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
		_tmp19_ = _tmp18_;
#line 113 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
		_tmp15_->uid = atoi (_tmp19_);
#line 113 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
		_g_free0 (_tmp19_);
#line 114 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
		_tmp20_ = user;
#line 114 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
		_tmp21_ = fields;
#line 114 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
		_tmp21__length1 = fields_length1;
#line 114 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
		_tmp22_ = _tmp21_[3];
#line 114 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
		_tmp23_ = string_strip (_tmp22_);
#line 114 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
		_tmp24_ = _tmp23_;
#line 114 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
		_tmp20_->gid = atoi (_tmp24_);
#line 114 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
		_g_free0 (_tmp24_);
#line 115 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
		_tmp25_ = user;
#line 115 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
		_tmp26_ = fields;
#line 115 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
		_tmp26__length1 = fields_length1;
#line 115 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
		_tmp27_ = _tmp26_[4];
#line 115 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
		_tmp28_ = string_strip (_tmp27_);
#line 115 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
		_g_free0 (_tmp25_->user_info);
#line 115 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
		_tmp25_->user_info = _tmp28_;
#line 116 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
		_tmp29_ = user;
#line 116 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
		_tmp30_ = fields;
#line 116 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
		_tmp30__length1 = fields_length1;
#line 116 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
		_tmp31_ = _tmp30_[5];
#line 116 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
		_tmp32_ = string_strip (_tmp31_);
#line 116 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
		_g_free0 (_tmp29_->home_path);
#line 116 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
		_tmp29_->home_path = _tmp32_;
#line 117 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
		_tmp33_ = user;
#line 117 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
		_tmp34_ = fields;
#line 117 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
		_tmp34__length1 = fields_length1;
#line 117 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
		_tmp35_ = _tmp34_[6];
#line 117 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
		_tmp36_ = string_strip (_tmp35_);
#line 117 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
		_g_free0 (_tmp33_->shell_path);
#line 117 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
		_tmp33_->shell_path = _tmp36_;
#line 119 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
		_tmp37_ = user;
#line 119 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
		_tmp38_ = _tmp37_->user_info;
#line 119 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
		_tmp40_ = _tmp39_ = g_strsplit (_tmp38_, ",", 0);
#line 119 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
		arr = _tmp40_;
#line 119 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
		arr_length1 = _vala_array_length (_tmp39_);
#line 119 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
		_arr_size_ = arr_length1;
#line 120 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
		_tmp41_ = arr;
#line 120 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
		_tmp41__length1 = arr_length1;
#line 120 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
		if (_tmp41__length1 >= 1) {
#line 576 "SystemUser.c"
			SystemUser* _tmp42_;
			gchar** _tmp43_;
			gint _tmp43__length1;
			const gchar* _tmp44_;
			gchar* _tmp45_;
#line 121 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
			_tmp42_ = user;
#line 121 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
			_tmp43_ = arr;
#line 121 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
			_tmp43__length1 = arr_length1;
#line 121 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
			_tmp44_ = _tmp43_[0];
#line 121 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
			_tmp45_ = g_strdup (_tmp44_);
#line 121 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
			_g_free0 (_tmp42_->full_name);
#line 121 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
			_tmp42_->full_name = _tmp45_;
#line 596 "SystemUser.c"
		}
#line 123 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
		_tmp46_ = arr;
#line 123 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
		_tmp46__length1 = arr_length1;
#line 123 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
		if (_tmp46__length1 >= 2) {
#line 604 "SystemUser.c"
			SystemUser* _tmp47_;
			gchar** _tmp48_;
			gint _tmp48__length1;
			const gchar* _tmp49_;
			gchar* _tmp50_;
#line 124 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
			_tmp47_ = user;
#line 124 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
			_tmp48_ = arr;
#line 124 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
			_tmp48__length1 = arr_length1;
#line 124 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
			_tmp49_ = _tmp48_[1];
#line 124 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
			_tmp50_ = g_strdup (_tmp49_);
#line 124 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
			_g_free0 (_tmp47_->room_num);
#line 124 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
			_tmp47_->room_num = _tmp50_;
#line 624 "SystemUser.c"
		}
#line 126 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
		_tmp51_ = arr;
#line 126 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
		_tmp51__length1 = arr_length1;
#line 126 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
		if (_tmp51__length1 >= 3) {
#line 632 "SystemUser.c"
			SystemUser* _tmp52_;
			gchar** _tmp53_;
			gint _tmp53__length1;
			const gchar* _tmp54_;
			gchar* _tmp55_;
#line 127 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
			_tmp52_ = user;
#line 127 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
			_tmp53_ = arr;
#line 127 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
			_tmp53__length1 = arr_length1;
#line 127 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
			_tmp54_ = _tmp53_[2];
#line 127 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
			_tmp55_ = g_strdup (_tmp54_);
#line 127 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
			_g_free0 (_tmp52_->phone_work);
#line 127 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
			_tmp52_->phone_work = _tmp55_;
#line 652 "SystemUser.c"
		}
#line 129 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
		_tmp56_ = arr;
#line 129 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
		_tmp56__length1 = arr_length1;
#line 129 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
		if (_tmp56__length1 >= 4) {
#line 660 "SystemUser.c"
			SystemUser* _tmp57_;
			gchar** _tmp58_;
			gint _tmp58__length1;
			const gchar* _tmp59_;
			gchar* _tmp60_;
#line 130 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
			_tmp57_ = user;
#line 130 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
			_tmp58_ = arr;
#line 130 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
			_tmp58__length1 = arr_length1;
#line 130 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
			_tmp59_ = _tmp58_[3];
#line 130 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
			_tmp60_ = g_strdup (_tmp59_);
#line 130 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
			_g_free0 (_tmp57_->phone_home);
#line 130 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
			_tmp57_->phone_home = _tmp60_;
#line 680 "SystemUser.c"
		}
#line 132 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
		_tmp61_ = arr;
#line 132 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
		_tmp61__length1 = arr_length1;
#line 132 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
		if (_tmp61__length1 >= 5) {
#line 688 "SystemUser.c"
			SystemUser* _tmp62_;
			gchar** _tmp63_;
			gint _tmp63__length1;
			const gchar* _tmp64_;
			gchar* _tmp65_;
#line 133 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
			_tmp62_ = user;
#line 133 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
			_tmp63_ = arr;
#line 133 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
			_tmp63__length1 = arr_length1;
#line 133 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
			_tmp64_ = _tmp63_[4];
#line 133 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
			_tmp65_ = g_strdup (_tmp64_);
#line 133 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
			_g_free0 (_tmp62_->other_info);
#line 133 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
			_tmp62_->other_info = _tmp65_;
#line 708 "SystemUser.c"
		}
#line 136 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
		_tmp66_ = user;
#line 136 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
		system_user_check_encrypted_dirs (_tmp66_);
#line 110 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
		arr = (_vala_array_free (arr, arr_length1, (GDestroyNotify) g_free), NULL);
#line 716 "SystemUser.c"
	} else {
		gchar** _tmp67_;
		gint _tmp67__length1;
		gchar* _tmp68_;
		gchar* _tmp69_;
		gchar* _tmp70_;
		gchar* _tmp71_;
#line 139 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
		_tmp67_ = fields;
#line 139 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
		_tmp67__length1 = fields_length1;
#line 139 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
		_tmp68_ = g_strdup_printf (": %d", _tmp67__length1);
#line 139 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
		_tmp69_ = _tmp68_;
#line 139 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
		_tmp70_ = g_strconcat ("'passwd' file contains a record with non-standard fields", _tmp69_, NULL);
#line 139 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
		_tmp71_ = _tmp70_;
#line 139 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
		tee_jee_logging_log_error (_tmp71_, FALSE, FALSE);
#line 139 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
		_g_free0 (_tmp71_);
#line 139 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
		_g_free0 (_tmp69_);
#line 140 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
		result = NULL;
#line 140 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
		fields = (_vala_array_free (fields, fields_length1, (GDestroyNotify) g_free), NULL);
#line 140 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
		_g_object_unref0 (user);
#line 140 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
		return result;
#line 750 "SystemUser.c"
	}
#line 143 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
	result = user;
#line 143 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
	fields = (_vala_array_free (fields, fields_length1, (GDestroyNotify) g_free), NULL);
#line 143 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
	return result;
#line 758 "SystemUser.c"
}


void
system_user_check_encrypted_dirs (SystemUser* self)
{
	gchar* ecryptfs_mount_file = NULL;
	const gchar* _tmp0_;
	gchar* _tmp1_;
	const gchar* _tmp2_;
	const gchar* _tmp18_;
	gchar* _tmp19_;
	const gchar* _tmp20_;
#line 146 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
	g_return_if_fail (self != NULL);
#line 150 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
	_tmp0_ = self->name;
#line 150 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
	_tmp1_ = g_strdup_printf ("/home/.ecryptfs/%s/.ecryptfs/Private.mnt", _tmp0_);
#line 150 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
	ecryptfs_mount_file = _tmp1_;
#line 152 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
	_tmp2_ = ecryptfs_mount_file;
#line 152 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
	if (tee_jee_file_system_file_exists (_tmp2_)) {
#line 784 "SystemUser.c"
		gchar* txt = NULL;
		const gchar* _tmp3_;
		gchar* _tmp4_;
		const gchar* _tmp5_;
		gchar** _tmp6_;
		gchar** _tmp7_;
#line 154 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
		_tmp3_ = ecryptfs_mount_file;
#line 154 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
		_tmp4_ = tee_jee_file_system_file_read (_tmp3_);
#line 154 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
		txt = _tmp4_;
#line 156 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
		_tmp5_ = txt;
#line 156 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
		_tmp7_ = _tmp6_ = g_strsplit (_tmp5_, "\n", 0);
#line 801 "SystemUser.c"
		{
			gchar** line_collection = NULL;
			gint line_collection_length1 = 0;
			gint _line_collection_size_ = 0;
			gint line_it = 0;
#line 156 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
			line_collection = _tmp7_;
#line 156 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
			line_collection_length1 = _vala_array_length (_tmp6_);
#line 156 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
			for (line_it = 0; line_it < line_collection_length1; line_it = line_it + 1) {
#line 813 "SystemUser.c"
				gchar* _tmp8_;
				gchar* line = NULL;
#line 156 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
				_tmp8_ = g_strdup (line_collection[line_it]);
#line 156 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
				line = _tmp8_;
#line 820 "SystemUser.c"
				{
					gchar* path = NULL;
					const gchar* _tmp9_;
					gchar* _tmp10_;
					const gchar* _tmp11_;
					gint _tmp12_;
					gint _tmp13_;
					const gchar* _tmp14_;
					const gchar* _tmp15_;
					GeeArrayList* _tmp16_;
					const gchar* _tmp17_;
#line 158 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
					_tmp9_ = line;
#line 158 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
					_tmp10_ = string_strip (_tmp9_);
#line 158 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
					path = _tmp10_;
#line 160 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
					_tmp11_ = path;
#line 160 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
					_tmp12_ = strlen (_tmp11_);
#line 160 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
					_tmp13_ = _tmp12_;
#line 160 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
					if (_tmp13_ == 0) {
#line 160 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
						_g_free0 (path);
#line 160 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
						_g_free0 (line);
#line 160 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
						continue;
#line 852 "SystemUser.c"
					}
#line 162 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
					_tmp14_ = path;
#line 162 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
					_tmp15_ = self->home_path;
#line 162 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
					if (g_strcmp0 (_tmp14_, _tmp15_) == 0) {
#line 163 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
						self->has_encrypted_home = TRUE;
#line 862 "SystemUser.c"
					}
#line 166 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
					_tmp16_ = self->encrypted_dirs;
#line 166 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
					_tmp17_ = path;
#line 166 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
					gee_abstract_collection_add ((GeeAbstractCollection*) _tmp16_, _tmp17_);
#line 156 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
					_g_free0 (path);
#line 156 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
					_g_free0 (line);
#line 874 "SystemUser.c"
				}
			}
#line 156 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
			line_collection = (_vala_array_free (line_collection, line_collection_length1, (GDestroyNotify) g_free), NULL);
#line 879 "SystemUser.c"
		}
#line 152 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
		_g_free0 (txt);
#line 883 "SystemUser.c"
	}
#line 172 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
	_tmp18_ = self->home_path;
#line 172 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
	_tmp19_ = g_strdup_printf ("%s/.ecryptfs/Private.mnt", _tmp18_);
#line 172 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
	_g_free0 (ecryptfs_mount_file);
#line 172 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
	ecryptfs_mount_file = _tmp19_;
#line 174 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
	_tmp20_ = ecryptfs_mount_file;
#line 174 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
	if (tee_jee_file_system_file_exists (_tmp20_)) {
#line 897 "SystemUser.c"
		gchar* txt = NULL;
		const gchar* _tmp21_;
		gchar* _tmp22_;
		const gchar* _tmp23_;
		gchar** _tmp24_;
		gchar** _tmp25_;
#line 176 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
		_tmp21_ = ecryptfs_mount_file;
#line 176 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
		_tmp22_ = tee_jee_file_system_file_read (_tmp21_);
#line 176 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
		txt = _tmp22_;
#line 178 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
		_tmp23_ = txt;
#line 178 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
		_tmp25_ = _tmp24_ = g_strsplit (_tmp23_, "\n", 0);
#line 914 "SystemUser.c"
		{
			gchar** line_collection = NULL;
			gint line_collection_length1 = 0;
			gint _line_collection_size_ = 0;
			gint line_it = 0;
#line 178 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
			line_collection = _tmp25_;
#line 178 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
			line_collection_length1 = _vala_array_length (_tmp24_);
#line 178 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
			for (line_it = 0; line_it < line_collection_length1; line_it = line_it + 1) {
#line 926 "SystemUser.c"
				gchar* _tmp26_;
				gchar* line = NULL;
#line 178 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
				_tmp26_ = g_strdup (line_collection[line_it]);
#line 178 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
				line = _tmp26_;
#line 933 "SystemUser.c"
				{
					gchar* path = NULL;
					const gchar* _tmp27_;
					gchar* _tmp28_;
					const gchar* _tmp29_;
					gint _tmp30_;
					gint _tmp31_;
					const gchar* _tmp32_;
					const gchar* _tmp33_;
					GeeArrayList* _tmp36_;
					const gchar* _tmp37_;
#line 180 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
					_tmp27_ = line;
#line 180 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
					_tmp28_ = string_strip (_tmp27_);
#line 180 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
					path = _tmp28_;
#line 182 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
					_tmp29_ = path;
#line 182 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
					_tmp30_ = strlen (_tmp29_);
#line 182 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
					_tmp31_ = _tmp30_;
#line 182 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
					if (_tmp31_ == 0) {
#line 182 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
						_g_free0 (path);
#line 182 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
						_g_free0 (line);
#line 182 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
						continue;
#line 965 "SystemUser.c"
					}
#line 184 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
					_tmp32_ = path;
#line 184 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
					_tmp33_ = self->home_path;
#line 184 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
					if (g_strcmp0 (_tmp32_, _tmp33_) != 0) {
#line 973 "SystemUser.c"
						GeeArrayList* _tmp34_;
						const gchar* _tmp35_;
#line 185 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
						self->has_encrypted_private_dirs = TRUE;
#line 186 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
						_tmp34_ = self->encrypted_private_dirs;
#line 186 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
						_tmp35_ = path;
#line 186 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
						gee_abstract_collection_add ((GeeAbstractCollection*) _tmp34_, _tmp35_);
#line 984 "SystemUser.c"
					}
#line 189 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
					_tmp36_ = self->encrypted_dirs;
#line 189 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
					_tmp37_ = path;
#line 189 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
					gee_abstract_collection_add ((GeeAbstractCollection*) _tmp36_, _tmp37_);
#line 178 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
					_g_free0 (path);
#line 178 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
					_g_free0 (line);
#line 996 "SystemUser.c"
				}
			}
#line 178 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
			line_collection = (_vala_array_free (line_collection, line_collection_length1, (GDestroyNotify) g_free), NULL);
#line 1001 "SystemUser.c"
		}
#line 174 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
		_g_free0 (txt);
#line 1005 "SystemUser.c"
	}
#line 146 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
	_g_free0 (ecryptfs_mount_file);
#line 1009 "SystemUser.c"
}


static gint
_system_user_all_users_sorted___lambda10_ (SystemUser* a,
                                           SystemUser* b)
{
	gint result = 0;
	GCompareFunc _tmp0_;
	const gchar* _tmp1_;
	const gchar* _tmp2_;
#line 69 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
	g_return_val_if_fail (a != NULL, 0);
#line 69 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
	g_return_val_if_fail (b != NULL, 0);
#line 69 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
	_tmp0_ = ((GCompareFunc) g_strcmp0);
#line 69 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
	_tmp1_ = a->name;
#line 69 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
	_tmp2_ = b->name;
#line 69 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
	result = _tmp0_ (_tmp1_, _tmp2_);
#line 69 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
	return result;
#line 1035 "SystemUser.c"
}


static gint
__system_user_all_users_sorted___lambda10__gcompare_data_func (gconstpointer a,
                                                               gconstpointer b,
                                                               gpointer self)
{
	gint result;
	result = _system_user_all_users_sorted___lambda10_ ((SystemUser*) a, (SystemUser*) b);
#line 69 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
	return result;
#line 1048 "SystemUser.c"
}


GeeArrayList*
system_user_get_all_users_sorted (void)
{
	GeeArrayList* result;
	GeeArrayList* list = NULL;
	GeeArrayList* _tmp0_;
	GeeArrayList* _tmp12_;
#line 65 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
	_tmp0_ = gee_array_list_new (TYPE_SYSTEM_USER, (GBoxedCopyFunc) g_object_ref, (GDestroyNotify) g_object_unref, NULL, NULL, NULL);
#line 65 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
	list = _tmp0_;
#line 1063 "SystemUser.c"
	{
		GeeIterator* _user_it = NULL;
		GeeHashMap* _tmp1_;
		GeeCollection* _tmp2_;
		GeeCollection* _tmp3_;
		GeeCollection* _tmp4_;
		GeeIterator* _tmp5_;
		GeeIterator* _tmp6_;
#line 66 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
		_tmp1_ = system_user_all_users;
#line 66 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
		_tmp2_ = gee_abstract_map_get_values ((GeeAbstractMap*) _tmp1_);
#line 66 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
		_tmp3_ = _tmp2_;
#line 66 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
		_tmp4_ = _tmp3_;
#line 66 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
		_tmp5_ = gee_iterable_iterator ((GeeIterable*) _tmp4_);
#line 66 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
		_tmp6_ = _tmp5_;
#line 66 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
		_g_object_unref0 (_tmp4_);
#line 66 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
		_user_it = _tmp6_;
#line 66 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
		while (TRUE) {
#line 1090 "SystemUser.c"
			GeeIterator* _tmp7_;
			SystemUser* user = NULL;
			GeeIterator* _tmp8_;
			gpointer _tmp9_;
			GeeArrayList* _tmp10_;
			SystemUser* _tmp11_;
#line 66 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
			_tmp7_ = _user_it;
#line 66 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
			if (!gee_iterator_next (_tmp7_)) {
#line 66 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
				break;
#line 1103 "SystemUser.c"
			}
#line 66 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
			_tmp8_ = _user_it;
#line 66 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
			_tmp9_ = gee_iterator_get (_tmp8_);
#line 66 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
			user = (SystemUser*) _tmp9_;
#line 67 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
			_tmp10_ = list;
#line 67 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
			_tmp11_ = user;
#line 67 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
			gee_abstract_collection_add ((GeeAbstractCollection*) _tmp10_, _tmp11_);
#line 66 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
			_g_object_unref0 (user);
#line 1119 "SystemUser.c"
		}
#line 66 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
		_g_object_unref0 (_user_it);
#line 1123 "SystemUser.c"
	}
#line 69 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
	_tmp12_ = list;
#line 69 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
	gee_list_sort ((GeeList*) _tmp12_, __system_user_all_users_sorted___lambda10__gcompare_data_func, NULL, NULL);
#line 70 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
	result = list;
#line 70 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
	return result;
#line 1133 "SystemUser.c"
}


gboolean
system_user_get_is_system (SystemUser* self)
{
	gboolean result;
	gboolean _tmp0_ = FALSE;
	gboolean _tmp1_ = FALSE;
	gboolean _tmp2_ = FALSE;
	gint _tmp3_;
#line 195 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 196 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
	_tmp3_ = self->uid;
#line 196 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
	if (_tmp3_ != 0) {
#line 1151 "SystemUser.c"
		gint _tmp4_;
#line 196 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
		_tmp4_ = self->uid;
#line 196 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
		_tmp2_ = _tmp4_ < 1000;
#line 1157 "SystemUser.c"
	} else {
#line 196 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
		_tmp2_ = FALSE;
#line 1161 "SystemUser.c"
	}
#line 196 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
	if (_tmp2_) {
#line 196 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
		_tmp1_ = TRUE;
#line 1167 "SystemUser.c"
	} else {
		gint _tmp5_;
#line 196 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
		_tmp5_ = self->uid;
#line 196 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
		_tmp1_ = _tmp5_ == 65534;
#line 1174 "SystemUser.c"
	}
#line 196 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
	if (_tmp1_) {
#line 196 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
		_tmp0_ = TRUE;
#line 1180 "SystemUser.c"
	} else {
		const gchar* _tmp6_;
#line 196 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
		_tmp6_ = self->name;
#line 196 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
		_tmp0_ = g_strcmp0 (_tmp6_, "PinguyBuilder") == 0;
#line 1187 "SystemUser.c"
	}
#line 196 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
	result = _tmp0_;
#line 196 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
	return result;
#line 1193 "SystemUser.c"
}


gchar*
system_user_get_group_names (SystemUser* self)
{
	gchar* result;
	gchar* _tmp0_;
#line 201 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 202 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
	_tmp0_ = g_strdup ("");
#line 202 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
	result = _tmp0_;
#line 202 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
	return result;
#line 1210 "SystemUser.c"
}


static void
system_user_class_init (SystemUserClass * klass)
{
#line 29 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
	system_user_parent_class = g_type_class_peek_parent (klass);
#line 29 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
	G_OBJECT_CLASS (klass)->get_property = _vala_system_user_get_property;
#line 29 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
	G_OBJECT_CLASS (klass)->finalize = system_user_finalize;
#line 29 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), SYSTEM_USER_IS_SYSTEM_PROPERTY, system_user_properties[SYSTEM_USER_IS_SYSTEM_PROPERTY] = g_param_spec_boolean ("is-system", "is-system", "is-system", FALSE, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE));
#line 29 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), SYSTEM_USER_GROUP_NAMES_PROPERTY, system_user_properties[SYSTEM_USER_GROUP_NAMES_PROPERTY] = g_param_spec_string ("group-names", "group-names", "group-names", NULL, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE));
#line 1227 "SystemUser.c"
}


static void
system_user_instance_init (SystemUser * self)
{
	gchar* _tmp0_;
	gchar* _tmp1_;
	gchar* _tmp2_;
	gchar* _tmp3_;
	gchar* _tmp4_;
	gchar* _tmp5_;
	gchar* _tmp6_;
	gchar* _tmp7_;
	gchar* _tmp8_;
	gchar* _tmp9_;
	GeeArrayList* _tmp10_;
	GeeArrayList* _tmp11_;
#line 31 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
	_tmp0_ = g_strdup ("");
#line 31 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
	self->name = _tmp0_;
#line 32 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
	_tmp1_ = g_strdup ("");
#line 32 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
	self->password = _tmp1_;
#line 33 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
	self->uid = -1;
#line 34 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
	self->gid = -1;
#line 35 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
	_tmp2_ = g_strdup ("");
#line 35 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
	self->user_info = _tmp2_;
#line 36 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
	_tmp3_ = g_strdup ("");
#line 36 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
	self->home_path = _tmp3_;
#line 37 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
	_tmp4_ = g_strdup ("");
#line 37 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
	self->shell_path = _tmp4_;
#line 39 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
	_tmp5_ = g_strdup ("");
#line 39 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
	self->full_name = _tmp5_;
#line 40 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
	_tmp6_ = g_strdup ("");
#line 40 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
	self->room_num = _tmp6_;
#line 41 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
	_tmp7_ = g_strdup ("");
#line 41 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
	self->phone_work = _tmp7_;
#line 42 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
	_tmp8_ = g_strdup ("");
#line 42 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
	self->phone_home = _tmp8_;
#line 43 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
	_tmp9_ = g_strdup ("");
#line 43 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
	self->other_info = _tmp9_;
#line 45 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
	self->has_encrypted_home = FALSE;
#line 46 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
	self->has_encrypted_private_dirs = FALSE;
#line 47 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
	_tmp10_ = gee_array_list_new (G_TYPE_STRING, (GBoxedCopyFunc) g_strdup, (GDestroyNotify) g_free, NULL, NULL, NULL);
#line 47 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
	self->encrypted_dirs = _tmp10_;
#line 48 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
	_tmp11_ = gee_array_list_new (G_TYPE_STRING, (GBoxedCopyFunc) g_strdup, (GDestroyNotify) g_free, NULL, NULL, NULL);
#line 48 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
	self->encrypted_private_dirs = _tmp11_;
#line 50 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
	self->is_selected = FALSE;
#line 1304 "SystemUser.c"
}


static void
system_user_finalize (GObject * obj)
{
	SystemUser * self;
#line 29 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, TYPE_SYSTEM_USER, SystemUser);
#line 31 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
	_g_free0 (self->name);
#line 32 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
	_g_free0 (self->password);
#line 35 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
	_g_free0 (self->user_info);
#line 36 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
	_g_free0 (self->home_path);
#line 37 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
	_g_free0 (self->shell_path);
#line 39 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
	_g_free0 (self->full_name);
#line 40 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
	_g_free0 (self->room_num);
#line 41 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
	_g_free0 (self->phone_work);
#line 42 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
	_g_free0 (self->phone_home);
#line 43 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
	_g_free0 (self->other_info);
#line 47 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
	_g_object_unref0 (self->encrypted_dirs);
#line 48 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
	_g_object_unref0 (self->encrypted_private_dirs);
#line 29 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
	G_OBJECT_CLASS (system_user_parent_class)->finalize (obj);
#line 1340 "SystemUser.c"
}


GType
system_user_get_type (void)
{
	static volatile gsize system_user_type_id__volatile = 0;
	if (g_once_init_enter (&system_user_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (SystemUserClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) system_user_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (SystemUser), 0, (GInstanceInitFunc) system_user_instance_init, NULL };
		GType system_user_type_id;
		system_user_type_id = g_type_register_static (G_TYPE_OBJECT, "SystemUser", &g_define_type_info, 0);
		g_once_init_leave (&system_user_type_id__volatile, system_user_type_id);
	}
	return system_user_type_id__volatile;
}


static void
_vala_system_user_get_property (GObject * object,
                                guint property_id,
                                GValue * value,
                                GParamSpec * pspec)
{
	SystemUser * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, TYPE_SYSTEM_USER, SystemUser);
#line 29 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
	switch (property_id) {
#line 29 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
		case SYSTEM_USER_IS_SYSTEM_PROPERTY:
#line 29 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
		g_value_set_boolean (value, system_user_get_is_system (self));
#line 29 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
		break;
#line 29 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
		case SYSTEM_USER_GROUP_NAMES_PROPERTY:
#line 29 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
		g_value_take_string (value, system_user_get_group_names (self));
#line 29 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
		break;
#line 1380 "SystemUser.c"
		default:
#line 29 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 29 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/SystemUser.vala"
		break;
#line 1386 "SystemUser.c"
	}
}


static void
_vala_array_destroy (gpointer array,
                     gint array_length,
                     GDestroyNotify destroy_func)
{
	if ((array != NULL) && (destroy_func != NULL)) {
		int i;
		for (i = 0; i < array_length; i = i + 1) {
			if (((gpointer*) array)[i] != NULL) {
				destroy_func (((gpointer*) array)[i]);
			}
		}
	}
}


static void
_vala_array_free (gpointer array,
                  gint array_length,
                  GDestroyNotify destroy_func)
{
	_vala_array_destroy (array, array_length, destroy_func);
	g_free (array);
}


static gint
_vala_array_length (gpointer array)
{
	int length;
	length = 0;
	if (array) {
		while (((gpointer*) array)[length]) {
			length++;
		}
	}
	return length;
}



