/* TeeJee.FileSystem.c generated by valac 0.40.19, the Vala compiler
 * generated from TeeJee.FileSystem.vala, do not modify */

/*
 * TeeJee.FileSystem.vala
 *
 * Copyright 2012-2018 Tony George <teejeetech@gmail.com>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA 02110-1301, USA.
 *
 *
 */


#include <glib.h>
#include <glib-object.h>
#include <stdlib.h>
#include <string.h>
#include <gio/gio.h>
#include <glib/gstdio.h>
#include <glib/gi18n-lib.h>
#include <gee.h>

#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
#define _g_free0(var) (var = (g_free (var), NULL))
#define _g_error_free0(var) ((var == NULL) ? NULL : (var = (g_error_free (var), NULL)))
#define _g_regex_unref0(var) ((var == NULL) ? NULL : (var = (g_regex_unref (var), NULL)))



#define TEE_JEE_FILE_SYSTEM_KB ((gint64) 1000)
#define TEE_JEE_FILE_SYSTEM_MB (1000 * TEE_JEE_FILE_SYSTEM_KB)
#define TEE_JEE_FILE_SYSTEM_GB (1000 * TEE_JEE_FILE_SYSTEM_MB)
#define TEE_JEE_FILE_SYSTEM_TB (1000 * TEE_JEE_FILE_SYSTEM_GB)
#define TEE_JEE_FILE_SYSTEM_KiB ((gint64) 1024)
#define TEE_JEE_FILE_SYSTEM_MiB (1024 * TEE_JEE_FILE_SYSTEM_KiB)
#define TEE_JEE_FILE_SYSTEM_GiB (1024 * TEE_JEE_FILE_SYSTEM_MiB)
#define TEE_JEE_FILE_SYSTEM_TiB (1024 * TEE_JEE_FILE_SYSTEM_GiB)
gchar* tee_jee_file_system_file_parent (const gchar* file_path);
gchar* tee_jee_file_system_file_basename (const gchar* file_path);
gchar* tee_jee_file_system_path_combine (const gchar* path1,
                                         const gchar* path2);
gchar* tee_jee_file_system_remove_trailing_slash (const gchar* path);
gboolean tee_jee_file_system_file_exists (const gchar* file_path);
gboolean tee_jee_file_system_file_delete (const gchar* file_path);
void tee_jee_logging_log_error (const gchar* message,
                                gboolean highlight,
                                gboolean is_warning);
gint64 tee_jee_file_system_file_line_count (const gchar* file_path);
gchar* tee_jee_file_system_escape_single_quote (const gchar* file_path);
gint tee_jee_process_helper_exec_sync (const gchar* cmd,
                                       gchar* * std_out,
                                       gchar* * std_err);
gchar* tee_jee_file_system_file_read (const gchar* file_path);
gboolean tee_jee_file_system_file_write (const gchar* file_path,
                                         const gchar* contents);
gboolean tee_jee_file_system_dir_create (const gchar* dir_path,
                                         gboolean show_message);
gboolean tee_jee_file_system_file_copy (const gchar* src_file,
                                        const gchar* dest_file);
void tee_jee_file_system_file_move (const gchar* src_file,
                                    const gchar* dest_file);
gboolean tee_jee_file_system_file_is_symlink (const gchar* file_path);
gboolean tee_jee_file_system_file_gzip (const gchar* src_file);
gchar* tee_jee_file_system_file_resolve_executable_path (const gchar* file_path);
gchar* tee_jee_file_system_file_get_symlink_target (const gchar* file_path);
gboolean tee_jee_file_system_dir_exists (const gchar* dir_path);
void tee_jee_logging_log_msg (const gchar* message,
                              gboolean highlight);
gboolean tee_jee_file_system_dir_delete (const gchar* dir_path,
                                         gboolean show_message);
void tee_jee_logging_log_debug (const gchar* message);
gboolean tee_jee_file_system_dir_is_empty (const gchar* dir_path);
GeeArrayList* tee_jee_file_system_dir_list_names (const gchar* path);
static gint __lambda12_ (const gchar* a,
                  const gchar* b);
static gint ___lambda12__gcompare_data_func (gconstpointer a,
                                      gconstpointer b,
                                      gpointer self);
gboolean tee_jee_file_system_chown (const gchar* dir_path,
                                    const gchar* user,
                                    const gchar* group);
gchar* tee_jee_file_system_format_file_size (guint64 size,
                                             gboolean binary_units,
                                             const gchar* unit,
                                             gboolean show_units,
                                             gint decimals);
gint tee_jee_file_system_chmod (const gchar* file,
                                const gchar* permission);
static void _vala_array_destroy (gpointer array,
                          gint array_length,
                          GDestroyNotify destroy_func);
static void _vala_array_free (gpointer array,
                       gint array_length,
                       GDestroyNotify destroy_func);
static gint _vala_array_length (gpointer array);


gchar*
tee_jee_file_system_file_parent (const gchar* file_path)
{
	gchar* result = NULL;
	GFile* _tmp0_;
	GFile* _tmp1_;
	GFile* _tmp2_;
	GFile* _tmp3_;
	gchar* _tmp4_;
	gchar* _tmp5_;
#line 45 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	g_return_val_if_fail (file_path != NULL, NULL);
#line 46 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	_tmp0_ = g_file_new_for_path (file_path);
#line 46 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	_tmp1_ = _tmp0_;
#line 46 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	_tmp2_ = g_file_get_parent (_tmp1_);
#line 46 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	_tmp3_ = _tmp2_;
#line 46 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	_tmp4_ = g_file_get_path (_tmp3_);
#line 46 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	_tmp5_ = _tmp4_;
#line 46 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	_g_object_unref0 (_tmp3_);
#line 46 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	_g_object_unref0 (_tmp1_);
#line 46 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	result = _tmp5_;
#line 46 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	return result;
#line 145 "TeeJee.FileSystem.c"
}


gchar*
tee_jee_file_system_file_basename (const gchar* file_path)
{
	gchar* result = NULL;
	GFile* _tmp0_;
	GFile* _tmp1_;
	gchar* _tmp2_;
	gchar* _tmp3_;
#line 49 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	g_return_val_if_fail (file_path != NULL, NULL);
#line 50 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	_tmp0_ = g_file_new_for_path (file_path);
#line 50 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	_tmp1_ = _tmp0_;
#line 50 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	_tmp2_ = g_file_get_basename (_tmp1_);
#line 50 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	_tmp3_ = _tmp2_;
#line 50 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	_g_object_unref0 (_tmp1_);
#line 50 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	result = _tmp3_;
#line 50 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	return result;
#line 173 "TeeJee.FileSystem.c"
}


gchar*
tee_jee_file_system_path_combine (const gchar* path1,
                                  const gchar* path2)
{
	gchar* result = NULL;
	gchar* _tmp0_;
#line 53 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	g_return_val_if_fail (path1 != NULL, NULL);
#line 53 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	g_return_val_if_fail (path2 != NULL, NULL);
#line 54 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	_tmp0_ = g_build_path ("/", path1, path2, NULL);
#line 54 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	result = _tmp0_;
#line 54 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	return result;
#line 193 "TeeJee.FileSystem.c"
}


static gchar*
string_slice (const gchar* self,
              glong start,
              glong end)
{
	gchar* result = NULL;
	glong string_length = 0L;
	gint _tmp0_;
	gint _tmp1_;
	gboolean _tmp4_ = FALSE;
	gboolean _tmp6_ = FALSE;
	gchar* _tmp8_;
#line 1425 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, NULL);
#line 1426 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	_tmp0_ = strlen (self);
#line 1426 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	_tmp1_ = _tmp0_;
#line 1426 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	string_length = (glong) _tmp1_;
#line 1427 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	if (start < ((glong) 0)) {
#line 219 "TeeJee.FileSystem.c"
		glong _tmp2_;
#line 1428 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp2_ = string_length;
#line 1428 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		start = _tmp2_ + start;
#line 225 "TeeJee.FileSystem.c"
	}
#line 1430 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	if (end < ((glong) 0)) {
#line 229 "TeeJee.FileSystem.c"
		glong _tmp3_;
#line 1431 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp3_ = string_length;
#line 1431 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		end = _tmp3_ + end;
#line 235 "TeeJee.FileSystem.c"
	}
#line 1433 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	if (start >= ((glong) 0)) {
#line 239 "TeeJee.FileSystem.c"
		glong _tmp5_;
#line 1433 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp5_ = string_length;
#line 1433 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp4_ = start <= _tmp5_;
#line 245 "TeeJee.FileSystem.c"
	} else {
#line 1433 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp4_ = FALSE;
#line 249 "TeeJee.FileSystem.c"
	}
#line 1433 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	g_return_val_if_fail (_tmp4_, NULL);
#line 1434 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	if (end >= ((glong) 0)) {
#line 255 "TeeJee.FileSystem.c"
		glong _tmp7_;
#line 1434 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp7_ = string_length;
#line 1434 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp6_ = end <= _tmp7_;
#line 261 "TeeJee.FileSystem.c"
	} else {
#line 1434 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp6_ = FALSE;
#line 265 "TeeJee.FileSystem.c"
	}
#line 1434 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	g_return_val_if_fail (_tmp6_, NULL);
#line 1435 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	g_return_val_if_fail (start <= end, NULL);
#line 1436 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	_tmp8_ = g_strndup (((gchar*) self) + start, (gsize) (end - start));
#line 1436 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	result = _tmp8_;
#line 1436 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	return result;
#line 277 "TeeJee.FileSystem.c"
}


gchar*
tee_jee_file_system_remove_trailing_slash (const gchar* path)
{
	gchar* result = NULL;
#line 57 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	g_return_val_if_fail (path != NULL, NULL);
#line 58 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	if (g_str_has_suffix (path, "/")) {
#line 289 "TeeJee.FileSystem.c"
		gint _tmp0_;
		gint _tmp1_;
		gchar* _tmp2_;
#line 59 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		_tmp0_ = strlen (path);
#line 59 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		_tmp1_ = _tmp0_;
#line 59 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		_tmp2_ = string_slice (path, (glong) 0, (glong) (_tmp1_ - 1));
#line 59 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		result = _tmp2_;
#line 59 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		return result;
#line 303 "TeeJee.FileSystem.c"
	} else {
		gchar* _tmp3_;
#line 62 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		_tmp3_ = g_strdup (path);
#line 62 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		result = _tmp3_;
#line 62 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		return result;
#line 312 "TeeJee.FileSystem.c"
	}
}


gboolean
tee_jee_file_system_file_exists (const gchar* file_path)
{
	gboolean result = FALSE;
	gboolean _tmp0_ = FALSE;
#line 68 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	g_return_val_if_fail (file_path != NULL, FALSE);
#line 70 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	if (g_file_test (file_path, G_FILE_TEST_EXISTS)) {
#line 71 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		_tmp0_ = !g_file_test (file_path, G_FILE_TEST_IS_DIR);
#line 328 "TeeJee.FileSystem.c"
	} else {
#line 70 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		_tmp0_ = FALSE;
#line 332 "TeeJee.FileSystem.c"
	}
#line 70 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	result = _tmp0_;
#line 70 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	return result;
#line 338 "TeeJee.FileSystem.c"
}


gboolean
tee_jee_file_system_file_delete (const gchar* file_path)
{
	gboolean result = FALSE;
	gboolean _tmp9_ = FALSE;
	GError* _inner_error0_ = NULL;
#line 74 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	g_return_val_if_fail (file_path != NULL, FALSE);
#line 350 "TeeJee.FileSystem.c"
	{
		GFile* file = NULL;
		GFile* _tmp0_;
		GFile* _tmp1_;
#line 79 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		_tmp0_ = g_file_new_for_path (file_path);
#line 79 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		file = _tmp0_;
#line 80 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		_tmp1_ = file;
#line 80 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		if (g_file_query_exists (_tmp1_, NULL)) {
#line 363 "TeeJee.FileSystem.c"
			GFile* _tmp2_;
#line 81 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
			_tmp2_ = file;
#line 81 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
			g_file_delete (_tmp2_, NULL, &_inner_error0_);
#line 81 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
			if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 81 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
				_g_object_unref0 (file);
#line 373 "TeeJee.FileSystem.c"
				goto __catch62_g_error;
			}
		}
#line 83 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		result = TRUE;
#line 83 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		_g_object_unref0 (file);
#line 83 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		return result;
#line 383 "TeeJee.FileSystem.c"
	}
	goto __finally62;
	__catch62_g_error:
	{
		GError* e = NULL;
		GError* _tmp3_;
		const gchar* _tmp4_;
		gchar* _tmp5_;
		gchar* _tmp6_;
		gchar* _tmp7_;
		gchar* _tmp8_;
#line 78 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		e = _inner_error0_;
#line 78 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		_inner_error0_ = NULL;
#line 85 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		_tmp3_ = e;
#line 85 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		_tmp4_ = _tmp3_->message;
#line 85 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		tee_jee_logging_log_error (_tmp4_, FALSE, FALSE);
#line 86 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		_tmp5_ = g_strdup_printf (": %s", file_path);
#line 86 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		_tmp6_ = _tmp5_;
#line 86 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		_tmp7_ = g_strconcat (_ ("Failed to delete file"), _tmp6_, NULL);
#line 86 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		_tmp8_ = _tmp7_;
#line 86 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		tee_jee_logging_log_error (_tmp8_, FALSE, FALSE);
#line 86 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (_tmp8_);
#line 86 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (_tmp6_);
#line 87 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		result = FALSE;
#line 87 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		_g_error_free0 (e);
#line 87 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		return result;
#line 425 "TeeJee.FileSystem.c"
	}
	__finally62:
#line 78 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 78 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	g_clear_error (&_inner_error0_);
#line 78 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	return _tmp9_;
#line 434 "TeeJee.FileSystem.c"
}


static glong
long_parse (const gchar* str)
{
	glong result = 0L;
#line 269 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	g_return_val_if_fail (str != NULL, 0L);
#line 270 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	result = strtol (str, NULL, (guint) 0);
#line 270 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	return result;
#line 448 "TeeJee.FileSystem.c"
}


gint64
tee_jee_file_system_file_line_count (const gchar* file_path)
{
	gint64 result = 0LL;
	gchar* cmd = NULL;
	gchar* _tmp0_;
	gchar* _tmp1_;
	gchar* _tmp2_;
	gchar* _tmp3_;
	gchar* std_out = NULL;
	gchar* std_err = NULL;
	gchar* _tmp4_ = NULL;
	gchar* _tmp5_ = NULL;
	gchar** _tmp6_;
	gchar** _tmp7_;
	gchar** _tmp8_;
	gint _tmp8__length1;
	const gchar* _tmp9_;
	gint64 _tmp10_;
#line 91 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	g_return_val_if_fail (file_path != NULL, 0LL);
#line 93 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	_tmp0_ = tee_jee_file_system_escape_single_quote (file_path);
#line 93 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	_tmp1_ = _tmp0_;
#line 93 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	_tmp2_ = g_strdup_printf ("wc -l '%s'", _tmp1_);
#line 93 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	_tmp3_ = _tmp2_;
#line 93 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	_g_free0 (_tmp1_);
#line 93 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	cmd = _tmp3_;
#line 95 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	tee_jee_process_helper_exec_sync (cmd, &_tmp4_, &_tmp5_);
#line 95 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	_g_free0 (std_out);
#line 95 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	std_out = _tmp4_;
#line 95 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	_g_free0 (std_err);
#line 95 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	std_err = _tmp5_;
#line 96 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	_tmp7_ = _tmp6_ = g_strsplit (std_out, "\t", 0);
#line 96 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	_tmp8_ = _tmp7_;
#line 96 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	_tmp8__length1 = _vala_array_length (_tmp6_);
#line 96 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	_tmp9_ = _tmp8_[0];
#line 96 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	_tmp10_ = (gint64) long_parse (_tmp9_);
#line 96 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	_tmp8_ = (_vala_array_free (_tmp8_, _tmp8__length1, (GDestroyNotify) g_free), NULL);
#line 96 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	result = _tmp10_;
#line 96 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	_g_free0 (std_err);
#line 96 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	_g_free0 (std_out);
#line 96 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	_g_free0 (cmd);
#line 96 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	return result;
#line 517 "TeeJee.FileSystem.c"
}


gchar*
tee_jee_file_system_file_read (const gchar* file_path)
{
	gchar* result = NULL;
	gchar* txt = NULL;
	gsize size = 0UL;
	GError* _inner_error0_ = NULL;
#line 99 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	g_return_val_if_fail (file_path != NULL, NULL);
#line 530 "TeeJee.FileSystem.c"
	{
		gchar* _tmp0_ = NULL;
		gsize _tmp1_ = 0UL;
#line 107 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		g_file_get_contents (file_path, &_tmp0_, &_tmp1_, &_inner_error0_);
#line 107 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (txt);
#line 107 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		txt = _tmp0_;
#line 107 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		size = _tmp1_;
#line 107 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 544 "TeeJee.FileSystem.c"
			goto __catch63_g_error;
		}
#line 108 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		result = txt;
#line 108 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		return result;
#line 551 "TeeJee.FileSystem.c"
	}
	goto __finally63;
	__catch63_g_error:
	{
		GError* e = NULL;
		GError* _tmp2_;
		const gchar* _tmp3_;
		gchar* _tmp4_;
		gchar* _tmp5_;
		gchar* _tmp6_;
		gchar* _tmp7_;
#line 106 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		e = _inner_error0_;
#line 106 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		_inner_error0_ = NULL;
#line 111 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		_tmp2_ = e;
#line 111 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		_tmp3_ = _tmp2_->message;
#line 111 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		tee_jee_logging_log_error (_tmp3_, FALSE, FALSE);
#line 112 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		_tmp4_ = g_strdup_printf (": %s", file_path);
#line 112 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		_tmp5_ = _tmp4_;
#line 112 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		_tmp6_ = g_strconcat (_ ("Failed to read file"), _tmp5_, NULL);
#line 112 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		_tmp7_ = _tmp6_;
#line 112 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		tee_jee_logging_log_error (_tmp7_, FALSE, FALSE);
#line 112 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (_tmp7_);
#line 112 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (_tmp5_);
#line 106 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		_g_error_free0 (e);
#line 589 "TeeJee.FileSystem.c"
	}
	__finally63:
#line 106 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 106 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (txt);
#line 106 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 106 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		g_clear_error (&_inner_error0_);
#line 106 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		return NULL;
#line 602 "TeeJee.FileSystem.c"
	}
#line 115 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	result = NULL;
#line 115 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	_g_free0 (txt);
#line 115 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	return result;
#line 610 "TeeJee.FileSystem.c"
}


gboolean
tee_jee_file_system_file_write (const gchar* file_path,
                                const gchar* contents)
{
	gboolean result = FALSE;
	gboolean _tmp17_ = FALSE;
	GError* _inner_error0_ = NULL;
#line 118 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	g_return_val_if_fail (file_path != NULL, FALSE);
#line 118 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	g_return_val_if_fail (contents != NULL, FALSE);
#line 625 "TeeJee.FileSystem.c"
	{
		gchar* _tmp0_;
		gchar* _tmp1_;
		GFile* file = NULL;
		GFile* _tmp2_;
		GFile* _tmp3_;
		GFileOutputStream* file_stream = NULL;
		GFile* _tmp5_;
		GFileOutputStream* _tmp6_;
		GDataOutputStream* data_stream = NULL;
		GFileOutputStream* _tmp7_;
		GDataOutputStream* _tmp8_;
		GDataOutputStream* _tmp9_;
		GDataOutputStream* _tmp10_;
#line 124 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		_tmp0_ = tee_jee_file_system_file_parent (file_path);
#line 124 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		_tmp1_ = _tmp0_;
#line 124 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		tee_jee_file_system_dir_create (_tmp1_, FALSE);
#line 124 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (_tmp1_);
#line 126 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		_tmp2_ = g_file_new_for_path (file_path);
#line 126 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		file = _tmp2_;
#line 127 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		_tmp3_ = file;
#line 127 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		if (g_file_query_exists (_tmp3_, NULL)) {
#line 656 "TeeJee.FileSystem.c"
			GFile* _tmp4_;
#line 128 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
			_tmp4_ = file;
#line 128 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
			g_file_delete (_tmp4_, NULL, &_inner_error0_);
#line 128 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
			if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 128 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
				_g_object_unref0 (file);
#line 666 "TeeJee.FileSystem.c"
				goto __catch64_g_error;
			}
		}
#line 131 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		_tmp5_ = file;
#line 131 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		_tmp6_ = g_file_create (_tmp5_, G_FILE_CREATE_REPLACE_DESTINATION, NULL, &_inner_error0_);
#line 131 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		file_stream = _tmp6_;
#line 131 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 131 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
			_g_object_unref0 (file);
#line 680 "TeeJee.FileSystem.c"
			goto __catch64_g_error;
		}
#line 132 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		_tmp7_ = file_stream;
#line 132 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		_tmp8_ = g_data_output_stream_new ((GOutputStream*) _tmp7_);
#line 132 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		data_stream = _tmp8_;
#line 133 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		_tmp9_ = data_stream;
#line 133 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		g_data_output_stream_put_string (_tmp9_, contents, NULL, &_inner_error0_);
#line 133 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 133 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
			_g_object_unref0 (data_stream);
#line 133 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
			_g_object_unref0 (file_stream);
#line 133 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
			_g_object_unref0 (file);
#line 701 "TeeJee.FileSystem.c"
			goto __catch64_g_error;
		}
#line 134 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		_tmp10_ = data_stream;
#line 134 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		g_output_stream_close ((GOutputStream*) _tmp10_, NULL, &_inner_error0_);
#line 134 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 134 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
			_g_object_unref0 (data_stream);
#line 134 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
			_g_object_unref0 (file_stream);
#line 134 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
			_g_object_unref0 (file);
#line 716 "TeeJee.FileSystem.c"
			goto __catch64_g_error;
		}
#line 135 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		result = TRUE;
#line 135 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		_g_object_unref0 (data_stream);
#line 135 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		_g_object_unref0 (file_stream);
#line 135 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		_g_object_unref0 (file);
#line 135 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		return result;
#line 729 "TeeJee.FileSystem.c"
	}
	goto __finally64;
	__catch64_g_error:
	{
		GError* e = NULL;
		GError* _tmp11_;
		const gchar* _tmp12_;
		gchar* _tmp13_;
		gchar* _tmp14_;
		gchar* _tmp15_;
		gchar* _tmp16_;
#line 122 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		e = _inner_error0_;
#line 122 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		_inner_error0_ = NULL;
#line 138 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		_tmp11_ = e;
#line 138 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		_tmp12_ = _tmp11_->message;
#line 138 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		tee_jee_logging_log_error (_tmp12_, FALSE, FALSE);
#line 139 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		_tmp13_ = g_strdup_printf (": %s", file_path);
#line 139 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		_tmp14_ = _tmp13_;
#line 139 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		_tmp15_ = g_strconcat (_ ("Failed to write file"), _tmp14_, NULL);
#line 139 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		_tmp16_ = _tmp15_;
#line 139 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		tee_jee_logging_log_error (_tmp16_, FALSE, FALSE);
#line 139 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (_tmp16_);
#line 139 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (_tmp14_);
#line 140 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		result = FALSE;
#line 140 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		_g_error_free0 (e);
#line 140 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		return result;
#line 771 "TeeJee.FileSystem.c"
	}
	__finally64:
#line 122 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 122 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	g_clear_error (&_inner_error0_);
#line 122 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	return _tmp17_;
#line 780 "TeeJee.FileSystem.c"
}


gboolean
tee_jee_file_system_file_copy (const gchar* src_file,
                               const gchar* dest_file)
{
	gboolean result = FALSE;
	GError* _inner_error0_ = NULL;
#line 144 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	g_return_val_if_fail (src_file != NULL, FALSE);
#line 144 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	g_return_val_if_fail (dest_file != NULL, FALSE);
#line 794 "TeeJee.FileSystem.c"
	{
		GFile* file_src = NULL;
		GFile* _tmp0_;
		GFile* _tmp1_;
#line 146 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		_tmp0_ = g_file_new_for_path (src_file);
#line 146 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		file_src = _tmp0_;
#line 147 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		_tmp1_ = file_src;
#line 147 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		if (g_file_query_exists (_tmp1_, NULL)) {
#line 807 "TeeJee.FileSystem.c"
			GFile* file_dest = NULL;
			GFile* _tmp2_;
			GFile* _tmp3_;
			GFile* _tmp4_;
#line 148 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
			_tmp2_ = g_file_new_for_path (dest_file);
#line 148 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
			file_dest = _tmp2_;
#line 149 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
			_tmp3_ = file_src;
#line 149 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
			_tmp4_ = file_dest;
#line 149 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
			g_file_copy (_tmp3_, _tmp4_, G_FILE_COPY_OVERWRITE, NULL, NULL, NULL, &_inner_error0_);
#line 149 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
			if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 149 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
				_g_object_unref0 (file_dest);
#line 149 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
				_g_object_unref0 (file_src);
#line 828 "TeeJee.FileSystem.c"
				goto __catch65_g_error;
			}
#line 150 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
			result = TRUE;
#line 150 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
			_g_object_unref0 (file_dest);
#line 150 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
			_g_object_unref0 (file_src);
#line 150 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
			return result;
#line 839 "TeeJee.FileSystem.c"
		}
#line 145 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		_g_object_unref0 (file_src);
#line 843 "TeeJee.FileSystem.c"
	}
	goto __finally65;
	__catch65_g_error:
	{
		GError* e = NULL;
		GError* _tmp5_;
		const gchar* _tmp6_;
		gchar* _tmp7_;
		gchar* _tmp8_;
		gchar* _tmp9_;
		gchar* _tmp10_;
#line 145 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		e = _inner_error0_;
#line 145 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		_inner_error0_ = NULL;
#line 154 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		_tmp5_ = e;
#line 154 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		_tmp6_ = _tmp5_->message;
#line 154 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		tee_jee_logging_log_error (_tmp6_, FALSE, FALSE);
#line 155 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		_tmp7_ = g_strdup_printf (": '%s', '%s'", src_file, dest_file);
#line 155 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		_tmp8_ = _tmp7_;
#line 155 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		_tmp9_ = g_strconcat (_ ("Failed to copy file"), _tmp8_, NULL);
#line 155 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		_tmp10_ = _tmp9_;
#line 155 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		tee_jee_logging_log_error (_tmp10_, FALSE, FALSE);
#line 155 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (_tmp10_);
#line 155 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (_tmp8_);
#line 145 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		_g_error_free0 (e);
#line 881 "TeeJee.FileSystem.c"
	}
	__finally65:
#line 145 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 886 "TeeJee.FileSystem.c"
		gboolean _tmp11_ = FALSE;
#line 145 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 145 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		g_clear_error (&_inner_error0_);
#line 145 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		return _tmp11_;
#line 894 "TeeJee.FileSystem.c"
	}
#line 158 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	result = FALSE;
#line 158 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	return result;
#line 900 "TeeJee.FileSystem.c"
}


void
tee_jee_file_system_file_move (const gchar* src_file,
                               const gchar* dest_file)
{
	GError* _inner_error0_ = NULL;
#line 161 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	g_return_if_fail (src_file != NULL);
#line 161 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	g_return_if_fail (dest_file != NULL);
#line 913 "TeeJee.FileSystem.c"
	{
		GFile* file_src = NULL;
		GFile* _tmp0_;
		GFile* _tmp1_;
#line 163 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		_tmp0_ = g_file_new_for_path (src_file);
#line 163 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		file_src = _tmp0_;
#line 164 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		_tmp1_ = file_src;
#line 164 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		if (g_file_query_exists (_tmp1_, NULL)) {
#line 926 "TeeJee.FileSystem.c"
			GFile* file_dest = NULL;
			GFile* _tmp2_;
			GFile* _tmp3_;
			GFile* _tmp4_;
#line 165 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
			_tmp2_ = g_file_new_for_path (dest_file);
#line 165 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
			file_dest = _tmp2_;
#line 166 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
			_tmp3_ = file_src;
#line 166 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
			_tmp4_ = file_dest;
#line 166 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
			g_file_move (_tmp3_, _tmp4_, G_FILE_COPY_OVERWRITE, NULL, NULL, NULL, &_inner_error0_);
#line 166 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
			if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 166 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
				_g_object_unref0 (file_dest);
#line 166 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
				_g_object_unref0 (file_src);
#line 947 "TeeJee.FileSystem.c"
				goto __catch66_g_error;
			}
#line 164 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
			_g_object_unref0 (file_dest);
#line 952 "TeeJee.FileSystem.c"
		} else {
			gchar* _tmp5_;
			gchar* _tmp6_;
			gchar* _tmp7_;
			gchar* _tmp8_;
#line 169 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
			_tmp5_ = g_strdup_printf (": '%s'", src_file);
#line 169 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
			_tmp6_ = _tmp5_;
#line 169 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
			_tmp7_ = g_strconcat (_ ("File not found"), _tmp6_, NULL);
#line 169 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
			_tmp8_ = _tmp7_;
#line 169 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
			tee_jee_logging_log_error (_tmp8_, FALSE, FALSE);
#line 169 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
			_g_free0 (_tmp8_);
#line 169 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
			_g_free0 (_tmp6_);
#line 972 "TeeJee.FileSystem.c"
		}
#line 162 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		_g_object_unref0 (file_src);
#line 976 "TeeJee.FileSystem.c"
	}
	goto __finally66;
	__catch66_g_error:
	{
		GError* e = NULL;
		GError* _tmp9_;
		const gchar* _tmp10_;
		gchar* _tmp11_;
		gchar* _tmp12_;
		gchar* _tmp13_;
		gchar* _tmp14_;
#line 162 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		e = _inner_error0_;
#line 162 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		_inner_error0_ = NULL;
#line 173 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		_tmp9_ = e;
#line 173 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		_tmp10_ = _tmp9_->message;
#line 173 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		tee_jee_logging_log_error (_tmp10_, FALSE, FALSE);
#line 174 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		_tmp11_ = g_strdup_printf (": '%s', '%s'", src_file, dest_file);
#line 174 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		_tmp12_ = _tmp11_;
#line 174 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		_tmp13_ = g_strconcat (_ ("Failed to move file"), _tmp12_, NULL);
#line 174 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		_tmp14_ = _tmp13_;
#line 174 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		tee_jee_logging_log_error (_tmp14_, FALSE, FALSE);
#line 174 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (_tmp14_);
#line 174 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (_tmp12_);
#line 162 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		_g_error_free0 (e);
#line 1014 "TeeJee.FileSystem.c"
	}
	__finally66:
#line 162 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 162 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 162 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		g_clear_error (&_inner_error0_);
#line 162 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		return;
#line 1025 "TeeJee.FileSystem.c"
	}
}


gboolean
tee_jee_file_system_file_is_symlink (const gchar* file_path)
{
	gboolean result = FALSE;
	GError* _inner_error0_ = NULL;
#line 178 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	g_return_val_if_fail (file_path != NULL, FALSE);
#line 1037 "TeeJee.FileSystem.c"
	{
		GFile* file = NULL;
		GFile* _tmp0_;
		GFile* _tmp1_;
#line 181 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		_tmp0_ = g_file_new_for_path (file_path);
#line 181 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		file = _tmp0_;
#line 183 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		_tmp1_ = file;
#line 183 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		if (g_file_query_exists (_tmp1_, NULL)) {
#line 1050 "TeeJee.FileSystem.c"
			GFileInfo* info = NULL;
			GFile* _tmp2_;
			gchar* _tmp3_;
			gchar* _tmp4_;
			GFileInfo* _tmp5_;
			GFileInfo* _tmp6_;
			GFileType file_type = 0;
			GFileInfo* _tmp7_;
			GFileType _tmp8_;
#line 185 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
			_tmp2_ = file;
#line 185 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
			_tmp3_ = g_strdup_printf ("%s", G_FILE_ATTRIBUTE_STANDARD_TYPE);
#line 185 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
			_tmp4_ = _tmp3_;
#line 185 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
			_tmp5_ = g_file_query_info (_tmp2_, _tmp4_, G_FILE_QUERY_INFO_NOFOLLOW_SYMLINKS, NULL, &_inner_error0_);
#line 185 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
			_tmp6_ = _tmp5_;
#line 185 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
			_g_free0 (_tmp4_);
#line 185 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
			info = _tmp6_;
#line 185 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
			if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 185 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
				_g_object_unref0 (file);
#line 1078 "TeeJee.FileSystem.c"
				goto __catch67_g_error;
			}
#line 187 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
			_tmp7_ = info;
#line 187 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
			file_type = g_file_info_get_file_type (_tmp7_);
#line 189 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
			_tmp8_ = file_type;
#line 189 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
			result = _tmp8_ == G_FILE_TYPE_SYMBOLIC_LINK;
#line 189 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
			_g_object_unref0 (info);
#line 189 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
			_g_object_unref0 (file);
#line 189 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
			return result;
#line 1095 "TeeJee.FileSystem.c"
		}
#line 180 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		_g_object_unref0 (file);
#line 1099 "TeeJee.FileSystem.c"
	}
	goto __finally67;
	__catch67_g_error:
	{
		GError* e = NULL;
		GError* _tmp9_;
		const gchar* _tmp10_;
#line 180 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		e = _inner_error0_;
#line 180 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		_inner_error0_ = NULL;
#line 193 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		_tmp9_ = e;
#line 193 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		_tmp10_ = _tmp9_->message;
#line 193 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		tee_jee_logging_log_error (_tmp10_, FALSE, FALSE);
#line 180 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		_g_error_free0 (e);
#line 1119 "TeeJee.FileSystem.c"
	}
	__finally67:
#line 180 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 1124 "TeeJee.FileSystem.c"
		gboolean _tmp11_ = FALSE;
#line 180 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 180 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		g_clear_error (&_inner_error0_);
#line 180 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		return _tmp11_;
#line 1132 "TeeJee.FileSystem.c"
	}
#line 196 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	result = FALSE;
#line 196 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	return result;
#line 1138 "TeeJee.FileSystem.c"
}


gboolean
tee_jee_file_system_file_gzip (const gchar* src_file)
{
	gboolean result = FALSE;
	gchar* dst_file = NULL;
	gchar* _tmp0_;
	gchar* cmd = NULL;
	gchar* _tmp1_;
	gchar* _tmp2_;
	gchar* _tmp3_;
	gchar* _tmp4_;
	gchar* std_out = NULL;
	gchar* std_err = NULL;
	gchar* _tmp5_ = NULL;
	gchar* _tmp6_ = NULL;
#line 199 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	g_return_val_if_fail (src_file != NULL, FALSE);
#line 201 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	_tmp0_ = g_strconcat (src_file, ".gz", NULL);
#line 201 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	dst_file = _tmp0_;
#line 202 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	tee_jee_file_system_file_delete (dst_file);
#line 204 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	_tmp1_ = tee_jee_file_system_escape_single_quote (src_file);
#line 204 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	_tmp2_ = _tmp1_;
#line 204 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	_tmp3_ = g_strdup_printf ("gzip '%s'", _tmp2_);
#line 204 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	_tmp4_ = _tmp3_;
#line 204 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	_g_free0 (_tmp2_);
#line 204 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	cmd = _tmp4_;
#line 206 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	tee_jee_process_helper_exec_sync (cmd, &_tmp5_, &_tmp6_);
#line 206 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	_g_free0 (std_out);
#line 206 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	std_out = _tmp5_;
#line 206 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	_g_free0 (std_err);
#line 206 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	std_err = _tmp6_;
#line 208 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	result = tee_jee_file_system_file_exists (dst_file);
#line 208 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	_g_free0 (std_err);
#line 208 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	_g_free0 (std_out);
#line 208 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	_g_free0 (cmd);
#line 208 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	_g_free0 (dst_file);
#line 208 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	return result;
#line 1199 "TeeJee.FileSystem.c"
}


static gboolean
string_contains (const gchar* self,
                 const gchar* needle)
{
	gboolean result = FALSE;
	gchar* _tmp0_;
#line 1475 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, FALSE);
#line 1475 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	g_return_val_if_fail (needle != NULL, FALSE);
#line 1476 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	_tmp0_ = strstr ((gchar*) self, (gchar*) needle);
#line 1476 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	result = _tmp0_ != NULL;
#line 1476 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	return result;
#line 1219 "TeeJee.FileSystem.c"
}


gchar*
tee_jee_file_system_file_resolve_executable_path (const gchar* file_path)
{
	gchar* result = NULL;
#line 211 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	g_return_val_if_fail (file_path != NULL, NULL);
#line 213 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	if (g_str_has_prefix (file_path, "/")) {
#line 1231 "TeeJee.FileSystem.c"
		gchar* _tmp0_;
#line 214 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		_tmp0_ = g_strdup (file_path);
#line 214 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		result = _tmp0_;
#line 214 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		return result;
#line 1239 "TeeJee.FileSystem.c"
	} else {
#line 216 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		if (!string_contains (file_path, "/")) {
#line 1243 "TeeJee.FileSystem.c"
			gchar* _tmp1_;
#line 217 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
			_tmp1_ = g_find_program_in_path (file_path);
#line 217 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
			result = _tmp1_;
#line 217 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
			return result;
#line 1251 "TeeJee.FileSystem.c"
		} else {
#line 219 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
			if (g_str_has_prefix (file_path, "./")) {
#line 1255 "TeeJee.FileSystem.c"
				gchar* _tmp2_;
				gchar* _tmp3_;
				gint _tmp4_;
				gint _tmp5_;
				gchar* _tmp6_;
				gchar* _tmp7_;
				gchar* _tmp8_;
				gchar* _tmp9_;
#line 220 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
				_tmp2_ = g_get_current_dir ();
#line 220 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
				_tmp3_ = _tmp2_;
#line 220 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
				_tmp4_ = strlen (file_path);
#line 220 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
				_tmp5_ = _tmp4_;
#line 220 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
				_tmp6_ = string_slice (file_path, (glong) 2, (glong) _tmp5_);
#line 220 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
				_tmp7_ = _tmp6_;
#line 220 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
				_tmp8_ = tee_jee_file_system_path_combine (_tmp3_, _tmp7_);
#line 220 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
				_tmp9_ = _tmp8_;
#line 220 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
				_g_free0 (_tmp7_);
#line 220 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
				_g_free0 (_tmp3_);
#line 220 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
				result = _tmp9_;
#line 220 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
				return result;
#line 1288 "TeeJee.FileSystem.c"
			} else {
#line 222 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
				if (g_str_has_prefix (file_path, "../")) {
#line 1292 "TeeJee.FileSystem.c"
					gchar* _tmp10_;
					gchar* _tmp11_;
					gchar* _tmp12_;
					gchar* _tmp13_;
					gint _tmp14_;
					gint _tmp15_;
					gchar* _tmp16_;
					gchar* _tmp17_;
					gchar* _tmp18_;
					gchar* _tmp19_;
#line 223 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
					_tmp10_ = g_get_current_dir ();
#line 223 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
					_tmp11_ = _tmp10_;
#line 223 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
					_tmp12_ = tee_jee_file_system_file_parent (_tmp11_);
#line 223 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
					_tmp13_ = _tmp12_;
#line 223 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
					_tmp14_ = strlen (file_path);
#line 223 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
					_tmp15_ = _tmp14_;
#line 223 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
					_tmp16_ = string_slice (file_path, (glong) 3, (glong) _tmp15_);
#line 223 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
					_tmp17_ = _tmp16_;
#line 223 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
					_tmp18_ = tee_jee_file_system_path_combine (_tmp13_, _tmp17_);
#line 223 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
					_tmp19_ = _tmp18_;
#line 223 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
					_g_free0 (_tmp17_);
#line 223 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
					_g_free0 (_tmp13_);
#line 223 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
					_g_free0 (_tmp11_);
#line 223 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
					result = _tmp19_;
#line 223 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
					return result;
#line 1333 "TeeJee.FileSystem.c"
				} else {
					gchar* _tmp20_;
					gchar* _tmp21_;
					gchar* _tmp22_;
					gchar* _tmp23_;
#line 226 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
					_tmp20_ = g_get_current_dir ();
#line 226 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
					_tmp21_ = _tmp20_;
#line 226 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
					_tmp22_ = tee_jee_file_system_path_combine (_tmp21_, file_path);
#line 226 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
					_tmp23_ = _tmp22_;
#line 226 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
					_g_free0 (_tmp21_);
#line 226 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
					result = _tmp23_;
#line 226 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
					return result;
#line 1353 "TeeJee.FileSystem.c"
				}
			}
		}
	}
}


gchar*
tee_jee_file_system_file_get_symlink_target (const gchar* file_path)
{
	gchar* result = NULL;
	gchar* _tmp14_;
	GError* _inner_error0_ = NULL;
#line 232 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	g_return_val_if_fail (file_path != NULL, NULL);
#line 1369 "TeeJee.FileSystem.c"
	{
		GFileInfo* info = NULL;
		GFile* file = NULL;
		GFile* _tmp0_;
		GFile* _tmp1_;
#line 235 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		_tmp0_ = g_file_parse_name (file_path);
#line 235 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		file = _tmp0_;
#line 236 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		_tmp1_ = file;
#line 236 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		if (g_file_query_exists (_tmp1_, NULL)) {
#line 1383 "TeeJee.FileSystem.c"
			GFileInfo* _tmp2_ = NULL;
			GFile* _tmp3_;
			gchar* _tmp4_;
			gchar* _tmp5_;
			GFileInfo* _tmp6_;
			GFileInfo* _tmp7_;
			GFileInfo* _tmp8_;
			GFileInfo* _tmp9_;
			const gchar* _tmp10_;
			gchar* _tmp11_;
#line 237 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
			_tmp3_ = file;
#line 237 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
			_tmp4_ = g_strdup_printf ("%s", G_FILE_ATTRIBUTE_STANDARD_SYMLINK_TARGET);
#line 237 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
			_tmp5_ = _tmp4_;
#line 237 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
			_tmp6_ = g_file_query_info (_tmp3_, _tmp5_, 0, NULL, &_inner_error0_);
#line 237 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
			_tmp7_ = _tmp6_;
#line 237 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
			_g_free0 (_tmp5_);
#line 237 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
			_tmp2_ = _tmp7_;
#line 237 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
			if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 237 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
				_g_object_unref0 (file);
#line 237 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
				_g_object_unref0 (info);
#line 1414 "TeeJee.FileSystem.c"
				goto __catch68_g_error;
			}
#line 237 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
			_tmp8_ = _tmp2_;
#line 237 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
			_tmp2_ = NULL;
#line 237 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
			_g_object_unref0 (info);
#line 237 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
			info = _tmp8_;
#line 238 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
			_tmp9_ = info;
#line 238 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
			_tmp10_ = g_file_info_get_symlink_target (_tmp9_);
#line 238 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
			_tmp11_ = g_strdup (_tmp10_);
#line 238 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
			result = _tmp11_;
#line 238 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
			_g_object_unref0 (_tmp2_);
#line 238 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
			_g_object_unref0 (file);
#line 238 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
			_g_object_unref0 (info);
#line 238 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
			return result;
#line 1441 "TeeJee.FileSystem.c"
		}
#line 233 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		_g_object_unref0 (file);
#line 233 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		_g_object_unref0 (info);
#line 1447 "TeeJee.FileSystem.c"
	}
	goto __finally68;
	__catch68_g_error:
	{
		GError* e = NULL;
		GError* _tmp12_;
		const gchar* _tmp13_;
#line 233 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		e = _inner_error0_;
#line 233 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		_inner_error0_ = NULL;
#line 242 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		_tmp12_ = e;
#line 242 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		_tmp13_ = _tmp12_->message;
#line 242 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		tee_jee_logging_log_error (_tmp13_, FALSE, FALSE);
#line 233 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		_g_error_free0 (e);
#line 1467 "TeeJee.FileSystem.c"
	}
	__finally68:
#line 233 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 233 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 233 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		g_clear_error (&_inner_error0_);
#line 233 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		return NULL;
#line 1478 "TeeJee.FileSystem.c"
	}
#line 245 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	_tmp14_ = g_strdup ("");
#line 245 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	result = _tmp14_;
#line 245 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	return result;
#line 1486 "TeeJee.FileSystem.c"
}


gboolean
tee_jee_file_system_dir_exists (const gchar* dir_path)
{
	gboolean result = FALSE;
	gboolean _tmp0_ = FALSE;
#line 250 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	g_return_val_if_fail (dir_path != NULL, FALSE);
#line 252 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	if (g_file_test (dir_path, G_FILE_TEST_EXISTS)) {
#line 252 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		_tmp0_ = g_file_test (dir_path, G_FILE_TEST_IS_DIR);
#line 1501 "TeeJee.FileSystem.c"
	} else {
#line 252 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		_tmp0_ = FALSE;
#line 1505 "TeeJee.FileSystem.c"
	}
#line 252 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	result = _tmp0_;
#line 252 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	return result;
#line 1511 "TeeJee.FileSystem.c"
}


gboolean
tee_jee_file_system_dir_create (const gchar* dir_path,
                                gboolean show_message)
{
	gboolean result = FALSE;
	gboolean _tmp18_ = FALSE;
	GError* _inner_error0_ = NULL;
#line 255 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	g_return_val_if_fail (dir_path != NULL, FALSE);
#line 1524 "TeeJee.FileSystem.c"
	{
		GFile* dir = NULL;
		GFile* _tmp0_;
		GFile* _tmp1_;
#line 260 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		_tmp0_ = g_file_parse_name (dir_path);
#line 260 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		dir = _tmp0_;
#line 262 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		_tmp1_ = dir;
#line 262 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		if (g_file_query_exists (_tmp1_, NULL) == FALSE) {
#line 1537 "TeeJee.FileSystem.c"
			gboolean ok = FALSE;
			GFile* _tmp2_;
#line 264 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
			_tmp2_ = dir;
#line 264 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
			ok = g_file_make_directory_with_parents (_tmp2_, NULL, &_inner_error0_);
#line 264 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
			if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 264 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
				_g_object_unref0 (dir);
#line 1548 "TeeJee.FileSystem.c"
				goto __catch69_g_error;
			}
#line 266 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
			if (show_message) {
#line 1553 "TeeJee.FileSystem.c"
				gboolean _tmp3_;
#line 267 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
				_tmp3_ = ok;
#line 267 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
				if (_tmp3_) {
#line 1559 "TeeJee.FileSystem.c"
					gchar* _tmp4_;
					gchar* _tmp5_;
					gchar* _tmp6_;
					gchar* _tmp7_;
#line 268 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
					_tmp4_ = g_strdup_printf (": %s", dir_path);
#line 268 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
					_tmp5_ = _tmp4_;
#line 268 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
					_tmp6_ = g_strconcat (_ ("Created directory"), _tmp5_, NULL);
#line 268 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
					_tmp7_ = _tmp6_;
#line 268 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
					tee_jee_logging_log_msg (_tmp7_, FALSE);
#line 268 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
					_g_free0 (_tmp7_);
#line 268 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
					_g_free0 (_tmp5_);
#line 1578 "TeeJee.FileSystem.c"
				} else {
					gchar* _tmp8_;
					gchar* _tmp9_;
					gchar* _tmp10_;
					gchar* _tmp11_;
#line 271 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
					_tmp8_ = g_strdup_printf (": %s", dir_path);
#line 271 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
					_tmp9_ = _tmp8_;
#line 271 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
					_tmp10_ = g_strconcat (_ ("Failed to create directory"), _tmp9_, NULL);
#line 271 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
					_tmp11_ = _tmp10_;
#line 271 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
					tee_jee_logging_log_error (_tmp11_, FALSE, FALSE);
#line 271 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
					_g_free0 (_tmp11_);
#line 271 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
					_g_free0 (_tmp9_);
#line 1598 "TeeJee.FileSystem.c"
				}
			}
		}
#line 276 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		result = TRUE;
#line 276 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		_g_object_unref0 (dir);
#line 276 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		return result;
#line 1608 "TeeJee.FileSystem.c"
	}
	goto __finally69;
	__catch69_g_error:
	{
		GError* e = NULL;
		GError* _tmp12_;
		const gchar* _tmp13_;
		gchar* _tmp14_;
		gchar* _tmp15_;
		gchar* _tmp16_;
		gchar* _tmp17_;
#line 259 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		e = _inner_error0_;
#line 259 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		_inner_error0_ = NULL;
#line 279 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		_tmp12_ = e;
#line 279 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		_tmp13_ = _tmp12_->message;
#line 279 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		tee_jee_logging_log_error (_tmp13_, FALSE, FALSE);
#line 280 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		_tmp14_ = g_strdup_printf (": %s", dir_path);
#line 280 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		_tmp15_ = _tmp14_;
#line 280 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		_tmp16_ = g_strconcat (_ ("Failed to create directory"), _tmp15_, NULL);
#line 280 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		_tmp17_ = _tmp16_;
#line 280 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		tee_jee_logging_log_error (_tmp17_, FALSE, FALSE);
#line 280 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (_tmp17_);
#line 280 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (_tmp15_);
#line 281 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		result = FALSE;
#line 281 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		_g_error_free0 (e);
#line 281 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		return result;
#line 1650 "TeeJee.FileSystem.c"
	}
	__finally69:
#line 259 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 259 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	g_clear_error (&_inner_error0_);
#line 259 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	return _tmp18_;
#line 1659 "TeeJee.FileSystem.c"
}


gboolean
tee_jee_file_system_dir_delete (const gchar* dir_path,
                                gboolean show_message)
{
	gboolean result = FALSE;
	gchar* cmd = NULL;
	gchar* _tmp0_;
	gchar* _tmp1_;
	gchar* _tmp2_;
	gchar* _tmp3_;
	const gchar* _tmp4_;
	gchar* std_out = NULL;
	gchar* std_err = NULL;
	gint status = 0;
	const gchar* _tmp5_;
	gchar* _tmp6_ = NULL;
	gchar* _tmp7_ = NULL;
	gint _tmp8_;
	gint _tmp20_;
#line 285 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	g_return_val_if_fail (dir_path != NULL, FALSE);
#line 289 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	if (!tee_jee_file_system_dir_exists (dir_path)) {
#line 290 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		result = TRUE;
#line 290 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		return result;
#line 1690 "TeeJee.FileSystem.c"
	}
#line 293 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	_tmp0_ = tee_jee_file_system_escape_single_quote (dir_path);
#line 293 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	_tmp1_ = _tmp0_;
#line 293 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	_tmp2_ = g_strdup_printf ("rm -rf '%s'", _tmp1_);
#line 293 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	_tmp3_ = _tmp2_;
#line 293 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	_g_free0 (_tmp1_);
#line 293 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	cmd = _tmp3_;
#line 295 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	_tmp4_ = cmd;
#line 295 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	tee_jee_logging_log_debug (_tmp4_);
#line 298 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	_tmp5_ = cmd;
#line 298 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	_tmp8_ = tee_jee_process_helper_exec_sync (_tmp5_, &_tmp6_, &_tmp7_);
#line 298 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	_g_free0 (std_out);
#line 298 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	std_out = _tmp6_;
#line 298 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	_g_free0 (std_err);
#line 298 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	std_err = _tmp7_;
#line 298 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	status = _tmp8_;
#line 300 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	if (show_message) {
#line 1724 "TeeJee.FileSystem.c"
		gint _tmp9_;
#line 301 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		_tmp9_ = status;
#line 301 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		if (_tmp9_ == 0) {
#line 1730 "TeeJee.FileSystem.c"
			gchar* _tmp10_;
			gchar* _tmp11_;
			gchar* _tmp12_;
			gchar* _tmp13_;
#line 302 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
			_tmp10_ = g_strdup_printf (": %s", dir_path);
#line 302 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
			_tmp11_ = _tmp10_;
#line 302 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
			_tmp12_ = g_strconcat (_ ("Deleted directory"), _tmp11_, NULL);
#line 302 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
			_tmp13_ = _tmp12_;
#line 302 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
			tee_jee_logging_log_msg (_tmp13_, FALSE);
#line 302 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
			_g_free0 (_tmp13_);
#line 302 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
			_g_free0 (_tmp11_);
#line 1749 "TeeJee.FileSystem.c"
		} else {
			gchar* _tmp14_;
			gchar* _tmp15_;
			gchar* _tmp16_;
			gchar* _tmp17_;
			const gchar* _tmp18_;
			const gchar* _tmp19_;
#line 305 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
			_tmp14_ = g_strdup_printf (": %s", dir_path);
#line 305 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
			_tmp15_ = _tmp14_;
#line 305 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
			_tmp16_ = g_strconcat (_ ("Failed to delete directory"), _tmp15_, NULL);
#line 305 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
			_tmp17_ = _tmp16_;
#line 305 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
			tee_jee_logging_log_error (_tmp17_, FALSE, FALSE);
#line 305 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
			_g_free0 (_tmp17_);
#line 305 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
			_g_free0 (_tmp15_);
#line 306 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
			_tmp18_ = std_out;
#line 306 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
			tee_jee_logging_log_error (_tmp18_, FALSE, FALSE);
#line 307 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
			_tmp19_ = std_err;
#line 307 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
			tee_jee_logging_log_error (_tmp19_, FALSE, FALSE);
#line 1779 "TeeJee.FileSystem.c"
		}
	}
#line 311 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	_tmp20_ = status;
#line 311 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	result = _tmp20_ == 0;
#line 311 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	_g_free0 (std_err);
#line 311 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	_g_free0 (std_out);
#line 311 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	_g_free0 (cmd);
#line 311 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	return result;
#line 1794 "TeeJee.FileSystem.c"
}


gboolean
tee_jee_file_system_dir_is_empty (const gchar* dir_path)
{
	gboolean result = FALSE;
	gboolean _tmp14_ = FALSE;
	GError* _inner_error0_ = NULL;
#line 314 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	g_return_val_if_fail (dir_path != NULL, FALSE);
#line 1806 "TeeJee.FileSystem.c"
	{
		gboolean is_empty = FALSE;
		GFile* dir = NULL;
		GFile* _tmp0_;
		GFile* _tmp1_;
#line 319 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		is_empty = TRUE;
#line 320 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		_tmp0_ = g_file_parse_name (dir_path);
#line 320 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		dir = _tmp0_;
#line 321 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		_tmp1_ = dir;
#line 321 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		if (g_file_query_exists (_tmp1_, NULL)) {
#line 1822 "TeeJee.FileSystem.c"
			GFileInfo* info = NULL;
			GFileEnumerator* enu = NULL;
			GFile* _tmp2_;
			gchar* _tmp3_;
			gchar* _tmp4_;
			GFileEnumerator* _tmp5_;
			GFileEnumerator* _tmp6_;
#line 323 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
			_tmp2_ = dir;
#line 323 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
			_tmp3_ = g_strdup_printf ("%s", G_FILE_ATTRIBUTE_STANDARD_NAME);
#line 323 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
			_tmp4_ = _tmp3_;
#line 323 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
			_tmp5_ = g_file_enumerate_children (_tmp2_, _tmp4_, 0, NULL, &_inner_error0_);
#line 323 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
			_tmp6_ = _tmp5_;
#line 323 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
			_g_free0 (_tmp4_);
#line 323 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
			enu = _tmp6_;
#line 323 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
			if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 323 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
				_g_object_unref0 (info);
#line 323 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
				_g_object_unref0 (dir);
#line 1850 "TeeJee.FileSystem.c"
				goto __catch70_g_error;
			}
#line 324 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
			while (TRUE) {
#line 1855 "TeeJee.FileSystem.c"
				GFileInfo* _tmp7_ = NULL;
				GFileEnumerator* _tmp8_;
				GFileInfo* _tmp9_;
				GFileInfo* _tmp10_;
				GFileInfo* _tmp11_;
#line 324 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
				_tmp8_ = enu;
#line 324 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
				_tmp9_ = g_file_enumerator_next_file (_tmp8_, NULL, &_inner_error0_);
#line 324 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
				_tmp7_ = _tmp9_;
#line 324 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
				if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 324 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
					_g_object_unref0 (enu);
#line 324 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
					_g_object_unref0 (info);
#line 324 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
					_g_object_unref0 (dir);
#line 1875 "TeeJee.FileSystem.c"
					goto __catch70_g_error;
				}
#line 324 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
				_tmp10_ = _tmp7_;
#line 324 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
				_tmp7_ = NULL;
#line 324 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
				_g_object_unref0 (info);
#line 324 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
				info = _tmp10_;
#line 324 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
				_tmp11_ = info;
#line 324 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
				if (!(_tmp11_ != NULL)) {
#line 324 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
					_g_object_unref0 (_tmp7_);
#line 324 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
					break;
#line 1894 "TeeJee.FileSystem.c"
				}
#line 325 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
				is_empty = FALSE;
#line 326 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
				_g_object_unref0 (_tmp7_);
#line 326 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
				break;
#line 1902 "TeeJee.FileSystem.c"
			}
#line 321 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
			_g_object_unref0 (enu);
#line 321 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
			_g_object_unref0 (info);
#line 1908 "TeeJee.FileSystem.c"
		}
#line 329 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		result = is_empty;
#line 329 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		_g_object_unref0 (dir);
#line 329 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		return result;
#line 1916 "TeeJee.FileSystem.c"
	}
	goto __finally70;
	__catch70_g_error:
	{
		GError* e = NULL;
		GError* _tmp12_;
		const gchar* _tmp13_;
#line 318 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		e = _inner_error0_;
#line 318 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		_inner_error0_ = NULL;
#line 332 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		_tmp12_ = e;
#line 332 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		_tmp13_ = _tmp12_->message;
#line 332 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		tee_jee_logging_log_error (_tmp13_, FALSE, FALSE);
#line 333 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		result = FALSE;
#line 333 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		_g_error_free0 (e);
#line 333 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		return result;
#line 1940 "TeeJee.FileSystem.c"
	}
	__finally70:
#line 318 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 318 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	g_clear_error (&_inner_error0_);
#line 318 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	return _tmp14_;
#line 1949 "TeeJee.FileSystem.c"
}


static gint
__lambda12_ (const gchar* a,
             const gchar* b)
{
	gint result = 0;
	GCompareFunc _tmp0_;
#line 356 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	g_return_val_if_fail (a != NULL, 0);
#line 356 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	g_return_val_if_fail (b != NULL, 0);
#line 357 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	_tmp0_ = ((GCompareFunc) g_strcmp0);
#line 357 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	result = _tmp0_ (a, b);
#line 357 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	return result;
#line 1969 "TeeJee.FileSystem.c"
}


static gint
___lambda12__gcompare_data_func (gconstpointer a,
                                 gconstpointer b,
                                 gpointer self)
{
	gint result;
	result = __lambda12_ ((const gchar*) a, (const gchar*) b);
#line 356 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	return result;
#line 1982 "TeeJee.FileSystem.c"
}


GeeArrayList*
tee_jee_file_system_dir_list_names (const gchar* path)
{
	GeeArrayList* result = NULL;
	GeeArrayList* list = NULL;
	GeeArrayList* _tmp0_;
	GCompareDataFunc entry_compare = NULL;
	void* entry_compare_target;
	GDestroyNotify entry_compare_target_destroy_notify;
	GeeArrayList* _tmp19_;
	GCompareDataFunc _tmp20_;
	void* _tmp20__target;
	GDestroyNotify _tmp20__target_destroy_notify;
	GError* _inner_error0_ = NULL;
#line 337 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	g_return_val_if_fail (path != NULL, NULL);
#line 339 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	_tmp0_ = gee_array_list_new (G_TYPE_STRING, (GBoxedCopyFunc) g_strdup, (GDestroyNotify) g_free, NULL, NULL, NULL);
#line 339 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	list = _tmp0_;
#line 2006 "TeeJee.FileSystem.c"
	{
		GFile* f_home = NULL;
		GFile* _tmp1_;
		GFileEnumerator* enumerator = NULL;
		GFile* _tmp2_;
		gchar* _tmp3_;
		gchar* _tmp4_;
		GFileEnumerator* _tmp5_;
		GFileEnumerator* _tmp6_;
		GFileInfo* file = NULL;
#line 343 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		_tmp1_ = g_file_new_for_path (path);
#line 343 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		f_home = _tmp1_;
#line 344 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		_tmp2_ = f_home;
#line 344 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		_tmp3_ = g_strdup_printf ("%s", G_FILE_ATTRIBUTE_STANDARD_NAME);
#line 344 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		_tmp4_ = _tmp3_;
#line 344 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		_tmp5_ = g_file_enumerate_children (_tmp2_, _tmp4_, 0, NULL, &_inner_error0_);
#line 344 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		_tmp6_ = _tmp5_;
#line 344 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (_tmp4_);
#line 344 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		enumerator = _tmp6_;
#line 344 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 344 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
			_g_object_unref0 (f_home);
#line 2039 "TeeJee.FileSystem.c"
			goto __catch71_g_error;
		}
#line 346 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		while (TRUE) {
#line 2044 "TeeJee.FileSystem.c"
			GFileInfo* _tmp7_ = NULL;
			GFileEnumerator* _tmp8_;
			GFileInfo* _tmp9_;
			GFileInfo* _tmp10_;
			GFileInfo* _tmp11_;
			gchar* name = NULL;
			GFileInfo* _tmp12_;
			const gchar* _tmp13_;
			gchar* _tmp14_;
			GeeArrayList* _tmp15_;
			const gchar* _tmp16_;
#line 346 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
			_tmp8_ = enumerator;
#line 346 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
			_tmp9_ = g_file_enumerator_next_file (_tmp8_, NULL, &_inner_error0_);
#line 346 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
			_tmp7_ = _tmp9_;
#line 346 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
			if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 346 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
				_g_object_unref0 (file);
#line 346 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
				_g_object_unref0 (enumerator);
#line 346 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
				_g_object_unref0 (f_home);
#line 2070 "TeeJee.FileSystem.c"
				goto __catch71_g_error;
			}
#line 346 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
			_tmp10_ = _tmp7_;
#line 346 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
			_tmp7_ = NULL;
#line 346 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
			_g_object_unref0 (file);
#line 346 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
			file = _tmp10_;
#line 346 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
			_tmp11_ = file;
#line 346 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
			if (!(_tmp11_ != NULL)) {
#line 346 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
				_g_object_unref0 (_tmp7_);
#line 346 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
				break;
#line 2089 "TeeJee.FileSystem.c"
			}
#line 347 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
			_tmp12_ = file;
#line 347 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
			_tmp13_ = g_file_info_get_name (_tmp12_);
#line 347 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
			_tmp14_ = g_strdup (_tmp13_);
#line 347 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
			name = _tmp14_;
#line 348 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
			_tmp15_ = list;
#line 348 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
			_tmp16_ = name;
#line 348 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
			gee_abstract_collection_add ((GeeAbstractCollection*) _tmp15_, _tmp16_);
#line 346 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
			_g_free0 (name);
#line 346 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
			_g_object_unref0 (_tmp7_);
#line 2109 "TeeJee.FileSystem.c"
		}
#line 341 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		_g_object_unref0 (file);
#line 341 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		_g_object_unref0 (enumerator);
#line 341 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		_g_object_unref0 (f_home);
#line 2117 "TeeJee.FileSystem.c"
	}
	goto __finally71;
	__catch71_g_error:
	{
		GError* e = NULL;
		GError* _tmp17_;
		const gchar* _tmp18_;
#line 341 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		e = _inner_error0_;
#line 341 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		_inner_error0_ = NULL;
#line 352 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		_tmp17_ = e;
#line 352 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		_tmp18_ = _tmp17_->message;
#line 352 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		tee_jee_logging_log_error (_tmp18_, FALSE, FALSE);
#line 341 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		_g_error_free0 (e);
#line 2137 "TeeJee.FileSystem.c"
	}
	__finally71:
#line 341 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 341 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		_g_object_unref0 (list);
#line 341 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 341 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		g_clear_error (&_inner_error0_);
#line 341 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		return NULL;
#line 2150 "TeeJee.FileSystem.c"
	}
#line 356 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	entry_compare = ___lambda12__gcompare_data_func;
#line 356 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	entry_compare_target = NULL;
#line 356 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	entry_compare_target_destroy_notify = NULL;
#line 359 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	_tmp19_ = list;
#line 359 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	_tmp20_ = entry_compare;
#line 359 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	_tmp20__target = entry_compare_target;
#line 359 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	_tmp20__target_destroy_notify = entry_compare_target_destroy_notify;
#line 359 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	entry_compare = NULL;
#line 359 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	entry_compare_target = NULL;
#line 359 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	entry_compare_target_destroy_notify = NULL;
#line 359 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	gee_list_sort ((GeeList*) _tmp19_, _tmp20_, _tmp20__target, _tmp20__target_destroy_notify);
#line 361 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	result = list;
#line 361 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	(entry_compare_target_destroy_notify == NULL) ? NULL : (entry_compare_target_destroy_notify (entry_compare_target), NULL);
#line 361 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	entry_compare = NULL;
#line 361 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	entry_compare_target = NULL;
#line 361 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	entry_compare_target_destroy_notify = NULL;
#line 361 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	return result;
#line 2186 "TeeJee.FileSystem.c"
}


gboolean
tee_jee_file_system_chown (const gchar* dir_path,
                           const gchar* user,
                           const gchar* group)
{
	gboolean result = FALSE;
	gchar* cmd = NULL;
	gchar* _tmp0_;
	gchar* _tmp1_;
	gchar* _tmp2_;
	gchar* _tmp3_;
	gint status = 0;
#line 364 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	g_return_val_if_fail (dir_path != NULL, FALSE);
#line 364 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	g_return_val_if_fail (user != NULL, FALSE);
#line 364 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	g_return_val_if_fail (group != NULL, FALSE);
#line 365 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	_tmp0_ = tee_jee_file_system_escape_single_quote (dir_path);
#line 365 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	_tmp1_ = _tmp0_;
#line 365 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	_tmp2_ = g_strdup_printf ("chown %s:%s -R '%s'", user, group, _tmp1_);
#line 365 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	_tmp3_ = _tmp2_;
#line 365 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	_g_free0 (_tmp1_);
#line 365 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	cmd = _tmp3_;
#line 366 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	status = tee_jee_process_helper_exec_sync (cmd, NULL, NULL);
#line 367 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	result = status == 0;
#line 367 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	_g_free0 (cmd);
#line 367 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	return result;
#line 2228 "TeeJee.FileSystem.c"
}


gchar*
tee_jee_file_system_format_file_size (guint64 size,
                                      gboolean binary_units,
                                      const gchar* unit,
                                      gboolean show_units,
                                      gint decimals)
{
	gchar* result = NULL;
	gint _tmp0_ = 0;
	guint64 unit_k = 0ULL;
	guint64 _tmp1_ = 0ULL;
	guint64 unit_m = 0ULL;
	guint64 _tmp4_ = 0ULL;
	guint64 unit_g = 0ULL;
	guint64 _tmp7_ = 0ULL;
	guint64 unit_t = 0ULL;
	gchar* txt = NULL;
	gchar* _tmp10_;
	gboolean _tmp11_ = FALSE;
	guint64 _tmp12_;
#line 372 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	g_return_val_if_fail (unit != NULL, NULL);
#line 376 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	if (binary_units) {
#line 376 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		_tmp0_ = 1024;
#line 2258 "TeeJee.FileSystem.c"
	} else {
#line 376 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		_tmp0_ = 1000;
#line 2262 "TeeJee.FileSystem.c"
	}
#line 376 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	unit_k = (guint64) _tmp0_;
#line 377 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	if (binary_units) {
#line 2268 "TeeJee.FileSystem.c"
		guint64 _tmp2_;
#line 377 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		_tmp2_ = unit_k;
#line 377 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		_tmp1_ = 1024 * _tmp2_;
#line 2274 "TeeJee.FileSystem.c"
	} else {
		guint64 _tmp3_;
#line 377 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		_tmp3_ = unit_k;
#line 377 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		_tmp1_ = 1000 * _tmp3_;
#line 2281 "TeeJee.FileSystem.c"
	}
#line 377 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	unit_m = _tmp1_;
#line 378 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	if (binary_units) {
#line 2287 "TeeJee.FileSystem.c"
		guint64 _tmp5_;
#line 378 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		_tmp5_ = unit_m;
#line 378 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		_tmp4_ = 1024 * _tmp5_;
#line 2293 "TeeJee.FileSystem.c"
	} else {
		guint64 _tmp6_;
#line 378 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		_tmp6_ = unit_m;
#line 378 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		_tmp4_ = 1000 * _tmp6_;
#line 2300 "TeeJee.FileSystem.c"
	}
#line 378 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	unit_g = _tmp4_;
#line 379 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	if (binary_units) {
#line 2306 "TeeJee.FileSystem.c"
		guint64 _tmp8_;
#line 379 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		_tmp8_ = unit_g;
#line 379 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		_tmp7_ = 1024 * _tmp8_;
#line 2312 "TeeJee.FileSystem.c"
	} else {
		guint64 _tmp9_;
#line 379 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		_tmp9_ = unit_g;
#line 379 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		_tmp7_ = 1000 * _tmp9_;
#line 2319 "TeeJee.FileSystem.c"
	}
#line 379 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	unit_t = _tmp7_;
#line 383 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	_tmp10_ = g_strdup ("");
#line 383 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	txt = _tmp10_;
#line 385 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	_tmp12_ = unit_t;
#line 385 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	if (size > _tmp12_) {
#line 2331 "TeeJee.FileSystem.c"
		gboolean _tmp13_ = FALSE;
		gint _tmp14_;
		gint _tmp15_;
#line 385 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		_tmp14_ = strlen (unit);
#line 385 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		_tmp15_ = _tmp14_;
#line 385 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		if (_tmp15_ == 0) {
#line 385 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
			_tmp13_ = TRUE;
#line 2343 "TeeJee.FileSystem.c"
		} else {
#line 385 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
			_tmp13_ = g_strcmp0 (unit, "t") == 0;
#line 2347 "TeeJee.FileSystem.c"
		}
#line 385 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		_tmp11_ = _tmp13_;
#line 2351 "TeeJee.FileSystem.c"
	} else {
#line 385 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		_tmp11_ = FALSE;
#line 2355 "TeeJee.FileSystem.c"
	}
#line 385 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	if (_tmp11_) {
#line 2359 "TeeJee.FileSystem.c"
		const gchar* _tmp16_;
		gchar* _tmp17_;
		gchar* _tmp18_;
		guint64 _tmp19_;
		gchar* _tmp20_;
		gchar* _tmp21_;
		gchar* _tmp22_;
#line 386 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		_tmp16_ = txt;
#line 386 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		_tmp17_ = g_strdup_printf ("%%'0.%df", decimals);
#line 386 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		_tmp18_ = _tmp17_;
#line 386 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		_tmp19_ = unit_t;
#line 386 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		_tmp20_ = g_strdup_printf (_tmp18_, size / (1.0 * _tmp19_));
#line 386 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		_tmp21_ = _tmp20_;
#line 386 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		_tmp22_ = g_strconcat (_tmp16_, _tmp21_, NULL);
#line 386 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (txt);
#line 386 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		txt = _tmp22_;
#line 386 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (_tmp21_);
#line 386 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (_tmp18_);
#line 387 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		if (show_units) {
#line 2391 "TeeJee.FileSystem.c"
			const gchar* _tmp23_ = NULL;
			const gchar* _tmp24_;
			gchar* _tmp25_;
			gchar* _tmp26_;
			gchar* _tmp27_;
#line 388 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
			if (binary_units) {
#line 388 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
				_tmp23_ = "Ti";
#line 2401 "TeeJee.FileSystem.c"
			} else {
#line 388 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
				_tmp23_ = "T";
#line 2405 "TeeJee.FileSystem.c"
			}
#line 388 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
			_tmp24_ = txt;
#line 388 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
			_tmp25_ = g_strdup_printf (" %sB", _tmp23_);
#line 388 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
			_tmp26_ = _tmp25_;
#line 388 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
			_tmp27_ = g_strconcat (_tmp24_, _tmp26_, NULL);
#line 388 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
			_g_free0 (txt);
#line 388 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
			txt = _tmp27_;
#line 388 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
			_g_free0 (_tmp26_);
#line 2421 "TeeJee.FileSystem.c"
		}
	} else {
		gboolean _tmp28_ = FALSE;
		guint64 _tmp29_;
#line 391 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		_tmp29_ = unit_g;
#line 391 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		if (size > _tmp29_) {
#line 2430 "TeeJee.FileSystem.c"
			gboolean _tmp30_ = FALSE;
			gint _tmp31_;
			gint _tmp32_;
#line 391 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
			_tmp31_ = strlen (unit);
#line 391 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
			_tmp32_ = _tmp31_;
#line 391 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
			if (_tmp32_ == 0) {
#line 391 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
				_tmp30_ = TRUE;
#line 2442 "TeeJee.FileSystem.c"
			} else {
#line 391 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
				_tmp30_ = g_strcmp0 (unit, "g") == 0;
#line 2446 "TeeJee.FileSystem.c"
			}
#line 391 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
			_tmp28_ = _tmp30_;
#line 2450 "TeeJee.FileSystem.c"
		} else {
#line 391 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
			_tmp28_ = FALSE;
#line 2454 "TeeJee.FileSystem.c"
		}
#line 391 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
		if (_tmp28_) {
#line 2458 "TeeJee.FileSystem.c"
			const gchar* _tmp33_;
			gchar* _tmp34_;
			gchar* _tmp35_;
			guint64 _tmp36_;
			gchar* _tmp37_;
			gchar* _tmp38_;
			gchar* _tmp39_;
#line 392 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
			_tmp33_ = txt;
#line 392 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
			_tmp34_ = g_strdup_printf ("%%'0.%df", decimals);
#line 392 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
			_tmp35_ = _tmp34_;
#line 392 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
			_tmp36_ = unit_g;
#line 392 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
			_tmp37_ = g_strdup_printf (_tmp35_, size / (1.0 * _tmp36_));
#line 392 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
			_tmp38_ = _tmp37_;
#line 392 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
			_tmp39_ = g_strconcat (_tmp33_, _tmp38_, NULL);
#line 392 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
			_g_free0 (txt);
#line 392 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
			txt = _tmp39_;
#line 392 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
			_g_free0 (_tmp38_);
#line 392 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
			_g_free0 (_tmp35_);
#line 393 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
			if (show_units) {
#line 2490 "TeeJee.FileSystem.c"
				const gchar* _tmp40_ = NULL;
				const gchar* _tmp41_;
				gchar* _tmp42_;
				gchar* _tmp43_;
				gchar* _tmp44_;
#line 394 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
				if (binary_units) {
#line 394 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
					_tmp40_ = "Gi";
#line 2500 "TeeJee.FileSystem.c"
				} else {
#line 394 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
					_tmp40_ = "G";
#line 2504 "TeeJee.FileSystem.c"
				}
#line 394 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
				_tmp41_ = txt;
#line 394 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
				_tmp42_ = g_strdup_printf (" %sB", _tmp40_);
#line 394 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
				_tmp43_ = _tmp42_;
#line 394 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
				_tmp44_ = g_strconcat (_tmp41_, _tmp43_, NULL);
#line 394 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
				_g_free0 (txt);
#line 394 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
				txt = _tmp44_;
#line 394 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
				_g_free0 (_tmp43_);
#line 2520 "TeeJee.FileSystem.c"
			}
		} else {
			gboolean _tmp45_ = FALSE;
			guint64 _tmp46_;
#line 397 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
			_tmp46_ = unit_m;
#line 397 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
			if (size > _tmp46_) {
#line 2529 "TeeJee.FileSystem.c"
				gboolean _tmp47_ = FALSE;
				gint _tmp48_;
				gint _tmp49_;
#line 397 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
				_tmp48_ = strlen (unit);
#line 397 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
				_tmp49_ = _tmp48_;
#line 397 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
				if (_tmp49_ == 0) {
#line 397 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
					_tmp47_ = TRUE;
#line 2541 "TeeJee.FileSystem.c"
				} else {
#line 397 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
					_tmp47_ = g_strcmp0 (unit, "m") == 0;
#line 2545 "TeeJee.FileSystem.c"
				}
#line 397 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
				_tmp45_ = _tmp47_;
#line 2549 "TeeJee.FileSystem.c"
			} else {
#line 397 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
				_tmp45_ = FALSE;
#line 2553 "TeeJee.FileSystem.c"
			}
#line 397 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
			if (_tmp45_) {
#line 2557 "TeeJee.FileSystem.c"
				const gchar* _tmp50_;
				gchar* _tmp51_;
				gchar* _tmp52_;
				guint64 _tmp53_;
				gchar* _tmp54_;
				gchar* _tmp55_;
				gchar* _tmp56_;
#line 398 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
				_tmp50_ = txt;
#line 398 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
				_tmp51_ = g_strdup_printf ("%%'0.%df", decimals);
#line 398 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
				_tmp52_ = _tmp51_;
#line 398 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
				_tmp53_ = unit_m;
#line 398 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
				_tmp54_ = g_strdup_printf (_tmp52_, size / (1.0 * _tmp53_));
#line 398 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
				_tmp55_ = _tmp54_;
#line 398 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
				_tmp56_ = g_strconcat (_tmp50_, _tmp55_, NULL);
#line 398 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
				_g_free0 (txt);
#line 398 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
				txt = _tmp56_;
#line 398 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
				_g_free0 (_tmp55_);
#line 398 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
				_g_free0 (_tmp52_);
#line 399 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
				if (show_units) {
#line 2589 "TeeJee.FileSystem.c"
					const gchar* _tmp57_ = NULL;
					const gchar* _tmp58_;
					gchar* _tmp59_;
					gchar* _tmp60_;
					gchar* _tmp61_;
#line 400 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
					if (binary_units) {
#line 400 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
						_tmp57_ = "Mi";
#line 2599 "TeeJee.FileSystem.c"
					} else {
#line 400 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
						_tmp57_ = "M";
#line 2603 "TeeJee.FileSystem.c"
					}
#line 400 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
					_tmp58_ = txt;
#line 400 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
					_tmp59_ = g_strdup_printf (" %sB", _tmp57_);
#line 400 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
					_tmp60_ = _tmp59_;
#line 400 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
					_tmp61_ = g_strconcat (_tmp58_, _tmp60_, NULL);
#line 400 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
					_g_free0 (txt);
#line 400 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
					txt = _tmp61_;
#line 400 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
					_g_free0 (_tmp60_);
#line 2619 "TeeJee.FileSystem.c"
				}
			} else {
				gboolean _tmp62_ = FALSE;
				guint64 _tmp63_;
#line 403 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
				_tmp63_ = unit_k;
#line 403 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
				if (size > _tmp63_) {
#line 2628 "TeeJee.FileSystem.c"
					gboolean _tmp64_ = FALSE;
					gint _tmp65_;
					gint _tmp66_;
#line 403 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
					_tmp65_ = strlen (unit);
#line 403 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
					_tmp66_ = _tmp65_;
#line 403 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
					if (_tmp66_ == 0) {
#line 403 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
						_tmp64_ = TRUE;
#line 2640 "TeeJee.FileSystem.c"
					} else {
#line 403 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
						_tmp64_ = g_strcmp0 (unit, "k") == 0;
#line 2644 "TeeJee.FileSystem.c"
					}
#line 403 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
					_tmp62_ = _tmp64_;
#line 2648 "TeeJee.FileSystem.c"
				} else {
#line 403 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
					_tmp62_ = FALSE;
#line 2652 "TeeJee.FileSystem.c"
				}
#line 403 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
				if (_tmp62_) {
#line 2656 "TeeJee.FileSystem.c"
					const gchar* _tmp67_;
					gchar* _tmp68_;
					gchar* _tmp69_;
					guint64 _tmp70_;
					gchar* _tmp71_;
					gchar* _tmp72_;
					gchar* _tmp73_;
#line 404 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
					_tmp67_ = txt;
#line 404 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
					_tmp68_ = g_strdup_printf ("%%'0.%df", decimals);
#line 404 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
					_tmp69_ = _tmp68_;
#line 404 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
					_tmp70_ = unit_k;
#line 404 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
					_tmp71_ = g_strdup_printf (_tmp69_, size / (1.0 * _tmp70_));
#line 404 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
					_tmp72_ = _tmp71_;
#line 404 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
					_tmp73_ = g_strconcat (_tmp67_, _tmp72_, NULL);
#line 404 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
					_g_free0 (txt);
#line 404 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
					txt = _tmp73_;
#line 404 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
					_g_free0 (_tmp72_);
#line 404 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
					_g_free0 (_tmp69_);
#line 405 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
					if (show_units) {
#line 2688 "TeeJee.FileSystem.c"
						const gchar* _tmp74_ = NULL;
						const gchar* _tmp75_;
						gchar* _tmp76_;
						gchar* _tmp77_;
						gchar* _tmp78_;
#line 406 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
						if (binary_units) {
#line 406 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
							_tmp74_ = "Ki";
#line 2698 "TeeJee.FileSystem.c"
						} else {
#line 406 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
							_tmp74_ = "K";
#line 2702 "TeeJee.FileSystem.c"
						}
#line 406 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
						_tmp75_ = txt;
#line 406 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
						_tmp76_ = g_strdup_printf (" %sB", _tmp74_);
#line 406 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
						_tmp77_ = _tmp76_;
#line 406 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
						_tmp78_ = g_strconcat (_tmp75_, _tmp77_, NULL);
#line 406 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
						_g_free0 (txt);
#line 406 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
						txt = _tmp78_;
#line 406 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
						_g_free0 (_tmp77_);
#line 2718 "TeeJee.FileSystem.c"
					}
				} else {
					const gchar* _tmp79_;
					gchar* _tmp80_;
					gchar* _tmp81_;
					gchar* _tmp82_;
#line 410 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
					_tmp79_ = txt;
#line 410 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
					_tmp80_ = g_strdup_printf ("%'0lld", size);
#line 410 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
					_tmp81_ = _tmp80_;
#line 410 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
					_tmp82_ = g_strconcat (_tmp79_, _tmp81_, NULL);
#line 410 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
					_g_free0 (txt);
#line 410 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
					txt = _tmp82_;
#line 410 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
					_g_free0 (_tmp81_);
#line 411 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
					if (show_units) {
#line 2741 "TeeJee.FileSystem.c"
						const gchar* _tmp83_;
						gchar* _tmp84_;
#line 412 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
						_tmp83_ = txt;
#line 412 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
						_tmp84_ = g_strconcat (_tmp83_, " B", NULL);
#line 412 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
						_g_free0 (txt);
#line 412 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
						txt = _tmp84_;
#line 2752 "TeeJee.FileSystem.c"
					}
				}
			}
		}
	}
#line 418 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	result = txt;
#line 418 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	return result;
#line 2762 "TeeJee.FileSystem.c"
}


static gchar*
string_replace (const gchar* self,
                const gchar* old,
                const gchar* replacement)
{
	gchar* result = NULL;
	gboolean _tmp0_ = FALSE;
	gboolean _tmp1_ = FALSE;
	GError* _inner_error0_ = NULL;
#line 1479 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, NULL);
#line 1479 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	g_return_val_if_fail (old != NULL, NULL);
#line 1479 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	g_return_val_if_fail (replacement != NULL, NULL);
#line 1480 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	if ((*((gchar*) self)) == '\0') {
#line 1480 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp1_ = TRUE;
#line 2785 "TeeJee.FileSystem.c"
	} else {
#line 1480 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp1_ = (*((gchar*) old)) == '\0';
#line 2789 "TeeJee.FileSystem.c"
	}
#line 1480 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	if (_tmp1_) {
#line 1480 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp0_ = TRUE;
#line 2795 "TeeJee.FileSystem.c"
	} else {
#line 1480 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp0_ = g_strcmp0 (old, replacement) == 0;
#line 2799 "TeeJee.FileSystem.c"
	}
#line 1480 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	if (_tmp0_) {
#line 2803 "TeeJee.FileSystem.c"
		gchar* _tmp2_;
#line 1481 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp2_ = g_strdup (self);
#line 1481 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		result = _tmp2_;
#line 1481 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		return result;
#line 2811 "TeeJee.FileSystem.c"
	}
	{
		GRegex* regex = NULL;
		gchar* _tmp3_;
		gchar* _tmp4_;
		GRegex* _tmp5_;
		GRegex* _tmp6_;
		gchar* _tmp7_ = NULL;
		GRegex* _tmp8_;
		gchar* _tmp9_;
		gchar* _tmp10_;
#line 1484 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp3_ = g_regex_escape_string (old, -1);
#line 1484 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp4_ = _tmp3_;
#line 1484 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp5_ = g_regex_new (_tmp4_, 0, 0, &_inner_error0_);
#line 1484 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp6_ = _tmp5_;
#line 1484 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_g_free0 (_tmp4_);
#line 1484 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		regex = _tmp6_;
#line 1484 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 1484 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
			if (_inner_error0_->domain == G_REGEX_ERROR) {
#line 2839 "TeeJee.FileSystem.c"
				goto __catch72_g_regex_error;
			}
#line 1484 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
			g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 1484 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
			g_clear_error (&_inner_error0_);
#line 1484 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
			return NULL;
#line 2848 "TeeJee.FileSystem.c"
		}
#line 1485 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp8_ = regex;
#line 1485 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp9_ = g_regex_replace_literal (_tmp8_, self, (gssize) -1, 0, replacement, 0, &_inner_error0_);
#line 1485 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp7_ = _tmp9_;
#line 1485 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 1485 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
			_g_regex_unref0 (regex);
#line 1485 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
			if (_inner_error0_->domain == G_REGEX_ERROR) {
#line 2862 "TeeJee.FileSystem.c"
				goto __catch72_g_regex_error;
			}
#line 1485 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
			g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 1485 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
			g_clear_error (&_inner_error0_);
#line 1485 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
			return NULL;
#line 2871 "TeeJee.FileSystem.c"
		}
#line 1485 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp10_ = _tmp7_;
#line 1485 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp7_ = NULL;
#line 1485 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		result = _tmp10_;
#line 1485 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_g_free0 (_tmp7_);
#line 1485 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_g_regex_unref0 (regex);
#line 1485 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		return result;
#line 2885 "TeeJee.FileSystem.c"
	}
	goto __finally72;
	__catch72_g_regex_error:
	{
		GError* e = NULL;
#line 1483 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		e = _inner_error0_;
#line 1483 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_inner_error0_ = NULL;
#line 1487 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		g_assert_not_reached ();
#line 1483 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_g_error_free0 (e);
#line 2899 "TeeJee.FileSystem.c"
	}
	__finally72:
#line 1483 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 1483 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 1483 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		g_clear_error (&_inner_error0_);
#line 1483 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		return NULL;
#line 2910 "TeeJee.FileSystem.c"
	}
}


gchar*
tee_jee_file_system_escape_single_quote (const gchar* file_path)
{
	gchar* result = NULL;
	gchar* _tmp0_;
#line 421 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	g_return_val_if_fail (file_path != NULL, NULL);
#line 423 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	_tmp0_ = string_replace (file_path, "'", "'\\''");
#line 423 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	result = _tmp0_;
#line 423 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	return result;
#line 2928 "TeeJee.FileSystem.c"
}


gint
tee_jee_file_system_chmod (const gchar* file,
                           const gchar* permission)
{
	gint result = 0;
	gchar* cmd = NULL;
	gchar* _tmp0_;
	gchar* _tmp1_;
	gchar* _tmp2_;
	gchar* _tmp3_;
#line 427 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	g_return_val_if_fail (file != NULL, 0);
#line 427 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	g_return_val_if_fail (permission != NULL, 0);
#line 429 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	_tmp0_ = tee_jee_file_system_escape_single_quote (file);
#line 429 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	_tmp1_ = _tmp0_;
#line 429 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	_tmp2_ = g_strdup_printf ("chmod %s '%s'", permission, _tmp1_);
#line 429 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	_tmp3_ = _tmp2_;
#line 429 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	_g_free0 (_tmp1_);
#line 429 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	cmd = _tmp3_;
#line 430 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	result = tee_jee_process_helper_exec_sync (cmd, NULL, NULL);
#line 430 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	_g_free0 (cmd);
#line 430 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.FileSystem.vala"
	return result;
#line 2964 "TeeJee.FileSystem.c"
}


static void
_vala_array_destroy (gpointer array,
                     gint array_length,
                     GDestroyNotify destroy_func)
{
	if ((array != NULL) && (destroy_func != NULL)) {
		int i;
		for (i = 0; i < array_length; i = i + 1) {
			if (((gpointer*) array)[i] != NULL) {
				destroy_func (((gpointer*) array)[i]);
			}
		}
	}
}


static void
_vala_array_free (gpointer array,
                  gint array_length,
                  GDestroyNotify destroy_func)
{
	_vala_array_destroy (array, array_length, destroy_func);
	g_free (array);
}


static gint
_vala_array_length (gpointer array)
{
	int length;
	length = 0;
	if (array) {
		while (((gpointer*) array)[length]) {
			length++;
		}
	}
	return length;
}



