/* TeeJee.Misc.c generated by valac 0.40.19, the Vala compiler
 * generated from TeeJee.Misc.vala, do not modify */

/*
 * TeeJee.Misc.vala
 *
 * Copyright 2012-2018 Tony George <teejeetech@gmail.com>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA 02110-1301, USA.
 *
 *
 */

#define _XOPEN_SOURCE

#include <glib.h>
#include <glib-object.h>
#include <stdlib.h>
#include <string.h>
#include <locale.h>
#include <time.h>
#include <float.h>
#include <math.h>

#define _g_free0(var) (var = (g_free (var), NULL))
#define _g_date_time_unref0(var) ((var == NULL) ? NULL : (var = (g_date_time_unref (var), NULL)))
#define _g_regex_unref0(var) ((var == NULL) ? NULL : (var = (g_regex_unref (var), NULL)))
#define _g_error_free0(var) ((var == NULL) ? NULL : (var = (g_error_free (var), NULL)))



void tee_jee_misc_set_numeric_locale (const gchar* type);
gchar* tee_jee_misc_timestamp (gboolean show_millis);
gchar* tee_jee_misc_timestamp_numeric (void);
gchar* tee_jee_misc_timestamp_for_path (void);
gchar* tee_jee_misc_format_duration (glong millis);
gchar* tee_jee_misc_escape_html (const gchar* html);
gchar* tee_jee_misc_random_string (gint length,
                                   const gchar* charset);
gchar* tee_jee_misc_regex_replace (const gchar* expression,
                                   const gchar* text,
                                   const gchar* replacement);
void tee_jee_logging_log_error (const gchar* message,
                                gboolean highlight,
                                gboolean is_warning);


void
tee_jee_misc_set_numeric_locale (const gchar* type)
{
#line 36 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Misc.vala"
	g_return_if_fail (type != NULL);
#line 37 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Misc.vala"
	setlocale (LC_NUMERIC, type);
#line 38 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Misc.vala"
	setlocale (LC_COLLATE, type);
#line 39 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Misc.vala"
	setlocale (LC_TIME, type);
#line 73 "TeeJee.Misc.c"
}


gchar*
tee_jee_misc_timestamp (gboolean show_millis)
{
	gchar* result = NULL;
	GDateTime* now = NULL;
	GDateTime* _tmp0_;
#line 50 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Misc.vala"
	_tmp0_ = g_date_time_new_now_local ();
#line 50 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Misc.vala"
	now = _tmp0_;
#line 52 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Misc.vala"
	if (show_millis) {
#line 89 "TeeJee.Misc.c"
		gint msec = 0;
		GDateTime* _tmp1_;
		GDateTime* _tmp2_;
		gchar* _tmp3_;
		gchar* _tmp4_;
		gint _tmp5_;
		gchar* _tmp6_;
		gchar* _tmp7_;
#line 53 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Misc.vala"
		_tmp1_ = now;
#line 53 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Misc.vala"
		msec = g_date_time_get_microsecond (_tmp1_) / 1000;
#line 54 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Misc.vala"
		_tmp2_ = now;
#line 54 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Misc.vala"
		_tmp3_ = g_date_time_format (_tmp2_, "%H:%M:%S");
#line 54 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Misc.vala"
		_tmp4_ = _tmp3_;
#line 54 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Misc.vala"
		_tmp5_ = msec;
#line 54 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Misc.vala"
		_tmp6_ = g_strdup_printf ("%s.%03d", _tmp4_, _tmp5_);
#line 54 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Misc.vala"
		_tmp7_ = _tmp6_;
#line 54 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Misc.vala"
		_g_free0 (_tmp4_);
#line 54 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Misc.vala"
		result = _tmp7_;
#line 54 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Misc.vala"
		_g_date_time_unref0 (now);
#line 54 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Misc.vala"
		return result;
#line 122 "TeeJee.Misc.c"
	} else {
		GDateTime* _tmp8_;
		gchar* _tmp9_;
#line 57 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Misc.vala"
		_tmp8_ = now;
#line 57 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Misc.vala"
		_tmp9_ = g_date_time_format (_tmp8_, "%H:%M:%S");
#line 57 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Misc.vala"
		result = _tmp9_;
#line 57 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Misc.vala"
		_g_date_time_unref0 (now);
#line 57 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Misc.vala"
		return result;
#line 136 "TeeJee.Misc.c"
	}
#line 44 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Misc.vala"
	_g_date_time_unref0 (now);
#line 140 "TeeJee.Misc.c"
}


gchar*
tee_jee_misc_timestamp_numeric (void)
{
	gchar* result = NULL;
	time_t _tmp0_;
	gchar* _tmp1_;
#line 65 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Misc.vala"
	_tmp0_ = time (NULL);
#line 65 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Misc.vala"
	_tmp1_ = g_strdup_printf ("%ld", (glong) _tmp0_);
#line 65 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Misc.vala"
	result = _tmp1_;
#line 65 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Misc.vala"
	return result;
#line 158 "TeeJee.Misc.c"
}


static void
g_time_local (time_t time,
              struct tm* result)
{
	struct tm _result_ = {0};
	struct tm _tmp0_ = {0};
#line 2935 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	localtime_r (&time, &_tmp0_);
#line 2935 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	_result_ = _tmp0_;
#line 2936 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	*result = _result_;
#line 2936 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	return;
#line 176 "TeeJee.Misc.c"
}


static gchar*
g_time_format (struct tm *self,
               const gchar* format)
{
	gchar* result = NULL;
	gchar* buffer = NULL;
	gchar* _tmp0_;
	gint buffer_length1;
	gint _buffer_size_;
	gchar* _tmp1_;
	gint _tmp1__length1;
	gchar* _tmp2_;
	gint _tmp2__length1;
	gchar* _tmp3_;
#line 2943 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	g_return_val_if_fail (format != NULL, NULL);
#line 2944 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	_tmp0_ = g_new0 (gchar, 64);
#line 2944 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	buffer = _tmp0_;
#line 2944 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	buffer_length1 = 64;
#line 2944 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	_buffer_size_ = buffer_length1;
#line 2945 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	_tmp1_ = buffer;
#line 2945 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	_tmp1__length1 = buffer_length1;
#line 2945 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	strftime (_tmp1_, _tmp1__length1, format, &(*self));
#line 2946 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	_tmp2_ = buffer;
#line 2946 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	_tmp2__length1 = buffer_length1;
#line 2946 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	_tmp3_ = g_strdup ((const gchar*) _tmp2_);
#line 2946 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	result = _tmp3_;
#line 2946 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	buffer = (g_free (buffer), NULL);
#line 2946 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	return result;
#line 222 "TeeJee.Misc.c"
}


gchar*
tee_jee_misc_timestamp_for_path (void)
{
	gchar* result = NULL;
	struct tm t = {0};
	time_t _tmp0_;
	struct tm _tmp1_ = {0};
	gchar* _tmp2_;
#line 72 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Misc.vala"
	_tmp0_ = time (NULL);
#line 72 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Misc.vala"
	g_time_local (_tmp0_, &_tmp1_);
#line 72 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Misc.vala"
	t = _tmp1_;
#line 73 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Misc.vala"
	_tmp2_ = g_time_format (&t, "%Y-%m-%d_%H-%M-%S");
#line 73 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Misc.vala"
	result = _tmp2_;
#line 73 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Misc.vala"
	return result;
#line 246 "TeeJee.Misc.c"
}


gchar*
tee_jee_misc_format_duration (glong millis)
{
	gchar* result = NULL;
	gdouble time = 0.0;
	gdouble hr = 0.0;
	gdouble _tmp0_;
	gdouble _tmp1_;
	gdouble min = 0.0;
	gdouble _tmp2_;
	gdouble _tmp3_;
	gdouble sec = 0.0;
	gdouble _tmp4_;
	gchar* _tmp5_;
#line 82 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Misc.vala"
	time = millis / 1000.0;
#line 84 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Misc.vala"
	_tmp0_ = time;
#line 84 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Misc.vala"
	hr = floor (_tmp0_ / (60.0 * 60));
#line 85 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Misc.vala"
	_tmp1_ = time;
#line 85 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Misc.vala"
	time = _tmp1_ - ((hr * 60) * 60);
#line 86 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Misc.vala"
	_tmp2_ = time;
#line 86 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Misc.vala"
	min = floor (_tmp2_ / 60.0);
#line 87 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Misc.vala"
	_tmp3_ = time;
#line 87 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Misc.vala"
	time = _tmp3_ - (min * 60);
#line 88 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Misc.vala"
	_tmp4_ = time;
#line 88 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Misc.vala"
	sec = floor (_tmp4_);
#line 90 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Misc.vala"
	_tmp5_ = g_strdup_printf ("%02.0lf:%02.0lf:%02.0lf", hr, min, sec);
#line 90 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Misc.vala"
	result = _tmp5_;
#line 90 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Misc.vala"
	return result;
#line 292 "TeeJee.Misc.c"
}


gchar*
tee_jee_misc_escape_html (const gchar* html)
{
	gchar* result = NULL;
	gchar* _tmp0_;
#line 93 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Misc.vala"
	g_return_val_if_fail (html != NULL, NULL);
#line 95 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Misc.vala"
	_tmp0_ = g_markup_escape_text (html, (gssize) -1);
#line 95 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Misc.vala"
	result = _tmp0_;
#line 95 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Misc.vala"
	return result;
#line 309 "TeeJee.Misc.c"
}


static gunichar
string_get_char (const gchar* self,
                 glong index)
{
	gunichar result = 0U;
#line 1210 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, 0U);
#line 1211 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	result = g_utf8_get_char (((gchar*) self) + index);
#line 1211 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	return result;
#line 324 "TeeJee.Misc.c"
}


static gint
string_index_of_nth_char (const gchar* self,
                          glong c)
{
	gint result = 0;
	gchar* _tmp0_;
#line 1230 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, 0);
#line 1231 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	_tmp0_ = g_utf8_offset_to_pointer (self, c);
#line 1231 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	result = (gint) (_tmp0_ - ((gchar*) self));
#line 1231 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	return result;
#line 342 "TeeJee.Misc.c"
}


static gchar*
g_unichar_to_string (gunichar self)
{
	gchar* result = NULL;
	gchar* str = NULL;
	gchar* _tmp0_;
	const gchar* _tmp1_;
#line 1019 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	_tmp0_ = g_new0 (gchar, 7);
#line 1019 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	str = (gchar*) _tmp0_;
#line 1020 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	_tmp1_ = str;
#line 1020 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	g_unichar_to_utf8 (self, _tmp1_);
#line 1021 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	result = str;
#line 1021 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	return result;
#line 365 "TeeJee.Misc.c"
}


gchar*
tee_jee_misc_random_string (gint length,
                            const gchar* charset)
{
	gchar* result = NULL;
	gchar* random = NULL;
	gchar* _tmp0_;
#line 98 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Misc.vala"
	g_return_val_if_fail (charset != NULL, NULL);
#line 100 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Misc.vala"
	_tmp0_ = g_strdup ("");
#line 100 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Misc.vala"
	random = _tmp0_;
#line 382 "TeeJee.Misc.c"
	{
		gint i = 0;
#line 102 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Misc.vala"
		i = 0;
#line 387 "TeeJee.Misc.c"
		{
			gboolean _tmp1_ = FALSE;
#line 102 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Misc.vala"
			_tmp1_ = TRUE;
#line 102 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Misc.vala"
			while (TRUE) {
#line 394 "TeeJee.Misc.c"
				gint _tmp3_;
				gint random_index = 0;
				gint _tmp4_;
				gint _tmp5_;
				gchar* ch = NULL;
				gint _tmp6_;
				gchar* _tmp7_;
				const gchar* _tmp8_;
				const gchar* _tmp9_;
				gchar* _tmp10_;
#line 102 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Misc.vala"
				if (!_tmp1_) {
#line 407 "TeeJee.Misc.c"
					gint _tmp2_;
#line 102 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Misc.vala"
					_tmp2_ = i;
#line 102 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Misc.vala"
					i = _tmp2_ + 1;
#line 413 "TeeJee.Misc.c"
				}
#line 102 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Misc.vala"
				_tmp1_ = FALSE;
#line 102 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Misc.vala"
				_tmp3_ = i;
#line 102 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Misc.vala"
				if (!(_tmp3_ < length)) {
#line 102 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Misc.vala"
					break;
#line 423 "TeeJee.Misc.c"
				}
#line 103 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Misc.vala"
				_tmp4_ = strlen (charset);
#line 103 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Misc.vala"
				_tmp5_ = _tmp4_;
#line 103 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Misc.vala"
				random_index = (gint) g_random_int_range ((gint32) 0, (gint32) _tmp5_);
#line 104 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Misc.vala"
				_tmp6_ = random_index;
#line 104 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Misc.vala"
				_tmp7_ = g_unichar_to_string (string_get_char (charset, (glong) string_index_of_nth_char (charset, (glong) _tmp6_)));
#line 104 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Misc.vala"
				ch = _tmp7_;
#line 105 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Misc.vala"
				_tmp8_ = random;
#line 105 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Misc.vala"
				_tmp9_ = ch;
#line 105 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Misc.vala"
				_tmp10_ = g_strconcat (_tmp8_, _tmp9_, NULL);
#line 105 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Misc.vala"
				_g_free0 (random);
#line 105 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Misc.vala"
				random = _tmp10_;
#line 102 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Misc.vala"
				_g_free0 (ch);
#line 449 "TeeJee.Misc.c"
			}
		}
	}
#line 108 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Misc.vala"
	result = random;
#line 108 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Misc.vala"
	return result;
#line 457 "TeeJee.Misc.c"
}


gchar*
tee_jee_misc_regex_replace (const gchar* expression,
                            const gchar* text,
                            const gchar* replacement)
{
	gchar* result = NULL;
	GError* _inner_error0_ = NULL;
#line 111 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Misc.vala"
	g_return_val_if_fail (expression != NULL, NULL);
#line 111 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Misc.vala"
	g_return_val_if_fail (text != NULL, NULL);
#line 111 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Misc.vala"
	g_return_val_if_fail (replacement != NULL, NULL);
#line 474 "TeeJee.Misc.c"
	{
		GRegex* regex = NULL;
		GRegex* _tmp0_ = NULL;
		GRegex* _tmp1_;
		GRegex* _tmp2_;
		gchar* _tmp3_ = NULL;
		GRegex* _tmp4_;
		gint _tmp5_;
		gint _tmp6_;
		gchar* _tmp7_;
		gchar* _tmp8_;
#line 115 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Misc.vala"
		regex = NULL;
#line 116 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Misc.vala"
		_tmp1_ = g_regex_new (expression, 0, 0, &_inner_error0_);
#line 116 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Misc.vala"
		_tmp0_ = _tmp1_;
#line 116 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Misc.vala"
		if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 116 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Misc.vala"
			_g_regex_unref0 (regex);
#line 496 "TeeJee.Misc.c"
			goto __catch77_g_error;
		}
#line 116 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Misc.vala"
		_tmp2_ = _tmp0_;
#line 116 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Misc.vala"
		_tmp0_ = NULL;
#line 116 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Misc.vala"
		_g_regex_unref0 (regex);
#line 116 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Misc.vala"
		regex = _tmp2_;
#line 117 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Misc.vala"
		_tmp4_ = regex;
#line 117 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Misc.vala"
		_tmp5_ = strlen (text);
#line 117 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Misc.vala"
		_tmp6_ = _tmp5_;
#line 117 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Misc.vala"
		_tmp7_ = g_regex_replace (_tmp4_, text, (gssize) _tmp6_, 0, replacement, 0, &_inner_error0_);
#line 117 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Misc.vala"
		_tmp3_ = _tmp7_;
#line 117 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Misc.vala"
		if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 117 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Misc.vala"
			_g_regex_unref0 (_tmp0_);
#line 117 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Misc.vala"
			_g_regex_unref0 (regex);
#line 523 "TeeJee.Misc.c"
			goto __catch77_g_error;
		}
#line 117 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Misc.vala"
		_tmp8_ = _tmp3_;
#line 117 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Misc.vala"
		_tmp3_ = NULL;
#line 117 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Misc.vala"
		result = _tmp8_;
#line 117 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Misc.vala"
		_g_free0 (_tmp3_);
#line 117 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Misc.vala"
		_g_regex_unref0 (_tmp0_);
#line 117 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Misc.vala"
		_g_regex_unref0 (regex);
#line 117 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Misc.vala"
		return result;
#line 540 "TeeJee.Misc.c"
	}
	goto __finally77;
	__catch77_g_error:
	{
		GError* e = NULL;
		GError* _tmp9_;
		const gchar* _tmp10_;
		gchar* _tmp11_;
#line 113 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Misc.vala"
		e = _inner_error0_;
#line 113 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Misc.vala"
		_inner_error0_ = NULL;
#line 121 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Misc.vala"
		_tmp9_ = e;
#line 121 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Misc.vala"
		_tmp10_ = _tmp9_->message;
#line 121 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Misc.vala"
		tee_jee_logging_log_error (_tmp10_, FALSE, FALSE);
#line 122 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Misc.vala"
		_tmp11_ = g_strdup (text);
#line 122 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Misc.vala"
		result = _tmp11_;
#line 122 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Misc.vala"
		_g_error_free0 (e);
#line 122 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Misc.vala"
		return result;
#line 567 "TeeJee.Misc.c"
	}
	__finally77:
#line 113 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Misc.vala"
	g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 113 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Misc.vala"
	g_clear_error (&_inner_error0_);
#line 113 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Misc.vala"
	return NULL;
#line 576 "TeeJee.Misc.c"
}



