/* TeeJee.Process.c generated by valac 0.40.19, the Vala compiler
 * generated from TeeJee.Process.vala, do not modify */

/*
 * TeeJee.ProcessHelper.vala
 *
 * Copyright 2012-2018 Tony George <teejeetech@gmail.com>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA 02110-1301, USA.
 *
 *
 */


#include <glib.h>
#include <glib-object.h>
#include <stdlib.h>
#include <string.h>
#include <gio/gio.h>
#include <signal.h>
#include <sys/types.h>
#include <sys/time.h>
#include <sys/resource.h>

#define _g_free0(var) (var = (g_free (var), NULL))
#define _g_error_free0(var) ((var == NULL) ? NULL : (var = (g_error_free (var), NULL)))
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
#define _g_string_free0(var) ((var == NULL) ? NULL : (var = (g_string_free (var, TRUE), NULL)))
#define _g_rand_free0(var) ((var == NULL) ? NULL : (var = (g_rand_free (var), NULL)))


extern gchar* tee_jee_process_helper_TEMP_DIR;
gchar* tee_jee_process_helper_TEMP_DIR = NULL;

void tee_jee_process_helper_init_tmp (const gchar* subdir_name);
gchar* tee_jee_misc_random_string (gint length,
                                   const gchar* charset);
gboolean tee_jee_file_system_dir_create (const gchar* dir_path,
                                         gboolean show_message);
gint tee_jee_file_system_chmod (const gchar* file,
                                const gchar* permission);
gint tee_jee_process_helper_exec_script_sync (const gchar* script,
                                              gchar* * std_out,
                                              gchar* * std_err,
                                              gboolean supress_errors,
                                              gboolean run_as_admin,
                                              gboolean cleanup_tmp,
                                              gboolean print_to_terminal);
gint tee_jee_process_helper_exec_sync (const gchar* cmd,
                                       gchar* * std_out,
                                       gchar* * std_err);
void tee_jee_logging_log_error (const gchar* message,
                                gboolean highlight,
                                gboolean is_warning);
gchar* tee_jee_process_helper_save_bash_script_temp (const gchar* commands,
                                                     const gchar* script_path,
                                                     gboolean force_locale,
                                                     gboolean supress_errors);
gchar* tee_jee_file_system_escape_single_quote (const gchar* file_path);
gchar* tee_jee_file_system_file_parent (const gchar* file_path);
gboolean tee_jee_file_system_file_delete (const gchar* file_path);
gint tee_jee_process_helper_exec_script_async (const gchar* script);
gchar* tee_jee_process_helper_get_temp_file_path (void);
gchar* tee_jee_misc_timestamp_numeric (void);
gchar* tee_jee_process_helper_get_cmd_path (const gchar* cmd_tool);
gboolean tee_jee_process_helper_cmd_exists (const gchar* cmd_tool);
gint tee_jee_process_helper_get_pid_by_name (const gchar* name);
gboolean tee_jee_process_helper_process_is_running (glong pid);
gint* tee_jee_process_helper_get_process_children (GPid parent_pid,
                                                   int* result_length1);
static void _vala_array_add1 (gint* * array,
                       int* length,
                       int* size,
                       gint value);
void tee_jee_process_helper_process_quit (GPid process_pid,
                                          gboolean killChildren);
void tee_jee_process_helper_process_kill (GPid process_pid,
                                          gboolean killChildren);
void tee_jee_process_helper_process_set_priority (GPid procID,
                                                  gint prio);
gint tee_jee_process_helper_process_get_priority (GPid procID);
void tee_jee_process_helper_process_set_priority_normal (GPid procID);
void tee_jee_process_helper_process_set_priority_low (GPid procID);
static void _vala_array_destroy (gpointer array,
                          gint array_length,
                          GDestroyNotify destroy_func);
static void _vala_array_free (gpointer array,
                       gint array_length,
                       GDestroyNotify destroy_func);
static gint _vala_array_length (gpointer array);


static gchar*
string_strip (const gchar* self)
{
	gchar* result = NULL;
	gchar* _result_ = NULL;
	gchar* _tmp0_;
	const gchar* _tmp1_;
#line 1304 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, NULL);
#line 1305 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	_tmp0_ = g_strdup (self);
#line 1305 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	_result_ = _tmp0_;
#line 1306 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	_tmp1_ = _result_;
#line 1306 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	g_strstrip (_tmp1_);
#line 1307 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	result = _result_;
#line 1307 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	return result;
#line 128 "TeeJee.Process.c"
}


void
tee_jee_process_helper_init_tmp (const gchar* subdir_name)
{
	gchar* std_out = NULL;
	gchar* std_err = NULL;
	const gchar* _tmp0_;
	gchar* _tmp1_;
	gchar* _tmp2_;
	gchar* _tmp3_;
	gchar* _tmp4_;
	gchar* _tmp5_;
	const gchar* _tmp6_;
	const gchar* _tmp7_;
	gchar* _tmp8_ = NULL;
	gchar* _tmp9_ = NULL;
	gboolean _tmp10_ = FALSE;
	const gchar* _tmp11_;
#line 37 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	g_return_if_fail (subdir_name != NULL);
#line 40 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	_tmp0_ = g_get_tmp_dir ();
#line 40 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	_tmp1_ = g_strconcat (_tmp0_, "/", NULL);
#line 40 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	_tmp2_ = _tmp1_;
#line 40 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	_tmp3_ = tee_jee_misc_random_string (8, "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz1234567890");
#line 40 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	_tmp4_ = _tmp3_;
#line 40 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	_tmp5_ = g_strconcat (_tmp2_, _tmp4_, NULL);
#line 40 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	_g_free0 (tee_jee_process_helper_TEMP_DIR);
#line 40 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	tee_jee_process_helper_TEMP_DIR = _tmp5_;
#line 40 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	_g_free0 (_tmp4_);
#line 40 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	_g_free0 (_tmp2_);
#line 41 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	_tmp6_ = tee_jee_process_helper_TEMP_DIR;
#line 41 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	tee_jee_file_system_dir_create (_tmp6_, FALSE);
#line 42 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	_tmp7_ = tee_jee_process_helper_TEMP_DIR;
#line 42 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	tee_jee_file_system_chmod (_tmp7_, "0750");
#line 44 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	tee_jee_process_helper_exec_script_sync ("echo 'ok'", &_tmp8_, &_tmp9_, TRUE, FALSE, TRUE, FALSE);
#line 44 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	_g_free0 (std_out);
#line 44 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	std_out = _tmp8_;
#line 44 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	_g_free0 (std_err);
#line 44 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	std_err = _tmp9_;
#line 46 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	_tmp11_ = std_out;
#line 46 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	if (_tmp11_ == NULL) {
#line 46 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		_tmp10_ = TRUE;
#line 195 "TeeJee.Process.c"
	} else {
		const gchar* _tmp12_;
		gchar* _tmp13_;
		gchar* _tmp14_;
#line 46 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		_tmp12_ = std_out;
#line 46 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		_tmp13_ = string_strip (_tmp12_);
#line 46 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		_tmp14_ = _tmp13_;
#line 46 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		_tmp10_ = g_strcmp0 (_tmp14_, "ok") != 0;
#line 46 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		_g_free0 (_tmp14_);
#line 210 "TeeJee.Process.c"
	}
#line 46 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	if (_tmp10_) {
#line 214 "TeeJee.Process.c"
		const gchar* _tmp15_;
		gchar* _tmp16_;
		gchar* _tmp17_;
		gchar* _tmp18_;
		gchar* _tmp19_;
		gchar* _tmp20_;
		const gchar* _tmp21_;
		const gchar* _tmp22_;
#line 48 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		_tmp15_ = g_get_home_dir ();
#line 48 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		_tmp16_ = g_strconcat (_tmp15_, "/.temp/", NULL);
#line 48 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		_tmp17_ = _tmp16_;
#line 48 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		_tmp18_ = tee_jee_misc_random_string (8, "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz1234567890");
#line 48 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		_tmp19_ = _tmp18_;
#line 48 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		_tmp20_ = g_strconcat (_tmp17_, _tmp19_, NULL);
#line 48 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		_g_free0 (tee_jee_process_helper_TEMP_DIR);
#line 48 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		tee_jee_process_helper_TEMP_DIR = _tmp20_;
#line 48 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		_g_free0 (_tmp19_);
#line 48 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		_g_free0 (_tmp17_);
#line 49 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		_tmp21_ = tee_jee_process_helper_TEMP_DIR;
#line 49 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		tee_jee_file_system_dir_create (_tmp21_, FALSE);
#line 50 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		_tmp22_ = tee_jee_process_helper_TEMP_DIR;
#line 50 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		tee_jee_file_system_chmod (_tmp22_, "0750");
#line 251 "TeeJee.Process.c"
	}
#line 37 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	_g_free0 (std_err);
#line 37 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	_g_free0 (std_out);
#line 257 "TeeJee.Process.c"
}


gint
tee_jee_process_helper_exec_sync (const gchar* cmd,
                                  gchar* * std_out,
                                  gchar* * std_err)
{
	gchar* _vala_std_out = NULL;
	gchar* _vala_std_err = NULL;
	gint result = 0;
	gint _tmp5_ = -1;
	GError* _inner_error0_ = NULL;
#line 56 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	g_return_val_if_fail (cmd != NULL, 0);
#line 273 "TeeJee.Process.c"
	{
		gint status = 0;
		gchar* _tmp0_ = NULL;
		gchar* _tmp1_ = NULL;
		gint _tmp2_ = 0;
#line 64 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		g_spawn_command_line_sync (cmd, &_tmp0_, &_tmp1_, &_tmp2_, &_inner_error0_);
#line 64 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		_g_free0 (_vala_std_out);
#line 64 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		_vala_std_out = _tmp0_;
#line 64 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		_g_free0 (_vala_std_err);
#line 64 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		_vala_std_err = _tmp1_;
#line 64 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		status = _tmp2_;
#line 64 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 293 "TeeJee.Process.c"
			goto __catch78_g_error;
		}
#line 65 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		result = status;
#line 65 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		if (std_out) {
#line 65 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
			*std_out = _vala_std_out;
#line 302 "TeeJee.Process.c"
		} else {
#line 65 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
			_g_free0 (_vala_std_out);
#line 306 "TeeJee.Process.c"
		}
#line 65 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		if (std_err) {
#line 65 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
			*std_err = _vala_std_err;
#line 312 "TeeJee.Process.c"
		} else {
#line 65 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
			_g_free0 (_vala_std_err);
#line 316 "TeeJee.Process.c"
		}
#line 65 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		return result;
#line 320 "TeeJee.Process.c"
	}
	goto __finally78;
	__catch78_g_error:
	{
		GError* e = NULL;
		GError* _tmp3_;
		const gchar* _tmp4_;
#line 62 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		e = _inner_error0_;
#line 62 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		_inner_error0_ = NULL;
#line 68 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		_tmp3_ = e;
#line 68 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		_tmp4_ = _tmp3_->message;
#line 68 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		tee_jee_logging_log_error (_tmp4_, FALSE, FALSE);
#line 69 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		result = -1;
#line 69 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		_g_error_free0 (e);
#line 69 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		if (std_out) {
#line 69 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
			*std_out = _vala_std_out;
#line 346 "TeeJee.Process.c"
		} else {
#line 69 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
			_g_free0 (_vala_std_out);
#line 350 "TeeJee.Process.c"
		}
#line 69 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		if (std_err) {
#line 69 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
			*std_err = _vala_std_err;
#line 356 "TeeJee.Process.c"
		} else {
#line 69 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
			_g_free0 (_vala_std_err);
#line 360 "TeeJee.Process.c"
		}
#line 69 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		return result;
#line 364 "TeeJee.Process.c"
	}
	__finally78:
#line 62 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 62 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	g_clear_error (&_inner_error0_);
#line 62 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	return _tmp5_;
#line 373 "TeeJee.Process.c"
}


gint
tee_jee_process_helper_exec_script_sync (const gchar* script,
                                         gchar* * std_out,
                                         gchar* * std_err,
                                         gboolean supress_errors,
                                         gboolean run_as_admin,
                                         gboolean cleanup_tmp,
                                         gboolean print_to_terminal)
{
	gchar* _vala_std_out = NULL;
	gchar* _vala_std_err = NULL;
	gint result = 0;
	gchar* sh_file = NULL;
	gchar* _tmp0_;
	gchar* sh_file_admin = NULL;
	gchar* _tmp1_;
	gint _tmp43_ = -1;
	GError* _inner_error0_ = NULL;
#line 73 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	g_return_val_if_fail (script != NULL, 0);
#line 84 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	_tmp0_ = tee_jee_process_helper_save_bash_script_temp (script, NULL, TRUE, supress_errors);
#line 84 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	sh_file = _tmp0_;
#line 85 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	_tmp1_ = g_strdup ("");
#line 85 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	sh_file_admin = _tmp1_;
#line 87 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	if (run_as_admin) {
#line 407 "TeeJee.Process.c"
		gchar* script_admin = NULL;
		gchar* _tmp2_;
		const gchar* _tmp3_;
		gchar* _tmp4_;
		const gchar* _tmp5_;
		const gchar* _tmp6_;
		gchar* _tmp7_;
		gchar* _tmp8_;
		gchar* _tmp9_;
		gchar* _tmp10_;
		gchar* _tmp11_;
		const gchar* _tmp12_;
		gchar* _tmp13_;
		gchar* _tmp14_;
		gchar* _tmp15_;
		const gchar* _tmp16_;
		const gchar* _tmp17_;
		gchar* _tmp18_;
		gchar* _tmp19_;
#line 89 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		_tmp2_ = g_strdup ("#!/bin/bash\n");
#line 89 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		script_admin = _tmp2_;
#line 90 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		_tmp3_ = script_admin;
#line 90 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		_tmp4_ = g_strconcat (_tmp3_, "pkexec env DISPLAY=$DISPLAY XAUTHORITY=$XAUTHORITY", NULL);
#line 90 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		_g_free0 (script_admin);
#line 90 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		script_admin = _tmp4_;
#line 91 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		_tmp5_ = script_admin;
#line 91 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		_tmp6_ = sh_file;
#line 91 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		_tmp7_ = tee_jee_file_system_escape_single_quote (_tmp6_);
#line 91 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		_tmp8_ = _tmp7_;
#line 91 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		_tmp9_ = g_strdup_printf (" '%s'", _tmp8_);
#line 91 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		_tmp10_ = _tmp9_;
#line 91 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		_tmp11_ = g_strconcat (_tmp5_, _tmp10_, NULL);
#line 91 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		_g_free0 (script_admin);
#line 91 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		script_admin = _tmp11_;
#line 91 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		_g_free0 (_tmp10_);
#line 91 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		_g_free0 (_tmp8_);
#line 93 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		_tmp12_ = sh_file;
#line 93 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		_tmp13_ = tee_jee_file_system_file_parent (_tmp12_);
#line 93 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		_tmp14_ = _tmp13_;
#line 93 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		_tmp15_ = g_build_filename (_tmp14_, "script-admin.sh", NULL);
#line 93 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		_g_free0 (sh_file_admin);
#line 93 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		sh_file_admin = _tmp15_;
#line 93 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		_g_free0 (_tmp14_);
#line 95 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		_tmp16_ = script_admin;
#line 95 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		_tmp17_ = sh_file_admin;
#line 95 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		_tmp18_ = tee_jee_process_helper_save_bash_script_temp (_tmp16_, _tmp17_, TRUE, supress_errors);
#line 95 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		_tmp19_ = _tmp18_;
#line 95 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		_g_free0 (_tmp19_);
#line 87 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		_g_free0 (script_admin);
#line 487 "TeeJee.Process.c"
	}
	{
		gchar** argv = NULL;
		gchar** _tmp20_;
		gint argv_length1;
		gint _argv_size_;
		gchar** env = NULL;
		gchar** _tmp27_;
		gchar** _tmp28_;
		gint env_length1;
		gint _env_size_;
		gint exit_code = 0;
#line 99 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		_tmp20_ = g_new0 (gchar*, 1 + 1);
#line 99 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		argv = _tmp20_;
#line 99 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		argv_length1 = 1;
#line 99 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		_argv_size_ = argv_length1;
#line 100 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		if (run_as_admin) {
#line 510 "TeeJee.Process.c"
			gchar** _tmp21_;
			gint _tmp21__length1;
			const gchar* _tmp22_;
			gchar* _tmp23_;
#line 101 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
			_tmp21_ = argv;
#line 101 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
			_tmp21__length1 = argv_length1;
#line 101 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
			_tmp22_ = sh_file_admin;
#line 101 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
			_tmp23_ = g_strdup (_tmp22_);
#line 101 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
			_g_free0 (_tmp21_[0]);
#line 101 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
			_tmp21_[0] = _tmp23_;
#line 527 "TeeJee.Process.c"
		} else {
			gchar** _tmp24_;
			gint _tmp24__length1;
			const gchar* _tmp25_;
			gchar* _tmp26_;
#line 104 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
			_tmp24_ = argv;
#line 104 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
			_tmp24__length1 = argv_length1;
#line 104 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
			_tmp25_ = sh_file;
#line 104 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
			_tmp26_ = g_strdup (_tmp25_);
#line 104 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
			_g_free0 (_tmp24_[0]);
#line 104 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
			_tmp24_[0] = _tmp26_;
#line 545 "TeeJee.Process.c"
		}
#line 107 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		_tmp28_ = _tmp27_ = g_get_environ ();
#line 107 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		env = _tmp28_;
#line 107 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		env_length1 = _vala_array_length (_tmp27_);
#line 107 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		_env_size_ = env_length1;
#line 111 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		if (print_to_terminal) {
#line 557 "TeeJee.Process.c"
			const gchar* _tmp29_;
			gchar** _tmp30_;
			gint _tmp30__length1;
			gchar** _tmp31_;
			gint _tmp31__length1;
			gint _tmp32_ = 0;
#line 113 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
			_tmp29_ = tee_jee_process_helper_TEMP_DIR;
#line 113 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
			_tmp30_ = argv;
#line 113 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
			_tmp30__length1 = argv_length1;
#line 113 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
			_tmp31_ = env;
#line 113 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
			_tmp31__length1 = env_length1;
#line 113 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
			g_spawn_sync (_tmp29_, _tmp30_, _tmp31_, G_SPAWN_SEARCH_PATH, NULL, NULL, NULL, NULL, &_tmp32_, &_inner_error0_);
#line 113 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
			exit_code = _tmp32_;
#line 113 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
			if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 113 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
				env = (_vala_array_free (env, env_length1, (GDestroyNotify) g_free), NULL);
#line 113 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
				argv = (_vala_array_free (argv, argv_length1, (GDestroyNotify) g_free), NULL);
#line 584 "TeeJee.Process.c"
				goto __catch79_g_error;
			}
		} else {
			const gchar* _tmp33_;
			gchar** _tmp34_;
			gint _tmp34__length1;
			gchar** _tmp35_;
			gint _tmp35__length1;
			gchar* _tmp36_ = NULL;
			gchar* _tmp37_ = NULL;
			gint _tmp38_ = 0;
#line 126 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
			_tmp33_ = tee_jee_process_helper_TEMP_DIR;
#line 126 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
			_tmp34_ = argv;
#line 126 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
			_tmp34__length1 = argv_length1;
#line 126 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
			_tmp35_ = env;
#line 126 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
			_tmp35__length1 = env_length1;
#line 126 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
			g_spawn_sync (_tmp33_, _tmp34_, _tmp35_, G_SPAWN_SEARCH_PATH, NULL, NULL, &_tmp36_, &_tmp37_, &_tmp38_, &_inner_error0_);
#line 126 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
			_g_free0 (_vala_std_out);
#line 126 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
			_vala_std_out = _tmp36_;
#line 126 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
			_g_free0 (_vala_std_err);
#line 126 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
			_vala_std_err = _tmp37_;
#line 126 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
			exit_code = _tmp38_;
#line 126 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
			if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 126 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
				env = (_vala_array_free (env, env_length1, (GDestroyNotify) g_free), NULL);
#line 126 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
				argv = (_vala_array_free (argv, argv_length1, (GDestroyNotify) g_free), NULL);
#line 624 "TeeJee.Process.c"
				goto __catch79_g_error;
			}
		}
#line 138 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		if (cleanup_tmp) {
#line 630 "TeeJee.Process.c"
			const gchar* _tmp39_;
#line 139 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
			_tmp39_ = sh_file;
#line 139 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
			tee_jee_file_system_file_delete (_tmp39_);
#line 140 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
			if (run_as_admin) {
#line 638 "TeeJee.Process.c"
				const gchar* _tmp40_;
#line 141 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
				_tmp40_ = sh_file_admin;
#line 141 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
				tee_jee_file_system_file_delete (_tmp40_);
#line 644 "TeeJee.Process.c"
			}
		}
#line 145 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		result = exit_code;
#line 145 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		env = (_vala_array_free (env, env_length1, (GDestroyNotify) g_free), NULL);
#line 145 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		argv = (_vala_array_free (argv, argv_length1, (GDestroyNotify) g_free), NULL);
#line 145 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		_g_free0 (sh_file_admin);
#line 145 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		_g_free0 (sh_file);
#line 145 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		if (std_out) {
#line 145 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
			*std_out = _vala_std_out;
#line 661 "TeeJee.Process.c"
		} else {
#line 145 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
			_g_free0 (_vala_std_out);
#line 665 "TeeJee.Process.c"
		}
#line 145 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		if (std_err) {
#line 145 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
			*std_err = _vala_std_err;
#line 671 "TeeJee.Process.c"
		} else {
#line 145 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
			_g_free0 (_vala_std_err);
#line 675 "TeeJee.Process.c"
		}
#line 145 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		return result;
#line 679 "TeeJee.Process.c"
	}
	goto __finally79;
	__catch79_g_error:
	{
		GError* e = NULL;
#line 98 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		e = _inner_error0_;
#line 98 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		_inner_error0_ = NULL;
#line 148 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		if (!supress_errors) {
#line 691 "TeeJee.Process.c"
			GError* _tmp41_;
			const gchar* _tmp42_;
#line 149 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
			_tmp41_ = e;
#line 149 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
			_tmp42_ = _tmp41_->message;
#line 149 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
			tee_jee_logging_log_error (_tmp42_, FALSE, FALSE);
#line 700 "TeeJee.Process.c"
		}
#line 151 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		result = -1;
#line 151 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		_g_error_free0 (e);
#line 151 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		_g_free0 (sh_file_admin);
#line 151 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		_g_free0 (sh_file);
#line 151 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		if (std_out) {
#line 151 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
			*std_out = _vala_std_out;
#line 714 "TeeJee.Process.c"
		} else {
#line 151 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
			_g_free0 (_vala_std_out);
#line 718 "TeeJee.Process.c"
		}
#line 151 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		if (std_err) {
#line 151 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
			*std_err = _vala_std_err;
#line 724 "TeeJee.Process.c"
		} else {
#line 151 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
			_g_free0 (_vala_std_err);
#line 728 "TeeJee.Process.c"
		}
#line 151 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		return result;
#line 732 "TeeJee.Process.c"
	}
	__finally79:
#line 98 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	_g_free0 (sh_file_admin);
#line 98 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	_g_free0 (sh_file);
#line 98 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 98 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	g_clear_error (&_inner_error0_);
#line 98 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	return _tmp43_;
#line 745 "TeeJee.Process.c"
}


gint
tee_jee_process_helper_exec_script_async (const gchar* script)
{
	gint result = 0;
	gint _tmp9_ = -1;
	GError* _inner_error0_ = NULL;
#line 155 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	g_return_val_if_fail (script != NULL, 0);
#line 757 "TeeJee.Process.c"
	{
		gchar* scriptfile = NULL;
		gchar* _tmp0_;
		gchar** argv = NULL;
		gchar** _tmp1_;
		gint argv_length1;
		gint _argv_size_;
		gchar* _tmp2_;
		gchar** env = NULL;
		gchar** _tmp3_;
		gchar** _tmp4_;
		gint env_length1;
		gint _env_size_;
		GPid child_pid = 0;
		const gchar* _tmp5_;
		GPid _tmp6_ = 0;
#line 165 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		_tmp0_ = tee_jee_process_helper_save_bash_script_temp (script, NULL, TRUE, FALSE);
#line 165 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		scriptfile = _tmp0_;
#line 167 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		_tmp1_ = g_new0 (gchar*, 1 + 1);
#line 167 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		argv = _tmp1_;
#line 167 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		argv_length1 = 1;
#line 167 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		_argv_size_ = argv_length1;
#line 168 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		_tmp2_ = g_strdup (scriptfile);
#line 168 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		_g_free0 (argv[0]);
#line 168 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		argv[0] = _tmp2_;
#line 170 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		_tmp4_ = _tmp3_ = g_get_environ ();
#line 170 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		env = _tmp4_;
#line 170 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		env_length1 = _vala_array_length (_tmp3_);
#line 170 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		_env_size_ = env_length1;
#line 173 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		_tmp5_ = tee_jee_process_helper_TEMP_DIR;
#line 173 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		g_spawn_async_with_pipes (_tmp5_, argv, env, G_SPAWN_SEARCH_PATH, NULL, NULL, &_tmp6_, NULL, NULL, NULL, &_inner_error0_);
#line 173 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		child_pid = _tmp6_;
#line 173 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 173 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
			env = (_vala_array_free (env, env_length1, (GDestroyNotify) g_free), NULL);
#line 173 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
			argv = (_vala_array_free (argv, argv_length1, (GDestroyNotify) g_free), NULL);
#line 173 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
			_g_free0 (scriptfile);
#line 814 "TeeJee.Process.c"
			goto __catch80_g_error;
		}
#line 181 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		result = 0;
#line 181 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		env = (_vala_array_free (env, env_length1, (GDestroyNotify) g_free), NULL);
#line 181 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		argv = (_vala_array_free (argv, argv_length1, (GDestroyNotify) g_free), NULL);
#line 181 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		_g_free0 (scriptfile);
#line 181 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		return result;
#line 827 "TeeJee.Process.c"
	}
	goto __finally80;
	__catch80_g_error:
	{
		GError* e = NULL;
		GError* _tmp7_;
		const gchar* _tmp8_;
#line 163 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		e = _inner_error0_;
#line 163 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		_inner_error0_ = NULL;
#line 184 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		_tmp7_ = e;
#line 184 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		_tmp8_ = _tmp7_->message;
#line 184 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		tee_jee_logging_log_error (_tmp8_, FALSE, FALSE);
#line 185 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		result = 1;
#line 185 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		_g_error_free0 (e);
#line 185 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		return result;
#line 851 "TeeJee.Process.c"
	}
	__finally80:
#line 163 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 163 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	g_clear_error (&_inner_error0_);
#line 163 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	return _tmp9_;
#line 860 "TeeJee.Process.c"
}


gchar*
tee_jee_process_helper_save_bash_script_temp (const gchar* commands,
                                              const gchar* script_path,
                                              gboolean force_locale,
                                              gboolean supress_errors)
{
	gchar* result = NULL;
	gchar* sh_path = NULL;
	gchar* _tmp0_;
	GString* script = NULL;
	GString* _tmp1_;
	GString* _tmp2_;
	GString* _tmp3_;
	GString* _tmp6_;
	GString* _tmp7_;
	gchar* _tmp8_;
	gchar* _tmp9_;
	GString* _tmp10_;
	GString* _tmp11_;
	GString* _tmp12_;
	gboolean _tmp13_ = FALSE;
	const gchar* _tmp14_;
	GError* _inner_error0_ = NULL;
#line 189 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	g_return_val_if_fail (commands != NULL, NULL);
#line 192 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	_tmp0_ = g_strdup (script_path);
#line 192 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	sh_path = _tmp0_;
#line 197 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	_tmp1_ = g_string_new ("");
#line 197 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	script = _tmp1_;
#line 198 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	_tmp2_ = script;
#line 198 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	g_string_append (_tmp2_, "#!/bin/bash\n");
#line 199 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	_tmp3_ = script;
#line 199 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	g_string_append (_tmp3_, "\n");
#line 200 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	if (force_locale) {
#line 907 "TeeJee.Process.c"
		GString* _tmp4_;
		GString* _tmp5_;
#line 201 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		_tmp4_ = script;
#line 201 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		g_string_append (_tmp4_, "LANG=C\n");
#line 202 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		_tmp5_ = script;
#line 202 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		g_string_append (_tmp5_, "LC_ALL=C.UTF-8\n");
#line 918 "TeeJee.Process.c"
	}
#line 204 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	_tmp6_ = script;
#line 204 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	g_string_append (_tmp6_, "\n");
#line 205 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	_tmp7_ = script;
#line 205 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	_tmp8_ = g_strdup_printf ("%s\n", commands);
#line 205 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	_tmp9_ = _tmp8_;
#line 205 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	g_string_append (_tmp7_, _tmp9_);
#line 205 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	_g_free0 (_tmp9_);
#line 206 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	_tmp10_ = script;
#line 206 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	g_string_append (_tmp10_, "\n\nexitCode=$?\n");
#line 207 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	_tmp11_ = script;
#line 207 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	g_string_append (_tmp11_, "echo ${exitCode} > ${exitCode}\n");
#line 208 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	_tmp12_ = script;
#line 208 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	g_string_append (_tmp12_, "echo ${exitCode} > status\n");
#line 210 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	_tmp14_ = sh_path;
#line 210 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	if (_tmp14_ == NULL) {
#line 210 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		_tmp13_ = TRUE;
#line 952 "TeeJee.Process.c"
	} else {
		const gchar* _tmp15_;
		gint _tmp16_;
		gint _tmp17_;
#line 210 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		_tmp15_ = sh_path;
#line 210 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		_tmp16_ = strlen (_tmp15_);
#line 210 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		_tmp17_ = _tmp16_;
#line 210 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		_tmp13_ = _tmp17_ == 0;
#line 965 "TeeJee.Process.c"
	}
#line 210 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	if (_tmp13_) {
#line 969 "TeeJee.Process.c"
		gchar* _tmp18_;
		gchar* _tmp19_;
		gchar* _tmp20_;
#line 211 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		_tmp18_ = tee_jee_process_helper_get_temp_file_path ();
#line 211 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		_tmp19_ = _tmp18_;
#line 211 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		_tmp20_ = g_strconcat (_tmp19_, ".sh", NULL);
#line 211 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		_g_free0 (sh_path);
#line 211 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		sh_path = _tmp20_;
#line 211 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		_g_free0 (_tmp19_);
#line 985 "TeeJee.Process.c"
	}
	{
		GFile* file = NULL;
		const gchar* _tmp21_;
		GFile* _tmp22_;
		GFile* _tmp23_;
		GFileOutputStream* file_stream = NULL;
		GFile* _tmp25_;
		GFileOutputStream* _tmp26_;
		GDataOutputStream* data_stream = NULL;
		GFileOutputStream* _tmp27_;
		GDataOutputStream* _tmp28_;
		GDataOutputStream* _tmp29_;
		GString* _tmp30_;
		const gchar* _tmp31_;
		GDataOutputStream* _tmp32_;
		const gchar* _tmp33_;
#line 216 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		_tmp21_ = sh_path;
#line 216 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		_tmp22_ = g_file_new_for_path (_tmp21_);
#line 216 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		file = _tmp22_;
#line 217 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		_tmp23_ = file;
#line 217 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		if (g_file_query_exists (_tmp23_, NULL)) {
#line 1013 "TeeJee.Process.c"
			GFile* _tmp24_;
#line 218 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
			_tmp24_ = file;
#line 218 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
			g_file_delete (_tmp24_, NULL, &_inner_error0_);
#line 218 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
			if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 218 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
				_g_object_unref0 (file);
#line 1023 "TeeJee.Process.c"
				goto __catch81_g_error;
			}
		}
#line 220 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		_tmp25_ = file;
#line 220 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		_tmp26_ = g_file_create (_tmp25_, G_FILE_CREATE_REPLACE_DESTINATION, NULL, &_inner_error0_);
#line 220 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		file_stream = _tmp26_;
#line 220 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 220 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
			_g_object_unref0 (file);
#line 1037 "TeeJee.Process.c"
			goto __catch81_g_error;
		}
#line 221 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		_tmp27_ = file_stream;
#line 221 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		_tmp28_ = g_data_output_stream_new ((GOutputStream*) _tmp27_);
#line 221 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		data_stream = _tmp28_;
#line 222 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		_tmp29_ = data_stream;
#line 222 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		_tmp30_ = script;
#line 222 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		_tmp31_ = _tmp30_->str;
#line 222 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		g_data_output_stream_put_string (_tmp29_, _tmp31_, NULL, &_inner_error0_);
#line 222 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 222 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
			_g_object_unref0 (data_stream);
#line 222 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
			_g_object_unref0 (file_stream);
#line 222 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
			_g_object_unref0 (file);
#line 1062 "TeeJee.Process.c"
			goto __catch81_g_error;
		}
#line 223 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		_tmp32_ = data_stream;
#line 223 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		g_output_stream_close ((GOutputStream*) _tmp32_, NULL, &_inner_error0_);
#line 223 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 223 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
			_g_object_unref0 (data_stream);
#line 223 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
			_g_object_unref0 (file_stream);
#line 223 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
			_g_object_unref0 (file);
#line 1077 "TeeJee.Process.c"
			goto __catch81_g_error;
		}
#line 226 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		_tmp33_ = sh_path;
#line 226 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		tee_jee_file_system_chmod (_tmp33_, "u+x");
#line 228 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		result = sh_path;
#line 228 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		_g_object_unref0 (data_stream);
#line 228 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		_g_object_unref0 (file_stream);
#line 228 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		_g_object_unref0 (file);
#line 228 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		_g_string_free0 (script);
#line 228 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		return result;
#line 1096 "TeeJee.Process.c"
	}
	goto __finally81;
	__catch81_g_error:
	{
		GError* e = NULL;
#line 214 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		e = _inner_error0_;
#line 214 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		_inner_error0_ = NULL;
#line 231 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		if (!supress_errors) {
#line 1108 "TeeJee.Process.c"
			GError* _tmp34_;
			const gchar* _tmp35_;
#line 232 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
			_tmp34_ = e;
#line 232 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
			_tmp35_ = _tmp34_->message;
#line 232 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
			tee_jee_logging_log_error (_tmp35_, FALSE, FALSE);
#line 1117 "TeeJee.Process.c"
		}
#line 214 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		_g_error_free0 (e);
#line 1121 "TeeJee.Process.c"
	}
	__finally81:
#line 214 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 214 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		_g_string_free0 (script);
#line 214 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		_g_free0 (sh_path);
#line 214 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 214 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		g_clear_error (&_inner_error0_);
#line 214 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		return NULL;
#line 1136 "TeeJee.Process.c"
	}
#line 236 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	result = NULL;
#line 236 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	_g_string_free0 (script);
#line 236 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	_g_free0 (sh_path);
#line 236 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	return result;
#line 1146 "TeeJee.Process.c"
}


gchar*
tee_jee_process_helper_get_temp_file_path (void)
{
	gchar* result = NULL;
	const gchar* _tmp0_;
	gchar* _tmp1_;
	gchar* _tmp2_;
	gchar* _tmp3_;
	gchar* _tmp4_;
	gchar* _tmp5_;
	gchar* _tmp6_;
	GRand* _tmp7_;
	GRand* _tmp8_;
	gchar* _tmp9_;
	gchar* _tmp10_;
	gchar* _tmp11_;
	gchar* _tmp12_;
#line 243 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	_tmp0_ = tee_jee_process_helper_TEMP_DIR;
#line 243 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	_tmp1_ = g_strconcat (_tmp0_, "/", NULL);
#line 243 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	_tmp2_ = _tmp1_;
#line 243 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	_tmp3_ = tee_jee_misc_timestamp_numeric ();
#line 243 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	_tmp4_ = _tmp3_;
#line 243 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	_tmp5_ = g_strconcat (_tmp2_, _tmp4_, NULL);
#line 243 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	_tmp6_ = _tmp5_;
#line 243 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	_tmp7_ = g_rand_new ();
#line 243 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	_tmp8_ = _tmp7_;
#line 243 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	_tmp9_ = g_strdup_printf ("%u", g_rand_int (_tmp8_));
#line 243 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	_tmp10_ = _tmp9_;
#line 243 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	_tmp11_ = g_strconcat (_tmp6_, _tmp10_, NULL);
#line 243 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	_tmp12_ = _tmp11_;
#line 243 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	_g_free0 (_tmp10_);
#line 243 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	_g_rand_free0 (_tmp8_);
#line 243 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	_g_free0 (_tmp6_);
#line 243 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	_g_free0 (_tmp4_);
#line 243 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	_g_free0 (_tmp2_);
#line 243 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	result = _tmp12_;
#line 243 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	return result;
#line 1207 "TeeJee.Process.c"
}


gchar*
tee_jee_process_helper_get_cmd_path (const gchar* cmd_tool)
{
	gchar* result = NULL;
	GError* _inner_error0_ = NULL;
#line 249 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	g_return_val_if_fail (cmd_tool != NULL, NULL);
#line 1218 "TeeJee.Process.c"
	{
		gint exitCode = 0;
		gchar* stdout = NULL;
		gchar* stderr = NULL;
		gchar* _tmp0_;
		gchar* _tmp1_;
		gchar* _tmp2_ = NULL;
		gchar* _tmp3_ = NULL;
		gint _tmp4_ = 0;
#line 256 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		_tmp0_ = g_strconcat ("which ", cmd_tool, NULL);
#line 256 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		_tmp1_ = _tmp0_;
#line 256 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		g_spawn_command_line_sync (_tmp1_, &_tmp2_, &_tmp3_, &_tmp4_, &_inner_error0_);
#line 256 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		_g_free0 (stdout);
#line 256 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		stdout = _tmp2_;
#line 256 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		_g_free0 (stderr);
#line 256 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		stderr = _tmp3_;
#line 256 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		exitCode = _tmp4_;
#line 256 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		_g_free0 (_tmp1_);
#line 256 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 256 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
			_g_free0 (stderr);
#line 256 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
			_g_free0 (stdout);
#line 1252 "TeeJee.Process.c"
			goto __catch82_g_error;
		}
#line 257 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		result = stdout;
#line 257 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		_g_free0 (stderr);
#line 257 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		return result;
#line 1261 "TeeJee.Process.c"
	}
	goto __finally82;
	__catch82_g_error:
	{
		GError* e = NULL;
		GError* _tmp5_;
		const gchar* _tmp6_;
		gchar* _tmp7_;
#line 253 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		e = _inner_error0_;
#line 253 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		_inner_error0_ = NULL;
#line 260 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		_tmp5_ = e;
#line 260 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		_tmp6_ = _tmp5_->message;
#line 260 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		tee_jee_logging_log_error (_tmp6_, FALSE, FALSE);
#line 261 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		_tmp7_ = g_strdup ("");
#line 261 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		result = _tmp7_;
#line 261 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		_g_error_free0 (e);
#line 261 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		return result;
#line 1288 "TeeJee.Process.c"
	}
	__finally82:
#line 253 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 253 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	g_clear_error (&_inner_error0_);
#line 253 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	return NULL;
#line 1297 "TeeJee.Process.c"
}


gboolean
tee_jee_process_helper_cmd_exists (const gchar* cmd_tool)
{
	gboolean result = FALSE;
	gchar* path = NULL;
	gchar* _tmp0_;
	gboolean _tmp1_ = FALSE;
	const gchar* _tmp2_;
#line 265 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	g_return_val_if_fail (cmd_tool != NULL, FALSE);
#line 266 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	_tmp0_ = tee_jee_process_helper_get_cmd_path (cmd_tool);
#line 266 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	path = _tmp0_;
#line 267 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	_tmp2_ = path;
#line 267 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	if (_tmp2_ == NULL) {
#line 267 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		_tmp1_ = TRUE;
#line 1321 "TeeJee.Process.c"
	} else {
		const gchar* _tmp3_;
		gint _tmp4_;
		gint _tmp5_;
#line 267 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		_tmp3_ = path;
#line 267 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		_tmp4_ = strlen (_tmp3_);
#line 267 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		_tmp5_ = _tmp4_;
#line 267 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		_tmp1_ = _tmp5_ == 0;
#line 1334 "TeeJee.Process.c"
	}
#line 267 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	if (_tmp1_) {
#line 268 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		result = FALSE;
#line 268 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		_g_free0 (path);
#line 268 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		return result;
#line 1344 "TeeJee.Process.c"
	} else {
#line 271 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		result = TRUE;
#line 271 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		_g_free0 (path);
#line 271 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		return result;
#line 1352 "TeeJee.Process.c"
	}
#line 265 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	_g_free0 (path);
#line 1356 "TeeJee.Process.c"
}


gint
tee_jee_process_helper_get_pid_by_name (const gchar* name)
{
	gint result = 0;
	gchar* std_out = NULL;
	gchar* std_err = NULL;
	gchar* _tmp0_;
	gchar* _tmp1_;
	gchar* _tmp2_ = NULL;
	gchar* _tmp3_ = NULL;
	const gchar* _tmp4_;
#line 276 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	g_return_val_if_fail (name != NULL, 0);
#line 281 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	_tmp0_ = g_strdup_printf ("pidof \"%s\"", name);
#line 281 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	_tmp1_ = _tmp0_;
#line 281 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	tee_jee_process_helper_exec_sync (_tmp1_, &_tmp2_, &_tmp3_);
#line 281 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	_g_free0 (std_out);
#line 281 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	std_out = _tmp2_;
#line 281 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	_g_free0 (std_err);
#line 281 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	std_err = _tmp3_;
#line 281 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	_g_free0 (_tmp1_);
#line 283 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	_tmp4_ = std_out;
#line 283 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	if (_tmp4_ != NULL) {
#line 1393 "TeeJee.Process.c"
		gchar** arr = NULL;
		const gchar* _tmp5_;
		gchar** _tmp6_;
		gchar** _tmp7_;
		gint arr_length1;
		gint _arr_size_;
		gchar** _tmp8_;
		gint _tmp8__length1;
#line 284 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		_tmp5_ = std_out;
#line 284 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		_tmp7_ = _tmp6_ = g_strsplit (_tmp5_, "\n", 0);
#line 284 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		arr = _tmp7_;
#line 284 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		arr_length1 = _vala_array_length (_tmp6_);
#line 284 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		_arr_size_ = arr_length1;
#line 285 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		_tmp8_ = arr;
#line 285 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		_tmp8__length1 = arr_length1;
#line 285 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		if (_tmp8__length1 > 0) {
#line 1418 "TeeJee.Process.c"
			gchar** _tmp9_;
			gint _tmp9__length1;
			const gchar* _tmp10_;
#line 286 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
			_tmp9_ = arr;
#line 286 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
			_tmp9__length1 = arr_length1;
#line 286 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
			_tmp10_ = _tmp9_[0];
#line 286 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
			result = atoi (_tmp10_);
#line 286 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
			arr = (_vala_array_free (arr, arr_length1, (GDestroyNotify) g_free), NULL);
#line 286 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
			_g_free0 (std_err);
#line 286 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
			_g_free0 (std_out);
#line 286 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
			return result;
#line 1438 "TeeJee.Process.c"
		}
#line 283 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		arr = (_vala_array_free (arr, arr_length1, (GDestroyNotify) g_free), NULL);
#line 1442 "TeeJee.Process.c"
	}
#line 290 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	result = -1;
#line 290 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	_g_free0 (std_err);
#line 290 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	_g_free0 (std_out);
#line 290 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	return result;
#line 1452 "TeeJee.Process.c"
}


gboolean
tee_jee_process_helper_process_is_running (glong pid)
{
	gboolean result = FALSE;
	gchar* cmd = NULL;
	gchar* _tmp0_;
	gchar* std_out = NULL;
	gchar* std_err = NULL;
	gint ret_val = 0;
	gint _tmp9_;
	GError* _inner_error0_ = NULL;
#line 298 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	_tmp0_ = g_strdup ("");
#line 298 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	cmd = _tmp0_;
#line 1471 "TeeJee.Process.c"
	{
		gchar* _tmp1_;
		const gchar* _tmp2_;
		gchar* _tmp3_ = NULL;
		gchar* _tmp4_ = NULL;
		gint _tmp5_ = 0;
#line 304 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		_tmp1_ = g_strdup_printf ("ps --pid %ld", pid);
#line 304 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		_g_free0 (cmd);
#line 304 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		cmd = _tmp1_;
#line 305 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		_tmp2_ = cmd;
#line 305 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		g_spawn_command_line_sync (_tmp2_, &_tmp3_, &_tmp4_, &_tmp5_, &_inner_error0_);
#line 305 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		_g_free0 (std_out);
#line 305 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		std_out = _tmp3_;
#line 305 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		_g_free0 (std_err);
#line 305 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		std_err = _tmp4_;
#line 305 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		ret_val = _tmp5_;
#line 305 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 1500 "TeeJee.Process.c"
			goto __catch83_g_error;
		}
	}
	goto __finally83;
	__catch83_g_error:
	{
		GError* e = NULL;
		GError* _tmp6_;
		const gchar* _tmp7_;
#line 303 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		e = _inner_error0_;
#line 303 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		_inner_error0_ = NULL;
#line 308 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		_tmp6_ = e;
#line 308 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		_tmp7_ = _tmp6_->message;
#line 308 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		tee_jee_logging_log_error (_tmp7_, FALSE, FALSE);
#line 309 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		result = FALSE;
#line 309 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		_g_error_free0 (e);
#line 309 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		_g_free0 (std_err);
#line 309 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		_g_free0 (std_out);
#line 309 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		_g_free0 (cmd);
#line 309 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		return result;
#line 1532 "TeeJee.Process.c"
	}
	__finally83:
#line 303 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 1537 "TeeJee.Process.c"
		gboolean _tmp8_ = FALSE;
#line 303 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		_g_free0 (std_err);
#line 303 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		_g_free0 (std_out);
#line 303 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		_g_free0 (cmd);
#line 303 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 303 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		g_clear_error (&_inner_error0_);
#line 303 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		return _tmp8_;
#line 1551 "TeeJee.Process.c"
	}
#line 312 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	_tmp9_ = ret_val;
#line 312 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	result = _tmp9_ == 0;
#line 312 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	_g_free0 (std_err);
#line 312 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	_g_free0 (std_out);
#line 312 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	_g_free0 (cmd);
#line 312 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	return result;
#line 1565 "TeeJee.Process.c"
}


static void
_vala_array_add1 (gint* * array,
                  int* length,
                  int* size,
                  gint value)
{
#line 335 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	if ((*length) == (*size)) {
#line 335 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		*size = (*size) ? (2 * (*size)) : 4;
#line 335 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		*array = g_renew (gint, *array, *size);
#line 1581 "TeeJee.Process.c"
	}
#line 335 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	(*array)[(*length)++] = value;
#line 1585 "TeeJee.Process.c"
}


gint*
tee_jee_process_helper_get_process_children (GPid parent_pid,
                                             int* result_length1)
{
	gint* result = NULL;
	gchar* std_out = NULL;
	gchar* std_err = NULL;
	gchar* _tmp0_;
	gchar* _tmp1_;
	gchar* _tmp2_ = NULL;
	gchar* _tmp3_ = NULL;
	gint pid = 0;
	gint* procList = NULL;
	gint* _tmp4_;
	gint procList_length1;
	gint _procList_size_;
	gchar** arr = NULL;
	gint arr_length1 = 0;
	gint _arr_size_ = 0;
	const gchar* _tmp5_;
	gchar** _tmp6_;
	gchar** _tmp7_;
	gint* _tmp20_;
	gint _tmp20__length1;
#line 321 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	_tmp0_ = g_strdup_printf ("ps --ppid %d", (gint) parent_pid);
#line 321 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	_tmp1_ = _tmp0_;
#line 321 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	tee_jee_process_helper_exec_sync (_tmp1_, &_tmp2_, &_tmp3_);
#line 321 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	_g_free0 (std_out);
#line 321 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	std_out = _tmp2_;
#line 321 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	_g_free0 (std_err);
#line 321 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	std_err = _tmp3_;
#line 321 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	_g_free0 (_tmp1_);
#line 324 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	_tmp4_ = g_new0 (gint, 0);
#line 324 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	procList = _tmp4_;
#line 324 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	procList_length1 = 0;
#line 324 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	_procList_size_ = procList_length1;
#line 327 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	_tmp5_ = std_out;
#line 327 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	_tmp7_ = _tmp6_ = g_strsplit (_tmp5_, "\n", 0);
#line 1641 "TeeJee.Process.c"
	{
		gchar** line_collection = NULL;
		gint line_collection_length1 = 0;
		gint _line_collection_size_ = 0;
		gint line_it = 0;
#line 327 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		line_collection = _tmp7_;
#line 327 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		line_collection_length1 = _vala_array_length (_tmp6_);
#line 327 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		for (line_it = 0; line_it < line_collection_length1; line_it = line_it + 1) {
#line 1653 "TeeJee.Process.c"
			gchar* _tmp8_;
			gchar* line = NULL;
#line 327 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
			_tmp8_ = g_strdup (line_collection[line_it]);
#line 327 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
			line = _tmp8_;
#line 1660 "TeeJee.Process.c"
			{
				const gchar* _tmp9_;
				gchar* _tmp10_;
				gchar* _tmp11_;
				gchar** _tmp12_;
				gchar** _tmp13_;
				gchar** _tmp14_;
				gint _tmp14__length1;
				gchar** _tmp15_;
				gint _tmp15__length1;
				const gchar* _tmp16_;
				gint _tmp17_;
#line 328 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
				_tmp9_ = line;
#line 328 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
				_tmp10_ = string_strip (_tmp9_);
#line 328 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
				_tmp11_ = _tmp10_;
#line 328 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
				_tmp13_ = _tmp12_ = g_strsplit (_tmp11_, " ", 0);
#line 328 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
				arr = (_vala_array_free (arr, arr_length1, (GDestroyNotify) g_free), NULL);
#line 328 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
				arr = _tmp13_;
#line 328 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
				arr_length1 = _vala_array_length (_tmp12_);
#line 328 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
				_arr_size_ = arr_length1;
#line 328 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
				_g_free0 (_tmp11_);
#line 329 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
				_tmp14_ = arr;
#line 329 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
				_tmp14__length1 = arr_length1;
#line 329 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
				if (_tmp14__length1 < 1) {
#line 329 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
					_g_free0 (line);
#line 329 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
					continue;
#line 1701 "TeeJee.Process.c"
				}
#line 331 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
				pid = 0;
#line 332 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
				_tmp15_ = arr;
#line 332 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
				_tmp15__length1 = arr_length1;
#line 332 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
				_tmp16_ = _tmp15_[0];
#line 332 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
				pid = atoi (_tmp16_);
#line 334 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
				_tmp17_ = pid;
#line 334 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
				if (_tmp17_ != 0) {
#line 1717 "TeeJee.Process.c"
					gint* _tmp18_;
					gint _tmp18__length1;
					gint _tmp19_;
#line 335 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
					_tmp18_ = procList;
#line 335 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
					_tmp18__length1 = procList_length1;
#line 335 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
					_tmp19_ = pid;
#line 335 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
					_vala_array_add1 (&procList, &procList_length1, &_procList_size_, _tmp19_);
#line 1729 "TeeJee.Process.c"
				}
#line 327 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
				_g_free0 (line);
#line 1733 "TeeJee.Process.c"
			}
		}
#line 327 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		line_collection = (_vala_array_free (line_collection, line_collection_length1, (GDestroyNotify) g_free), NULL);
#line 1738 "TeeJee.Process.c"
	}
#line 338 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	_tmp20_ = procList;
#line 338 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	_tmp20__length1 = procList_length1;
#line 338 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	if (result_length1) {
#line 338 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		*result_length1 = _tmp20__length1;
#line 1748 "TeeJee.Process.c"
	}
#line 338 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	result = _tmp20_;
#line 338 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	arr = (_vala_array_free (arr, arr_length1, (GDestroyNotify) g_free), NULL);
#line 338 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	_g_free0 (std_err);
#line 338 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	_g_free0 (std_out);
#line 338 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	return result;
#line 1760 "TeeJee.Process.c"
}


void
tee_jee_process_helper_process_quit (GPid process_pid,
                                     gboolean killChildren)
{
	gint* child_pids = NULL;
	gint _tmp0_ = 0;
	gint* _tmp1_;
	gint child_pids_length1;
	gint _child_pids_size_;
#line 349 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	_tmp1_ = tee_jee_process_helper_get_process_children (process_pid, &_tmp0_);
#line 349 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	child_pids = _tmp1_;
#line 349 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	child_pids_length1 = _tmp0_;
#line 349 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	_child_pids_size_ = child_pids_length1;
#line 350 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	kill ((pid_t) process_pid, (gint) SIGTERM);
#line 352 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	if (killChildren) {
#line 1785 "TeeJee.Process.c"
		GPid childPid = 0;
		gint* _tmp2_;
		gint _tmp2__length1;
#line 354 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		_tmp2_ = child_pids;
#line 354 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		_tmp2__length1 = child_pids_length1;
#line 1793 "TeeJee.Process.c"
		{
			gint* pid_collection = NULL;
			gint pid_collection_length1 = 0;
			gint _pid_collection_size_ = 0;
			gint pid_it = 0;
#line 354 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
			pid_collection = _tmp2_;
#line 354 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
			pid_collection_length1 = _tmp2__length1;
#line 354 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
			for (pid_it = 0; pid_it < pid_collection_length1; pid_it = pid_it + 1) {
#line 1805 "TeeJee.Process.c"
				glong pid = 0L;
#line 354 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
				pid = (glong) pid_collection[pid_it];
#line 1809 "TeeJee.Process.c"
				{
					glong _tmp3_;
					GPid _tmp4_;
#line 355 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
					_tmp3_ = pid;
#line 355 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
					childPid = (GPid) _tmp3_;
#line 356 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
					_tmp4_ = childPid;
#line 356 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
					kill ((pid_t) _tmp4_, (gint) SIGTERM);
#line 1821 "TeeJee.Process.c"
				}
			}
		}
	}
#line 343 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	child_pids = (g_free (child_pids), NULL);
#line 1828 "TeeJee.Process.c"
}


void
tee_jee_process_helper_process_kill (GPid process_pid,
                                     gboolean killChildren)
{
	gint* child_pids = NULL;
	gint _tmp0_ = 0;
	gint* _tmp1_;
	gint child_pids_length1;
	gint _child_pids_size_;
#line 368 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	_tmp1_ = tee_jee_process_helper_get_process_children (process_pid, &_tmp0_);
#line 368 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	child_pids = _tmp1_;
#line 368 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	child_pids_length1 = _tmp0_;
#line 368 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	_child_pids_size_ = child_pids_length1;
#line 369 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	kill ((pid_t) process_pid, (gint) SIGKILL);
#line 371 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	if (killChildren) {
#line 1853 "TeeJee.Process.c"
		GPid childPid = 0;
		gint* _tmp2_;
		gint _tmp2__length1;
#line 373 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		_tmp2_ = child_pids;
#line 373 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		_tmp2__length1 = child_pids_length1;
#line 1861 "TeeJee.Process.c"
		{
			gint* pid_collection = NULL;
			gint pid_collection_length1 = 0;
			gint _pid_collection_size_ = 0;
			gint pid_it = 0;
#line 373 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
			pid_collection = _tmp2_;
#line 373 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
			pid_collection_length1 = _tmp2__length1;
#line 373 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
			for (pid_it = 0; pid_it < pid_collection_length1; pid_it = pid_it + 1) {
#line 1873 "TeeJee.Process.c"
				glong pid = 0L;
#line 373 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
				pid = (glong) pid_collection[pid_it];
#line 1877 "TeeJee.Process.c"
				{
					glong _tmp3_;
					GPid _tmp4_;
#line 374 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
					_tmp3_ = pid;
#line 374 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
					childPid = (GPid) _tmp3_;
#line 375 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
					_tmp4_ = childPid;
#line 375 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
					kill ((pid_t) _tmp4_, (gint) SIGKILL);
#line 1889 "TeeJee.Process.c"
				}
			}
		}
	}
#line 361 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	child_pids = (g_free (child_pids), NULL);
#line 1896 "TeeJee.Process.c"
}


void
tee_jee_process_helper_process_set_priority (GPid procID,
                                             gint prio)
{
#line 386 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	if (getpriority (PRIO_PROCESS, (gint) procID) != prio) {
#line 387 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
		setpriority (PRIO_PROCESS, (gint) procID, prio);
#line 1908 "TeeJee.Process.c"
	}
}


gint
tee_jee_process_helper_process_get_priority (GPid procID)
{
	gint result = 0;
#line 394 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	result = getpriority (PRIO_PROCESS, (gint) procID);
#line 394 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	return result;
#line 1921 "TeeJee.Process.c"
}


void
tee_jee_process_helper_process_set_priority_normal (GPid procID)
{
#line 401 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	tee_jee_process_helper_process_set_priority (procID, 0);
#line 1930 "TeeJee.Process.c"
}


void
tee_jee_process_helper_process_set_priority_low (GPid procID)
{
#line 408 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/TeeJee.Process.vala"
	tee_jee_process_helper_process_set_priority (procID, 5);
#line 1939 "TeeJee.Process.c"
}


static void
_vala_array_destroy (gpointer array,
                     gint array_length,
                     GDestroyNotify destroy_func)
{
	if ((array != NULL) && (destroy_func != NULL)) {
		int i;
		for (i = 0; i < array_length; i = i + 1) {
			if (((gpointer*) array)[i] != NULL) {
				destroy_func (((gpointer*) array)[i]);
			}
		}
	}
}


static void
_vala_array_free (gpointer array,
                  gint array_length,
                  GDestroyNotify destroy_func)
{
	_vala_array_destroy (array, array_length, destroy_func);
	g_free (array);
}


static gint
_vala_array_length (gpointer array)
{
	int length;
	length = 0;
	if (array) {
		while (((gpointer*) array)[length]) {
			length++;
		}
	}
	return length;
}



