/* Device.c generated by valac 0.40.19, the Vala compiler
 * generated from Device.vala, do not modify */

/*
 * Device.vala
 *
 * Copyright 2012-2018 Tony George <teejeetech@gmail.com>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA 02110-1301, USA.
 *
 *
 */
/* Functions and classes for handling disk partitions */


#include <glib.h>
#include <glib-object.h>
#include <stdlib.h>
#include <string.h>
#include <gee.h>
#include <float.h>
#include <math.h>
#include <gio/gio.h>
#include <glib/gi18n-lib.h>
#include <gtk/gtk.h>


#define TYPE_DEVICE (device_get_type ())
#define DEVICE(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), TYPE_DEVICE, Device))
#define DEVICE_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), TYPE_DEVICE, DeviceClass))
#define IS_DEVICE(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TYPE_DEVICE))
#define IS_DEVICE_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), TYPE_DEVICE))
#define DEVICE_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), TYPE_DEVICE, DeviceClass))

typedef struct _Device Device;
typedef struct _DeviceClass DeviceClass;
typedef struct _DevicePrivate DevicePrivate;

#define TYPE_MOUNT_ENTRY (mount_entry_get_type ())
#define MOUNT_ENTRY(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), TYPE_MOUNT_ENTRY, MountEntry))
#define MOUNT_ENTRY_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), TYPE_MOUNT_ENTRY, MountEntryClass))
#define IS_MOUNT_ENTRY(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TYPE_MOUNT_ENTRY))
#define IS_MOUNT_ENTRY_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), TYPE_MOUNT_ENTRY))
#define MOUNT_ENTRY_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), TYPE_MOUNT_ENTRY, MountEntryClass))

typedef struct _MountEntry MountEntry;
typedef struct _MountEntryClass MountEntryClass;
enum  {
	DEVICE_0_PROPERTY,
	DEVICE_FREE_BYTES_PROPERTY,
	DEVICE_SIZE_PROPERTY,
	DEVICE_USED_PROPERTY,
	DEVICE_FREE_PROPERTY,
	DEVICE_IS_MOUNTED_PROPERTY,
	DEVICE_FULL_NAME_WITH_ALIAS_PROPERTY,
	DEVICE_FULL_NAME_WITH_PARENT_PROPERTY,
	DEVICE_SHORT_NAME_WITH_ALIAS_PROPERTY,
	DEVICE_SHORT_NAME_WITH_PARENT_PROPERTY,
	DEVICE_DEVICE_NAME_WITH_PARENT_PROPERTY,
	DEVICE_NUM_PROPERTIES
};
static GParamSpec* device_properties[DEVICE_NUM_PROPERTIES];
#define _g_free0(var) (var = (g_free (var), NULL))
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
typedef struct _MountEntryPrivate MountEntryPrivate;
#define _g_regex_unref0(var) ((var == NULL) ? NULL : (var = (g_regex_unref (var), NULL)))
#define _g_match_info_unref0(var) ((var == NULL) ? NULL : (var = (g_match_info_unref (var), NULL)))
#define _g_error_free0(var) ((var == NULL) ? NULL : (var = (g_error_free (var), NULL)))

#define TYPE_TIMEOUT_COUNTER (timeout_counter_get_type ())
#define TIMEOUT_COUNTER(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), TYPE_TIMEOUT_COUNTER, TimeoutCounter))
#define TIMEOUT_COUNTER_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), TYPE_TIMEOUT_COUNTER, TimeoutCounterClass))
#define IS_TIMEOUT_COUNTER(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TYPE_TIMEOUT_COUNTER))
#define IS_TIMEOUT_COUNTER_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), TYPE_TIMEOUT_COUNTER))
#define TIMEOUT_COUNTER_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), TYPE_TIMEOUT_COUNTER, TimeoutCounterClass))

typedef struct _TimeoutCounter TimeoutCounter;
typedef struct _TimeoutCounterClass TimeoutCounterClass;

struct _Device {
	GObject parent_instance;
	DevicePrivate * priv;
	gchar* device;
	gchar* name;
	gchar* kname;
	gchar* pkname;
	gchar* pkname_toplevel;
	gchar* mapped_name;
	gchar* uuid;
	gchar* label;
	gchar* partuuid;
	gchar* partlabel;
	gint major;
	gint minor;
	gchar* device_mapper;
	gchar* device_by_uuid;
	gchar* device_by_label;
	gchar* device_by_partuuid;
	gchar* device_by_partlabel;
	gchar* type;
	gchar* fstype;
	gint order;
	gchar* vendor;
	gchar* model;
	gchar* serial;
	gchar* revision;
	gboolean removable;
	gboolean read_only;
	guint64 size_bytes;
	guint64 used_bytes;
	guint64 available_bytes;
	gchar* used_percent;
	gchar* dist_info;
	GeeArrayList* mount_points;
	GeeArrayList* symlinks;
	Device* parent;
	GeeArrayList* children;
};

struct _DeviceClass {
	GObjectClass parent_class;
};

struct _MountEntry {
	GObject parent_instance;
	MountEntryPrivate * priv;
	Device* device;
	gchar* mount_point;
	gchar* mount_options;
};

struct _MountEntryClass {
	GObjectClass parent_class;
};


static gpointer device_parent_class = NULL;
extern gdouble device_KB;
gdouble device_KB = (gdouble) 1000;
extern gdouble device_MB;
gdouble device_MB = 0.0;
extern gdouble device_GB;
gdouble device_GB = 0.0;
extern gdouble device_KiB;
gdouble device_KiB = (gdouble) 1024;
extern gdouble device_MiB;
gdouble device_MiB = 0.0;
extern gdouble device_GiB;
gdouble device_GiB = 0.0;
static gchar* device_lsblk_version;
static gchar* device_lsblk_version = NULL;
static gboolean device_lsblk_is_ancient;
static gboolean device_lsblk_is_ancient = FALSE;
static GeeArrayList* device_device_list;
static GeeArrayList* device_device_list = NULL;
extern gboolean tee_jee_logging_LOG_DEBUG;

GType device_get_type (void) G_GNUC_CONST;
GType mount_entry_get_type (void) G_GNUC_CONST;
Device* device_new (void);
Device* device_construct (GType object_type);
void device_test_lsblk_version (void);
gint tee_jee_process_helper_exec_sync (const gchar* cmd,
                                       gchar* * std_out,
                                       gchar* * std_err);
gboolean device_is_mounted_at_path (Device* self,
                                    const gchar* subvolname,
                                    const gchar* mount_path);
gboolean device_has_linux_filesystem (Device* self);
gboolean device_is_encrypted_partition (Device* self);
gboolean device_is_on_encrypted_partition (Device* self);
gboolean device_is_lvm_partition (Device* self);
gboolean device_has_children (Device* self);
Device* device_first_linux_child (Device* self);
gboolean device_has_parent (Device* self);
GeeArrayList* device_get_filesystems (gboolean get_space,
                                      gboolean get_mounts);
GeeArrayList* device_get_block_devices_using_lsblk (const gchar* dev_name);
GeeArrayList* device_get_disk_space_using_df (const gchar* dev_name_or_mount_point);
Device* device_find_device_in_list (GeeArrayList* list,
                                    const gchar* _dev_alias);
GeeArrayList* device_get_mounted_filesystems_using_mtab (void);
void tee_jee_logging_log_debug (const gchar* message);
static void device_find_child_devices (GeeArrayList* list,
                                Device* parent);
static void device_find_toplevel_parent (GeeArrayList* list,
                                  Device* dev);
static void device_find_child_devices_using_dmsetup (GeeArrayList* list);
void tee_jee_logging_log_error (const gchar* message,
                                gboolean highlight,
                                gboolean is_warning);
MountEntry* mount_entry_new (Device* device,
                             const gchar* mount_point,
                             const gchar* mount_options);
MountEntry* mount_entry_construct (GType object_type,
                                   Device* device,
                                   const gchar* mount_point,
                                   const gchar* mount_options);
gchar* tee_jee_file_system_path_combine (const gchar* path1,
                                         const gchar* path2);
gboolean tee_jee_file_system_file_exists (const gchar* file_path);
GeeArrayList* device_get_block_devices_using_blkid (const gchar* dev_name);
gint tee_jee_process_helper_exec_script_sync (const gchar* script,
                                              gchar* * std_out,
                                              gchar* * std_err,
                                              gboolean supress_errors,
                                              gboolean run_as_admin,
                                              gboolean cleanup_tmp,
                                              gboolean print_to_terminal);
gchar* tee_jee_file_system_escape_single_quote (const gchar* file_path);
gchar* device_resolve_device_name (const gchar* dev_alias);
gchar* device_get_device_uuid (const gchar* device);
gchar* tee_jee_file_system_file_read (const gchar* file_path);
Device* device_get_device_by_uuid (const gchar* uuid);
Device* device_get_device_by_name (const gchar* file_name);
Device* device_get_device_by_path (const gchar* path_to_check);
GeeArrayList* device_get_device_mount_points (const gchar* dev_name_or_uuid);
gboolean device_device_is_mounted (const gchar* dev_name_or_uuid);
gboolean device_mount_point_in_use (const gchar* mount_point);
gboolean tee_jee_file_system_file_is_symlink (const gchar* file_path);
gchar* tee_jee_file_system_file_get_symlink_target (const gchar* file_path);
void device_copy_fields_from (Device* self,
                              Device* dev2);
Device* device_query_changes (Device* self);
void device_query_disk_space (Device* self);
gboolean device_automount_udisks (const gchar* dev_name_or_uuid,
                                  GtkWindow* parent_window);
void tee_jee_gtk_helper_gtk_messagebox (const gchar* title,
                                        const gchar* message,
                                        GtkWindow* parent_win,
                                        gboolean is_error);
gboolean device_automount_udisks_iso (const gchar* iso_file_path,
                                      gchar* * loop_device,
                                      GtkWindow* parent_window);
void tee_jee_logging_log_msg (const gchar* message,
                              gboolean highlight);
gboolean device_unmount_udisks (const gchar* dev_name_or_uuid,
                                GtkWindow* parent_window);
Device* device_luks_unlock (Device* luks_device,
                            const gchar* mapped_name,
                            const gchar* passphrase,
                            GtkWindow* parent_window,
                            gchar* * message,
                            gchar* * details);
GType timeout_counter_get_type (void) G_GNUC_CONST;
TimeoutCounter* timeout_counter_new (void);
TimeoutCounter* timeout_counter_construct (GType object_type);
void timeout_counter_kill_process_on_timeout (TimeoutCounter* self,
                                              const gchar* process_to_kill,
                                              gint seconds_to_wait,
                                              gboolean exit_app);
void timeout_counter_stop (TimeoutCounter* self);
gchar* tee_jee_gtk_helper_gtk_inputbox (const gchar* title,
                                        const gchar* message,
                                        GtkWindow* parent_win,
                                        gboolean mask_password);
gboolean device_luks_lock (const gchar* kname,
                           GtkWindow* parent_window);
gboolean device_mount (const gchar* dev_name_or_uuid,
                       const gchar* mount_point,
                       const gchar* mount_options,
                       gboolean silent);
gboolean tee_jee_file_system_dir_create (const gchar* dir_path,
                                         gboolean show_message);
gboolean device_unmount (const gchar* mount_point);
gchar* device_get_device_name_with_parent (Device* self);
gchar* device_automount (const gchar* dev_name_or_uuid,
                         const gchar* mount_options,
                         const gchar* mount_prefix);
gchar* device_description (Device* self);
gchar* device_description_formatted (Device* self);
gchar* tee_jee_file_system_format_file_size (guint64 size,
                                             gboolean binary_units,
                                             const gchar* unit,
                                             gboolean show_units,
                                             gint decimals);
gchar* device_get_short_name_with_parent (Device* self);
gchar* device_description_simple (Device* self);
gchar* device_description_simple_formatted (Device* self);
gchar* device_description_full_free (Device* self);
guint64 device_get_free_bytes (Device* self);
gchar* device_description_free (Device* self);
gchar* device_description_full (Device* self);
gchar* device_get_used (Device* self);
gchar* device_get_size (Device* self);
gchar* device_description_usage (Device* self);
gchar* device_tooltip_text (Device* self);
void device_test_all (void);
void device_print_device_list (GeeArrayList* list);
void device_print_device_mounts (GeeArrayList* list);
void device_print_device_disk_space (GeeArrayList* list);
gchar* device_get_free (Device* self);
gboolean device_get_is_mounted (Device* self);
gchar* device_get_full_name_with_alias (Device* self);
gchar* device_get_full_name_with_parent (Device* self);
gchar* device_get_short_name_with_alias (Device* self);
static void device_finalize (GObject * obj);
static void _vala_device_get_property (GObject * object,
                                guint property_id,
                                GValue * value,
                                GParamSpec * pspec);
static void _vala_array_destroy (gpointer array,
                          gint array_length,
                          GDestroyNotify destroy_func);
static void _vala_array_free (gpointer array,
                       gint array_length,
                       GDestroyNotify destroy_func);
static gint _vala_array_length (gpointer array);


Device*
device_construct (GType object_type)
{
	Device * self = NULL;
	GeeArrayList* _tmp0_;
	GeeArrayList* _tmp1_;
	GeeArrayList* _tmp2_;
#line 94 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	self = (Device*) g_object_new (object_type, NULL);
#line 95 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp0_ = gee_array_list_new (TYPE_MOUNT_ENTRY, (GBoxedCopyFunc) g_object_ref, (GDestroyNotify) g_object_unref, NULL, NULL, NULL);
#line 95 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_g_object_unref0 (self->mount_points);
#line 95 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	self->mount_points = _tmp0_;
#line 96 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp1_ = gee_array_list_new (G_TYPE_STRING, (GBoxedCopyFunc) g_strdup, (GDestroyNotify) g_free, NULL, NULL, NULL);
#line 96 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_g_object_unref0 (self->symlinks);
#line 96 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	self->symlinks = _tmp1_;
#line 97 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp2_ = gee_array_list_new (TYPE_DEVICE, (GBoxedCopyFunc) g_object_ref, (GDestroyNotify) g_object_unref, NULL, NULL, NULL);
#line 97 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_g_object_unref0 (self->children);
#line 97 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	self->children = _tmp2_;
#line 99 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	device_test_lsblk_version ();
#line 94 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	return self;
#line 356 "Device.c"
}


Device*
device_new (void)
{
#line 94 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	return device_construct (TYPE_DEVICE);
#line 365 "Device.c"
}


void
device_test_lsblk_version (void)
{
	gboolean _tmp0_ = FALSE;
	const gchar* _tmp1_;
	gchar* std_out = NULL;
	gchar* std_err = NULL;
	gint status = 0;
	gchar* _tmp5_ = NULL;
	gchar* _tmp6_ = NULL;
	gint _tmp7_;
	gint _tmp8_;
#line 104 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp1_ = device_lsblk_version;
#line 104 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	if (_tmp1_ != NULL) {
#line 385 "Device.c"
		const gchar* _tmp2_;
		gint _tmp3_;
		gint _tmp4_;
#line 104 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp2_ = device_lsblk_version;
#line 104 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp3_ = strlen (_tmp2_);
#line 104 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp4_ = _tmp3_;
#line 104 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp0_ = _tmp4_ > 0;
#line 397 "Device.c"
	} else {
#line 104 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp0_ = FALSE;
#line 401 "Device.c"
	}
#line 104 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	if (_tmp0_) {
#line 105 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		return;
#line 407 "Device.c"
	}
#line 109 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp7_ = tee_jee_process_helper_exec_sync ("lsblk --bytes --pairs --output HOTPLUG,PKNAME,VENDOR,SERIAL,REV", &_tmp5_, &_tmp6_);
#line 109 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_g_free0 (std_out);
#line 109 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	std_out = _tmp5_;
#line 109 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_g_free0 (std_err);
#line 109 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	std_err = _tmp6_;
#line 109 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	status = _tmp7_;
#line 110 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp8_ = status;
#line 110 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	if (_tmp8_ == 0) {
#line 425 "Device.c"
		const gchar* _tmp9_;
		gchar* _tmp10_;
#line 111 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp9_ = std_out;
#line 111 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp10_ = g_strdup (_tmp9_);
#line 111 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (device_lsblk_version);
#line 111 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		device_lsblk_version = _tmp10_;
#line 112 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		device_lsblk_is_ancient = FALSE;
#line 438 "Device.c"
	} else {
		gchar* _tmp11_;
#line 115 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp11_ = g_strdup ("ancient");
#line 115 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (device_lsblk_version);
#line 115 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		device_lsblk_version = _tmp11_;
#line 116 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		device_lsblk_is_ancient = TRUE;
#line 449 "Device.c"
	}
#line 102 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_g_free0 (std_err);
#line 102 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_g_free0 (std_out);
#line 455 "Device.c"
}


static gpointer
_g_object_ref0 (gpointer self)
{
#line 160 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	return self ? g_object_ref (self) : NULL;
#line 464 "Device.c"
}


static gboolean
string_contains (const gchar* self,
                 const gchar* needle)
{
	gboolean result = FALSE;
	gchar* _tmp0_;
#line 1475 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, FALSE);
#line 1475 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	g_return_val_if_fail (needle != NULL, FALSE);
#line 1476 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	_tmp0_ = strstr ((gchar*) self, (gchar*) needle);
#line 1476 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	result = _tmp0_ != NULL;
#line 1476 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	return result;
#line 484 "Device.c"
}


gboolean
device_is_mounted_at_path (Device* self,
                           const gchar* subvolname,
                           const gchar* mount_path)
{
	gboolean result = FALSE;
#line 158 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 158 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	g_return_val_if_fail (subvolname != NULL, FALSE);
#line 158 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	g_return_val_if_fail (mount_path != NULL, FALSE);
#line 500 "Device.c"
	{
		GeeArrayList* _mnt_list = NULL;
		GeeArrayList* _tmp0_;
		GeeArrayList* _tmp1_;
		gint _mnt_size = 0;
		GeeArrayList* _tmp2_;
		gint _tmp3_;
		gint _tmp4_;
		gint _mnt_index = 0;
#line 160 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp0_ = self->mount_points;
#line 160 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp1_ = _g_object_ref0 (_tmp0_);
#line 160 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_mnt_list = _tmp1_;
#line 160 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp2_ = _mnt_list;
#line 160 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp3_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp2_);
#line 160 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp4_ = _tmp3_;
#line 160 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_mnt_size = _tmp4_;
#line 160 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_mnt_index = -1;
#line 160 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		while (TRUE) {
#line 528 "Device.c"
			gint _tmp5_;
			gint _tmp6_;
			gint _tmp7_;
			MountEntry* mnt = NULL;
			GeeArrayList* _tmp8_;
			gint _tmp9_;
			gpointer _tmp10_;
			MountEntry* _tmp11_;
			const gchar* _tmp12_;
#line 160 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp5_ = _mnt_index;
#line 160 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_mnt_index = _tmp5_ + 1;
#line 160 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp6_ = _mnt_index;
#line 160 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp7_ = _mnt_size;
#line 160 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			if (!(_tmp6_ < _tmp7_)) {
#line 160 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				break;
#line 550 "Device.c"
			}
#line 160 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp8_ = _mnt_list;
#line 160 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp9_ = _mnt_index;
#line 160 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp10_ = gee_abstract_list_get ((GeeAbstractList*) _tmp8_, _tmp9_);
#line 160 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			mnt = (MountEntry*) _tmp10_;
#line 161 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp11_ = mnt;
#line 161 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp12_ = _tmp11_->mount_point;
#line 161 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			if (g_strcmp0 (_tmp12_, mount_path) == 0) {
#line 566 "Device.c"
				gint _tmp13_;
				gint _tmp14_;
#line 162 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp13_ = strlen (subvolname);
#line 162 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp14_ = _tmp13_;
#line 162 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				if (_tmp14_ == 0) {
#line 163 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					result = TRUE;
#line 163 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_g_object_unref0 (mnt);
#line 163 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_g_object_unref0 (_mnt_list);
#line 163 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					return result;
#line 583 "Device.c"
				} else {
					gboolean _tmp15_ = FALSE;
					MountEntry* _tmp16_;
					const gchar* _tmp17_;
					gchar* _tmp18_;
					gchar* _tmp19_;
					gboolean _tmp20_;
#line 165 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp16_ = mnt;
#line 165 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp17_ = _tmp16_->mount_options;
#line 165 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp18_ = g_strdup_printf ("subvol=%s", subvolname);
#line 165 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp19_ = _tmp18_;
#line 165 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp20_ = string_contains (_tmp17_, _tmp19_);
#line 165 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_g_free0 (_tmp19_);
#line 165 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					if (_tmp20_) {
#line 165 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp15_ = TRUE;
#line 607 "Device.c"
					} else {
						MountEntry* _tmp21_;
						const gchar* _tmp22_;
						gchar* _tmp23_;
						gchar* _tmp24_;
#line 166 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp21_ = mnt;
#line 166 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp22_ = _tmp21_->mount_options;
#line 166 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp23_ = g_strdup_printf ("subvol=/%s", subvolname);
#line 166 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp24_ = _tmp23_;
#line 166 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp15_ = string_contains (_tmp22_, _tmp24_);
#line 166 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_g_free0 (_tmp24_);
#line 625 "Device.c"
					}
#line 165 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					if (_tmp15_) {
#line 168 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						result = TRUE;
#line 168 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_g_object_unref0 (mnt);
#line 168 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_g_object_unref0 (_mnt_list);
#line 168 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						return result;
#line 637 "Device.c"
					}
				}
			}
#line 160 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_g_object_unref0 (mnt);
#line 643 "Device.c"
		}
#line 160 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_object_unref0 (_mnt_list);
#line 647 "Device.c"
	}
#line 173 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	result = FALSE;
#line 173 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	return result;
#line 653 "Device.c"
}


gboolean
device_has_linux_filesystem (Device* self)
{
	gboolean result = FALSE;
	const gchar* _tmp0_;
	const gchar* _tmp1_;
	GQuark _tmp3_ = 0U;
#line 177 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	static GQuark _tmp2_label0 = 0;
#line 177 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	static GQuark _tmp2_label1 = 0;
#line 177 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	static GQuark _tmp2_label2 = 0;
#line 177 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	static GQuark _tmp2_label3 = 0;
#line 177 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	static GQuark _tmp2_label4 = 0;
#line 177 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	static GQuark _tmp2_label5 = 0;
#line 177 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	static GQuark _tmp2_label6 = 0;
#line 177 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	static GQuark _tmp2_label7 = 0;
#line 177 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	static GQuark _tmp2_label8 = 0;
#line 177 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	static GQuark _tmp2_label9 = 0;
#line 177 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	static GQuark _tmp2_label10 = 0;
#line 177 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	static GQuark _tmp2_label11 = 0;
#line 177 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	static GQuark _tmp2_label12 = 0;
#line 177 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	static GQuark _tmp2_label13 = 0;
#line 177 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	static GQuark _tmp2_label14 = 0;
#line 177 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	static GQuark _tmp2_label15 = 0;
#line 177 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	static GQuark _tmp2_label16 = 0;
#line 176 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 177 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp0_ = self->fstype;
#line 177 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp1_ = _tmp0_;
#line 177 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp3_ = (NULL == _tmp1_) ? 0 : g_quark_from_string (_tmp1_);
#line 177 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	if (((((((((((((((((_tmp3_ == ((0 != _tmp2_label0) ? _tmp2_label0 : (_tmp2_label0 = g_quark_from_static_string ("ext2")))) || (_tmp3_ == ((0 != _tmp2_label1) ? _tmp2_label1 : (_tmp2_label1 = g_quark_from_static_string ("ext3"))))) || (_tmp3_ == ((0 != _tmp2_label2) ? _tmp2_label2 : (_tmp2_label2 = g_quark_from_static_string ("ext4"))))) || (_tmp3_ == ((0 != _tmp2_label3) ? _tmp2_label3 : (_tmp2_label3 = g_quark_from_static_string ("f2fs"))))) || (_tmp3_ == ((0 != _tmp2_label4) ? _tmp2_label4 : (_tmp2_label4 = g_quark_from_static_string ("reiserfs"))))) || (_tmp3_ == ((0 != _tmp2_label5) ? _tmp2_label5 : (_tmp2_label5 = g_quark_from_static_string ("reiser4"))))) || (_tmp3_ == ((0 != _tmp2_label6) ? _tmp2_label6 : (_tmp2_label6 = g_quark_from_static_string ("xfs"))))) || (_tmp3_ == ((0 != _tmp2_label7) ? _tmp2_label7 : (_tmp2_label7 = g_quark_from_static_string ("jfs"))))) || (_tmp3_ == ((0 != _tmp2_label8) ? _tmp2_label8 : (_tmp2_label8 = g_quark_from_static_string ("zfs"))))) || (_tmp3_ == ((0 != _tmp2_label9) ? _tmp2_label9 : (_tmp2_label9 = g_quark_from_static_string ("zfs_member"))))) || (_tmp3_ == ((0 != _tmp2_label10) ? _tmp2_label10 : (_tmp2_label10 = g_quark_from_static_string ("btrfs"))))) || (_tmp3_ == ((0 != _tmp2_label11) ? _tmp2_label11 : (_tmp2_label11 = g_quark_from_static_string ("lvm"))))) || (_tmp3_ == ((0 != _tmp2_label12) ? _tmp2_label12 : (_tmp2_label12 = g_quark_from_static_string ("lvm2"))))) || (_tmp3_ == ((0 != _tmp2_label13) ? _tmp2_label13 : (_tmp2_label13 = g_quark_from_static_string ("lvm2_member"))))) || (_tmp3_ == ((0 != _tmp2_label14) ? _tmp2_label14 : (_tmp2_label14 = g_quark_from_static_string ("luks"))))) || (_tmp3_ == ((0 != _tmp2_label15) ? _tmp2_label15 : (_tmp2_label15 = g_quark_from_static_string ("crypt"))))) || (_tmp3_ == ((0 != _tmp2_label16) ? _tmp2_label16 : (_tmp2_label16 = g_quark_from_static_string ("crypto_luks"))))) {
#line 177 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		switch (0) {
#line 710 "Device.c"
			default:
			{
#line 195 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				result = TRUE;
#line 195 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				return result;
#line 717 "Device.c"
			}
		}
	} else {
#line 177 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		switch (0) {
#line 723 "Device.c"
			default:
			{
#line 197 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				result = FALSE;
#line 197 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				return result;
#line 730 "Device.c"
			}
		}
	}
}


gboolean
device_is_encrypted_partition (Device* self)
{
	gboolean result = FALSE;
	gboolean _tmp0_ = FALSE;
	const gchar* _tmp1_;
#line 201 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 202 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp1_ = self->type;
#line 202 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	if (g_strcmp0 (_tmp1_, "part") == 0) {
#line 749 "Device.c"
		const gchar* _tmp2_;
		gchar* _tmp3_;
		gchar* _tmp4_;
#line 202 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp2_ = self->fstype;
#line 202 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp3_ = g_utf8_strdown (_tmp2_, (gssize) -1);
#line 202 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp4_ = _tmp3_;
#line 202 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp0_ = string_contains (_tmp4_, "luks");
#line 202 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (_tmp4_);
#line 763 "Device.c"
	} else {
#line 202 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp0_ = FALSE;
#line 767 "Device.c"
	}
#line 202 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	result = _tmp0_;
#line 202 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	return result;
#line 773 "Device.c"
}


gboolean
device_is_on_encrypted_partition (Device* self)
{
	gboolean result = FALSE;
	const gchar* _tmp0_;
#line 205 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 206 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp0_ = self->type;
#line 206 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	result = g_strcmp0 (_tmp0_, "crypt") == 0;
#line 206 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	return result;
#line 790 "Device.c"
}


gboolean
device_is_lvm_partition (Device* self)
{
	gboolean result = FALSE;
	gboolean _tmp0_ = FALSE;
	const gchar* _tmp1_;
#line 209 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 210 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp1_ = self->type;
#line 210 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	if (g_strcmp0 (_tmp1_, "part") == 0) {
#line 806 "Device.c"
		const gchar* _tmp2_;
		gchar* _tmp3_;
		gchar* _tmp4_;
#line 210 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp2_ = self->fstype;
#line 210 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp3_ = g_utf8_strdown (_tmp2_, (gssize) -1);
#line 210 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp4_ = _tmp3_;
#line 210 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp0_ = string_contains (_tmp4_, "lvm2_member");
#line 210 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (_tmp4_);
#line 820 "Device.c"
	} else {
#line 210 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp0_ = FALSE;
#line 824 "Device.c"
	}
#line 210 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	result = _tmp0_;
#line 210 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	return result;
#line 830 "Device.c"
}


gboolean
device_has_children (Device* self)
{
	gboolean result = FALSE;
	GeeArrayList* _tmp0_;
	gint _tmp1_;
	gint _tmp2_;
#line 213 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 214 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp0_ = self->children;
#line 214 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp1_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp0_);
#line 214 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp2_ = _tmp1_;
#line 214 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	result = _tmp2_ > 0;
#line 214 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	return result;
#line 853 "Device.c"
}


Device*
device_first_linux_child (Device* self)
{
	Device* result = NULL;
#line 217 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 863 "Device.c"
	{
		GeeArrayList* _child_list = NULL;
		GeeArrayList* _tmp0_;
		GeeArrayList* _tmp1_;
		gint _child_size = 0;
		GeeArrayList* _tmp2_;
		gint _tmp3_;
		gint _tmp4_;
		gint _child_index = 0;
#line 219 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp0_ = self->children;
#line 219 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp1_ = _g_object_ref0 (_tmp0_);
#line 219 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_child_list = _tmp1_;
#line 219 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp2_ = _child_list;
#line 219 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp3_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp2_);
#line 219 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp4_ = _tmp3_;
#line 219 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_child_size = _tmp4_;
#line 219 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_child_index = -1;
#line 219 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		while (TRUE) {
#line 891 "Device.c"
			gint _tmp5_;
			gint _tmp6_;
			gint _tmp7_;
			Device* child = NULL;
			GeeArrayList* _tmp8_;
			gint _tmp9_;
			gpointer _tmp10_;
			Device* _tmp11_;
#line 219 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp5_ = _child_index;
#line 219 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_child_index = _tmp5_ + 1;
#line 219 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp6_ = _child_index;
#line 219 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp7_ = _child_size;
#line 219 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			if (!(_tmp6_ < _tmp7_)) {
#line 219 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				break;
#line 912 "Device.c"
			}
#line 219 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp8_ = _child_list;
#line 219 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp9_ = _child_index;
#line 219 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp10_ = gee_abstract_list_get ((GeeAbstractList*) _tmp8_, _tmp9_);
#line 219 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			child = (Device*) _tmp10_;
#line 220 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp11_ = child;
#line 220 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			if (device_has_linux_filesystem (_tmp11_)) {
#line 221 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				result = child;
#line 221 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_g_object_unref0 (_child_list);
#line 221 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				return result;
#line 932 "Device.c"
			}
#line 219 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_g_object_unref0 (child);
#line 936 "Device.c"
		}
#line 219 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_object_unref0 (_child_list);
#line 940 "Device.c"
	}
#line 225 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	result = NULL;
#line 225 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	return result;
#line 946 "Device.c"
}


gboolean
device_has_parent (Device* self)
{
	gboolean result = FALSE;
	Device* _tmp0_;
#line 228 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 229 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp0_ = self->parent;
#line 229 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	result = _tmp0_ != NULL;
#line 229 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	return result;
#line 963 "Device.c"
}


GeeArrayList*
device_get_filesystems (gboolean get_space,
                        gboolean get_mounts)
{
	GeeArrayList* result = NULL;
	GeeArrayList* list = NULL;
	GeeArrayList* _tmp0_;
	GeeArrayList* _tmp52_;
	gint _tmp53_;
	gint _tmp54_;
	gchar* _tmp55_;
	gchar* _tmp56_;
#line 239 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp0_ = device_get_block_devices_using_lsblk ("");
#line 239 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	list = _tmp0_;
#line 241 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	if (get_space) {
#line 985 "Device.c"
		GeeArrayList* list_df = NULL;
		GeeArrayList* _tmp1_;
#line 243 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp1_ = device_get_disk_space_using_df ("");
#line 243 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		list_df = _tmp1_;
#line 992 "Device.c"
		{
			GeeArrayList* _dev_df_list = NULL;
			GeeArrayList* _tmp2_;
			GeeArrayList* _tmp3_;
			gint _dev_df_size = 0;
			GeeArrayList* _tmp4_;
			gint _tmp5_;
			gint _tmp6_;
			gint _dev_df_index = 0;
#line 244 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp2_ = list_df;
#line 244 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp3_ = _g_object_ref0 (_tmp2_);
#line 244 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_dev_df_list = _tmp3_;
#line 244 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp4_ = _dev_df_list;
#line 244 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp5_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp4_);
#line 244 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp6_ = _tmp5_;
#line 244 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_dev_df_size = _tmp6_;
#line 244 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_dev_df_index = -1;
#line 244 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			while (TRUE) {
#line 1020 "Device.c"
				gint _tmp7_;
				gint _tmp8_;
				gint _tmp9_;
				Device* dev_df = NULL;
				GeeArrayList* _tmp10_;
				gint _tmp11_;
				gpointer _tmp12_;
				Device* dev = NULL;
				GeeArrayList* _tmp13_;
				Device* _tmp14_;
				const gchar* _tmp15_;
				Device* _tmp16_;
				Device* _tmp17_;
#line 244 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp7_ = _dev_df_index;
#line 244 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_dev_df_index = _tmp7_ + 1;
#line 244 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp8_ = _dev_df_index;
#line 244 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp9_ = _dev_df_size;
#line 244 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				if (!(_tmp8_ < _tmp9_)) {
#line 244 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					break;
#line 1046 "Device.c"
				}
#line 244 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp10_ = _dev_df_list;
#line 244 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp11_ = _dev_df_index;
#line 244 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp12_ = gee_abstract_list_get ((GeeAbstractList*) _tmp10_, _tmp11_);
#line 244 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				dev_df = (Device*) _tmp12_;
#line 245 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp13_ = list;
#line 245 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp14_ = dev_df;
#line 245 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp15_ = _tmp14_->uuid;
#line 245 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp16_ = device_find_device_in_list (_tmp13_, _tmp15_);
#line 245 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				dev = _tmp16_;
#line 246 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp17_ = dev;
#line 246 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				if (_tmp17_ != NULL) {
#line 1070 "Device.c"
					Device* _tmp18_;
					Device* _tmp19_;
					guint64 _tmp20_;
					Device* _tmp21_;
					Device* _tmp22_;
					guint64 _tmp23_;
					Device* _tmp24_;
					Device* _tmp25_;
					guint64 _tmp26_;
					Device* _tmp27_;
					Device* _tmp28_;
					const gchar* _tmp29_;
					gchar* _tmp30_;
#line 247 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp18_ = dev;
#line 247 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp19_ = dev_df;
#line 247 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp20_ = _tmp19_->size_bytes;
#line 247 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp18_->size_bytes = _tmp20_;
#line 248 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp21_ = dev;
#line 248 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp22_ = dev_df;
#line 248 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp23_ = _tmp22_->used_bytes;
#line 248 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp21_->used_bytes = _tmp23_;
#line 249 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp24_ = dev;
#line 249 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp25_ = dev_df;
#line 249 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp26_ = _tmp25_->available_bytes;
#line 249 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp24_->available_bytes = _tmp26_;
#line 250 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp27_ = dev;
#line 250 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp28_ = dev_df;
#line 250 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp29_ = _tmp28_->used_percent;
#line 250 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp30_ = g_strdup (_tmp29_);
#line 250 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_g_free0 (_tmp27_->used_percent);
#line 250 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp27_->used_percent = _tmp30_;
#line 1120 "Device.c"
				}
#line 244 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_g_object_unref0 (dev);
#line 244 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_g_object_unref0 (dev_df);
#line 1126 "Device.c"
			}
#line 244 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_g_object_unref0 (_dev_df_list);
#line 1130 "Device.c"
		}
#line 241 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_object_unref0 (list_df);
#line 1134 "Device.c"
	}
#line 255 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	if (get_mounts) {
#line 1138 "Device.c"
		GeeArrayList* list_mtab = NULL;
		GeeArrayList* _tmp31_;
#line 257 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp31_ = device_get_mounted_filesystems_using_mtab ();
#line 257 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		list_mtab = _tmp31_;
#line 1145 "Device.c"
		{
			GeeArrayList* _dev_mtab_list = NULL;
			GeeArrayList* _tmp32_;
			GeeArrayList* _tmp33_;
			gint _dev_mtab_size = 0;
			GeeArrayList* _tmp34_;
			gint _tmp35_;
			gint _tmp36_;
			gint _dev_mtab_index = 0;
#line 258 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp32_ = list_mtab;
#line 258 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp33_ = _g_object_ref0 (_tmp32_);
#line 258 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_dev_mtab_list = _tmp33_;
#line 258 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp34_ = _dev_mtab_list;
#line 258 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp35_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp34_);
#line 258 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp36_ = _tmp35_;
#line 258 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_dev_mtab_size = _tmp36_;
#line 258 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_dev_mtab_index = -1;
#line 258 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			while (TRUE) {
#line 1173 "Device.c"
				gint _tmp37_;
				gint _tmp38_;
				gint _tmp39_;
				Device* dev_mtab = NULL;
				GeeArrayList* _tmp40_;
				gint _tmp41_;
				gpointer _tmp42_;
				Device* dev = NULL;
				GeeArrayList* _tmp43_;
				Device* _tmp44_;
				const gchar* _tmp45_;
				Device* _tmp46_;
				Device* _tmp47_;
#line 258 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp37_ = _dev_mtab_index;
#line 258 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_dev_mtab_index = _tmp37_ + 1;
#line 258 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp38_ = _dev_mtab_index;
#line 258 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp39_ = _dev_mtab_size;
#line 258 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				if (!(_tmp38_ < _tmp39_)) {
#line 258 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					break;
#line 1199 "Device.c"
				}
#line 258 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp40_ = _dev_mtab_list;
#line 258 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp41_ = _dev_mtab_index;
#line 258 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp42_ = gee_abstract_list_get ((GeeAbstractList*) _tmp40_, _tmp41_);
#line 258 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				dev_mtab = (Device*) _tmp42_;
#line 259 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp43_ = list;
#line 259 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp44_ = dev_mtab;
#line 259 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp45_ = _tmp44_->uuid;
#line 259 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp46_ = device_find_device_in_list (_tmp43_, _tmp45_);
#line 259 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				dev = _tmp46_;
#line 260 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp47_ = dev;
#line 260 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				if (_tmp47_ != NULL) {
#line 1223 "Device.c"
					Device* _tmp48_;
					Device* _tmp49_;
					GeeArrayList* _tmp50_;
					GeeArrayList* _tmp51_;
#line 261 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp48_ = dev;
#line 261 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp49_ = dev_mtab;
#line 261 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp50_ = _tmp49_->mount_points;
#line 261 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp51_ = _g_object_ref0 (_tmp50_);
#line 261 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_g_object_unref0 (_tmp48_->mount_points);
#line 261 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp48_->mount_points = _tmp51_;
#line 1240 "Device.c"
				}
#line 258 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_g_object_unref0 (dev);
#line 258 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_g_object_unref0 (dev_mtab);
#line 1246 "Device.c"
			}
#line 258 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_g_object_unref0 (_dev_mtab_list);
#line 1250 "Device.c"
		}
#line 255 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_object_unref0 (list_mtab);
#line 1254 "Device.c"
	}
#line 270 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp52_ = list;
#line 270 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp53_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp52_);
#line 270 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp54_ = _tmp53_;
#line 270 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp55_ = g_strdup_printf ("Device: get_filesystems(): %d", _tmp54_);
#line 270 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp56_ = _tmp55_;
#line 270 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	tee_jee_logging_log_debug (_tmp56_);
#line 270 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_g_free0 (_tmp56_);
#line 272 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	result = list;
#line 272 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	return result;
#line 1274 "Device.c"
}


static void
device_find_child_devices (GeeArrayList* list,
                           Device* parent)
{
	gboolean _tmp0_ = FALSE;
	gboolean _tmp1_;
#line 275 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	g_return_if_fail (list != NULL);
#line 275 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	g_return_if_fail (parent != NULL);
#line 276 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp1_ = device_lsblk_is_ancient;
#line 276 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	if (_tmp1_) {
#line 1292 "Device.c"
		const gchar* _tmp2_;
#line 276 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp2_ = parent->type;
#line 276 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp0_ = g_strcmp0 (_tmp2_, "disk") == 0;
#line 1298 "Device.c"
	} else {
#line 276 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp0_ = FALSE;
#line 1302 "Device.c"
	}
#line 276 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	if (_tmp0_) {
#line 1306 "Device.c"
		{
			GeeArrayList* _part_list = NULL;
			GeeArrayList* _tmp3_;
			gint _part_size = 0;
			GeeArrayList* _tmp4_;
			gint _tmp5_;
			gint _tmp6_;
			gint _part_index = 0;
#line 277 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp3_ = _g_object_ref0 (list);
#line 277 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_part_list = _tmp3_;
#line 277 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp4_ = _part_list;
#line 277 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp5_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp4_);
#line 277 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp6_ = _tmp5_;
#line 277 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_part_size = _tmp6_;
#line 277 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_part_index = -1;
#line 277 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			while (TRUE) {
#line 1331 "Device.c"
				gint _tmp7_;
				gint _tmp8_;
				gint _tmp9_;
				Device* part = NULL;
				GeeArrayList* _tmp10_;
				gint _tmp11_;
				gpointer _tmp12_;
				gboolean _tmp13_ = FALSE;
				Device* _tmp14_;
				const gchar* _tmp15_;
				const gchar* _tmp16_;
#line 277 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp7_ = _part_index;
#line 277 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_part_index = _tmp7_ + 1;
#line 277 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp8_ = _part_index;
#line 277 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp9_ = _part_size;
#line 277 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				if (!(_tmp8_ < _tmp9_)) {
#line 277 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					break;
#line 1355 "Device.c"
				}
#line 277 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp10_ = _part_list;
#line 277 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp11_ = _part_index;
#line 277 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp12_ = gee_abstract_list_get ((GeeAbstractList*) _tmp10_, _tmp11_);
#line 277 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				part = (Device*) _tmp12_;
#line 278 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp14_ = part;
#line 278 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp15_ = _tmp14_->kname;
#line 278 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp16_ = parent->kname;
#line 278 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				if (g_strcmp0 (_tmp15_, _tmp16_) != 0) {
#line 1373 "Device.c"
					Device* _tmp17_;
					const gchar* _tmp18_;
					const gchar* _tmp19_;
#line 278 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp17_ = part;
#line 278 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp18_ = _tmp17_->kname;
#line 278 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp19_ = parent->kname;
#line 278 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp13_ = g_str_has_prefix (_tmp18_, _tmp19_);
#line 1385 "Device.c"
				} else {
#line 278 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp13_ = FALSE;
#line 1389 "Device.c"
				}
#line 278 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				if (_tmp13_) {
#line 1393 "Device.c"
					GeeArrayList* _tmp20_;
					Device* _tmp21_;
					Device* _tmp22_;
					Device* _tmp23_;
					Device* _tmp24_;
					const gchar* _tmp25_;
					gchar* _tmp26_;
					const gchar* _tmp27_;
					Device* _tmp28_;
					const gchar* _tmp29_;
					gchar* _tmp30_;
					gchar* _tmp31_;
#line 279 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp20_ = parent->children;
#line 279 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp21_ = part;
#line 279 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					gee_abstract_collection_add ((GeeAbstractCollection*) _tmp20_, _tmp21_);
#line 280 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp22_ = part;
#line 280 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp23_ = _g_object_ref0 (parent);
#line 280 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_g_object_unref0 (_tmp22_->parent);
#line 280 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp22_->parent = _tmp23_;
#line 281 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp24_ = part;
#line 281 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp25_ = parent->kname;
#line 281 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp26_ = g_strdup (_tmp25_);
#line 281 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_g_free0 (_tmp24_->pkname);
#line 281 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp24_->pkname = _tmp26_;
#line 282 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp27_ = parent->kname;
#line 282 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp28_ = part;
#line 282 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp29_ = _tmp28_->kname;
#line 282 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp30_ = g_strdup_printf ("%s -> %s", _tmp27_, _tmp29_);
#line 282 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp31_ = _tmp30_;
#line 282 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					tee_jee_logging_log_debug (_tmp31_);
#line 282 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_g_free0 (_tmp31_);
#line 1444 "Device.c"
				}
#line 277 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_g_object_unref0 (part);
#line 1448 "Device.c"
			}
#line 277 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_g_object_unref0 (_part_list);
#line 1452 "Device.c"
		}
	} else {
		{
			GeeArrayList* _part_list = NULL;
			GeeArrayList* _tmp32_;
			gint _part_size = 0;
			GeeArrayList* _tmp33_;
			gint _tmp34_;
			gint _tmp35_;
			gint _part_index = 0;
#line 287 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp32_ = _g_object_ref0 (list);
#line 287 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_part_list = _tmp32_;
#line 287 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp33_ = _part_list;
#line 287 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp34_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp33_);
#line 287 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp35_ = _tmp34_;
#line 287 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_part_size = _tmp35_;
#line 287 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_part_index = -1;
#line 287 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			while (TRUE) {
#line 1479 "Device.c"
				gint _tmp36_;
				gint _tmp37_;
				gint _tmp38_;
				Device* part = NULL;
				GeeArrayList* _tmp39_;
				gint _tmp40_;
				gpointer _tmp41_;
				Device* _tmp42_;
				const gchar* _tmp43_;
				const gchar* _tmp44_;
#line 287 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp36_ = _part_index;
#line 287 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_part_index = _tmp36_ + 1;
#line 287 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp37_ = _part_index;
#line 287 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp38_ = _part_size;
#line 287 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				if (!(_tmp37_ < _tmp38_)) {
#line 287 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					break;
#line 1502 "Device.c"
				}
#line 287 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp39_ = _part_list;
#line 287 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp40_ = _part_index;
#line 287 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp41_ = gee_abstract_list_get ((GeeAbstractList*) _tmp39_, _tmp40_);
#line 287 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				part = (Device*) _tmp41_;
#line 288 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp42_ = part;
#line 288 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp43_ = _tmp42_->pkname;
#line 288 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp44_ = parent->kname;
#line 288 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				if (g_strcmp0 (_tmp43_, _tmp44_) == 0) {
#line 1520 "Device.c"
					GeeArrayList* _tmp45_;
					Device* _tmp46_;
					Device* _tmp47_;
					Device* _tmp48_;
#line 289 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp45_ = parent->children;
#line 289 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp46_ = part;
#line 289 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					gee_abstract_collection_add ((GeeAbstractCollection*) _tmp45_, _tmp46_);
#line 290 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp47_ = part;
#line 290 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp48_ = _g_object_ref0 (parent);
#line 290 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_g_object_unref0 (_tmp47_->parent);
#line 290 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp47_->parent = _tmp48_;
#line 1539 "Device.c"
				}
#line 287 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_g_object_unref0 (part);
#line 1543 "Device.c"
			}
#line 287 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_g_object_unref0 (_part_list);
#line 1547 "Device.c"
		}
	}
}


static void
device_find_toplevel_parent (GeeArrayList* list,
                             Device* dev)
{
	const gchar* _tmp0_;
	gint _tmp1_;
	gint _tmp2_;
	gchar* top_kname = NULL;
	const gchar* _tmp3_;
	gchar* _tmp4_;
	const gchar* _tmp25_;
	gchar* _tmp26_;
#line 296 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	g_return_if_fail (list != NULL);
#line 296 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	g_return_if_fail (dev != NULL);
#line 298 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp0_ = dev->pkname;
#line 298 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp1_ = strlen (_tmp0_);
#line 298 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp2_ = _tmp1_;
#line 298 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	if (_tmp2_ == 0) {
#line 298 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		return;
#line 1579 "Device.c"
	}
#line 300 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp3_ = dev->pkname;
#line 300 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp4_ = g_strdup (_tmp3_);
#line 300 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	top_kname = _tmp4_;
#line 1587 "Device.c"
	{
		GeeArrayList* _part_list = NULL;
		GeeArrayList* _tmp5_;
		gint _part_size = 0;
		GeeArrayList* _tmp6_;
		gint _tmp7_;
		gint _tmp8_;
		gint _part_index = 0;
#line 302 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp5_ = _g_object_ref0 (list);
#line 302 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_part_list = _tmp5_;
#line 302 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp6_ = _part_list;
#line 302 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp7_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp6_);
#line 302 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp8_ = _tmp7_;
#line 302 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_part_size = _tmp8_;
#line 302 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_part_index = -1;
#line 302 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		while (TRUE) {
#line 1612 "Device.c"
			gint _tmp9_;
			gint _tmp10_;
			gint _tmp11_;
			Device* part = NULL;
			GeeArrayList* _tmp12_;
			gint _tmp13_;
			gpointer _tmp14_;
			Device* _tmp15_;
			const gchar* _tmp16_;
			const gchar* _tmp17_;
#line 302 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp9_ = _part_index;
#line 302 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_part_index = _tmp9_ + 1;
#line 302 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp10_ = _part_index;
#line 302 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp11_ = _part_size;
#line 302 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			if (!(_tmp10_ < _tmp11_)) {
#line 302 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				break;
#line 1635 "Device.c"
			}
#line 302 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp12_ = _part_list;
#line 302 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp13_ = _part_index;
#line 302 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp14_ = gee_abstract_list_get ((GeeAbstractList*) _tmp12_, _tmp13_);
#line 302 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			part = (Device*) _tmp14_;
#line 303 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp15_ = part;
#line 303 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp16_ = _tmp15_->kname;
#line 303 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp17_ = top_kname;
#line 303 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			if (g_strcmp0 (_tmp16_, _tmp17_) == 0) {
#line 1653 "Device.c"
				Device* _tmp18_;
				const gchar* _tmp19_;
				gint _tmp20_;
				gint _tmp21_;
#line 304 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp18_ = part;
#line 304 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp19_ = _tmp18_->pkname;
#line 304 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp20_ = strlen (_tmp19_);
#line 304 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp21_ = _tmp20_;
#line 304 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				if (_tmp21_ > 0) {
#line 1668 "Device.c"
					Device* _tmp22_;
					const gchar* _tmp23_;
					gchar* _tmp24_;
#line 305 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp22_ = part;
#line 305 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp23_ = _tmp22_->pkname;
#line 305 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp24_ = g_strdup (_tmp23_);
#line 305 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_g_free0 (top_kname);
#line 305 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					top_kname = _tmp24_;
#line 1682 "Device.c"
				}
			}
#line 302 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_g_object_unref0 (part);
#line 1687 "Device.c"
		}
#line 302 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_object_unref0 (_part_list);
#line 1691 "Device.c"
	}
#line 310 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp25_ = top_kname;
#line 310 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp26_ = g_strdup (_tmp25_);
#line 310 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_g_free0 (dev->pkname_toplevel);
#line 310 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	dev->pkname_toplevel = _tmp26_;
#line 296 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_g_free0 (top_kname);
#line 1703 "Device.c"
}


static gchar*
string_strip (const gchar* self)
{
	gchar* result = NULL;
	gchar* _result_ = NULL;
	gchar* _tmp0_;
	const gchar* _tmp1_;
#line 1304 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, NULL);
#line 1305 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	_tmp0_ = g_strdup (self);
#line 1305 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	_result_ = _tmp0_;
#line 1306 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	_tmp1_ = _result_;
#line 1306 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	g_strstrip (_tmp1_);
#line 1307 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	result = _result_;
#line 1307 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	return result;
#line 1728 "Device.c"
}


static void
device_find_child_devices_using_dmsetup (GeeArrayList* list)
{
	gchar* std_out = NULL;
	gchar* std_err = NULL;
	gchar* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
	GRegex* rex = NULL;
	GMatchInfo* match = NULL;
	const gchar* _tmp2_;
	gchar** _tmp3_;
	gchar** _tmp4_;
	GError* _inner_error0_ = NULL;
#line 315 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	g_return_if_fail (list != NULL);
#line 318 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	tee_jee_process_helper_exec_sync ("dmsetup deps -o blkdevname", &_tmp0_, &_tmp1_);
#line 318 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_g_free0 (std_out);
#line 318 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	std_out = _tmp0_;
#line 318 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_g_free0 (std_err);
#line 318 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	std_err = _tmp1_;
#line 329 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp2_ = std_out;
#line 329 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp4_ = _tmp3_ = g_strsplit (_tmp2_, "\n", 0);
#line 1761 "Device.c"
	{
		gchar** line_collection = NULL;
		gint line_collection_length1 = 0;
		gint _line_collection_size_ = 0;
		gint line_it = 0;
#line 329 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		line_collection = _tmp4_;
#line 329 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		line_collection_length1 = _vala_array_length (_tmp3_);
#line 329 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		for (line_it = 0; line_it < line_collection_length1; line_it = line_it + 1) {
#line 1773 "Device.c"
			gchar* _tmp5_;
			gchar* line = NULL;
#line 329 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp5_ = g_strdup (line_collection[line_it]);
#line 329 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			line = _tmp5_;
#line 1780 "Device.c"
			{
				const gchar* _tmp6_;
				gchar* _tmp7_;
				gchar* _tmp8_;
				gint _tmp9_;
				gint _tmp10_;
				gboolean _tmp11_;
#line 330 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp6_ = line;
#line 330 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp7_ = string_strip (_tmp6_);
#line 330 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp8_ = _tmp7_;
#line 330 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp9_ = strlen (_tmp8_);
#line 330 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp10_ = _tmp9_;
#line 330 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp11_ = _tmp10_ == 0;
#line 330 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_g_free0 (_tmp8_);
#line 330 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				if (_tmp11_) {
#line 330 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_g_free0 (line);
#line 330 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					continue;
#line 1808 "Device.c"
				}
				{
					GRegex* _tmp12_ = NULL;
					GRegex* _tmp13_;
					GRegex* _tmp14_;
					GRegex* _tmp15_;
					const gchar* _tmp16_;
					GMatchInfo* _tmp17_ = NULL;
					gboolean _tmp18_;
#line 334 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp13_ = g_regex_new ("([^:]*)\\:.*\\((.*)\\)", 0, 0, &_inner_error0_);
#line 334 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp12_ = _tmp13_;
#line 334 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 1824 "Device.c"
						goto __catch41_g_error;
					}
#line 334 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp14_ = _tmp12_;
#line 334 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp12_ = NULL;
#line 334 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_g_regex_unref0 (rex);
#line 334 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					rex = _tmp14_;
#line 336 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp15_ = rex;
#line 336 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp16_ = line;
#line 336 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp18_ = g_regex_match (_tmp15_, _tmp16_, 0, &_tmp17_);
#line 336 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_g_match_info_unref0 (match);
#line 336 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					match = _tmp17_;
#line 336 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					if (_tmp18_) {
#line 1847 "Device.c"
						gchar* child_name = NULL;
						GMatchInfo* _tmp19_;
						gchar* _tmp20_;
						gchar* _tmp21_;
						gchar* _tmp22_;
						gchar* _tmp23_;
						gchar* parent_kname = NULL;
						GMatchInfo* _tmp24_;
						gchar* _tmp25_;
						gchar* _tmp26_;
						gchar* _tmp27_;
						gchar* _tmp28_;
						Device* parent = NULL;
						Device* child = NULL;
						gboolean _tmp59_ = FALSE;
						Device* _tmp60_;
#line 338 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp19_ = match;
#line 338 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp20_ = g_match_info_fetch (_tmp19_, 1);
#line 338 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp21_ = _tmp20_;
#line 338 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp22_ = string_strip (_tmp21_);
#line 338 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp23_ = _tmp22_;
#line 338 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_g_free0 (_tmp21_);
#line 338 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						child_name = _tmp23_;
#line 339 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp24_ = match;
#line 339 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp25_ = g_match_info_fetch (_tmp24_, 2);
#line 339 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp26_ = _tmp25_;
#line 339 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp27_ = string_strip (_tmp26_);
#line 339 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp28_ = _tmp27_;
#line 339 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_g_free0 (_tmp26_);
#line 339 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						parent_kname = _tmp28_;
#line 341 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						parent = NULL;
#line 1894 "Device.c"
						{
							GeeArrayList* _dev_list = NULL;
							GeeArrayList* _tmp29_;
							gint _dev_size = 0;
							GeeArrayList* _tmp30_;
							gint _tmp31_;
							gint _tmp32_;
							gint _dev_index = 0;
#line 342 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_tmp29_ = _g_object_ref0 (list);
#line 342 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_dev_list = _tmp29_;
#line 342 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_tmp30_ = _dev_list;
#line 342 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_tmp31_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp30_);
#line 342 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_tmp32_ = _tmp31_;
#line 342 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_dev_size = _tmp32_;
#line 342 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_dev_index = -1;
#line 342 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							while (TRUE) {
#line 1919 "Device.c"
								gint _tmp33_;
								gint _tmp34_;
								gint _tmp35_;
								Device* dev = NULL;
								GeeArrayList* _tmp36_;
								gint _tmp37_;
								gpointer _tmp38_;
								Device* _tmp39_;
								const gchar* _tmp40_;
								const gchar* _tmp41_;
#line 342 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
								_tmp33_ = _dev_index;
#line 342 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
								_dev_index = _tmp33_ + 1;
#line 342 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
								_tmp34_ = _dev_index;
#line 342 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
								_tmp35_ = _dev_size;
#line 342 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
								if (!(_tmp34_ < _tmp35_)) {
#line 342 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									break;
#line 1942 "Device.c"
								}
#line 342 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
								_tmp36_ = _dev_list;
#line 342 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
								_tmp37_ = _dev_index;
#line 342 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
								_tmp38_ = gee_abstract_list_get ((GeeAbstractList*) _tmp36_, _tmp37_);
#line 342 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
								dev = (Device*) _tmp38_;
#line 343 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
								_tmp39_ = dev;
#line 343 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
								_tmp40_ = _tmp39_->kname;
#line 343 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
								_tmp41_ = parent_kname;
#line 343 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
								if (g_strcmp0 (_tmp40_, _tmp41_) == 0) {
#line 1960 "Device.c"
									Device* _tmp42_;
									Device* _tmp43_;
#line 344 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									_tmp42_ = dev;
#line 344 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									_tmp43_ = _g_object_ref0 (_tmp42_);
#line 344 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									_g_object_unref0 (parent);
#line 344 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									parent = _tmp43_;
#line 345 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									_g_object_unref0 (dev);
#line 345 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									break;
#line 1975 "Device.c"
								}
#line 342 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
								_g_object_unref0 (dev);
#line 1979 "Device.c"
							}
#line 342 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_g_object_unref0 (_dev_list);
#line 1983 "Device.c"
						}
#line 349 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						child = NULL;
#line 1987 "Device.c"
						{
							GeeArrayList* _dev_list = NULL;
							GeeArrayList* _tmp44_;
							gint _dev_size = 0;
							GeeArrayList* _tmp45_;
							gint _tmp46_;
							gint _tmp47_;
							gint _dev_index = 0;
#line 350 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_tmp44_ = _g_object_ref0 (list);
#line 350 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_dev_list = _tmp44_;
#line 350 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_tmp45_ = _dev_list;
#line 350 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_tmp46_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp45_);
#line 350 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_tmp47_ = _tmp46_;
#line 350 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_dev_size = _tmp47_;
#line 350 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_dev_index = -1;
#line 350 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							while (TRUE) {
#line 2012 "Device.c"
								gint _tmp48_;
								gint _tmp49_;
								gint _tmp50_;
								Device* dev = NULL;
								GeeArrayList* _tmp51_;
								gint _tmp52_;
								gpointer _tmp53_;
								Device* _tmp54_;
								const gchar* _tmp55_;
								const gchar* _tmp56_;
#line 350 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
								_tmp48_ = _dev_index;
#line 350 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
								_dev_index = _tmp48_ + 1;
#line 350 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
								_tmp49_ = _dev_index;
#line 350 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
								_tmp50_ = _dev_size;
#line 350 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
								if (!(_tmp49_ < _tmp50_)) {
#line 350 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									break;
#line 2035 "Device.c"
								}
#line 350 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
								_tmp51_ = _dev_list;
#line 350 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
								_tmp52_ = _dev_index;
#line 350 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
								_tmp53_ = gee_abstract_list_get ((GeeAbstractList*) _tmp51_, _tmp52_);
#line 350 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
								dev = (Device*) _tmp53_;
#line 351 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
								_tmp54_ = dev;
#line 351 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
								_tmp55_ = _tmp54_->mapped_name;
#line 351 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
								_tmp56_ = child_name;
#line 351 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
								if (g_strcmp0 (_tmp55_, _tmp56_) == 0) {
#line 2053 "Device.c"
									Device* _tmp57_;
									Device* _tmp58_;
#line 352 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									_tmp57_ = dev;
#line 352 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									_tmp58_ = _g_object_ref0 (_tmp57_);
#line 352 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									_g_object_unref0 (child);
#line 352 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									child = _tmp58_;
#line 353 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									_g_object_unref0 (dev);
#line 353 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									break;
#line 2068 "Device.c"
								}
#line 350 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
								_g_object_unref0 (dev);
#line 2072 "Device.c"
							}
#line 350 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_g_object_unref0 (_dev_list);
#line 2076 "Device.c"
						}
#line 357 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp60_ = parent;
#line 357 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						if (_tmp60_ != NULL) {
#line 2082 "Device.c"
							Device* _tmp61_;
#line 357 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_tmp61_ = child;
#line 357 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_tmp59_ = _tmp61_ != NULL;
#line 2088 "Device.c"
						} else {
#line 357 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_tmp59_ = FALSE;
#line 2092 "Device.c"
						}
#line 357 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						if (_tmp59_) {
#line 2096 "Device.c"
							Device* _tmp62_;
							Device* _tmp63_;
							const gchar* _tmp64_;
							gchar* _tmp65_;
#line 358 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_tmp62_ = child;
#line 358 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_tmp63_ = parent;
#line 358 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_tmp64_ = _tmp63_->kname;
#line 358 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_tmp65_ = g_strdup (_tmp64_);
#line 358 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_g_free0 (_tmp62_->pkname);
#line 358 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_tmp62_->pkname = _tmp65_;
#line 2113 "Device.c"
						}
#line 336 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_g_object_unref0 (child);
#line 336 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_g_object_unref0 (parent);
#line 336 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_g_free0 (parent_kname);
#line 336 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_g_free0 (child_name);
#line 2123 "Device.c"
					} else {
						const gchar* _tmp66_;
						gchar* _tmp67_;
						gchar* _tmp68_;
#line 364 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp66_ = line;
#line 364 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp67_ = g_strdup_printf ("no-match: %s", _tmp66_);
#line 364 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp68_ = _tmp67_;
#line 364 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						tee_jee_logging_log_debug (_tmp68_);
#line 364 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_g_free0 (_tmp68_);
#line 2138 "Device.c"
					}
#line 332 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_g_regex_unref0 (_tmp12_);
#line 2142 "Device.c"
				}
				goto __finally41;
				__catch41_g_error:
				{
					GError* e = NULL;
					GError* _tmp69_;
					const gchar* _tmp70_;
#line 332 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					e = _inner_error0_;
#line 332 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_inner_error0_ = NULL;
#line 368 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp69_ = e;
#line 368 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp70_ = _tmp69_->message;
#line 368 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					tee_jee_logging_log_error (_tmp70_, FALSE, FALSE);
#line 332 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_g_error_free0 (e);
#line 2162 "Device.c"
				}
				__finally41:
#line 332 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 332 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_g_free0 (line);
#line 332 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					line_collection = (_vala_array_free (line_collection, line_collection_length1, (GDestroyNotify) g_free), NULL);
#line 332 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_g_match_info_unref0 (match);
#line 332 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_g_regex_unref0 (rex);
#line 332 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_g_free0 (std_err);
#line 332 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_g_free0 (std_out);
#line 332 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 332 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					g_clear_error (&_inner_error0_);
#line 332 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					return;
#line 2185 "Device.c"
				}
#line 329 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_g_free0 (line);
#line 2189 "Device.c"
			}
		}
#line 329 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		line_collection = (_vala_array_free (line_collection, line_collection_length1, (GDestroyNotify) g_free), NULL);
#line 2194 "Device.c"
	}
#line 315 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_g_match_info_unref0 (match);
#line 315 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_g_regex_unref0 (rex);
#line 315 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_g_free0 (std_err);
#line 315 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_g_free0 (std_out);
#line 2204 "Device.c"
}


static gint64
int64_parse (const gchar* str)
{
	gint64 result = 0LL;
#line 722 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	g_return_val_if_fail (str != NULL, 0LL);
#line 723 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	result = g_ascii_strtoll (str, NULL, (guint) 0);
#line 723 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	return result;
#line 2218 "Device.c"
}


static gchar*
string_replace (const gchar* self,
                const gchar* old,
                const gchar* replacement)
{
	gchar* result = NULL;
	gboolean _tmp0_ = FALSE;
	gboolean _tmp1_ = FALSE;
	GError* _inner_error0_ = NULL;
#line 1479 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, NULL);
#line 1479 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	g_return_val_if_fail (old != NULL, NULL);
#line 1479 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	g_return_val_if_fail (replacement != NULL, NULL);
#line 1480 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	if ((*((gchar*) self)) == '\0') {
#line 1480 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp1_ = TRUE;
#line 2241 "Device.c"
	} else {
#line 1480 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp1_ = (*((gchar*) old)) == '\0';
#line 2245 "Device.c"
	}
#line 1480 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	if (_tmp1_) {
#line 1480 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp0_ = TRUE;
#line 2251 "Device.c"
	} else {
#line 1480 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp0_ = g_strcmp0 (old, replacement) == 0;
#line 2255 "Device.c"
	}
#line 1480 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	if (_tmp0_) {
#line 2259 "Device.c"
		gchar* _tmp2_;
#line 1481 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp2_ = g_strdup (self);
#line 1481 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		result = _tmp2_;
#line 1481 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		return result;
#line 2267 "Device.c"
	}
	{
		GRegex* regex = NULL;
		gchar* _tmp3_;
		gchar* _tmp4_;
		GRegex* _tmp5_;
		GRegex* _tmp6_;
		gchar* _tmp7_ = NULL;
		GRegex* _tmp8_;
		gchar* _tmp9_;
		gchar* _tmp10_;
#line 1484 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp3_ = g_regex_escape_string (old, -1);
#line 1484 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp4_ = _tmp3_;
#line 1484 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp5_ = g_regex_new (_tmp4_, 0, 0, &_inner_error0_);
#line 1484 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp6_ = _tmp5_;
#line 1484 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_g_free0 (_tmp4_);
#line 1484 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		regex = _tmp6_;
#line 1484 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 1484 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
			if (_inner_error0_->domain == G_REGEX_ERROR) {
#line 2295 "Device.c"
				goto __catch44_g_regex_error;
			}
#line 1484 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
			g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 1484 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
			g_clear_error (&_inner_error0_);
#line 1484 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
			return NULL;
#line 2304 "Device.c"
		}
#line 1485 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp8_ = regex;
#line 1485 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp9_ = g_regex_replace_literal (_tmp8_, self, (gssize) -1, 0, replacement, 0, &_inner_error0_);
#line 1485 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp7_ = _tmp9_;
#line 1485 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 1485 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
			_g_regex_unref0 (regex);
#line 1485 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
			if (_inner_error0_->domain == G_REGEX_ERROR) {
#line 2318 "Device.c"
				goto __catch44_g_regex_error;
			}
#line 1485 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
			g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 1485 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
			g_clear_error (&_inner_error0_);
#line 1485 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
			return NULL;
#line 2327 "Device.c"
		}
#line 1485 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp10_ = _tmp7_;
#line 1485 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp7_ = NULL;
#line 1485 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		result = _tmp10_;
#line 1485 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_g_free0 (_tmp7_);
#line 1485 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_g_regex_unref0 (regex);
#line 1485 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		return result;
#line 2341 "Device.c"
	}
	goto __finally44;
	__catch44_g_regex_error:
	{
		GError* e = NULL;
#line 1483 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		e = _inner_error0_;
#line 1483 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_inner_error0_ = NULL;
#line 1487 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		g_assert_not_reached ();
#line 1483 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_g_error_free0 (e);
#line 2355 "Device.c"
	}
	__finally44:
#line 1483 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 1483 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 1483 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		g_clear_error (&_inner_error0_);
#line 1483 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		return NULL;
#line 2366 "Device.c"
	}
}


GeeArrayList*
device_get_block_devices_using_lsblk (const gchar* dev_name)
{
	GeeArrayList* result = NULL;
	GeeArrayList* list = NULL;
	GeeArrayList* _tmp0_;
	gchar* std_out = NULL;
	gchar* std_err = NULL;
	gchar* cmd = NULL;
	gint ret_val = 0;
	GRegex* rex = NULL;
	GMatchInfo* match = NULL;
	gboolean _tmp1_;
	gint _tmp4_;
	gint _tmp5_;
	const gchar* _tmp10_;
	gchar* _tmp11_ = NULL;
	gchar* _tmp12_ = NULL;
	gint _tmp13_;
	gint index = 0;
	const gchar* _tmp14_;
	gchar** _tmp15_;
	gchar** _tmp16_;
	GeeArrayList* _tmp312_;
	GeeArrayList* _tmp313_;
	gboolean _tmp601_;
	GError* _inner_error0_ = NULL;
#line 374 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	g_return_val_if_fail (dev_name != NULL, NULL);
#line 381 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	device_test_lsblk_version ();
#line 383 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp0_ = gee_array_list_new (TYPE_DEVICE, (GBoxedCopyFunc) g_object_ref, (GDestroyNotify) g_object_unref, NULL, NULL, NULL);
#line 383 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	list = _tmp0_;
#line 392 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp1_ = device_lsblk_is_ancient;
#line 392 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	if (_tmp1_) {
#line 2410 "Device.c"
		gchar* _tmp2_;
#line 393 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp2_ = g_strdup ("lsblk --bytes --pairs --output NAME,KNAME,LABEL,UUID,TYPE,FSTYPE,SIZE," \
"MOUNTPOINT,MODEL,RO,RM,MAJ:MIN");
#line 393 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (cmd);
#line 393 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		cmd = _tmp2_;
#line 2418 "Device.c"
	} else {
		gchar* _tmp3_;
#line 396 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp3_ = g_strdup ("lsblk --bytes --pairs --output NAME,KNAME,LABEL,UUID,TYPE,FSTYPE,SIZE," \
"MOUNTPOINT,MODEL,RO,HOTPLUG,MAJ:MIN,PARTLABEL,PARTUUID,PKNAME,VENDOR,S" \
"ERIAL,REV");
#line 396 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (cmd);
#line 396 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		cmd = _tmp3_;
#line 2427 "Device.c"
	}
#line 399 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp4_ = strlen (dev_name);
#line 399 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp5_ = _tmp4_;
#line 399 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	if (_tmp5_ > 0) {
#line 2435 "Device.c"
		const gchar* _tmp6_;
		gchar* _tmp7_;
		gchar* _tmp8_;
		gchar* _tmp9_;
#line 400 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp6_ = cmd;
#line 400 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp7_ = g_strdup_printf (" %s", dev_name);
#line 400 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp8_ = _tmp7_;
#line 400 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp9_ = g_strconcat (_tmp6_, _tmp8_, NULL);
#line 400 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (cmd);
#line 400 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		cmd = _tmp9_;
#line 400 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (_tmp8_);
#line 2454 "Device.c"
	}
#line 403 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp10_ = cmd;
#line 403 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp13_ = tee_jee_process_helper_exec_sync (_tmp10_, &_tmp11_, &_tmp12_);
#line 403 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_g_free0 (std_out);
#line 403 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	std_out = _tmp11_;
#line 403 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_g_free0 (std_err);
#line 403 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	std_err = _tmp12_;
#line 403 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	ret_val = _tmp13_;
#line 424 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	index = -1;
#line 426 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp14_ = std_out;
#line 426 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp16_ = _tmp15_ = g_strsplit (_tmp14_, "\n", 0);
#line 2476 "Device.c"
	{
		gchar** line_collection = NULL;
		gint line_collection_length1 = 0;
		gint _line_collection_size_ = 0;
		gint line_it = 0;
#line 426 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		line_collection = _tmp16_;
#line 426 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		line_collection_length1 = _vala_array_length (_tmp15_);
#line 426 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		for (line_it = 0; line_it < line_collection_length1; line_it = line_it + 1) {
#line 2488 "Device.c"
			gchar* _tmp17_;
			gchar* line = NULL;
#line 426 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp17_ = g_strdup (line_collection[line_it]);
#line 426 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			line = _tmp17_;
#line 2495 "Device.c"
			{
				const gchar* _tmp18_;
				gchar* _tmp19_;
				gchar* _tmp20_;
				gint _tmp21_;
				gint _tmp22_;
				gboolean _tmp23_;
#line 427 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp18_ = line;
#line 427 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp19_ = string_strip (_tmp18_);
#line 427 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp20_ = _tmp19_;
#line 427 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp21_ = strlen (_tmp20_);
#line 427 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp22_ = _tmp21_;
#line 427 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp23_ = _tmp22_ == 0;
#line 427 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_g_free0 (_tmp20_);
#line 427 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				if (_tmp23_) {
#line 427 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_g_free0 (line);
#line 427 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					continue;
#line 2523 "Device.c"
				}
				{
					gboolean _tmp24_;
					GRegex* _tmp31_;
					const gchar* _tmp32_;
					GMatchInfo* _tmp33_ = NULL;
					gboolean _tmp34_;
#line 430 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp24_ = device_lsblk_is_ancient;
#line 430 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					if (_tmp24_) {
#line 2535 "Device.c"
						GRegex* _tmp25_ = NULL;
						GRegex* _tmp26_;
						GRegex* _tmp27_;
#line 431 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp26_ = g_regex_new ("NAME=\"(.*)\" KNAME=\"(.*)\" LABEL=\"(.*)\" UUID=\"(.*)\" TYPE=\"(.*)\"" \
" FSTYPE=\"(.*)\" SIZE=\"(.*)\" MOUNTPOINT=\"(.*)\" MODEL=\"(.*)\" RO=\"" \
"([0-9]+)\" RM=\"([0-9]+)\" MAJ[_:]MIN=\"([0-9:]+)\"", 0, 0, &_inner_error0_);
#line 431 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp25_ = _tmp26_;
#line 431 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 2545 "Device.c"
							goto __catch42_g_error;
						}
#line 431 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp27_ = _tmp25_;
#line 431 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp25_ = NULL;
#line 431 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_g_regex_unref0 (rex);
#line 431 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						rex = _tmp27_;
#line 430 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_g_regex_unref0 (_tmp25_);
#line 2558 "Device.c"
					} else {
						GRegex* _tmp28_ = NULL;
						GRegex* _tmp29_;
						GRegex* _tmp30_;
#line 434 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp29_ = g_regex_new ("NAME=\"(.*)\" KNAME=\"(.*)\" LABEL=\"(.*)\" UUID=\"(.*)\" TYPE=\"(.*)\"" \
" FSTYPE=\"(.*)\" SIZE=\"(.*)\" MOUNTPOINT=\"(.*)\" MODEL=\"(.*)\" RO=\"" \
"([0-9]+)\" HOTPLUG=\"([0-9]+)\" MAJ[_:]MIN=\"([0-9:]+)\" PARTLABEL=\"(" \
".*)\" PARTUUID=\"(.*)\" PKNAME=\"(.*)\" VENDOR=\"(.*)\" SERIAL=\"(.*)\"" \
" REV=\"(.*)\"", 0, 0, &_inner_error0_);
#line 434 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp28_ = _tmp29_;
#line 434 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 2569 "Device.c"
							goto __catch42_g_error;
						}
#line 434 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp30_ = _tmp28_;
#line 434 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp28_ = NULL;
#line 434 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_g_regex_unref0 (rex);
#line 434 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						rex = _tmp30_;
#line 430 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_g_regex_unref0 (_tmp28_);
#line 2582 "Device.c"
					}
#line 437 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp31_ = rex;
#line 437 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp32_ = line;
#line 437 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp34_ = g_regex_match (_tmp31_, _tmp32_, 0, &_tmp33_);
#line 437 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_g_match_info_unref0 (match);
#line 437 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					match = _tmp33_;
#line 437 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					if (_tmp34_) {
#line 2596 "Device.c"
						Device* pi = NULL;
						Device* _tmp35_;
						gint pos = 0;
						Device* _tmp36_;
						GMatchInfo* _tmp37_;
						gint _tmp38_;
						gint _tmp39_;
						gchar* _tmp40_;
						gchar* _tmp41_;
						gchar* _tmp42_;
						Device* _tmp43_;
						GMatchInfo* _tmp44_;
						gint _tmp45_;
						gint _tmp46_;
						gchar* _tmp47_;
						gchar* _tmp48_;
						gchar* _tmp49_;
						Device* _tmp50_;
						GMatchInfo* _tmp51_;
						gint _tmp52_;
						gint _tmp53_;
						gchar* _tmp54_;
						Device* _tmp55_;
						GMatchInfo* _tmp56_;
						gint _tmp57_;
						gint _tmp58_;
						gchar* _tmp59_;
						gchar* _tmp60_;
						gchar* _tmp61_;
						Device* _tmp62_;
						GMatchInfo* _tmp63_;
						gint _tmp64_;
						gint _tmp65_;
						gchar* _tmp66_;
						gchar* _tmp67_;
						gchar* _tmp68_;
						gchar* _tmp69_;
						gchar* _tmp70_;
						Device* _tmp71_;
						GMatchInfo* _tmp72_;
						gint _tmp73_;
						gint _tmp74_;
						gchar* _tmp75_;
						gchar* _tmp76_;
						gchar* _tmp77_;
						gchar* _tmp78_;
						gchar* _tmp79_;
						const gchar* _tmp80_ = NULL;
						Device* _tmp81_;
						const gchar* _tmp82_;
						Device* _tmp85_;
						gchar* _tmp86_;
						const gchar* _tmp87_ = NULL;
						Device* _tmp88_;
						const gchar* _tmp89_;
						Device* _tmp92_;
						gchar* _tmp93_;
						Device* _tmp94_;
						GMatchInfo* _tmp95_;
						gint _tmp96_;
						gint _tmp97_;
						gchar* _tmp98_;
						gchar* _tmp99_;
						gchar* _tmp100_;
						gchar* _tmp101_;
						gchar* mp = NULL;
						GMatchInfo* _tmp102_;
						gint _tmp103_;
						gint _tmp104_;
						gchar* _tmp105_;
						gchar* _tmp106_;
						gchar* _tmp107_;
						gchar* _tmp108_;
						const gchar* _tmp109_;
						gint _tmp110_;
						gint _tmp111_;
						Device* _tmp118_;
						GMatchInfo* _tmp119_;
						gint _tmp120_;
						gint _tmp121_;
						gchar* _tmp122_;
						gchar* _tmp123_;
						gchar* _tmp124_;
						Device* _tmp125_;
						GMatchInfo* _tmp126_;
						gint _tmp127_;
						gint _tmp128_;
						gchar* _tmp129_;
						gchar* _tmp130_;
						gchar* _tmp131_;
						gchar* _tmp132_;
						Device* _tmp133_;
						GMatchInfo* _tmp134_;
						gint _tmp135_;
						gint _tmp136_;
						gchar* _tmp137_;
						gchar* _tmp138_;
						gchar* _tmp139_;
						gchar* _tmp140_;
						gchar* txt = NULL;
						GMatchInfo* _tmp141_;
						gint _tmp142_;
						gint _tmp143_;
						gchar* _tmp144_;
						gchar* _tmp145_;
						gchar* _tmp146_;
						gchar* _tmp147_;
						const gchar* _tmp148_;
						gboolean _tmp161_;
						Device* _tmp202_;
						gint _tmp203_;
						gint _tmp204_;
						Device* _tmp205_;
						Device* _tmp206_;
						const gchar* _tmp207_;
						gchar* _tmp208_;
						Device* _tmp209_;
						const gchar* _tmp210_;
						gint _tmp211_;
						gint _tmp212_;
						Device* _tmp217_;
						const gchar* _tmp218_;
						gint _tmp219_;
						gint _tmp220_;
						Device* _tmp225_;
						const gchar* _tmp226_;
						gint _tmp227_;
						gint _tmp228_;
						Device* _tmp233_;
						const gchar* _tmp234_;
						gint _tmp235_;
						gint _tmp236_;
						GeeArrayList* _tmp241_;
						Device* _tmp242_;
#line 439 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp35_ = device_new ();
#line 439 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						pi = _tmp35_;
#line 441 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						pos = 0;
#line 443 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp36_ = pi;
#line 443 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp37_ = match;
#line 443 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp38_ = pos;
#line 443 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						pos = _tmp38_ + 1;
#line 443 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp39_ = pos;
#line 443 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp40_ = g_match_info_fetch (_tmp37_, _tmp39_);
#line 443 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp41_ = _tmp40_;
#line 443 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp42_ = string_strip (_tmp41_);
#line 443 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_g_free0 (_tmp36_->name);
#line 443 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp36_->name = _tmp42_;
#line 443 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_g_free0 (_tmp41_);
#line 444 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp43_ = pi;
#line 444 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp44_ = match;
#line 444 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp45_ = pos;
#line 444 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						pos = _tmp45_ + 1;
#line 444 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp46_ = pos;
#line 444 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp47_ = g_match_info_fetch (_tmp44_, _tmp46_);
#line 444 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp48_ = _tmp47_;
#line 444 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp49_ = string_strip (_tmp48_);
#line 444 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_g_free0 (_tmp43_->kname);
#line 444 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp43_->kname = _tmp49_;
#line 444 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_g_free0 (_tmp48_);
#line 446 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp50_ = pi;
#line 446 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp51_ = match;
#line 446 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp52_ = pos;
#line 446 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						pos = _tmp52_ + 1;
#line 446 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp53_ = pos;
#line 446 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp54_ = g_match_info_fetch (_tmp51_, _tmp53_);
#line 446 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_g_free0 (_tmp50_->label);
#line 446 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp50_->label = _tmp54_;
#line 447 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp55_ = pi;
#line 447 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp56_ = match;
#line 447 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp57_ = pos;
#line 447 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						pos = _tmp57_ + 1;
#line 447 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp58_ = pos;
#line 447 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp59_ = g_match_info_fetch (_tmp56_, _tmp58_);
#line 447 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp60_ = _tmp59_;
#line 447 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp61_ = string_strip (_tmp60_);
#line 447 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_g_free0 (_tmp55_->uuid);
#line 447 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp55_->uuid = _tmp61_;
#line 447 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_g_free0 (_tmp60_);
#line 449 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp62_ = pi;
#line 449 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp63_ = match;
#line 449 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp64_ = pos;
#line 449 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						pos = _tmp64_ + 1;
#line 449 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp65_ = pos;
#line 449 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp66_ = g_match_info_fetch (_tmp63_, _tmp65_);
#line 449 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp67_ = _tmp66_;
#line 449 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp68_ = string_strip (_tmp67_);
#line 449 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp69_ = _tmp68_;
#line 449 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp70_ = g_utf8_strdown (_tmp69_, (gssize) -1);
#line 449 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_g_free0 (_tmp62_->type);
#line 449 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp62_->type = _tmp70_;
#line 449 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_g_free0 (_tmp69_);
#line 449 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_g_free0 (_tmp67_);
#line 451 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp71_ = pi;
#line 451 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp72_ = match;
#line 451 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp73_ = pos;
#line 451 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						pos = _tmp73_ + 1;
#line 451 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp74_ = pos;
#line 451 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp75_ = g_match_info_fetch (_tmp72_, _tmp74_);
#line 451 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp76_ = _tmp75_;
#line 451 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp77_ = string_strip (_tmp76_);
#line 451 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp78_ = _tmp77_;
#line 451 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp79_ = g_utf8_strdown (_tmp78_, (gssize) -1);
#line 451 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_g_free0 (_tmp71_->fstype);
#line 451 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp71_->fstype = _tmp79_;
#line 451 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_g_free0 (_tmp78_);
#line 451 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_g_free0 (_tmp76_);
#line 452 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp81_ = pi;
#line 452 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp82_ = _tmp81_->fstype;
#line 452 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						if (g_strcmp0 (_tmp82_, "crypto_luks") == 0) {
#line 452 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_tmp80_ = "luks";
#line 2883 "Device.c"
						} else {
							Device* _tmp83_;
							const gchar* _tmp84_;
#line 452 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_tmp83_ = pi;
#line 452 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_tmp84_ = _tmp83_->fstype;
#line 452 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_tmp80_ = _tmp84_;
#line 2893 "Device.c"
						}
#line 452 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp85_ = pi;
#line 452 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp86_ = g_strdup (_tmp80_);
#line 452 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_g_free0 (_tmp85_->fstype);
#line 452 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp85_->fstype = _tmp86_;
#line 453 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp88_ = pi;
#line 453 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp89_ = _tmp88_->fstype;
#line 453 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						if (g_strcmp0 (_tmp89_, "lvm2_member") == 0) {
#line 453 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_tmp87_ = "lvm2";
#line 2911 "Device.c"
						} else {
							Device* _tmp90_;
							const gchar* _tmp91_;
#line 453 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_tmp90_ = pi;
#line 453 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_tmp91_ = _tmp90_->fstype;
#line 453 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_tmp87_ = _tmp91_;
#line 2921 "Device.c"
						}
#line 453 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp92_ = pi;
#line 453 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp93_ = g_strdup (_tmp87_);
#line 453 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_g_free0 (_tmp92_->fstype);
#line 453 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp92_->fstype = _tmp93_;
#line 455 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp94_ = pi;
#line 455 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp95_ = match;
#line 455 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp96_ = pos;
#line 455 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						pos = _tmp96_ + 1;
#line 455 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp97_ = pos;
#line 455 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp98_ = g_match_info_fetch (_tmp95_, _tmp97_);
#line 455 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp99_ = _tmp98_;
#line 455 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp100_ = string_strip (_tmp99_);
#line 455 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp101_ = _tmp100_;
#line 455 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp94_->size_bytes = (guint64) int64_parse (_tmp101_);
#line 455 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_g_free0 (_tmp101_);
#line 455 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_g_free0 (_tmp99_);
#line 457 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp102_ = match;
#line 457 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp103_ = pos;
#line 457 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						pos = _tmp103_ + 1;
#line 457 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp104_ = pos;
#line 457 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp105_ = g_match_info_fetch (_tmp102_, _tmp104_);
#line 457 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp106_ = _tmp105_;
#line 457 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp107_ = string_strip (_tmp106_);
#line 457 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp108_ = _tmp107_;
#line 457 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_g_free0 (_tmp106_);
#line 457 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						mp = _tmp108_;
#line 458 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp109_ = mp;
#line 458 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp110_ = strlen (_tmp109_);
#line 458 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp111_ = _tmp110_;
#line 458 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						if (_tmp111_ > 0) {
#line 2983 "Device.c"
							Device* _tmp112_;
							GeeArrayList* _tmp113_;
							Device* _tmp114_;
							const gchar* _tmp115_;
							MountEntry* _tmp116_;
							MountEntry* _tmp117_;
#line 459 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_tmp112_ = pi;
#line 459 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_tmp113_ = _tmp112_->mount_points;
#line 459 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_tmp114_ = pi;
#line 459 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_tmp115_ = mp;
#line 459 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_tmp116_ = mount_entry_new (_tmp114_, _tmp115_, "");
#line 459 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_tmp117_ = _tmp116_;
#line 459 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							gee_abstract_collection_add ((GeeAbstractCollection*) _tmp113_, _tmp117_);
#line 459 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_g_object_unref0 (_tmp117_);
#line 3006 "Device.c"
						}
#line 462 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp118_ = pi;
#line 462 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp119_ = match;
#line 462 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp120_ = pos;
#line 462 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						pos = _tmp120_ + 1;
#line 462 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp121_ = pos;
#line 462 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp122_ = g_match_info_fetch (_tmp119_, _tmp121_);
#line 462 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp123_ = _tmp122_;
#line 462 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp124_ = string_strip (_tmp123_);
#line 462 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_g_free0 (_tmp118_->model);
#line 462 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp118_->model = _tmp124_;
#line 462 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_g_free0 (_tmp123_);
#line 464 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp125_ = pi;
#line 464 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp126_ = match;
#line 464 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp127_ = pos;
#line 464 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						pos = _tmp127_ + 1;
#line 464 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp128_ = pos;
#line 464 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp129_ = g_match_info_fetch (_tmp126_, _tmp128_);
#line 464 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp130_ = _tmp129_;
#line 464 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp131_ = string_strip (_tmp130_);
#line 464 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp132_ = _tmp131_;
#line 464 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp125_->read_only = g_strcmp0 (_tmp132_, "1") == 0;
#line 464 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_g_free0 (_tmp132_);
#line 464 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_g_free0 (_tmp130_);
#line 466 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp133_ = pi;
#line 466 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp134_ = match;
#line 466 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp135_ = pos;
#line 466 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						pos = _tmp135_ + 1;
#line 466 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp136_ = pos;
#line 466 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp137_ = g_match_info_fetch (_tmp134_, _tmp136_);
#line 466 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp138_ = _tmp137_;
#line 466 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp139_ = string_strip (_tmp138_);
#line 466 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp140_ = _tmp139_;
#line 466 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp133_->removable = g_strcmp0 (_tmp140_, "1") == 0;
#line 466 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_g_free0 (_tmp140_);
#line 466 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_g_free0 (_tmp138_);
#line 468 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp141_ = match;
#line 468 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp142_ = pos;
#line 468 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						pos = _tmp142_ + 1;
#line 468 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp143_ = pos;
#line 468 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp144_ = g_match_info_fetch (_tmp141_, _tmp143_);
#line 468 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp145_ = _tmp144_;
#line 468 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp146_ = string_strip (_tmp145_);
#line 468 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp147_ = _tmp146_;
#line 468 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_g_free0 (_tmp145_);
#line 468 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						txt = _tmp147_;
#line 469 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp148_ = txt;
#line 469 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						if (string_contains (_tmp148_, ":")) {
#line 3102 "Device.c"
							Device* _tmp149_;
							const gchar* _tmp150_;
							gchar** _tmp151_;
							gchar** _tmp152_;
							gchar** _tmp153_;
							gint _tmp153__length1;
							const gchar* _tmp154_;
							Device* _tmp155_;
							const gchar* _tmp156_;
							gchar** _tmp157_;
							gchar** _tmp158_;
							gchar** _tmp159_;
							gint _tmp159__length1;
							const gchar* _tmp160_;
#line 470 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_tmp149_ = pi;
#line 470 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_tmp150_ = txt;
#line 470 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_tmp152_ = _tmp151_ = g_strsplit (_tmp150_, ":", 0);
#line 470 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_tmp153_ = _tmp152_;
#line 470 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_tmp153__length1 = _vala_array_length (_tmp151_);
#line 470 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_tmp154_ = _tmp153_[0];
#line 470 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_tmp149_->major = atoi (_tmp154_);
#line 470 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_tmp153_ = (_vala_array_free (_tmp153_, _tmp153__length1, (GDestroyNotify) g_free), NULL);
#line 471 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_tmp155_ = pi;
#line 471 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_tmp156_ = txt;
#line 471 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_tmp158_ = _tmp157_ = g_strsplit (_tmp156_, ":", 0);
#line 471 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_tmp159_ = _tmp158_;
#line 471 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_tmp159__length1 = _vala_array_length (_tmp157_);
#line 471 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_tmp160_ = _tmp159_[1];
#line 471 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_tmp155_->minor = atoi (_tmp160_);
#line 471 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_tmp159_ = (_vala_array_free (_tmp159_, _tmp159__length1, (GDestroyNotify) g_free), NULL);
#line 3149 "Device.c"
						}
#line 474 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp161_ = device_lsblk_is_ancient;
#line 474 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						if (!_tmp161_) {
#line 3155 "Device.c"
							Device* _tmp162_;
							GMatchInfo* _tmp163_;
							gint _tmp164_;
							gint _tmp165_;
							gchar* _tmp166_;
							Device* _tmp167_;
							GMatchInfo* _tmp168_;
							gint _tmp169_;
							gint _tmp170_;
							gchar* _tmp171_;
							gchar* _tmp172_;
							gchar* _tmp173_;
							Device* _tmp174_;
							GMatchInfo* _tmp175_;
							gint _tmp176_;
							gint _tmp177_;
							gchar* _tmp178_;
							gchar* _tmp179_;
							gchar* _tmp180_;
							Device* _tmp181_;
							GMatchInfo* _tmp182_;
							gint _tmp183_;
							gint _tmp184_;
							gchar* _tmp185_;
							gchar* _tmp186_;
							gchar* _tmp187_;
							Device* _tmp188_;
							GMatchInfo* _tmp189_;
							gint _tmp190_;
							gint _tmp191_;
							gchar* _tmp192_;
							gchar* _tmp193_;
							gchar* _tmp194_;
							Device* _tmp195_;
							GMatchInfo* _tmp196_;
							gint _tmp197_;
							gint _tmp198_;
							gchar* _tmp199_;
							gchar* _tmp200_;
							gchar* _tmp201_;
#line 476 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_tmp162_ = pi;
#line 476 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_tmp163_ = match;
#line 476 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_tmp164_ = pos;
#line 476 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							pos = _tmp164_ + 1;
#line 476 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_tmp165_ = pos;
#line 476 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_tmp166_ = g_match_info_fetch (_tmp163_, _tmp165_);
#line 476 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_g_free0 (_tmp162_->partlabel);
#line 476 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_tmp162_->partlabel = _tmp166_;
#line 477 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_tmp167_ = pi;
#line 477 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_tmp168_ = match;
#line 477 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_tmp169_ = pos;
#line 477 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							pos = _tmp169_ + 1;
#line 477 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_tmp170_ = pos;
#line 477 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_tmp171_ = g_match_info_fetch (_tmp168_, _tmp170_);
#line 477 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_tmp172_ = _tmp171_;
#line 477 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_tmp173_ = string_strip (_tmp172_);
#line 477 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_g_free0 (_tmp167_->partuuid);
#line 477 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_tmp167_->partuuid = _tmp173_;
#line 477 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_g_free0 (_tmp172_);
#line 479 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_tmp174_ = pi;
#line 479 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_tmp175_ = match;
#line 479 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_tmp176_ = pos;
#line 479 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							pos = _tmp176_ + 1;
#line 479 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_tmp177_ = pos;
#line 479 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_tmp178_ = g_match_info_fetch (_tmp175_, _tmp177_);
#line 479 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_tmp179_ = _tmp178_;
#line 479 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_tmp180_ = string_strip (_tmp179_);
#line 479 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_g_free0 (_tmp174_->pkname);
#line 479 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_tmp174_->pkname = _tmp180_;
#line 479 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_g_free0 (_tmp179_);
#line 480 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_tmp181_ = pi;
#line 480 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_tmp182_ = match;
#line 480 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_tmp183_ = pos;
#line 480 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							pos = _tmp183_ + 1;
#line 480 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_tmp184_ = pos;
#line 480 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_tmp185_ = g_match_info_fetch (_tmp182_, _tmp184_);
#line 480 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_tmp186_ = _tmp185_;
#line 480 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_tmp187_ = string_strip (_tmp186_);
#line 480 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_g_free0 (_tmp181_->vendor);
#line 480 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_tmp181_->vendor = _tmp187_;
#line 480 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_g_free0 (_tmp186_);
#line 481 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_tmp188_ = pi;
#line 481 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_tmp189_ = match;
#line 481 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_tmp190_ = pos;
#line 481 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							pos = _tmp190_ + 1;
#line 481 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_tmp191_ = pos;
#line 481 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_tmp192_ = g_match_info_fetch (_tmp189_, _tmp191_);
#line 481 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_tmp193_ = _tmp192_;
#line 481 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_tmp194_ = string_strip (_tmp193_);
#line 481 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_g_free0 (_tmp188_->serial);
#line 481 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_tmp188_->serial = _tmp194_;
#line 481 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_g_free0 (_tmp193_);
#line 482 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_tmp195_ = pi;
#line 482 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_tmp196_ = match;
#line 482 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_tmp197_ = pos;
#line 482 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							pos = _tmp197_ + 1;
#line 482 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_tmp198_ = pos;
#line 482 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_tmp199_ = g_match_info_fetch (_tmp196_, _tmp198_);
#line 482 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_tmp200_ = _tmp199_;
#line 482 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_tmp201_ = string_strip (_tmp200_);
#line 482 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_g_free0 (_tmp195_->revision);
#line 482 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_tmp195_->revision = _tmp201_;
#line 482 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_g_free0 (_tmp200_);
#line 3322 "Device.c"
						}
#line 485 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp202_ = pi;
#line 485 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp203_ = index;
#line 485 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						index = _tmp203_ + 1;
#line 485 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp204_ = index;
#line 485 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp202_->order = _tmp204_;
#line 486 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp205_ = pi;
#line 486 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp206_ = pi;
#line 486 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp207_ = _tmp206_->kname;
#line 486 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp208_ = g_strdup_printf ("/dev/%s", _tmp207_);
#line 486 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_g_free0 (_tmp205_->device);
#line 486 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp205_->device = _tmp208_;
#line 488 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp209_ = pi;
#line 488 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp210_ = _tmp209_->uuid;
#line 488 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp211_ = strlen (_tmp210_);
#line 488 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp212_ = _tmp211_;
#line 488 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						if (_tmp212_ > 0) {
#line 3356 "Device.c"
							Device* _tmp213_;
							Device* _tmp214_;
							const gchar* _tmp215_;
							gchar* _tmp216_;
#line 489 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_tmp213_ = pi;
#line 489 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_tmp214_ = pi;
#line 489 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_tmp215_ = _tmp214_->uuid;
#line 489 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_tmp216_ = g_strdup_printf ("/dev/disk/by-uuid/%s", _tmp215_);
#line 489 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_g_free0 (_tmp213_->device_by_uuid);
#line 489 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_tmp213_->device_by_uuid = _tmp216_;
#line 3373 "Device.c"
						}
#line 492 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp217_ = pi;
#line 492 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp218_ = _tmp217_->label;
#line 492 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp219_ = strlen (_tmp218_);
#line 492 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp220_ = _tmp219_;
#line 492 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						if (_tmp220_ > 0) {
#line 3385 "Device.c"
							Device* _tmp221_;
							Device* _tmp222_;
							const gchar* _tmp223_;
							gchar* _tmp224_;
#line 493 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_tmp221_ = pi;
#line 493 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_tmp222_ = pi;
#line 493 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_tmp223_ = _tmp222_->label;
#line 493 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_tmp224_ = g_strdup_printf ("/dev/disk/by-label/%s", _tmp223_);
#line 493 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_g_free0 (_tmp221_->device_by_label);
#line 493 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_tmp221_->device_by_label = _tmp224_;
#line 3402 "Device.c"
						}
#line 496 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp225_ = pi;
#line 496 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp226_ = _tmp225_->partuuid;
#line 496 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp227_ = strlen (_tmp226_);
#line 496 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp228_ = _tmp227_;
#line 496 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						if (_tmp228_ > 0) {
#line 3414 "Device.c"
							Device* _tmp229_;
							Device* _tmp230_;
							const gchar* _tmp231_;
							gchar* _tmp232_;
#line 497 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_tmp229_ = pi;
#line 497 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_tmp230_ = pi;
#line 497 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_tmp231_ = _tmp230_->partuuid;
#line 497 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_tmp232_ = g_strdup_printf ("/dev/disk/by-partuuid/%s", _tmp231_);
#line 497 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_g_free0 (_tmp229_->device_by_partuuid);
#line 497 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_tmp229_->device_by_partuuid = _tmp232_;
#line 3431 "Device.c"
						}
#line 500 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp233_ = pi;
#line 500 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp234_ = _tmp233_->partlabel;
#line 500 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp235_ = strlen (_tmp234_);
#line 500 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp236_ = _tmp235_;
#line 500 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						if (_tmp236_ > 0) {
#line 3443 "Device.c"
							Device* _tmp237_;
							Device* _tmp238_;
							const gchar* _tmp239_;
							gchar* _tmp240_;
#line 501 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_tmp237_ = pi;
#line 501 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_tmp238_ = pi;
#line 501 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_tmp239_ = _tmp238_->partlabel;
#line 501 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_tmp240_ = g_strdup_printf ("/dev/disk/by-partlabel/%s", _tmp239_);
#line 501 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_g_free0 (_tmp237_->device_by_partlabel);
#line 501 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_tmp237_->device_by_partlabel = _tmp240_;
#line 3460 "Device.c"
						}
#line 509 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp241_ = list;
#line 509 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp242_ = pi;
#line 509 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						gee_abstract_collection_add ((GeeAbstractCollection*) _tmp241_, _tmp242_);
#line 437 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_g_free0 (txt);
#line 437 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_g_free0 (mp);
#line 437 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_g_object_unref0 (pi);
#line 3474 "Device.c"
					} else {
						const gchar* _tmp243_;
						gchar* _tmp244_;
						gchar* _tmp245_;
#line 513 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp243_ = line;
#line 513 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp244_ = g_strdup_printf ("no-match: %s", _tmp243_);
#line 513 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp245_ = _tmp244_;
#line 513 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						tee_jee_logging_log_debug (_tmp245_);
#line 513 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_g_free0 (_tmp245_);
#line 3489 "Device.c"
					}
				}
				goto __finally42;
				__catch42_g_error:
				{
					GError* e = NULL;
					GError* _tmp246_;
					const gchar* _tmp247_;
#line 429 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					e = _inner_error0_;
#line 429 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_inner_error0_ = NULL;
#line 517 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp246_ = e;
#line 517 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp247_ = _tmp246_->message;
#line 517 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					tee_jee_logging_log_error (_tmp247_, FALSE, FALSE);
#line 429 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_g_error_free0 (e);
#line 3510 "Device.c"
				}
				__finally42:
#line 429 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 429 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_g_free0 (line);
#line 429 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					line_collection = (_vala_array_free (line_collection, line_collection_length1, (GDestroyNotify) g_free), NULL);
#line 429 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_g_match_info_unref0 (match);
#line 429 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_g_regex_unref0 (rex);
#line 429 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_g_free0 (cmd);
#line 429 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_g_free0 (std_err);
#line 429 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_g_free0 (std_out);
#line 429 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_g_object_unref0 (list);
#line 429 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 429 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					g_clear_error (&_inner_error0_);
#line 429 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					return NULL;
#line 3537 "Device.c"
				}
#line 426 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_g_free0 (line);
#line 3541 "Device.c"
			}
		}
#line 426 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		line_collection = (_vala_array_free (line_collection, line_collection_length1, (GDestroyNotify) g_free), NULL);
#line 3546 "Device.c"
	}
	{
		GeeArrayList* _dev_list = NULL;
		GeeArrayList* _tmp248_;
		GeeArrayList* _tmp249_;
		gint _dev_size = 0;
		GeeArrayList* _tmp250_;
		gint _tmp251_;
		gint _tmp252_;
		gint _dev_index = 0;
#line 528 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp248_ = list;
#line 528 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp249_ = _g_object_ref0 (_tmp248_);
#line 528 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_dev_list = _tmp249_;
#line 528 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp250_ = _dev_list;
#line 528 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp251_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp250_);
#line 528 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp252_ = _tmp251_;
#line 528 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_dev_size = _tmp252_;
#line 528 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_dev_index = -1;
#line 528 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		while (TRUE) {
#line 3575 "Device.c"
			gint _tmp253_;
			gint _tmp254_;
			gint _tmp255_;
			Device* dev = NULL;
			GeeArrayList* _tmp256_;
			gint _tmp257_;
			gpointer _tmp258_;
			gchar* dev_by_uuid = NULL;
			Device* _tmp259_;
			const gchar* _tmp260_;
			gchar* _tmp261_;
			const gchar* _tmp262_;
#line 528 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp253_ = _dev_index;
#line 528 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_dev_index = _tmp253_ + 1;
#line 528 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp254_ = _dev_index;
#line 528 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp255_ = _dev_size;
#line 528 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			if (!(_tmp254_ < _tmp255_)) {
#line 528 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				break;
#line 3600 "Device.c"
			}
#line 528 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp256_ = _dev_list;
#line 528 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp257_ = _dev_index;
#line 528 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp258_ = gee_abstract_list_get ((GeeAbstractList*) _tmp256_, _tmp257_);
#line 528 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			dev = (Device*) _tmp258_;
#line 529 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp259_ = dev;
#line 529 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp260_ = _tmp259_->uuid;
#line 529 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp261_ = tee_jee_file_system_path_combine ("/dev/disk/by-uuid/", _tmp260_);
#line 529 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			dev_by_uuid = _tmp261_;
#line 530 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp262_ = dev_by_uuid;
#line 530 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			if (tee_jee_file_system_file_exists (_tmp262_)) {
#line 3622 "Device.c"
				Device* _tmp263_;
				GeeArrayList* _tmp264_;
				const gchar* _tmp265_;
#line 531 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp263_ = dev;
#line 531 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp264_ = _tmp263_->symlinks;
#line 531 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp265_ = dev_by_uuid;
#line 531 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				gee_abstract_collection_add ((GeeAbstractCollection*) _tmp264_, _tmp265_);
#line 3634 "Device.c"
			}
#line 528 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_g_free0 (dev_by_uuid);
#line 528 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_g_object_unref0 (dev);
#line 3640 "Device.c"
		}
#line 528 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_object_unref0 (_dev_list);
#line 3644 "Device.c"
	}
	{
		GFile* f_dev_mapper = NULL;
		GFile* _tmp266_;
		GFileEnumerator* enumerator = NULL;
		GFile* _tmp267_;
		gchar* _tmp268_;
		gchar* _tmp269_;
		GFileEnumerator* _tmp270_;
		GFileEnumerator* _tmp271_;
		GFileInfo* info = NULL;
#line 539 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp266_ = g_file_new_for_path ("/dev/mapper");
#line 539 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		f_dev_mapper = _tmp266_;
#line 541 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp267_ = f_dev_mapper;
#line 541 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp268_ = g_strdup_printf ("%s,%s", G_FILE_ATTRIBUTE_STANDARD_NAME, G_FILE_ATTRIBUTE_STANDARD_SYMLINK_TARGET);
#line 541 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp269_ = _tmp268_;
#line 541 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp270_ = g_file_enumerate_children (_tmp267_, _tmp269_, G_FILE_QUERY_INFO_NOFOLLOW_SYMLINKS, NULL, &_inner_error0_);
#line 541 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp271_ = _tmp270_;
#line 541 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (_tmp269_);
#line 541 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		enumerator = _tmp271_;
#line 541 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 541 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_g_object_unref0 (f_dev_mapper);
#line 3678 "Device.c"
			goto __catch43_g_error;
		}
#line 547 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		while (TRUE) {
#line 3683 "Device.c"
			GFileInfo* _tmp272_ = NULL;
			GFileEnumerator* _tmp273_;
			GFileInfo* _tmp274_;
			GFileInfo* _tmp275_;
			GFileInfo* _tmp276_;
			GFileInfo* _tmp277_;
			const gchar* _tmp278_;
			GFile* f_mapped = NULL;
			GFile* _tmp279_;
			GFileInfo* _tmp280_;
			const gchar* _tmp281_;
			GFile* _tmp282_;
			gchar* mapped_file = NULL;
			GFile* _tmp283_;
			gchar* _tmp284_;
			gchar* mapped_device = NULL;
			GFileInfo* _tmp285_;
			const gchar* _tmp286_;
			gchar* _tmp287_;
			const gchar* _tmp288_;
			gchar* _tmp289_;
#line 547 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp273_ = enumerator;
#line 547 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp274_ = g_file_enumerator_next_file (_tmp273_, NULL, &_inner_error0_);
#line 547 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp272_ = _tmp274_;
#line 547 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 547 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_g_object_unref0 (info);
#line 547 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_g_object_unref0 (enumerator);
#line 547 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_g_object_unref0 (f_dev_mapper);
#line 3719 "Device.c"
				goto __catch43_g_error;
			}
#line 547 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp275_ = _tmp272_;
#line 547 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp272_ = NULL;
#line 547 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_g_object_unref0 (info);
#line 547 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			info = _tmp275_;
#line 547 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp276_ = info;
#line 547 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			if (!(_tmp276_ != NULL)) {
#line 547 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_g_object_unref0 (_tmp272_);
#line 547 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				break;
#line 3738 "Device.c"
			}
#line 549 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp277_ = info;
#line 549 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp278_ = g_file_info_get_name (_tmp277_);
#line 549 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			if (g_strcmp0 (_tmp278_, "control") == 0) {
#line 549 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_g_object_unref0 (_tmp272_);
#line 549 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				continue;
#line 3750 "Device.c"
			}
#line 551 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp279_ = f_dev_mapper;
#line 551 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp280_ = info;
#line 551 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp281_ = g_file_info_get_name (_tmp280_);
#line 551 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp282_ = g_file_resolve_relative_path (_tmp279_, _tmp281_);
#line 551 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			f_mapped = _tmp282_;
#line 553 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp283_ = f_mapped;
#line 553 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp284_ = g_file_get_path (_tmp283_);
#line 553 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			mapped_file = _tmp284_;
#line 554 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp285_ = info;
#line 554 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp286_ = g_file_info_get_symlink_target (_tmp285_);
#line 554 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp287_ = g_strdup (_tmp286_);
#line 554 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			mapped_device = _tmp287_;
#line 555 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp288_ = mapped_device;
#line 555 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp289_ = string_replace (_tmp288_, "..", "/dev");
#line 555 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_g_free0 (mapped_device);
#line 555 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			mapped_device = _tmp289_;
#line 3784 "Device.c"
			{
				GeeArrayList* _dev_list = NULL;
				GeeArrayList* _tmp290_;
				GeeArrayList* _tmp291_;
				gint _dev_size = 0;
				GeeArrayList* _tmp292_;
				gint _tmp293_;
				gint _tmp294_;
				gint _dev_index = 0;
#line 561 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp290_ = list;
#line 561 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp291_ = _g_object_ref0 (_tmp290_);
#line 561 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_dev_list = _tmp291_;
#line 561 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp292_ = _dev_list;
#line 561 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp293_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp292_);
#line 561 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp294_ = _tmp293_;
#line 561 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_dev_size = _tmp294_;
#line 561 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_dev_index = -1;
#line 561 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				while (TRUE) {
#line 3812 "Device.c"
					gint _tmp295_;
					gint _tmp296_;
					gint _tmp297_;
					Device* dev = NULL;
					GeeArrayList* _tmp298_;
					gint _tmp299_;
					gpointer _tmp300_;
					Device* _tmp301_;
					const gchar* _tmp302_;
					const gchar* _tmp303_;
#line 561 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp295_ = _dev_index;
#line 561 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_dev_index = _tmp295_ + 1;
#line 561 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp296_ = _dev_index;
#line 561 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp297_ = _dev_size;
#line 561 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					if (!(_tmp296_ < _tmp297_)) {
#line 561 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						break;
#line 3835 "Device.c"
					}
#line 561 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp298_ = _dev_list;
#line 561 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp299_ = _dev_index;
#line 561 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp300_ = gee_abstract_list_get ((GeeAbstractList*) _tmp298_, _tmp299_);
#line 561 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					dev = (Device*) _tmp300_;
#line 562 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp301_ = dev;
#line 562 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp302_ = _tmp301_->device;
#line 562 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp303_ = mapped_device;
#line 562 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					if (g_strcmp0 (_tmp302_, _tmp303_) == 0) {
#line 3853 "Device.c"
						Device* _tmp304_;
						const gchar* _tmp305_;
						gchar* _tmp306_;
						Device* _tmp307_;
						GeeArrayList* _tmp308_;
						const gchar* _tmp309_;
#line 563 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp304_ = dev;
#line 563 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp305_ = mapped_file;
#line 563 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp306_ = string_replace (_tmp305_, "/dev/mapper/", "");
#line 563 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_g_free0 (_tmp304_->mapped_name);
#line 563 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp304_->mapped_name = _tmp306_;
#line 564 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp307_ = dev;
#line 564 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp308_ = _tmp307_->symlinks;
#line 564 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp309_ = mapped_file;
#line 564 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						gee_abstract_collection_add ((GeeAbstractCollection*) _tmp308_, _tmp309_);
#line 566 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_g_object_unref0 (dev);
#line 566 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						break;
#line 3882 "Device.c"
					}
#line 561 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_g_object_unref0 (dev);
#line 3886 "Device.c"
				}
#line 561 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_g_object_unref0 (_dev_list);
#line 3890 "Device.c"
			}
#line 547 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_g_free0 (mapped_device);
#line 547 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_g_free0 (mapped_file);
#line 547 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_g_object_unref0 (f_mapped);
#line 547 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_g_object_unref0 (_tmp272_);
#line 3900 "Device.c"
		}
#line 537 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_object_unref0 (info);
#line 537 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_object_unref0 (enumerator);
#line 537 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_object_unref0 (f_dev_mapper);
#line 3908 "Device.c"
	}
	goto __finally43;
	__catch43_g_error:
	{
		GError* e = NULL;
		GError* _tmp310_;
		const gchar* _tmp311_;
#line 537 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		e = _inner_error0_;
#line 537 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_inner_error0_ = NULL;
#line 572 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp310_ = e;
#line 572 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp311_ = _tmp310_->message;
#line 572 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		tee_jee_logging_log_error (_tmp311_, FALSE, FALSE);
#line 537 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_error_free0 (e);
#line 3928 "Device.c"
	}
	__finally43:
#line 537 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 537 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_match_info_unref0 (match);
#line 537 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_regex_unref0 (rex);
#line 537 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (cmd);
#line 537 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (std_err);
#line 537 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (std_out);
#line 537 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_object_unref0 (list);
#line 537 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 537 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		g_clear_error (&_inner_error0_);
#line 537 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		return NULL;
#line 3951 "Device.c"
	}
#line 575 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp312_ = list;
#line 575 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp313_ = _g_object_ref0 (_tmp312_);
#line 575 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_g_object_unref0 (device_device_list);
#line 575 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	device_device_list = _tmp313_;
#line 3961 "Device.c"
	{
		GeeArrayList* _part_list = NULL;
		GeeArrayList* _tmp314_;
		GeeArrayList* _tmp315_;
		gint _part_size = 0;
		GeeArrayList* _tmp316_;
		gint _tmp317_;
		gint _tmp318_;
		gint _part_index = 0;
#line 577 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp314_ = list;
#line 577 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp315_ = _g_object_ref0 (_tmp314_);
#line 577 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_part_list = _tmp315_;
#line 577 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp316_ = _part_list;
#line 577 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp317_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp316_);
#line 577 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp318_ = _tmp317_;
#line 577 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_part_size = _tmp318_;
#line 577 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_part_index = -1;
#line 577 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		while (TRUE) {
#line 3989 "Device.c"
			gint _tmp319_;
			gint _tmp320_;
			gint _tmp321_;
			Device* part = NULL;
			GeeArrayList* _tmp322_;
			gint _tmp323_;
			gpointer _tmp324_;
			GeeArrayList* _tmp325_;
			Device* _tmp326_;
			GeeArrayList* _tmp327_;
			Device* _tmp328_;
#line 577 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp319_ = _part_index;
#line 577 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_part_index = _tmp319_ + 1;
#line 577 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp320_ = _part_index;
#line 577 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp321_ = _part_size;
#line 577 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			if (!(_tmp320_ < _tmp321_)) {
#line 577 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				break;
#line 4013 "Device.c"
			}
#line 577 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp322_ = _part_list;
#line 577 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp323_ = _part_index;
#line 577 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp324_ = gee_abstract_list_get ((GeeAbstractList*) _tmp322_, _tmp323_);
#line 577 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			part = (Device*) _tmp324_;
#line 578 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp325_ = list;
#line 578 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp326_ = part;
#line 578 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			device_find_child_devices (_tmp325_, _tmp326_);
#line 579 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp327_ = list;
#line 579 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp328_ = part;
#line 579 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			device_find_toplevel_parent (_tmp327_, _tmp328_);
#line 577 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_g_object_unref0 (part);
#line 4037 "Device.c"
		}
#line 577 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_object_unref0 (_part_list);
#line 4041 "Device.c"
	}
	{
		gint i = 0;
		GeeArrayList* _tmp329_;
		gint _tmp330_;
		gint _tmp331_;
#line 585 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp329_ = list;
#line 585 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp330_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp329_);
#line 585 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp331_ = _tmp330_;
#line 585 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		i = _tmp331_ - 1;
#line 4056 "Device.c"
		{
			gboolean _tmp332_ = FALSE;
#line 585 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp332_ = TRUE;
#line 585 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			while (TRUE) {
#line 4063 "Device.c"
				gint _tmp334_;
				GeeArrayList* _tmp335_;
				gint _tmp336_;
				gpointer _tmp337_;
				Device* _tmp338_;
				const gchar* _tmp339_;
				gboolean _tmp340_;
#line 585 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				if (!_tmp332_) {
#line 4073 "Device.c"
					gint _tmp333_;
#line 585 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp333_ = i;
#line 585 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					i = _tmp333_ - 1;
#line 4079 "Device.c"
				}
#line 585 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp332_ = FALSE;
#line 585 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp334_ = i;
#line 585 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				if (!(_tmp334_ >= 0)) {
#line 585 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					break;
#line 4089 "Device.c"
				}
#line 586 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp335_ = list;
#line 586 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp336_ = i;
#line 586 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp337_ = gee_abstract_list_get ((GeeAbstractList*) _tmp335_, _tmp336_);
#line 586 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp338_ = (Device*) _tmp337_;
#line 586 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp339_ = _tmp338_->type;
#line 586 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp340_ = g_strcmp0 (_tmp339_, "raid5") == 0;
#line 586 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_g_object_unref0 (_tmp338_);
#line 586 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				if (_tmp340_) {
#line 4107 "Device.c"
					GeeArrayList* _tmp365_;
					gint _tmp366_;
					gpointer _tmp367_;
					Device* _tmp368_;
					gchar* _tmp369_;
					{
						gint j = 0;
						gint _tmp341_;
#line 590 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp341_ = i;
#line 590 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						j = _tmp341_ - 1;
#line 4120 "Device.c"
						{
							gboolean _tmp342_ = FALSE;
#line 590 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_tmp342_ = TRUE;
#line 590 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							while (TRUE) {
#line 4127 "Device.c"
								gint _tmp344_;
								GeeArrayList* _tmp345_;
								gint _tmp346_;
								gpointer _tmp347_;
								Device* _tmp348_;
								const gchar* _tmp349_;
								GeeArrayList* _tmp350_;
								gint _tmp351_;
								gpointer _tmp352_;
								Device* _tmp353_;
								const gchar* _tmp354_;
								gboolean _tmp355_;
#line 590 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
								if (!_tmp342_) {
#line 4142 "Device.c"
									gint _tmp343_;
#line 590 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									_tmp343_ = j;
#line 590 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									j = _tmp343_ - 1;
#line 4148 "Device.c"
								}
#line 590 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
								_tmp342_ = FALSE;
#line 590 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
								_tmp344_ = j;
#line 590 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
								if (!(_tmp344_ >= 0)) {
#line 590 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									break;
#line 4158 "Device.c"
								}
#line 591 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
								_tmp345_ = list;
#line 591 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
								_tmp346_ = j;
#line 591 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
								_tmp347_ = gee_abstract_list_get ((GeeAbstractList*) _tmp345_, _tmp346_);
#line 591 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
								_tmp348_ = (Device*) _tmp347_;
#line 591 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
								_tmp349_ = _tmp348_->kname;
#line 591 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
								_tmp350_ = list;
#line 591 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
								_tmp351_ = i;
#line 591 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
								_tmp352_ = gee_abstract_list_get ((GeeAbstractList*) _tmp350_, _tmp351_);
#line 591 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
								_tmp353_ = (Device*) _tmp352_;
#line 591 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
								_tmp354_ = _tmp353_->pkname;
#line 591 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
								_tmp355_ = g_strcmp0 (_tmp349_, _tmp354_) == 0;
#line 591 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
								_g_object_unref0 (_tmp353_);
#line 591 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
								_g_object_unref0 (_tmp348_);
#line 591 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
								if (_tmp355_) {
#line 4188 "Device.c"
									GeeArrayList* _tmp356_;
									gint _tmp357_;
									gpointer _tmp358_;
									Device* _tmp359_;
									GeeArrayList* _tmp360_;
									gint _tmp361_;
									gpointer _tmp362_;
									Device* _tmp363_;
									gint _tmp364_;
#line 592 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									_tmp356_ = list;
#line 592 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									_tmp357_ = j;
#line 592 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									_tmp358_ = gee_abstract_list_remove_at ((GeeAbstractList*) _tmp356_, _tmp357_);
#line 592 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									_tmp359_ = (Device*) _tmp358_;
#line 592 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									_g_object_unref0 (_tmp359_);
#line 593 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									_tmp360_ = list;
#line 593 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									_tmp361_ = j;
#line 593 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									_tmp362_ = gee_abstract_list_remove_at ((GeeAbstractList*) _tmp360_, _tmp361_ - 1);
#line 593 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									_tmp363_ = (Device*) _tmp362_;
#line 593 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									_g_object_unref0 (_tmp363_);
#line 594 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									_tmp364_ = i;
#line 594 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									i = _tmp364_ - 2;
#line 595 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									break;
#line 4224 "Device.c"
								}
							}
						}
					}
#line 600 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp365_ = list;
#line 600 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp366_ = i;
#line 600 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp367_ = gee_abstract_list_get ((GeeAbstractList*) _tmp365_, _tmp366_);
#line 600 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp368_ = (Device*) _tmp367_;
#line 600 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp369_ = g_strdup ("");
#line 600 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_g_free0 (_tmp368_->pkname);
#line 600 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp368_->pkname = _tmp369_;
#line 600 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_g_object_unref0 (_tmp368_);
#line 4245 "Device.c"
					{
						gint j = 0;
						GeeArrayList* _tmp370_;
						gint _tmp371_;
						gint _tmp372_;
#line 604 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp370_ = list;
#line 604 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp371_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp370_);
#line 604 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp372_ = _tmp371_;
#line 604 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						j = _tmp372_ - 1;
#line 4259 "Device.c"
						{
							gboolean _tmp373_ = FALSE;
#line 604 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_tmp373_ = TRUE;
#line 604 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							while (TRUE) {
#line 4266 "Device.c"
								gint _tmp375_;
								gint _tmp376_;
								GeeArrayList* _tmp377_;
								gint _tmp378_;
								gpointer _tmp379_;
								Device* _tmp380_;
								const gchar* _tmp381_;
								GeeArrayList* _tmp382_;
								gint _tmp383_;
								gpointer _tmp384_;
								Device* _tmp385_;
								const gchar* _tmp386_;
								gboolean _tmp387_;
#line 604 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
								if (!_tmp373_) {
#line 4282 "Device.c"
									gint _tmp374_;
#line 604 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									_tmp374_ = j;
#line 604 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									j = _tmp374_ - 1;
#line 4288 "Device.c"
								}
#line 604 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
								_tmp373_ = FALSE;
#line 604 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
								_tmp375_ = j;
#line 604 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
								_tmp376_ = i;
#line 604 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
								if (!(_tmp375_ > _tmp376_)) {
#line 604 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									break;
#line 4300 "Device.c"
								}
#line 605 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
								_tmp377_ = list;
#line 605 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
								_tmp378_ = j;
#line 605 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
								_tmp379_ = gee_abstract_list_get ((GeeAbstractList*) _tmp377_, _tmp378_);
#line 605 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
								_tmp380_ = (Device*) _tmp379_;
#line 605 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
								_tmp381_ = _tmp380_->pkname;
#line 605 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
								_tmp382_ = list;
#line 605 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
								_tmp383_ = i;
#line 605 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
								_tmp384_ = gee_abstract_list_get ((GeeAbstractList*) _tmp382_, _tmp383_);
#line 605 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
								_tmp385_ = (Device*) _tmp384_;
#line 605 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
								_tmp386_ = _tmp385_->kname;
#line 605 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
								_tmp387_ = g_strcmp0 (_tmp381_, _tmp386_) == 0;
#line 605 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
								_g_object_unref0 (_tmp385_);
#line 605 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
								_g_object_unref0 (_tmp380_);
#line 605 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
								if (_tmp387_) {
#line 4330 "Device.c"
									{
										gint k = 0;
										gint _tmp388_;
#line 606 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
										_tmp388_ = j;
#line 606 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
										k = _tmp388_ - 1;
#line 4338 "Device.c"
										{
											gboolean _tmp389_ = FALSE;
#line 606 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
											_tmp389_ = TRUE;
#line 606 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
											while (TRUE) {
#line 4345 "Device.c"
												gint _tmp391_;
												GeeArrayList* _tmp392_;
												gint _tmp393_;
												gpointer _tmp394_;
												Device* _tmp395_;
												const gchar* _tmp396_;
												GeeArrayList* _tmp397_;
												gint _tmp398_;
												gpointer _tmp399_;
												Device* _tmp400_;
												const gchar* _tmp401_;
												gboolean _tmp402_;
#line 606 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
												if (!_tmp389_) {
#line 4360 "Device.c"
													gint _tmp390_;
#line 606 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
													_tmp390_ = k;
#line 606 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
													k = _tmp390_ - 1;
#line 4366 "Device.c"
												}
#line 606 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
												_tmp389_ = FALSE;
#line 606 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
												_tmp391_ = k;
#line 606 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
												if (!(_tmp391_ >= 0)) {
#line 606 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
													break;
#line 4376 "Device.c"
												}
#line 607 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
												_tmp392_ = list;
#line 607 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
												_tmp393_ = k;
#line 607 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
												_tmp394_ = gee_abstract_list_get ((GeeAbstractList*) _tmp392_, _tmp393_);
#line 607 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
												_tmp395_ = (Device*) _tmp394_;
#line 607 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
												_tmp396_ = _tmp395_->kname;
#line 607 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
												_tmp397_ = list;
#line 607 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
												_tmp398_ = j;
#line 607 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
												_tmp399_ = gee_abstract_list_get ((GeeAbstractList*) _tmp397_, _tmp398_);
#line 607 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
												_tmp400_ = (Device*) _tmp399_;
#line 607 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
												_tmp401_ = _tmp400_->kname;
#line 607 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
												_tmp402_ = g_strcmp0 (_tmp396_, _tmp401_) == 0;
#line 607 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
												_g_object_unref0 (_tmp400_);
#line 607 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
												_g_object_unref0 (_tmp395_);
#line 607 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
												if (_tmp402_) {
#line 4406 "Device.c"
													GeeArrayList* _tmp403_;
													gint _tmp404_;
													gpointer _tmp405_;
													Device* _tmp406_;
													gint _tmp407_;
#line 608 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
													_tmp403_ = list;
#line 608 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
													_tmp404_ = k;
#line 608 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
													_tmp405_ = gee_abstract_list_remove_at ((GeeAbstractList*) _tmp403_, _tmp404_);
#line 608 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
													_tmp406_ = (Device*) _tmp405_;
#line 608 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
													_g_object_unref0 (_tmp406_);
#line 609 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
													_tmp407_ = j;
#line 609 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
													j = _tmp407_ - 1;
#line 4426 "Device.c"
												}
											}
										}
									}
								}
							}
						}
					}
				}
			}
		}
	}
	{
		gint i = 0;
		GeeArrayList* _tmp408_;
		gint _tmp409_;
		gint _tmp410_;
#line 618 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp408_ = list;
#line 618 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp409_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp408_);
#line 618 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp410_ = _tmp409_;
#line 618 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		i = _tmp410_ - 1;
#line 4452 "Device.c"
		{
			gboolean _tmp411_ = FALSE;
#line 618 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp411_ = TRUE;
#line 618 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			while (TRUE) {
#line 4459 "Device.c"
				gint _tmp413_;
				GeeArrayList* _tmp414_;
				gint _tmp415_;
				gpointer _tmp416_;
				Device* _tmp417_;
				const gchar* _tmp418_;
				gboolean _tmp419_;
#line 618 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				if (!_tmp411_) {
#line 4469 "Device.c"
					gint _tmp412_;
#line 618 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp412_ = i;
#line 618 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					i = _tmp412_ - 1;
#line 4475 "Device.c"
				}
#line 618 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp411_ = FALSE;
#line 618 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp413_ = i;
#line 618 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				if (!(_tmp413_ >= 0)) {
#line 618 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					break;
#line 4485 "Device.c"
				}
#line 619 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp414_ = list;
#line 619 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp415_ = i;
#line 619 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp416_ = gee_abstract_list_get ((GeeAbstractList*) _tmp414_, _tmp415_);
#line 619 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp417_ = (Device*) _tmp416_;
#line 619 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp418_ = _tmp417_->type;
#line 619 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp419_ = g_strcmp0 (_tmp418_, "raid5") == 0;
#line 619 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_g_object_unref0 (_tmp417_);
#line 619 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				if (_tmp419_) {
#line 4503 "Device.c"
					GeeArrayList* _tmp420_;
					gint _tmp421_;
					gpointer _tmp422_;
					Device* _tmp423_;
					gchar* _tmp424_;
					GeeArrayList* _tmp425_;
					gint _tmp426_;
					gpointer _tmp427_;
					Device* _tmp428_;
					GeeArrayList* _tmp429_;
					gint _tmp430_;
					gpointer _tmp431_;
					Device* _tmp432_;
					const gchar* _tmp433_;
					gchar* _tmp434_;
#line 621 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp420_ = list;
#line 621 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp421_ = i;
#line 621 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp422_ = gee_abstract_list_get ((GeeAbstractList*) _tmp420_, _tmp421_);
#line 621 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp423_ = (Device*) _tmp422_;
#line 621 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp424_ = g_strdup ("disk");
#line 621 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_g_free0 (_tmp423_->type);
#line 621 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp423_->type = _tmp424_;
#line 621 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_g_object_unref0 (_tmp423_);
#line 622 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp425_ = list;
#line 622 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp426_ = i;
#line 622 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp427_ = gee_abstract_list_get ((GeeAbstractList*) _tmp425_, _tmp426_);
#line 622 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp428_ = (Device*) _tmp427_;
#line 622 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp429_ = list;
#line 622 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp430_ = i;
#line 622 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp431_ = gee_abstract_list_get ((GeeAbstractList*) _tmp429_, _tmp430_);
#line 622 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp432_ = (Device*) _tmp431_;
#line 622 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp433_ = _tmp432_->name;
#line 622 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp434_ = g_strdup (_tmp433_);
#line 622 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_g_free0 (_tmp428_->model);
#line 622 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp428_->model = _tmp434_;
#line 622 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_g_object_unref0 (_tmp432_);
#line 622 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_g_object_unref0 (_tmp428_);
#line 4563 "Device.c"
					{
						gint j = 0;
						GeeArrayList* _tmp435_;
						gint _tmp436_;
						gint _tmp437_;
#line 625 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp435_ = list;
#line 625 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp436_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp435_);
#line 625 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp437_ = _tmp436_;
#line 625 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						j = _tmp437_ - 1;
#line 4577 "Device.c"
						{
							gboolean _tmp438_ = FALSE;
#line 625 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_tmp438_ = TRUE;
#line 625 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							while (TRUE) {
#line 4584 "Device.c"
								gint _tmp440_;
								gboolean _tmp441_ = FALSE;
								gboolean _tmp442_ = FALSE;
								gint _tmp443_;
								gint _tmp444_;
#line 625 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
								if (!_tmp438_) {
#line 4592 "Device.c"
									gint _tmp439_;
#line 625 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									_tmp439_ = j;
#line 625 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									j = _tmp439_ - 1;
#line 4598 "Device.c"
								}
#line 625 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
								_tmp438_ = FALSE;
#line 625 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
								_tmp440_ = j;
#line 625 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
								if (!(_tmp440_ >= 0)) {
#line 625 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									break;
#line 4608 "Device.c"
								}
#line 626 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
								_tmp443_ = i;
#line 626 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
								_tmp444_ = j;
#line 626 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
								if (_tmp443_ != _tmp444_) {
#line 4616 "Device.c"
									GeeArrayList* _tmp445_;
									gint _tmp446_;
									gpointer _tmp447_;
									Device* _tmp448_;
									const gchar* _tmp449_;
#line 626 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									_tmp445_ = list;
#line 626 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									_tmp446_ = j;
#line 626 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									_tmp447_ = gee_abstract_list_get ((GeeAbstractList*) _tmp445_, _tmp446_);
#line 626 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									_tmp448_ = (Device*) _tmp447_;
#line 626 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									_tmp449_ = _tmp448_->type;
#line 626 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									_tmp442_ = g_strcmp0 (_tmp449_, "raid5") == 0;
#line 626 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									_g_object_unref0 (_tmp448_);
#line 4636 "Device.c"
								} else {
#line 626 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									_tmp442_ = FALSE;
#line 4640 "Device.c"
								}
#line 626 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
								if (_tmp442_) {
#line 4644 "Device.c"
									GeeArrayList* _tmp450_;
									gint _tmp451_;
									gpointer _tmp452_;
									Device* _tmp453_;
									const gchar* _tmp454_;
									GeeArrayList* _tmp455_;
									gint _tmp456_;
									gpointer _tmp457_;
									Device* _tmp458_;
									const gchar* _tmp459_;
#line 626 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									_tmp450_ = list;
#line 626 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									_tmp451_ = j;
#line 626 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									_tmp452_ = gee_abstract_list_get ((GeeAbstractList*) _tmp450_, _tmp451_);
#line 626 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									_tmp453_ = (Device*) _tmp452_;
#line 626 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									_tmp454_ = _tmp453_->kname;
#line 626 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									_tmp455_ = list;
#line 626 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									_tmp456_ = i;
#line 626 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									_tmp457_ = gee_abstract_list_get ((GeeAbstractList*) _tmp455_, _tmp456_);
#line 626 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									_tmp458_ = (Device*) _tmp457_;
#line 626 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									_tmp459_ = _tmp458_->kname;
#line 626 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									_tmp441_ = g_strcmp0 (_tmp454_, _tmp459_) == 0;
#line 626 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									_g_object_unref0 (_tmp458_);
#line 626 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									_g_object_unref0 (_tmp453_);
#line 4681 "Device.c"
								} else {
#line 626 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									_tmp441_ = FALSE;
#line 4685 "Device.c"
								}
#line 626 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
								if (_tmp441_) {
#line 4689 "Device.c"
									GeeArrayList* _tmp460_;
									gint _tmp461_;
									gpointer _tmp462_;
									Device* _tmp463_;
									gint _tmp464_;
									gint _tmp465_;
#line 627 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									_tmp460_ = list;
#line 627 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									_tmp461_ = j;
#line 627 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									_tmp462_ = gee_abstract_list_remove_at ((GeeAbstractList*) _tmp460_, _tmp461_);
#line 627 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									_tmp463_ = (Device*) _tmp462_;
#line 627 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									_g_object_unref0 (_tmp463_);
#line 628 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									_tmp464_ = j;
#line 628 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									_tmp465_ = i;
#line 628 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									if (_tmp464_ < _tmp465_) {
#line 4712 "Device.c"
										gint _tmp466_;
#line 629 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
										_tmp466_ = i;
#line 629 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
										i = _tmp466_ - 1;
#line 4718 "Device.c"
									}
								}
							}
						}
					}
				}
			}
		}
	}
	{
		gint i = 0;
		GeeArrayList* _tmp467_;
		gint _tmp468_;
		gint _tmp469_;
#line 638 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp467_ = list;
#line 638 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp468_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp467_);
#line 638 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp469_ = _tmp468_;
#line 638 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		i = _tmp469_ - 1;
#line 4741 "Device.c"
		{
			gboolean _tmp470_ = FALSE;
#line 638 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp470_ = TRUE;
#line 638 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			while (TRUE) {
#line 4748 "Device.c"
				gint _tmp472_;
				GeeArrayList* _tmp473_;
				gint _tmp474_;
				gpointer _tmp475_;
				Device* _tmp476_;
				const gchar* _tmp477_;
				gboolean _tmp478_;
#line 638 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				if (!_tmp470_) {
#line 4758 "Device.c"
					gint _tmp471_;
#line 638 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp471_ = i;
#line 638 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					i = _tmp471_ - 1;
#line 4764 "Device.c"
				}
#line 638 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp470_ = FALSE;
#line 638 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp472_ = i;
#line 638 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				if (!(_tmp472_ >= 0)) {
#line 638 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					break;
#line 4774 "Device.c"
				}
#line 639 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp473_ = list;
#line 639 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp474_ = i;
#line 639 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp475_ = gee_abstract_list_get ((GeeAbstractList*) _tmp473_, _tmp474_);
#line 639 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp476_ = (Device*) _tmp475_;
#line 639 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp477_ = _tmp476_->type;
#line 639 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp478_ = g_strcmp0 (_tmp477_, "dmraid") == 0;
#line 639 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_g_object_unref0 (_tmp476_);
#line 639 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				if (_tmp478_) {
#line 4792 "Device.c"
					GeeArrayList* _tmp499_;
					gint _tmp500_;
					gpointer _tmp501_;
					Device* _tmp502_;
					gchar* _tmp503_;
					{
						gint j = 0;
						gint _tmp479_;
#line 643 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp479_ = i;
#line 643 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						j = _tmp479_ - 1;
#line 4805 "Device.c"
						{
							gboolean _tmp480_ = FALSE;
#line 643 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_tmp480_ = TRUE;
#line 643 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							while (TRUE) {
#line 4812 "Device.c"
								gint _tmp482_;
								GeeArrayList* _tmp483_;
								gint _tmp484_;
								gpointer _tmp485_;
								Device* _tmp486_;
								const gchar* _tmp487_;
								GeeArrayList* _tmp488_;
								gint _tmp489_;
								gpointer _tmp490_;
								Device* _tmp491_;
								const gchar* _tmp492_;
								gboolean _tmp493_;
#line 643 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
								if (!_tmp480_) {
#line 4827 "Device.c"
									gint _tmp481_;
#line 643 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									_tmp481_ = j;
#line 643 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									j = _tmp481_ - 1;
#line 4833 "Device.c"
								}
#line 643 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
								_tmp480_ = FALSE;
#line 643 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
								_tmp482_ = j;
#line 643 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
								if (!(_tmp482_ >= 0)) {
#line 643 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									break;
#line 4843 "Device.c"
								}
#line 644 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
								_tmp483_ = list;
#line 644 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
								_tmp484_ = j;
#line 644 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
								_tmp485_ = gee_abstract_list_get ((GeeAbstractList*) _tmp483_, _tmp484_);
#line 644 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
								_tmp486_ = (Device*) _tmp485_;
#line 644 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
								_tmp487_ = _tmp486_->kname;
#line 644 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
								_tmp488_ = list;
#line 644 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
								_tmp489_ = i;
#line 644 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
								_tmp490_ = gee_abstract_list_get ((GeeAbstractList*) _tmp488_, _tmp489_);
#line 644 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
								_tmp491_ = (Device*) _tmp490_;
#line 644 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
								_tmp492_ = _tmp491_->pkname;
#line 644 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
								_tmp493_ = g_strcmp0 (_tmp487_, _tmp492_) == 0;
#line 644 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
								_g_object_unref0 (_tmp491_);
#line 644 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
								_g_object_unref0 (_tmp486_);
#line 644 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
								if (_tmp493_) {
#line 4873 "Device.c"
									GeeArrayList* _tmp494_;
									gint _tmp495_;
									gpointer _tmp496_;
									Device* _tmp497_;
									gint _tmp498_;
#line 645 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									_tmp494_ = list;
#line 645 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									_tmp495_ = j;
#line 645 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									_tmp496_ = gee_abstract_list_remove_at ((GeeAbstractList*) _tmp494_, _tmp495_);
#line 645 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									_tmp497_ = (Device*) _tmp496_;
#line 645 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									_g_object_unref0 (_tmp497_);
#line 646 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									_tmp498_ = i;
#line 646 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									i = _tmp498_ - 1;
#line 647 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									break;
#line 4895 "Device.c"
								}
							}
						}
					}
#line 652 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp499_ = list;
#line 652 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp500_ = i;
#line 652 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp501_ = gee_abstract_list_get ((GeeAbstractList*) _tmp499_, _tmp500_);
#line 652 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp502_ = (Device*) _tmp501_;
#line 652 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp503_ = g_strdup ("");
#line 652 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_g_free0 (_tmp502_->pkname);
#line 652 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp502_->pkname = _tmp503_;
#line 652 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_g_object_unref0 (_tmp502_);
#line 4916 "Device.c"
					{
						gint j = 0;
						GeeArrayList* _tmp504_;
						gint _tmp505_;
						gint _tmp506_;
#line 656 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp504_ = list;
#line 656 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp505_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp504_);
#line 656 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp506_ = _tmp505_;
#line 656 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						j = _tmp506_ - 1;
#line 4930 "Device.c"
						{
							gboolean _tmp507_ = FALSE;
#line 656 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_tmp507_ = TRUE;
#line 656 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							while (TRUE) {
#line 4937 "Device.c"
								gint _tmp509_;
								gint _tmp510_;
								GeeArrayList* _tmp511_;
								gint _tmp512_;
								gpointer _tmp513_;
								Device* _tmp514_;
								const gchar* _tmp515_;
								GeeArrayList* _tmp516_;
								gint _tmp517_;
								gpointer _tmp518_;
								Device* _tmp519_;
								const gchar* _tmp520_;
								gboolean _tmp521_;
#line 656 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
								if (!_tmp507_) {
#line 4953 "Device.c"
									gint _tmp508_;
#line 656 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									_tmp508_ = j;
#line 656 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									j = _tmp508_ - 1;
#line 4959 "Device.c"
								}
#line 656 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
								_tmp507_ = FALSE;
#line 656 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
								_tmp509_ = j;
#line 656 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
								_tmp510_ = i;
#line 656 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
								if (!(_tmp509_ > _tmp510_)) {
#line 656 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									break;
#line 4971 "Device.c"
								}
#line 657 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
								_tmp511_ = list;
#line 657 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
								_tmp512_ = j;
#line 657 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
								_tmp513_ = gee_abstract_list_get ((GeeAbstractList*) _tmp511_, _tmp512_);
#line 657 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
								_tmp514_ = (Device*) _tmp513_;
#line 657 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
								_tmp515_ = _tmp514_->pkname;
#line 657 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
								_tmp516_ = list;
#line 657 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
								_tmp517_ = i;
#line 657 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
								_tmp518_ = gee_abstract_list_get ((GeeAbstractList*) _tmp516_, _tmp517_);
#line 657 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
								_tmp519_ = (Device*) _tmp518_;
#line 657 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
								_tmp520_ = _tmp519_->kname;
#line 657 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
								_tmp521_ = g_strcmp0 (_tmp515_, _tmp520_) == 0;
#line 657 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
								_g_object_unref0 (_tmp519_);
#line 657 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
								_g_object_unref0 (_tmp514_);
#line 657 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
								if (_tmp521_) {
#line 5001 "Device.c"
									{
										gint k = 0;
										gint _tmp522_;
#line 658 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
										_tmp522_ = j;
#line 658 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
										k = _tmp522_ - 1;
#line 5009 "Device.c"
										{
											gboolean _tmp523_ = FALSE;
#line 658 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
											_tmp523_ = TRUE;
#line 658 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
											while (TRUE) {
#line 5016 "Device.c"
												gint _tmp525_;
												GeeArrayList* _tmp526_;
												gint _tmp527_;
												gpointer _tmp528_;
												Device* _tmp529_;
												const gchar* _tmp530_;
												GeeArrayList* _tmp531_;
												gint _tmp532_;
												gpointer _tmp533_;
												Device* _tmp534_;
												const gchar* _tmp535_;
												gboolean _tmp536_;
#line 658 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
												if (!_tmp523_) {
#line 5031 "Device.c"
													gint _tmp524_;
#line 658 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
													_tmp524_ = k;
#line 658 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
													k = _tmp524_ - 1;
#line 5037 "Device.c"
												}
#line 658 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
												_tmp523_ = FALSE;
#line 658 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
												_tmp525_ = k;
#line 658 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
												if (!(_tmp525_ >= 0)) {
#line 658 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
													break;
#line 5047 "Device.c"
												}
#line 659 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
												_tmp526_ = list;
#line 659 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
												_tmp527_ = k;
#line 659 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
												_tmp528_ = gee_abstract_list_get ((GeeAbstractList*) _tmp526_, _tmp527_);
#line 659 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
												_tmp529_ = (Device*) _tmp528_;
#line 659 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
												_tmp530_ = _tmp529_->kname;
#line 659 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
												_tmp531_ = list;
#line 659 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
												_tmp532_ = j;
#line 659 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
												_tmp533_ = gee_abstract_list_get ((GeeAbstractList*) _tmp531_, _tmp532_);
#line 659 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
												_tmp534_ = (Device*) _tmp533_;
#line 659 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
												_tmp535_ = _tmp534_->kname;
#line 659 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
												_tmp536_ = g_strcmp0 (_tmp530_, _tmp535_) == 0;
#line 659 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
												_g_object_unref0 (_tmp534_);
#line 659 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
												_g_object_unref0 (_tmp529_);
#line 659 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
												if (_tmp536_) {
#line 5077 "Device.c"
													GeeArrayList* _tmp537_;
													gint _tmp538_;
													gpointer _tmp539_;
													Device* _tmp540_;
													gint _tmp541_;
#line 660 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
													_tmp537_ = list;
#line 660 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
													_tmp538_ = k;
#line 660 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
													_tmp539_ = gee_abstract_list_remove_at ((GeeAbstractList*) _tmp537_, _tmp538_);
#line 660 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
													_tmp540_ = (Device*) _tmp539_;
#line 660 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
													_g_object_unref0 (_tmp540_);
#line 661 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
													_tmp541_ = j;
#line 661 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
													j = _tmp541_ - 1;
#line 5097 "Device.c"
												}
											}
										}
									}
								}
							}
						}
					}
				}
			}
		}
	}
	{
		gint i = 0;
		GeeArrayList* _tmp542_;
		gint _tmp543_;
		gint _tmp544_;
#line 670 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp542_ = list;
#line 670 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp543_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp542_);
#line 670 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp544_ = _tmp543_;
#line 670 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		i = _tmp544_ - 1;
#line 5123 "Device.c"
		{
			gboolean _tmp545_ = FALSE;
#line 670 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp545_ = TRUE;
#line 670 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			while (TRUE) {
#line 5130 "Device.c"
				gint _tmp547_;
				GeeArrayList* _tmp548_;
				gint _tmp549_;
				gpointer _tmp550_;
				Device* _tmp551_;
				const gchar* _tmp552_;
				gboolean _tmp553_;
#line 670 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				if (!_tmp545_) {
#line 5140 "Device.c"
					gint _tmp546_;
#line 670 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp546_ = i;
#line 670 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					i = _tmp546_ - 1;
#line 5146 "Device.c"
				}
#line 670 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp545_ = FALSE;
#line 670 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp547_ = i;
#line 670 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				if (!(_tmp547_ >= 0)) {
#line 670 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					break;
#line 5156 "Device.c"
				}
#line 671 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp548_ = list;
#line 671 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp549_ = i;
#line 671 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp550_ = gee_abstract_list_get ((GeeAbstractList*) _tmp548_, _tmp549_);
#line 671 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp551_ = (Device*) _tmp550_;
#line 671 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp552_ = _tmp551_->type;
#line 671 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp553_ = g_strcmp0 (_tmp552_, "dmraid") == 0;
#line 671 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_g_object_unref0 (_tmp551_);
#line 671 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				if (_tmp553_) {
#line 5174 "Device.c"
					GeeArrayList* _tmp554_;
					gint _tmp555_;
					gpointer _tmp556_;
					Device* _tmp557_;
					gchar* _tmp558_;
					GeeArrayList* _tmp559_;
					gint _tmp560_;
					gpointer _tmp561_;
					Device* _tmp562_;
					GeeArrayList* _tmp563_;
					gint _tmp564_;
					gpointer _tmp565_;
					Device* _tmp566_;
					const gchar* _tmp567_;
					gchar* _tmp568_;
#line 673 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp554_ = list;
#line 673 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp555_ = i;
#line 673 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp556_ = gee_abstract_list_get ((GeeAbstractList*) _tmp554_, _tmp555_);
#line 673 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp557_ = (Device*) _tmp556_;
#line 673 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp558_ = g_strdup ("disk");
#line 673 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_g_free0 (_tmp557_->type);
#line 673 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp557_->type = _tmp558_;
#line 673 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_g_object_unref0 (_tmp557_);
#line 674 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp559_ = list;
#line 674 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp560_ = i;
#line 674 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp561_ = gee_abstract_list_get ((GeeAbstractList*) _tmp559_, _tmp560_);
#line 674 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp562_ = (Device*) _tmp561_;
#line 674 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp563_ = list;
#line 674 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp564_ = i;
#line 674 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp565_ = gee_abstract_list_get ((GeeAbstractList*) _tmp563_, _tmp564_);
#line 674 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp566_ = (Device*) _tmp565_;
#line 674 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp567_ = _tmp566_->name;
#line 674 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp568_ = g_strdup (_tmp567_);
#line 674 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_g_free0 (_tmp562_->model);
#line 674 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp562_->model = _tmp568_;
#line 674 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_g_object_unref0 (_tmp566_);
#line 674 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_g_object_unref0 (_tmp562_);
#line 5234 "Device.c"
					{
						gint j = 0;
						GeeArrayList* _tmp569_;
						gint _tmp570_;
						gint _tmp571_;
#line 677 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp569_ = list;
#line 677 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp570_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp569_);
#line 677 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp571_ = _tmp570_;
#line 677 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						j = _tmp571_ - 1;
#line 5248 "Device.c"
						{
							gboolean _tmp572_ = FALSE;
#line 677 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_tmp572_ = TRUE;
#line 677 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							while (TRUE) {
#line 5255 "Device.c"
								gint _tmp574_;
								gboolean _tmp575_ = FALSE;
								gboolean _tmp576_ = FALSE;
								gint _tmp577_;
								gint _tmp578_;
#line 677 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
								if (!_tmp572_) {
#line 5263 "Device.c"
									gint _tmp573_;
#line 677 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									_tmp573_ = j;
#line 677 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									j = _tmp573_ - 1;
#line 5269 "Device.c"
								}
#line 677 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
								_tmp572_ = FALSE;
#line 677 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
								_tmp574_ = j;
#line 677 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
								if (!(_tmp574_ >= 0)) {
#line 677 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									break;
#line 5279 "Device.c"
								}
#line 678 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
								_tmp577_ = i;
#line 678 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
								_tmp578_ = j;
#line 678 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
								if (_tmp577_ != _tmp578_) {
#line 5287 "Device.c"
									GeeArrayList* _tmp579_;
									gint _tmp580_;
									gpointer _tmp581_;
									Device* _tmp582_;
									const gchar* _tmp583_;
#line 678 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									_tmp579_ = list;
#line 678 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									_tmp580_ = j;
#line 678 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									_tmp581_ = gee_abstract_list_get ((GeeAbstractList*) _tmp579_, _tmp580_);
#line 678 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									_tmp582_ = (Device*) _tmp581_;
#line 678 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									_tmp583_ = _tmp582_->type;
#line 678 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									_tmp576_ = g_strcmp0 (_tmp583_, "dmraid") == 0;
#line 678 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									_g_object_unref0 (_tmp582_);
#line 5307 "Device.c"
								} else {
#line 678 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									_tmp576_ = FALSE;
#line 5311 "Device.c"
								}
#line 678 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
								if (_tmp576_) {
#line 5315 "Device.c"
									GeeArrayList* _tmp584_;
									gint _tmp585_;
									gpointer _tmp586_;
									Device* _tmp587_;
									const gchar* _tmp588_;
									GeeArrayList* _tmp589_;
									gint _tmp590_;
									gpointer _tmp591_;
									Device* _tmp592_;
									const gchar* _tmp593_;
#line 678 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									_tmp584_ = list;
#line 678 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									_tmp585_ = j;
#line 678 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									_tmp586_ = gee_abstract_list_get ((GeeAbstractList*) _tmp584_, _tmp585_);
#line 678 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									_tmp587_ = (Device*) _tmp586_;
#line 678 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									_tmp588_ = _tmp587_->kname;
#line 678 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									_tmp589_ = list;
#line 678 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									_tmp590_ = i;
#line 678 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									_tmp591_ = gee_abstract_list_get ((GeeAbstractList*) _tmp589_, _tmp590_);
#line 678 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									_tmp592_ = (Device*) _tmp591_;
#line 678 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									_tmp593_ = _tmp592_->kname;
#line 678 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									_tmp575_ = g_strcmp0 (_tmp588_, _tmp593_) == 0;
#line 678 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									_g_object_unref0 (_tmp592_);
#line 678 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									_g_object_unref0 (_tmp587_);
#line 5352 "Device.c"
								} else {
#line 678 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									_tmp575_ = FALSE;
#line 5356 "Device.c"
								}
#line 678 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
								if (_tmp575_) {
#line 5360 "Device.c"
									GeeArrayList* _tmp594_;
									gint _tmp595_;
									gpointer _tmp596_;
									Device* _tmp597_;
									gint _tmp598_;
									gint _tmp599_;
#line 679 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									_tmp594_ = list;
#line 679 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									_tmp595_ = j;
#line 679 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									_tmp596_ = gee_abstract_list_remove_at ((GeeAbstractList*) _tmp594_, _tmp595_);
#line 679 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									_tmp597_ = (Device*) _tmp596_;
#line 679 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									_g_object_unref0 (_tmp597_);
#line 680 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									_tmp598_ = j;
#line 680 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									_tmp599_ = i;
#line 680 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									if (_tmp598_ < _tmp599_) {
#line 5383 "Device.c"
										gint _tmp600_;
#line 681 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
										_tmp600_ = i;
#line 681 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
										i = _tmp600_ - 1;
#line 5389 "Device.c"
									}
								}
							}
						}
					}
				}
			}
		}
	}
#line 690 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp601_ = device_lsblk_is_ancient;
#line 690 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	if (_tmp601_) {
#line 5403 "Device.c"
		GeeArrayList* _tmp602_;
#line 691 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp602_ = list;
#line 691 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		device_find_child_devices_using_dmsetup (_tmp602_);
#line 5409 "Device.c"
	}
#line 698 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	result = list;
#line 698 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_g_match_info_unref0 (match);
#line 698 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_g_regex_unref0 (rex);
#line 698 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_g_free0 (cmd);
#line 698 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_g_free0 (std_err);
#line 698 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_g_free0 (std_out);
#line 698 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	return result;
#line 5425 "Device.c"
}


GeeArrayList*
device_get_block_devices_using_blkid (const gchar* dev_name)
{
	GeeArrayList* result = NULL;
	GeeArrayList* list = NULL;
	GeeArrayList* _tmp0_;
	gchar* std_out = NULL;
	gchar* std_err = NULL;
	gchar* cmd = NULL;
	gint ret_val = 0;
	GRegex* rex = NULL;
	GMatchInfo* match = NULL;
	gchar* _tmp1_ = NULL;
	gint _tmp2_;
	gint _tmp3_;
	gchar* _tmp6_;
	gboolean _tmp7_;
	const gchar* _tmp9_;
	gchar* _tmp10_ = NULL;
	gchar* _tmp11_ = NULL;
	gint _tmp12_;
	gint _tmp13_;
	const gchar* _tmp23_;
	gchar** _tmp24_;
	gchar** _tmp25_;
	GeeArrayList* _tmp106_;
	gint _tmp107_;
	gint _tmp108_;
	gchar* _tmp109_;
	gchar* _tmp110_;
	GError* _inner_error0_ = NULL;
#line 702 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	g_return_val_if_fail (dev_name != NULL, NULL);
#line 707 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp0_ = gee_array_list_new (TYPE_DEVICE, (GBoxedCopyFunc) g_object_ref, (GDestroyNotify) g_object_unref, NULL, NULL, NULL);
#line 707 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	list = _tmp0_;
#line 716 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp2_ = strlen (dev_name);
#line 716 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp3_ = _tmp2_;
#line 716 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	if (_tmp3_ > 0) {
#line 5472 "Device.c"
		gchar* _tmp4_;
#line 716 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp4_ = g_strconcat (" ", dev_name, NULL);
#line 716 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (_tmp1_);
#line 716 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp1_ = _tmp4_;
#line 5480 "Device.c"
	} else {
		gchar* _tmp5_;
#line 716 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp5_ = g_strdup ("");
#line 716 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (_tmp1_);
#line 716 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp1_ = _tmp5_;
#line 5489 "Device.c"
	}
#line 716 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp6_ = g_strconcat ("/sbin/blkid", _tmp1_, NULL);
#line 716 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_g_free0 (cmd);
#line 716 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	cmd = _tmp6_;
#line 718 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp7_ = tee_jee_logging_LOG_DEBUG;
#line 718 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	if (_tmp7_) {
#line 5501 "Device.c"
		const gchar* _tmp8_;
#line 719 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp8_ = cmd;
#line 719 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		tee_jee_logging_log_debug (_tmp8_);
#line 5507 "Device.c"
	}
#line 722 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp9_ = cmd;
#line 722 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp12_ = tee_jee_process_helper_exec_script_sync (_tmp9_, &_tmp10_, &_tmp11_, FALSE, FALSE, TRUE, FALSE);
#line 722 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_g_free0 (std_out);
#line 722 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	std_out = _tmp10_;
#line 722 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_g_free0 (std_err);
#line 722 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	std_err = _tmp11_;
#line 722 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	ret_val = _tmp12_;
#line 723 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp13_ = ret_val;
#line 723 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	if (_tmp13_ != 0) {
#line 5527 "Device.c"
		gchar* msg = NULL;
		gchar* _tmp14_;
		gchar* _tmp15_ = NULL;
		gint _tmp16_;
		gint _tmp17_;
		const gchar* _tmp20_;
		gchar* _tmp21_;
		const gchar* _tmp22_;
#line 724 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp14_ = g_strconcat ("blkid: ", _ ("Failed to get partition list"), NULL);
#line 724 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		msg = _tmp14_;
#line 725 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp16_ = strlen (dev_name);
#line 725 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp17_ = _tmp16_;
#line 725 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		if (_tmp17_ > 0) {
#line 5546 "Device.c"
			gchar* _tmp18_;
#line 725 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp18_ = g_strconcat (": ", dev_name, NULL);
#line 725 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_g_free0 (_tmp15_);
#line 725 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp15_ = _tmp18_;
#line 5554 "Device.c"
		} else {
			gchar* _tmp19_;
#line 725 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp19_ = g_strdup ("");
#line 725 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_g_free0 (_tmp15_);
#line 725 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp15_ = _tmp19_;
#line 5563 "Device.c"
		}
#line 725 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp20_ = msg;
#line 725 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp21_ = g_strconcat (_tmp20_, _tmp15_, NULL);
#line 725 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (msg);
#line 725 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		msg = _tmp21_;
#line 726 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp22_ = msg;
#line 726 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		tee_jee_logging_log_error (_tmp22_, FALSE, FALSE);
#line 727 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		result = list;
#line 727 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (_tmp15_);
#line 727 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (msg);
#line 727 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (_tmp1_);
#line 727 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_match_info_unref0 (match);
#line 727 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_regex_unref0 (rex);
#line 727 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (cmd);
#line 727 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (std_err);
#line 727 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (std_out);
#line 727 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		return result;
#line 5597 "Device.c"
	}
#line 740 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp23_ = std_out;
#line 740 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp25_ = _tmp24_ = g_strsplit (_tmp23_, "\n", 0);
#line 5603 "Device.c"
	{
		gchar** line_collection = NULL;
		gint line_collection_length1 = 0;
		gint _line_collection_size_ = 0;
		gint line_it = 0;
#line 740 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		line_collection = _tmp25_;
#line 740 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		line_collection_length1 = _vala_array_length (_tmp24_);
#line 740 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		for (line_it = 0; line_it < line_collection_length1; line_it = line_it + 1) {
#line 5615 "Device.c"
			gchar* _tmp26_;
			gchar* line = NULL;
#line 740 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp26_ = g_strdup (line_collection[line_it]);
#line 740 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			line = _tmp26_;
#line 5622 "Device.c"
			{
				const gchar* _tmp27_;
				gchar* _tmp28_;
				gchar* _tmp29_;
				gint _tmp30_;
				gint _tmp31_;
				gboolean _tmp32_;
				Device* pi = NULL;
				Device* _tmp33_;
				Device* _tmp34_;
				const gchar* _tmp35_;
				gchar** _tmp36_;
				gchar** _tmp37_;
				gchar** _tmp38_;
				gint _tmp38__length1;
				const gchar* _tmp39_;
				gchar* _tmp40_;
				Device* _tmp41_;
				const gchar* _tmp42_;
				gint _tmp43_;
				gint _tmp44_;
				Device* _tmp45_;
				const gchar* _tmp46_;
				gboolean _tmp47_ = FALSE;
				gboolean _tmp48_ = FALSE;
				gboolean _tmp49_ = FALSE;
				Device* _tmp50_;
				const gchar* _tmp51_;
				Device* _tmp100_;
				const gchar* _tmp101_;
				gint _tmp102_;
				gint _tmp103_;
#line 741 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp27_ = line;
#line 741 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp28_ = string_strip (_tmp27_);
#line 741 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp29_ = _tmp28_;
#line 741 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp30_ = strlen (_tmp29_);
#line 741 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp31_ = _tmp30_;
#line 741 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp32_ = _tmp31_ == 0;
#line 741 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_g_free0 (_tmp29_);
#line 741 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				if (_tmp32_) {
#line 741 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_g_free0 (line);
#line 741 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					continue;
#line 5675 "Device.c"
				}
#line 743 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp33_ = device_new ();
#line 743 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				pi = _tmp33_;
#line 745 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp34_ = pi;
#line 745 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp35_ = line;
#line 745 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp37_ = _tmp36_ = g_strsplit (_tmp35_, ":", 0);
#line 745 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp38_ = _tmp37_;
#line 745 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp38__length1 = _vala_array_length (_tmp36_);
#line 745 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp39_ = _tmp38_[0];
#line 745 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp40_ = string_strip (_tmp39_);
#line 745 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_g_free0 (_tmp34_->device);
#line 745 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp34_->device = _tmp40_;
#line 745 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp38_ = (_vala_array_free (_tmp38_, _tmp38__length1, (GDestroyNotify) g_free), NULL);
#line 747 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp41_ = pi;
#line 747 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp42_ = _tmp41_->device;
#line 747 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp43_ = strlen (_tmp42_);
#line 747 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp44_ = _tmp43_;
#line 747 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				if (_tmp44_ == 0) {
#line 747 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_g_object_unref0 (pi);
#line 747 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_g_free0 (line);
#line 747 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					continue;
#line 5717 "Device.c"
				}
#line 751 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp45_ = pi;
#line 751 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp46_ = _tmp45_->device;
#line 751 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				if (!g_str_has_prefix (_tmp46_, "/dev/")) {
#line 752 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_g_object_unref0 (pi);
#line 752 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_g_free0 (line);
#line 752 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					continue;
#line 5731 "Device.c"
				}
#line 755 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp50_ = pi;
#line 755 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp51_ = _tmp50_->device;
#line 755 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				if (g_str_has_prefix (_tmp51_, "/dev/sd")) {
#line 755 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp49_ = TRUE;
#line 5741 "Device.c"
				} else {
					Device* _tmp52_;
					const gchar* _tmp53_;
#line 755 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp52_ = pi;
#line 755 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp53_ = _tmp52_->device;
#line 755 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp49_ = g_str_has_prefix (_tmp53_, "/dev/hd");
#line 5751 "Device.c"
				}
#line 755 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				if (_tmp49_) {
#line 755 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp48_ = TRUE;
#line 5757 "Device.c"
				} else {
					Device* _tmp54_;
					const gchar* _tmp55_;
#line 755 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp54_ = pi;
#line 755 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp55_ = _tmp54_->device;
#line 755 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp48_ = g_str_has_prefix (_tmp55_, "/dev/mapper/");
#line 5767 "Device.c"
				}
#line 755 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				if (_tmp48_) {
#line 755 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp47_ = TRUE;
#line 5773 "Device.c"
				} else {
					Device* _tmp56_;
					const gchar* _tmp57_;
#line 755 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp56_ = pi;
#line 755 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp57_ = _tmp56_->device;
#line 755 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp47_ = g_str_has_prefix (_tmp57_, "/dev/dm");
#line 5783 "Device.c"
				}
#line 755 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				if (_tmp47_) {
#line 5787 "Device.c"
				} else {
					Device* _tmp58_;
					const gchar* _tmp59_;
#line 758 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp58_ = pi;
#line 758 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp59_ = _tmp58_->device;
#line 758 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					if (g_str_has_prefix (_tmp59_, "/dev/disk/by-uuid/")) {
#line 5797 "Device.c"
						Device* _tmp60_;
						Device* _tmp61_;
						const gchar* _tmp62_;
						gchar* _tmp63_;
#line 760 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp60_ = pi;
#line 760 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp61_ = pi;
#line 760 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp62_ = _tmp61_->device;
#line 760 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp63_ = string_replace (_tmp62_, "/dev/disk/by-uuid/", "");
#line 760 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_g_free0 (_tmp60_->uuid);
#line 760 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp60_->uuid = _tmp63_;
#line 5814 "Device.c"
					} else {
#line 763 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_g_object_unref0 (pi);
#line 763 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_g_free0 (line);
#line 763 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						continue;
#line 5822 "Device.c"
					}
				}
				{
					GRegex* _tmp64_ = NULL;
					GRegex* _tmp65_;
					GRegex* _tmp66_;
					GRegex* _tmp67_;
					const gchar* _tmp68_;
					GMatchInfo* _tmp69_ = NULL;
					gboolean _tmp70_;
					GRegex* _tmp74_ = NULL;
					GRegex* _tmp75_;
					GRegex* _tmp76_;
					GRegex* _tmp77_;
					const gchar* _tmp78_;
					GMatchInfo* _tmp79_ = NULL;
					gboolean _tmp80_;
					GRegex* _tmp86_ = NULL;
					GRegex* _tmp87_;
					GRegex* _tmp88_;
					GRegex* _tmp89_;
					const gchar* _tmp90_;
					GMatchInfo* _tmp91_ = NULL;
					gboolean _tmp92_;
#line 769 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp65_ = g_regex_new ("LABEL=\\\"([^\\\"]*)\\\"", 0, 0, &_inner_error0_);
#line 769 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp64_ = _tmp65_;
#line 769 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 5853 "Device.c"
						goto __catch45_g_error;
					}
#line 769 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp66_ = _tmp64_;
#line 769 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp64_ = NULL;
#line 769 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_g_regex_unref0 (rex);
#line 769 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					rex = _tmp66_;
#line 770 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp67_ = rex;
#line 770 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp68_ = line;
#line 770 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp70_ = g_regex_match (_tmp67_, _tmp68_, 0, &_tmp69_);
#line 770 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_g_match_info_unref0 (match);
#line 770 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					match = _tmp69_;
#line 770 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					if (_tmp70_) {
#line 5876 "Device.c"
						Device* _tmp71_;
						GMatchInfo* _tmp72_;
						gchar* _tmp73_;
#line 771 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp71_ = pi;
#line 771 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp72_ = match;
#line 771 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp73_ = g_match_info_fetch (_tmp72_, 1);
#line 771 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_g_free0 (_tmp71_->label);
#line 771 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp71_->label = _tmp73_;
#line 5890 "Device.c"
					}
#line 774 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp75_ = g_regex_new ("UUID=\\\"([^\\\"]*)\\\"", 0, 0, &_inner_error0_);
#line 774 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp74_ = _tmp75_;
#line 774 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 774 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_g_regex_unref0 (_tmp64_);
#line 5900 "Device.c"
						goto __catch45_g_error;
					}
#line 774 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp76_ = _tmp74_;
#line 774 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp74_ = NULL;
#line 774 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_g_regex_unref0 (rex);
#line 774 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					rex = _tmp76_;
#line 775 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp77_ = rex;
#line 775 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp78_ = line;
#line 775 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp80_ = g_regex_match (_tmp77_, _tmp78_, 0, &_tmp79_);
#line 775 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_g_match_info_unref0 (match);
#line 775 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					match = _tmp79_;
#line 775 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					if (_tmp80_) {
#line 5923 "Device.c"
						Device* _tmp81_;
						GMatchInfo* _tmp82_;
						gchar* _tmp83_;
						gchar* _tmp84_;
						gchar* _tmp85_;
#line 776 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp81_ = pi;
#line 776 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp82_ = match;
#line 776 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp83_ = g_match_info_fetch (_tmp82_, 1);
#line 776 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp84_ = _tmp83_;
#line 776 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp85_ = string_strip (_tmp84_);
#line 776 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_g_free0 (_tmp81_->uuid);
#line 776 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp81_->uuid = _tmp85_;
#line 776 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_g_free0 (_tmp84_);
#line 5945 "Device.c"
					}
#line 779 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp87_ = g_regex_new ("TYPE=\\\"([^\\\"]*)\\\"", 0, 0, &_inner_error0_);
#line 779 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp86_ = _tmp87_;
#line 779 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 779 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_g_regex_unref0 (_tmp74_);
#line 779 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_g_regex_unref0 (_tmp64_);
#line 5957 "Device.c"
						goto __catch45_g_error;
					}
#line 779 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp88_ = _tmp86_;
#line 779 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp86_ = NULL;
#line 779 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_g_regex_unref0 (rex);
#line 779 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					rex = _tmp88_;
#line 780 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp89_ = rex;
#line 780 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp90_ = line;
#line 780 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp92_ = g_regex_match (_tmp89_, _tmp90_, 0, &_tmp91_);
#line 780 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_g_match_info_unref0 (match);
#line 780 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					match = _tmp91_;
#line 780 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					if (_tmp92_) {
#line 5980 "Device.c"
						Device* _tmp93_;
						GMatchInfo* _tmp94_;
						gchar* _tmp95_;
						gchar* _tmp96_;
						gchar* _tmp97_;
#line 781 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp93_ = pi;
#line 781 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp94_ = match;
#line 781 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp95_ = g_match_info_fetch (_tmp94_, 1);
#line 781 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp96_ = _tmp95_;
#line 781 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp97_ = string_strip (_tmp96_);
#line 781 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_g_free0 (_tmp93_->fstype);
#line 781 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp93_->fstype = _tmp97_;
#line 781 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_g_free0 (_tmp96_);
#line 6002 "Device.c"
					}
#line 768 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_g_regex_unref0 (_tmp86_);
#line 768 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_g_regex_unref0 (_tmp74_);
#line 768 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_g_regex_unref0 (_tmp64_);
#line 6010 "Device.c"
				}
				goto __finally45;
				__catch45_g_error:
				{
					GError* e = NULL;
					GError* _tmp98_;
					const gchar* _tmp99_;
#line 768 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					e = _inner_error0_;
#line 768 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_inner_error0_ = NULL;
#line 785 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp98_ = e;
#line 785 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp99_ = _tmp98_->message;
#line 785 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					tee_jee_logging_log_error (_tmp99_, FALSE, FALSE);
#line 768 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_g_error_free0 (e);
#line 6030 "Device.c"
				}
				__finally45:
#line 768 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 768 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_g_object_unref0 (pi);
#line 768 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_g_free0 (line);
#line 768 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					line_collection = (_vala_array_free (line_collection, line_collection_length1, (GDestroyNotify) g_free), NULL);
#line 768 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_g_free0 (_tmp1_);
#line 768 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_g_match_info_unref0 (match);
#line 768 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_g_regex_unref0 (rex);
#line 768 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_g_free0 (cmd);
#line 768 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_g_free0 (std_err);
#line 768 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_g_free0 (std_out);
#line 768 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_g_object_unref0 (list);
#line 768 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 768 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					g_clear_error (&_inner_error0_);
#line 768 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					return NULL;
#line 6061 "Device.c"
				}
#line 790 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp100_ = pi;
#line 790 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp101_ = _tmp100_->uuid;
#line 790 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp102_ = strlen (_tmp101_);
#line 790 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp103_ = _tmp102_;
#line 790 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				if (_tmp103_ > 0) {
#line 6073 "Device.c"
					GeeArrayList* _tmp104_;
					Device* _tmp105_;
#line 791 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp104_ = list;
#line 791 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp105_ = pi;
#line 791 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					gee_abstract_collection_add ((GeeAbstractCollection*) _tmp104_, _tmp105_);
#line 6082 "Device.c"
				}
#line 740 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_g_object_unref0 (pi);
#line 740 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_g_free0 (line);
#line 6088 "Device.c"
			}
		}
#line 740 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		line_collection = (_vala_array_free (line_collection, line_collection_length1, (GDestroyNotify) g_free), NULL);
#line 6093 "Device.c"
	}
#line 795 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp106_ = list;
#line 795 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp107_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp106_);
#line 795 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp108_ = _tmp107_;
#line 795 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp109_ = g_strdup_printf ("Device: get_block_devices_using_blkid(): %d", _tmp108_);
#line 795 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp110_ = _tmp109_;
#line 795 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	tee_jee_logging_log_debug (_tmp110_);
#line 795 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_g_free0 (_tmp110_);
#line 797 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	result = list;
#line 797 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_g_free0 (_tmp1_);
#line 797 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_g_match_info_unref0 (match);
#line 797 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_g_regex_unref0 (rex);
#line 797 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_g_free0 (cmd);
#line 797 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_g_free0 (std_err);
#line 797 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_g_free0 (std_out);
#line 797 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	return result;
#line 6125 "Device.c"
}


static guint64
uint64_parse (const gchar* str)
{
	guint64 result = 0ULL;
#line 782 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	g_return_val_if_fail (str != NULL, 0ULL);
#line 783 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	result = g_ascii_strtoull (str, NULL, (guint) 0);
#line 783 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	return result;
#line 6139 "Device.c"
}


GeeArrayList*
device_get_disk_space_using_df (const gchar* dev_name_or_mount_point)
{
	GeeArrayList* result = NULL;
	GeeArrayList* list = NULL;
	GeeArrayList* _tmp0_;
	gchar* std_out = NULL;
	gchar* std_err = NULL;
	gchar* cmd = NULL;
	gint ret_val = 0;
	gchar* _tmp1_;
	gint _tmp2_;
	gint _tmp3_;
	gboolean _tmp10_;
	const gchar* _tmp12_;
	gchar* _tmp13_ = NULL;
	gchar* _tmp14_ = NULL;
	gint _tmp15_;
	gchar** lines = NULL;
	const gchar* _tmp16_;
	gchar** _tmp17_;
	gchar** _tmp18_;
	gint lines_length1;
	gint _lines_size_;
	gint line_num = 0;
	gchar** _tmp19_;
	gint _tmp19__length1;
	GeeArrayList* _tmp76_;
	gint _tmp77_;
	gint _tmp78_;
	gchar* _tmp79_;
	gchar* _tmp80_;
#line 800 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	g_return_val_if_fail (dev_name_or_mount_point != NULL, NULL);
#line 807 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp0_ = gee_array_list_new (TYPE_DEVICE, (GBoxedCopyFunc) g_object_ref, (GDestroyNotify) g_object_unref, NULL, NULL, NULL);
#line 807 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	list = _tmp0_;
#line 814 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp1_ = g_strdup ("df -T -B1");
#line 814 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_g_free0 (cmd);
#line 814 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	cmd = _tmp1_;
#line 816 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp2_ = strlen (dev_name_or_mount_point);
#line 816 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp3_ = _tmp2_;
#line 816 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	if (_tmp3_ > 0) {
#line 6193 "Device.c"
		const gchar* _tmp4_;
		gchar* _tmp5_;
		gchar* _tmp6_;
		gchar* _tmp7_;
		gchar* _tmp8_;
		gchar* _tmp9_;
#line 817 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp4_ = cmd;
#line 817 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp5_ = tee_jee_file_system_escape_single_quote (dev_name_or_mount_point);
#line 817 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp6_ = _tmp5_;
#line 817 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp7_ = g_strdup_printf (" '%s'", _tmp6_);
#line 817 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp8_ = _tmp7_;
#line 817 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp9_ = g_strconcat (_tmp4_, _tmp8_, NULL);
#line 817 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (cmd);
#line 817 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		cmd = _tmp9_;
#line 817 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (_tmp8_);
#line 817 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (_tmp6_);
#line 6220 "Device.c"
	}
#line 820 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp10_ = tee_jee_logging_LOG_DEBUG;
#line 820 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	if (_tmp10_) {
#line 6226 "Device.c"
		const gchar* _tmp11_;
#line 821 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp11_ = cmd;
#line 821 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		tee_jee_logging_log_debug (_tmp11_);
#line 6232 "Device.c"
	}
#line 824 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp12_ = cmd;
#line 824 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp15_ = tee_jee_process_helper_exec_sync (_tmp12_, &_tmp13_, &_tmp14_);
#line 824 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_g_free0 (std_out);
#line 824 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	std_out = _tmp13_;
#line 824 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_g_free0 (std_err);
#line 824 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	std_err = _tmp14_;
#line 824 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	ret_val = _tmp15_;
#line 839 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp16_ = std_out;
#line 839 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp18_ = _tmp17_ = g_strsplit (_tmp16_, "\n", 0);
#line 839 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	lines = _tmp18_;
#line 839 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	lines_length1 = _vala_array_length (_tmp17_);
#line 839 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_lines_size_ = lines_length1;
#line 841 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	line_num = 0;
#line 842 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp19_ = lines;
#line 842 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp19__length1 = lines_length1;
#line 6264 "Device.c"
	{
		gchar** line_collection = NULL;
		gint line_collection_length1 = 0;
		gint _line_collection_size_ = 0;
		gint line_it = 0;
#line 842 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		line_collection = _tmp19_;
#line 842 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		line_collection_length1 = _tmp19__length1;
#line 842 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		for (line_it = 0; line_it < line_collection_length1; line_it = line_it + 1) {
#line 6276 "Device.c"
			gchar* _tmp20_;
			gchar* line = NULL;
#line 842 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp20_ = g_strdup (line_collection[line_it]);
#line 842 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			line = _tmp20_;
#line 6283 "Device.c"
			{
				gint _tmp21_;
				gint _tmp22_;
				const gchar* _tmp23_;
				gchar* _tmp24_;
				gchar* _tmp25_;
				gint _tmp26_;
				gint _tmp27_;
				gboolean _tmp28_;
				Device* pi = NULL;
				Device* _tmp29_;
				gint k = 0;
				const gchar* _tmp30_;
				gchar** _tmp31_;
				gchar** _tmp32_;
				Device* _tmp62_;
				Device* _tmp63_;
				const gchar* _tmp64_;
				gchar* _tmp65_;
				Device* _tmp66_;
				Device* _tmp67_;
				const gchar* _tmp68_;
				gchar* _tmp69_;
				Device* _tmp70_;
				const gchar* _tmp71_;
				gint _tmp72_;
				gint _tmp73_;
#line 844 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp21_ = line_num;
#line 844 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				line_num = _tmp21_ + 1;
#line 844 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp22_ = line_num;
#line 844 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				if (_tmp22_ == 1) {
#line 844 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_g_free0 (line);
#line 844 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					continue;
#line 6323 "Device.c"
				}
#line 845 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp23_ = line;
#line 845 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp24_ = string_strip (_tmp23_);
#line 845 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp25_ = _tmp24_;
#line 845 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp26_ = strlen (_tmp25_);
#line 845 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp27_ = _tmp26_;
#line 845 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp28_ = _tmp27_ == 0;
#line 845 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_g_free0 (_tmp25_);
#line 845 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				if (_tmp28_) {
#line 845 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_g_free0 (line);
#line 845 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					continue;
#line 6345 "Device.c"
				}
#line 847 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp29_ = device_new ();
#line 847 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				pi = _tmp29_;
#line 851 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				k = 1;
#line 852 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp30_ = line;
#line 852 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp32_ = _tmp31_ = g_strsplit (_tmp30_, " ", 0);
#line 6357 "Device.c"
				{
					gchar** val_collection = NULL;
					gint val_collection_length1 = 0;
					gint _val_collection_size_ = 0;
					gint val_it = 0;
#line 852 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					val_collection = _tmp32_;
#line 852 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					val_collection_length1 = _vala_array_length (_tmp31_);
#line 852 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					for (val_it = 0; val_it < val_collection_length1; val_it = val_it + 1) {
#line 6369 "Device.c"
						gchar* _tmp33_;
						gchar* val = NULL;
#line 852 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp33_ = g_strdup (val_collection[val_it]);
#line 852 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						val = _tmp33_;
#line 6376 "Device.c"
						{
							const gchar* _tmp34_;
							gchar* _tmp35_;
							gchar* _tmp36_;
							gint _tmp37_;
							gint _tmp38_;
							gboolean _tmp39_;
							gint _tmp40_;
#line 854 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_tmp34_ = val;
#line 854 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_tmp35_ = string_strip (_tmp34_);
#line 854 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_tmp36_ = _tmp35_;
#line 854 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_tmp37_ = strlen (_tmp36_);
#line 854 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_tmp38_ = _tmp37_;
#line 854 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_tmp39_ = _tmp38_ == 0;
#line 854 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_g_free0 (_tmp36_);
#line 854 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							if (_tmp39_) {
#line 854 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
								_g_free0 (val);
#line 854 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
								continue;
#line 6405 "Device.c"
							}
#line 856 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_tmp40_ = k;
#line 856 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							k = _tmp40_ + 1;
#line 856 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							switch (_tmp40_) {
#line 856 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
								case 1:
#line 6415 "Device.c"
								{
									Device* _tmp41_;
									const gchar* _tmp42_;
									gchar* _tmp43_;
#line 858 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									_tmp41_ = pi;
#line 858 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									_tmp42_ = val;
#line 858 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									_tmp43_ = string_strip (_tmp42_);
#line 858 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									_g_free0 (_tmp41_->device);
#line 858 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									_tmp41_->device = _tmp43_;
#line 859 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									break;
#line 6432 "Device.c"
								}
#line 856 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
								case 2:
#line 6436 "Device.c"
								{
									Device* _tmp44_;
									const gchar* _tmp45_;
									gchar* _tmp46_;
#line 861 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									_tmp44_ = pi;
#line 861 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									_tmp45_ = val;
#line 861 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									_tmp46_ = string_strip (_tmp45_);
#line 861 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									_g_free0 (_tmp44_->fstype);
#line 861 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									_tmp44_->fstype = _tmp46_;
#line 862 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									break;
#line 6453 "Device.c"
								}
#line 856 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
								case 3:
#line 6457 "Device.c"
								{
									Device* _tmp47_;
									const gchar* _tmp48_;
									gchar* _tmp49_;
									gchar* _tmp50_;
#line 864 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									_tmp47_ = pi;
#line 864 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									_tmp48_ = val;
#line 864 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									_tmp49_ = string_strip (_tmp48_);
#line 864 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									_tmp50_ = _tmp49_;
#line 864 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									_tmp47_->size_bytes = uint64_parse (_tmp50_);
#line 864 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									_g_free0 (_tmp50_);
#line 865 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									break;
#line 6477 "Device.c"
								}
#line 856 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
								case 4:
#line 6481 "Device.c"
								{
									Device* _tmp51_;
									const gchar* _tmp52_;
									gchar* _tmp53_;
									gchar* _tmp54_;
#line 867 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									_tmp51_ = pi;
#line 867 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									_tmp52_ = val;
#line 867 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									_tmp53_ = string_strip (_tmp52_);
#line 867 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									_tmp54_ = _tmp53_;
#line 867 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									_tmp51_->used_bytes = uint64_parse (_tmp54_);
#line 867 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									_g_free0 (_tmp54_);
#line 868 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									break;
#line 6501 "Device.c"
								}
#line 856 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
								case 5:
#line 6505 "Device.c"
								{
									Device* _tmp55_;
									const gchar* _tmp56_;
									gchar* _tmp57_;
									gchar* _tmp58_;
#line 870 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									_tmp55_ = pi;
#line 870 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									_tmp56_ = val;
#line 870 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									_tmp57_ = string_strip (_tmp56_);
#line 870 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									_tmp58_ = _tmp57_;
#line 870 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									_tmp55_->available_bytes = uint64_parse (_tmp58_);
#line 870 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									_g_free0 (_tmp58_);
#line 871 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									break;
#line 6525 "Device.c"
								}
#line 856 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
								case 6:
#line 6529 "Device.c"
								{
									Device* _tmp59_;
									const gchar* _tmp60_;
									gchar* _tmp61_;
#line 873 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									_tmp59_ = pi;
#line 873 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									_tmp60_ = val;
#line 873 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									_tmp61_ = string_strip (_tmp60_);
#line 873 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									_g_free0 (_tmp59_->used_percent);
#line 873 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									_tmp59_->used_percent = _tmp61_;
#line 874 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									break;
#line 6546 "Device.c"
								}
#line 856 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
								case 7:
#line 6550 "Device.c"
								{
#line 880 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									break;
#line 6554 "Device.c"
								}
								default:
#line 856 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
								break;
#line 6559 "Device.c"
							}
#line 852 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_g_free0 (val);
#line 6563 "Device.c"
						}
					}
#line 852 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					val_collection = (_vala_array_free (val_collection, val_collection_length1, (GDestroyNotify) g_free), NULL);
#line 6568 "Device.c"
				}
#line 893 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp62_ = pi;
#line 893 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp63_ = pi;
#line 893 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp64_ = _tmp63_->device;
#line 893 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp65_ = device_resolve_device_name (_tmp64_);
#line 893 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_g_free0 (_tmp62_->device);
#line 893 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp62_->device = _tmp65_;
#line 897 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp66_ = pi;
#line 897 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp67_ = pi;
#line 897 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp68_ = _tmp67_->device;
#line 897 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp69_ = device_get_device_uuid (_tmp68_);
#line 897 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_g_free0 (_tmp66_->uuid);
#line 897 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp66_->uuid = _tmp69_;
#line 901 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp70_ = pi;
#line 901 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp71_ = _tmp70_->uuid;
#line 901 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp72_ = strlen (_tmp71_);
#line 901 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp73_ = _tmp72_;
#line 901 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				if (_tmp73_ > 0) {
#line 6604 "Device.c"
					GeeArrayList* _tmp74_;
					Device* _tmp75_;
#line 902 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp74_ = list;
#line 902 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp75_ = pi;
#line 902 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					gee_abstract_collection_add ((GeeAbstractCollection*) _tmp74_, _tmp75_);
#line 6613 "Device.c"
				}
#line 842 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_g_object_unref0 (pi);
#line 842 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_g_free0 (line);
#line 6619 "Device.c"
			}
		}
	}
#line 906 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp76_ = list;
#line 906 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp77_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp76_);
#line 906 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp78_ = _tmp77_;
#line 906 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp79_ = g_strdup_printf ("Device: get_disk_space_using_df(): %d", _tmp78_);
#line 906 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp80_ = _tmp79_;
#line 906 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	tee_jee_logging_log_debug (_tmp80_);
#line 906 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_g_free0 (_tmp80_);
#line 908 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	result = list;
#line 908 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	lines = (_vala_array_free (lines, lines_length1, (GDestroyNotify) g_free), NULL);
#line 908 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_g_free0 (cmd);
#line 908 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_g_free0 (std_err);
#line 908 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_g_free0 (std_out);
#line 908 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	return result;
#line 6649 "Device.c"
}


GeeArrayList*
device_get_mounted_filesystems_using_mtab (void)
{
	GeeArrayList* result = NULL;
	GeeArrayList* list = NULL;
	GeeArrayList* _tmp0_;
	gchar* mtab_path = NULL;
	gchar* _tmp1_;
	gchar* mtab_lines = NULL;
	gchar* _tmp2_;
	GFile* f = NULL;
	gchar* _tmp3_;
	const gchar* _tmp4_;
	GFile* _tmp5_;
	GFile* _tmp6_;
	const gchar* _tmp15_;
	gchar* _tmp16_;
	gchar** lines = NULL;
	const gchar* _tmp17_;
	gchar** _tmp18_;
	gchar** _tmp19_;
	gint lines_length1;
	gint _lines_size_;
	GeeArrayList* mount_list = NULL;
	GeeArrayList* _tmp20_;
	GeeArrayList* _tmp107_;
	gint _tmp108_;
	gint _tmp109_;
	gchar* _tmp110_;
	gchar* _tmp111_;
#line 916 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp0_ = gee_array_list_new (TYPE_DEVICE, (GBoxedCopyFunc) g_object_ref, (GDestroyNotify) g_object_unref, NULL, NULL, NULL);
#line 916 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	list = _tmp0_;
#line 918 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp1_ = g_strdup ("/etc/mtab");
#line 918 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	mtab_path = _tmp1_;
#line 919 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp2_ = g_strdup ("");
#line 919 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	mtab_lines = _tmp2_;
#line 925 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp3_ = g_strdup ("/proc/mounts");
#line 925 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_g_free0 (mtab_path);
#line 925 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	mtab_path = _tmp3_;
#line 926 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp4_ = mtab_path;
#line 926 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp5_ = g_file_new_for_path (_tmp4_);
#line 926 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_g_object_unref0 (f);
#line 926 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	f = _tmp5_;
#line 927 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp6_ = f;
#line 927 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	if (!g_file_query_exists (_tmp6_, NULL)) {
#line 6713 "Device.c"
		gchar* _tmp7_;
		const gchar* _tmp8_;
		GFile* _tmp9_;
		GFile* _tmp10_;
#line 928 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp7_ = g_strdup ("/proc/self/mounts");
#line 928 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (mtab_path);
#line 928 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		mtab_path = _tmp7_;
#line 929 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp8_ = mtab_path;
#line 929 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp9_ = g_file_new_for_path (_tmp8_);
#line 929 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_object_unref0 (f);
#line 929 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		f = _tmp9_;
#line 930 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp10_ = f;
#line 930 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		if (!g_file_query_exists (_tmp10_, NULL)) {
#line 6736 "Device.c"
			gchar* _tmp11_;
			const gchar* _tmp12_;
			GFile* _tmp13_;
			GFile* _tmp14_;
#line 931 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp11_ = g_strdup ("/etc/mtab");
#line 931 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_g_free0 (mtab_path);
#line 931 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			mtab_path = _tmp11_;
#line 932 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp12_ = mtab_path;
#line 932 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp13_ = g_file_new_for_path (_tmp12_);
#line 932 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_g_object_unref0 (f);
#line 932 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			f = _tmp13_;
#line 933 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp14_ = f;
#line 933 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			if (!g_file_query_exists (_tmp14_, NULL)) {
#line 934 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				result = list;
#line 934 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_g_object_unref0 (f);
#line 934 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_g_free0 (mtab_lines);
#line 934 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_g_free0 (mtab_path);
#line 934 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				return result;
#line 6769 "Device.c"
			}
		}
	}
#line 947 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp15_ = mtab_path;
#line 947 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp16_ = tee_jee_file_system_file_read (_tmp15_);
#line 947 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_g_free0 (mtab_lines);
#line 947 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	mtab_lines = _tmp16_;
#line 976 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp17_ = mtab_lines;
#line 976 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp19_ = _tmp18_ = g_strsplit (_tmp17_, "\n", 0);
#line 976 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	lines = _tmp19_;
#line 976 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	lines_length1 = _vala_array_length (_tmp18_);
#line 976 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_lines_size_ = lines_length1;
#line 977 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp20_ = gee_array_list_new (G_TYPE_STRING, (GBoxedCopyFunc) g_strdup, (GDestroyNotify) g_free, NULL, NULL, NULL);
#line 977 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	mount_list = _tmp20_;
#line 6795 "Device.c"
	{
		gint i = 0;
		gchar** _tmp21_;
		gint _tmp21__length1;
#line 979 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp21_ = lines;
#line 979 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp21__length1 = lines_length1;
#line 979 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		i = _tmp21__length1 - 1;
#line 6806 "Device.c"
		{
			gboolean _tmp22_ = FALSE;
#line 979 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp22_ = TRUE;
#line 979 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			while (TRUE) {
#line 6813 "Device.c"
				gint _tmp24_;
				gboolean ignoreEntry = FALSE;
				gchar* line = NULL;
				gchar** _tmp25_;
				gint _tmp25__length1;
				gint _tmp26_;
				const gchar* _tmp27_;
				gchar* _tmp28_;
				const gchar* _tmp29_;
				gint _tmp30_;
				gint _tmp31_;
				Device* pi = NULL;
				Device* _tmp32_;
				MountEntry* mp = NULL;
				Device* _tmp33_;
				MountEntry* _tmp34_;
				gint k = 0;
				const gchar* _tmp35_;
				gchar** _tmp36_;
				gchar** _tmp37_;
				gboolean _tmp72_;
				Device* _tmp73_;
				Device* _tmp74_;
				const gchar* _tmp75_;
				gchar* _tmp76_;
				Device* _tmp77_;
				Device* _tmp78_;
				const gchar* _tmp79_;
				gchar* _tmp80_;
				Device* _tmp81_;
				const gchar* _tmp82_;
				gint _tmp83_;
				gint _tmp84_;
#line 979 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				if (!_tmp22_) {
#line 6849 "Device.c"
					gint _tmp23_;
#line 979 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp23_ = i;
#line 979 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					i = _tmp23_ - 1;
#line 6855 "Device.c"
				}
#line 979 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp22_ = FALSE;
#line 979 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp24_ = i;
#line 979 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				if (!(_tmp24_ >= 0)) {
#line 979 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					break;
#line 6865 "Device.c"
				}
#line 981 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				ignoreEntry = FALSE;
#line 983 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp25_ = lines;
#line 983 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp25__length1 = lines_length1;
#line 983 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp26_ = i;
#line 983 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp27_ = _tmp25_[_tmp26_];
#line 983 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp28_ = string_strip (_tmp27_);
#line 983 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				line = _tmp28_;
#line 984 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp29_ = line;
#line 984 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp30_ = strlen (_tmp29_);
#line 984 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp31_ = _tmp30_;
#line 984 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				if (_tmp31_ == 0) {
#line 984 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_g_free0 (line);
#line 984 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					continue;
#line 6893 "Device.c"
				}
#line 986 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp32_ = device_new ();
#line 986 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				pi = _tmp32_;
#line 988 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp33_ = pi;
#line 988 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp34_ = mount_entry_new (_tmp33_, "", "");
#line 988 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				mp = _tmp34_;
#line 992 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				k = 1;
#line 993 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp35_ = line;
#line 993 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp37_ = _tmp36_ = g_strsplit (_tmp35_, " ", 0);
#line 6911 "Device.c"
				{
					gchar** val_collection = NULL;
					gint val_collection_length1 = 0;
					gint _val_collection_size_ = 0;
					gint val_it = 0;
#line 993 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					val_collection = _tmp37_;
#line 993 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					val_collection_length1 = _vala_array_length (_tmp36_);
#line 993 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					for (val_it = 0; val_it < val_collection_length1; val_it = val_it + 1) {
#line 6923 "Device.c"
						gchar* _tmp38_;
						gchar* val = NULL;
#line 993 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp38_ = g_strdup (val_collection[val_it]);
#line 993 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						val = _tmp38_;
#line 6930 "Device.c"
						{
							const gchar* _tmp39_;
							gchar* _tmp40_;
							gchar* _tmp41_;
							gint _tmp42_;
							gint _tmp43_;
							gboolean _tmp44_;
							gboolean _tmp45_;
							gint _tmp46_;
#line 994 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_tmp39_ = val;
#line 994 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_tmp40_ = string_strip (_tmp39_);
#line 994 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_tmp41_ = _tmp40_;
#line 994 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_tmp42_ = strlen (_tmp41_);
#line 994 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_tmp43_ = _tmp42_;
#line 994 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_tmp44_ = _tmp43_ == 0;
#line 994 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_g_free0 (_tmp41_);
#line 994 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							if (_tmp44_) {
#line 994 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
								_g_free0 (val);
#line 994 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
								continue;
#line 6960 "Device.c"
							}
#line 995 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_tmp45_ = ignoreEntry;
#line 995 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							if (_tmp45_) {
#line 995 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
								_g_free0 (val);
#line 995 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
								break;
#line 6970 "Device.c"
							}
#line 996 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_tmp46_ = k;
#line 996 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							k = _tmp46_ + 1;
#line 996 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							switch (_tmp46_) {
#line 996 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
								case 1:
#line 6980 "Device.c"
								{
									Device* _tmp47_;
									const gchar* _tmp48_;
									gchar* _tmp49_;
#line 998 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									_tmp47_ = pi;
#line 998 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									_tmp48_ = val;
#line 998 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									_tmp49_ = string_strip (_tmp48_);
#line 998 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									_g_free0 (_tmp47_->device);
#line 998 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									_tmp47_->device = _tmp49_;
#line 999 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									break;
#line 6997 "Device.c"
								}
#line 996 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
								case 2:
#line 7001 "Device.c"
								{
									MountEntry* _tmp50_;
									const gchar* _tmp51_;
									gchar* _tmp52_;
									gchar* _tmp53_;
									gchar* _tmp54_;
									MountEntry* _tmp55_;
									const gchar* _tmp56_;
									GeeArrayList* _tmp57_;
									MountEntry* _tmp58_;
									const gchar* _tmp59_;
#line 1001 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									_tmp50_ = mp;
#line 1001 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									_tmp51_ = val;
#line 1001 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									_tmp52_ = string_strip (_tmp51_);
#line 1001 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									_tmp53_ = _tmp52_;
#line 1001 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									_tmp54_ = string_replace (_tmp53_, "\\040", " ");
#line 1001 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									_g_free0 (_tmp50_->mount_point);
#line 1001 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									_tmp50_->mount_point = _tmp54_;
#line 1001 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									_g_free0 (_tmp53_);
#line 1004 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									_tmp55_ = mp;
#line 1004 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									_tmp56_ = _tmp55_->mount_point;
#line 1004 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									if (string_contains (_tmp56_, "/docker")) {
#line 1005 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
										ignoreEntry = TRUE;
#line 1006 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
										break;
#line 7039 "Device.c"
									}
#line 1009 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									_tmp57_ = mount_list;
#line 1009 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									_tmp58_ = mp;
#line 1009 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									_tmp59_ = _tmp58_->mount_point;
#line 1009 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									if (!gee_abstract_collection_contains ((GeeAbstractCollection*) _tmp57_, _tmp59_)) {
#line 7049 "Device.c"
										GeeArrayList* _tmp60_;
										MountEntry* _tmp61_;
										const gchar* _tmp62_;
										Device* _tmp63_;
										GeeArrayList* _tmp64_;
										MountEntry* _tmp65_;
#line 1010 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
										_tmp60_ = mount_list;
#line 1010 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
										_tmp61_ = mp;
#line 1010 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
										_tmp62_ = _tmp61_->mount_point;
#line 1010 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
										gee_abstract_collection_add ((GeeAbstractCollection*) _tmp60_, _tmp62_);
#line 1011 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
										_tmp63_ = pi;
#line 1011 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
										_tmp64_ = _tmp63_->mount_points;
#line 1011 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
										_tmp65_ = mp;
#line 1011 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
										gee_abstract_collection_add ((GeeAbstractCollection*) _tmp64_, _tmp65_);
#line 7072 "Device.c"
									}
#line 1013 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									break;
#line 7076 "Device.c"
								}
#line 996 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
								case 3:
#line 7080 "Device.c"
								{
									Device* _tmp66_;
									const gchar* _tmp67_;
									gchar* _tmp68_;
#line 1015 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									_tmp66_ = pi;
#line 1015 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									_tmp67_ = val;
#line 1015 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									_tmp68_ = string_strip (_tmp67_);
#line 1015 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									_g_free0 (_tmp66_->fstype);
#line 1015 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									_tmp66_->fstype = _tmp68_;
#line 1016 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									break;
#line 7097 "Device.c"
								}
#line 996 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
								case 4:
#line 7101 "Device.c"
								{
									MountEntry* _tmp69_;
									const gchar* _tmp70_;
									gchar* _tmp71_;
#line 1018 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									_tmp69_ = mp;
#line 1018 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									_tmp70_ = val;
#line 1018 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									_tmp71_ = string_strip (_tmp70_);
#line 1018 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									_g_free0 (_tmp69_->mount_options);
#line 1018 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									_tmp69_->mount_options = _tmp71_;
#line 1019 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									break;
#line 7118 "Device.c"
								}
								default:
								{
#line 1022 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									break;
#line 7124 "Device.c"
								}
							}
#line 993 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_g_free0 (val);
#line 7129 "Device.c"
						}
					}
#line 993 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					val_collection = (_vala_array_free (val_collection, val_collection_length1, (GDestroyNotify) g_free), NULL);
#line 7134 "Device.c"
				}
#line 1026 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp72_ = ignoreEntry;
#line 1026 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				if (_tmp72_) {
#line 1026 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_g_object_unref0 (mp);
#line 1026 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_g_object_unref0 (pi);
#line 1026 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_g_free0 (line);
#line 1026 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					continue;
#line 7148 "Device.c"
				}
#line 1030 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp73_ = pi;
#line 1030 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp74_ = pi;
#line 1030 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp75_ = _tmp74_->device;
#line 1030 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp76_ = device_resolve_device_name (_tmp75_);
#line 1030 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_g_free0 (_tmp73_->device);
#line 1030 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp73_->device = _tmp76_;
#line 1034 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp77_ = pi;
#line 1034 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp78_ = pi;
#line 1034 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp79_ = _tmp78_->device;
#line 1034 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp80_ = device_get_device_uuid (_tmp79_);
#line 1034 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_g_free0 (_tmp77_->uuid);
#line 1034 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp77_->uuid = _tmp80_;
#line 1038 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp81_ = pi;
#line 1038 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp82_ = _tmp81_->uuid;
#line 1038 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp83_ = strlen (_tmp82_);
#line 1038 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp84_ = _tmp83_;
#line 1038 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				if (_tmp84_ > 0) {
#line 7184 "Device.c"
					Device* dev = NULL;
					GeeArrayList* _tmp85_;
					Device* _tmp86_;
					const gchar* _tmp87_;
					Device* _tmp88_;
					Device* _tmp89_;
#line 1039 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp85_ = list;
#line 1039 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp86_ = pi;
#line 1039 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp87_ = _tmp86_->uuid;
#line 1039 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp88_ = device_find_device_in_list (_tmp85_, _tmp87_);
#line 1039 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					dev = _tmp88_;
#line 1040 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp89_ = dev;
#line 1040 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					if (_tmp89_ == NULL) {
#line 7205 "Device.c"
						GeeArrayList* _tmp90_;
						Device* _tmp91_;
#line 1041 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp90_ = list;
#line 1041 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp91_ = pi;
#line 1041 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						gee_abstract_collection_add ((GeeAbstractCollection*) _tmp90_, _tmp91_);
#line 7214 "Device.c"
					} else {
						{
							GeeArrayList* _item_list = NULL;
							Device* _tmp92_;
							GeeArrayList* _tmp93_;
							GeeArrayList* _tmp94_;
							gint _item_size = 0;
							GeeArrayList* _tmp95_;
							gint _tmp96_;
							gint _tmp97_;
							gint _item_index = 0;
#line 1045 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_tmp92_ = pi;
#line 1045 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_tmp93_ = _tmp92_->mount_points;
#line 1045 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_tmp94_ = _g_object_ref0 (_tmp93_);
#line 1045 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_item_list = _tmp94_;
#line 1045 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_tmp95_ = _item_list;
#line 1045 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_tmp96_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp95_);
#line 1045 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_tmp97_ = _tmp96_;
#line 1045 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_item_size = _tmp97_;
#line 1045 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_item_index = -1;
#line 1045 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							while (TRUE) {
#line 7246 "Device.c"
								gint _tmp98_;
								gint _tmp99_;
								gint _tmp100_;
								MountEntry* item = NULL;
								GeeArrayList* _tmp101_;
								gint _tmp102_;
								gpointer _tmp103_;
								Device* _tmp104_;
								GeeArrayList* _tmp105_;
								MountEntry* _tmp106_;
#line 1045 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
								_tmp98_ = _item_index;
#line 1045 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
								_item_index = _tmp98_ + 1;
#line 1045 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
								_tmp99_ = _item_index;
#line 1045 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
								_tmp100_ = _item_size;
#line 1045 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
								if (!(_tmp99_ < _tmp100_)) {
#line 1045 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									break;
#line 7269 "Device.c"
								}
#line 1045 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
								_tmp101_ = _item_list;
#line 1045 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
								_tmp102_ = _item_index;
#line 1045 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
								_tmp103_ = gee_abstract_list_get ((GeeAbstractList*) _tmp101_, _tmp102_);
#line 1045 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
								item = (MountEntry*) _tmp103_;
#line 1046 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
								_tmp104_ = dev;
#line 1046 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
								_tmp105_ = _tmp104_->mount_points;
#line 1046 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
								_tmp106_ = item;
#line 1046 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
								gee_abstract_collection_add ((GeeAbstractCollection*) _tmp105_, _tmp106_);
#line 1045 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
								_g_object_unref0 (item);
#line 7289 "Device.c"
							}
#line 1045 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_g_object_unref0 (_item_list);
#line 7293 "Device.c"
						}
					}
#line 1038 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_g_object_unref0 (dev);
#line 7298 "Device.c"
				}
#line 979 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_g_object_unref0 (mp);
#line 979 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_g_object_unref0 (pi);
#line 979 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_g_free0 (line);
#line 7306 "Device.c"
			}
		}
	}
#line 1052 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp107_ = list;
#line 1052 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp108_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp107_);
#line 1052 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp109_ = _tmp108_;
#line 1052 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp110_ = g_strdup_printf ("Device: get_mounted_filesystems_using_mtab(): %d", _tmp109_);
#line 1052 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp111_ = _tmp110_;
#line 1052 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	tee_jee_logging_log_debug (_tmp111_);
#line 1052 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_g_free0 (_tmp111_);
#line 1054 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	result = list;
#line 1054 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_g_object_unref0 (mount_list);
#line 1054 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	lines = (_vala_array_free (lines, lines_length1, (GDestroyNotify) g_free), NULL);
#line 1054 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_g_object_unref0 (f);
#line 1054 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_g_free0 (mtab_lines);
#line 1054 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_g_free0 (mtab_path);
#line 1054 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	return result;
#line 7338 "Device.c"
}


Device*
device_get_device_by_uuid (const gchar* uuid)
{
	Device* result = NULL;
	GeeArrayList* _tmp0_;
	Device* _tmp1_;
#line 1059 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	g_return_val_if_fail (uuid != NULL, NULL);
#line 1061 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp0_ = device_device_list;
#line 1061 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp1_ = device_find_device_in_list (_tmp0_, uuid);
#line 1061 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	result = _tmp1_;
#line 1061 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	return result;
#line 7358 "Device.c"
}


Device*
device_get_device_by_name (const gchar* file_name)
{
	Device* result = NULL;
	GeeArrayList* _tmp0_;
	Device* _tmp1_;
#line 1064 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	g_return_val_if_fail (file_name != NULL, NULL);
#line 1066 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp0_ = device_device_list;
#line 1066 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp1_ = device_find_device_in_list (_tmp0_, file_name);
#line 1066 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	result = _tmp1_;
#line 1066 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	return result;
#line 7378 "Device.c"
}


Device*
device_get_device_by_path (const gchar* path_to_check)
{
	Device* result = NULL;
	GeeArrayList* list = NULL;
	GeeArrayList* _tmp0_;
	GeeArrayList* _tmp1_;
	gint _tmp2_;
	gint _tmp3_;
#line 1069 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	g_return_val_if_fail (path_to_check != NULL, NULL);
#line 1071 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp0_ = device_get_disk_space_using_df (path_to_check);
#line 1071 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	list = _tmp0_;
#line 1073 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp1_ = list;
#line 1073 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp2_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp1_);
#line 1073 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp3_ = _tmp2_;
#line 1073 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	if (_tmp3_ > 0) {
#line 7405 "Device.c"
		GeeArrayList* _tmp4_;
		gpointer _tmp5_;
#line 1074 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp4_ = list;
#line 1074 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp5_ = gee_abstract_list_get ((GeeAbstractList*) _tmp4_, 0);
#line 1074 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		result = (Device*) _tmp5_;
#line 1074 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_object_unref0 (list);
#line 1074 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		return result;
#line 7418 "Device.c"
	}
#line 1077 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	result = NULL;
#line 1077 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_g_object_unref0 (list);
#line 1077 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	return result;
#line 7426 "Device.c"
}


gchar*
device_get_device_uuid (const gchar* device)
{
	gchar* result = NULL;
	GeeArrayList* _tmp0_;
	gchar* _tmp18_;
#line 1080 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	g_return_val_if_fail (device != NULL, NULL);
#line 1082 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp0_ = device_device_list;
#line 1082 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	if (_tmp0_ == NULL) {
#line 7442 "Device.c"
		GeeArrayList* _tmp1_;
#line 1083 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp1_ = device_get_block_devices_using_lsblk ("");
#line 1083 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_object_unref0 (device_device_list);
#line 1083 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		device_device_list = _tmp1_;
#line 7450 "Device.c"
	}
	{
		GeeArrayList* _dev_list = NULL;
		GeeArrayList* _tmp2_;
		GeeArrayList* _tmp3_;
		gint _dev_size = 0;
		GeeArrayList* _tmp4_;
		gint _tmp5_;
		gint _tmp6_;
		gint _dev_index = 0;
#line 1085 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp2_ = device_device_list;
#line 1085 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp3_ = _g_object_ref0 (_tmp2_);
#line 1085 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_dev_list = _tmp3_;
#line 1085 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp4_ = _dev_list;
#line 1085 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp5_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp4_);
#line 1085 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp6_ = _tmp5_;
#line 1085 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_dev_size = _tmp6_;
#line 1085 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_dev_index = -1;
#line 1085 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		while (TRUE) {
#line 7479 "Device.c"
			gint _tmp7_;
			gint _tmp8_;
			gint _tmp9_;
			Device* dev = NULL;
			GeeArrayList* _tmp10_;
			gint _tmp11_;
			gpointer _tmp12_;
			Device* _tmp13_;
			const gchar* _tmp14_;
#line 1085 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp7_ = _dev_index;
#line 1085 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_dev_index = _tmp7_ + 1;
#line 1085 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp8_ = _dev_index;
#line 1085 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp9_ = _dev_size;
#line 1085 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			if (!(_tmp8_ < _tmp9_)) {
#line 1085 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				break;
#line 7501 "Device.c"
			}
#line 1085 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp10_ = _dev_list;
#line 1085 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp11_ = _dev_index;
#line 1085 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp12_ = gee_abstract_list_get ((GeeAbstractList*) _tmp10_, _tmp11_);
#line 1085 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			dev = (Device*) _tmp12_;
#line 1086 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp13_ = dev;
#line 1086 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp14_ = _tmp13_->device;
#line 1086 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			if (g_strcmp0 (_tmp14_, device) == 0) {
#line 7517 "Device.c"
				Device* _tmp15_;
				const gchar* _tmp16_;
				gchar* _tmp17_;
#line 1087 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp15_ = dev;
#line 1087 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp16_ = _tmp15_->uuid;
#line 1087 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp17_ = g_strdup (_tmp16_);
#line 1087 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				result = _tmp17_;
#line 1087 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_g_object_unref0 (dev);
#line 1087 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_g_object_unref0 (_dev_list);
#line 1087 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				return result;
#line 7535 "Device.c"
			}
#line 1085 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_g_object_unref0 (dev);
#line 7539 "Device.c"
		}
#line 1085 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_object_unref0 (_dev_list);
#line 7543 "Device.c"
	}
#line 1091 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp18_ = g_strdup ("");
#line 1091 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	result = _tmp18_;
#line 1091 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	return result;
#line 7551 "Device.c"
}


GeeArrayList*
device_get_device_mount_points (const gchar* dev_name_or_uuid)
{
	GeeArrayList* result = NULL;
	gchar* device = NULL;
	gchar* _tmp0_;
	gchar* uuid = NULL;
	gchar* _tmp1_;
	GeeArrayList* list_mtab = NULL;
	GeeArrayList* _tmp9_;
	Device* dev = NULL;
	GeeArrayList* _tmp10_;
	const gchar* _tmp11_;
	Device* _tmp12_;
	Device* _tmp13_;
#line 1094 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	g_return_val_if_fail (dev_name_or_uuid != NULL, NULL);
#line 1095 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp0_ = g_strdup ("");
#line 1095 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	device = _tmp0_;
#line 1096 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp1_ = g_strdup ("");
#line 1096 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	uuid = _tmp1_;
#line 1098 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	if (g_str_has_prefix (dev_name_or_uuid, "/dev")) {
#line 7582 "Device.c"
		gchar* _tmp2_;
		gchar* _tmp3_;
#line 1099 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp2_ = g_strdup (dev_name_or_uuid);
#line 1099 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (device);
#line 1099 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		device = _tmp2_;
#line 1100 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp3_ = device_get_device_uuid (dev_name_or_uuid);
#line 1100 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (uuid);
#line 1100 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		uuid = _tmp3_;
#line 7597 "Device.c"
	} else {
		gchar* _tmp4_;
		const gchar* _tmp5_;
		gchar* _tmp6_;
		const gchar* _tmp7_;
		gchar* _tmp8_;
#line 1103 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp4_ = g_strdup (dev_name_or_uuid);
#line 1103 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (uuid);
#line 1103 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		uuid = _tmp4_;
#line 1104 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp5_ = uuid;
#line 1104 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp6_ = g_strdup_printf ("/dev/disk/by-uuid/%s", _tmp5_);
#line 1104 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (device);
#line 1104 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		device = _tmp6_;
#line 1105 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp7_ = device;
#line 1105 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp8_ = device_resolve_device_name (_tmp7_);
#line 1105 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (device);
#line 1105 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		device = _tmp8_;
#line 7626 "Device.c"
	}
#line 1108 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp9_ = device_get_mounted_filesystems_using_mtab ();
#line 1108 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	list_mtab = _tmp9_;
#line 1110 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp10_ = list_mtab;
#line 1110 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp11_ = uuid;
#line 1110 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp12_ = device_find_device_in_list (_tmp10_, _tmp11_);
#line 1110 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	dev = _tmp12_;
#line 1112 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp13_ = dev;
#line 1112 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	if (_tmp13_ != NULL) {
#line 7644 "Device.c"
		Device* _tmp14_;
		GeeArrayList* _tmp15_;
		GeeArrayList* _tmp16_;
#line 1113 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp14_ = dev;
#line 1113 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp15_ = _tmp14_->mount_points;
#line 1113 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp16_ = _g_object_ref0 (_tmp15_);
#line 1113 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		result = _tmp16_;
#line 1113 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_object_unref0 (dev);
#line 1113 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_object_unref0 (list_mtab);
#line 1113 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (uuid);
#line 1113 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (device);
#line 1113 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		return result;
#line 7666 "Device.c"
	} else {
		GeeArrayList* _tmp17_;
#line 1116 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp17_ = gee_array_list_new (TYPE_MOUNT_ENTRY, (GBoxedCopyFunc) g_object_ref, (GDestroyNotify) g_object_unref, NULL, NULL, NULL);
#line 1116 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		result = _tmp17_;
#line 1116 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_object_unref0 (dev);
#line 1116 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_object_unref0 (list_mtab);
#line 1116 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (uuid);
#line 1116 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (device);
#line 1116 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		return result;
#line 7683 "Device.c"
	}
#line 1094 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_g_object_unref0 (dev);
#line 1094 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_g_object_unref0 (list_mtab);
#line 1094 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_g_free0 (uuid);
#line 1094 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_g_free0 (device);
#line 7693 "Device.c"
}


gboolean
device_device_is_mounted (const gchar* dev_name_or_uuid)
{
	gboolean result = FALSE;
	GeeArrayList* mps = NULL;
	GeeArrayList* _tmp0_;
	GeeArrayList* _tmp1_;
	gint _tmp2_;
	gint _tmp3_;
#line 1120 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	g_return_val_if_fail (dev_name_or_uuid != NULL, FALSE);
#line 1122 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp0_ = device_get_device_mount_points (dev_name_or_uuid);
#line 1122 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	mps = _tmp0_;
#line 1123 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp1_ = mps;
#line 1123 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp2_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp1_);
#line 1123 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp3_ = _tmp2_;
#line 1123 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	if (_tmp3_ > 0) {
#line 1124 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		result = TRUE;
#line 1124 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_object_unref0 (mps);
#line 1124 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		return result;
#line 7726 "Device.c"
	}
#line 1127 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	result = FALSE;
#line 1127 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_g_object_unref0 (mps);
#line 1127 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	return result;
#line 7734 "Device.c"
}


gboolean
device_mount_point_in_use (const gchar* mount_point)
{
	gboolean result = FALSE;
	GeeArrayList* list = NULL;
	GeeArrayList* _tmp0_;
#line 1130 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	g_return_val_if_fail (mount_point != NULL, FALSE);
#line 1131 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp0_ = device_get_mounted_filesystems_using_mtab ();
#line 1131 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	list = _tmp0_;
#line 7750 "Device.c"
	{
		GeeArrayList* _dev_list = NULL;
		GeeArrayList* _tmp1_;
		GeeArrayList* _tmp2_;
		gint _dev_size = 0;
		GeeArrayList* _tmp3_;
		gint _tmp4_;
		gint _tmp5_;
		gint _dev_index = 0;
#line 1132 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp1_ = list;
#line 1132 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp2_ = _g_object_ref0 (_tmp1_);
#line 1132 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_dev_list = _tmp2_;
#line 1132 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp3_ = _dev_list;
#line 1132 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp4_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp3_);
#line 1132 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp5_ = _tmp4_;
#line 1132 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_dev_size = _tmp5_;
#line 1132 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_dev_index = -1;
#line 1132 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		while (TRUE) {
#line 7778 "Device.c"
			gint _tmp6_;
			gint _tmp7_;
			gint _tmp8_;
			Device* dev = NULL;
			GeeArrayList* _tmp9_;
			gint _tmp10_;
			gpointer _tmp11_;
#line 1132 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp6_ = _dev_index;
#line 1132 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_dev_index = _tmp6_ + 1;
#line 1132 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp7_ = _dev_index;
#line 1132 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp8_ = _dev_size;
#line 1132 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			if (!(_tmp7_ < _tmp8_)) {
#line 1132 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				break;
#line 7798 "Device.c"
			}
#line 1132 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp9_ = _dev_list;
#line 1132 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp10_ = _dev_index;
#line 1132 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp11_ = gee_abstract_list_get ((GeeAbstractList*) _tmp9_, _tmp10_);
#line 1132 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			dev = (Device*) _tmp11_;
#line 7808 "Device.c"
			{
				GeeArrayList* _mp_list = NULL;
				Device* _tmp12_;
				GeeArrayList* _tmp13_;
				GeeArrayList* _tmp14_;
				gint _mp_size = 0;
				GeeArrayList* _tmp15_;
				gint _tmp16_;
				gint _tmp17_;
				gint _mp_index = 0;
#line 1133 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp12_ = dev;
#line 1133 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp13_ = _tmp12_->mount_points;
#line 1133 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp14_ = _g_object_ref0 (_tmp13_);
#line 1133 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_mp_list = _tmp14_;
#line 1133 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp15_ = _mp_list;
#line 1133 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp16_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp15_);
#line 1133 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp17_ = _tmp16_;
#line 1133 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_mp_size = _tmp17_;
#line 1133 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_mp_index = -1;
#line 1133 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				while (TRUE) {
#line 7839 "Device.c"
					gint _tmp18_;
					gint _tmp19_;
					gint _tmp20_;
					MountEntry* mp = NULL;
					GeeArrayList* _tmp21_;
					gint _tmp22_;
					gpointer _tmp23_;
					MountEntry* _tmp24_;
					const gchar* _tmp25_;
#line 1133 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp18_ = _mp_index;
#line 1133 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_mp_index = _tmp18_ + 1;
#line 1133 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp19_ = _mp_index;
#line 1133 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp20_ = _mp_size;
#line 1133 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					if (!(_tmp19_ < _tmp20_)) {
#line 1133 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						break;
#line 7861 "Device.c"
					}
#line 1133 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp21_ = _mp_list;
#line 1133 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp22_ = _mp_index;
#line 1133 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp23_ = gee_abstract_list_get ((GeeAbstractList*) _tmp21_, _tmp22_);
#line 1133 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					mp = (MountEntry*) _tmp23_;
#line 1134 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp24_ = mp;
#line 1134 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp25_ = _tmp24_->mount_point;
#line 1134 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					if (g_str_has_prefix (_tmp25_, mount_point)) {
#line 1136 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						result = TRUE;
#line 1136 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_g_object_unref0 (mp);
#line 1136 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_g_object_unref0 (_mp_list);
#line 1136 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_g_object_unref0 (dev);
#line 1136 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_g_object_unref0 (_dev_list);
#line 1136 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_g_object_unref0 (list);
#line 1136 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						return result;
#line 7891 "Device.c"
					}
#line 1133 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_g_object_unref0 (mp);
#line 7895 "Device.c"
				}
#line 1133 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_g_object_unref0 (_mp_list);
#line 7899 "Device.c"
			}
#line 1132 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_g_object_unref0 (dev);
#line 7903 "Device.c"
		}
#line 1132 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_object_unref0 (_dev_list);
#line 7907 "Device.c"
	}
#line 1140 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	result = FALSE;
#line 1140 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_g_object_unref0 (list);
#line 1140 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	return result;
#line 7915 "Device.c"
}


gchar*
device_resolve_device_name (const gchar* dev_alias)
{
	gchar* result = NULL;
	Device* dev = NULL;
	GeeArrayList* _tmp0_;
	Device* _tmp1_;
	Device* _tmp2_;
#line 1143 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	g_return_val_if_fail (dev_alias != NULL, NULL);
#line 1145 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp0_ = device_device_list;
#line 1145 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp1_ = device_find_device_in_list (_tmp0_, dev_alias);
#line 1145 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	dev = _tmp1_;
#line 1147 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp2_ = dev;
#line 1147 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	if (_tmp2_ != NULL) {
#line 7939 "Device.c"
		Device* _tmp3_;
		const gchar* _tmp4_;
		gchar* _tmp5_;
#line 1148 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp3_ = dev;
#line 1148 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp4_ = _tmp3_->device;
#line 1148 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp5_ = g_strdup (_tmp4_);
#line 1148 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		result = _tmp5_;
#line 1148 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_object_unref0 (dev);
#line 1148 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		return result;
#line 7955 "Device.c"
	} else {
		gchar* _tmp6_;
#line 1151 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp6_ = g_strdup (dev_alias);
#line 1151 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		result = _tmp6_;
#line 1151 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_object_unref0 (dev);
#line 1151 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		return result;
#line 7966 "Device.c"
	}
#line 1143 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_g_object_unref0 (dev);
#line 7970 "Device.c"
}


Device*
device_find_device_in_list (GeeArrayList* list,
                            const gchar* _dev_alias)
{
	Device* result = NULL;
	gchar* dev_alias = NULL;
	gchar* _tmp0_;
	const gchar* _tmp1_;
	gchar* _tmp2_;
	gchar* _tmp3_;
	gboolean _tmp4_;
#line 1155 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	g_return_val_if_fail (list != NULL, NULL);
#line 1155 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	g_return_val_if_fail (_dev_alias != NULL, NULL);
#line 1157 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp0_ = g_strdup (_dev_alias);
#line 1157 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	dev_alias = _tmp0_;
#line 1159 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp1_ = dev_alias;
#line 1159 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp2_ = g_utf8_strdown (_tmp1_, (gssize) -1);
#line 1159 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp3_ = _tmp2_;
#line 1159 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp4_ = g_str_has_prefix (_tmp3_, "uuid=");
#line 1159 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_g_free0 (_tmp3_);
#line 1159 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	if (_tmp4_) {
#line 8005 "Device.c"
		const gchar* _tmp5_;
		gchar** _tmp6_;
		gchar** _tmp7_;
		gchar** _tmp8_;
		gint _tmp8__length1;
		const gchar* _tmp9_;
		gchar* _tmp10_;
		gchar* _tmp11_;
		gchar* _tmp12_;
#line 1161 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp5_ = dev_alias;
#line 1161 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp7_ = _tmp6_ = g_strsplit (_tmp5_, "=", 2);
#line 1161 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp8_ = _tmp7_;
#line 1161 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp8__length1 = _vala_array_length (_tmp6_);
#line 1161 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp9_ = _tmp8_[1];
#line 1161 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp10_ = string_strip (_tmp9_);
#line 1161 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp11_ = _tmp10_;
#line 1161 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp12_ = g_utf8_strdown (_tmp11_, (gssize) -1);
#line 1161 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (dev_alias);
#line 1161 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		dev_alias = _tmp12_;
#line 1161 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (_tmp11_);
#line 1161 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp8_ = (_vala_array_free (_tmp8_, _tmp8__length1, (GDestroyNotify) g_free), NULL);
#line 8039 "Device.c"
	} else {
		gboolean _tmp13_ = FALSE;
		const gchar* _tmp14_;
#line 1163 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp14_ = dev_alias;
#line 1163 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		if (tee_jee_file_system_file_exists (_tmp14_)) {
#line 8047 "Device.c"
			const gchar* _tmp15_;
#line 1163 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp15_ = dev_alias;
#line 1163 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp13_ = tee_jee_file_system_file_is_symlink (_tmp15_);
#line 8053 "Device.c"
		} else {
#line 1163 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp13_ = FALSE;
#line 8057 "Device.c"
		}
#line 1163 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		if (_tmp13_) {
#line 8061 "Device.c"
			gchar* link_path = NULL;
			const gchar* _tmp16_;
			gchar* _tmp17_;
			const gchar* _tmp18_;
			gchar* _tmp19_;
			gchar* _tmp20_;
			gchar* _tmp21_;
			gchar* _tmp22_;
			gchar* _tmp23_;
#line 1165 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp16_ = dev_alias;
#line 1165 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp17_ = tee_jee_file_system_file_get_symlink_target (_tmp16_);
#line 1165 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			link_path = _tmp17_;
#line 1167 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp18_ = link_path;
#line 1167 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp19_ = string_replace (_tmp18_, "../../../", "/dev/");
#line 1167 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp20_ = _tmp19_;
#line 1167 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp21_ = string_replace (_tmp20_, "../../", "/dev/");
#line 1167 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp22_ = _tmp21_;
#line 1167 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp23_ = string_replace (_tmp22_, "../", "/dev/");
#line 1167 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_g_free0 (dev_alias);
#line 1167 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			dev_alias = _tmp23_;
#line 1167 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_g_free0 (_tmp22_);
#line 1167 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_g_free0 (_tmp20_);
#line 1163 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_g_free0 (link_path);
#line 8099 "Device.c"
		}
	}
	{
		GeeArrayList* _dev_list = NULL;
		GeeArrayList* _tmp24_;
		gint _dev_size = 0;
		GeeArrayList* _tmp25_;
		gint _tmp26_;
		gint _tmp27_;
		gint _dev_index = 0;
#line 1170 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp24_ = _g_object_ref0 (list);
#line 1170 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_dev_list = _tmp24_;
#line 1170 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp25_ = _dev_list;
#line 1170 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp26_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp25_);
#line 1170 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp27_ = _tmp26_;
#line 1170 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_dev_size = _tmp27_;
#line 1170 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_dev_index = -1;
#line 1170 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		while (TRUE) {
#line 8126 "Device.c"
			gint _tmp28_;
			gint _tmp29_;
			gint _tmp30_;
			Device* dev = NULL;
			GeeArrayList* _tmp31_;
			gint _tmp32_;
			gpointer _tmp33_;
			Device* _tmp34_;
			const gchar* _tmp35_;
			const gchar* _tmp36_;
#line 1170 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp28_ = _dev_index;
#line 1170 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_dev_index = _tmp28_ + 1;
#line 1170 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp29_ = _dev_index;
#line 1170 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp30_ = _dev_size;
#line 1170 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			if (!(_tmp29_ < _tmp30_)) {
#line 1170 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				break;
#line 8149 "Device.c"
			}
#line 1170 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp31_ = _dev_list;
#line 1170 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp32_ = _dev_index;
#line 1170 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp33_ = gee_abstract_list_get ((GeeAbstractList*) _tmp31_, _tmp32_);
#line 1170 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			dev = (Device*) _tmp33_;
#line 1172 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp34_ = dev;
#line 1172 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp35_ = _tmp34_->device;
#line 1172 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp36_ = dev_alias;
#line 1172 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			if (g_strcmp0 (_tmp35_, _tmp36_) == 0) {
#line 1173 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				result = dev;
#line 1173 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_g_object_unref0 (_dev_list);
#line 1173 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_g_free0 (dev_alias);
#line 1173 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				return result;
#line 8175 "Device.c"
			} else {
				Device* _tmp37_;
				const gchar* _tmp38_;
				const gchar* _tmp39_;
#line 1175 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp37_ = dev;
#line 1175 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp38_ = _tmp37_->uuid;
#line 1175 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp39_ = dev_alias;
#line 1175 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				if (g_strcmp0 (_tmp38_, _tmp39_) == 0) {
#line 1176 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					result = dev;
#line 1176 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_g_object_unref0 (_dev_list);
#line 1176 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_g_free0 (dev_alias);
#line 1176 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					return result;
#line 8196 "Device.c"
				} else {
					Device* _tmp40_;
					const gchar* _tmp41_;
					const gchar* _tmp42_;
#line 1178 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp40_ = dev;
#line 1178 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp41_ = _tmp40_->label;
#line 1178 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp42_ = dev_alias;
#line 1178 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					if (g_strcmp0 (_tmp41_, _tmp42_) == 0) {
#line 1179 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						result = dev;
#line 1179 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_g_object_unref0 (_dev_list);
#line 1179 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_g_free0 (dev_alias);
#line 1179 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						return result;
#line 8217 "Device.c"
					} else {
						Device* _tmp43_;
						const gchar* _tmp44_;
						const gchar* _tmp45_;
#line 1181 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp43_ = dev;
#line 1181 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp44_ = _tmp43_->partuuid;
#line 1181 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp45_ = dev_alias;
#line 1181 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						if (g_strcmp0 (_tmp44_, _tmp45_) == 0) {
#line 1182 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							result = dev;
#line 1182 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_g_object_unref0 (_dev_list);
#line 1182 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_g_free0 (dev_alias);
#line 1182 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							return result;
#line 8238 "Device.c"
						} else {
							Device* _tmp46_;
							const gchar* _tmp47_;
							const gchar* _tmp48_;
#line 1184 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_tmp46_ = dev;
#line 1184 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_tmp47_ = _tmp46_->partlabel;
#line 1184 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							_tmp48_ = dev_alias;
#line 1184 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
							if (g_strcmp0 (_tmp47_, _tmp48_) == 0) {
#line 1185 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
								result = dev;
#line 1185 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
								_g_object_unref0 (_dev_list);
#line 1185 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
								_g_free0 (dev_alias);
#line 1185 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
								return result;
#line 8259 "Device.c"
							} else {
								Device* _tmp49_;
								const gchar* _tmp50_;
								const gchar* _tmp51_;
#line 1187 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
								_tmp49_ = dev;
#line 1187 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
								_tmp50_ = _tmp49_->device_by_uuid;
#line 1187 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
								_tmp51_ = dev_alias;
#line 1187 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
								if (g_strcmp0 (_tmp50_, _tmp51_) == 0) {
#line 1188 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									result = dev;
#line 1188 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									_g_object_unref0 (_dev_list);
#line 1188 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									_g_free0 (dev_alias);
#line 1188 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									return result;
#line 8280 "Device.c"
								} else {
									Device* _tmp52_;
									const gchar* _tmp53_;
									const gchar* _tmp54_;
#line 1190 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									_tmp52_ = dev;
#line 1190 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									_tmp53_ = _tmp52_->device_by_label;
#line 1190 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									_tmp54_ = dev_alias;
#line 1190 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
									if (g_strcmp0 (_tmp53_, _tmp54_) == 0) {
#line 1191 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
										result = dev;
#line 1191 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
										_g_object_unref0 (_dev_list);
#line 1191 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
										_g_free0 (dev_alias);
#line 1191 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
										return result;
#line 8301 "Device.c"
									} else {
										Device* _tmp55_;
										const gchar* _tmp56_;
										const gchar* _tmp57_;
#line 1193 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
										_tmp55_ = dev;
#line 1193 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
										_tmp56_ = _tmp55_->device_by_partuuid;
#line 1193 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
										_tmp57_ = dev_alias;
#line 1193 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
										if (g_strcmp0 (_tmp56_, _tmp57_) == 0) {
#line 1194 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
											result = dev;
#line 1194 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
											_g_object_unref0 (_dev_list);
#line 1194 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
											_g_free0 (dev_alias);
#line 1194 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
											return result;
#line 8322 "Device.c"
										} else {
											Device* _tmp58_;
											const gchar* _tmp59_;
											const gchar* _tmp60_;
#line 1196 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
											_tmp58_ = dev;
#line 1196 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
											_tmp59_ = _tmp58_->device_by_partlabel;
#line 1196 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
											_tmp60_ = dev_alias;
#line 1196 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
											if (g_strcmp0 (_tmp59_, _tmp60_) == 0) {
#line 1197 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
												result = dev;
#line 1197 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
												_g_object_unref0 (_dev_list);
#line 1197 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
												_g_free0 (dev_alias);
#line 1197 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
												return result;
#line 8343 "Device.c"
											} else {
												Device* _tmp61_;
												const gchar* _tmp62_;
												const gchar* _tmp63_;
#line 1199 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
												_tmp61_ = dev;
#line 1199 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
												_tmp62_ = _tmp61_->device_mapper;
#line 1199 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
												_tmp63_ = dev_alias;
#line 1199 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
												if (g_strcmp0 (_tmp62_, _tmp63_) == 0) {
#line 1200 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
													result = dev;
#line 1200 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
													_g_object_unref0 (_dev_list);
#line 1200 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
													_g_free0 (dev_alias);
#line 1200 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
													return result;
#line 8364 "Device.c"
												} else {
													Device* _tmp64_;
													const gchar* _tmp65_;
													const gchar* _tmp66_;
#line 1202 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
													_tmp64_ = dev;
#line 1202 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
													_tmp65_ = _tmp64_->mapped_name;
#line 1202 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
													_tmp66_ = dev_alias;
#line 1202 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
													if (g_strcmp0 (_tmp65_, _tmp66_) == 0) {
#line 1203 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
														result = dev;
#line 1203 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
														_g_object_unref0 (_dev_list);
#line 1203 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
														_g_free0 (dev_alias);
#line 1203 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
														return result;
#line 8385 "Device.c"
													}
												}
											}
										}
									}
								}
							}
						}
					}
				}
			}
#line 1170 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_g_object_unref0 (dev);
#line 8399 "Device.c"
		}
#line 1170 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_object_unref0 (_dev_list);
#line 8403 "Device.c"
	}
#line 1207 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	result = NULL;
#line 1207 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_g_free0 (dev_alias);
#line 1207 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	return result;
#line 8411 "Device.c"
}


void
device_copy_fields_from (Device* self,
                         Device* dev2)
{
	const gchar* _tmp0_;
	gchar* _tmp1_;
	const gchar* _tmp2_;
	gchar* _tmp3_;
	const gchar* _tmp4_;
	gchar* _tmp5_;
	const gchar* _tmp6_;
	gchar* _tmp7_;
	const gchar* _tmp8_;
	gchar* _tmp9_;
	const gchar* _tmp10_;
	gchar* _tmp11_;
	const gchar* _tmp12_;
	gchar* _tmp13_;
	const gchar* _tmp14_;
	gchar* _tmp15_;
	const gchar* _tmp16_;
	gchar* _tmp17_;
	guint64 _tmp18_;
	guint64 _tmp19_;
	guint64 _tmp20_;
	GeeArrayList* _tmp21_;
	GeeArrayList* _tmp22_;
	GeeArrayList* _tmp23_;
	GeeArrayList* _tmp24_;
	Device* _tmp25_;
	Device* _tmp26_;
	GeeArrayList* _tmp27_;
	GeeArrayList* _tmp28_;
	const gchar* _tmp29_;
	gchar* _tmp30_;
	const gchar* _tmp31_;
	gchar* _tmp32_;
	const gchar* _tmp33_;
	gchar* _tmp34_;
	const gchar* _tmp35_;
	gchar* _tmp36_;
	gboolean _tmp37_;
	gboolean _tmp38_;
#line 1210 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	g_return_if_fail (self != NULL);
#line 1210 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	g_return_if_fail (dev2 != NULL);
#line 1212 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp0_ = dev2->device;
#line 1212 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp1_ = g_strdup (_tmp0_);
#line 1212 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_g_free0 (self->device);
#line 1212 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	self->device = _tmp1_;
#line 1213 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp2_ = dev2->name;
#line 1213 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp3_ = g_strdup (_tmp2_);
#line 1213 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_g_free0 (self->name);
#line 1213 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	self->name = _tmp3_;
#line 1214 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp4_ = dev2->kname;
#line 1214 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp5_ = g_strdup (_tmp4_);
#line 1214 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_g_free0 (self->kname);
#line 1214 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	self->kname = _tmp5_;
#line 1215 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp6_ = dev2->pkname;
#line 1215 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp7_ = g_strdup (_tmp6_);
#line 1215 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_g_free0 (self->pkname);
#line 1215 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	self->pkname = _tmp7_;
#line 1216 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp8_ = dev2->label;
#line 1216 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp9_ = g_strdup (_tmp8_);
#line 1216 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_g_free0 (self->label);
#line 1216 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	self->label = _tmp9_;
#line 1217 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp10_ = dev2->uuid;
#line 1217 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp11_ = g_strdup (_tmp10_);
#line 1217 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_g_free0 (self->uuid);
#line 1217 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	self->uuid = _tmp11_;
#line 1218 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp12_ = dev2->mapped_name;
#line 1218 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp13_ = g_strdup (_tmp12_);
#line 1218 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_g_free0 (self->mapped_name);
#line 1218 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	self->mapped_name = _tmp13_;
#line 1220 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp14_ = dev2->type;
#line 1220 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp15_ = g_strdup (_tmp14_);
#line 1220 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_g_free0 (self->type);
#line 1220 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	self->type = _tmp15_;
#line 1221 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp16_ = dev2->fstype;
#line 1221 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp17_ = g_strdup (_tmp16_);
#line 1221 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_g_free0 (self->fstype);
#line 1221 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	self->fstype = _tmp17_;
#line 1223 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp18_ = dev2->size_bytes;
#line 1223 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	self->size_bytes = _tmp18_;
#line 1224 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp19_ = dev2->used_bytes;
#line 1224 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	self->used_bytes = _tmp19_;
#line 1225 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp20_ = dev2->available_bytes;
#line 1225 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	self->available_bytes = _tmp20_;
#line 1227 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp21_ = dev2->mount_points;
#line 1227 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp22_ = _g_object_ref0 (_tmp21_);
#line 1227 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_g_object_unref0 (self->mount_points);
#line 1227 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	self->mount_points = _tmp22_;
#line 1228 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp23_ = dev2->symlinks;
#line 1228 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp24_ = _g_object_ref0 (_tmp23_);
#line 1228 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_g_object_unref0 (self->symlinks);
#line 1228 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	self->symlinks = _tmp24_;
#line 1229 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp25_ = dev2->parent;
#line 1229 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp26_ = _g_object_ref0 (_tmp25_);
#line 1229 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_g_object_unref0 (self->parent);
#line 1229 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	self->parent = _tmp26_;
#line 1230 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp27_ = dev2->children;
#line 1230 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp28_ = _g_object_ref0 (_tmp27_);
#line 1230 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_g_object_unref0 (self->children);
#line 1230 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	self->children = _tmp28_;
#line 1232 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp29_ = dev2->vendor;
#line 1232 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp30_ = g_strdup (_tmp29_);
#line 1232 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_g_free0 (self->vendor);
#line 1232 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	self->vendor = _tmp30_;
#line 1233 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp31_ = dev2->model;
#line 1233 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp32_ = g_strdup (_tmp31_);
#line 1233 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_g_free0 (self->model);
#line 1233 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	self->model = _tmp32_;
#line 1234 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp33_ = dev2->serial;
#line 1234 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp34_ = g_strdup (_tmp33_);
#line 1234 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_g_free0 (self->serial);
#line 1234 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	self->serial = _tmp34_;
#line 1235 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp35_ = dev2->revision;
#line 1235 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp36_ = g_strdup (_tmp35_);
#line 1235 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_g_free0 (self->revision);
#line 1235 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	self->revision = _tmp36_;
#line 1237 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp37_ = dev2->removable;
#line 1237 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	self->removable = _tmp37_;
#line 1238 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp38_ = dev2->read_only;
#line 1238 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	self->read_only = _tmp38_;
#line 8618 "Device.c"
}


Device*
device_query_changes (Device* self)
{
	Device* result = NULL;
	Device* dev_new = NULL;
#line 1241 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 1243 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	dev_new = NULL;
#line 8631 "Device.c"
	{
		GeeArrayList* _dev_list = NULL;
		GeeArrayList* _tmp0_;
		gint _dev_size = 0;
		GeeArrayList* _tmp1_;
		gint _tmp2_;
		gint _tmp3_;
		gint _dev_index = 0;
#line 1245 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp0_ = device_get_block_devices_using_lsblk ("");
#line 1245 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_dev_list = _tmp0_;
#line 1245 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp1_ = _dev_list;
#line 1245 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp2_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp1_);
#line 1245 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp3_ = _tmp2_;
#line 1245 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_dev_size = _tmp3_;
#line 1245 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_dev_index = -1;
#line 1245 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		while (TRUE) {
#line 8656 "Device.c"
			gint _tmp4_;
			gint _tmp5_;
			gint _tmp6_;
			Device* dev = NULL;
			GeeArrayList* _tmp7_;
			gint _tmp8_;
			gpointer _tmp9_;
			const gchar* _tmp10_;
			gint _tmp11_;
			gint _tmp12_;
#line 1245 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp4_ = _dev_index;
#line 1245 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_dev_index = _tmp4_ + 1;
#line 1245 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp5_ = _dev_index;
#line 1245 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp6_ = _dev_size;
#line 1245 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			if (!(_tmp5_ < _tmp6_)) {
#line 1245 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				break;
#line 8679 "Device.c"
			}
#line 1245 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp7_ = _dev_list;
#line 1245 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp8_ = _dev_index;
#line 1245 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp9_ = gee_abstract_list_get ((GeeAbstractList*) _tmp7_, _tmp8_);
#line 1245 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			dev = (Device*) _tmp9_;
#line 1246 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp10_ = self->uuid;
#line 1246 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp11_ = strlen (_tmp10_);
#line 1246 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp12_ = _tmp11_;
#line 1246 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			if (_tmp12_ > 0) {
#line 8697 "Device.c"
				Device* _tmp13_;
				const gchar* _tmp14_;
				const gchar* _tmp15_;
#line 1247 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp13_ = dev;
#line 1247 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp14_ = _tmp13_->uuid;
#line 1247 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp15_ = self->uuid;
#line 1247 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				if (g_strcmp0 (_tmp14_, _tmp15_) == 0) {
#line 8709 "Device.c"
					Device* _tmp16_;
					Device* _tmp17_;
#line 1248 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp16_ = dev;
#line 1248 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp17_ = _g_object_ref0 (_tmp16_);
#line 1248 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_g_object_unref0 (dev_new);
#line 1248 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					dev_new = _tmp17_;
#line 1249 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_g_object_unref0 (dev);
#line 1249 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					break;
#line 8724 "Device.c"
				}
			} else {
				Device* _tmp18_;
				const gchar* _tmp19_;
				const gchar* _tmp20_;
#line 1253 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp18_ = dev;
#line 1253 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp19_ = _tmp18_->device;
#line 1253 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp20_ = self->device;
#line 1253 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				if (g_strcmp0 (_tmp19_, _tmp20_) == 0) {
#line 8738 "Device.c"
					Device* _tmp21_;
					Device* _tmp22_;
#line 1254 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp21_ = dev;
#line 1254 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp22_ = _g_object_ref0 (_tmp21_);
#line 1254 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_g_object_unref0 (dev_new);
#line 1254 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					dev_new = _tmp22_;
#line 1255 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_g_object_unref0 (dev);
#line 1255 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					break;
#line 8753 "Device.c"
				}
			}
#line 1245 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_g_object_unref0 (dev);
#line 8758 "Device.c"
		}
#line 1245 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_object_unref0 (_dev_list);
#line 8762 "Device.c"
	}
#line 1260 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	result = dev_new;
#line 1260 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	return result;
#line 8768 "Device.c"
}


void
device_query_disk_space (Device* self)
{
	GeeArrayList* list_df = NULL;
	const gchar* _tmp0_;
	GeeArrayList* _tmp1_;
	Device* dev_df = NULL;
	GeeArrayList* _tmp2_;
	const gchar* _tmp3_;
	Device* _tmp4_;
	Device* _tmp5_;
#line 1263 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	g_return_if_fail (self != NULL);
#line 1267 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp0_ = self->device;
#line 1267 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp1_ = device_get_disk_space_using_df (_tmp0_);
#line 1267 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	list_df = _tmp1_;
#line 1269 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp2_ = list_df;
#line 1269 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp3_ = self->uuid;
#line 1269 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp4_ = device_find_device_in_list (_tmp2_, _tmp3_);
#line 1269 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	dev_df = _tmp4_;
#line 1271 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp5_ = dev_df;
#line 1271 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	if (_tmp5_ != NULL) {
#line 8803 "Device.c"
		Device* _tmp6_;
		guint64 _tmp7_;
		Device* _tmp8_;
		guint64 _tmp9_;
		Device* _tmp10_;
		guint64 _tmp11_;
		Device* _tmp12_;
		const gchar* _tmp13_;
		gchar* _tmp14_;
#line 1273 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp6_ = dev_df;
#line 1273 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp7_ = _tmp6_->size_bytes;
#line 1273 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		self->size_bytes = _tmp7_;
#line 1274 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp8_ = dev_df;
#line 1274 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp9_ = _tmp8_->used_bytes;
#line 1274 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		self->used_bytes = _tmp9_;
#line 1275 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp10_ = dev_df;
#line 1275 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp11_ = _tmp10_->available_bytes;
#line 1275 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		self->available_bytes = _tmp11_;
#line 1276 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp12_ = dev_df;
#line 1276 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp13_ = _tmp12_->used_percent;
#line 1276 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp14_ = g_strdup (_tmp13_);
#line 1276 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (self->used_percent);
#line 1276 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		self->used_percent = _tmp14_;
#line 8841 "Device.c"
	}
#line 1263 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_g_object_unref0 (dev_df);
#line 1263 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_g_object_unref0 (list_df);
#line 8847 "Device.c"
}


gboolean
device_automount_udisks (const gchar* dev_name_or_uuid,
                         GtkWindow* parent_window)
{
	gboolean result = FALSE;
	gint _tmp0_;
	gint _tmp1_;
	gchar* cmd = NULL;
	gchar* _tmp2_;
	const gchar* _tmp3_;
	gint status = 0;
	const gchar* _tmp4_;
	gint _tmp5_;
	gint _tmp8_;
#line 1282 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	g_return_val_if_fail (dev_name_or_uuid != NULL, FALSE);
#line 1284 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp0_ = strlen (dev_name_or_uuid);
#line 1284 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp1_ = _tmp0_;
#line 1284 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	if (_tmp1_ == 0) {
#line 1285 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		tee_jee_logging_log_error (_ ("Device name is empty!"), FALSE, FALSE);
#line 1286 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		result = FALSE;
#line 1286 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		return result;
#line 8879 "Device.c"
	}
#line 1289 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp2_ = g_strdup_printf ("udisksctl mount -b '%s'", dev_name_or_uuid);
#line 1289 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	cmd = _tmp2_;
#line 1290 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp3_ = cmd;
#line 1290 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	tee_jee_logging_log_debug (_tmp3_);
#line 1291 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp4_ = cmd;
#line 1291 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	status = system (_tmp4_);
#line 1293 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp5_ = status;
#line 1293 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	if (_tmp5_ != 0) {
#line 1294 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		if (parent_window != NULL) {
#line 8899 "Device.c"
			gchar* msg = NULL;
			gchar* _tmp6_;
			const gchar* _tmp7_;
#line 1295 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp6_ = g_strdup_printf ("Failed to mount: %s", dev_name_or_uuid);
#line 1295 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			msg = _tmp6_;
#line 1296 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp7_ = msg;
#line 1296 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			tee_jee_gtk_helper_gtk_messagebox ("Error", _tmp7_, parent_window, TRUE);
#line 1294 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_g_free0 (msg);
#line 8913 "Device.c"
		}
	}
#line 1300 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp8_ = status;
#line 1300 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	result = _tmp8_ == 0;
#line 1300 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_g_free0 (cmd);
#line 1300 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	return result;
#line 8924 "Device.c"
}


gboolean
device_automount_udisks_iso (const gchar* iso_file_path,
                             gchar* * loop_device,
                             GtkWindow* parent_window)
{
	gchar* _vala_loop_device = NULL;
	gboolean result = FALSE;
	gchar* _tmp0_;
	gchar* cmd = NULL;
	gchar* _tmp3_;
	gchar* _tmp4_;
	gchar* _tmp5_;
	gchar* _tmp6_;
	const gchar* _tmp7_;
	gchar* std_out = NULL;
	gchar* std_err = NULL;
	gint exit_code = 0;
	const gchar* _tmp8_;
	gchar* _tmp9_ = NULL;
	gchar* _tmp10_ = NULL;
	gint _tmp11_;
	gint _tmp12_;
#line 1303 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	g_return_val_if_fail (iso_file_path != NULL, FALSE);
#line 1305 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp0_ = g_strdup ("");
#line 1305 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_g_free0 (_vala_loop_device);
#line 1305 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_vala_loop_device = _tmp0_;
#line 1307 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	if (!tee_jee_file_system_file_exists (iso_file_path)) {
#line 8960 "Device.c"
		gchar* msg = NULL;
		gchar* _tmp1_;
		const gchar* _tmp2_;
#line 1308 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp1_ = g_strdup_printf ("%s: %s", _ ("Could not find file"), iso_file_path);
#line 1308 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		msg = _tmp1_;
#line 1309 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp2_ = msg;
#line 1309 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		tee_jee_logging_log_error (_tmp2_, FALSE, FALSE);
#line 1310 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		result = FALSE;
#line 1310 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (msg);
#line 1310 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		if (loop_device) {
#line 1310 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			*loop_device = _vala_loop_device;
#line 8980 "Device.c"
		} else {
#line 1310 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_g_free0 (_vala_loop_device);
#line 8984 "Device.c"
		}
#line 1310 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		return result;
#line 8988 "Device.c"
	}
#line 1313 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp3_ = tee_jee_file_system_escape_single_quote (iso_file_path);
#line 1313 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp4_ = _tmp3_;
#line 1313 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp5_ = g_strdup_printf ("udisksctl loop-setup -r -f '%s'", _tmp4_);
#line 1313 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp6_ = _tmp5_;
#line 1313 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_g_free0 (_tmp4_);
#line 1313 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	cmd = _tmp6_;
#line 1316 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp7_ = cmd;
#line 1316 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	tee_jee_logging_log_debug (_tmp7_);
#line 1318 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp8_ = cmd;
#line 1318 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp11_ = tee_jee_process_helper_exec_sync (_tmp8_, &_tmp9_, &_tmp10_);
#line 1318 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_g_free0 (std_out);
#line 1318 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	std_out = _tmp9_;
#line 1318 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_g_free0 (std_err);
#line 1318 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	std_err = _tmp10_;
#line 1318 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	exit_code = _tmp11_;
#line 1320 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp12_ = exit_code;
#line 1320 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	if (_tmp12_ == 0) {
#line 9024 "Device.c"
		const gchar* _tmp13_;
		gchar* _tmp14_;
		gchar* _tmp15_;
		const gchar* _tmp16_;
		const gchar* _tmp17_;
		gchar** _tmp18_;
		gchar** _tmp19_;
		gchar** _tmp20_;
		gint _tmp20__length1;
		const gchar* _tmp21_;
		gchar* _tmp22_;
		gchar* _tmp23_;
		gchar* _tmp24_;
		const gchar* _tmp25_;
		gchar* _tmp26_;
		gchar* _tmp27_;
		GeeArrayList* list = NULL;
		GeeArrayList* _tmp28_;
#line 1321 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp13_ = std_out;
#line 1321 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp14_ = g_strdup_printf ("%s", _tmp13_);
#line 1321 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp15_ = _tmp14_;
#line 1321 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		tee_jee_logging_log_msg (_tmp15_, FALSE);
#line 1321 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (_tmp15_);
#line 1324 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp16_ = std_out;
#line 1324 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		if (!string_contains (_tmp16_, " as ")) {
#line 1325 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			tee_jee_logging_log_error ("Could not determine loop device", FALSE, FALSE);
#line 1326 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			result = FALSE;
#line 1326 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_g_free0 (std_err);
#line 1326 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_g_free0 (std_out);
#line 1326 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_g_free0 (cmd);
#line 1326 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			if (loop_device) {
#line 1326 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				*loop_device = _vala_loop_device;
#line 9071 "Device.c"
			} else {
#line 1326 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_g_free0 (_vala_loop_device);
#line 9075 "Device.c"
			}
#line 1326 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			return result;
#line 9079 "Device.c"
		}
#line 1329 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp17_ = std_out;
#line 1329 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp19_ = _tmp18_ = g_strsplit (_tmp17_, " as ", 0);
#line 1329 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp20_ = _tmp19_;
#line 1329 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp20__length1 = _vala_array_length (_tmp18_);
#line 1329 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp21_ = _tmp20_[1];
#line 1329 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp22_ = string_replace (_tmp21_, ".", "");
#line 1329 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp23_ = _tmp22_;
#line 1329 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp24_ = string_strip (_tmp23_);
#line 1329 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (_vala_loop_device);
#line 1329 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_vala_loop_device = _tmp24_;
#line 1329 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (_tmp23_);
#line 1329 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp20_ = (_vala_array_free (_tmp20_, _tmp20__length1, (GDestroyNotify) g_free), NULL);
#line 1330 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp25_ = _vala_loop_device;
#line 1330 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp26_ = g_strdup_printf ("loop_device: %s", _tmp25_);
#line 1330 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp27_ = _tmp26_;
#line 1330 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		tee_jee_logging_log_msg (_tmp27_, FALSE);
#line 1330 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (_tmp27_);
#line 1332 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp28_ = device_get_block_devices_using_lsblk ("");
#line 1332 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		list = _tmp28_;
#line 9119 "Device.c"
		{
			GeeArrayList* _dev_list = NULL;
			GeeArrayList* _tmp29_;
			GeeArrayList* _tmp30_;
			gint _dev_size = 0;
			GeeArrayList* _tmp31_;
			gint _tmp32_;
			gint _tmp33_;
			gint _dev_index = 0;
#line 1333 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp29_ = list;
#line 1333 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp30_ = _g_object_ref0 (_tmp29_);
#line 1333 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_dev_list = _tmp30_;
#line 1333 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp31_ = _dev_list;
#line 1333 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp32_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp31_);
#line 1333 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp33_ = _tmp32_;
#line 1333 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_dev_size = _tmp33_;
#line 1333 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_dev_index = -1;
#line 1333 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			while (TRUE) {
#line 9147 "Device.c"
				gint _tmp34_;
				gint _tmp35_;
				gint _tmp36_;
				Device* dev = NULL;
				GeeArrayList* _tmp37_;
				gint _tmp38_;
				gpointer _tmp39_;
				gboolean _tmp40_ = FALSE;
				Device* _tmp41_;
				const gchar* _tmp42_;
				const gchar* _tmp43_;
				gchar* _tmp44_;
				gchar* _tmp45_;
				gboolean _tmp46_;
#line 1333 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp34_ = _dev_index;
#line 1333 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_dev_index = _tmp34_ + 1;
#line 1333 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp35_ = _dev_index;
#line 1333 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp36_ = _dev_size;
#line 1333 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				if (!(_tmp35_ < _tmp36_)) {
#line 1333 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					break;
#line 9174 "Device.c"
				}
#line 1333 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp37_ = _dev_list;
#line 1333 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp38_ = _dev_index;
#line 1333 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp39_ = gee_abstract_list_get ((GeeAbstractList*) _tmp37_, _tmp38_);
#line 1333 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				dev = (Device*) _tmp39_;
#line 1334 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp41_ = dev;
#line 1334 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp42_ = _tmp41_->pkname;
#line 1334 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp43_ = _vala_loop_device;
#line 1334 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp44_ = string_replace (_tmp43_, "/dev/", "");
#line 1334 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp45_ = _tmp44_;
#line 1334 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp46_ = g_strcmp0 (_tmp42_, _tmp45_) == 0;
#line 1334 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_g_free0 (_tmp45_);
#line 1334 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				if (_tmp46_) {
#line 9200 "Device.c"
					Device* _tmp47_;
					const gchar* _tmp48_;
#line 1334 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp47_ = dev;
#line 1334 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp48_ = _tmp47_->fstype;
#line 1334 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp40_ = g_strcmp0 (_tmp48_, "iso9660") == 0;
#line 9209 "Device.c"
				} else {
#line 1334 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp40_ = FALSE;
#line 9213 "Device.c"
				}
#line 1334 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				if (_tmp40_) {
#line 9217 "Device.c"
					Device* _tmp49_;
					const gchar* _tmp50_;
					gchar* _tmp51_;
					Device* _tmp52_;
					const gchar* _tmp53_;
#line 1335 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp49_ = dev;
#line 1335 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp50_ = _tmp49_->device;
#line 1335 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp51_ = g_strdup (_tmp50_);
#line 1335 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_g_free0 (_vala_loop_device);
#line 1335 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_vala_loop_device = _tmp51_;
#line 1336 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp52_ = dev;
#line 1336 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp53_ = _tmp52_->device;
#line 1336 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					result = device_automount_udisks (_tmp53_, parent_window);
#line 1336 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_g_object_unref0 (dev);
#line 1336 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_g_object_unref0 (_dev_list);
#line 1336 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_g_object_unref0 (list);
#line 1336 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_g_free0 (std_err);
#line 1336 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_g_free0 (std_out);
#line 1336 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_g_free0 (cmd);
#line 1336 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					if (loop_device) {
#line 1336 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						*loop_device = _vala_loop_device;
#line 9255 "Device.c"
					} else {
#line 1336 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_g_free0 (_vala_loop_device);
#line 9259 "Device.c"
					}
#line 1336 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					return result;
#line 9263 "Device.c"
				}
#line 1333 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_g_object_unref0 (dev);
#line 9267 "Device.c"
			}
#line 1333 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_g_object_unref0 (_dev_list);
#line 9271 "Device.c"
		}
#line 1320 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_object_unref0 (list);
#line 9275 "Device.c"
	}
#line 1341 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	result = FALSE;
#line 1341 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_g_free0 (std_err);
#line 1341 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_g_free0 (std_out);
#line 1341 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_g_free0 (cmd);
#line 1341 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	if (loop_device) {
#line 1341 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		*loop_device = _vala_loop_device;
#line 9289 "Device.c"
	} else {
#line 1341 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (_vala_loop_device);
#line 9293 "Device.c"
	}
#line 1341 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	return result;
#line 9297 "Device.c"
}


gboolean
device_unmount_udisks (const gchar* dev_name_or_uuid,
                       GtkWindow* parent_window)
{
	gboolean result = FALSE;
	gint _tmp0_;
	gint _tmp1_;
	gchar* cmd = NULL;
	gchar* _tmp2_;
	const gchar* _tmp3_;
	gint status = 0;
	const gchar* _tmp4_;
	gint _tmp5_;
	gint _tmp8_;
#line 1344 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	g_return_val_if_fail (dev_name_or_uuid != NULL, FALSE);
#line 1346 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp0_ = strlen (dev_name_or_uuid);
#line 1346 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp1_ = _tmp0_;
#line 1346 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	if (_tmp1_ == 0) {
#line 1347 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		tee_jee_logging_log_error (_ ("Device name is empty!"), FALSE, FALSE);
#line 1348 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		result = FALSE;
#line 1348 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		return result;
#line 9329 "Device.c"
	}
#line 1351 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp2_ = g_strdup_printf ("udisksctl unmount -b '%s'", dev_name_or_uuid);
#line 1351 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	cmd = _tmp2_;
#line 1352 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp3_ = cmd;
#line 1352 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	tee_jee_logging_log_debug (_tmp3_);
#line 1353 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp4_ = cmd;
#line 1353 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	status = system (_tmp4_);
#line 1355 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp5_ = status;
#line 1355 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	if (_tmp5_ != 0) {
#line 1356 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		if (parent_window != NULL) {
#line 9349 "Device.c"
			gchar* msg = NULL;
			gchar* _tmp6_;
			const gchar* _tmp7_;
#line 1357 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp6_ = g_strdup_printf ("Failed to unmount: %s", dev_name_or_uuid);
#line 1357 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			msg = _tmp6_;
#line 1358 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp7_ = msg;
#line 1358 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			tee_jee_gtk_helper_gtk_messagebox ("Error", _tmp7_, parent_window, TRUE);
#line 1356 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_g_free0 (msg);
#line 9363 "Device.c"
		}
	}
#line 1362 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp8_ = status;
#line 1362 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	result = _tmp8_ == 0;
#line 1362 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_g_free0 (cmd);
#line 1362 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	return result;
#line 9374 "Device.c"
}


Device*
device_luks_unlock (Device* luks_device,
                    const gchar* mapped_name,
                    const gchar* passphrase,
                    GtkWindow* parent_window,
                    gchar* * message,
                    gchar* * details)
{
	gchar* _vala_message = NULL;
	gchar* _vala_details = NULL;
	Device* result = NULL;
	Device* unlocked_device = NULL;
	gchar* std_out = NULL;
	gchar* _tmp0_;
	gchar* std_err = NULL;
	gchar* _tmp1_;
	gboolean _tmp2_ = FALSE;
	const gchar* _tmp3_;
	GeeArrayList* list = NULL;
	GeeArrayList* _tmp7_;
	gchar* luks_pass = NULL;
	gchar* _tmp28_;
	gchar* luks_name = NULL;
	gchar* _tmp29_;
	gboolean _tmp30_ = FALSE;
	const gchar* _tmp31_;
	GeeArrayList* _tmp111_;
	gboolean is_error = FALSE;
	Device* _tmp128_;
#line 1365 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	g_return_val_if_fail (luks_device != NULL, NULL);
#line 1365 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	g_return_val_if_fail (mapped_name != NULL, NULL);
#line 1365 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	g_return_val_if_fail (passphrase != NULL, NULL);
#line 1375 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	unlocked_device = NULL;
#line 1376 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp0_ = g_strdup ("");
#line 1376 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	std_out = _tmp0_;
#line 1376 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp1_ = g_strdup ("");
#line 1376 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	std_err = _tmp1_;
#line 1379 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp3_ = luks_device->fstype;
#line 1379 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	if (!string_contains (_tmp3_, "luks")) {
#line 9427 "Device.c"
		const gchar* _tmp4_;
#line 1379 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp4_ = luks_device->fstype;
#line 1379 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp2_ = !string_contains (_tmp4_, "crypt");
#line 9433 "Device.c"
	} else {
#line 1379 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp2_ = FALSE;
#line 9437 "Device.c"
	}
#line 1379 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	if (_tmp2_) {
#line 9441 "Device.c"
		gchar* _tmp5_;
		gchar* _tmp6_;
#line 1380 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp5_ = g_strdup (_ ("This device is not encrypted"));
#line 1380 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (_vala_message);
#line 1380 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_vala_message = _tmp5_;
#line 1381 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp6_ = g_strdup (_ ("Failed to unlock device"));
#line 1381 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (_vala_details);
#line 1381 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_vala_details = _tmp6_;
#line 1382 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		result = NULL;
#line 1382 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (std_err);
#line 1382 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (std_out);
#line 1382 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_object_unref0 (unlocked_device);
#line 1382 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		if (message) {
#line 1382 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			*message = _vala_message;
#line 9468 "Device.c"
		} else {
#line 1382 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_g_free0 (_vala_message);
#line 9472 "Device.c"
		}
#line 1382 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		if (details) {
#line 1382 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			*details = _vala_details;
#line 9478 "Device.c"
		} else {
#line 1382 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_g_free0 (_vala_details);
#line 9482 "Device.c"
		}
#line 1382 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		return result;
#line 9486 "Device.c"
	}
#line 1386 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp7_ = device_get_block_devices_using_lsblk ("");
#line 1386 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	list = _tmp7_;
#line 9492 "Device.c"
	{
		GeeArrayList* _part_list = NULL;
		GeeArrayList* _tmp8_;
		GeeArrayList* _tmp9_;
		gint _part_size = 0;
		GeeArrayList* _tmp10_;
		gint _tmp11_;
		gint _tmp12_;
		gint _part_index = 0;
#line 1387 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp8_ = list;
#line 1387 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp9_ = _g_object_ref0 (_tmp8_);
#line 1387 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_part_list = _tmp9_;
#line 1387 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp10_ = _part_list;
#line 1387 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp11_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp10_);
#line 1387 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp12_ = _tmp11_;
#line 1387 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_part_size = _tmp12_;
#line 1387 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_part_index = -1;
#line 1387 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		while (TRUE) {
#line 9520 "Device.c"
			gint _tmp13_;
			gint _tmp14_;
			gint _tmp15_;
			Device* part = NULL;
			GeeArrayList* _tmp16_;
			gint _tmp17_;
			gpointer _tmp18_;
			Device* _tmp19_;
			const gchar* _tmp20_;
			const gchar* _tmp21_;
#line 1387 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp13_ = _part_index;
#line 1387 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_part_index = _tmp13_ + 1;
#line 1387 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp14_ = _part_index;
#line 1387 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp15_ = _part_size;
#line 1387 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			if (!(_tmp14_ < _tmp15_)) {
#line 1387 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				break;
#line 9543 "Device.c"
			}
#line 1387 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp16_ = _part_list;
#line 1387 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp17_ = _part_index;
#line 1387 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp18_ = gee_abstract_list_get ((GeeAbstractList*) _tmp16_, _tmp17_);
#line 1387 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			part = (Device*) _tmp18_;
#line 1388 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp19_ = part;
#line 1388 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp20_ = _tmp19_->pkname;
#line 1388 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp21_ = luks_device->kname;
#line 1388 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			if (g_strcmp0 (_tmp20_, _tmp21_) == 0) {
#line 9561 "Device.c"
				Device* _tmp22_;
				Device* _tmp23_;
				gchar* _tmp24_;
				Device* _tmp25_;
				const gchar* _tmp26_;
				gchar* _tmp27_;
#line 1389 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp22_ = part;
#line 1389 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp23_ = _g_object_ref0 (_tmp22_);
#line 1389 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_g_object_unref0 (unlocked_device);
#line 1389 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				unlocked_device = _tmp23_;
#line 1390 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp24_ = g_strdup (_ ("Device is unlocked"));
#line 1390 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_g_free0 (_vala_message);
#line 1390 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_vala_message = _tmp24_;
#line 1391 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp25_ = part;
#line 1391 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp26_ = _tmp25_->mapped_name;
#line 1391 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp27_ = g_strdup_printf (_ ("Unlocked device is mapped to '%s'"), _tmp26_);
#line 1391 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_g_free0 (_vala_details);
#line 1391 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_vala_details = _tmp27_;
#line 1392 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				result = part;
#line 1392 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_g_object_unref0 (_part_list);
#line 1392 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_g_object_unref0 (list);
#line 1392 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_g_free0 (std_err);
#line 1392 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_g_free0 (std_out);
#line 1392 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_g_object_unref0 (unlocked_device);
#line 1392 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				if (message) {
#line 1392 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					*message = _vala_message;
#line 9608 "Device.c"
				} else {
#line 1392 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_g_free0 (_vala_message);
#line 9612 "Device.c"
				}
#line 1392 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				if (details) {
#line 1392 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					*details = _vala_details;
#line 9618 "Device.c"
				} else {
#line 1392 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_g_free0 (_vala_details);
#line 9622 "Device.c"
				}
#line 1392 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				return result;
#line 9626 "Device.c"
			}
#line 1387 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_g_object_unref0 (part);
#line 9630 "Device.c"
		}
#line 1387 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_object_unref0 (_part_list);
#line 9634 "Device.c"
	}
#line 1396 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp28_ = g_strdup (passphrase);
#line 1396 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	luks_pass = _tmp28_;
#line 1397 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp29_ = g_strdup (mapped_name);
#line 1397 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	luks_name = _tmp29_;
#line 1399 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp31_ = luks_name;
#line 1399 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	if (_tmp31_ == NULL) {
#line 1399 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp30_ = TRUE;
#line 9650 "Device.c"
	} else {
		const gchar* _tmp32_;
		gint _tmp33_;
		gint _tmp34_;
#line 1399 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp32_ = luks_name;
#line 1399 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp33_ = strlen (_tmp32_);
#line 1399 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp34_ = _tmp33_;
#line 1399 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp30_ = _tmp34_ == 0;
#line 9663 "Device.c"
	}
#line 1399 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	if (_tmp30_) {
#line 9667 "Device.c"
		const gchar* _tmp35_;
		gchar* _tmp36_;
#line 1400 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp35_ = luks_device->kname;
#line 1400 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp36_ = g_strdup_printf ("%s_crypt", _tmp35_);
#line 1400 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (luks_name);
#line 1400 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		luks_name = _tmp36_;
#line 9678 "Device.c"
	}
#line 1403 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	if (parent_window == NULL) {
#line 9682 "Device.c"
		gboolean _tmp37_ = FALSE;
		const gchar* _tmp38_;
#line 1407 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp38_ = luks_pass;
#line 1407 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		if (_tmp38_ == NULL) {
#line 1407 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp37_ = TRUE;
#line 9691 "Device.c"
		} else {
			const gchar* _tmp39_;
			gint _tmp40_;
			gint _tmp41_;
#line 1407 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp39_ = luks_pass;
#line 1407 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp40_ = strlen (_tmp39_);
#line 1407 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp41_ = _tmp40_;
#line 1407 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp37_ = _tmp41_ == 0;
#line 9704 "Device.c"
		}
#line 1407 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		if (_tmp37_) {
#line 9708 "Device.c"
			TimeoutCounter* counter = NULL;
			TimeoutCounter* _tmp42_;
			TimeoutCounter* _tmp43_;
			gchar* cmd = NULL;
			const gchar* _tmp44_;
			const gchar* _tmp45_;
			gchar* _tmp46_;
			const gchar* _tmp47_;
			const gchar* _tmp48_;
			TimeoutCounter* _tmp49_;
#line 1411 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp42_ = timeout_counter_new ();
#line 1411 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			counter = _tmp42_;
#line 1412 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp43_ = counter;
#line 1412 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			timeout_counter_kill_process_on_timeout (_tmp43_, "cryptsetup", 20, TRUE);
#line 1413 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp44_ = luks_device->device;
#line 1413 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp45_ = luks_name;
#line 1413 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp46_ = g_strdup_printf ("cryptsetup luksOpen '%s' '%s'", _tmp44_, _tmp45_);
#line 1413 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			cmd = _tmp46_;
#line 1415 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp47_ = cmd;
#line 1415 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			tee_jee_logging_log_debug (_tmp47_);
#line 1416 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp48_ = cmd;
#line 1416 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			system (_tmp48_);
#line 1417 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp49_ = counter;
#line 1417 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			timeout_counter_stop (_tmp49_);
#line 1418 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			tee_jee_logging_log_msg ("", FALSE);
#line 1407 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_g_free0 (cmd);
#line 1407 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_g_object_unref0 (counter);
#line 9753 "Device.c"
		} else {
			gchar* cmd = NULL;
			const gchar* _tmp50_;
			gchar* _tmp51_;
			gchar* _tmp52_;
			const gchar* _tmp53_;
			const gchar* _tmp54_;
			gchar* _tmp55_;
			gchar* _tmp56_;
			const gchar* _tmp57_;
			const gchar* _tmp58_;
			gchar* _tmp59_;
			gchar* _tmp60_;
			gchar* _tmp61_;
			gchar* _tmp62_;
			gint status = 0;
			const gchar* _tmp63_;
			gchar* _tmp64_ = NULL;
			gchar* _tmp65_ = NULL;
			gint _tmp66_;
			gint _tmp67_;
#line 1425 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp50_ = luks_pass;
#line 1425 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp51_ = tee_jee_file_system_escape_single_quote (_tmp50_);
#line 1425 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp52_ = _tmp51_;
#line 1425 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp53_ = luks_device->device;
#line 1425 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp54_ = luks_name;
#line 1425 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp55_ = g_strdup_printf ("echo -n -e '%s' | cryptsetup luksOpen --key-file - '%s' '%s'\n", _tmp52_, _tmp53_, _tmp54_);
#line 1425 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp56_ = _tmp55_;
#line 1425 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_g_free0 (_tmp52_);
#line 1425 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			cmd = _tmp56_;
#line 1428 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp57_ = cmd;
#line 1428 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp58_ = luks_pass;
#line 1428 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp59_ = tee_jee_file_system_escape_single_quote (_tmp58_);
#line 1428 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp60_ = _tmp59_;
#line 1428 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp61_ = string_replace (_tmp57_, _tmp60_, "**PASSWORD**");
#line 1428 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp62_ = _tmp61_;
#line 1428 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			tee_jee_logging_log_debug (_tmp62_);
#line 1428 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_g_free0 (_tmp62_);
#line 1428 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_g_free0 (_tmp60_);
#line 1430 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp63_ = cmd;
#line 1430 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp66_ = tee_jee_process_helper_exec_script_sync (_tmp63_, &_tmp64_, &_tmp65_, FALSE, TRUE, TRUE, FALSE);
#line 1430 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_g_free0 (std_out);
#line 1430 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			std_out = _tmp64_;
#line 1430 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_g_free0 (std_err);
#line 1430 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			std_err = _tmp65_;
#line 1430 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			status = _tmp66_;
#line 1432 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp67_ = status;
#line 1432 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			switch (_tmp67_) {
#line 1432 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				case 512:
#line 9831 "Device.c"
				{
					gchar* _tmp68_;
					gchar* _tmp69_;
					const gchar* _tmp70_;
					const gchar* _tmp71_;
#line 1434 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp68_ = g_strdup (_ ("Wrong password"));
#line 1434 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_g_free0 (_vala_message);
#line 1434 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_vala_message = _tmp68_;
#line 1435 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp69_ = g_strdup (_ ("Failed to unlock device"));
#line 1435 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_g_free0 (_vala_details);
#line 1435 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_vala_details = _tmp69_;
#line 1436 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp70_ = _vala_message;
#line 1436 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					tee_jee_logging_log_error (_tmp70_, FALSE, FALSE);
#line 1437 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp71_ = _vala_details;
#line 1437 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					tee_jee_logging_log_error (_tmp71_, FALSE, FALSE);
#line 1438 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					break;
#line 9859 "Device.c"
				}
				default:
#line 1432 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				break;
#line 9864 "Device.c"
			}
#line 1407 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_g_free0 (cmd);
#line 9868 "Device.c"
		}
	} else {
		gboolean _tmp72_ = FALSE;
		const gchar* _tmp73_;
		gboolean _tmp84_ = FALSE;
		const gchar* _tmp85_;
#line 1447 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp73_ = luks_pass;
#line 1447 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		if (_tmp73_ == NULL) {
#line 1447 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp72_ = TRUE;
#line 9881 "Device.c"
		} else {
			const gchar* _tmp74_;
			gint _tmp75_;
			gint _tmp76_;
#line 1447 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp74_ = luks_pass;
#line 1447 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp75_ = strlen (_tmp74_);
#line 1447 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp76_ = _tmp75_;
#line 1447 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp72_ = _tmp76_ == 0;
#line 9894 "Device.c"
		}
#line 1447 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		if (_tmp72_) {
#line 9898 "Device.c"
			const gchar* _tmp77_;
			gchar* _tmp78_;
			gchar* _tmp79_;
			gchar* _tmp80_;
			const gchar* _tmp81_;
#line 1451 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			tee_jee_logging_log_debug ("Prompting user for passphrase..");
#line 1453 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp77_ = luks_device->name;
#line 1453 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp78_ = g_strdup_printf (_ ("Enter passphrase to unlock '%s'"), _tmp77_);
#line 1453 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp79_ = _tmp78_;
#line 1453 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp80_ = tee_jee_gtk_helper_gtk_inputbox (_ ("Encrypted Device"), _tmp79_, parent_window, TRUE);
#line 1453 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_g_free0 (luks_pass);
#line 1453 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			luks_pass = _tmp80_;
#line 1453 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_g_free0 (_tmp79_);
#line 1458 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp81_ = luks_pass;
#line 1458 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			if (_tmp81_ == NULL) {
#line 9924 "Device.c"
				gchar* _tmp82_;
				gchar* _tmp83_;
#line 1460 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp82_ = g_strdup (_ ("Failed to unlock device"));
#line 1460 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_g_free0 (_vala_message);
#line 1460 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_vala_message = _tmp82_;
#line 1461 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp83_ = g_strdup (_ ("User cancelled the password prompt"));
#line 1461 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_g_free0 (_vala_details);
#line 1461 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_vala_details = _tmp83_;
#line 1462 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				tee_jee_logging_log_debug ("User cancelled the password prompt");
#line 1463 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				result = NULL;
#line 1463 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_g_free0 (luks_name);
#line 1463 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_g_free0 (luks_pass);
#line 1463 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_g_object_unref0 (list);
#line 1463 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_g_free0 (std_err);
#line 1463 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_g_free0 (std_out);
#line 1463 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_g_object_unref0 (unlocked_device);
#line 1463 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				if (message) {
#line 1463 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					*message = _vala_message;
#line 9959 "Device.c"
				} else {
#line 1463 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_g_free0 (_vala_message);
#line 9963 "Device.c"
				}
#line 1463 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				if (details) {
#line 1463 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					*details = _vala_details;
#line 9969 "Device.c"
				} else {
#line 1463 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_g_free0 (_vala_details);
#line 9973 "Device.c"
				}
#line 1463 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				return result;
#line 9977 "Device.c"
			}
		}
#line 1467 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp85_ = luks_pass;
#line 1467 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		if (_tmp85_ != NULL) {
#line 9984 "Device.c"
			const gchar* _tmp86_;
			gint _tmp87_;
			gint _tmp88_;
#line 1467 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp86_ = luks_pass;
#line 1467 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp87_ = strlen (_tmp86_);
#line 1467 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp88_ = _tmp87_;
#line 1467 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp84_ = _tmp88_ > 0;
#line 9996 "Device.c"
		} else {
#line 1467 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp84_ = FALSE;
#line 10000 "Device.c"
		}
#line 1467 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		if (_tmp84_) {
#line 10004 "Device.c"
			gchar* cmd = NULL;
			const gchar* _tmp89_;
			gchar* _tmp90_;
			gchar* _tmp91_;
			const gchar* _tmp92_;
			const gchar* _tmp93_;
			gchar* _tmp94_;
			gchar* _tmp95_;
			const gchar* _tmp96_;
			const gchar* _tmp97_;
			gchar* _tmp98_;
			gchar* _tmp99_;
			gchar* _tmp100_;
			gchar* _tmp101_;
			gint status = 0;
			const gchar* _tmp102_;
			gchar* _tmp103_ = NULL;
			gchar* _tmp104_ = NULL;
			gint _tmp105_;
			gint _tmp106_;
#line 1471 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp89_ = luks_pass;
#line 1471 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp90_ = tee_jee_file_system_escape_single_quote (_tmp89_);
#line 1471 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp91_ = _tmp90_;
#line 1471 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp92_ = luks_device->device;
#line 1471 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp93_ = luks_name;
#line 1471 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp94_ = g_strdup_printf ("echo -n -e '%s' | cryptsetup luksOpen --key-file - '%s' '%s'\n", _tmp91_, _tmp92_, _tmp93_);
#line 1471 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp95_ = _tmp94_;
#line 1471 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_g_free0 (_tmp91_);
#line 1471 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			cmd = _tmp95_;
#line 1474 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp96_ = cmd;
#line 1474 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp97_ = luks_pass;
#line 1474 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp98_ = tee_jee_file_system_escape_single_quote (_tmp97_);
#line 1474 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp99_ = _tmp98_;
#line 1474 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp100_ = string_replace (_tmp96_, _tmp99_, "**PASSWORD**");
#line 1474 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp101_ = _tmp100_;
#line 1474 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			tee_jee_logging_log_debug (_tmp101_);
#line 1474 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_g_free0 (_tmp101_);
#line 1474 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_g_free0 (_tmp99_);
#line 1476 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp102_ = cmd;
#line 1476 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp105_ = tee_jee_process_helper_exec_script_sync (_tmp102_, &_tmp103_, &_tmp104_, FALSE, TRUE, TRUE, FALSE);
#line 1476 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_g_free0 (std_out);
#line 1476 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			std_out = _tmp103_;
#line 1476 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_g_free0 (std_err);
#line 1476 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			std_err = _tmp104_;
#line 1476 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			status = _tmp105_;
#line 1478 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp106_ = status;
#line 1478 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			switch (_tmp106_) {
#line 1478 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				case 512:
#line 10081 "Device.c"
				{
					gchar* _tmp107_;
					gchar* _tmp108_;
					const gchar* _tmp109_;
					const gchar* _tmp110_;
#line 1480 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp107_ = g_strdup (_ ("Wrong password"));
#line 1480 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_g_free0 (_vala_message);
#line 1480 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_vala_message = _tmp107_;
#line 1481 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp108_ = g_strdup (_ ("Failed to unlock device"));
#line 1481 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_g_free0 (_vala_details);
#line 1481 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_vala_details = _tmp108_;
#line 1482 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp109_ = _vala_message;
#line 1482 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					tee_jee_logging_log_error (_tmp109_, FALSE, FALSE);
#line 1483 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp110_ = _vala_details;
#line 1483 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					tee_jee_logging_log_error (_tmp110_, FALSE, FALSE);
#line 1484 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					break;
#line 10109 "Device.c"
				}
				default:
#line 1478 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				break;
#line 10114 "Device.c"
			}
#line 1467 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_g_free0 (cmd);
#line 10118 "Device.c"
		}
	}
#line 1491 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp111_ = device_get_block_devices_using_lsblk ("");
#line 1491 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_g_object_unref0 (list);
#line 1491 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	list = _tmp111_;
#line 10127 "Device.c"
	{
		GeeArrayList* _part_list = NULL;
		GeeArrayList* _tmp112_;
		GeeArrayList* _tmp113_;
		gint _part_size = 0;
		GeeArrayList* _tmp114_;
		gint _tmp115_;
		gint _tmp116_;
		gint _part_index = 0;
#line 1492 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp112_ = list;
#line 1492 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp113_ = _g_object_ref0 (_tmp112_);
#line 1492 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_part_list = _tmp113_;
#line 1492 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp114_ = _part_list;
#line 1492 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp115_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp114_);
#line 1492 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp116_ = _tmp115_;
#line 1492 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_part_size = _tmp116_;
#line 1492 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_part_index = -1;
#line 1492 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		while (TRUE) {
#line 10155 "Device.c"
			gint _tmp117_;
			gint _tmp118_;
			gint _tmp119_;
			Device* part = NULL;
			GeeArrayList* _tmp120_;
			gint _tmp121_;
			gpointer _tmp122_;
			Device* _tmp123_;
			const gchar* _tmp124_;
			const gchar* _tmp125_;
#line 1492 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp117_ = _part_index;
#line 1492 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_part_index = _tmp117_ + 1;
#line 1492 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp118_ = _part_index;
#line 1492 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp119_ = _part_size;
#line 1492 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			if (!(_tmp118_ < _tmp119_)) {
#line 1492 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				break;
#line 10178 "Device.c"
			}
#line 1492 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp120_ = _part_list;
#line 1492 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp121_ = _part_index;
#line 1492 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp122_ = gee_abstract_list_get ((GeeAbstractList*) _tmp120_, _tmp121_);
#line 1492 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			part = (Device*) _tmp122_;
#line 1493 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp123_ = part;
#line 1493 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp124_ = _tmp123_->pkname;
#line 1493 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp125_ = luks_device->kname;
#line 1493 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			if (g_strcmp0 (_tmp124_, _tmp125_) == 0) {
#line 10196 "Device.c"
				Device* _tmp126_;
				Device* _tmp127_;
#line 1494 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp126_ = part;
#line 1494 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp127_ = _g_object_ref0 (_tmp126_);
#line 1494 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_g_object_unref0 (unlocked_device);
#line 1494 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				unlocked_device = _tmp127_;
#line 1495 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_g_object_unref0 (part);
#line 1495 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				break;
#line 10211 "Device.c"
			}
#line 1492 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_g_object_unref0 (part);
#line 10215 "Device.c"
		}
#line 1492 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_object_unref0 (_part_list);
#line 10219 "Device.c"
	}
#line 1499 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	is_error = FALSE;
#line 1500 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp128_ = unlocked_device;
#line 1500 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	if (_tmp128_ == NULL) {
#line 10227 "Device.c"
		const gchar* _tmp129_;
		gchar* _tmp130_;
		gchar* _tmp131_;
		gchar* _tmp132_;
		const gchar* _tmp133_;
		gchar* _tmp134_;
#line 1501 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp129_ = luks_device->device;
#line 1501 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp130_ = g_strdup_printf (" '%s'", _tmp129_);
#line 1501 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp131_ = _tmp130_;
#line 1501 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp132_ = g_strconcat (_ ("Failed to unlock device"), _tmp131_, NULL);
#line 1501 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (_vala_message);
#line 1501 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_vala_message = _tmp132_;
#line 1501 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (_tmp131_);
#line 1502 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp133_ = std_err;
#line 1502 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp134_ = g_strdup (_tmp133_);
#line 1502 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (_vala_details);
#line 1502 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_vala_details = _tmp134_;
#line 1503 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		is_error = TRUE;
#line 10258 "Device.c"
	} else {
		gchar* _tmp135_;
		Device* _tmp136_;
		const gchar* _tmp137_;
		gchar* _tmp138_;
#line 1506 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp135_ = g_strdup (_ ("Unlocked successfully"));
#line 1506 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (_vala_message);
#line 1506 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_vala_message = _tmp135_;
#line 1507 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp136_ = unlocked_device;
#line 1507 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp137_ = _tmp136_->mapped_name;
#line 1507 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp138_ = g_strdup_printf (_ ("Unlocked device is mapped to '%s'"), _tmp137_);
#line 1507 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (_vala_details);
#line 1507 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_vala_details = _tmp138_;
#line 10280 "Device.c"
	}
#line 1510 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	if (parent_window != NULL) {
#line 10284 "Device.c"
		const gchar* _tmp139_;
		const gchar* _tmp140_;
		gboolean _tmp141_;
#line 1511 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp139_ = _vala_message;
#line 1511 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp140_ = _vala_details;
#line 1511 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp141_ = is_error;
#line 1511 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		tee_jee_gtk_helper_gtk_messagebox (_tmp139_, _tmp140_, parent_window, _tmp141_);
#line 10296 "Device.c"
	}
#line 1514 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	result = unlocked_device;
#line 1514 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_g_free0 (luks_name);
#line 1514 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_g_free0 (luks_pass);
#line 1514 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_g_object_unref0 (list);
#line 1514 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_g_free0 (std_err);
#line 1514 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_g_free0 (std_out);
#line 1514 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	if (message) {
#line 1514 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		*message = _vala_message;
#line 10314 "Device.c"
	} else {
#line 1514 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (_vala_message);
#line 10318 "Device.c"
	}
#line 1514 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	if (details) {
#line 1514 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		*details = _vala_details;
#line 10324 "Device.c"
	} else {
#line 1514 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (_vala_details);
#line 10328 "Device.c"
	}
#line 1514 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	return result;
#line 10332 "Device.c"
}


gboolean
device_luks_lock (const gchar* kname,
                  GtkWindow* parent_window)
{
	gboolean result = FALSE;
	gchar* cmd = NULL;
	gchar* _tmp0_;
	const gchar* _tmp1_;
	gchar* std_out = NULL;
	gchar* std_err = NULL;
	gint status = 0;
	const gchar* _tmp2_;
	gchar* _tmp3_ = NULL;
	gchar* _tmp4_ = NULL;
	gint _tmp5_;
	const gchar* _tmp6_;
	const gchar* _tmp7_;
	gint _tmp8_;
	gint _tmp11_;
#line 1517 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	g_return_val_if_fail (kname != NULL, FALSE);
#line 1519 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp0_ = g_strdup_printf ("cryptsetup luksClose %s", kname);
#line 1519 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	cmd = _tmp0_;
#line 1521 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp1_ = cmd;
#line 1521 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	tee_jee_logging_log_debug (_tmp1_);
#line 1524 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp2_ = cmd;
#line 1524 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp5_ = tee_jee_process_helper_exec_script_sync (_tmp2_, &_tmp3_, &_tmp4_, FALSE, TRUE, TRUE, FALSE);
#line 1524 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_g_free0 (std_out);
#line 1524 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	std_out = _tmp3_;
#line 1524 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_g_free0 (std_err);
#line 1524 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	std_err = _tmp4_;
#line 1524 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	status = _tmp5_;
#line 1525 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp6_ = std_out;
#line 1525 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	tee_jee_logging_log_msg (_tmp6_, FALSE);
#line 1526 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp7_ = std_err;
#line 1526 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	tee_jee_logging_log_msg (_tmp7_, FALSE);
#line 1528 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp8_ = status;
#line 1528 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	if (_tmp8_ != 0) {
#line 1529 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		if (parent_window != NULL) {
#line 10393 "Device.c"
			gchar* msg = NULL;
			gchar* _tmp9_;
			const gchar* _tmp10_;
#line 1530 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp9_ = g_strdup_printf ("Failed to lock device: %s", kname);
#line 1530 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			msg = _tmp9_;
#line 1531 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp10_ = msg;
#line 1531 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			tee_jee_gtk_helper_gtk_messagebox ("Error", _tmp10_, parent_window, TRUE);
#line 1529 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_g_free0 (msg);
#line 10407 "Device.c"
		}
	}
#line 1535 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp11_ = status;
#line 1535 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	result = _tmp11_ == 0;
#line 1535 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_g_free0 (std_err);
#line 1535 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_g_free0 (std_out);
#line 1535 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_g_free0 (cmd);
#line 1535 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	return result;
#line 10422 "Device.c"
}


gboolean
device_mount (const gchar* dev_name_or_uuid,
              const gchar* mount_point,
              const gchar* mount_options,
              gboolean silent)
{
	gboolean result = FALSE;
	gchar* cmd = NULL;
	gchar* _tmp0_;
	gchar* std_out = NULL;
	gchar* std_err = NULL;
	gint ret_val = 0;
	gchar* device = NULL;
	gchar* _tmp1_;
	gchar* uuid = NULL;
	gchar* _tmp2_;
	GeeArrayList* mps = NULL;
	GeeArrayList* _tmp10_;
	const gchar* _tmp11_;
	gchar* _tmp12_;
	gchar* _tmp13_;
	gint _tmp58_;
	gint _tmp59_;
	const gchar* _tmp64_;
	gchar* _tmp65_ = NULL;
	gchar* _tmp66_ = NULL;
	gint _tmp67_;
	gint _tmp68_;
#line 1549 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	g_return_val_if_fail (dev_name_or_uuid != NULL, FALSE);
#line 1549 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	g_return_val_if_fail (mount_point != NULL, FALSE);
#line 1549 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	g_return_val_if_fail (mount_options != NULL, FALSE);
#line 1557 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp0_ = g_strdup ("");
#line 1557 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	cmd = _tmp0_;
#line 1562 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp1_ = g_strdup ("");
#line 1562 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	device = _tmp1_;
#line 1563 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp2_ = g_strdup ("");
#line 1563 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	uuid = _tmp2_;
#line 1567 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	if (g_str_has_prefix (dev_name_or_uuid, "/dev")) {
#line 10474 "Device.c"
		gchar* _tmp3_;
		gchar* _tmp4_;
#line 1568 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp3_ = g_strdup (dev_name_or_uuid);
#line 1568 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (device);
#line 1568 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		device = _tmp3_;
#line 1569 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp4_ = device_get_device_uuid (dev_name_or_uuid);
#line 1569 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (uuid);
#line 1569 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		uuid = _tmp4_;
#line 10489 "Device.c"
	} else {
		gchar* _tmp5_;
		const gchar* _tmp6_;
		gchar* _tmp7_;
		const gchar* _tmp8_;
		gchar* _tmp9_;
#line 1572 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp5_ = g_strdup (dev_name_or_uuid);
#line 1572 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (uuid);
#line 1572 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		uuid = _tmp5_;
#line 1573 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp6_ = uuid;
#line 1573 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp7_ = g_strdup_printf ("/dev/disk/by-uuid/%s", _tmp6_);
#line 1573 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (device);
#line 1573 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		device = _tmp7_;
#line 1574 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp8_ = device;
#line 1574 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp9_ = device_resolve_device_name (_tmp8_);
#line 1574 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (device);
#line 1574 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		device = _tmp9_;
#line 10518 "Device.c"
	}
#line 1579 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp10_ = device_get_device_mount_points (dev_name_or_uuid);
#line 1579 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	mps = _tmp10_;
#line 1581 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	tee_jee_logging_log_debug ("------------------");
#line 1582 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp11_ = device;
#line 1582 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp12_ = g_strdup_printf ("arg=%s, device=%s", dev_name_or_uuid, _tmp11_);
#line 1582 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp13_ = _tmp12_;
#line 1582 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	tee_jee_logging_log_debug (_tmp13_);
#line 1582 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_g_free0 (_tmp13_);
#line 10536 "Device.c"
	{
		GeeArrayList* _mp_list = NULL;
		GeeArrayList* _tmp14_;
		GeeArrayList* _tmp15_;
		gint _mp_size = 0;
		GeeArrayList* _tmp16_;
		gint _tmp17_;
		gint _tmp18_;
		gint _mp_index = 0;
#line 1583 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp14_ = mps;
#line 1583 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp15_ = _g_object_ref0 (_tmp14_);
#line 1583 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_mp_list = _tmp15_;
#line 1583 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp16_ = _mp_list;
#line 1583 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp17_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp16_);
#line 1583 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp18_ = _tmp17_;
#line 1583 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_mp_size = _tmp18_;
#line 1583 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_mp_index = -1;
#line 1583 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		while (TRUE) {
#line 10564 "Device.c"
			gint _tmp19_;
			gint _tmp20_;
			gint _tmp21_;
			MountEntry* mp = NULL;
			GeeArrayList* _tmp22_;
			gint _tmp23_;
			gpointer _tmp24_;
			MountEntry* _tmp25_;
			const gchar* _tmp26_;
#line 1583 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp19_ = _mp_index;
#line 1583 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_mp_index = _tmp19_ + 1;
#line 1583 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp20_ = _mp_index;
#line 1583 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp21_ = _mp_size;
#line 1583 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			if (!(_tmp20_ < _tmp21_)) {
#line 1583 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				break;
#line 10586 "Device.c"
			}
#line 1583 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp22_ = _mp_list;
#line 1583 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp23_ = _mp_index;
#line 1583 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp24_ = gee_abstract_list_get ((GeeAbstractList*) _tmp22_, _tmp23_);
#line 1583 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			mp = (MountEntry*) _tmp24_;
#line 1584 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp25_ = mp;
#line 1584 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp26_ = _tmp25_->mount_point;
#line 1584 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			tee_jee_logging_log_debug (_tmp26_);
#line 1583 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_g_object_unref0 (mp);
#line 10604 "Device.c"
		}
#line 1583 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_object_unref0 (_mp_list);
#line 10608 "Device.c"
	}
#line 1586 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	tee_jee_logging_log_debug ("------------------");
#line 10612 "Device.c"
	{
		GeeArrayList* _mp_list = NULL;
		GeeArrayList* _tmp27_;
		GeeArrayList* _tmp28_;
		gint _mp_size = 0;
		GeeArrayList* _tmp29_;
		gint _tmp30_;
		gint _tmp31_;
		gint _mp_index = 0;
#line 1588 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp27_ = mps;
#line 1588 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp28_ = _g_object_ref0 (_tmp27_);
#line 1588 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_mp_list = _tmp28_;
#line 1588 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp29_ = _mp_list;
#line 1588 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp30_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp29_);
#line 1588 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp31_ = _tmp30_;
#line 1588 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_mp_size = _tmp31_;
#line 1588 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_mp_index = -1;
#line 1588 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		while (TRUE) {
#line 10640 "Device.c"
			gint _tmp32_;
			gint _tmp33_;
			gint _tmp34_;
			MountEntry* mp = NULL;
			GeeArrayList* _tmp35_;
			gint _tmp36_;
			gpointer _tmp37_;
			gboolean _tmp38_ = FALSE;
			MountEntry* _tmp39_;
			const gchar* _tmp40_;
#line 1588 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp32_ = _mp_index;
#line 1588 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_mp_index = _tmp32_ + 1;
#line 1588 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp33_ = _mp_index;
#line 1588 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp34_ = _mp_size;
#line 1588 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			if (!(_tmp33_ < _tmp34_)) {
#line 1588 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				break;
#line 10663 "Device.c"
			}
#line 1588 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp35_ = _mp_list;
#line 1588 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp36_ = _mp_index;
#line 1588 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp37_ = gee_abstract_list_get ((GeeAbstractList*) _tmp35_, _tmp36_);
#line 1588 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			mp = (MountEntry*) _tmp37_;
#line 1589 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp39_ = mp;
#line 1589 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp40_ = _tmp39_->mount_point;
#line 1589 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			if (g_strcmp0 (_tmp40_, mount_point) == 0) {
#line 10679 "Device.c"
				MountEntry* _tmp41_;
				const gchar* _tmp42_;
#line 1589 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp41_ = mp;
#line 1589 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp42_ = _tmp41_->mount_options;
#line 1589 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp38_ = string_contains (_tmp42_, mount_options);
#line 10688 "Device.c"
			} else {
#line 1589 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp38_ = FALSE;
#line 10692 "Device.c"
			}
#line 1589 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			if (_tmp38_) {
#line 1590 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				if (!silent) {
#line 10698 "Device.c"
					gchar* msg = NULL;
					const gchar* _tmp43_;
					gchar* _tmp44_;
					MountEntry* _tmp45_;
					const gchar* _tmp46_;
					gint _tmp47_;
					gint _tmp48_;
					const gchar* _tmp55_;
					gchar* _tmp56_;
					gchar* _tmp57_;
#line 1591 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp43_ = device;
#line 1591 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp44_ = g_strdup_printf ("%s is mounted at: %s", _tmp43_, mount_point);
#line 1591 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					msg = _tmp44_;
#line 1592 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp45_ = mp;
#line 1592 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp46_ = _tmp45_->mount_options;
#line 1592 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp47_ = strlen (_tmp46_);
#line 1592 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp48_ = _tmp47_;
#line 1592 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					if (_tmp48_ > 0) {
#line 10725 "Device.c"
						const gchar* _tmp49_;
						MountEntry* _tmp50_;
						const gchar* _tmp51_;
						gchar* _tmp52_;
						gchar* _tmp53_;
						gchar* _tmp54_;
#line 1593 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp49_ = msg;
#line 1593 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp50_ = mp;
#line 1593 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp51_ = _tmp50_->mount_options;
#line 1593 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp52_ = g_strdup_printf (", options: %s", _tmp51_);
#line 1593 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp53_ = _tmp52_;
#line 1593 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp54_ = g_strconcat (_tmp49_, _tmp53_, NULL);
#line 1593 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_g_free0 (msg);
#line 1593 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						msg = _tmp54_;
#line 1593 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_g_free0 (_tmp53_);
#line 10750 "Device.c"
					}
#line 1595 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp55_ = msg;
#line 1595 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp56_ = g_strdup_printf ("\n%s\n", _tmp55_);
#line 1595 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp57_ = _tmp56_;
#line 1595 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					tee_jee_logging_log_msg (_tmp57_, FALSE);
#line 1595 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_g_free0 (_tmp57_);
#line 1590 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_g_free0 (msg);
#line 10764 "Device.c"
				}
#line 1597 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				result = TRUE;
#line 1597 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_g_object_unref0 (mp);
#line 1597 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_g_object_unref0 (_mp_list);
#line 1597 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_g_object_unref0 (mps);
#line 1597 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_g_free0 (uuid);
#line 1597 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_g_free0 (device);
#line 1597 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_g_free0 (std_err);
#line 1597 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_g_free0 (std_out);
#line 1597 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_g_free0 (cmd);
#line 1597 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				return result;
#line 10786 "Device.c"
			}
#line 1588 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_g_object_unref0 (mp);
#line 10790 "Device.c"
		}
#line 1588 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_object_unref0 (_mp_list);
#line 10794 "Device.c"
	}
#line 1601 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	tee_jee_file_system_dir_create (mount_point, FALSE);
#line 1605 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	device_unmount (mount_point);
#line 1609 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp58_ = strlen (mount_options);
#line 1609 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp59_ = _tmp58_;
#line 1609 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	if (_tmp59_ > 0) {
#line 10806 "Device.c"
		const gchar* _tmp60_;
		gchar* _tmp61_;
#line 1610 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp60_ = device;
#line 1610 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp61_ = g_strdup_printf ("mount -o %s \"%s\" \"%s\"", mount_options, _tmp60_, mount_point);
#line 1610 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (cmd);
#line 1610 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		cmd = _tmp61_;
#line 10817 "Device.c"
	} else {
		const gchar* _tmp62_;
		gchar* _tmp63_;
#line 1613 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp62_ = device;
#line 1613 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp63_ = g_strdup_printf ("mount \"%s\" \"%s\"", _tmp62_, mount_point);
#line 1613 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (cmd);
#line 1613 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		cmd = _tmp63_;
#line 10829 "Device.c"
	}
#line 1616 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp64_ = cmd;
#line 1616 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp67_ = tee_jee_process_helper_exec_sync (_tmp64_, &_tmp65_, &_tmp66_);
#line 1616 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_g_free0 (std_out);
#line 1616 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	std_out = _tmp65_;
#line 1616 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_g_free0 (std_err);
#line 1616 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	std_err = _tmp66_;
#line 1616 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	ret_val = _tmp67_;
#line 1618 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp68_ = ret_val;
#line 1618 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	if (_tmp68_ != 0) {
#line 10849 "Device.c"
		const gchar* _tmp69_;
		gchar* _tmp70_;
		gchar* _tmp71_;
		const gchar* _tmp72_;
#line 1619 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp69_ = device;
#line 1619 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp70_ = g_strdup_printf ("Failed to mount device '%s' at mount point '%s'", _tmp69_, mount_point);
#line 1619 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp71_ = _tmp70_;
#line 1619 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		tee_jee_logging_log_error (_tmp71_, FALSE, FALSE);
#line 1619 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (_tmp71_);
#line 1620 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp72_ = std_err;
#line 1620 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		tee_jee_logging_log_error (_tmp72_, FALSE, FALSE);
#line 1621 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		result = FALSE;
#line 1621 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_object_unref0 (mps);
#line 1621 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (uuid);
#line 1621 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (device);
#line 1621 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (std_err);
#line 1621 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (std_out);
#line 1621 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (cmd);
#line 1621 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		return result;
#line 10884 "Device.c"
	} else {
#line 1624 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		if (!silent) {
#line 10888 "Device.c"
			Device* dev = NULL;
			const gchar* _tmp73_;
			Device* _tmp74_;
			gchar* _tmp75_ = NULL;
			Device* _tmp76_;
			gchar* _tmp82_ = NULL;
			gint _tmp83_;
			gint _tmp84_;
			gchar* _tmp87_;
			gchar* _tmp88_;
#line 1625 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp73_ = device;
#line 1625 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp74_ = device_get_device_by_name (_tmp73_);
#line 1625 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			dev = _tmp74_;
#line 1627 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp76_ = dev;
#line 1627 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			if (_tmp76_ == NULL) {
#line 10909 "Device.c"
				const gchar* _tmp77_;
				gchar* _tmp78_;
#line 1627 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp77_ = device;
#line 1627 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp78_ = g_strdup (_tmp77_);
#line 1627 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_g_free0 (_tmp75_);
#line 1627 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp75_ = _tmp78_;
#line 10920 "Device.c"
			} else {
				Device* _tmp79_;
				gchar* _tmp80_;
				gchar* _tmp81_;
#line 1627 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp79_ = dev;
#line 1627 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp80_ = device_get_device_name_with_parent (_tmp79_);
#line 1627 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp81_ = _tmp80_;
#line 1627 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_g_free0 (_tmp75_);
#line 1627 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp75_ = _tmp81_;
#line 10935 "Device.c"
			}
#line 1628 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp83_ = strlen (mount_options);
#line 1628 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp84_ = _tmp83_;
#line 1628 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			if (_tmp84_ > 0) {
#line 10943 "Device.c"
				gchar* _tmp85_;
#line 1628 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp85_ = g_strdup_printf (" (%s)", mount_options);
#line 1628 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_g_free0 (_tmp82_);
#line 1628 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp82_ = _tmp85_;
#line 10951 "Device.c"
			} else {
				gchar* _tmp86_;
#line 1628 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp86_ = g_strdup ("");
#line 1628 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_g_free0 (_tmp82_);
#line 1628 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp82_ = _tmp86_;
#line 10960 "Device.c"
			}
#line 1626 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp87_ = g_strdup_printf ("Mounted '%s'%s at '%s'", _tmp75_, _tmp82_, mount_point);
#line 1626 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp88_ = _tmp87_;
#line 1626 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			tee_jee_logging_log_msg (_tmp88_, FALSE);
#line 1626 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_g_free0 (_tmp88_);
#line 1624 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_g_free0 (_tmp82_);
#line 1624 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_g_free0 (_tmp75_);
#line 1624 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_g_object_unref0 (dev);
#line 10976 "Device.c"
		}
#line 1631 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		result = TRUE;
#line 1631 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_object_unref0 (mps);
#line 1631 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (uuid);
#line 1631 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (device);
#line 1631 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (std_err);
#line 1631 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (std_out);
#line 1631 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (cmd);
#line 1631 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		return result;
#line 10994 "Device.c"
	}
#line 1549 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_g_object_unref0 (mps);
#line 1549 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_g_free0 (uuid);
#line 1549 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_g_free0 (device);
#line 1549 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_g_free0 (std_err);
#line 1549 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_g_free0 (std_out);
#line 1549 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_g_free0 (cmd);
#line 11008 "Device.c"
}


gchar*
device_automount (const gchar* dev_name_or_uuid,
                  const gchar* mount_options,
                  const gchar* mount_prefix)
{
	gchar* result = NULL;
	gchar* device = NULL;
	gchar* _tmp0_;
	gchar* uuid = NULL;
	gchar* _tmp1_;
	GeeArrayList* list = NULL;
	GeeArrayList* _tmp9_;
	Device* dev = NULL;
	GeeArrayList* _tmp10_;
	const gchar* _tmp11_;
	Device* _tmp12_;
	Device* _tmp13_;
	gchar* mount_point = NULL;
	const gchar* _tmp21_;
	gchar* _tmp22_;
	const gchar* _tmp30_;
	const gchar* _tmp31_;
	GError* _inner_error0_ = NULL;
#line 1646 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	g_return_val_if_fail (dev_name_or_uuid != NULL, NULL);
#line 1646 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	g_return_val_if_fail (mount_options != NULL, NULL);
#line 1646 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	g_return_val_if_fail (mount_prefix != NULL, NULL);
#line 1653 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp0_ = g_strdup ("");
#line 1653 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	device = _tmp0_;
#line 1654 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp1_ = g_strdup ("");
#line 1654 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	uuid = _tmp1_;
#line 1658 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	if (g_str_has_prefix (dev_name_or_uuid, "/dev")) {
#line 11051 "Device.c"
		gchar* _tmp2_;
		gchar* _tmp3_;
#line 1659 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp2_ = g_strdup (dev_name_or_uuid);
#line 1659 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (device);
#line 1659 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		device = _tmp2_;
#line 1660 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp3_ = device_get_device_uuid (dev_name_or_uuid);
#line 1660 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (uuid);
#line 1660 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		uuid = _tmp3_;
#line 11066 "Device.c"
	} else {
		gchar* _tmp4_;
		const gchar* _tmp5_;
		gchar* _tmp6_;
		const gchar* _tmp7_;
		gchar* _tmp8_;
#line 1663 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp4_ = g_strdup (dev_name_or_uuid);
#line 1663 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (uuid);
#line 1663 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		uuid = _tmp4_;
#line 1664 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp5_ = uuid;
#line 1664 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp6_ = g_strdup_printf ("/dev/disk/by-uuid/%s", _tmp5_);
#line 1664 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (device);
#line 1664 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		device = _tmp6_;
#line 1665 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp7_ = device;
#line 1665 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp8_ = device_resolve_device_name (_tmp7_);
#line 1665 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (device);
#line 1665 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		device = _tmp8_;
#line 11095 "Device.c"
	}
#line 1670 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp9_ = device_get_block_devices_using_lsblk ("");
#line 1670 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	list = _tmp9_;
#line 1671 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp10_ = list;
#line 1671 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp11_ = uuid;
#line 1671 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp12_ = device_find_device_in_list (_tmp10_, _tmp11_);
#line 1671 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	dev = _tmp12_;
#line 1672 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp13_ = dev;
#line 1672 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	if (_tmp13_ != NULL) {
#line 11113 "Device.c"
		Device* _tmp14_;
		GeeArrayList* _tmp15_;
		gpointer _tmp16_;
		MountEntry* _tmp17_;
		const gchar* _tmp18_;
		gchar* _tmp19_;
		gchar* _tmp20_;
#line 1673 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp14_ = dev;
#line 1673 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp15_ = _tmp14_->mount_points;
#line 1673 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp16_ = gee_abstract_list_get ((GeeAbstractList*) _tmp15_, 0);
#line 1673 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp17_ = (MountEntry*) _tmp16_;
#line 1673 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp18_ = _tmp17_->mount_point;
#line 1673 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp19_ = g_strdup (_tmp18_);
#line 1673 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp20_ = _tmp19_;
#line 1673 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_object_unref0 (_tmp17_);
#line 1673 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		result = _tmp20_;
#line 1673 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_object_unref0 (dev);
#line 1673 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_object_unref0 (list);
#line 1673 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (uuid);
#line 1673 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (device);
#line 1673 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		return result;
#line 11149 "Device.c"
	}
#line 1678 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp21_ = uuid;
#line 1678 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp22_ = g_strdup_printf ("%s/%s", mount_prefix, _tmp21_);
#line 1678 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	mount_point = _tmp22_;
#line 11157 "Device.c"
	{
		GFile* file = NULL;
		const gchar* _tmp23_;
		GFile* _tmp24_;
		GFile* _tmp25_;
#line 1681 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp23_ = mount_point;
#line 1681 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp24_ = g_file_new_for_path (_tmp23_);
#line 1681 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		file = _tmp24_;
#line 1682 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp25_ = file;
#line 1682 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		if (!g_file_query_exists (_tmp25_, NULL)) {
#line 11173 "Device.c"
			GFile* _tmp26_;
#line 1683 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp26_ = file;
#line 1683 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			g_file_make_directory_with_parents (_tmp26_, NULL, &_inner_error0_);
#line 1683 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 1683 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_g_object_unref0 (file);
#line 11183 "Device.c"
				goto __catch46_g_error;
			}
		}
#line 1680 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_object_unref0 (file);
#line 11189 "Device.c"
	}
	goto __finally46;
	__catch46_g_error:
	{
		GError* e = NULL;
		GError* _tmp27_;
		const gchar* _tmp28_;
		gchar* _tmp29_;
#line 1680 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		e = _inner_error0_;
#line 1680 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_inner_error0_ = NULL;
#line 1687 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp27_ = e;
#line 1687 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp28_ = _tmp27_->message;
#line 1687 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		tee_jee_logging_log_error (_tmp28_, FALSE, FALSE);
#line 1688 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp29_ = g_strdup ("");
#line 1688 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		result = _tmp29_;
#line 1688 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_error_free0 (e);
#line 1688 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (mount_point);
#line 1688 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_object_unref0 (dev);
#line 1688 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_object_unref0 (list);
#line 1688 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (uuid);
#line 1688 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (device);
#line 1688 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		return result;
#line 11226 "Device.c"
	}
	__finally46:
#line 1680 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 1680 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (mount_point);
#line 1680 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_object_unref0 (dev);
#line 1680 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_object_unref0 (list);
#line 1680 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (uuid);
#line 1680 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (device);
#line 1680 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 1680 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		g_clear_error (&_inner_error0_);
#line 1680 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		return NULL;
#line 11247 "Device.c"
	}
#line 1693 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp30_ = uuid;
#line 1693 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp31_ = mount_point;
#line 1693 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	if (device_mount (_tmp30_, _tmp31_, mount_options, FALSE)) {
#line 1694 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		result = mount_point;
#line 1694 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_object_unref0 (dev);
#line 1694 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_object_unref0 (list);
#line 1694 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (uuid);
#line 1694 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (device);
#line 1694 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		return result;
#line 11267 "Device.c"
	} else {
		gchar* _tmp32_;
#line 1697 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp32_ = g_strdup ("");
#line 1697 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		result = _tmp32_;
#line 1697 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (mount_point);
#line 1697 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_object_unref0 (dev);
#line 1697 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_object_unref0 (list);
#line 1697 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (uuid);
#line 1697 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (device);
#line 1697 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		return result;
#line 11286 "Device.c"
	}
#line 1646 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_g_free0 (mount_point);
#line 1646 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_g_object_unref0 (dev);
#line 1646 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_g_object_unref0 (list);
#line 1646 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_g_free0 (uuid);
#line 1646 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_g_free0 (device);
#line 11298 "Device.c"
}


gboolean
device_unmount (const gchar* mount_point)
{
	gboolean result = FALSE;
	gchar* cmd = NULL;
	gchar* _tmp0_;
	gchar* std_out = NULL;
	gchar* std_err = NULL;
	gint ret_val = 0;
	GError* _inner_error0_ = NULL;
#line 1701 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	g_return_val_if_fail (mount_point != NULL, FALSE);
#line 1706 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp0_ = g_strdup ("");
#line 1706 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	cmd = _tmp0_;
#line 1712 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	if (!device_mount_point_in_use (mount_point)) {
#line 1713 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		result = TRUE;
#line 1713 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (std_err);
#line 1713 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (std_out);
#line 1713 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (cmd);
#line 1713 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		return result;
#line 11330 "Device.c"
	}
	{
		gchar* cmd_unmount = NULL;
		gchar* _tmp1_;
		gchar* _tmp2_;
		gchar* _tmp3_;
		gchar* _tmp4_;
		gchar* _tmp5_;
		gchar* _tmp6_;
		const gchar* _tmp7_;
		gchar* _tmp8_ = NULL;
		gchar* _tmp9_ = NULL;
		gint _tmp10_ = 0;
		const gchar* _tmp11_;
		gchar* _tmp12_ = NULL;
		gchar* _tmp13_ = NULL;
		gint _tmp14_;
		gint _tmp15_;
#line 1720 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp1_ = g_strdup_printf ("cat /proc/mounts | awk '{print $2}' | grep '%s' | sort -r | xargs umou" \
"nt", mount_point);
#line 1720 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		cmd_unmount = _tmp1_;
#line 1722 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp2_ = g_strdup_printf (": '%s'", mount_point);
#line 1722 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp3_ = _tmp2_;
#line 1722 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp4_ = g_strconcat (_ ("Unmounting from"), _tmp3_, NULL);
#line 1722 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp5_ = _tmp4_;
#line 1722 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		tee_jee_logging_log_debug (_tmp5_);
#line 1722 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (_tmp5_);
#line 1722 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (_tmp3_);
#line 1725 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp6_ = g_strdup ("sync");
#line 1725 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (cmd);
#line 1725 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		cmd = _tmp6_;
#line 1726 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp7_ = cmd;
#line 1726 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		g_spawn_command_line_sync (_tmp7_, &_tmp8_, &_tmp9_, &_tmp10_, &_inner_error0_);
#line 1726 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (std_out);
#line 1726 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		std_out = _tmp8_;
#line 1726 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (std_err);
#line 1726 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		std_err = _tmp9_;
#line 1726 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		ret_val = _tmp10_;
#line 1726 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 1726 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_g_free0 (cmd_unmount);
#line 11391 "Device.c"
			goto __catch47_g_error;
		}
#line 1730 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp11_ = cmd_unmount;
#line 1730 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp14_ = tee_jee_process_helper_exec_script_sync (_tmp11_, &_tmp12_, &_tmp13_, FALSE, FALSE, TRUE, FALSE);
#line 1730 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (std_out);
#line 1730 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		std_out = _tmp12_;
#line 1730 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (std_err);
#line 1730 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		std_err = _tmp13_;
#line 1730 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		ret_val = _tmp14_;
#line 1732 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp15_ = ret_val;
#line 1732 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		if (_tmp15_ != 0) {
#line 11412 "Device.c"
			const gchar* _tmp16_;
#line 1733 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			tee_jee_logging_log_error (_ ("Failed to unmount"), FALSE, FALSE);
#line 1734 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp16_ = std_err;
#line 1734 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			tee_jee_logging_log_error (_tmp16_, FALSE, FALSE);
#line 11420 "Device.c"
		}
#line 1718 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (cmd_unmount);
#line 11424 "Device.c"
	}
	goto __finally47;
	__catch47_g_error:
	{
		GError* e = NULL;
		GError* _tmp17_;
		const gchar* _tmp18_;
#line 1718 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		e = _inner_error0_;
#line 1718 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_inner_error0_ = NULL;
#line 1738 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp17_ = e;
#line 1738 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp18_ = _tmp17_->message;
#line 1738 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		tee_jee_logging_log_error (_tmp18_, FALSE, FALSE);
#line 1739 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		result = FALSE;
#line 1739 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_error_free0 (e);
#line 1739 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (std_err);
#line 1739 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (std_out);
#line 1739 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (cmd);
#line 1739 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		return result;
#line 11454 "Device.c"
	}
	__finally47:
#line 1718 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 11459 "Device.c"
		gboolean _tmp19_ = FALSE;
#line 1718 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (std_err);
#line 1718 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (std_out);
#line 1718 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (cmd);
#line 1718 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 1718 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		g_clear_error (&_inner_error0_);
#line 1718 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		return _tmp19_;
#line 11473 "Device.c"
	}
#line 1743 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	if (!device_mount_point_in_use (mount_point)) {
#line 1744 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		result = TRUE;
#line 1744 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (std_err);
#line 1744 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (std_out);
#line 1744 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (cmd);
#line 1744 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		return result;
#line 11487 "Device.c"
	} else {
#line 1747 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		result = FALSE;
#line 1747 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (std_err);
#line 1747 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (std_out);
#line 1747 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (cmd);
#line 1747 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		return result;
#line 11499 "Device.c"
	}
#line 1701 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_g_free0 (std_err);
#line 1701 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_g_free0 (std_out);
#line 1701 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_g_free0 (cmd);
#line 11507 "Device.c"
}


gchar*
device_description (Device* self)
{
	gchar* result = NULL;
	gchar* _tmp0_;
	gchar* _tmp1_;
	gchar* _tmp2_;
	gchar* _tmp3_;
	gchar* _tmp4_;
	gchar* _tmp5_;
#line 1803 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 1804 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp0_ = device_description_formatted (self);
#line 1804 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp1_ = _tmp0_;
#line 1804 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp2_ = string_replace (_tmp1_, "<b>", "");
#line 1804 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp3_ = _tmp2_;
#line 1804 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp4_ = string_replace (_tmp3_, "</b>", "");
#line 1804 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp5_ = _tmp4_;
#line 1804 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_g_free0 (_tmp3_);
#line 1804 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_g_free0 (_tmp1_);
#line 1804 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	result = _tmp5_;
#line 1804 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	return result;
#line 11543 "Device.c"
}


gchar*
device_description_formatted (Device* self)
{
	gchar* result = NULL;
	gchar* s = NULL;
	gchar* _tmp0_;
	const gchar* _tmp1_;
	const gchar* _tmp70_;
	gchar* _tmp71_;
#line 1807 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 1808 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp0_ = g_strdup ("");
#line 1808 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	s = _tmp0_;
#line 1810 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp1_ = self->type;
#line 1810 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	if (g_strcmp0 (_tmp1_, "disk") == 0) {
#line 11566 "Device.c"
		const gchar* _tmp2_;
		const gchar* _tmp3_;
		gchar* _tmp4_;
		gchar* _tmp5_;
		gchar* _tmp6_;
		gchar* _tmp7_;
		gchar* _tmp8_;
		const gchar* _tmp9_;
		gint _tmp10_;
		gint _tmp11_;
		const gchar* _tmp17_;
		gint _tmp18_;
		gint _tmp19_;
		guint64 _tmp25_;
#line 1811 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp2_ = s;
#line 1811 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp3_ = self->kname;
#line 1811 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp4_ = g_strconcat ("<b>", _tmp3_, NULL);
#line 1811 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp5_ = _tmp4_;
#line 1811 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp6_ = g_strconcat (_tmp5_, "</b> ~", NULL);
#line 1811 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp7_ = _tmp6_;
#line 1811 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp8_ = g_strconcat (_tmp2_, _tmp7_, NULL);
#line 1811 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (s);
#line 1811 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		s = _tmp8_;
#line 1811 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (_tmp7_);
#line 1811 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (_tmp5_);
#line 1812 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp9_ = self->vendor;
#line 1812 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp10_ = strlen (_tmp9_);
#line 1812 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp11_ = _tmp10_;
#line 1812 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		if (_tmp11_ > 0) {
#line 11611 "Device.c"
			const gchar* _tmp12_;
			const gchar* _tmp13_;
			gchar* _tmp14_;
			gchar* _tmp15_;
			gchar* _tmp16_;
#line 1813 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp12_ = s;
#line 1813 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp13_ = self->vendor;
#line 1813 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp14_ = g_strconcat (" ", _tmp13_, NULL);
#line 1813 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp15_ = _tmp14_;
#line 1813 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp16_ = g_strconcat (_tmp12_, _tmp15_, NULL);
#line 1813 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_g_free0 (s);
#line 1813 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			s = _tmp16_;
#line 1813 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_g_free0 (_tmp15_);
#line 11633 "Device.c"
		}
#line 1815 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp17_ = self->model;
#line 1815 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp18_ = strlen (_tmp17_);
#line 1815 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp19_ = _tmp18_;
#line 1815 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		if (_tmp19_ > 0) {
#line 11643 "Device.c"
			const gchar* _tmp20_;
			const gchar* _tmp21_;
			gchar* _tmp22_;
			gchar* _tmp23_;
			gchar* _tmp24_;
#line 1816 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp20_ = s;
#line 1816 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp21_ = self->model;
#line 1816 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp22_ = g_strconcat (" ", _tmp21_, NULL);
#line 1816 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp23_ = _tmp22_;
#line 1816 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp24_ = g_strconcat (_tmp20_, _tmp23_, NULL);
#line 1816 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_g_free0 (s);
#line 1816 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			s = _tmp24_;
#line 1816 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_g_free0 (_tmp23_);
#line 11665 "Device.c"
		}
#line 1818 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp25_ = self->size_bytes;
#line 1818 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		if (_tmp25_ > ((guint64) 0)) {
#line 11671 "Device.c"
			const gchar* _tmp26_;
			guint64 _tmp27_;
			gchar* _tmp28_;
			gchar* _tmp29_;
			gchar* _tmp30_;
			gchar* _tmp31_;
			gchar* _tmp32_;
#line 1819 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp26_ = s;
#line 1819 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp27_ = self->size_bytes;
#line 1819 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp28_ = tee_jee_file_system_format_file_size (_tmp27_, FALSE, "", TRUE, 0);
#line 1819 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp29_ = _tmp28_;
#line 1819 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp30_ = g_strdup_printf (" (%s)", _tmp29_);
#line 1819 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp31_ = _tmp30_;
#line 1819 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp32_ = g_strconcat (_tmp26_, _tmp31_, NULL);
#line 1819 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_g_free0 (s);
#line 1819 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			s = _tmp32_;
#line 1819 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_g_free0 (_tmp31_);
#line 1819 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_g_free0 (_tmp29_);
#line 11701 "Device.c"
		}
	} else {
		const gchar* _tmp33_;
		gchar* _tmp34_;
		gchar* _tmp35_;
		gchar* _tmp36_;
		gchar* _tmp37_;
		gchar* _tmp38_;
		gchar* _tmp39_;
		gchar* _tmp40_;
		gchar* _tmp41_;
		gchar* _tmp42_ = NULL;
		const gchar* _tmp43_;
		gint _tmp44_;
		gint _tmp45_;
		const gchar* _tmp51_;
		gchar* _tmp52_;
		gchar* _tmp53_ = NULL;
		const gchar* _tmp54_;
		gint _tmp55_;
		gint _tmp56_;
		const gchar* _tmp60_;
		gchar* _tmp61_;
		guint64 _tmp62_;
#line 1823 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp33_ = s;
#line 1823 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp34_ = device_get_short_name_with_parent (self);
#line 1823 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp35_ = _tmp34_;
#line 1823 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp36_ = _tmp35_;
#line 1823 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp37_ = g_strconcat ("<b>", _tmp36_, NULL);
#line 1823 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp38_ = _tmp37_;
#line 1823 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp39_ = g_strconcat (_tmp38_, "</b>", NULL);
#line 1823 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp40_ = _tmp39_;
#line 1823 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp41_ = g_strconcat (_tmp33_, _tmp40_, NULL);
#line 1823 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (s);
#line 1823 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		s = _tmp41_;
#line 1823 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (_tmp40_);
#line 1823 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (_tmp38_);
#line 1823 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (_tmp36_);
#line 1824 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp43_ = self->label;
#line 1824 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp44_ = strlen (_tmp43_);
#line 1824 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp45_ = _tmp44_;
#line 1824 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		if (_tmp45_ > 0) {
#line 11762 "Device.c"
			const gchar* _tmp46_;
			gchar* _tmp47_;
			gchar* _tmp48_;
			gchar* _tmp49_;
#line 1824 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp46_ = self->label;
#line 1824 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp47_ = g_strconcat (" (", _tmp46_, NULL);
#line 1824 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp48_ = _tmp47_;
#line 1824 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp49_ = g_strconcat (_tmp48_, ")", NULL);
#line 1824 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_g_free0 (_tmp42_);
#line 1824 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp42_ = _tmp49_;
#line 1824 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_g_free0 (_tmp48_);
#line 11781 "Device.c"
		} else {
			gchar* _tmp50_;
#line 1824 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp50_ = g_strdup ("");
#line 1824 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_g_free0 (_tmp42_);
#line 1824 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp42_ = _tmp50_;
#line 11790 "Device.c"
		}
#line 1824 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp51_ = s;
#line 1824 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp52_ = g_strconcat (_tmp51_, _tmp42_, NULL);
#line 1824 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (s);
#line 1824 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		s = _tmp52_;
#line 1825 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp54_ = self->fstype;
#line 1825 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp55_ = strlen (_tmp54_);
#line 1825 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp56_ = _tmp55_;
#line 1825 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		if (_tmp56_ > 0) {
#line 11808 "Device.c"
			const gchar* _tmp57_;
			gchar* _tmp58_;
#line 1825 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp57_ = self->fstype;
#line 1825 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp58_ = g_strconcat (" ~ ", _tmp57_, NULL);
#line 1825 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_g_free0 (_tmp53_);
#line 1825 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp53_ = _tmp58_;
#line 11819 "Device.c"
		} else {
			gchar* _tmp59_;
#line 1825 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp59_ = g_strdup ("");
#line 1825 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_g_free0 (_tmp53_);
#line 1825 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp53_ = _tmp59_;
#line 11828 "Device.c"
		}
#line 1825 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp60_ = s;
#line 1825 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp61_ = g_strconcat (_tmp60_, _tmp53_, NULL);
#line 1825 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (s);
#line 1825 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		s = _tmp61_;
#line 1826 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp62_ = self->size_bytes;
#line 1826 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		if (_tmp62_ > ((guint64) 0)) {
#line 11842 "Device.c"
			const gchar* _tmp63_;
			guint64 _tmp64_;
			gchar* _tmp65_;
			gchar* _tmp66_;
			gchar* _tmp67_;
			gchar* _tmp68_;
			gchar* _tmp69_;
#line 1827 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp63_ = s;
#line 1827 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp64_ = self->size_bytes;
#line 1827 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp65_ = tee_jee_file_system_format_file_size (_tmp64_, FALSE, "", TRUE, 0);
#line 1827 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp66_ = _tmp65_;
#line 1827 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp67_ = g_strdup_printf (" (%s)", _tmp66_);
#line 1827 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp68_ = _tmp67_;
#line 1827 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp69_ = g_strconcat (_tmp63_, _tmp68_, NULL);
#line 1827 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_g_free0 (s);
#line 1827 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			s = _tmp69_;
#line 1827 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_g_free0 (_tmp68_);
#line 1827 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_g_free0 (_tmp66_);
#line 11872 "Device.c"
		}
#line 1810 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (_tmp53_);
#line 1810 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (_tmp42_);
#line 11878 "Device.c"
	}
#line 1831 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp70_ = s;
#line 1831 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp71_ = string_strip (_tmp70_);
#line 1831 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	result = _tmp71_;
#line 1831 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_g_free0 (s);
#line 1831 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	return result;
#line 11890 "Device.c"
}


gchar*
device_description_simple (Device* self)
{
	gchar* result = NULL;
	gchar* _tmp0_;
	gchar* _tmp1_;
	gchar* _tmp2_;
	gchar* _tmp3_;
	gchar* _tmp4_;
	gchar* _tmp5_;
#line 1834 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 1835 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp0_ = device_description_simple_formatted (self);
#line 1835 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp1_ = _tmp0_;
#line 1835 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp2_ = string_replace (_tmp1_, "<b>", "");
#line 1835 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp3_ = _tmp2_;
#line 1835 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp4_ = string_replace (_tmp3_, "</b>", "");
#line 1835 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp5_ = _tmp4_;
#line 1835 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_g_free0 (_tmp3_);
#line 1835 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_g_free0 (_tmp1_);
#line 1835 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	result = _tmp5_;
#line 1835 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	return result;
#line 11926 "Device.c"
}


gchar*
device_description_simple_formatted (Device* self)
{
	gchar* result = NULL;
	gchar* s = NULL;
	gchar* _tmp0_;
	const gchar* _tmp1_;
	const gchar* _tmp76_;
	gchar* _tmp77_;
#line 1838 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 1840 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp0_ = g_strdup ("");
#line 1840 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	s = _tmp0_;
#line 1842 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp1_ = self->type;
#line 1842 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	if (g_strcmp0 (_tmp1_, "disk") == 0) {
#line 11949 "Device.c"
		const gchar* _tmp2_;
		gint _tmp3_;
		gint _tmp4_;
		const gchar* _tmp10_;
		gint _tmp11_;
		gint _tmp12_;
		guint64 _tmp18_;
#line 1843 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp2_ = self->vendor;
#line 1843 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp3_ = strlen (_tmp2_);
#line 1843 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp4_ = _tmp3_;
#line 1843 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		if (_tmp4_ > 0) {
#line 11965 "Device.c"
			const gchar* _tmp5_;
			const gchar* _tmp6_;
			gchar* _tmp7_;
			gchar* _tmp8_;
			gchar* _tmp9_;
#line 1844 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp5_ = s;
#line 1844 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp6_ = self->vendor;
#line 1844 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp7_ = g_strconcat (" ", _tmp6_, NULL);
#line 1844 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp8_ = _tmp7_;
#line 1844 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp9_ = g_strconcat (_tmp5_, _tmp8_, NULL);
#line 1844 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_g_free0 (s);
#line 1844 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			s = _tmp9_;
#line 1844 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_g_free0 (_tmp8_);
#line 11987 "Device.c"
		}
#line 1846 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp10_ = self->model;
#line 1846 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp11_ = strlen (_tmp10_);
#line 1846 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp12_ = _tmp11_;
#line 1846 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		if (_tmp12_ > 0) {
#line 11997 "Device.c"
			const gchar* _tmp13_;
			const gchar* _tmp14_;
			gchar* _tmp15_;
			gchar* _tmp16_;
			gchar* _tmp17_;
#line 1847 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp13_ = s;
#line 1847 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp14_ = self->model;
#line 1847 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp15_ = g_strconcat (" ", _tmp14_, NULL);
#line 1847 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp16_ = _tmp15_;
#line 1847 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp17_ = g_strconcat (_tmp13_, _tmp16_, NULL);
#line 1847 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_g_free0 (s);
#line 1847 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			s = _tmp17_;
#line 1847 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_g_free0 (_tmp16_);
#line 12019 "Device.c"
		}
#line 1849 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp18_ = self->size_bytes;
#line 1849 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		if (_tmp18_ > ((guint64) 0)) {
#line 12025 "Device.c"
			const gchar* _tmp19_;
			gchar* _tmp20_;
			gchar* _tmp21_;
			gint _tmp22_;
			gint _tmp23_;
			gboolean _tmp24_;
#line 1850 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp19_ = s;
#line 1850 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp20_ = string_strip (_tmp19_);
#line 1850 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp21_ = _tmp20_;
#line 1850 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp22_ = strlen (_tmp21_);
#line 1850 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp23_ = _tmp22_;
#line 1850 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp24_ = _tmp23_ == 0;
#line 1850 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_g_free0 (_tmp21_);
#line 1850 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			if (_tmp24_) {
#line 12048 "Device.c"
				const gchar* _tmp25_;
				guint64 _tmp26_;
				gchar* _tmp27_;
				gchar* _tmp28_;
				gchar* _tmp29_;
				gchar* _tmp30_;
				gchar* _tmp31_;
#line 1851 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp25_ = s;
#line 1851 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp26_ = self->size_bytes;
#line 1851 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp27_ = tee_jee_file_system_format_file_size (_tmp26_, FALSE, "", TRUE, 0);
#line 1851 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp28_ = _tmp27_;
#line 1851 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp29_ = g_strdup_printf ("%s Device", _tmp28_);
#line 1851 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp30_ = _tmp29_;
#line 1851 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp31_ = g_strconcat (_tmp25_, _tmp30_, NULL);
#line 1851 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_g_free0 (s);
#line 1851 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				s = _tmp31_;
#line 1851 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_g_free0 (_tmp30_);
#line 1851 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_g_free0 (_tmp28_);
#line 12078 "Device.c"
			} else {
				const gchar* _tmp32_;
				guint64 _tmp33_;
				gchar* _tmp34_;
				gchar* _tmp35_;
				gchar* _tmp36_;
				gchar* _tmp37_;
				gchar* _tmp38_;
#line 1854 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp32_ = s;
#line 1854 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp33_ = self->size_bytes;
#line 1854 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp34_ = tee_jee_file_system_format_file_size (_tmp33_, FALSE, "", TRUE, 0);
#line 1854 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp35_ = _tmp34_;
#line 1854 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp36_ = g_strdup_printf (" (%s)", _tmp35_);
#line 1854 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp37_ = _tmp36_;
#line 1854 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp38_ = g_strconcat (_tmp32_, _tmp37_, NULL);
#line 1854 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_g_free0 (s);
#line 1854 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				s = _tmp38_;
#line 1854 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_g_free0 (_tmp37_);
#line 1854 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_g_free0 (_tmp35_);
#line 12109 "Device.c"
			}
		}
	} else {
		const gchar* _tmp39_;
		gchar* _tmp40_;
		gchar* _tmp41_;
		gchar* _tmp42_;
		gchar* _tmp43_;
		gchar* _tmp44_;
		gchar* _tmp45_;
		gchar* _tmp46_;
		gchar* _tmp47_;
		gchar* _tmp48_ = NULL;
		const gchar* _tmp49_;
		gint _tmp50_;
		gint _tmp51_;
		const gchar* _tmp57_;
		gchar* _tmp58_;
		gchar* _tmp59_ = NULL;
		const gchar* _tmp60_;
		gint _tmp61_;
		gint _tmp62_;
		const gchar* _tmp66_;
		gchar* _tmp67_;
		guint64 _tmp68_;
#line 1859 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp39_ = s;
#line 1859 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp40_ = device_get_short_name_with_parent (self);
#line 1859 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp41_ = _tmp40_;
#line 1859 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp42_ = _tmp41_;
#line 1859 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp43_ = g_strconcat ("<b>", _tmp42_, NULL);
#line 1859 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp44_ = _tmp43_;
#line 1859 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp45_ = g_strconcat (_tmp44_, "</b>", NULL);
#line 1859 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp46_ = _tmp45_;
#line 1859 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp47_ = g_strconcat (_tmp39_, _tmp46_, NULL);
#line 1859 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (s);
#line 1859 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		s = _tmp47_;
#line 1859 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (_tmp46_);
#line 1859 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (_tmp44_);
#line 1859 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (_tmp42_);
#line 1860 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp49_ = self->label;
#line 1860 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp50_ = strlen (_tmp49_);
#line 1860 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp51_ = _tmp50_;
#line 1860 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		if (_tmp51_ > 0) {
#line 12171 "Device.c"
			const gchar* _tmp52_;
			gchar* _tmp53_;
			gchar* _tmp54_;
			gchar* _tmp55_;
#line 1860 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp52_ = self->label;
#line 1860 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp53_ = g_strconcat (" (", _tmp52_, NULL);
#line 1860 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp54_ = _tmp53_;
#line 1860 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp55_ = g_strconcat (_tmp54_, ")", NULL);
#line 1860 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_g_free0 (_tmp48_);
#line 1860 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp48_ = _tmp55_;
#line 1860 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_g_free0 (_tmp54_);
#line 12190 "Device.c"
		} else {
			gchar* _tmp56_;
#line 1860 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp56_ = g_strdup ("");
#line 1860 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_g_free0 (_tmp48_);
#line 1860 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp48_ = _tmp56_;
#line 12199 "Device.c"
		}
#line 1860 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp57_ = s;
#line 1860 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp58_ = g_strconcat (_tmp57_, _tmp48_, NULL);
#line 1860 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (s);
#line 1860 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		s = _tmp58_;
#line 1861 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp60_ = self->fstype;
#line 1861 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp61_ = strlen (_tmp60_);
#line 1861 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp62_ = _tmp61_;
#line 1861 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		if (_tmp62_ > 0) {
#line 12217 "Device.c"
			const gchar* _tmp63_;
			gchar* _tmp64_;
#line 1861 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp63_ = self->fstype;
#line 1861 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp64_ = g_strconcat (" ~ ", _tmp63_, NULL);
#line 1861 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_g_free0 (_tmp59_);
#line 1861 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp59_ = _tmp64_;
#line 12228 "Device.c"
		} else {
			gchar* _tmp65_;
#line 1861 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp65_ = g_strdup ("");
#line 1861 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_g_free0 (_tmp59_);
#line 1861 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp59_ = _tmp65_;
#line 12237 "Device.c"
		}
#line 1861 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp66_ = s;
#line 1861 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp67_ = g_strconcat (_tmp66_, _tmp59_, NULL);
#line 1861 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (s);
#line 1861 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		s = _tmp67_;
#line 1862 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp68_ = self->size_bytes;
#line 1862 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		if (_tmp68_ > ((guint64) 0)) {
#line 12251 "Device.c"
			const gchar* _tmp69_;
			guint64 _tmp70_;
			gchar* _tmp71_;
			gchar* _tmp72_;
			gchar* _tmp73_;
			gchar* _tmp74_;
			gchar* _tmp75_;
#line 1863 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp69_ = s;
#line 1863 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp70_ = self->size_bytes;
#line 1863 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp71_ = tee_jee_file_system_format_file_size (_tmp70_, FALSE, "", TRUE, 0);
#line 1863 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp72_ = _tmp71_;
#line 1863 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp73_ = g_strdup_printf (" (%s)", _tmp72_);
#line 1863 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp74_ = _tmp73_;
#line 1863 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp75_ = g_strconcat (_tmp69_, _tmp74_, NULL);
#line 1863 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_g_free0 (s);
#line 1863 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			s = _tmp75_;
#line 1863 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_g_free0 (_tmp74_);
#line 1863 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_g_free0 (_tmp72_);
#line 12281 "Device.c"
		}
#line 1842 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (_tmp59_);
#line 1842 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (_tmp48_);
#line 12287 "Device.c"
	}
#line 1867 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp76_ = s;
#line 1867 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp77_ = string_strip (_tmp76_);
#line 1867 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	result = _tmp77_;
#line 1867 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_g_free0 (s);
#line 1867 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	return result;
#line 12299 "Device.c"
}


gchar*
device_description_full_free (Device* self)
{
	gchar* result = NULL;
	gchar* s = NULL;
	gchar* _tmp0_;
	const gchar* _tmp1_;
#line 1870 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 1871 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp0_ = g_strdup ("");
#line 1871 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	s = _tmp0_;
#line 1873 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp1_ = self->type;
#line 1873 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	if (g_strcmp0 (_tmp1_, "disk") == 0) {
#line 12320 "Device.c"
		const gchar* _tmp2_;
		const gchar* _tmp3_;
		const gchar* _tmp4_;
		gchar* _tmp5_;
		gchar* _tmp6_;
		gchar* _tmp7_;
		gchar* _tmp8_;
		gchar* _tmp9_;
		const gchar* _tmp10_;
		gint _tmp11_;
		gint _tmp12_;
#line 1874 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp2_ = s;
#line 1874 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp3_ = self->model;
#line 1874 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp4_ = self->vendor;
#line 1874 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp5_ = g_strdup_printf ("%s %s", _tmp3_, _tmp4_);
#line 1874 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp6_ = _tmp5_;
#line 1874 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp7_ = string_strip (_tmp6_);
#line 1874 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp8_ = _tmp7_;
#line 1874 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp9_ = g_strconcat (_tmp2_, _tmp8_, NULL);
#line 1874 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (s);
#line 1874 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		s = _tmp9_;
#line 1874 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (_tmp8_);
#line 1874 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (_tmp6_);
#line 1875 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp10_ = s;
#line 1875 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp11_ = strlen (_tmp10_);
#line 1875 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp12_ = _tmp11_;
#line 1875 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		if (_tmp12_ == 0) {
#line 12364 "Device.c"
			guint64 _tmp13_;
			gchar* _tmp14_;
			gchar* _tmp15_;
			gchar* _tmp16_;
#line 1876 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp13_ = self->size_bytes;
#line 1876 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp14_ = tee_jee_file_system_format_file_size (_tmp13_, FALSE, "", TRUE, 1);
#line 1876 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp15_ = _tmp14_;
#line 1876 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp16_ = g_strdup_printf ("%s Disk", _tmp15_);
#line 1876 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_g_free0 (s);
#line 1876 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			s = _tmp16_;
#line 1876 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_g_free0 (_tmp15_);
#line 12383 "Device.c"
		} else {
			const gchar* _tmp17_;
			guint64 _tmp18_;
			gchar* _tmp19_;
			gchar* _tmp20_;
			gchar* _tmp21_;
			gchar* _tmp22_;
			gchar* _tmp23_;
#line 1879 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp17_ = s;
#line 1879 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp18_ = self->size_bytes;
#line 1879 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp19_ = tee_jee_file_system_format_file_size (_tmp18_, FALSE, "", TRUE, 1);
#line 1879 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp20_ = _tmp19_;
#line 1879 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp21_ = g_strdup_printf (" (%s Disk)", _tmp20_);
#line 1879 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp22_ = _tmp21_;
#line 1879 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp23_ = g_strconcat (_tmp17_, _tmp22_, NULL);
#line 1879 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_g_free0 (s);
#line 1879 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			s = _tmp23_;
#line 1879 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_g_free0 (_tmp22_);
#line 1879 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_g_free0 (_tmp20_);
#line 12414 "Device.c"
		}
	} else {
		const gchar* _tmp24_;
		const gchar* _tmp25_;
		gchar* _tmp26_;
		const gchar* _tmp27_;
		gint _tmp28_;
		gint _tmp29_;
		const gchar* _tmp35_;
		gint _tmp36_;
		gint _tmp37_;
		guint64 _tmp43_;
		guint64 _tmp44_;
#line 1883 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp24_ = s;
#line 1883 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp25_ = self->kname;
#line 1883 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp26_ = g_strconcat (_tmp24_, _tmp25_, NULL);
#line 1883 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (s);
#line 1883 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		s = _tmp26_;
#line 1884 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp27_ = self->label;
#line 1884 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp28_ = strlen (_tmp27_);
#line 1884 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp29_ = _tmp28_;
#line 1884 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		if (_tmp29_ > 0) {
#line 12446 "Device.c"
			const gchar* _tmp30_;
			const gchar* _tmp31_;
			gchar* _tmp32_;
			gchar* _tmp33_;
			gchar* _tmp34_;
#line 1885 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp30_ = s;
#line 1885 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp31_ = self->label;
#line 1885 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp32_ = g_strdup_printf (" (%s)", _tmp31_);
#line 1885 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp33_ = _tmp32_;
#line 1885 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp34_ = g_strconcat (_tmp30_, _tmp33_, NULL);
#line 1885 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_g_free0 (s);
#line 1885 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			s = _tmp34_;
#line 1885 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_g_free0 (_tmp33_);
#line 12468 "Device.c"
		}
#line 1887 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp35_ = self->fstype;
#line 1887 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp36_ = strlen (_tmp35_);
#line 1887 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp37_ = _tmp36_;
#line 1887 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		if (_tmp37_ > 0) {
#line 12478 "Device.c"
			const gchar* _tmp38_;
			const gchar* _tmp39_;
			gchar* _tmp40_;
			gchar* _tmp41_;
			gchar* _tmp42_;
#line 1888 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp38_ = s;
#line 1888 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp39_ = self->fstype;
#line 1888 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp40_ = g_strdup_printf (" ~ %s", _tmp39_);
#line 1888 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp41_ = _tmp40_;
#line 1888 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp42_ = g_strconcat (_tmp38_, _tmp41_, NULL);
#line 1888 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_g_free0 (s);
#line 1888 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			s = _tmp42_;
#line 1888 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_g_free0 (_tmp41_);
#line 12500 "Device.c"
		}
#line 1890 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp43_ = device_get_free_bytes (self);
#line 1890 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp44_ = _tmp43_;
#line 1890 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		if (_tmp44_ > ((guint64) 0)) {
#line 12508 "Device.c"
			const gchar* _tmp45_;
			gchar* _tmp46_;
			gchar* _tmp47_;
			gchar* _tmp48_;
			gchar* _tmp49_;
			gchar* _tmp50_;
#line 1891 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp45_ = s;
#line 1891 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp46_ = device_description_free (self);
#line 1891 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp47_ = _tmp46_;
#line 1891 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp48_ = g_strdup_printf (" ~ %s", _tmp47_);
#line 1891 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp49_ = _tmp48_;
#line 1891 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp50_ = g_strconcat (_tmp45_, _tmp49_, NULL);
#line 1891 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_g_free0 (s);
#line 1891 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			s = _tmp50_;
#line 1891 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_g_free0 (_tmp49_);
#line 1891 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_g_free0 (_tmp47_);
#line 12535 "Device.c"
		}
	}
#line 1895 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	result = s;
#line 1895 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	return result;
#line 12542 "Device.c"
}


gchar*
device_description_full (Device* self)
{
	gchar* result = NULL;
	gchar* s = NULL;
	gchar* _tmp0_;
	const gchar* _tmp1_;
	const gchar* _tmp2_;
	gchar* _tmp3_;
	gchar* _tmp4_ = NULL;
	const gchar* _tmp5_;
	gint _tmp6_;
	gint _tmp7_;
	const gchar* _tmp13_;
	gchar* _tmp14_;
	gchar* _tmp15_ = NULL;
	const gchar* _tmp16_;
	gint _tmp17_;
	gint _tmp18_;
	const gchar* _tmp22_;
	gchar* _tmp23_;
	gchar* _tmp24_ = NULL;
	const gchar* _tmp25_;
	gint _tmp26_;
	gint _tmp27_;
	const gchar* _tmp31_;
	gchar* _tmp32_;
	gchar* _tmp33_ = NULL;
	gchar* _tmp34_;
	gchar* _tmp35_;
	gchar* _tmp36_;
	gint _tmp37_;
	gint _tmp38_;
	gboolean _tmp39_;
	const gchar* _tmp59_;
	gchar* _tmp60_;
#line 1898 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 1899 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp0_ = g_strdup ("");
#line 1899 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	s = _tmp0_;
#line 1900 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp1_ = s;
#line 1900 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp2_ = self->device;
#line 1900 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp3_ = g_strconcat (_tmp1_, _tmp2_, NULL);
#line 1900 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_g_free0 (s);
#line 1900 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	s = _tmp3_;
#line 1901 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp5_ = self->label;
#line 1901 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp6_ = strlen (_tmp5_);
#line 1901 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp7_ = _tmp6_;
#line 1901 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	if (_tmp7_ > 0) {
#line 12606 "Device.c"
		const gchar* _tmp8_;
		gchar* _tmp9_;
		gchar* _tmp10_;
		gchar* _tmp11_;
#line 1901 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp8_ = self->label;
#line 1901 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp9_ = g_strconcat (" (", _tmp8_, NULL);
#line 1901 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp10_ = _tmp9_;
#line 1901 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp11_ = g_strconcat (_tmp10_, ")", NULL);
#line 1901 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (_tmp4_);
#line 1901 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp4_ = _tmp11_;
#line 1901 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (_tmp10_);
#line 12625 "Device.c"
	} else {
		gchar* _tmp12_;
#line 1901 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp12_ = g_strdup ("");
#line 1901 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (_tmp4_);
#line 1901 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp4_ = _tmp12_;
#line 12634 "Device.c"
	}
#line 1901 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp13_ = s;
#line 1901 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp14_ = g_strconcat (_tmp13_, _tmp4_, NULL);
#line 1901 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_g_free0 (s);
#line 1901 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	s = _tmp14_;
#line 1902 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp16_ = self->uuid;
#line 1902 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp17_ = strlen (_tmp16_);
#line 1902 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp18_ = _tmp17_;
#line 1902 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	if (_tmp18_ > 0) {
#line 12652 "Device.c"
		const gchar* _tmp19_;
		gchar* _tmp20_;
#line 1902 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp19_ = self->uuid;
#line 1902 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp20_ = g_strconcat (" ~ ", _tmp19_, NULL);
#line 1902 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (_tmp15_);
#line 1902 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp15_ = _tmp20_;
#line 12663 "Device.c"
	} else {
		gchar* _tmp21_;
#line 1902 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp21_ = g_strdup ("");
#line 1902 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (_tmp15_);
#line 1902 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp15_ = _tmp21_;
#line 12672 "Device.c"
	}
#line 1902 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp22_ = s;
#line 1902 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp23_ = g_strconcat (_tmp22_, _tmp15_, NULL);
#line 1902 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_g_free0 (s);
#line 1902 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	s = _tmp23_;
#line 1903 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp25_ = self->fstype;
#line 1903 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp26_ = strlen (_tmp25_);
#line 1903 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp27_ = _tmp26_;
#line 1903 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	if (_tmp27_ > 0) {
#line 12690 "Device.c"
		const gchar* _tmp28_;
		gchar* _tmp29_;
#line 1903 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp28_ = self->fstype;
#line 1903 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp29_ = g_strconcat (" ~ ", _tmp28_, NULL);
#line 1903 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (_tmp24_);
#line 1903 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp24_ = _tmp29_;
#line 12701 "Device.c"
	} else {
		gchar* _tmp30_;
#line 1903 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp30_ = g_strdup ("");
#line 1903 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (_tmp24_);
#line 1903 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp24_ = _tmp30_;
#line 12710 "Device.c"
	}
#line 1903 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp31_ = s;
#line 1903 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp32_ = g_strconcat (_tmp31_, _tmp24_, NULL);
#line 1903 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_g_free0 (s);
#line 1903 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	s = _tmp32_;
#line 1904 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp34_ = device_get_used (self);
#line 1904 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp35_ = _tmp34_;
#line 1904 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp36_ = _tmp35_;
#line 1904 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp37_ = strlen (_tmp36_);
#line 1904 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp38_ = _tmp37_;
#line 1904 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp39_ = _tmp38_ > 0;
#line 1904 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_g_free0 (_tmp36_);
#line 1904 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	if (_tmp39_) {
#line 12736 "Device.c"
		gchar* _tmp40_;
		gchar* _tmp41_;
		gchar* _tmp42_;
		gchar* _tmp43_;
		gchar* _tmp44_;
		gchar* _tmp45_;
		gchar* _tmp46_;
		gchar* _tmp47_;
		gchar* _tmp48_;
		gchar* _tmp49_;
		gchar* _tmp50_;
		gchar* _tmp51_;
		gchar* _tmp52_;
		gchar* _tmp53_;
		const gchar* _tmp54_;
		gchar* _tmp55_;
		gchar* _tmp56_;
		gchar* _tmp57_;
#line 1904 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp40_ = device_get_used (self);
#line 1904 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp41_ = _tmp40_;
#line 1904 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp42_ = _tmp41_;
#line 1904 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp43_ = g_strconcat (" ~ ", _tmp42_, NULL);
#line 1904 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp44_ = _tmp43_;
#line 1904 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp45_ = g_strconcat (_tmp44_, " / ", NULL);
#line 1904 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp46_ = _tmp45_;
#line 1904 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp47_ = device_get_size (self);
#line 1904 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp48_ = _tmp47_;
#line 1904 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp49_ = _tmp48_;
#line 1904 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp50_ = g_strconcat (_tmp46_, _tmp49_, NULL);
#line 1904 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp51_ = _tmp50_;
#line 1904 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp52_ = g_strconcat (_tmp51_, " GB used (", NULL);
#line 1904 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp53_ = _tmp52_;
#line 1904 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp54_ = self->used_percent;
#line 1904 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp55_ = g_strconcat (_tmp53_, _tmp54_, NULL);
#line 1904 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp56_ = _tmp55_;
#line 1904 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp57_ = g_strconcat (_tmp56_, ")", NULL);
#line 1904 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (_tmp33_);
#line 1904 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp33_ = _tmp57_;
#line 1904 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (_tmp56_);
#line 1904 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (_tmp53_);
#line 1904 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (_tmp51_);
#line 1904 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (_tmp49_);
#line 1904 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (_tmp46_);
#line 1904 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (_tmp44_);
#line 1904 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (_tmp42_);
#line 12809 "Device.c"
	} else {
		gchar* _tmp58_;
#line 1904 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp58_ = g_strdup ("");
#line 1904 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (_tmp33_);
#line 1904 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp33_ = _tmp58_;
#line 12818 "Device.c"
	}
#line 1904 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp59_ = s;
#line 1904 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp60_ = g_strconcat (_tmp59_, _tmp33_, NULL);
#line 1904 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_g_free0 (s);
#line 1904 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	s = _tmp60_;
#line 1906 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	result = s;
#line 1906 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_g_free0 (_tmp33_);
#line 1906 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_g_free0 (_tmp24_);
#line 1906 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_g_free0 (_tmp15_);
#line 1906 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_g_free0 (_tmp4_);
#line 1906 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	return result;
#line 12840 "Device.c"
}


gchar*
device_description_usage (Device* self)
{
	gchar* result = NULL;
	gchar* _tmp0_;
	gchar* _tmp1_;
	gchar* _tmp2_;
	gint _tmp3_;
	gint _tmp4_;
	gboolean _tmp5_;
#line 1909 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 1910 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp0_ = device_get_used (self);
#line 1910 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp1_ = _tmp0_;
#line 1910 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp2_ = _tmp1_;
#line 1910 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp3_ = strlen (_tmp2_);
#line 1910 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp4_ = _tmp3_;
#line 1910 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp5_ = _tmp4_ > 0;
#line 1910 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_g_free0 (_tmp2_);
#line 1910 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	if (_tmp5_) {
#line 12872 "Device.c"
		gchar* _tmp6_;
		gchar* _tmp7_;
		gchar* _tmp8_;
		gchar* _tmp9_;
		gchar* _tmp10_;
		gchar* _tmp11_;
		gchar* _tmp12_;
		gchar* _tmp13_;
		gchar* _tmp14_;
		gchar* _tmp15_;
		gchar* _tmp16_;
		gchar* _tmp17_;
		const gchar* _tmp18_;
		gchar* _tmp19_;
		gchar* _tmp20_;
		gchar* _tmp21_;
		gchar* _tmp22_;
#line 1911 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp6_ = device_get_used (self);
#line 1911 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp7_ = _tmp6_;
#line 1911 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp8_ = _tmp7_;
#line 1911 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp9_ = g_strconcat (_tmp8_, " / ", NULL);
#line 1911 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp10_ = _tmp9_;
#line 1911 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp11_ = device_get_size (self);
#line 1911 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp12_ = _tmp11_;
#line 1911 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp13_ = _tmp12_;
#line 1911 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp14_ = g_strconcat (_tmp10_, _tmp13_, NULL);
#line 1911 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp15_ = _tmp14_;
#line 1911 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp16_ = g_strconcat (_tmp15_, " used (", NULL);
#line 1911 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp17_ = _tmp16_;
#line 1911 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp18_ = self->used_percent;
#line 1911 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp19_ = g_strconcat (_tmp17_, _tmp18_, NULL);
#line 1911 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp20_ = _tmp19_;
#line 1911 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp21_ = g_strconcat (_tmp20_, ")", NULL);
#line 1911 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp22_ = _tmp21_;
#line 1911 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (_tmp20_);
#line 1911 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (_tmp17_);
#line 1911 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (_tmp15_);
#line 1911 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (_tmp13_);
#line 1911 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (_tmp10_);
#line 1911 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (_tmp8_);
#line 1911 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		result = _tmp22_;
#line 1911 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		return result;
#line 12940 "Device.c"
	} else {
		gchar* _tmp23_;
#line 1914 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp23_ = g_strdup ("");
#line 1914 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		result = _tmp23_;
#line 1914 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		return result;
#line 12949 "Device.c"
	}
}


gchar*
device_description_free (Device* self)
{
	gchar* result = NULL;
	gchar* _tmp0_;
	gchar* _tmp1_;
	gchar* _tmp2_;
	gint _tmp3_;
	gint _tmp4_;
	gboolean _tmp5_;
#line 1918 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 1919 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp0_ = device_get_used (self);
#line 1919 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp1_ = _tmp0_;
#line 1919 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp2_ = _tmp1_;
#line 1919 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp3_ = strlen (_tmp2_);
#line 1919 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp4_ = _tmp3_;
#line 1919 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp5_ = _tmp4_ > 0;
#line 1919 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_g_free0 (_tmp2_);
#line 1919 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	if (_tmp5_) {
#line 12982 "Device.c"
		guint64 _tmp6_;
		guint64 _tmp7_;
		gchar* _tmp8_;
		gchar* _tmp9_;
		gchar* _tmp10_;
		gchar* _tmp11_;
		guint64 _tmp12_;
		gchar* _tmp13_;
		gchar* _tmp14_;
		gchar* _tmp15_;
		gchar* _tmp16_;
		gchar* _tmp17_;
		gchar* _tmp18_;
#line 1920 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp6_ = device_get_free_bytes (self);
#line 1920 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp7_ = _tmp6_;
#line 1920 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp8_ = tee_jee_file_system_format_file_size (_tmp7_, FALSE, "g", FALSE, 1);
#line 1920 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp9_ = _tmp8_;
#line 1920 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp10_ = g_strconcat (_tmp9_, " / ", NULL);
#line 1920 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp11_ = _tmp10_;
#line 1920 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp12_ = self->size_bytes;
#line 1920 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp13_ = tee_jee_file_system_format_file_size (_tmp12_, FALSE, "g", TRUE, 1);
#line 1920 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp14_ = _tmp13_;
#line 1920 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp15_ = g_strconcat (_tmp11_, _tmp14_, NULL);
#line 1920 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp16_ = _tmp15_;
#line 1920 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp17_ = g_strconcat (_tmp16_, " free", NULL);
#line 1920 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp18_ = _tmp17_;
#line 1920 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (_tmp16_);
#line 1920 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (_tmp14_);
#line 1920 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (_tmp11_);
#line 1920 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (_tmp9_);
#line 1920 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		result = _tmp18_;
#line 1920 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		return result;
#line 13034 "Device.c"
	} else {
		gchar* _tmp19_;
#line 1924 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp19_ = g_strdup ("");
#line 1924 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		result = _tmp19_;
#line 1924 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		return result;
#line 13043 "Device.c"
	}
}


gchar*
device_tooltip_text (Device* self)
{
	gchar* result = NULL;
	gchar* tt = NULL;
	gchar* _tmp0_;
	const gchar* _tmp1_;
	const gchar* _tmp98_;
	gchar* _tmp99_;
#line 1928 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 1929 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp0_ = g_strdup ("");
#line 1929 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	tt = _tmp0_;
#line 1931 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp1_ = self->type;
#line 1931 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	if (g_strcmp0 (_tmp1_, "disk") == 0) {
#line 13067 "Device.c"
		const gchar* _tmp2_;
		const gchar* _tmp3_;
		gchar* _tmp4_;
		gchar* _tmp5_;
		gchar* _tmp6_;
		const gchar* _tmp7_;
		const gchar* _tmp8_;
		gchar* _tmp9_;
		gchar* _tmp10_;
		gchar* _tmp11_;
		const gchar* _tmp12_;
		const gchar* _tmp13_;
		gchar* _tmp14_;
		gchar* _tmp15_;
		gchar* _tmp16_;
		const gchar* _tmp17_;
		const gchar* _tmp18_;
		gchar* _tmp19_;
		gchar* _tmp20_;
		gchar* _tmp21_;
		const gchar* _tmp22_;
		const gchar* _tmp23_;
		gchar* _tmp24_;
		gchar* _tmp25_;
		gchar* _tmp26_;
		gchar* _tmp27_ = NULL;
		guint64 _tmp28_;
		const gchar* _tmp32_;
		gchar* _tmp33_;
		gchar* _tmp34_;
		gchar* _tmp35_;
#line 1932 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp2_ = tt;
#line 1932 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp3_ = self->device;
#line 1932 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp4_ = g_strdup_printf ("%-15s: %s\n", _ ("Device"), _tmp3_);
#line 1932 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp5_ = _tmp4_;
#line 1932 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp6_ = g_strconcat (_tmp2_, _tmp5_, NULL);
#line 1932 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (tt);
#line 1932 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		tt = _tmp6_;
#line 1932 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (_tmp5_);
#line 1933 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp7_ = tt;
#line 1933 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp8_ = self->vendor;
#line 1933 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp9_ = g_strdup_printf ("%-15s: %s\n", _ ("Vendor"), _tmp8_);
#line 1933 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp10_ = _tmp9_;
#line 1933 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp11_ = g_strconcat (_tmp7_, _tmp10_, NULL);
#line 1933 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (tt);
#line 1933 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		tt = _tmp11_;
#line 1933 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (_tmp10_);
#line 1934 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp12_ = tt;
#line 1934 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp13_ = self->model;
#line 1934 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp14_ = g_strdup_printf ("%-15s: %s\n", _ ("Model"), _tmp13_);
#line 1934 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp15_ = _tmp14_;
#line 1934 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp16_ = g_strconcat (_tmp12_, _tmp15_, NULL);
#line 1934 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (tt);
#line 1934 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		tt = _tmp16_;
#line 1934 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (_tmp15_);
#line 1935 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp17_ = tt;
#line 1935 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp18_ = self->serial;
#line 1935 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp19_ = g_strdup_printf ("%-15s: %s\n", _ ("Serial"), _tmp18_);
#line 1935 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp20_ = _tmp19_;
#line 1935 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp21_ = g_strconcat (_tmp17_, _tmp20_, NULL);
#line 1935 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (tt);
#line 1935 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		tt = _tmp21_;
#line 1935 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (_tmp20_);
#line 1936 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp22_ = tt;
#line 1936 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp23_ = self->revision;
#line 1936 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp24_ = g_strdup_printf ("%-15s: %s\n", _ ("Revision"), _tmp23_);
#line 1936 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp25_ = _tmp24_;
#line 1936 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp26_ = g_strconcat (_tmp22_, _tmp25_, NULL);
#line 1936 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (tt);
#line 1936 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		tt = _tmp26_;
#line 1936 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (_tmp25_);
#line 1939 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp28_ = self->size_bytes;
#line 1939 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		if (_tmp28_ > ((guint64) 0)) {
#line 13183 "Device.c"
			guint64 _tmp29_;
			gchar* _tmp30_;
#line 1939 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp29_ = self->size_bytes;
#line 1939 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp30_ = tee_jee_file_system_format_file_size (_tmp29_, FALSE, "", TRUE, 1);
#line 1939 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_g_free0 (_tmp27_);
#line 1939 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp27_ = _tmp30_;
#line 13194 "Device.c"
		} else {
			gchar* _tmp31_;
#line 1939 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp31_ = g_strdup ("N/A");
#line 1939 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_g_free0 (_tmp27_);
#line 1939 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp27_ = _tmp31_;
#line 13203 "Device.c"
		}
#line 1938 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp32_ = tt;
#line 1938 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp33_ = g_strdup_printf ("%-15s: %s\n", _ ("Size"), _tmp27_);
#line 1938 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp34_ = _tmp33_;
#line 1938 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp35_ = g_strconcat (_tmp32_, _tmp34_, NULL);
#line 1938 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (tt);
#line 1938 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		tt = _tmp35_;
#line 1938 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (_tmp34_);
#line 1931 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (_tmp27_);
#line 13221 "Device.c"
	} else {
		gchar* _tmp36_ = NULL;
		const gchar* _tmp37_;
		gint _tmp38_;
		gint _tmp39_;
		const gchar* _tmp45_;
		gchar* _tmp46_;
		gchar* _tmp47_;
		gchar* _tmp48_;
		const gchar* _tmp55_;
		const gchar* _tmp56_;
		gchar* _tmp57_;
		gchar* _tmp58_;
		gchar* _tmp59_;
		const gchar* _tmp60_;
		const gchar* _tmp61_;
		gchar* _tmp62_;
		gchar* _tmp63_;
		gchar* _tmp64_;
		const gchar* _tmp65_;
		const gchar* _tmp66_;
		gchar* _tmp67_;
		gchar* _tmp68_;
		gchar* _tmp69_;
		const gchar* _tmp70_;
		const gchar* _tmp71_;
		gchar* _tmp72_;
		gchar* _tmp73_;
		gchar* _tmp74_;
		gchar* _tmp75_ = NULL;
		guint64 _tmp76_;
		const gchar* _tmp80_;
		gchar* _tmp81_;
		gchar* _tmp82_;
		gchar* _tmp83_;
		gchar* _tmp84_ = NULL;
		guint64 _tmp85_;
		const gchar* _tmp89_;
		gchar* _tmp90_;
		gchar* _tmp91_;
		gchar* _tmp92_;
		const gchar* _tmp93_;
		const gchar* _tmp94_;
		gchar* _tmp95_;
		gchar* _tmp96_;
		gchar* _tmp97_;
#line 1943 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp37_ = self->mapped_name;
#line 1943 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp38_ = strlen (_tmp37_);
#line 1943 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp39_ = _tmp38_;
#line 1943 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		if (_tmp39_ > 0) {
#line 13276 "Device.c"
			const gchar* _tmp40_;
			const gchar* _tmp41_;
			gchar* _tmp42_;
#line 1943 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp40_ = self->device;
#line 1943 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp41_ = self->mapped_name;
#line 1943 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp42_ = g_strdup_printf ("%s → %s", _tmp40_, _tmp41_);
#line 1943 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_g_free0 (_tmp36_);
#line 1943 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp36_ = _tmp42_;
#line 13290 "Device.c"
		} else {
			const gchar* _tmp43_;
			gchar* _tmp44_;
#line 1943 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp43_ = self->device;
#line 1943 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp44_ = g_strdup (_tmp43_);
#line 1943 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_g_free0 (_tmp36_);
#line 1943 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp36_ = _tmp44_;
#line 13302 "Device.c"
		}
#line 1942 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp45_ = tt;
#line 1942 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp46_ = g_strdup_printf ("%-15s: %s\n", _ ("Device"), _tmp36_);
#line 1942 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp47_ = _tmp46_;
#line 1942 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp48_ = g_strconcat (_tmp45_, _tmp47_, NULL);
#line 1942 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (tt);
#line 1942 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		tt = _tmp48_;
#line 1942 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (_tmp47_);
#line 1945 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		if (device_has_parent (self)) {
#line 13320 "Device.c"
			const gchar* _tmp49_;
			Device* _tmp50_;
			const gchar* _tmp51_;
			gchar* _tmp52_;
			gchar* _tmp53_;
			gchar* _tmp54_;
#line 1946 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp49_ = tt;
#line 1946 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp50_ = self->parent;
#line 1946 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp51_ = _tmp50_->device;
#line 1946 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp52_ = g_strdup_printf ("%-15s: %s\n", _ ("Parent Device"), _tmp51_);
#line 1946 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp53_ = _tmp52_;
#line 1946 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp54_ = g_strconcat (_tmp49_, _tmp53_, NULL);
#line 1946 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_g_free0 (tt);
#line 1946 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			tt = _tmp54_;
#line 1946 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_g_free0 (_tmp53_);
#line 13345 "Device.c"
		}
#line 1948 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp55_ = tt;
#line 1948 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp56_ = self->uuid;
#line 1948 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp57_ = g_strdup_printf ("%-15s: %s\n", _ ("UUID"), _tmp56_);
#line 1948 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp58_ = _tmp57_;
#line 1948 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp59_ = g_strconcat (_tmp55_, _tmp58_, NULL);
#line 1948 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (tt);
#line 1948 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		tt = _tmp59_;
#line 1948 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (_tmp58_);
#line 1949 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp60_ = tt;
#line 1949 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp61_ = self->type;
#line 1949 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp62_ = g_strdup_printf ("%-15s: %s\n", _ ("Type"), _tmp61_);
#line 1949 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp63_ = _tmp62_;
#line 1949 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp64_ = g_strconcat (_tmp60_, _tmp63_, NULL);
#line 1949 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (tt);
#line 1949 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		tt = _tmp64_;
#line 1949 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (_tmp63_);
#line 1950 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp65_ = tt;
#line 1950 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp66_ = self->fstype;
#line 1950 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp67_ = g_strdup_printf ("%-15s: %s\n", _ ("Filesystem"), _tmp66_);
#line 1950 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp68_ = _tmp67_;
#line 1950 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp69_ = g_strconcat (_tmp65_, _tmp68_, NULL);
#line 1950 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (tt);
#line 1950 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		tt = _tmp69_;
#line 1950 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (_tmp68_);
#line 1951 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp70_ = tt;
#line 1951 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp71_ = self->label;
#line 1951 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp72_ = g_strdup_printf ("%-15s: %s\n", _ ("Label"), _tmp71_);
#line 1951 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp73_ = _tmp72_;
#line 1951 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp74_ = g_strconcat (_tmp70_, _tmp73_, NULL);
#line 1951 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (tt);
#line 1951 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		tt = _tmp74_;
#line 1951 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (_tmp73_);
#line 1954 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp76_ = self->size_bytes;
#line 1954 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		if (_tmp76_ > ((guint64) 0)) {
#line 13415 "Device.c"
			guint64 _tmp77_;
			gchar* _tmp78_;
#line 1954 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp77_ = self->size_bytes;
#line 1954 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp78_ = tee_jee_file_system_format_file_size (_tmp77_, FALSE, "", TRUE, 1);
#line 1954 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_g_free0 (_tmp75_);
#line 1954 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp75_ = _tmp78_;
#line 13426 "Device.c"
		} else {
			gchar* _tmp79_;
#line 1954 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp79_ = g_strdup ("N/A");
#line 1954 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_g_free0 (_tmp75_);
#line 1954 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp75_ = _tmp79_;
#line 13435 "Device.c"
		}
#line 1953 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp80_ = tt;
#line 1953 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp81_ = g_strdup_printf ("%-15s: %s\n", _ ("Size"), _tmp75_);
#line 1953 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp82_ = _tmp81_;
#line 1953 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp83_ = g_strconcat (_tmp80_, _tmp82_, NULL);
#line 1953 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (tt);
#line 1953 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		tt = _tmp83_;
#line 1953 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (_tmp82_);
#line 1957 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp85_ = self->used_bytes;
#line 1957 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		if (_tmp85_ > ((guint64) 0)) {
#line 13455 "Device.c"
			guint64 _tmp86_;
			gchar* _tmp87_;
#line 1957 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp86_ = self->used_bytes;
#line 1957 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp87_ = tee_jee_file_system_format_file_size (_tmp86_, FALSE, "", TRUE, 1);
#line 1957 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_g_free0 (_tmp84_);
#line 1957 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp84_ = _tmp87_;
#line 13466 "Device.c"
		} else {
			gchar* _tmp88_;
#line 1957 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp88_ = g_strdup ("N/A");
#line 1957 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_g_free0 (_tmp84_);
#line 1957 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp84_ = _tmp88_;
#line 13475 "Device.c"
		}
#line 1956 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp89_ = tt;
#line 1956 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp90_ = g_strdup_printf ("%-15s: %s\n", _ ("Used"), _tmp84_);
#line 1956 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp91_ = _tmp90_;
#line 1956 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp92_ = g_strconcat (_tmp89_, _tmp91_, NULL);
#line 1956 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (tt);
#line 1956 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		tt = _tmp92_;
#line 1956 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (_tmp91_);
#line 1959 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp93_ = tt;
#line 1959 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp94_ = self->dist_info;
#line 1959 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp95_ = g_strdup_printf ("%-15s: %s\n", _ ("System"), _tmp94_);
#line 1959 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp96_ = _tmp95_;
#line 1959 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp97_ = g_strconcat (_tmp93_, _tmp96_, NULL);
#line 1959 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (tt);
#line 1959 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		tt = _tmp97_;
#line 1959 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (_tmp96_);
#line 1931 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (_tmp84_);
#line 1931 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (_tmp75_);
#line 1931 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (_tmp36_);
#line 13513 "Device.c"
	}
#line 1962 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp98_ = tt;
#line 1962 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp99_ = g_strdup_printf ("<tt>%s</tt>", _tmp98_);
#line 1962 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	result = _tmp99_;
#line 1962 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_g_free0 (tt);
#line 1962 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	return result;
#line 13525 "Device.c"
}


void
device_test_all (void)
{
	GeeArrayList* list = NULL;
	GeeArrayList* _tmp0_;
	GeeArrayList* _tmp1_;
	GeeArrayList* _tmp2_;
	GeeArrayList* _tmp3_;
	GeeArrayList* _tmp4_;
	GeeArrayList* _tmp5_;
	GeeArrayList* _tmp6_;
	GeeArrayList* _tmp7_;
	GeeArrayList* _tmp8_;
	GeeArrayList* _tmp9_;
#line 1969 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp0_ = device_get_block_devices_using_lsblk ("");
#line 1969 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	list = _tmp0_;
#line 1970 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	tee_jee_logging_log_msg ("\n> get_block_devices_using_lsblk()", FALSE);
#line 1971 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp1_ = list;
#line 1971 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	device_print_device_list (_tmp1_);
#line 1973 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	tee_jee_logging_log_msg ("", FALSE);
#line 1979 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp2_ = device_get_mounted_filesystems_using_mtab ();
#line 1979 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_g_object_unref0 (list);
#line 1979 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	list = _tmp2_;
#line 1980 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	tee_jee_logging_log_msg ("\n> get_mounted_filesystems_using_mtab()", FALSE);
#line 1981 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp3_ = list;
#line 1981 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	device_print_device_mounts (_tmp3_);
#line 1983 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	tee_jee_logging_log_msg ("", FALSE);
#line 1985 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp4_ = device_get_disk_space_using_df ("");
#line 1985 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_g_object_unref0 (list);
#line 1985 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	list = _tmp4_;
#line 1986 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	tee_jee_logging_log_msg ("\n> get_disk_space_using_df()", FALSE);
#line 1987 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp5_ = list;
#line 1987 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	device_print_device_disk_space (_tmp5_);
#line 1989 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	tee_jee_logging_log_msg ("", FALSE);
#line 1991 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp6_ = device_get_filesystems (TRUE, TRUE);
#line 1991 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_g_object_unref0 (list);
#line 1991 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	list = _tmp6_;
#line 1992 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	tee_jee_logging_log_msg ("\n> get_filesystems()", FALSE);
#line 1993 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp7_ = list;
#line 1993 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	device_print_device_list (_tmp7_);
#line 1994 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp8_ = list;
#line 1994 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	device_print_device_mounts (_tmp8_);
#line 1995 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp9_ = list;
#line 1995 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	device_print_device_disk_space (_tmp9_);
#line 1997 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	tee_jee_logging_log_msg ("", FALSE);
#line 1967 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_g_object_unref0 (list);
#line 13607 "Device.c"
}


void
device_print_device_list (GeeArrayList* list)
{
	gchar* _tmp0_;
	gchar* _tmp1_;
	gchar* _tmp2_;
	gchar* _tmp3_;
#line 2000 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	g_return_if_fail (list != NULL);
#line 2002 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	tee_jee_logging_log_debug ("");
#line 2004 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp0_ = g_strdup_printf ("%-12s ,%-5s ,%-5s ,%-36s ,%s", "device", "pkname", "kname", "uuid", "mapped_name");
#line 2004 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp1_ = _tmp0_;
#line 2004 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	tee_jee_logging_log_debug (_tmp1_);
#line 2004 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_g_free0 (_tmp1_);
#line 2011 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp2_ = g_strnfill ((gsize) 100, '-');
#line 2011 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp3_ = _tmp2_;
#line 2011 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	tee_jee_logging_log_debug (_tmp3_);
#line 2011 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_g_free0 (_tmp3_);
#line 13638 "Device.c"
	{
		GeeArrayList* _dev_list = NULL;
		GeeArrayList* _tmp4_;
		gint _dev_size = 0;
		GeeArrayList* _tmp5_;
		gint _tmp6_;
		gint _tmp7_;
		gint _dev_index = 0;
#line 2013 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp4_ = _g_object_ref0 (list);
#line 2013 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_dev_list = _tmp4_;
#line 2013 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp5_ = _dev_list;
#line 2013 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp6_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp5_);
#line 2013 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp7_ = _tmp6_;
#line 2013 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_dev_size = _tmp7_;
#line 2013 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_dev_index = -1;
#line 2013 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		while (TRUE) {
#line 13663 "Device.c"
			gint _tmp8_;
			gint _tmp9_;
			gint _tmp10_;
			Device* dev = NULL;
			GeeArrayList* _tmp11_;
			gint _tmp12_;
			gpointer _tmp13_;
			Device* _tmp14_;
			const gchar* _tmp15_;
			Device* _tmp16_;
			const gchar* _tmp17_;
			Device* _tmp18_;
			const gchar* _tmp19_;
			Device* _tmp20_;
			const gchar* _tmp21_;
			Device* _tmp22_;
			const gchar* _tmp23_;
			gchar* _tmp24_;
			gchar* _tmp25_;
#line 2013 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp8_ = _dev_index;
#line 2013 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_dev_index = _tmp8_ + 1;
#line 2013 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp9_ = _dev_index;
#line 2013 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp10_ = _dev_size;
#line 2013 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			if (!(_tmp9_ < _tmp10_)) {
#line 2013 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				break;
#line 13695 "Device.c"
			}
#line 2013 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp11_ = _dev_list;
#line 2013 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp12_ = _dev_index;
#line 2013 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp13_ = gee_abstract_list_get ((GeeAbstractList*) _tmp11_, _tmp12_);
#line 2013 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			dev = (Device*) _tmp13_;
#line 2014 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp14_ = dev;
#line 2014 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp15_ = _tmp14_->device;
#line 2014 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp16_ = dev;
#line 2014 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp17_ = _tmp16_->pkname;
#line 2014 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp18_ = dev;
#line 2014 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp19_ = _tmp18_->kname;
#line 2014 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp20_ = dev;
#line 2014 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp21_ = _tmp20_->uuid;
#line 2014 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp22_ = dev;
#line 2014 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp23_ = _tmp22_->mapped_name;
#line 2014 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp24_ = g_strdup_printf ("%-12s ,%-5s ,%-5s ,%-36s ,%s", _tmp15_, _tmp17_, _tmp19_, _tmp21_, _tmp23_);
#line 2014 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp25_ = _tmp24_;
#line 2014 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			tee_jee_logging_log_debug (_tmp25_);
#line 2014 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_g_free0 (_tmp25_);
#line 2013 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_g_object_unref0 (dev);
#line 13735 "Device.c"
		}
#line 2013 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_object_unref0 (_dev_list);
#line 13739 "Device.c"
	}
#line 2023 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	tee_jee_logging_log_debug ("");
#line 13743 "Device.c"
}


void
device_print_device_mounts (GeeArrayList* list)
{
	gchar* _tmp0_;
	gchar* _tmp1_;
	gchar* _tmp2_;
	gchar* _tmp3_;
#line 2076 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	g_return_if_fail (list != NULL);
#line 2078 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	tee_jee_logging_log_debug ("");
#line 2080 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp0_ = g_strdup_printf ("%-15s %s", "device", "> mount_points (mount_options)");
#line 2080 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp1_ = _tmp0_;
#line 2080 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	tee_jee_logging_log_debug (_tmp1_);
#line 2080 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_g_free0 (_tmp1_);
#line 2086 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp2_ = g_strnfill ((gsize) 100, '-');
#line 2086 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp3_ = _tmp2_;
#line 2086 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	tee_jee_logging_log_debug (_tmp3_);
#line 2086 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_g_free0 (_tmp3_);
#line 13774 "Device.c"
	{
		GeeArrayList* _dev_list = NULL;
		GeeArrayList* _tmp4_;
		gint _dev_size = 0;
		GeeArrayList* _tmp5_;
		gint _tmp6_;
		gint _tmp7_;
		gint _dev_index = 0;
#line 2088 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp4_ = _g_object_ref0 (list);
#line 2088 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_dev_list = _tmp4_;
#line 2088 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp5_ = _dev_list;
#line 2088 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp6_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp5_);
#line 2088 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp7_ = _tmp6_;
#line 2088 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_dev_size = _tmp7_;
#line 2088 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_dev_index = -1;
#line 2088 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		while (TRUE) {
#line 13799 "Device.c"
			gint _tmp8_;
			gint _tmp9_;
			gint _tmp10_;
			Device* dev = NULL;
			GeeArrayList* _tmp11_;
			gint _tmp12_;
			gpointer _tmp13_;
			gchar* mps = NULL;
			gchar* _tmp14_;
			Device* _tmp43_;
			const gchar* _tmp44_;
			const gchar* _tmp45_;
			gchar* _tmp46_;
			gchar* _tmp47_;
#line 2088 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp8_ = _dev_index;
#line 2088 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_dev_index = _tmp8_ + 1;
#line 2088 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp9_ = _dev_index;
#line 2088 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp10_ = _dev_size;
#line 2088 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			if (!(_tmp9_ < _tmp10_)) {
#line 2088 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				break;
#line 13826 "Device.c"
			}
#line 2088 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp11_ = _dev_list;
#line 2088 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp12_ = _dev_index;
#line 2088 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp13_ = gee_abstract_list_get ((GeeAbstractList*) _tmp11_, _tmp12_);
#line 2088 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			dev = (Device*) _tmp13_;
#line 2090 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp14_ = g_strdup ("");
#line 2090 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			mps = _tmp14_;
#line 13840 "Device.c"
			{
				GeeArrayList* _mp_list = NULL;
				Device* _tmp15_;
				GeeArrayList* _tmp16_;
				GeeArrayList* _tmp17_;
				gint _mp_size = 0;
				GeeArrayList* _tmp18_;
				gint _tmp19_;
				gint _tmp20_;
				gint _mp_index = 0;
#line 2091 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp15_ = dev;
#line 2091 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp16_ = _tmp15_->mount_points;
#line 2091 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp17_ = _g_object_ref0 (_tmp16_);
#line 2091 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_mp_list = _tmp17_;
#line 2091 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp18_ = _mp_list;
#line 2091 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp19_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp18_);
#line 2091 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_tmp20_ = _tmp19_;
#line 2091 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_mp_size = _tmp20_;
#line 2091 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_mp_index = -1;
#line 2091 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				while (TRUE) {
#line 13871 "Device.c"
					gint _tmp21_;
					gint _tmp22_;
					gint _tmp23_;
					MountEntry* mp = NULL;
					GeeArrayList* _tmp24_;
					gint _tmp25_;
					gpointer _tmp26_;
					const gchar* _tmp27_;
					MountEntry* _tmp28_;
					const gchar* _tmp29_;
					gchar* _tmp30_;
					gchar* _tmp31_;
					gchar* _tmp32_;
					MountEntry* _tmp33_;
					const gchar* _tmp34_;
					gint _tmp35_;
					gint _tmp36_;
#line 2091 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp21_ = _mp_index;
#line 2091 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_mp_index = _tmp21_ + 1;
#line 2091 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp22_ = _mp_index;
#line 2091 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp23_ = _mp_size;
#line 2091 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					if (!(_tmp22_ < _tmp23_)) {
#line 2091 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						break;
#line 13901 "Device.c"
					}
#line 2091 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp24_ = _mp_list;
#line 2091 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp25_ = _mp_index;
#line 2091 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp26_ = gee_abstract_list_get ((GeeAbstractList*) _tmp24_, _tmp25_);
#line 2091 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					mp = (MountEntry*) _tmp26_;
#line 2092 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp27_ = mps;
#line 2092 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp28_ = mp;
#line 2092 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp29_ = _tmp28_->mount_point;
#line 2092 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp30_ = g_strdup_printf ("\n    %s -> ", _tmp29_);
#line 2092 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp31_ = _tmp30_;
#line 2092 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp32_ = g_strconcat (_tmp27_, _tmp31_, NULL);
#line 2092 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_g_free0 (mps);
#line 2092 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					mps = _tmp32_;
#line 2092 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_g_free0 (_tmp31_);
#line 2093 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp33_ = mp;
#line 2093 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp34_ = _tmp33_->mount_options;
#line 2093 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp35_ = strlen (_tmp34_);
#line 2093 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_tmp36_ = _tmp35_;
#line 2093 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					if (_tmp36_ > 0) {
#line 13939 "Device.c"
						const gchar* _tmp37_;
						MountEntry* _tmp38_;
						const gchar* _tmp39_;
						gchar* _tmp40_;
						gchar* _tmp41_;
						gchar* _tmp42_;
#line 2094 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp37_ = mps;
#line 2094 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp38_ = mp;
#line 2094 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp39_ = _tmp38_->mount_options;
#line 2094 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp40_ = g_strdup_printf (" %s", _tmp39_);
#line 2094 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp41_ = _tmp40_;
#line 2094 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_tmp42_ = g_strconcat (_tmp37_, _tmp41_, NULL);
#line 2094 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_g_free0 (mps);
#line 2094 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						mps = _tmp42_;
#line 2094 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
						_g_free0 (_tmp41_);
#line 13964 "Device.c"
					}
#line 2091 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
					_g_object_unref0 (mp);
#line 13968 "Device.c"
				}
#line 2091 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				_g_object_unref0 (_mp_list);
#line 13972 "Device.c"
			}
#line 2098 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp43_ = dev;
#line 2098 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp44_ = _tmp43_->device;
#line 2098 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp45_ = mps;
#line 2098 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp46_ = g_strdup_printf ("%-15s %s", _tmp44_, _tmp45_);
#line 2098 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp47_ = _tmp46_;
#line 2098 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			tee_jee_logging_log_debug (_tmp47_);
#line 2098 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_g_free0 (_tmp47_);
#line 2088 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_g_free0 (mps);
#line 2088 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_g_object_unref0 (dev);
#line 13992 "Device.c"
		}
#line 2088 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_object_unref0 (_dev_list);
#line 13996 "Device.c"
	}
#line 2106 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	tee_jee_logging_log_debug ("");
#line 14000 "Device.c"
}


void
device_print_device_disk_space (GeeArrayList* list)
{
	gchar* _tmp0_;
	gchar* _tmp1_;
	gchar* _tmp2_;
	gchar* _tmp3_;
#line 2109 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	g_return_if_fail (list != NULL);
#line 2110 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	tee_jee_logging_log_debug ("");
#line 2112 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp0_ = g_strdup_printf ("%-15s %-12s %15s %15s %15s %10s", "device", "fstype", "size", "used", "available", "used_percent");
#line 2112 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp1_ = _tmp0_;
#line 2112 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	tee_jee_logging_log_debug (_tmp1_);
#line 2112 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_g_free0 (_tmp1_);
#line 2121 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp2_ = g_strnfill ((gsize) 100, '-');
#line 2121 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp3_ = _tmp2_;
#line 2121 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	tee_jee_logging_log_debug (_tmp3_);
#line 2121 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_g_free0 (_tmp3_);
#line 14031 "Device.c"
	{
		GeeArrayList* _dev_list = NULL;
		GeeArrayList* _tmp4_;
		gint _dev_size = 0;
		GeeArrayList* _tmp5_;
		gint _tmp6_;
		gint _tmp7_;
		gint _dev_index = 0;
#line 2123 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp4_ = _g_object_ref0 (list);
#line 2123 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_dev_list = _tmp4_;
#line 2123 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp5_ = _dev_list;
#line 2123 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp6_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp5_);
#line 2123 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp7_ = _tmp6_;
#line 2123 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_dev_size = _tmp7_;
#line 2123 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_dev_index = -1;
#line 2123 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		while (TRUE) {
#line 14056 "Device.c"
			gint _tmp8_;
			gint _tmp9_;
			gint _tmp10_;
			Device* dev = NULL;
			GeeArrayList* _tmp11_;
			gint _tmp12_;
			gpointer _tmp13_;
			Device* _tmp14_;
			const gchar* _tmp15_;
			Device* _tmp16_;
			const gchar* _tmp17_;
			Device* _tmp18_;
			guint64 _tmp19_;
			gchar* _tmp20_;
			gchar* _tmp21_;
			Device* _tmp22_;
			guint64 _tmp23_;
			gchar* _tmp24_;
			gchar* _tmp25_;
			Device* _tmp26_;
			guint64 _tmp27_;
			gchar* _tmp28_;
			gchar* _tmp29_;
			Device* _tmp30_;
			const gchar* _tmp31_;
			gchar* _tmp32_;
			gchar* _tmp33_;
#line 2123 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp8_ = _dev_index;
#line 2123 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_dev_index = _tmp8_ + 1;
#line 2123 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp9_ = _dev_index;
#line 2123 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp10_ = _dev_size;
#line 2123 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			if (!(_tmp9_ < _tmp10_)) {
#line 2123 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
				break;
#line 14096 "Device.c"
			}
#line 2123 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp11_ = _dev_list;
#line 2123 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp12_ = _dev_index;
#line 2123 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp13_ = gee_abstract_list_get ((GeeAbstractList*) _tmp11_, _tmp12_);
#line 2123 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			dev = (Device*) _tmp13_;
#line 2124 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp14_ = dev;
#line 2124 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp15_ = _tmp14_->device;
#line 2124 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp16_ = dev;
#line 2124 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp17_ = _tmp16_->fstype;
#line 2124 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp18_ = dev;
#line 2124 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp19_ = _tmp18_->size_bytes;
#line 2124 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp20_ = tee_jee_file_system_format_file_size (_tmp19_, TRUE, "", TRUE, 1);
#line 2124 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp21_ = _tmp20_;
#line 2124 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp22_ = dev;
#line 2124 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp23_ = _tmp22_->used_bytes;
#line 2124 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp24_ = tee_jee_file_system_format_file_size (_tmp23_, TRUE, "", TRUE, 1);
#line 2124 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp25_ = _tmp24_;
#line 2124 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp26_ = dev;
#line 2124 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp27_ = _tmp26_->available_bytes;
#line 2124 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp28_ = tee_jee_file_system_format_file_size (_tmp27_, TRUE, "", TRUE, 1);
#line 2124 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp29_ = _tmp28_;
#line 2124 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp30_ = dev;
#line 2124 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp31_ = _tmp30_->used_percent;
#line 2124 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp32_ = g_strdup_printf ("%-15s %-12s %15s %15s %15s %10s", _tmp15_, _tmp17_, _tmp21_, _tmp25_, _tmp29_, _tmp31_);
#line 2124 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp33_ = _tmp32_;
#line 2124 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			tee_jee_logging_log_debug (_tmp33_);
#line 2124 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_g_free0 (_tmp33_);
#line 2124 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_g_free0 (_tmp29_);
#line 2124 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_g_free0 (_tmp25_);
#line 2124 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_g_free0 (_tmp21_);
#line 2123 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_g_object_unref0 (dev);
#line 14158 "Device.c"
		}
#line 2123 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_object_unref0 (_dev_list);
#line 14162 "Device.c"
	}
#line 2134 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	tee_jee_logging_log_debug ("");
#line 14166 "Device.c"
}


guint64
device_get_free_bytes (Device* self)
{
	guint64 result;
	guint64 _tmp0_ = 0ULL;
	guint64 _tmp1_;
#line 121 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	g_return_val_if_fail (self != NULL, 0ULL);
#line 122 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp1_ = self->used_bytes;
#line 122 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	if (_tmp1_ == ((guint64) 0)) {
#line 122 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp0_ = (guint64) 0;
#line 14184 "Device.c"
	} else {
		guint64 _tmp2_;
		guint64 _tmp3_;
#line 122 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp2_ = self->size_bytes;
#line 122 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp3_ = self->used_bytes;
#line 122 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp0_ = _tmp2_ - _tmp3_;
#line 14194 "Device.c"
	}
#line 122 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	result = _tmp0_;
#line 122 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	return result;
#line 14200 "Device.c"
}


gchar*
device_get_size (Device* self)
{
	gchar* result;
	guint64 _tmp0_;
	gdouble _tmp1_;
#line 127 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 128 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp0_ = self->size_bytes;
#line 128 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp1_ = device_GB;
#line 128 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	if (((gdouble) _tmp0_) < _tmp1_) {
#line 14218 "Device.c"
		guint64 _tmp2_;
		gdouble _tmp3_;
		gchar* _tmp4_;
#line 129 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp2_ = self->size_bytes;
#line 129 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp3_ = device_MB;
#line 129 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp4_ = g_strdup_printf ("%.1f MB", _tmp2_ / _tmp3_);
#line 129 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		result = _tmp4_;
#line 129 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		return result;
#line 14232 "Device.c"
	} else {
		guint64 _tmp5_;
#line 131 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp5_ = self->size_bytes;
#line 131 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		if (_tmp5_ > ((guint64) 0)) {
#line 14239 "Device.c"
			guint64 _tmp6_;
			gdouble _tmp7_;
			gchar* _tmp8_;
#line 132 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp6_ = self->size_bytes;
#line 132 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp7_ = device_GB;
#line 132 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp8_ = g_strdup_printf ("%.1f GB", _tmp6_ / _tmp7_);
#line 132 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			result = _tmp8_;
#line 132 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			return result;
#line 14253 "Device.c"
		} else {
			gchar* _tmp9_;
#line 135 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			_tmp9_ = g_strdup ("");
#line 135 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			result = _tmp9_;
#line 135 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
			return result;
#line 14262 "Device.c"
		}
	}
}


gchar*
device_get_used (Device* self)
{
	gchar* result;
	gchar* _tmp0_ = NULL;
	guint64 _tmp1_;
#line 141 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 142 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp1_ = self->used_bytes;
#line 142 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	if (_tmp1_ == ((guint64) 0)) {
#line 14280 "Device.c"
		gchar* _tmp2_;
#line 142 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp2_ = g_strdup ("");
#line 142 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (_tmp0_);
#line 142 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp0_ = _tmp2_;
#line 14288 "Device.c"
	} else {
		guint64 _tmp3_;
		gdouble _tmp4_;
		gchar* _tmp5_;
#line 142 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp3_ = self->used_bytes;
#line 142 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp4_ = device_GB;
#line 142 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp5_ = g_strdup_printf ("%.1f GB", _tmp3_ / _tmp4_);
#line 142 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (_tmp0_);
#line 142 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp0_ = _tmp5_;
#line 14303 "Device.c"
	}
#line 142 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	result = _tmp0_;
#line 142 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	return result;
#line 14309 "Device.c"
}


gchar*
device_get_free (Device* self)
{
	gchar* result;
	gchar* _tmp0_ = NULL;
	guint64 _tmp1_;
	guint64 _tmp2_;
#line 147 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 148 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp1_ = device_get_free_bytes (self);
#line 148 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp2_ = _tmp1_;
#line 148 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	if (_tmp2_ == ((guint64) 0)) {
#line 14328 "Device.c"
		gchar* _tmp3_;
#line 148 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp3_ = g_strdup ("");
#line 148 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (_tmp0_);
#line 148 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp0_ = _tmp3_;
#line 14336 "Device.c"
	} else {
		guint64 _tmp4_;
		guint64 _tmp5_;
		gdouble _tmp6_;
		gchar* _tmp7_;
#line 148 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp4_ = device_get_free_bytes (self);
#line 148 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp5_ = _tmp4_;
#line 148 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp6_ = device_GB;
#line 148 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp7_ = g_strdup_printf ("%.1f GB", _tmp5_ / _tmp6_);
#line 148 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (_tmp0_);
#line 148 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp0_ = _tmp7_;
#line 14354 "Device.c"
	}
#line 148 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	result = _tmp0_;
#line 148 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	return result;
#line 14360 "Device.c"
}


gboolean
device_get_is_mounted (Device* self)
{
	gboolean result;
	GeeArrayList* _tmp0_;
	gint _tmp1_;
	gint _tmp2_;
#line 153 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 154 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp0_ = self->mount_points;
#line 154 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp1_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp0_);
#line 154 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp2_ = _tmp1_;
#line 154 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	result = _tmp2_ > 0;
#line 154 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	return result;
#line 14383 "Device.c"
}


gchar*
device_get_full_name_with_alias (Device* self)
{
	gchar* result;
	gchar* text = NULL;
	const gchar* _tmp0_;
	gchar* _tmp1_;
	const gchar* _tmp2_;
	gint _tmp3_;
	gint _tmp4_;
#line 1754 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 1755 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp0_ = self->device;
#line 1755 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp1_ = g_strdup (_tmp0_);
#line 1755 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	text = _tmp1_;
#line 1756 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp2_ = self->mapped_name;
#line 1756 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp3_ = strlen (_tmp2_);
#line 1756 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp4_ = _tmp3_;
#line 1756 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	if (_tmp4_ > 0) {
#line 14413 "Device.c"
		const gchar* _tmp5_;
		const gchar* _tmp6_;
		gchar* _tmp7_;
		gchar* _tmp8_;
		gchar* _tmp9_;
#line 1757 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp5_ = text;
#line 1757 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp6_ = self->mapped_name;
#line 1757 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp7_ = g_strdup_printf (" (%s)", _tmp6_);
#line 1757 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp8_ = _tmp7_;
#line 1757 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp9_ = g_strconcat (_tmp5_, _tmp8_, NULL);
#line 1757 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (text);
#line 1757 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		text = _tmp9_;
#line 1757 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (_tmp8_);
#line 14435 "Device.c"
	}
#line 1759 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	result = text;
#line 1759 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	return result;
#line 14441 "Device.c"
}


gchar*
device_get_full_name_with_parent (Device* self)
{
	gchar* result;
	gchar* _tmp0_;
	gchar* _tmp1_;
#line 1764 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 1765 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp0_ = device_get_device_name_with_parent (self);
#line 1765 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp1_ = _tmp0_;
#line 1765 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	result = _tmp1_;
#line 1765 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	return result;
#line 14461 "Device.c"
}


gchar*
device_get_short_name_with_alias (Device* self)
{
	gchar* result;
	gchar* text = NULL;
	const gchar* _tmp0_;
	gchar* _tmp1_;
	const gchar* _tmp2_;
	gint _tmp3_;
	gint _tmp4_;
#line 1770 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 1771 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp0_ = self->kname;
#line 1771 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp1_ = g_strdup (_tmp0_);
#line 1771 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	text = _tmp1_;
#line 1772 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp2_ = self->mapped_name;
#line 1772 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp3_ = strlen (_tmp2_);
#line 1772 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp4_ = _tmp3_;
#line 1772 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	if (_tmp4_ > 0) {
#line 14491 "Device.c"
		const gchar* _tmp5_;
		const gchar* _tmp6_;
		gchar* _tmp7_;
		gchar* _tmp8_;
		gchar* _tmp9_;
#line 1773 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp5_ = text;
#line 1773 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp6_ = self->mapped_name;
#line 1773 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp7_ = g_strdup_printf (" (%s)", _tmp6_);
#line 1773 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp8_ = _tmp7_;
#line 1773 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp9_ = g_strconcat (_tmp5_, _tmp8_, NULL);
#line 1773 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (text);
#line 1773 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		text = _tmp9_;
#line 1773 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (_tmp8_);
#line 14513 "Device.c"
	}
#line 1775 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	result = text;
#line 1775 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	return result;
#line 14519 "Device.c"
}


gchar*
device_get_short_name_with_parent (Device* self)
{
	gchar* result;
	gchar* text = NULL;
	const gchar* _tmp0_;
	gchar* _tmp1_;
	gboolean _tmp2_ = FALSE;
#line 1780 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 1781 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp0_ = self->kname;
#line 1781 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp1_ = g_strdup (_tmp0_);
#line 1781 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	text = _tmp1_;
#line 1783 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	if (device_has_parent (self)) {
#line 14541 "Device.c"
		Device* _tmp3_;
		const gchar* _tmp4_;
#line 1783 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp3_ = self->parent;
#line 1783 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp4_ = _tmp3_->type;
#line 1783 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp2_ = g_strcmp0 (_tmp4_, "part") == 0;
#line 14550 "Device.c"
	} else {
#line 1783 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp2_ = FALSE;
#line 14554 "Device.c"
	}
#line 1783 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	if (_tmp2_) {
#line 14558 "Device.c"
		const gchar* _tmp5_;
		const gchar* _tmp6_;
		gchar* _tmp7_;
		gchar* _tmp8_;
		gchar* _tmp9_;
#line 1784 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp5_ = text;
#line 1784 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp6_ = self->pkname;
#line 1784 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp7_ = g_strdup_printf (" (%s)", _tmp6_);
#line 1784 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp8_ = _tmp7_;
#line 1784 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp9_ = g_strconcat (_tmp5_, _tmp8_, NULL);
#line 1784 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (text);
#line 1784 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		text = _tmp9_;
#line 1784 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (_tmp8_);
#line 14580 "Device.c"
	}
#line 1787 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	result = text;
#line 1787 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	return result;
#line 14586 "Device.c"
}


gchar*
device_get_device_name_with_parent (Device* self)
{
	gchar* result;
	gchar* text = NULL;
	const gchar* _tmp0_;
	gchar* _tmp1_;
	gboolean _tmp2_ = FALSE;
#line 1792 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 1793 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp0_ = self->device;
#line 1793 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp1_ = g_strdup (_tmp0_);
#line 1793 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	text = _tmp1_;
#line 1795 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	if (device_has_parent (self)) {
#line 14608 "Device.c"
		Device* _tmp3_;
		const gchar* _tmp4_;
#line 1795 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp3_ = self->parent;
#line 1795 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp4_ = _tmp3_->type;
#line 1795 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp2_ = g_strcmp0 (_tmp4_, "part") == 0;
#line 14617 "Device.c"
	} else {
#line 1795 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp2_ = FALSE;
#line 14621 "Device.c"
	}
#line 1795 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	if (_tmp2_) {
#line 14625 "Device.c"
		const gchar* _tmp5_;
		Device* _tmp6_;
		const gchar* _tmp7_;
		gchar* _tmp8_;
		gchar* _tmp9_;
		gchar* _tmp10_;
#line 1796 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp5_ = text;
#line 1796 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp6_ = self->parent;
#line 1796 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp7_ = _tmp6_->kname;
#line 1796 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp8_ = g_strdup_printf (" (%s)", _tmp7_);
#line 1796 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp9_ = _tmp8_;
#line 1796 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_tmp10_ = g_strconcat (_tmp5_, _tmp9_, NULL);
#line 1796 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (text);
#line 1796 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		text = _tmp10_;
#line 1796 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		_g_free0 (_tmp9_);
#line 14650 "Device.c"
	}
#line 1799 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	result = text;
#line 1799 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	return result;
#line 14656 "Device.c"
}


static void
device_class_init (DeviceClass * klass)
{
	gdouble _tmp0_;
	gdouble _tmp1_;
	gdouble _tmp2_;
	gdouble _tmp3_;
	gchar* _tmp4_;
#line 32 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	device_parent_class = g_type_class_peek_parent (klass);
#line 32 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	G_OBJECT_CLASS (klass)->get_property = _vala_device_get_property;
#line 32 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	G_OBJECT_CLASS (klass)->finalize = device_finalize;
#line 32 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), DEVICE_FREE_BYTES_PROPERTY, device_properties[DEVICE_FREE_BYTES_PROPERTY] = g_param_spec_uint64 ("free-bytes", "free-bytes", "free-bytes", 0, G_MAXUINT64, 0U, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE));
#line 32 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), DEVICE_SIZE_PROPERTY, device_properties[DEVICE_SIZE_PROPERTY] = g_param_spec_string ("size", "size", "size", NULL, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE));
#line 32 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), DEVICE_USED_PROPERTY, device_properties[DEVICE_USED_PROPERTY] = g_param_spec_string ("used", "used", "used", NULL, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE));
#line 32 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), DEVICE_FREE_PROPERTY, device_properties[DEVICE_FREE_PROPERTY] = g_param_spec_string ("free", "free", "free", NULL, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE));
#line 32 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), DEVICE_IS_MOUNTED_PROPERTY, device_properties[DEVICE_IS_MOUNTED_PROPERTY] = g_param_spec_boolean ("is-mounted", "is-mounted", "is-mounted", FALSE, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE));
#line 32 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), DEVICE_FULL_NAME_WITH_ALIAS_PROPERTY, device_properties[DEVICE_FULL_NAME_WITH_ALIAS_PROPERTY] = g_param_spec_string ("full-name-with-alias", "full-name-with-alias", "full-name-with-alias", NULL, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE));
#line 32 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), DEVICE_FULL_NAME_WITH_PARENT_PROPERTY, device_properties[DEVICE_FULL_NAME_WITH_PARENT_PROPERTY] = g_param_spec_string ("full-name-with-parent", "full-name-with-parent", "full-name-with-parent", NULL, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE));
#line 32 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), DEVICE_SHORT_NAME_WITH_ALIAS_PROPERTY, device_properties[DEVICE_SHORT_NAME_WITH_ALIAS_PROPERTY] = g_param_spec_string ("short-name-with-alias", "short-name-with-alias", "short-name-with-alias", NULL, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE));
#line 32 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), DEVICE_SHORT_NAME_WITH_PARENT_PROPERTY, device_properties[DEVICE_SHORT_NAME_WITH_PARENT_PROPERTY] = g_param_spec_string ("short-name-with-parent", "short-name-with-parent", "short-name-with-parent", NULL, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE));
#line 32 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), DEVICE_DEVICE_NAME_WITH_PARENT_PROPERTY, device_properties[DEVICE_DEVICE_NAME_WITH_PARENT_PROPERTY] = g_param_spec_string ("device-name-with-parent", "device-name-with-parent", "device-name-with-parent", NULL, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE));
#line 37 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp0_ = device_KB;
#line 37 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	device_MB = 1000 * _tmp0_;
#line 38 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp1_ = device_MB;
#line 38 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	device_GB = 1000 * _tmp1_;
#line 41 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp2_ = device_KiB;
#line 41 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	device_MiB = 1024 * _tmp2_;
#line 42 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp3_ = device_MiB;
#line 42 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	device_GiB = 1024 * _tmp3_;
#line 89 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp4_ = g_strdup ("");
#line 89 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	device_lsblk_version = _tmp4_;
#line 14714 "Device.c"
}


static void
device_instance_init (Device * self)
{
	gchar* _tmp0_;
	gchar* _tmp1_;
	gchar* _tmp2_;
	gchar* _tmp3_;
	gchar* _tmp4_;
	gchar* _tmp5_;
	gchar* _tmp6_;
	gchar* _tmp7_;
	gchar* _tmp8_;
	gchar* _tmp9_;
	gchar* _tmp10_;
	gchar* _tmp11_;
	gchar* _tmp12_;
	gchar* _tmp13_;
	gchar* _tmp14_;
	gchar* _tmp15_;
	gchar* _tmp16_;
	gchar* _tmp17_;
	gchar* _tmp18_;
	gchar* _tmp19_;
	gchar* _tmp20_;
	gchar* _tmp21_;
	gchar* _tmp22_;
#line 44 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp0_ = g_strdup ("");
#line 44 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	self->device = _tmp0_;
#line 45 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp1_ = g_strdup ("");
#line 45 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	self->name = _tmp1_;
#line 46 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp2_ = g_strdup ("");
#line 46 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	self->kname = _tmp2_;
#line 47 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp3_ = g_strdup ("");
#line 47 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	self->pkname = _tmp3_;
#line 48 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp4_ = g_strdup ("");
#line 48 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	self->pkname_toplevel = _tmp4_;
#line 49 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp5_ = g_strdup ("");
#line 49 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	self->mapped_name = _tmp5_;
#line 50 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp6_ = g_strdup ("");
#line 50 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	self->uuid = _tmp6_;
#line 51 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp7_ = g_strdup ("");
#line 51 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	self->label = _tmp7_;
#line 52 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp8_ = g_strdup ("");
#line 52 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	self->partuuid = _tmp8_;
#line 53 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp9_ = g_strdup ("");
#line 53 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	self->partlabel = _tmp9_;
#line 55 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	self->major = -1;
#line 56 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	self->minor = -1;
#line 58 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp10_ = g_strdup ("");
#line 58 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	self->device_mapper = _tmp10_;
#line 59 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp11_ = g_strdup ("");
#line 59 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	self->device_by_uuid = _tmp11_;
#line 60 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp12_ = g_strdup ("");
#line 60 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	self->device_by_label = _tmp12_;
#line 61 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp13_ = g_strdup ("");
#line 61 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	self->device_by_partuuid = _tmp13_;
#line 62 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp14_ = g_strdup ("");
#line 62 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	self->device_by_partlabel = _tmp14_;
#line 64 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp15_ = g_strdup ("");
#line 64 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	self->type = _tmp15_;
#line 65 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp16_ = g_strdup ("");
#line 65 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	self->fstype = _tmp16_;
#line 67 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	self->order = -1;
#line 69 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp17_ = g_strdup ("");
#line 69 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	self->vendor = _tmp17_;
#line 70 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp18_ = g_strdup ("");
#line 70 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	self->model = _tmp18_;
#line 71 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp19_ = g_strdup ("");
#line 71 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	self->serial = _tmp19_;
#line 72 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp20_ = g_strdup ("");
#line 72 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	self->revision = _tmp20_;
#line 74 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	self->removable = FALSE;
#line 75 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	self->read_only = FALSE;
#line 77 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	self->size_bytes = (guint64) 0;
#line 78 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	self->used_bytes = (guint64) 0;
#line 79 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	self->available_bytes = (guint64) 0;
#line 81 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp21_ = g_strdup ("");
#line 81 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	self->used_percent = _tmp21_;
#line 82 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_tmp22_ = g_strdup ("");
#line 82 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	self->dist_info = _tmp22_;
#line 86 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	self->parent = NULL;
#line 87 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	self->children = NULL;
#line 14856 "Device.c"
}


static void
device_finalize (GObject * obj)
{
	Device * self;
#line 32 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, TYPE_DEVICE, Device);
#line 44 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_g_free0 (self->device);
#line 45 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_g_free0 (self->name);
#line 46 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_g_free0 (self->kname);
#line 47 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_g_free0 (self->pkname);
#line 48 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_g_free0 (self->pkname_toplevel);
#line 49 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_g_free0 (self->mapped_name);
#line 50 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_g_free0 (self->uuid);
#line 51 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_g_free0 (self->label);
#line 52 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_g_free0 (self->partuuid);
#line 53 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_g_free0 (self->partlabel);
#line 58 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_g_free0 (self->device_mapper);
#line 59 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_g_free0 (self->device_by_uuid);
#line 60 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_g_free0 (self->device_by_label);
#line 61 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_g_free0 (self->device_by_partuuid);
#line 62 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_g_free0 (self->device_by_partlabel);
#line 64 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_g_free0 (self->type);
#line 65 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_g_free0 (self->fstype);
#line 69 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_g_free0 (self->vendor);
#line 70 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_g_free0 (self->model);
#line 71 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_g_free0 (self->serial);
#line 72 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_g_free0 (self->revision);
#line 81 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_g_free0 (self->used_percent);
#line 82 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_g_free0 (self->dist_info);
#line 83 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_g_object_unref0 (self->mount_points);
#line 84 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_g_object_unref0 (self->symlinks);
#line 86 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_g_object_unref0 (self->parent);
#line 87 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	_g_object_unref0 (self->children);
#line 32 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	G_OBJECT_CLASS (device_parent_class)->finalize (obj);
#line 14922 "Device.c"
}


GType
device_get_type (void)
{
	static volatile gsize device_type_id__volatile = 0;
	if (g_once_init_enter (&device_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (DeviceClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) device_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (Device), 0, (GInstanceInitFunc) device_instance_init, NULL };
		GType device_type_id;
		device_type_id = g_type_register_static (G_TYPE_OBJECT, "Device", &g_define_type_info, 0);
		g_once_init_leave (&device_type_id__volatile, device_type_id);
	}
	return device_type_id__volatile;
}


static void
_vala_device_get_property (GObject * object,
                           guint property_id,
                           GValue * value,
                           GParamSpec * pspec)
{
	Device * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, TYPE_DEVICE, Device);
#line 32 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
	switch (property_id) {
#line 32 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		case DEVICE_FREE_BYTES_PROPERTY:
#line 32 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		g_value_set_uint64 (value, device_get_free_bytes (self));
#line 32 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		break;
#line 32 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		case DEVICE_SIZE_PROPERTY:
#line 32 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		g_value_take_string (value, device_get_size (self));
#line 32 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		break;
#line 32 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		case DEVICE_USED_PROPERTY:
#line 32 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		g_value_take_string (value, device_get_used (self));
#line 32 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		break;
#line 32 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		case DEVICE_FREE_PROPERTY:
#line 32 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		g_value_take_string (value, device_get_free (self));
#line 32 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		break;
#line 32 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		case DEVICE_IS_MOUNTED_PROPERTY:
#line 32 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		g_value_set_boolean (value, device_get_is_mounted (self));
#line 32 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		break;
#line 32 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		case DEVICE_FULL_NAME_WITH_ALIAS_PROPERTY:
#line 32 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		g_value_take_string (value, device_get_full_name_with_alias (self));
#line 32 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		break;
#line 32 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		case DEVICE_FULL_NAME_WITH_PARENT_PROPERTY:
#line 32 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		g_value_take_string (value, device_get_full_name_with_parent (self));
#line 32 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		break;
#line 32 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		case DEVICE_SHORT_NAME_WITH_ALIAS_PROPERTY:
#line 32 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		g_value_take_string (value, device_get_short_name_with_alias (self));
#line 32 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		break;
#line 32 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		case DEVICE_SHORT_NAME_WITH_PARENT_PROPERTY:
#line 32 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		g_value_take_string (value, device_get_short_name_with_parent (self));
#line 32 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		break;
#line 32 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		case DEVICE_DEVICE_NAME_WITH_PARENT_PROPERTY:
#line 32 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		g_value_take_string (value, device_get_device_name_with_parent (self));
#line 32 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		break;
#line 15010 "Device.c"
		default:
#line 32 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 32 "/builddir/build/BUILD/timeshift-22.11.2/src/Utility/Device.vala"
		break;
#line 15016 "Device.c"
	}
}


static void
_vala_array_destroy (gpointer array,
                     gint array_length,
                     GDestroyNotify destroy_func)
{
	if ((array != NULL) && (destroy_func != NULL)) {
		int i;
		for (i = 0; i < array_length; i = i + 1) {
			if (((gpointer*) array)[i] != NULL) {
				destroy_func (((gpointer*) array)[i]);
			}
		}
	}
}


static void
_vala_array_free (gpointer array,
                  gint array_length,
                  GDestroyNotify destroy_func)
{
	_vala_array_destroy (array, array_length, destroy_func);
	g_free (array);
}


static gint
_vala_array_length (gpointer array)
{
	int length;
	length = 0;
	if (array) {
		while (((gpointer*) array)[length]) {
			length++;
		}
	}
	return length;
}



